#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(af_alg_register_type, "_gpl", "");
KSYMTAB_FUNC(af_alg_unregister_type, "_gpl", "");
KSYMTAB_FUNC(af_alg_release, "_gpl", "");
KSYMTAB_FUNC(af_alg_release_parent, "_gpl", "");
KSYMTAB_FUNC(af_alg_accept, "_gpl", "");
KSYMTAB_FUNC(af_alg_free_sg, "_gpl", "");
KSYMTAB_FUNC(af_alg_count_tsgl, "_gpl", "");
KSYMTAB_FUNC(af_alg_pull_tsgl, "_gpl", "");
KSYMTAB_FUNC(af_alg_wmem_wakeup, "_gpl", "");
KSYMTAB_FUNC(af_alg_wait_for_data, "_gpl", "");
KSYMTAB_FUNC(af_alg_sendmsg, "_gpl", "");
KSYMTAB_FUNC(af_alg_free_resources, "_gpl", "");
KSYMTAB_FUNC(af_alg_async_cb, "_gpl", "");
KSYMTAB_FUNC(af_alg_poll, "_gpl", "");
KSYMTAB_FUNC(af_alg_alloc_areq, "_gpl", "");
KSYMTAB_FUNC(af_alg_get_rsgl, "_gpl", "");

SYMBOL_CRC(af_alg_register_type, 0xf946c6d8, "_gpl");
SYMBOL_CRC(af_alg_unregister_type, 0x1984cee8, "_gpl");
SYMBOL_CRC(af_alg_release, 0x751d4284, "_gpl");
SYMBOL_CRC(af_alg_release_parent, 0x39132bfe, "_gpl");
SYMBOL_CRC(af_alg_accept, 0x42a95b38, "_gpl");
SYMBOL_CRC(af_alg_free_sg, 0x634264a9, "_gpl");
SYMBOL_CRC(af_alg_count_tsgl, 0x2a7389fa, "_gpl");
SYMBOL_CRC(af_alg_pull_tsgl, 0x99c1ec3f, "_gpl");
SYMBOL_CRC(af_alg_wmem_wakeup, 0xf01b1b9c, "_gpl");
SYMBOL_CRC(af_alg_wait_for_data, 0xe64accad, "_gpl");
SYMBOL_CRC(af_alg_sendmsg, 0xa2045918, "_gpl");
SYMBOL_CRC(af_alg_free_resources, 0x01436c01, "_gpl");
SYMBOL_CRC(af_alg_async_cb, 0x27e92408, "_gpl");
SYMBOL_CRC(af_alg_poll, 0x7f2fd6c2, "_gpl");
SYMBOL_CRC(af_alg_alloc_areq, 0x20a86f17, "_gpl");
SYMBOL_CRC(af_alg_get_rsgl, 0x25237a22, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6ed8ccba, "sk_alloc" },
	{ 0x1c2ec37f, "sock_init_data" },
	{ 0xa38adc14, "sock_kmalloc" },
	{ 0xb00bc408, "proto_register" },
	{ 0xef731cce, "sock_register" },
	{ 0xea0c4074, "proto_unregister" },
	{ 0x9fb64856, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb570b5d7, "up_read" },
	{ 0x4e5daa9a, "try_module_get" },
	{ 0x7bda0276, "lock_sock_nested" },
	{ 0xe9ee676b, "release_sock" },
	{ 0x7276b73a, "module_put" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xd542ba37, "unpin_user_page" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7e5e3524, "sk_free" },
	{ 0xfa4517d4, "security_sock_graft" },
	{ 0xa898193f, "security_sk_clone" },
	{ 0x665dd6f8, "sock_kfree_s" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x481dda0e, "__put_devmap_managed_folio_refs" },
	{ 0x64a5c687, "__folio_put" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x29176ee7, "extract_iter_to_sg" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xba0efd1f, "down_write" },
	{ 0x37a0cba, "kfree" },
	{ 0x209b8854, "up_write" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7061f8f6, "__wake_up_sync_key" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xfb880d8f, "sock_wake_async" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xa55b06bd, "add_wait_queue" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xd6a78628, "remove_wait_queue" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x44531a37, "_copy_from_iter" },
	{ 0xbd6ee8cc, "alloc_pages_noprof" },
	{ 0x69acdf38, "memcpy" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc86a4b4, "iov_iter_revert" },
	{ 0x6cb3aac, "__free_pages" },
	{ 0x92997ed8, "_printk" },
	{ 0x1dc6c93b, "lookup_user_key" },
	{ 0xccf4c95, "key_put" },
	{ 0xf2333b2e, "sock_kzfree_s" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xaa337b3d, "sock_no_connect" },
	{ 0x77cfe8ee, "sock_no_socketpair" },
	{ 0xe7832756, "sock_no_getname" },
	{ 0x87449b73, "sock_no_ioctl" },
	{ 0x963666a1, "sock_no_listen" },
	{ 0x11666b14, "sock_no_shutdown" },
	{ 0xfe4ea5d6, "sock_no_sendmsg" },
	{ 0xa11d7727, "sock_no_recvmsg" },
	{ 0xa86d7fc6, "sock_no_mmap" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2F6B418EE324AF07AF8E40B");

MODULE_INFO(suserelease, "SLFO-1.2");
