#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(simd_skcipher_create_compat, "_gpl", "");
KSYMTAB_FUNC(simd_skcipher_free, "_gpl", "");
KSYMTAB_FUNC(simd_register_skciphers_compat, "_gpl", "");
KSYMTAB_FUNC(simd_unregister_skciphers, "_gpl", "");
KSYMTAB_FUNC(simd_register_aeads_compat, "_gpl", "");
KSYMTAB_FUNC(simd_unregister_aeads, "_gpl", "");

SYMBOL_CRC(simd_skcipher_create_compat, 0xb49f2659, "_gpl");
SYMBOL_CRC(simd_skcipher_free, 0xefe73979, "_gpl");
SYMBOL_CRC(simd_register_skciphers_compat, 0x3365c67d, "_gpl");
SYMBOL_CRC(simd_unregister_skciphers, 0x703aa912, "_gpl");
SYMBOL_CRC(simd_register_aeads_compat, 0xf1a6a298, "_gpl");
SYMBOL_CRC(simd_unregister_aeads, 0xd58eb71b, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfec65053, "crypto_aead_decrypt" },
	{ 0xf149c080, "crypto_skcipher_setkey" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa26a4ecb, "crypto_unregister_aeads" },
	{ 0x67e28757, "cryptd_skcipher_child" },
	{ 0x3d0a9e51, "crypto_skcipher_decrypt" },
	{ 0x41f064dc, "cryptd_alloc_skcipher" },
	{ 0xbbef170d, "crypto_aead_setkey" },
	{ 0x968b9b55, "crypto_register_skcipher" },
	{ 0xa110e9ab, "crypto_aead_encrypt" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xfc5ea0e2, "cryptd_aead_queued" },
	{ 0x2b57c659, "crypto_unregister_skcipher" },
	{ 0x9f8d1b20, "crypto_register_skciphers" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa3cef600, "cryptd_skcipher_queued" },
	{ 0xa2e959c1, "cryptd_free_aead" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x4b206e62, "crypto_unregister_skciphers" },
	{ 0x3a202424, "cryptd_free_skcipher" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x8e8f28ce, "crypto_skcipher_encrypt" },
	{ 0xcab7f3bd, "cryptd_alloc_aead" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd5a40323, "cryptd_aead_child" },
	{ 0x73dd54eb, "irq_fpu_usable" },
	{ 0x666b15e8, "crypto_register_aead" },
	{ 0xc851b282, "crypto_unregister_aead" },
	{ 0x37a0cba, "kfree" },
	{ 0xcf90b227, "crypto_register_aeads" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0x9ef9a4d5, "crypto_aead_setauthsize" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "cryptd");


MODULE_INFO(srcversion, "F70643DDB8B3C26A0417513");

MODULE_INFO(suserelease, "SLFO-1.2");
