#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(to_nfit_uuid, "", "");
KSYMTAB_FUNC(acpi_nfit_ctl, "_gpl", "");
KSYMTAB_FUNC(nfit_get_smbios_id, "_gpl", "");
KSYMTAB_FUNC(__acpi_nvdimm_notify, "_gpl", "");
KSYMTAB_FUNC(acpi_nfit_init, "_gpl", "");
KSYMTAB_FUNC(acpi_nfit_desc_init, "_gpl", "");
KSYMTAB_FUNC(acpi_nfit_shutdown, "_gpl", "");
KSYMTAB_FUNC(__acpi_nfit_notify, "_gpl", "");

SYMBOL_CRC(to_nfit_uuid, 0x06848c60, "");
SYMBOL_CRC(acpi_nfit_ctl, 0xec682b37, "_gpl");
SYMBOL_CRC(nfit_get_smbios_id, 0x499bbf57, "_gpl");
SYMBOL_CRC(__acpi_nvdimm_notify, 0x0ecbd23e, "_gpl");
SYMBOL_CRC(acpi_nfit_init, 0xd1efa457, "_gpl");
SYMBOL_CRC(acpi_nfit_desc_init, 0x790123b1, "_gpl");
SYMBOL_CRC(acpi_nfit_shutdown, 0x4639bcda, "_gpl");
SYMBOL_CRC(__acpi_nfit_notify, 0xa81a53cf, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe1954aa2, "to_nvdimm_bus_dev" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x8ad26f9d, "nvdimm_volatile_region_create" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x3b9489d8, "nvdimm_provider_data" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xfb578fc5, "memset" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0x5f23e3fa, "insert_resource" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe0184c6, "nvdimm_in_overwrite" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xfd3640bb, "nvdimm_to_bus" },
	{ 0x5fc294cc, "nvdimm_bus_register" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xcd1c97fe, "nd_region_dev" },
	{ 0x16cdc340, "acpi_get_table" },
	{ 0x92aaadde, "nd_cmd_in_size" },
	{ 0x6790ebd3, "mce_is_memory_error" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9199b9f0, "param_ops_bool" },
	{ 0x4f81ea3c, "acpi_bus_unregister_driver" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0xade594b0, "kernfs_put" },
	{ 0xe091c977, "list_sort" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xe7d8075f, "nvdimm_pmem_region_create" },
	{ 0xb1c33d3c, "nvdimm_kobj" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb8b2b1f7, "mce_register_decode_chain" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x1cd8438b, "pxm_to_node" },
	{ 0xdd18a993, "acpi_check_dsm" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x177e48ab, "__devm_add_action" },
	{ 0xaf076aec, "nd_fletcher64" },
	{ 0xf6a28554, "region_intersects" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x77358855, "iomem_resource" },
	{ 0xf2203c5f, "param_ops_int" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xafcae252, "nvdimm_cmd_mask" },
	{ 0x8d16b1e, "nvdimm_region_notify" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x689d79d0, "mce_usable_address" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x457ad047, "nd_region_provider_data" },
	{ 0xfa2e8071, "nvdimm_bus_add_badrange" },
	{ 0xb18fe1bf, "param_ops_ulong" },
	{ 0xa01a8d9b, "nd_cmd_bus_desc" },
	{ 0x3cb06817, "devm_kmalloc" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x48abdaa5, "to_nvdimm" },
	{ 0xf2d7d87, "mce_unregister_decode_chain" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0x33a6d2e, "__nvdimm_create" },
	{ 0x189b98c8, "to_nd_region" },
	{ 0xf09f3fa3, "nvdimm_bus_check_dimm_count" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4c440e40, "acpi_dev_remove_notify_handler" },
	{ 0xaab33bc6, "phys_to_target_node" },
	{ 0x1b074f, "mce_is_correctable" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0xe6c2b448, "kernfs_notify" },
	{ 0xd68cc800, "to_nvdimm_bus" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x8a665bfa, "numa_nearest_node" },
	{ 0x44c339bf, "dev_driver_string" },
	{ 0x95fb8e51, "__acpi_bus_register_driver" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x245dccd0, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x638a9653, "memory_add_physaddr_to_nid" },
	{ 0x71b12b37, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xb2db2d5, "remove_resource" },
	{ 0xc2c5802, "work_busy" },
	{ 0x92b99a33, "acpi_put_table" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x35a02ffb, "acpi_dev_install_notify_handler" },
	{ 0xa58ffc05, "to_nd_desc" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0xc8240d31, "_dev_err" },
	{ 0xd6aa0d93, "nd_cmd_out_size" },
	{ 0xb7c0f443, "sort" },
	{ 0xb501b2df, "nd_cmd_dimm_desc" },
	{ 0xd261b67f, "nvdimm_bus_unregister" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xb0814716, "kernfs_find_and_get_ns" },
	{ 0xcaad7bf4, "nvdimm_name" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "libnvdimm");

MODULE_ALIAS("acpi*:ACPI0012:*");

MODULE_INFO(srcversion, "86B1624B67BE63B0CEC6913");

MODULE_INFO(suserelease, "SLFO-1.2");
