#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(acpi_smbus_read, "_gpl", "");
KSYMTAB_FUNC(acpi_smbus_write, "_gpl", "");
KSYMTAB_FUNC(acpi_smbus_register_callback, "_gpl", "");
KSYMTAB_FUNC(acpi_smbus_unregister_callback, "_gpl", "");

SYMBOL_CRC(acpi_smbus_read, 0x4f6c2360, "_gpl");
SYMBOL_CRC(acpi_smbus_write, 0x96eb492d, "_gpl");
SYMBOL_CRC(acpi_smbus_register_callback, 0x87bd07bd, "_gpl");
SYMBOL_CRC(acpi_smbus_unregister_callback, 0x1c8984c7, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x27810361, "acpi_os_wait_events_complete" },
	{ 0x95fb8e51, "__acpi_bus_register_driver" },
	{ 0xfc4152fc, "ec_read" },
	{ 0xc708f1fe, "ec_write" },
	{ 0xf6491531, "__wake_up" },
	{ 0xd70f62b6, "acpi_os_execute" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4f81ea3c, "acpi_bus_unregister_driver" },
	{ 0x25f7d63e, "acpi_ec_remove_query_handler" },
	{ 0x37a0cba, "kfree" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x3416d62c, "prepare_to_wait_event" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x92997ed8, "_printk" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0xb8a07573, "acpi_ec_add_query_handler" },
	{ 0x71b12b37, "_dev_info" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("acpi*:ACPI0001:*");
MODULE_ALIAS("acpi*:ACPI0005:*");

MODULE_INFO(srcversion, "D45715C5BA7C5FD8F89AB10");

MODULE_INFO(suserelease, "SLFO-1.2");
