#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ahci_ignore_sss, "_gpl", "");
KSYMTAB_DATA(ahci_shost_groups, "_gpl", "");
KSYMTAB_DATA(ahci_sdev_groups, "_gpl", "");
KSYMTAB_DATA(ahci_ops, "_gpl", "");
KSYMTAB_DATA(ahci_pmp_retry_srst_ops, "_gpl", "");
KSYMTAB_FUNC(ahci_save_initial_config, "_gpl", "");
KSYMTAB_FUNC(ahci_start_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_stop_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_start_fis_rx, "_gpl", "");
KSYMTAB_FUNC(ahci_reset_controller, "_gpl", "");
KSYMTAB_FUNC(ahci_reset_em, "_gpl", "");
KSYMTAB_FUNC(ahci_init_controller, "_gpl", "");
KSYMTAB_FUNC(ahci_dev_classify, "_gpl", "");
KSYMTAB_FUNC(ahci_fill_cmd_slot, "_gpl", "");
KSYMTAB_FUNC(ahci_kick_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_check_ready, "_gpl", "");
KSYMTAB_FUNC(ahci_do_softreset, "_gpl", "");
KSYMTAB_FUNC(ahci_do_hardreset, "_gpl", "");
KSYMTAB_FUNC(ahci_handle_port_intr, "_gpl", "");
KSYMTAB_FUNC(ahci_qc_issue, "_gpl", "");
KSYMTAB_FUNC(ahci_error_handler, "_gpl", "");
KSYMTAB_FUNC(ahci_port_resume, "_gpl", "");
KSYMTAB_FUNC(ahci_print_info, "_gpl", "");
KSYMTAB_FUNC(ahci_set_em_messages, "_gpl", "");
KSYMTAB_FUNC(ahci_host_activate, "_gpl", "");

SYMBOL_CRC(ahci_ignore_sss, 0xea50dad3, "_gpl");
SYMBOL_CRC(ahci_shost_groups, 0x6dc908e4, "_gpl");
SYMBOL_CRC(ahci_sdev_groups, 0xe0b2eabd, "_gpl");
SYMBOL_CRC(ahci_ops, 0x84d6e54f, "_gpl");
SYMBOL_CRC(ahci_pmp_retry_srst_ops, 0x26a19ed8, "_gpl");
SYMBOL_CRC(ahci_save_initial_config, 0x19ac30a6, "_gpl");
SYMBOL_CRC(ahci_start_engine, 0x447ee3a5, "_gpl");
SYMBOL_CRC(ahci_stop_engine, 0x34d1a5f9, "_gpl");
SYMBOL_CRC(ahci_start_fis_rx, 0x6f7643f4, "_gpl");
SYMBOL_CRC(ahci_reset_controller, 0x5a5628f1, "_gpl");
SYMBOL_CRC(ahci_reset_em, 0xdceb9005, "_gpl");
SYMBOL_CRC(ahci_init_controller, 0x047de4a2, "_gpl");
SYMBOL_CRC(ahci_dev_classify, 0xe8e0e098, "_gpl");
SYMBOL_CRC(ahci_fill_cmd_slot, 0x165610c0, "_gpl");
SYMBOL_CRC(ahci_kick_engine, 0xed154bf1, "_gpl");
SYMBOL_CRC(ahci_check_ready, 0x70cd7587, "_gpl");
SYMBOL_CRC(ahci_do_softreset, 0x291b2525, "_gpl");
SYMBOL_CRC(ahci_do_hardreset, 0xe1b66150, "_gpl");
SYMBOL_CRC(ahci_handle_port_intr, 0x6917940a, "_gpl");
SYMBOL_CRC(ahci_qc_issue, 0x54c634b6, "_gpl");
SYMBOL_CRC(ahci_error_handler, 0xe43e4df0, "_gpl");
SYMBOL_CRC(ahci_port_resume, 0x816d41ac, "_gpl");
SYMBOL_CRC(ahci_print_info, 0x4a6b6aa0, "_gpl");
SYMBOL_CRC(ahci_set_em_messages, 0x3e2ec5e3, "_gpl");
SYMBOL_CRC(ahci_host_activate, 0x217cf3d5, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8ebd4101, "ata_std_postreset" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x3b2d2477, "ata_std_qc_defer" },
	{ 0xc0dfbe70, "sata_pmp_qc_defer_cmd_switch" },
	{ 0xf9a482f9, "msleep" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0xa911069e, "ata_port_classify" },
	{ 0x2ebd2fb2, "ata_qc_complete_multiple" },
	{ 0x71f52796, "ata_port_freeze" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xef2f9ee0, "sata_pmp_error_handler" },
	{ 0x67720434, "ata_host_start" },
	{ 0xd0934899, "devm_request_threaded_irq" },
	{ 0x4c313d99, "ata_port_desc" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xe6b7c90f, "ata_host_register" },
	{ 0x40e13014, "ata_host_activate" },
	{ 0x8464c7eb, "ata_dummy_port_ops" },
	{ 0x8aeceb34, "acpi_storage_d3" },
	{ 0x42635d55, "pm_suspend_global_flags" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3cb06817, "devm_kmalloc" },
	{ 0x6781e848, "dmam_alloc_attrs" },
	{ 0x44c339bf, "dev_driver_string" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xec083b74, "devm_kfree" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0xa289d1ea, "ata_wait_after_reset" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9371ea58, "sata_deb_timing_normal" },
	{ 0xbc79eb0b, "sata_deb_timing_hotplug" },
	{ 0xa03d75ea, "sata_link_hardreset" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x9eaf3425, "sata_lpm_ignore_phy_events" },
	{ 0xf7e11e04, "ata_ehi_clear_desc" },
	{ 0x31dfeae0, "ata_ehi_push_desc" },
	{ 0x7c91884a, "ata_link_abort" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xdffe3850, "sata_async_notification" },
	{ 0x334d2645, "ata_port_abort" },
	{ 0xf8f3a0fb, "ata_ratelimit" },
	{ 0xf2203c5f, "param_ops_int" },
	{ 0x9199b9f0, "param_ops_bool" },
	{ 0xfe277fad, "sata_pmp_port_ops" },
	{ 0x50d3c5e9, "dev_attr_sw_activity" },
	{ 0xecf514d8, "dev_attr_unload_heads" },
	{ 0x5b4d7de0, "dev_attr_ncq_prio_supported" },
	{ 0x9f2735d8, "dev_attr_ncq_prio_enable" },
	{ 0x6247fb30, "dev_attr_link_power_management_policy" },
	{ 0x4704f20b, "dev_attr_em_message_type" },
	{ 0x2a05ad5d, "dev_attr_em_message" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd5dcc637, "__pm_runtime_resume" },
	{ 0x66ebde19, "__pm_runtime_idle" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1ca0eab8, "ata_link_next" },
	{ 0xefe4bae2, "ata_wait_register" },
	{ 0x75b20453, "ata_dev_set_feature" },
	{ 0x71b12b37, "_dev_info" },
	{ 0x78dbec60, "ata_msleep" },
	{ 0x6bfbd3cf, "sata_link_scr_lpm" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "libata");


MODULE_INFO(srcversion, "3E75A483D4CE0872B0578E2");

MODULE_INFO(suserelease, "SLFO-1.2");
