#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(btmrvl_interrupt, "_gpl", "");
KSYMTAB_FUNC(btmrvl_check_evtpkt, "_gpl", "");
KSYMTAB_FUNC(btmrvl_process_event, "_gpl", "");
KSYMTAB_FUNC(btmrvl_send_module_cfg_cmd, "_gpl", "");
KSYMTAB_FUNC(btmrvl_pscan_window_reporting, "_gpl", "");
KSYMTAB_FUNC(btmrvl_send_hscfg_cmd, "_gpl", "");
KSYMTAB_FUNC(btmrvl_enable_ps, "_gpl", "");
KSYMTAB_FUNC(btmrvl_enable_hs, "_gpl", "");
KSYMTAB_FUNC(btmrvl_register_hdev, "_gpl", "");
KSYMTAB_FUNC(btmrvl_add_card, "_gpl", "");
KSYMTAB_FUNC(btmrvl_remove_card, "_gpl", "");

SYMBOL_CRC(btmrvl_interrupt, 0x80497541, "_gpl");
SYMBOL_CRC(btmrvl_check_evtpkt, 0xadaa12e6, "_gpl");
SYMBOL_CRC(btmrvl_process_event, 0xcdcf79b2, "_gpl");
SYMBOL_CRC(btmrvl_send_module_cfg_cmd, 0xa29b473a, "_gpl");
SYMBOL_CRC(btmrvl_pscan_window_reporting, 0xaff49d2e, "_gpl");
SYMBOL_CRC(btmrvl_send_hscfg_cmd, 0xe2f651ed, "_gpl");
SYMBOL_CRC(btmrvl_enable_ps, 0xf1014b09, "_gpl");
SYMBOL_CRC(btmrvl_enable_hs, 0x4633cb7a, "_gpl");
SYMBOL_CRC(btmrvl_register_hdev, 0x0a43b034, "_gpl");
SYMBOL_CRC(btmrvl_add_card, 0x7d49eb7e, "_gpl");
SYMBOL_CRC(btmrvl_remove_card, 0x335edf4e, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3416d62c, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xf6491531, "__wake_up" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1d8a5fdd, "wake_up_process" },
	{ 0xbddffed2, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbe3dbdfa, "__alloc_skb" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0xe648e7c0, "skb_queue_tail" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x5a0f8bd0, "simple_open" },
	{ 0x6d64c27f, "sk_skb_reason_drop" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xed153b93, "skb_push" },
	{ 0x6de67898, "debugfs_remove" },
	{ 0xad6d7e4b, "kthread_stop" },
	{ 0x83db7d7c, "default_llseek" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x2505bf18, "kstrtol_from_user" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0x5682df32, "debugfs_create_x16" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x7b8c32f1, "bt_err" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xd00c9875, "kthread_create_on_node" },
	{ 0x47514d5e, "hci_unregister_dev" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x8ae718dd, "debugfs_create_file_full" },
	{ 0xd6a78628, "remove_wait_queue" },
	{ 0x126272bc, "hci_register_dev" },
	{ 0x65bce73, "__hci_cmd_sync" },
	{ 0x1685522b, "debugfs_create_u8" },
	{ 0xd20f3ddd, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xdefc10ec, "skb_queue_head" },
	{ 0x3ec4ea5, "skb_put" },
	{ 0x1f8b5cef, "hci_free_dev" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x512c59c3, "skb_dequeue" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0xc266dc18, "hci_alloc_dev_priv" },
	{ 0x37a0cba, "kfree" },
	{ 0xa55b06bd, "add_wait_queue" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "bluetooth");


MODULE_INFO(srcversion, "4DAA8C2DB56C352B9807349");

MODULE_INFO(suserelease, "SLFO-1.2");
