#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hci_uart_tx_wakeup, "_gpl", "");
KSYMTAB_FUNC(hci_uart_register_device_priv, "_gpl", "");
KSYMTAB_FUNC(hci_uart_unregister_device, "_gpl", "");
KSYMTAB_FUNC(h4_recv_buf, "_gpl", "");

SYMBOL_CRC(hci_uart_tx_wakeup, 0x3b4a9601, "_gpl");
SYMBOL_CRC(hci_uart_register_device_priv, 0x2d1e6134, "_gpl");
SYMBOL_CRC(hci_uart_unregister_device, 0xec19c291, "_gpl");
SYMBOL_CRC(h4_recv_buf, 0x9eecd1ef, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd5dcc637, "__pm_runtime_resume" },
	{ 0x309e5336, "desc_to_gpio" },
	{ 0xe0f5411c, "hci_recv_frame" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x3cb0c490, "qca_read_soc_version" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9199b9f0, "param_ops_bool" },
	{ 0xe3dd11c8, "serdev_device_close" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x104a6356, "devm_gpiod_get" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x5641485b, "tty_termios_encode_baud_rate" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x9428a844, "__percpu_down_read" },
	{ 0xff81487d, "gpiod_remove_lookup_table" },
	{ 0xfd07c4c0, "btbcm_write_pcm_int_params" },
	{ 0x1bdd875e, "btbcm_set_bdaddr" },
	{ 0xadce701, "tty_unthrottle" },
	{ 0x81231d7a, "hci_reset_dev" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xf1b1f0e1, "btbcm_check_bdaddr" },
	{ 0xce380de5, "skb_pull_data" },
	{ 0x24f36cf9, "rcuwait_wake_up" },
	{ 0xb5773df8, "acpi_dev_get_property" },
	{ 0x39a005f4, "regulator_disable" },
	{ 0x716b4fac, "dev_err_probe" },
	{ 0xeeed471a, "qca_set_bdaddr_rome" },
	{ 0xdf0614a1, "__pm_runtime_suspend" },
	{ 0x126272bc, "hci_register_dev" },
	{ 0x4a51164a, "qca_set_bdaddr" },
	{ 0x214e4265, "bt_warn" },
	{ 0x972fec3a, "__pm_runtime_use_autosuspend" },
	{ 0xb93ba240, "wake_up_bit" },
	{ 0x573602f9, "btintel_enter_mfg" },
	{ 0xf2203c5f, "param_ops_int" },
	{ 0x65bce73, "__hci_cmd_sync" },
	{ 0x1685522b, "debugfs_create_u8" },
	{ 0xf40beb46, "__pm_runtime_disable" },
	{ 0xd20f3ddd, "debugfs_create_dir" },
	{ 0x815588a6, "clk_enable" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0x41a78b07, "devm_clk_get_optional_enabled_with_rate" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x9ec807ee, "hci_devcd_abort" },
	{ 0xdc6699cb, "acpi_dev_free_resource_list" },
	{ 0x17ea0205, "hci_recv_diag" },
	{ 0xdefc10ec, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x2f2acbf6, "percpu_free_rwsem" },
	{ 0xee22e89a, "gpiod_get_value_cansleep" },
	{ 0xf0474c24, "tty_set_termios" },
	{ 0xd2b77aba, "regulator_enable" },
	{ 0xa4f4d556, "device_property_present" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x187dccfa, "is_acpi_device_node" },
	{ 0xe0d5814e, "device_set_wakeup_capable" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0934899, "devm_request_threaded_irq" },
	{ 0xe15f1cfb, "percpu_down_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x3cb06817, "devm_kmalloc" },
	{ 0x3ec4ea5, "skb_put" },
	{ 0x6a10bb05, "gpiod_set_value" },
	{ 0x5e6611f5, "tty_register_ldisc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x746b66e4, "serdev_device_set_baudrate" },
	{ 0xdbe27298, "platform_driver_unregister" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x1f8b5cef, "hci_free_dev" },
	{ 0x2ba3cbe5, "platform_get_irq" },
	{ 0x37e75703, "btintel_check_bdaddr" },
	{ 0x8980772c, "btbcm_finalize" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6e5f8080, "btrtl_download_firmware" },
	{ 0x512c59c3, "skb_dequeue" },
	{ 0xf42ab0a3, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0x1b268e6c, "btintel_send_intel_reset" },
	{ 0xfb540895, "nvmem_cell_get" },
	{ 0xd72a607b, "gpiod_set_value_cansleep" },
	{ 0xa5ab47e, "devm_pwrseq_get" },
	{ 0xacf7e913, "request_firmware" },
	{ 0x5f52b8de, "btintel_download_firmware" },
	{ 0xecb873c3, "btbcm_initialize" },
	{ 0x55e01a59, "serdev_device_set_flow_control" },
	{ 0x53873838, "btrtl_initialize" },
	{ 0x89e59e9, "gpiod_to_irq" },
	{ 0x69acdf38, "memcpy" },
	{ 0xc266dc18, "hci_alloc_dev_priv" },
	{ 0x495d0d7a, "btintel_read_version" },
	{ 0x37a0cba, "kfree" },
	{ 0xb1f9eb2c, "qca_send_pre_shutdown_cmd" },
	{ 0xe4df23d, "serdev_device_open" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0x556cca46, "x86_apple_machine" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xf1d5610, "btintel_version_info" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3416d62c, "prepare_to_wait_event" },
	{ 0x16252b2, "dev_kfree_skb_irq_reason" },
	{ 0xc435d824, "devm_gpiod_get_optional" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6491531, "__wake_up" },
	{ 0x883c3a0f, "__module_get" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x8576e767, "get_device" },
	{ 0x3e7f87ba, "btintel_set_bdaddr" },
	{ 0x71130f50, "hci_devcd_init" },
	{ 0x9dd87ce8, "hci_devcd_append_pattern" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0xbe399d93, "serdev_device_set_parity" },
	{ 0xd0abf4d4, "devm_clk_get" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbddffed2, "skb_queue_purge_reason" },
	{ 0xadba74ea, "hci_devcd_complete" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x478dcfc2, "__pm_runtime_set_status" },
	{ 0x85540ebc, "nvmem_cell_put" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x8d317d51, "acpi_dev_get_resources" },
	{ 0xaf78f260, "btrtl_free" },
	{ 0x2e68cc29, "device_reprobe" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x809bb19b, "pwrseq_power_on" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdadba1c3, "btrtl_get_uart_settings" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x9d3d08f0, "put_device" },
	{ 0xbe60732d, "devm_free_irq" },
	{ 0x9b6d6fe, "tty_driver_flush_buffer" },
	{ 0x6d93b33b, "pm_runtime_enable" },
	{ 0x7ae0d285, "btintel_exit_mfg" },
	{ 0xa916b694, "strnlen" },
	{ 0xca3fe8c9, "pwrseq_power_off" },
	{ 0xd4dac72f, "btintel_set_diag" },
	{ 0xbe3dbdfa, "__alloc_skb" },
	{ 0xf8d8016b, "regulator_bulk_disable" },
	{ 0x64580cf8, "device_property_read_u32_array" },
	{ 0xbf30954d, "devm_regulator_get" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x685f6914, "__hci_cmd_sync_status" },
	{ 0x71b12b37, "_dev_info" },
	{ 0x8b149c36, "clk_is_match" },
	{ 0xc6cbbc89, "capable" },
	{ 0xe648e7c0, "skb_queue_tail" },
	{ 0x7276b73a, "module_put" },
	{ 0x99f018c4, "nvmem_cell_read" },
	{ 0xaf547080, "device_wakeup_disable" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x2429ea84, "btbcm_read_pcm_int_params" },
	{ 0x4721ac8c, "percpu_up_write" },
	{ 0x702fea33, "regulator_set_load" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x4e7c3cb8, "devm_acpi_dev_add_driver_gpios" },
	{ 0xc8240d31, "_dev_err" },
	{ 0xc9840f54, "device_wakeup_enable" },
	{ 0xf933d48, "debugfs_create_bool" },
	{ 0x1c785e13, "skb_pull" },
	{ 0x8f67d901, "device_property_read_u8_array" },
	{ 0x57a3a2ff, "devm_clk_put" },
	{ 0x6d64c27f, "sk_skb_reason_drop" },
	{ 0xa15bb3eb, "serdev_device_write_flush" },
	{ 0xe2381714, "serdev_device_get_tiocm" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xcec4fb63, "out_of_line_wait_on_bit_timeout" },
	{ 0x5cf6961e, "irq_get_irq_data" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xb4043948, "acpi_execute_simple_method" },
	{ 0x20131a9f, "device_property_read_string" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x98cbe0c7, "btrtl_set_quirks" },
	{ 0xed153b93, "skb_push" },
	{ 0x76b34ece, "btintel_load_ddc_config" },
	{ 0xf119e29, "n_tty_ioctl_helper" },
	{ 0x1daa83b9, "debugfs_create_u64" },
	{ 0x6b184ed6, "driver_unregister" },
	{ 0x7b5ce5c3, "baswap" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x78a690cc, "btintel_set_event_mask_mfg" },
	{ 0xf6e5e5d2, "tty_ldisc_flush" },
	{ 0xab816f1b, "__percpu_init_rwsem" },
	{ 0x21ee3c03, "__hci_cmd_send" },
	{ 0x8c89701c, "serdev_device_wait_until_sent" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xfe057bfc, "__serdev_device_driver_register" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x40657ce4, "qca_uart_setup" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x39281ff, "hci_devcd_register" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0x1e715c1c, "device_get_match_data" },
	{ 0xc817eb29, "hci_devcd_append" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb6aa6194, "debugfs_create_u32" },
	{ 0x8eb4d9e, "acpi_match_device" },
	{ 0x4e5dcf28, "serdev_device_set_tiocm" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0x718b8b7, "bt_info" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xfaf62c21, "regulator_bulk_enable" },
	{ 0xfa0ef4bc, "devm_regulator_bulk_get" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x7b8c32f1, "bt_err" },
	{ 0xd95f5e60, "btintel_read_boot_params" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x9097978f, "serdev_device_write_buf" },
	{ 0xd62ba63d, "skb_trim" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8044e08a, "tty_unregister_ldisc" },
	{ 0x65eccb12, "__platform_driver_register" },
	{ 0xb5ea1c4d, "devm_clk_get_optional" },
	{ 0x236cb71f, "__hci_cmd_sync_ev" },
	{ 0x47514d5e, "hci_unregister_dev" },
	{ 0x38aa1397, "gpiod_add_lookup_table" },
	{ 0x29dd4a3c, "bit_wait_timeout" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "bluetooth,btqca,btbcm,btintel,btrtl,pwrseq-core");

MODULE_ALIAS("of:N*T*Cti,cc2560");
MODULE_ALIAS("of:N*T*Cti,cc2560C*");
MODULE_ALIAS("of:N*T*Cti,wl1271-st");
MODULE_ALIAS("of:N*T*Cti,wl1271-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1273-st");
MODULE_ALIAS("of:N*T*Cti,wl1273-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1281-st");
MODULE_ALIAS("of:N*T*Cti,wl1281-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1283-st");
MODULE_ALIAS("of:N*T*Cti,wl1283-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1285-st");
MODULE_ALIAS("of:N*T*Cti,wl1285-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1801-st");
MODULE_ALIAS("of:N*T*Cti,wl1801-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1805-st");
MODULE_ALIAS("of:N*T*Cti,wl1805-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1807-st");
MODULE_ALIAS("of:N*T*Cti,wl1807-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1831-st");
MODULE_ALIAS("of:N*T*Cti,wl1831-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1835-st");
MODULE_ALIAS("of:N*T*Cti,wl1835-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1837-st");
MODULE_ALIAS("of:N*T*Cti,wl1837-stC*");
MODULE_ALIAS("of:N*T*Camlogic,w155s2-bt");
MODULE_ALIAS("of:N*T*Camlogic,w155s2-btC*");
MODULE_ALIAS("of:N*T*Camlogic,w265s2-bt");
MODULE_ALIAS("of:N*T*Camlogic,w265s2-btC*");
MODULE_ALIAS("acpi*:QCOM2066:*");
MODULE_ALIAS("acpi*:QCOM6390:*");
MODULE_ALIAS("acpi*:DLA16390:*");
MODULE_ALIAS("acpi*:DLB16390:*");
MODULE_ALIAS("acpi*:DLB26390:*");
MODULE_ALIAS("of:N*T*Cmrvl,88w8897");
MODULE_ALIAS("of:N*T*Cmrvl,88w8897C*");
MODULE_ALIAS("of:N*T*Cmrvl,88w8997");
MODULE_ALIAS("of:N*T*Cmrvl,88w8997C*");
MODULE_ALIAS("acpi*:BCM2E00:*");
MODULE_ALIAS("acpi*:BCM2E01:*");
MODULE_ALIAS("acpi*:BCM2E02:*");
MODULE_ALIAS("acpi*:BCM2E03:*");
MODULE_ALIAS("acpi*:BCM2E04:*");
MODULE_ALIAS("acpi*:BCM2E05:*");
MODULE_ALIAS("acpi*:BCM2E06:*");
MODULE_ALIAS("acpi*:BCM2E07:*");
MODULE_ALIAS("acpi*:BCM2E08:*");
MODULE_ALIAS("acpi*:BCM2E09:*");
MODULE_ALIAS("acpi*:BCM2E0A:*");
MODULE_ALIAS("acpi*:BCM2E0B:*");
MODULE_ALIAS("acpi*:BCM2E0C:*");
MODULE_ALIAS("acpi*:BCM2E0D:*");
MODULE_ALIAS("acpi*:BCM2E0E:*");
MODULE_ALIAS("acpi*:BCM2E0F:*");
MODULE_ALIAS("acpi*:BCM2E10:*");
MODULE_ALIAS("acpi*:BCM2E11:*");
MODULE_ALIAS("acpi*:BCM2E12:*");
MODULE_ALIAS("acpi*:BCM2E13:*");
MODULE_ALIAS("acpi*:BCM2E14:*");
MODULE_ALIAS("acpi*:BCM2E15:*");
MODULE_ALIAS("acpi*:BCM2E16:*");
MODULE_ALIAS("acpi*:BCM2E17:*");
MODULE_ALIAS("acpi*:BCM2E18:*");
MODULE_ALIAS("acpi*:BCM2E19:*");
MODULE_ALIAS("acpi*:BCM2E1A:*");
MODULE_ALIAS("acpi*:BCM2E1B:*");
MODULE_ALIAS("acpi*:BCM2E1C:*");
MODULE_ALIAS("acpi*:BCM2E1D:*");
MODULE_ALIAS("acpi*:BCM2E1F:*");
MODULE_ALIAS("acpi*:BCM2E20:*");
MODULE_ALIAS("acpi*:BCM2E21:*");
MODULE_ALIAS("acpi*:BCM2E22:*");
MODULE_ALIAS("acpi*:BCM2E23:*");
MODULE_ALIAS("acpi*:BCM2E24:*");
MODULE_ALIAS("acpi*:BCM2E25:*");
MODULE_ALIAS("acpi*:BCM2E26:*");
MODULE_ALIAS("acpi*:BCM2E27:*");
MODULE_ALIAS("acpi*:BCM2E28:*");
MODULE_ALIAS("acpi*:BCM2E29:*");
MODULE_ALIAS("acpi*:BCM2E2A:*");
MODULE_ALIAS("acpi*:BCM2E2B:*");
MODULE_ALIAS("acpi*:BCM2E2C:*");
MODULE_ALIAS("acpi*:BCM2E2D:*");
MODULE_ALIAS("acpi*:BCM2E2E:*");
MODULE_ALIAS("acpi*:BCM2E2F:*");
MODULE_ALIAS("acpi*:BCM2E30:*");
MODULE_ALIAS("acpi*:BCM2E31:*");
MODULE_ALIAS("acpi*:BCM2E32:*");
MODULE_ALIAS("acpi*:BCM2E33:*");
MODULE_ALIAS("acpi*:BCM2E34:*");
MODULE_ALIAS("acpi*:BCM2E35:*");
MODULE_ALIAS("acpi*:BCM2E36:*");
MODULE_ALIAS("acpi*:BCM2E37:*");
MODULE_ALIAS("acpi*:BCM2E38:*");
MODULE_ALIAS("acpi*:BCM2E39:*");
MODULE_ALIAS("acpi*:BCM2E3A:*");
MODULE_ALIAS("acpi*:BCM2E3B:*");
MODULE_ALIAS("acpi*:BCM2E3C:*");
MODULE_ALIAS("acpi*:BCM2E3D:*");
MODULE_ALIAS("acpi*:BCM2E3E:*");
MODULE_ALIAS("acpi*:BCM2E3F:*");
MODULE_ALIAS("acpi*:BCM2E40:*");
MODULE_ALIAS("acpi*:BCM2E41:*");
MODULE_ALIAS("acpi*:BCM2E42:*");
MODULE_ALIAS("acpi*:BCM2E43:*");
MODULE_ALIAS("acpi*:BCM2E44:*");
MODULE_ALIAS("acpi*:BCM2E45:*");
MODULE_ALIAS("acpi*:BCM2E46:*");
MODULE_ALIAS("acpi*:BCM2E47:*");
MODULE_ALIAS("acpi*:BCM2E48:*");
MODULE_ALIAS("acpi*:BCM2E49:*");
MODULE_ALIAS("acpi*:BCM2E4A:*");
MODULE_ALIAS("acpi*:BCM2E4B:*");
MODULE_ALIAS("acpi*:BCM2E4C:*");
MODULE_ALIAS("acpi*:BCM2E4D:*");
MODULE_ALIAS("acpi*:BCM2E4E:*");
MODULE_ALIAS("acpi*:BCM2E4F:*");
MODULE_ALIAS("acpi*:BCM2E50:*");
MODULE_ALIAS("acpi*:BCM2E51:*");
MODULE_ALIAS("acpi*:BCM2E52:*");
MODULE_ALIAS("acpi*:BCM2E53:*");
MODULE_ALIAS("acpi*:BCM2E54:*");
MODULE_ALIAS("acpi*:BCM2E55:*");
MODULE_ALIAS("acpi*:BCM2E56:*");
MODULE_ALIAS("acpi*:BCM2E57:*");
MODULE_ALIAS("acpi*:BCM2E58:*");
MODULE_ALIAS("acpi*:BCM2E59:*");
MODULE_ALIAS("acpi*:BCM2E5A:*");
MODULE_ALIAS("acpi*:BCM2E5B:*");
MODULE_ALIAS("acpi*:BCM2E5C:*");
MODULE_ALIAS("acpi*:BCM2E5D:*");
MODULE_ALIAS("acpi*:BCM2E5E:*");
MODULE_ALIAS("acpi*:BCM2E5F:*");
MODULE_ALIAS("acpi*:BCM2E60:*");
MODULE_ALIAS("acpi*:BCM2E61:*");
MODULE_ALIAS("acpi*:BCM2E62:*");
MODULE_ALIAS("acpi*:BCM2E63:*");
MODULE_ALIAS("acpi*:BCM2E64:*");
MODULE_ALIAS("acpi*:BCM2E65:*");
MODULE_ALIAS("acpi*:BCM2E66:*");
MODULE_ALIAS("acpi*:BCM2E67:*");
MODULE_ALIAS("acpi*:BCM2E68:*");
MODULE_ALIAS("acpi*:BCM2E69:*");
MODULE_ALIAS("acpi*:BCM2E6B:*");
MODULE_ALIAS("acpi*:BCM2E6D:*");
MODULE_ALIAS("acpi*:BCM2E6E:*");
MODULE_ALIAS("acpi*:BCM2E6F:*");
MODULE_ALIAS("acpi*:BCM2E70:*");
MODULE_ALIAS("acpi*:BCM2E71:*");
MODULE_ALIAS("acpi*:BCM2E72:*");
MODULE_ALIAS("acpi*:BCM2E73:*");
MODULE_ALIAS("acpi*:BCM2E74:*");
MODULE_ALIAS("acpi*:BCM2E75:*");
MODULE_ALIAS("acpi*:BCM2E76:*");
MODULE_ALIAS("acpi*:BCM2E77:*");
MODULE_ALIAS("acpi*:BCM2E78:*");
MODULE_ALIAS("acpi*:BCM2E79:*");
MODULE_ALIAS("acpi*:BCM2E7A:*");
MODULE_ALIAS("acpi*:BCM2E7B:*");
MODULE_ALIAS("acpi*:BCM2E7C:*");
MODULE_ALIAS("acpi*:BCM2E7D:*");
MODULE_ALIAS("acpi*:BCM2E7E:*");
MODULE_ALIAS("acpi*:BCM2E7F:*");
MODULE_ALIAS("acpi*:BCM2E80:*");
MODULE_ALIAS("acpi*:BCM2E81:*");
MODULE_ALIAS("acpi*:BCM2E82:*");
MODULE_ALIAS("acpi*:BCM2E83:*");
MODULE_ALIAS("acpi*:BCM2E84:*");
MODULE_ALIAS("acpi*:BCM2E85:*");
MODULE_ALIAS("acpi*:BCM2E86:*");
MODULE_ALIAS("acpi*:BCM2E87:*");
MODULE_ALIAS("acpi*:BCM2E88:*");
MODULE_ALIAS("acpi*:BCM2E89:*");
MODULE_ALIAS("acpi*:BCM2E8A:*");
MODULE_ALIAS("acpi*:BCM2E8B:*");
MODULE_ALIAS("acpi*:BCM2E8C:*");
MODULE_ALIAS("acpi*:BCM2E8D:*");
MODULE_ALIAS("acpi*:BCM2E8E:*");
MODULE_ALIAS("acpi*:BCM2E90:*");
MODULE_ALIAS("acpi*:BCM2E92:*");
MODULE_ALIAS("acpi*:BCM2E93:*");
MODULE_ALIAS("acpi*:BCM2E94:*");
MODULE_ALIAS("acpi*:BCM2E95:*");
MODULE_ALIAS("acpi*:BCM2E96:*");
MODULE_ALIAS("acpi*:BCM2E97:*");
MODULE_ALIAS("acpi*:BCM2E98:*");
MODULE_ALIAS("acpi*:BCM2E99:*");
MODULE_ALIAS("acpi*:BCM2E9A:*");
MODULE_ALIAS("acpi*:BCM2E9B:*");
MODULE_ALIAS("acpi*:BCM2E9C:*");
MODULE_ALIAS("acpi*:BCM2E9D:*");
MODULE_ALIAS("acpi*:BCM2E9F:*");
MODULE_ALIAS("acpi*:BCM2EA0:*");
MODULE_ALIAS("acpi*:BCM2EA1:*");
MODULE_ALIAS("acpi*:BCM2EA2:*");
MODULE_ALIAS("acpi*:BCM2EA3:*");
MODULE_ALIAS("acpi*:BCM2EA4:*");
MODULE_ALIAS("acpi*:BCM2EA5:*");
MODULE_ALIAS("acpi*:BCM2EA6:*");
MODULE_ALIAS("acpi*:BCM2EA7:*");
MODULE_ALIAS("acpi*:BCM2EA8:*");
MODULE_ALIAS("acpi*:BCM2EA9:*");
MODULE_ALIAS("acpi*:BCM2EAA:*");
MODULE_ALIAS("acpi*:BCM2EAB:*");
MODULE_ALIAS("acpi*:BCM2EAC:*");
MODULE_ALIAS("of:N*T*Crealtek,rtl8822cs-bt");
MODULE_ALIAS("of:N*T*Crealtek,rtl8822cs-btC*");
MODULE_ALIAS("of:N*T*Crealtek,rtl8723bs-bt");
MODULE_ALIAS("of:N*T*Crealtek,rtl8723bs-btC*");
MODULE_ALIAS("of:N*T*Crealtek,rtl8723cs-bt");
MODULE_ALIAS("of:N*T*Crealtek,rtl8723cs-btC*");
MODULE_ALIAS("of:N*T*Crealtek,rtl8723ds-bt");
MODULE_ALIAS("of:N*T*Crealtek,rtl8723ds-btC*");
MODULE_ALIAS("acpi*:INT33E1:*");
MODULE_ALIAS("acpi*:INT33E3:*");
MODULE_ALIAS("acpi*:OBDA0623:*");
MODULE_ALIAS("acpi*:OBDA8723:*");

MODULE_INFO(srcversion, "3B701D66087F09FB97E9C8C");

MODULE_INFO(suserelease, "SLFO-1.2");
