#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mhi_ep_queue_is_empty, "_gpl", "");
KSYMTAB_FUNC(mhi_ep_queue_skb, "_gpl", "");
KSYMTAB_FUNC(mhi_ep_power_up, "_gpl", "");
KSYMTAB_FUNC(mhi_ep_power_down, "_gpl", "");
KSYMTAB_FUNC(mhi_ep_register_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_ep_unregister_controller, "_gpl", "");
KSYMTAB_FUNC(__mhi_ep_driver_register, "_gpl", "");
KSYMTAB_FUNC(mhi_ep_driver_unregister, "_gpl", "");

SYMBOL_CRC(mhi_ep_queue_is_empty, 0x51a0d9d7, "_gpl");
SYMBOL_CRC(mhi_ep_queue_skb, 0x5e766513, "_gpl");
SYMBOL_CRC(mhi_ep_power_up, 0x91ee766b, "_gpl");
SYMBOL_CRC(mhi_ep_power_down, 0x32505d4b, "_gpl");
SYMBOL_CRC(mhi_ep_register_controller, 0xeb9d0344, "_gpl");
SYMBOL_CRC(mhi_ep_unregister_controller, 0x13c5b103, "_gpl");
SYMBOL_CRC(__mhi_ep_driver_register, 0xa552abf1, "_gpl");
SYMBOL_CRC(mhi_ep_driver_unregister, 0x1f6e0341, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xefb18d5e, "device_for_each_child" },
	{ 0x8576e767, "get_device" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x9d3d08f0, "put_device" },
	{ 0x71b12b37, "_dev_info" },
	{ 0x12cb1804, "bus_unregister" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x9907f28, "device_add" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xdf9ceed4, "kmem_cache_free" },
	{ 0x10119bb, "ida_free" },
	{ 0x6b184ed6, "driver_unregister" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x1080ce71, "device_del" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfa10416, "kmem_cache_alloc_noprof" },
	{ 0x8337a399, "__kmem_cache_create_args" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xe2a805d9, "driver_register" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xddbd0482, "bus_register" },
	{ 0x8019049f, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xa2429ab9, "ida_alloc_range" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x50707f9c, "dev_set_name" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x4628038c, "device_initialize" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "BA8584AF77E359A8180A28D");

MODULE_INFO(suserelease, "SLFO-1.2");
