#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mhi_register_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_unregister_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_alloc_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_free_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_power_up, "_gpl", "");
KSYMTAB_FUNC(mhi_unprepare_after_power_down, "_gpl", "");
KSYMTAB_FUNC(__mhi_driver_register, "_gpl", "");
KSYMTAB_FUNC(mhi_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(mhi_get_exec_env, "_gpl", "");
KSYMTAB_FUNC(mhi_get_mhi_state, "_gpl", "");
KSYMTAB_FUNC(mhi_soc_reset, "_gpl", "");
KSYMTAB_FUNC(mhi_get_free_desc_count, "_gpl", "");
KSYMTAB_FUNC(mhi_notify, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_skb, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_dma, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_buf, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_is_full, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_transfer, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_transfer_autoqueue, "_gpl", "");
KSYMTAB_FUNC(mhi_unprepare_from_transfer, "_gpl", "");
KSYMTAB_FUNC(mhi_get_channel_doorbell_offset, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_suspend, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_resume, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_resume_force, "_gpl", "");
KSYMTAB_FUNC(mhi_async_power_up, "_gpl", "");
KSYMTAB_FUNC(mhi_power_down, "_gpl", "");
KSYMTAB_FUNC(mhi_power_down_keep_dev, "_gpl", "");
KSYMTAB_FUNC(mhi_sync_power_up, "", "");
KSYMTAB_FUNC(mhi_force_rddm_mode, "_gpl", "");
KSYMTAB_FUNC(mhi_device_get, "_gpl", "");
KSYMTAB_FUNC(mhi_device_get_sync, "_gpl", "");
KSYMTAB_FUNC(mhi_device_put, "_gpl", "");
KSYMTAB_FUNC(mhi_download_rddm_image, "_gpl", "");

SYMBOL_CRC(mhi_register_controller, 0xdf6c7729, "_gpl");
SYMBOL_CRC(mhi_unregister_controller, 0xdccdea5a, "_gpl");
SYMBOL_CRC(mhi_alloc_controller, 0x153f8b82, "_gpl");
SYMBOL_CRC(mhi_free_controller, 0x82f7dcd5, "_gpl");
SYMBOL_CRC(mhi_prepare_for_power_up, 0xe4a8014f, "_gpl");
SYMBOL_CRC(mhi_unprepare_after_power_down, 0x15139be3, "_gpl");
SYMBOL_CRC(__mhi_driver_register, 0x1479f6bd, "_gpl");
SYMBOL_CRC(mhi_driver_unregister, 0x14120236, "_gpl");
SYMBOL_CRC(mhi_get_exec_env, 0xaf3a2699, "_gpl");
SYMBOL_CRC(mhi_get_mhi_state, 0x73b9a3ab, "_gpl");
SYMBOL_CRC(mhi_soc_reset, 0xdaba3516, "_gpl");
SYMBOL_CRC(mhi_get_free_desc_count, 0xce7a0ff7, "_gpl");
SYMBOL_CRC(mhi_notify, 0x413b4a9a, "_gpl");
SYMBOL_CRC(mhi_queue_skb, 0x79db0b4e, "_gpl");
SYMBOL_CRC(mhi_queue_dma, 0xc193cf02, "_gpl");
SYMBOL_CRC(mhi_queue_buf, 0xb2afc882, "_gpl");
SYMBOL_CRC(mhi_queue_is_full, 0xfbc43f32, "_gpl");
SYMBOL_CRC(mhi_prepare_for_transfer, 0x0203c4af, "_gpl");
SYMBOL_CRC(mhi_prepare_for_transfer_autoqueue, 0x3a64d851, "_gpl");
SYMBOL_CRC(mhi_unprepare_from_transfer, 0x5ae8aeb7, "_gpl");
SYMBOL_CRC(mhi_get_channel_doorbell_offset, 0xb913c3cf, "_gpl");
SYMBOL_CRC(mhi_pm_suspend, 0xbde4309a, "_gpl");
SYMBOL_CRC(mhi_pm_resume, 0xbf391781, "_gpl");
SYMBOL_CRC(mhi_pm_resume_force, 0x4f0d5ce0, "_gpl");
SYMBOL_CRC(mhi_async_power_up, 0x8c16cdb2, "_gpl");
SYMBOL_CRC(mhi_power_down, 0xc873a31c, "_gpl");
SYMBOL_CRC(mhi_power_down_keep_dev, 0x94c9bfcb, "_gpl");
SYMBOL_CRC(mhi_sync_power_up, 0x2c451c76, "");
SYMBOL_CRC(mhi_force_rddm_mode, 0xbb80a455, "_gpl");
SYMBOL_CRC(mhi_device_get, 0x27b057c6, "_gpl");
SYMBOL_CRC(mhi_device_get_sync, 0xc267aaee, "_gpl");
SYMBOL_CRC(mhi_device_put, 0xd0db3882, "_gpl");
SYMBOL_CRC(mhi_download_rddm_image, 0x3d6a7233, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd0d9d74c, "bpf_trace_run2" },
	{ 0x3416d62c, "prepare_to_wait_event" },
	{ 0xf6491531, "__wake_up" },
	{ 0x8576e767, "get_device" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x44c339bf, "dev_driver_string" },
	{ 0x77188b5d, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x28ba6fe1, "dma_map_page_attrs" },
	{ 0x501d8b44, "pm_wakeup_dev_event" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9d3d08f0, "put_device" },
	{ 0x326e6c44, "sysfs_remove_file_ns" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf250e2d4, "rt_write_unlock" },
	{ 0x71b12b37, "_dev_info" },
	{ 0x47cfd825, "kstrtouint_from_user" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x7ec56c70, "perf_trace_run_bpf_submit" },
	{ 0x12cb1804, "bus_unregister" },
	{ 0xc8240d31, "_dev_err" },
	{ 0xc9840f54, "device_wakeup_enable" },
	{ 0x9907f28, "device_add" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x18595920, "dma_alloc_attrs" },
	{ 0x6de67898, "debugfs_remove" },
	{ 0x56a719f2, "seq_putc" },
	{ 0x658574f4, "trace_event_reg" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x10119bb, "ida_free" },
	{ 0x6b184ed6, "driver_unregister" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x1080ce71, "device_del" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xcb67b626, "bpf_trace_run3" },
	{ 0x4a38d9f7, "seq_read" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xedd7eb58, "rt_read_lock" },
	{ 0xf4334299, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x27a7a36e, "trace_event_buffer_reserve" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x9f7aac60, "seq_write" },
	{ 0x9ebb2bfc, "rt_read_unlock" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7ad7a5cd, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x9919fd8, "rt_write_lock" },
	{ 0x8ae718dd, "debugfs_create_file_full" },
	{ 0x8d8b2fb3, "single_release" },
	{ 0xa4191c0b, "memset_io" },
	{ 0x754d539c, "strlen" },
	{ 0x495b28e9, "single_open" },
	{ 0xd20f3ddd, "debugfs_create_dir" },
	{ 0xd371b0df, "vcalloc_noprof" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xe2a805d9, "driver_register" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xddbd0482, "bus_register" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xa2429ab9, "ida_alloc_range" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xe0d5814e, "device_set_wakeup_capable" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x1d337321, "bpf_trace_run4" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x4bc6eb8a, "sysfs_create_file_ns" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x50707f9c, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa11a97c1, "trace_raw_output_prep" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xb07d43ee, "__trace_trigger_soft_disabled" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0xb51d11a4, "dma_unmap_page_attrs" },
	{ 0xacf7e913, "request_firmware" },
	{ 0xdf4574bf, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4628038c, "device_initialize" },
	{ 0x549dee85, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xefb18d5e, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C827828E152301D91722552");

MODULE_INFO(suserelease, "SLFO-1.2");
