#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(atmel_i2c_init_read_config_cmd, "", "");
KSYMTAB_FUNC(atmel_i2c_init_read_otp_cmd, "", "");
KSYMTAB_FUNC(atmel_i2c_init_random_cmd, "", "");
KSYMTAB_FUNC(atmel_i2c_init_genkey_cmd, "", "");
KSYMTAB_FUNC(atmel_i2c_init_ecdh_cmd, "", "");
KSYMTAB_FUNC(atmel_i2c_send_receive, "", "");
KSYMTAB_FUNC(atmel_i2c_enqueue, "", "");
KSYMTAB_FUNC(atmel_i2c_flush_queue, "", "");
KSYMTAB_FUNC(atmel_i2c_probe, "", "");

SYMBOL_CRC(atmel_i2c_init_read_config_cmd, 0x8aa79be7, "");
SYMBOL_CRC(atmel_i2c_init_read_otp_cmd, 0x2b0afd46, "");
SYMBOL_CRC(atmel_i2c_init_random_cmd, 0xf283e995, "");
SYMBOL_CRC(atmel_i2c_init_genkey_cmd, 0xc71ed50c, "");
SYMBOL_CRC(atmel_i2c_init_ecdh_cmd, 0xb6c854bb, "");
SYMBOL_CRC(atmel_i2c_send_receive, 0x8ef8e148, "");
SYMBOL_CRC(atmel_i2c_enqueue, 0xac63fa3b, "");
SYMBOL_CRC(atmel_i2c_flush_queue, 0xc80f14e8, "");
SYMBOL_CRC(atmel_i2c_probe, 0x931cefee, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbd6841d4, "crc16" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbac8aeea, "sg_nents_for_len" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0xc8240d31, "_dev_err" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x40fb811b, "i2c_transfer_buffer_flags" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf9a482f9, "msleep" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x5986996e, "i2c_acpi_find_bus_speed" },
	{ 0x3cb06817, "devm_kmalloc" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x37a0cba, "kfree" },
	{ 0x64580cf8, "device_property_read_u32_array" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "crc16");


MODULE_INFO(srcversion, "14D9B2AD5FB919E46AD1A17");

MODULE_INFO(suserelease, "SLFO-1.2");
