#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(dfl_fpga_port_ops_get, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_port_ops_put, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_port_ops_add, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_port_ops_del, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_check_port_id, "_gpl", "");
KSYMTAB_FUNC(__dfl_driver_register, "", "");
KSYMTAB_FUNC(dfl_driver_unregister, "", "");
KSYMTAB_FUNC(dfl_fpga_dev_feature_uinit, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_dev_feature_init, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_dev_ops_register, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_dev_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(dfh_find_param, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_enum_info_alloc, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_enum_info_free, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_enum_info_add_dfl, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_enum_info_add_irq, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_feature_devs_enumerate, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_feature_devs_remove, "_gpl", "");
KSYMTAB_FUNC(__dfl_fpga_cdev_find_port, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_cdev_release_port, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_cdev_assign_port, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_cdev_config_ports_pf, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_cdev_config_ports_vf, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_set_irq_triggers, "_gpl", "");
KSYMTAB_FUNC(dfl_feature_ioctl_get_num_irqs, "_gpl", "");
KSYMTAB_FUNC(dfl_feature_ioctl_set_irq, "_gpl", "");

SYMBOL_CRC(dfl_fpga_port_ops_get, 0x801e103d, "_gpl");
SYMBOL_CRC(dfl_fpga_port_ops_put, 0xb6d8ccfe, "_gpl");
SYMBOL_CRC(dfl_fpga_port_ops_add, 0x5699fc93, "_gpl");
SYMBOL_CRC(dfl_fpga_port_ops_del, 0xbd85f7bc, "_gpl");
SYMBOL_CRC(dfl_fpga_check_port_id, 0x8bdfd782, "_gpl");
SYMBOL_CRC(__dfl_driver_register, 0x2291ecac, "");
SYMBOL_CRC(dfl_driver_unregister, 0xb6ee38d4, "");
SYMBOL_CRC(dfl_fpga_dev_feature_uinit, 0x2a7a3042, "_gpl");
SYMBOL_CRC(dfl_fpga_dev_feature_init, 0x9f42eb08, "_gpl");
SYMBOL_CRC(dfl_fpga_dev_ops_register, 0x31069a28, "_gpl");
SYMBOL_CRC(dfl_fpga_dev_ops_unregister, 0x086a9f2b, "_gpl");
SYMBOL_CRC(dfh_find_param, 0xc9f9cc42, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_alloc, 0x95359db6, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_free, 0x0f838e7a, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_add_dfl, 0x77c079ec, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_add_irq, 0xd7b2670c, "_gpl");
SYMBOL_CRC(dfl_fpga_feature_devs_enumerate, 0xf6714177, "_gpl");
SYMBOL_CRC(dfl_fpga_feature_devs_remove, 0x63d83350, "_gpl");
SYMBOL_CRC(__dfl_fpga_cdev_find_port, 0xd8600aed, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_release_port, 0x97b30e23, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_assign_port, 0x1c83d5b9, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_config_ports_pf, 0xdf3cda94, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_config_ports_vf, 0xe409cc08, "_gpl");
SYMBOL_CRC(dfl_fpga_set_irq_triggers, 0xe3bdcf48, "_gpl");
SYMBOL_CRC(dfl_feature_ioctl_get_num_irqs, 0xc7c6ed39, "_gpl");
SYMBOL_CRC(dfl_feature_ioctl_set_irq, 0xe2e76308, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4e5daa9a, "try_module_get" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x7276b73a, "module_put" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xe2a805d9, "driver_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6b184ed6, "driver_unregister" },
	{ 0xc5e74216, "release_resource" },
	{ 0x37a0cba, "kfree" },
	{ 0x10119bb, "ida_free" },
	{ 0xda59c8d, "cdev_init" },
	{ 0x1193a9ac, "cdev_add" },
	{ 0xd2bda80d, "cdev_del" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8576e767, "get_device" },
	{ 0x3cb06817, "devm_kmalloc" },
	{ 0x9d3d08f0, "put_device" },
	{ 0xd47e09e, "devm_kmemdup" },
	{ 0x77358855, "iomem_resource" },
	{ 0x2eeeb852, "__devm_request_region" },
	{ 0x5c8f81ef, "devm_ioremap" },
	{ 0xc8240d31, "_dev_err" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xddbd0482, "bus_register" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x4d470eb0, "idr_destroy" },
	{ 0x12cb1804, "bus_unregister" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xec083b74, "devm_kfree" },
	{ 0x9668568f, "device_unregister" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x2d608534, "devm_platform_ioremap_resource" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xa2429ab9, "ida_alloc_range" },
	{ 0x4628038c, "device_initialize" },
	{ 0x50707f9c, "dev_set_name" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x5f23e3fa, "insert_resource" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x9907f28, "device_add" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0xda4888a9, "platform_device_del" },
	{ 0x251aecc0, "platform_device_add" },
	{ 0xb9a85f0c, "idr_remove" },
	{ 0xa72ac049, "platform_device_put" },
	{ 0xefb18d5e, "device_for_each_child" },
	{ 0xd27fbedd, "fpga_region_unregister" },
	{ 0xb8461669, "platform_device_unregister" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0x71b12b37, "_dev_info" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x733722d0, "devm_ioremap_resource" },
	{ 0x9dee480e, "__fpga_region_register" },
	{ 0x335990ce, "devm_iounmap" },
	{ 0x9fb7184a, "__devm_release_region" },
	{ 0x339ceb18, "platform_device_alloc" },
	{ 0x9820f51a, "idr_alloc" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "fpga-region");


MODULE_INFO(srcversion, "50E5BCC174BDC5D715B8263");

MODULE_INFO(suserelease, "SLFO-1.2");
