#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drm_gem_dma_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_dumb_create_internal, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_dma_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_print_info, "", "");
KSYMTAB_FUNC(drm_gem_dma_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_prime_import_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_vmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_prime_import_sg_table_vmap, "", "");
KSYMTAB_FUNC(drm_fbdev_dma_setup, "", "");
KSYMTAB_FUNC(drm_fb_dma_get_gem_obj, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_get_gem_addr, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_sync_non_coherent, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_get_scanout_buffer, "", "");

SYMBOL_CRC(drm_gem_dma_create, 0x89cb97d5, "_gpl");
SYMBOL_CRC(drm_gem_dma_free, 0x60ed5e12, "_gpl");
SYMBOL_CRC(drm_gem_dma_dumb_create_internal, 0x47fd6601, "_gpl");
SYMBOL_CRC(drm_gem_dma_dumb_create, 0x02f95e69, "_gpl");
SYMBOL_CRC(drm_gem_dma_vm_ops, 0x3944df1b, "_gpl");
SYMBOL_CRC(drm_gem_dma_print_info, 0x8352153a, "");
SYMBOL_CRC(drm_gem_dma_get_sg_table, 0x79e5af26, "_gpl");
SYMBOL_CRC(drm_gem_dma_prime_import_sg_table, 0x858f0363, "_gpl");
SYMBOL_CRC(drm_gem_dma_vmap, 0xe36d1b9a, "_gpl");
SYMBOL_CRC(drm_gem_dma_mmap, 0x061dfdc4, "_gpl");
SYMBOL_CRC(drm_gem_dma_prime_import_sg_table_vmap, 0x20f6224e, "");
SYMBOL_CRC(drm_fbdev_dma_setup, 0xc7eeb201, "");
SYMBOL_CRC(drm_fb_dma_get_gem_obj, 0xbbf05048, "_gpl");
SYMBOL_CRC(drm_fb_dma_get_gem_addr, 0x37f6719e, "_gpl");
SYMBOL_CRC(drm_fb_dma_sync_non_coherent, 0xb1e68971, "_gpl");
SYMBOL_CRC(drm_fb_dma_get_scanout_buffer, 0x0382c927, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5d6f9b99, "drm_client_framebuffer_delete" },
	{ 0x7bab156e, "dma_free_pages" },
	{ 0x90df94fb, "drm_client_framebuffer_create" },
	{ 0xe3e2c11d, "drm_fb_helper_deferred_io" },
	{ 0x2fdd8666, "drm_fb_helper_release_info" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xebbf6a82, "drm_driver_legacy_fb_format" },
	{ 0x535991d7, "drm_fb_helper_fill_info" },
	{ 0xfd729b43, "drm_gem_create_mmap_offset" },
	{ 0x96209ac4, "fb_deferred_io_init" },
	{ 0x91f8c280, "fb_deferred_io_cleanup" },
	{ 0x74f34eb3, "drm_gem_object_init" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x44c339bf, "dev_driver_string" },
	{ 0xed8db44b, "drm_fb_helper_hotplug_event" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x45eecb9e, "fb_sys_write" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0xd98aa813, "sys_imageblit" },
	{ 0xb2fe2f1f, "drm_atomic_helper_damage_iter_init" },
	{ 0x776119a3, "drm_fb_helper_damage_range" },
	{ 0xdf6a248b, "drm_fb_helper_blank" },
	{ 0x4720577b, "dma_alloc_pages" },
	{ 0x751aa8d8, "drm_gem_private_object_init" },
	{ 0x252b87d5, "drm_fb_helper_check_var" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xad9a7a4e, "drm_fb_helper_damage_area" },
	{ 0x59a25d84, "sys_fillrect" },
	{ 0x7276b73a, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xa1fe0207, "drm_client_init" },
	{ 0x7d869ef6, "drm_gem_vm_close" },
	{ 0xeea0b88f, "drm_gem_vm_open" },
	{ 0xb68ffa6f, "drm_fb_helper_prepare" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x50d1e762, "drm_gem_object_release" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0x18595920, "dma_alloc_attrs" },
	{ 0xdad9c8b1, "drm_prime_get_contiguous_size" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa0df7a9, "drm_gem_handle_create" },
	{ 0x2d795c98, "drm_gem_fb_get_obj" },
	{ 0xbecc0f5, "__drm_dev_dbg" },
	{ 0xb76651d9, "fb_deferred_io_mmap" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2b1cc28, "drm_fb_helper_pan_display" },
	{ 0xe633a4cd, "drm_format_info_bpp" },
	{ 0xa4e8770c, "drm_client_release" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x5b802f69, "sys_copyarea" },
	{ 0xf4334299, "dma_free_attrs" },
	{ 0xbc0d826d, "drm_printf" },
	{ 0x999e8297, "vfree" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x6029628f, "__dma_sync_single_for_device" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb400824d, "drm_client_buffer_vunmap" },
	{ 0x903c051b, "fb_sys_read" },
	{ 0x43d05887, "drm_fb_helper_debug_leave" },
	{ 0x4dc277a4, "dma_buf_vmap_unlocked" },
	{ 0x36a82e35, "dma_mmap_attrs" },
	{ 0xe6894d00, "dma_get_sgtable_attrs" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0xcc0c994, "__vma_start_write" },
	{ 0xa5cb36ea, "drm_fb_helper_initial_config" },
	{ 0xf1c1f4c, "drm_fb_helper_unregister_info" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xcc5600fd, "drm_fb_helper_ioctl" },
	{ 0x3ea524f3, "drm_fb_helper_set_par" },
	{ 0x87d4a4d8, "drm_prime_gem_destroy" },
	{ 0x37c94cd7, "drm_client_register" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x4e5daa9a, "try_module_get" },
	{ 0xa8159ab4, "drm_fb_helper_init" },
	{ 0xc5eb1a9f, "drm_fb_helper_debug_enter" },
	{ 0xec3437f6, "dma_buf_vunmap_unlocked" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xa9a0b348, "drm_client_buffer_vmap" },
	{ 0x4d17b87e, "drm_fb_helper_lastclose" },
	{ 0x6f07460b, "drm_fb_helper_setcmap" },
	{ 0x2ef7cce, "drm_fb_helper_alloc_info" },
	{ 0xc227bc1e, "drm_helper_disable_unused_functions" },
	{ 0xd1b4d29a, "drm_fb_helper_unprepare" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0x801e5e3d, "drm_gem_prime_mmap" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0x8eb2c673, "drm_fb_helper_fini" },
	{ 0x73a0f637, "dma_mmap_pages" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B0764D4D09D5DD015A0A456");

MODULE_INFO(suserelease, "SLFO-1.2");
