#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drm_gem_ttm_print_info, "", "");
KSYMTAB_FUNC(drm_gem_ttm_vmap, "", "");
KSYMTAB_FUNC(drm_gem_ttm_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_ttm_mmap, "", "");
KSYMTAB_FUNC(drm_gem_ttm_dumb_map_offset, "", "");
KSYMTAB_FUNC(drm_fbdev_ttm_driver_fbdev_probe, "", "");
KSYMTAB_FUNC(drm_fbdev_ttm_setup, "", "");

SYMBOL_CRC(drm_gem_ttm_print_info, 0xf13b02c9, "");
SYMBOL_CRC(drm_gem_ttm_vmap, 0xaab31e6e, "");
SYMBOL_CRC(drm_gem_ttm_vunmap, 0x571e8fca, "");
SYMBOL_CRC(drm_gem_ttm_mmap, 0x4c290216, "");
SYMBOL_CRC(drm_gem_ttm_dumb_map_offset, 0x1a67365e, "");
SYMBOL_CRC(drm_fbdev_ttm_driver_fbdev_probe, 0x2618b975, "");
SYMBOL_CRC(drm_fbdev_ttm_setup, 0x7d75abf8, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8eb2c673, "drm_fb_helper_fini" },
	{ 0x5d6f9b99, "drm_client_framebuffer_delete" },
	{ 0x90df94fb, "drm_client_framebuffer_create" },
	{ 0xe3e2c11d, "drm_fb_helper_deferred_io" },
	{ 0x2fdd8666, "drm_fb_helper_release_info" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xebbf6a82, "drm_driver_legacy_fb_format" },
	{ 0x535991d7, "drm_fb_helper_fill_info" },
	{ 0x96209ac4, "fb_deferred_io_init" },
	{ 0x91f8c280, "fb_deferred_io_cleanup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x44c339bf, "dev_driver_string" },
	{ 0xed8db44b, "drm_fb_helper_hotplug_event" },
	{ 0x52a81e85, "drm_gem_object_lookup" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x45eecb9e, "fb_sys_write" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0xd98aa813, "sys_imageblit" },
	{ 0x776119a3, "drm_fb_helper_damage_range" },
	{ 0xdf6a248b, "drm_fb_helper_blank" },
	{ 0x252b87d5, "drm_fb_helper_check_var" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xad9a7a4e, "drm_fb_helper_damage_area" },
	{ 0x59a25d84, "sys_fillrect" },
	{ 0x7276b73a, "module_put" },
	{ 0xf082eb2e, "ttm_bo_vunmap" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xa1fe0207, "drm_client_init" },
	{ 0x1a01342e, "drm_print_bits" },
	{ 0xb68ffa6f, "drm_fb_helper_prepare" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xbecc0f5, "__drm_dev_dbg" },
	{ 0xb76651d9, "fb_deferred_io_mmap" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2b1cc28, "drm_fb_helper_pan_display" },
	{ 0xe633a4cd, "drm_format_info_bpp" },
	{ 0xa4e8770c, "drm_client_release" },
	{ 0x5b802f69, "sys_copyarea" },
	{ 0xbc0d826d, "drm_printf" },
	{ 0x999e8297, "vfree" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x903c051b, "fb_sys_read" },
	{ 0x43d05887, "drm_fb_helper_debug_leave" },
	{ 0xee3bba2, "ttm_bo_mmap_obj" },
	{ 0xc9aef2dc, "drm_client_buffer_vunmap_local" },
	{ 0x69e53ce6, "ttm_bo_vmap" },
	{ 0x473137bf, "drm_client_buffer_vmap_local" },
	{ 0xa5cb36ea, "drm_fb_helper_initial_config" },
	{ 0xf1c1f4c, "drm_fb_helper_unregister_info" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xcc5600fd, "drm_fb_helper_ioctl" },
	{ 0x3ea524f3, "drm_fb_helper_set_par" },
	{ 0x37c94cd7, "drm_client_register" },
	{ 0x4e5daa9a, "try_module_get" },
	{ 0xa8159ab4, "drm_fb_helper_init" },
	{ 0xc5eb1a9f, "drm_fb_helper_debug_enter" },
	{ 0x4d17b87e, "drm_fb_helper_lastclose" },
	{ 0x6f07460b, "drm_fb_helper_setcmap" },
	{ 0x2ef7cce, "drm_fb_helper_alloc_info" },
	{ 0xc227bc1e, "drm_helper_disable_unused_functions" },
	{ 0xd1b4d29a, "drm_fb_helper_unprepare" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "ttm");


MODULE_INFO(srcversion, "27A46B00689AB667B550249");

MODULE_INFO(suserelease, "SLFO-1.2");
