#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ssd130x_variants, "_gpl", "DRM_SSD130X");
KSYMTAB_FUNC(ssd130x_probe, "_gpl", "");
KSYMTAB_FUNC(ssd130x_remove, "_gpl", "");
KSYMTAB_FUNC(ssd130x_shutdown, "_gpl", "");

SYMBOL_CRC(ssd130x_variants, 0x760c3ba6, "_gpl");
SYMBOL_CRC(ssd130x_probe, 0x7d9d6e66, "_gpl");
SYMBOL_CRC(ssd130x_remove, 0x52ea7657, "_gpl");
SYMBOL_CRC(ssd130x_shutdown, 0xefd29194, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5266ec61, "drm_mode_probed_add" },
	{ 0x4efb0c46, "drm_set_preferred_mode" },
	{ 0x2f94b680, "pwm_put" },
	{ 0x39a005f4, "regulator_disable" },
	{ 0x9217ad26, "pwm_apply_might_sleep" },
	{ 0x4e4e33b5, "drm_crtc_helper_atomic_check" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0x37a0cba, "kfree" },
	{ 0xbb1fb6de, "__drm_atomic_helper_crtc_destroy_state" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xd8ca874a, "__drm_atomic_helper_crtc_duplicate_state" },
	{ 0x49232ee1, "drm_dev_enter" },
	{ 0xfb578fc5, "memset" },
	{ 0xf9cb5625, "regmap_bulk_write" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0x4f7ff3fa, "drm_atomic_helper_check_plane_state" },
	{ 0xacad5247, "__drm_gem_destroy_shadow_plane_state" },
	{ 0xebf2a31f, "__drm_gem_duplicate_shadow_plane_state" },
	{ 0x7be0eefb, "drm_dev_unplug" },
	{ 0xb970df70, "drm_atomic_helper_shutdown" },
	{ 0x84247d5d, "drm_format_conv_state_reserve" },
	{ 0xb2fe2f1f, "drm_atomic_helper_damage_iter_init" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0x871ab41a, "drm_rect_intersect" },
	{ 0xbbdf503, "drm_gem_fb_begin_cpu_access" },
	{ 0xeda6d88e, "drm_fb_xrgb8888_to_rgb332" },
	{ 0x4c0b84b5, "drm_gem_fb_end_cpu_access" },
	{ 0xd571a8a7, "drm_fb_xrgb8888_to_gray8" },
	{ 0x44c339bf, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa55ab25, "drm_fb_xrgb8888_to_mono" },
	{ 0xd72a607b, "gpiod_set_value_cansleep" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd2b77aba, "regulator_enable" },
	{ 0x1fb5a39a, "pwm_get" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x124e6df7, "__drm_atomic_helper_crtc_reset" },
	{ 0x152a0a8d, "__drm_gem_reset_shadow_plane" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0x62b04339, "drm_gem_shmem_prime_import_sg_table" },
	{ 0xd4805699, "drm_gem_shmem_dumb_create" },
	{ 0x5f577086, "noop_llseek" },
	{ 0x95f41205, "drm_read" },
	{ 0x4524c255, "drm_poll" },
	{ 0x8afdb048, "drm_ioctl" },
	{ 0x412b413c, "drm_compat_ioctl" },
	{ 0xfc2a4198, "drm_gem_mmap" },
	{ 0x472682ee, "drm_open" },
	{ 0x9c479f23, "drm_release" },
	{ 0x39952705, "drm_gem_fb_create_with_dirty" },
	{ 0x6eb6ada3, "drm_atomic_helper_check" },
	{ 0x7db378a7, "drm_atomic_helper_commit" },
	{ 0x463912c, "drm_atomic_helper_connector_reset" },
	{ 0xc82c2d8f, "drm_helper_probe_single_connector_modes" },
	{ 0x2b84c75, "drm_connector_cleanup" },
	{ 0xf4ba863, "drm_atomic_helper_connector_duplicate_state" },
	{ 0x362076f1, "drm_atomic_helper_connector_destroy_state" },
	{ 0x18ea994c, "drm_encoder_cleanup" },
	{ 0xf9b02624, "drm_crtc_cleanup" },
	{ 0x23707a57, "drm_atomic_helper_set_config" },
	{ 0x7a594358, "drm_atomic_helper_page_flip" },
	{ 0x8db26680, "drm_atomic_helper_update_plane" },
	{ 0x98b2cd0, "drm_atomic_helper_disable_plane" },
	{ 0xa017ca76, "drm_plane_cleanup" },
	{ 0x6ce4d205, "drm_gem_begin_shadow_fb_access" },
	{ 0x5b9c22e9, "drm_gem_end_shadow_fb_access" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf118ab39, "regmap_write" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd4de967e, "__devm_drm_dev_alloc" },
	{ 0x1e715c1c, "device_get_match_data" },
	{ 0x64580cf8, "device_property_read_u32_array" },
	{ 0x8f67d901, "device_property_read_u8_array" },
	{ 0xa4f4d556, "device_property_present" },
	{ 0xc435d824, "devm_gpiod_get_optional" },
	{ 0xbf30954d, "devm_regulator_get" },
	{ 0xce75137b, "devm_backlight_device_register" },
	{ 0x8966d3dd, "drmm_mode_config_init" },
	{ 0xd9a0fd32, "drm_universal_plane_init" },
	{ 0xc90c6b3d, "drm_plane_enable_fb_damage_clips" },
	{ 0xb87eaf77, "drm_crtc_init_with_planes" },
	{ 0xc0594a39, "drm_encoder_init" },
	{ 0x30a06481, "drm_connector_init" },
	{ 0xc3041150, "drm_connector_attach_encoder" },
	{ 0xcbfe506a, "drm_mode_config_reset" },
	{ 0xd32ccca3, "drm_dev_register" },
	{ 0x7a16e034, "drm_fbdev_shmem_setup" },
	{ 0x716b4fac, "dev_err_probe" },
	{ 0xc8240d31, "_dev_err" },
	{ 0xe6ab6cfa, "drm_mode_duplicate" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "43671092E3A4D36F1F6766A");

MODULE_INFO(suserelease, "SLFO-1.2");
