#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ttm_tt_init, "", "");
KSYMTAB_FUNC(ttm_tt_fini, "", "");
KSYMTAB_FUNC(ttm_sg_tt_init, "", "");
KSYMTAB_FUNC(ttm_tt_populate, "", "");
KSYMTAB_FUNC(ttm_kmap_iter_tt_init, "", "");
KSYMTAB_FUNC(ttm_tt_pages_limit, "", "");
KSYMTAB_FUNC(ttm_bo_move_to_lru_tail, "", "");
KSYMTAB_FUNC(ttm_bo_set_bulk_move, "", "");
KSYMTAB_FUNC(ttm_bo_put, "", "");
KSYMTAB_FUNC(ttm_bo_eviction_valuable, "", "");
KSYMTAB_FUNC(ttm_bo_pin, "", "");
KSYMTAB_FUNC(ttm_bo_unpin, "", "");
KSYMTAB_FUNC(ttm_bo_mem_space, "", "");
KSYMTAB_FUNC(ttm_bo_validate, "", "");
KSYMTAB_FUNC(ttm_bo_init_reserved, "", "");
KSYMTAB_FUNC(ttm_bo_init_validate, "", "");
KSYMTAB_FUNC(ttm_bo_unmap_virtual, "", "");
KSYMTAB_FUNC(ttm_bo_wait_ctx, "", "");
KSYMTAB_FUNC(ttm_move_memcpy, "", "");
KSYMTAB_FUNC(ttm_bo_move_memcpy, "", "");
KSYMTAB_FUNC(ttm_io_prot, "", "");
KSYMTAB_FUNC(ttm_bo_kmap, "", "");
KSYMTAB_FUNC(ttm_bo_kunmap, "", "");
KSYMTAB_FUNC(ttm_bo_vmap, "", "");
KSYMTAB_FUNC(ttm_bo_vunmap, "", "");
KSYMTAB_FUNC(ttm_bo_move_accel_cleanup, "", "");
KSYMTAB_FUNC(ttm_bo_move_sync_cleanup, "", "");
KSYMTAB_FUNC(ttm_bo_vm_reserve, "", "");
KSYMTAB_FUNC(ttm_bo_vm_fault_reserved, "", "");
KSYMTAB_FUNC(ttm_bo_vm_dummy_page, "", "");
KSYMTAB_FUNC(ttm_bo_vm_fault, "", "");
KSYMTAB_FUNC(ttm_bo_vm_open, "", "");
KSYMTAB_FUNC(ttm_bo_vm_close, "", "");
KSYMTAB_FUNC(ttm_bo_vm_access, "", "");
KSYMTAB_FUNC(ttm_bo_mmap_obj, "", "");
KSYMTAB_FUNC(ttm_eu_backoff_reservation, "", "");
KSYMTAB_FUNC(ttm_eu_reserve_buffers, "", "");
KSYMTAB_FUNC(ttm_eu_fence_buffer_objects, "", "");
KSYMTAB_FUNC(ttm_range_man_init_nocheck, "", "");
KSYMTAB_FUNC(ttm_range_man_fini_nocheck, "", "");
KSYMTAB_FUNC(ttm_lru_bulk_move_init, "", "");
KSYMTAB_FUNC(ttm_lru_bulk_move_fini, "", "");
KSYMTAB_FUNC(ttm_lru_bulk_move_tail, "", "");
KSYMTAB_FUNC(ttm_resource_init, "", "");
KSYMTAB_FUNC(ttm_resource_fini, "", "");
KSYMTAB_FUNC(ttm_resource_free, "", "");
KSYMTAB_FUNC(ttm_resource_manager_init, "", "");
KSYMTAB_FUNC(ttm_resource_manager_evict_all, "", "");
KSYMTAB_FUNC(ttm_resource_manager_usage, "", "");
KSYMTAB_FUNC(ttm_resource_manager_debug, "", "");
KSYMTAB_FUNC(ttm_kmap_iter_iomap_init, "", "");
KSYMTAB_FUNC(ttm_resource_manager_create_debugfs, "", "");
KSYMTAB_FUNC(ttm_pool_alloc, "", "");
KSYMTAB_FUNC(ttm_pool_free, "", "");
KSYMTAB_FUNC(ttm_pool_init, "", "");
KSYMTAB_FUNC(ttm_pool_fini, "", "");
KSYMTAB_FUNC(ttm_pool_debugfs, "", "");
KSYMTAB_DATA(ttm_glob, "", "");
KSYMTAB_FUNC(ttm_device_swapout, "", "");
KSYMTAB_FUNC(ttm_device_init, "", "");
KSYMTAB_FUNC(ttm_device_fini, "", "");
KSYMTAB_FUNC(ttm_device_clear_dma_mappings, "", "");
KSYMTAB_FUNC(ttm_agp_bind, "", "");
KSYMTAB_FUNC(ttm_agp_unbind, "", "");
KSYMTAB_FUNC(ttm_agp_is_bound, "", "");
KSYMTAB_FUNC(ttm_agp_destroy, "", "");
KSYMTAB_FUNC(ttm_agp_tt_create, "", "");

SYMBOL_CRC(ttm_tt_init, 0x7557d335, "");
SYMBOL_CRC(ttm_tt_fini, 0xfd06e45f, "");
SYMBOL_CRC(ttm_sg_tt_init, 0x4b7ad758, "");
SYMBOL_CRC(ttm_tt_populate, 0xac2b2f88, "");
SYMBOL_CRC(ttm_kmap_iter_tt_init, 0xf6b40704, "");
SYMBOL_CRC(ttm_tt_pages_limit, 0x69cc2943, "");
SYMBOL_CRC(ttm_bo_move_to_lru_tail, 0x39cdbed8, "");
SYMBOL_CRC(ttm_bo_set_bulk_move, 0x3a93ce04, "");
SYMBOL_CRC(ttm_bo_put, 0x50e320ad, "");
SYMBOL_CRC(ttm_bo_eviction_valuable, 0xf8f3bb1b, "");
SYMBOL_CRC(ttm_bo_pin, 0x1e572b19, "");
SYMBOL_CRC(ttm_bo_unpin, 0x7b09b82f, "");
SYMBOL_CRC(ttm_bo_mem_space, 0xf6057ee0, "");
SYMBOL_CRC(ttm_bo_validate, 0xf07017b2, "");
SYMBOL_CRC(ttm_bo_init_reserved, 0xea99d9b7, "");
SYMBOL_CRC(ttm_bo_init_validate, 0xc1969142, "");
SYMBOL_CRC(ttm_bo_unmap_virtual, 0xe687d358, "");
SYMBOL_CRC(ttm_bo_wait_ctx, 0x4bc390da, "");
SYMBOL_CRC(ttm_move_memcpy, 0x1a71d30c, "");
SYMBOL_CRC(ttm_bo_move_memcpy, 0x44247cfb, "");
SYMBOL_CRC(ttm_io_prot, 0xa6491c1f, "");
SYMBOL_CRC(ttm_bo_kmap, 0x38803874, "");
SYMBOL_CRC(ttm_bo_kunmap, 0xb298baf6, "");
SYMBOL_CRC(ttm_bo_vmap, 0x69e53ce6, "");
SYMBOL_CRC(ttm_bo_vunmap, 0xf082eb2e, "");
SYMBOL_CRC(ttm_bo_move_accel_cleanup, 0x16b1dd98, "");
SYMBOL_CRC(ttm_bo_move_sync_cleanup, 0xc0ca7273, "");
SYMBOL_CRC(ttm_bo_vm_reserve, 0xcbde7d04, "");
SYMBOL_CRC(ttm_bo_vm_fault_reserved, 0x92f6fccf, "");
SYMBOL_CRC(ttm_bo_vm_dummy_page, 0x503319c4, "");
SYMBOL_CRC(ttm_bo_vm_fault, 0x7c6883cb, "");
SYMBOL_CRC(ttm_bo_vm_open, 0x5b1a29b8, "");
SYMBOL_CRC(ttm_bo_vm_close, 0x6d16d254, "");
SYMBOL_CRC(ttm_bo_vm_access, 0x24599e11, "");
SYMBOL_CRC(ttm_bo_mmap_obj, 0x0ee3bba2, "");
SYMBOL_CRC(ttm_eu_backoff_reservation, 0x923cb429, "");
SYMBOL_CRC(ttm_eu_reserve_buffers, 0xe914ed9c, "");
SYMBOL_CRC(ttm_eu_fence_buffer_objects, 0xa8bb4226, "");
SYMBOL_CRC(ttm_range_man_init_nocheck, 0xfbf48527, "");
SYMBOL_CRC(ttm_range_man_fini_nocheck, 0x037fea73, "");
SYMBOL_CRC(ttm_lru_bulk_move_init, 0x794af6c0, "");
SYMBOL_CRC(ttm_lru_bulk_move_fini, 0xc3440db6, "");
SYMBOL_CRC(ttm_lru_bulk_move_tail, 0xeb879613, "");
SYMBOL_CRC(ttm_resource_init, 0x0543967d, "");
SYMBOL_CRC(ttm_resource_fini, 0x81747c04, "");
SYMBOL_CRC(ttm_resource_free, 0xa2933357, "");
SYMBOL_CRC(ttm_resource_manager_init, 0x46024aff, "");
SYMBOL_CRC(ttm_resource_manager_evict_all, 0x2fa75b14, "");
SYMBOL_CRC(ttm_resource_manager_usage, 0xfcbd36a0, "");
SYMBOL_CRC(ttm_resource_manager_debug, 0xc956adbc, "");
SYMBOL_CRC(ttm_kmap_iter_iomap_init, 0x6a847134, "");
SYMBOL_CRC(ttm_resource_manager_create_debugfs, 0x183f1a8c, "");
SYMBOL_CRC(ttm_pool_alloc, 0xa89130d1, "");
SYMBOL_CRC(ttm_pool_free, 0x17f6216e, "");
SYMBOL_CRC(ttm_pool_init, 0x491777df, "");
SYMBOL_CRC(ttm_pool_fini, 0x521d5eb2, "");
SYMBOL_CRC(ttm_pool_debugfs, 0x5508331b, "");
SYMBOL_CRC(ttm_glob, 0x5c98de92, "");
SYMBOL_CRC(ttm_device_swapout, 0x75590bfa, "");
SYMBOL_CRC(ttm_device_init, 0x8726a03d, "");
SYMBOL_CRC(ttm_device_fini, 0xc9edab94, "");
SYMBOL_CRC(ttm_device_clear_dma_mappings, 0x9cf0783c, "");
SYMBOL_CRC(ttm_agp_bind, 0x75d61f72, "");
SYMBOL_CRC(ttm_agp_unbind, 0x42305d84, "");
SYMBOL_CRC(ttm_agp_is_bound, 0x0ef3d54d, "");
SYMBOL_CRC(ttm_agp_destroy, 0x0c5693d6, "");
SYMBOL_CRC(ttm_agp_tt_create, 0xa602644d, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1bdfd5e2, "dma_resv_add_fence" },
	{ 0x94961283, "vunmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x2e4f415b, "seq_lseek" },
	{ 0xf4cc6b3, "drm_vma_offset_add" },
	{ 0x2140e8a1, "__drm_printfn_seq_file" },
	{ 0x4d924f20, "memremap" },
	{ 0xbd90bb9c, "__tracepoint_mmap_lock_released" },
	{ 0x9493fc86, "node_states" },
	{ 0xbe3586f6, "dma_fence_wait_timeout" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa6af852c, "shrinker_free" },
	{ 0x384b280d, "drm_mm_print" },
	{ 0xe1039b83, "set_pages_wb" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x28ba6fe1, "dma_map_page_attrs" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x148330d6, "__alloc_pages_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0x6f23b3ba, "ww_mutex_trylock" },
	{ 0xaa93b6f5, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3f8878b9, "shrinker_register" },
	{ 0x33b84f74, "copy_page" },
	{ 0x618911fc, "numa_node" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x6cb3aac, "__free_pages" },
	{ 0x71b12b37, "_dev_info" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x5fdebe3, "mark_page_accessed" },
	{ 0xa75f803b, "shmem_file_setup" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0xa8caa2e, "fput" },
	{ 0xba0efd1f, "down_write" },
	{ 0x209b8854, "up_write" },
	{ 0x786ccc9c, "agp_free_memory" },
	{ 0xaff268c7, "dma_fence_signal" },
	{ 0xc37fd5cf, "dma_resv_fini" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x18595920, "dma_alloc_attrs" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0x6de67898, "debugfs_remove" },
	{ 0x925493f, "clear_page_orig" },
	{ 0x56a719f2, "seq_putc" },
	{ 0xefafcb0b, "ww_mutex_lock" },
	{ 0xe71d7f4d, "shmem_read_mapping_page_gfp" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xe7adf183, "vmap" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0x481dda0e, "__put_devmap_managed_folio_refs" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0x45c19cbe, "vmf_insert_pfn_prot" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xf0517d7a, "drm_mm_init" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x43ecc46c, "agp_allocate_memory" },
	{ 0xceda9bad, "agp_unbind_memory" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x25b1a326, "__drm_puts_seq_file" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xf6f9d58d, "init_on_free" },
	{ 0x9fb64856, "down_read" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x8ec5081e, "dma_resv_copy_fences" },
	{ 0x39d2735b, "set_page_dirty" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x4a38d9f7, "seq_read" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xa38c4c94, "drm_memcpy_from_wc" },
	{ 0x2e311004, "dma_fence_enable_sw_signaling" },
	{ 0xbe9e3f5b, "set_pages_array_wc" },
	{ 0xf4334299, "dma_free_attrs" },
	{ 0xbc0d826d, "drm_printf" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x63ac4f8a, "dma_resv_iter_next_unlocked" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x9f7aac60, "seq_write" },
	{ 0x64a5c687, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7ad7a5cd, "seq_printf" },
	{ 0x73dfaadd, "__mmap_lock_do_trace_released" },
	{ 0x8ae718dd, "debugfs_create_file_full" },
	{ 0x21adeb65, "dma_resv_iter_first_unlocked" },
	{ 0xbd6ee8cc, "alloc_pages_noprof" },
	{ 0x250337ee, "boot_cpu_data" },
	{ 0x8d8b2fb3, "single_release" },
	{ 0xce3e2479, "set_pages_array_uc" },
	{ 0xa4191c0b, "memset_io" },
	{ 0x65b9336f, "dma_resv_test_signaled" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xcc328a5c, "reservation_ww_class" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xcc0c994, "__vma_start_write" },
	{ 0x495b28e9, "single_open" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0xd20f3ddd, "debugfs_create_dir" },
	{ 0x53a61fba, "cc_platform_has" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xb570b5d7, "up_read" },
	{ 0x69f9ac8f, "drm_vma_offset_remove" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x580e0bb3, "shrinker_alloc" },
	{ 0x9425c3d9, "ww_mutex_lock_interruptible" },
	{ 0x49232ee1, "drm_dev_enter" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb18fe1bf, "param_ops_ulong" },
	{ 0xfe0cae17, "dma_resv_reserve_fences" },
	{ 0x4b7ebf95, "drm_mm_remove_node" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x10cd53, "agp_bind_memory" },
	{ 0x6f7382ed, "vmalloc_to_page" },
	{ 0xb46bb550, "dma_resv_init" },
	{ 0x8b3be13e, "dma_resv_wait_timeout" },
	{ 0x5fafb06f, "__drm_printfn_dbg" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0x57698a50, "drm_mm_takedown" },
	{ 0xfa666974, "queue_work_node" },
	{ 0xb51d11a4, "dma_unmap_page_attrs" },
	{ 0xb4032484, "drm_mm_insert_node_in_range" },
	{ 0x556422b3, "ioremap_cache" },
	{ 0x90cfa281, "ww_mutex_unlock" },
	{ 0xedc03953, "iounmap" },
	{ 0x73ce1dbd, "debugfs_create_atomic_t" },
	{ 0x27a83e18, "unmap_mapping_range" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "654955A6B60A6D2699444C3");

MODULE_INFO(suserelease, "SLFO-1.2");
