#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x71b5bbcc, "usb_submit_urb" },
	{ 0x69acdf38, "memcpy" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xaa079e2d, "hid_open_report" },
	{ 0x7400d0b2, "hid_hw_start" },
	{ 0xf6b634fd, "hid_is_usb" },
	{ 0x55a2d436, "usb_free_urb" },
	{ 0x82dadba9, "hid_hw_stop" },
	{ 0x4ed62146, "usb_alloc_urb" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x6c3829ef, "hid_unregister_driver" },
	{ 0x7dd6c90e, "ida_destroy" },
	{ 0xd385b1da, "input_event" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x901d4986, "input_mt_report_slot_state" },
	{ 0xb90883c4, "input_mt_sync_frame" },
	{ 0xc3b6f2a, "hid_hw_close" },
	{ 0x10119bb, "ida_free" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x56b79e06, "hid_hw_request" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xa2429ab9, "ida_alloc_range" },
	{ 0x754d539c, "strlen" },
	{ 0x452add96, "devm_led_classdev_register_ext" },
	{ 0x5cdf54af, "input_set_capability" },
	{ 0xb4211447, "input_ff_create_memless" },
	{ 0x792c9efe, "devm_kasprintf" },
	{ 0x36085e82, "devm_power_supply_register" },
	{ 0x92e1ee7c, "power_supply_powers" },
	{ 0xf0a9ba0d, "hid_hw_open" },
	{ 0x3cde5feb, "hid_validate_values" },
	{ 0xdf33bab2, "input_mt_init_slots" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x9b49be9d, "__hid_register_driver" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x71b12b37, "_dev_info" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x31ab1f08, "hid_hw_raw_request" },
	{ 0x37a0cba, "kfree" },
	{ 0x7373a18e, "hid_hw_output_report" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xdde289cb, "devm_input_allocate_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x3cb06817, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf24ba071, "input_register_device" },
	{ 0xac8902a3, "input_set_abs_params" },
	{ 0x65b14190, "input_alloc_absinfo" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x4b402815, "power_supply_get_drvdata" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "usbcore,usbhid,ff-memless");

MODULE_ALIAS("hid:b0003g*v0000054Cp00000268");
MODULE_ALIAS("hid:b0003g*v0000054Cp0000042F");
MODULE_ALIAS("hid:b0005g*v0000054Cp0000042F");
MODULE_ALIAS("hid:b0003g*v0000054Cp000003D5");
MODULE_ALIAS("hid:b0005g*v0000054Cp000003D5");
MODULE_ALIAS("hid:b0005g*v0000054Cp00000268");
MODULE_ALIAS("hid:b0003g*v0000054Cp0000024B");
MODULE_ALIAS("hid:b0003g*v0000054Cp00000374");
MODULE_ALIAS("hid:b0003g*v0000054Cp00000002");
MODULE_ALIAS("hid:b0003g*v0000054Cp00001000");
MODULE_ALIAS("hid:b0005g*v0000054Cp00000306");
MODULE_ALIAS("hid:b0005g*v0000046Dp00000306");
MODULE_ALIAS("hid:b0005g*v00000609p00000306");
MODULE_ALIAS("hid:b0003g*v00001345p00003008");
MODULE_ALIAS("hid:b0005g*v00000609p00000368");
MODULE_ALIAS("hid:b0005g*v00000609p00000369");
MODULE_ALIAS("hid:b0003g*v000012BAp0000074B");
MODULE_ALIAS("hid:b0003g*v00001430p0000474C");
MODULE_ALIAS("hid:b0003g*v000012BAp00000100");
MODULE_ALIAS("hid:b0003g*v00001430p000007BB");

MODULE_INFO(srcversion, "D194E8A14A6E18D98B897F7");

MODULE_INFO(suserelease, "SLFO-1.2");
