#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(pmbus_clear_cache, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_set_update, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_set_page, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_byte, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_word_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_update_fan, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_read_word_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_read_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_update_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_fan_rate_device, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_fan_rate_cached, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_clear_faults, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_check_byte_register, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_check_word_register, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_driver_info, "_gpl", "PMBUS");
KSYMTAB_DATA(pmbus_regulator_ops, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_do_probe, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_debugfs_dir, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_lock_interruptible, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_unlock, "_gpl", "PMBUS");

SYMBOL_CRC(pmbus_clear_cache, 0x80ce5d38, "_gpl");
SYMBOL_CRC(pmbus_set_update, 0xd4564213, "_gpl");
SYMBOL_CRC(pmbus_set_page, 0x6a410c14, "_gpl");
SYMBOL_CRC(pmbus_write_byte, 0x8fa394db, "_gpl");
SYMBOL_CRC(pmbus_write_word_data, 0x5d82569a, "_gpl");
SYMBOL_CRC(pmbus_update_fan, 0x8000b326, "_gpl");
SYMBOL_CRC(pmbus_read_word_data, 0x09929903, "_gpl");
SYMBOL_CRC(pmbus_read_byte_data, 0x001e3d1a, "_gpl");
SYMBOL_CRC(pmbus_write_byte_data, 0x942ca329, "_gpl");
SYMBOL_CRC(pmbus_update_byte_data, 0x7a92a276, "_gpl");
SYMBOL_CRC(pmbus_get_fan_rate_device, 0xd5630ac6, "_gpl");
SYMBOL_CRC(pmbus_get_fan_rate_cached, 0x2d337b10, "_gpl");
SYMBOL_CRC(pmbus_clear_faults, 0xc85b64e8, "_gpl");
SYMBOL_CRC(pmbus_check_byte_register, 0x729bac45, "_gpl");
SYMBOL_CRC(pmbus_check_word_register, 0x467745ae, "_gpl");
SYMBOL_CRC(pmbus_get_driver_info, 0xb168fd8e, "_gpl");
SYMBOL_CRC(pmbus_regulator_ops, 0x0bbb586a, "_gpl");
SYMBOL_CRC(pmbus_do_probe, 0x87f2b17c, "_gpl");
SYMBOL_CRC(pmbus_get_debugfs_dir, 0x12e3a2ff, "_gpl");
SYMBOL_CRC(pmbus_lock_interruptible, 0x533e10e1, "_gpl");
SYMBOL_CRC(pmbus_unlock, 0x0930c82b, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6f4ce5b8, "i2c_smbus_read_block_data" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x79381862, "sysfs_notify" },
	{ 0xc398603b, "kobject_uevent" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0x78d37b87, "rdev_get_dev" },
	{ 0x9891851f, "rdev_get_id" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x3a669b7c, "regulator_notifier_call_chain" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x9166fada, "strncpy" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x267fd114, "i2c_smbus_xfer" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x3cd2a400, "device_create_file" },
	{ 0x177e48ab, "__devm_add_action" },
	{ 0x6241ec86, "devm_kstrdup" },
	{ 0x7410aba2, "strreplace" },
	{ 0x69acdf38, "memcpy" },
	{ 0x48f3cb1, "devm_hwmon_device_register_with_groups" },
	{ 0xe29dc757, "devm_regulator_register" },
	{ 0x716b4fac, "dev_err_probe" },
	{ 0xd0934899, "devm_request_threaded_irq" },
	{ 0x96848186, "scnprintf" },
	{ 0x8ae718dd, "debugfs_create_file_full" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0x5f577086, "noop_llseek" },
	{ 0x5a0f8bd0, "simple_open" },
	{ 0x75929dff, "debugfs_attr_read" },
	{ 0x76b3852f, "debugfs_attr_write" },
	{ 0x1dde4200, "simple_attr_release" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x35729f61, "device_remove_file" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x59c280e5, "devm_krealloc" },
	{ 0x3cb06817, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd20f3ddd, "debugfs_create_dir" },
	{ 0x6de67898, "debugfs_remove" },
	{ 0xdc2f1a09, "simple_attr_open" },
	{ 0x3edbc68d, "mutex_lock_interruptible" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf9a482f9, "msleep" },
	{ 0x37f2241c, "i2c_smbus_write_byte_data" },
	{ 0xd30d0413, "i2c_smbus_read_byte_data" },
	{ 0x2df30613, "i2c_smbus_write_byte" },
	{ 0x62395ed5, "i2c_smbus_write_word_data" },
	{ 0x8032d8c9, "i2c_smbus_read_word_data" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "8777F6FA7D631D901E276E8");

MODULE_INFO(suserelease, "SLFO-1.2");
