#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(dw_i3c_common_probe, "_gpl", "");
KSYMTAB_FUNC(dw_i3c_common_remove, "_gpl", "");

SYMBOL_CRC(dw_i3c_common_probe, 0x34117b07, "_gpl");
SYMBOL_CRC(dw_i3c_common_remove, 0xb55a476d, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2ba3cbe5, "platform_get_irq" },
	{ 0xd0934899, "devm_request_threaded_irq" },
	{ 0xf42ab0a3, "pm_runtime_set_autosuspend_delay" },
	{ 0x6d93b33b, "pm_runtime_enable" },
	{ 0x7262d80c, "i3c_master_register" },
	{ 0x3cb06817, "devm_kmalloc" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xa6257a2f, "complete" },
	{ 0xbe20b2d4, "i3c_generic_ibi_get_free_slot" },
	{ 0x55cf4a98, "i3c_master_queue_ibi" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x71b12b37, "_dev_info" },
	{ 0xd5dcc637, "__pm_runtime_resume" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xc8240d31, "_dev_err" },
	{ 0xa9cac0a3, "pinctrl_pm_select_default_state" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xc1bf5e1c, "i3c_master_enec_locked" },
	{ 0x296374a0, "i3c_master_get_free_addr" },
	{ 0x52e16683, "i3c_master_add_i3c_dev_locked" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x2d889ce1, "i3c_master_set_info" },
	{ 0x44f6e30b, "pm_runtime_force_suspend" },
	{ 0xacdb3104, "pm_runtime_force_resume" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xdf0614a1, "__pm_runtime_suspend" },
	{ 0x8b3d8abf, "i3c_generic_ibi_recycle_slot" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x740562a3, "i3c_master_disec_locked" },
	{ 0x76fe3e05, "i3c_generic_ibi_free_pool" },
	{ 0x77a124ae, "i3c_generic_ibi_alloc_pool" },
	{ 0x37a0cba, "kfree" },
	{ 0xd1221d62, "i3c_master_do_daa" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xa921c518, "i3c_master_unregister" },
	{ 0xf40beb46, "__pm_runtime_disable" },
	{ 0x478dcfc2, "__pm_runtime_set_status" },
	{ 0x972fec3a, "__pm_runtime_use_autosuspend" },
	{ 0x65eccb12, "__platform_driver_register" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x8b024789, "pinctrl_pm_select_sleep_state" },
	{ 0xdbe27298, "platform_driver_unregister" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2d608534, "devm_platform_ioremap_resource" },
	{ 0xcfca7edf, "devm_clk_get_enabled" },
	{ 0x5a9c1881, "devm_clk_get_optional_enabled" },
	{ 0x1a443451, "__devm_reset_control_get" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "i3c");

MODULE_ALIAS("of:N*T*Csnps,dw-i3c-master-1.00a");
MODULE_ALIAS("of:N*T*Csnps,dw-i3c-master-1.00aC*");

MODULE_INFO(srcversion, "A0ACCF07EEEB04E09FD1500");

MODULE_INFO(suserelease, "SLFO-1.2");
