#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(iio_dma_buffer_block_done, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_block_list_abort, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_request_update, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_enable, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_disable, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_read, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_write, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_usage, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_attach_dmabuf, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_detach_dmabuf, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_enqueue_dmabuf, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_lock_queue, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_unlock_queue, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_set_bytes_per_datum, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_set_length, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_init, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_exit, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_release, "_gpl", "IIO_DMA_BUFFER");

SYMBOL_CRC(iio_dma_buffer_block_done, 0x1f541b7e, "_gpl");
SYMBOL_CRC(iio_dma_buffer_block_list_abort, 0x049659b1, "_gpl");
SYMBOL_CRC(iio_dma_buffer_request_update, 0xa17e2f33, "_gpl");
SYMBOL_CRC(iio_dma_buffer_enable, 0x97747d3c, "_gpl");
SYMBOL_CRC(iio_dma_buffer_disable, 0x5ab68d5f, "_gpl");
SYMBOL_CRC(iio_dma_buffer_read, 0xdfe42a22, "_gpl");
SYMBOL_CRC(iio_dma_buffer_write, 0x80484043, "_gpl");
SYMBOL_CRC(iio_dma_buffer_usage, 0x7495687f, "_gpl");
SYMBOL_CRC(iio_dma_buffer_attach_dmabuf, 0x1cec42fe, "_gpl");
SYMBOL_CRC(iio_dma_buffer_detach_dmabuf, 0xcfcadb83, "_gpl");
SYMBOL_CRC(iio_dma_buffer_enqueue_dmabuf, 0x489704be, "_gpl");
SYMBOL_CRC(iio_dma_buffer_lock_queue, 0x3ff39b35, "_gpl");
SYMBOL_CRC(iio_dma_buffer_unlock_queue, 0x895b2aec, "_gpl");
SYMBOL_CRC(iio_dma_buffer_set_bytes_per_datum, 0x1f591edf, "_gpl");
SYMBOL_CRC(iio_dma_buffer_set_length, 0xb398901c, "_gpl");
SYMBOL_CRC(iio_dma_buffer_init, 0xe7eafef5, "_gpl");
SYMBOL_CRC(iio_dma_buffer_exit, 0x8957c350, "_gpl");
SYMBOL_CRC(iio_dma_buffer_release, 0x414e86f5, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf4334299, "dma_free_attrs" },
	{ 0x7ba695a3, "iio_buffer_put" },
	{ 0x37a0cba, "kfree" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x4c715c57, "iio_buffer_init" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x18595920, "dma_alloc_attrs" },
	{ 0xaf11a917, "iio_buffer_get" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf6491531, "__wake_up" },
	{ 0x49464a3f, "iio_buffer_signal_dmabuf_done" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "industrialio");


MODULE_INFO(srcversion, "64DCF8D7C4D48A5DA12915B");

MODULE_INFO(suserelease, "SLFO-1.2");
