#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ms_sensors_reset, "", "IIO_MEAS_SPEC_SENSORS");
KSYMTAB_FUNC(ms_sensors_read_prom_word, "", "IIO_MEAS_SPEC_SENSORS");
KSYMTAB_FUNC(ms_sensors_convert_and_read, "", "IIO_MEAS_SPEC_SENSORS");
KSYMTAB_FUNC(ms_sensors_read_serial, "", "IIO_MEAS_SPEC_SENSORS");
KSYMTAB_FUNC(ms_sensors_write_resolution, "", "IIO_MEAS_SPEC_SENSORS");
KSYMTAB_FUNC(ms_sensors_show_battery_low, "", "IIO_MEAS_SPEC_SENSORS");
KSYMTAB_FUNC(ms_sensors_show_heater, "", "IIO_MEAS_SPEC_SENSORS");
KSYMTAB_FUNC(ms_sensors_write_heater, "", "IIO_MEAS_SPEC_SENSORS");
KSYMTAB_FUNC(ms_sensors_ht_read_temperature, "", "IIO_MEAS_SPEC_SENSORS");
KSYMTAB_FUNC(ms_sensors_ht_read_humidity, "", "IIO_MEAS_SPEC_SENSORS");
KSYMTAB_FUNC(ms_sensors_tp_read_prom, "", "IIO_MEAS_SPEC_SENSORS");
KSYMTAB_FUNC(ms_sensors_read_temp_and_pressure, "", "IIO_MEAS_SPEC_SENSORS");

SYMBOL_CRC(ms_sensors_reset, 0x2d2f5cd5, "");
SYMBOL_CRC(ms_sensors_read_prom_word, 0x045688dd, "");
SYMBOL_CRC(ms_sensors_convert_and_read, 0x42b6a050, "");
SYMBOL_CRC(ms_sensors_read_serial, 0x87b15bf7, "");
SYMBOL_CRC(ms_sensors_write_resolution, 0x704fb7a0, "");
SYMBOL_CRC(ms_sensors_show_battery_low, 0x03e7d295, "");
SYMBOL_CRC(ms_sensors_show_heater, 0x8621bf05, "");
SYMBOL_CRC(ms_sensors_write_heater, 0xb818ec80, "");
SYMBOL_CRC(ms_sensors_ht_read_temperature, 0xae9f3b48, "");
SYMBOL_CRC(ms_sensors_ht_read_humidity, 0xe589c9ba, "");
SYMBOL_CRC(ms_sensors_tp_read_prom, 0x8ac052a1, "");
SYMBOL_CRC(ms_sensors_read_temp_and_pressure, 0x3b54ecca, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2df30613, "i2c_smbus_write_byte" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x8032d8c9, "i2c_smbus_read_word_data" },
	{ 0x3c2f3143, "i2c_smbus_read_i2c_block_data" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0x40fb811b, "i2c_transfer_buffer_flags" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x37f2241c, "i2c_smbus_write_byte_data" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0x25efb3ec, "i2c_transfer" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C7C6C47FFDE659E17031032");

MODULE_INFO(suserelease, "SLFO-1.2");
