#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(bmp280_chip_info, "", "IIO_BMP280");
KSYMTAB_DATA(bme280_chip_info, "", "IIO_BMP280");
KSYMTAB_DATA(bmp380_chip_info, "", "IIO_BMP280");
KSYMTAB_DATA(bmp580_chip_info, "", "IIO_BMP280");
KSYMTAB_DATA(bmp180_chip_info, "", "IIO_BMP280");
KSYMTAB_FUNC(bmp280_common_probe, "", "IIO_BMP280");
KSYMTAB_DATA(bmp280_dev_pm_ops, "", "");
KSYMTAB_DATA(bmp180_regmap_config, "", "IIO_BMP280");
KSYMTAB_DATA(bmp280_regmap_config, "", "IIO_BMP280");
KSYMTAB_DATA(bme280_regmap_config, "", "IIO_BMP280");
KSYMTAB_DATA(bmp380_regmap_config, "", "IIO_BMP280");
KSYMTAB_DATA(bmp580_regmap_config, "", "IIO_BMP280");

SYMBOL_CRC(bmp280_chip_info, 0x58f938bb, "");
SYMBOL_CRC(bme280_chip_info, 0x2f1c197f, "");
SYMBOL_CRC(bmp380_chip_info, 0xc5f6d9cd, "");
SYMBOL_CRC(bmp580_chip_info, 0x3d34927b, "");
SYMBOL_CRC(bmp180_chip_info, 0x24981d60, "");
SYMBOL_CRC(bmp280_common_probe, 0x9292ba47, "");
SYMBOL_CRC(bmp280_dev_pm_ops, 0x374c5f16, "");
SYMBOL_CRC(bmp180_regmap_config, 0x3713959a, "");
SYMBOL_CRC(bmp280_regmap_config, 0xdd9548f8, "");
SYMBOL_CRC(bme280_regmap_config, 0xf05dfe48, "");
SYMBOL_CRC(bmp380_regmap_config, 0x32c7fe19, "");
SYMBOL_CRC(bmp580_regmap_config, 0x3cbb429c, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x716b4fac, "dev_err_probe" },
	{ 0x3e960a19, "iio_trigger_notify_done" },
	{ 0xdf0614a1, "__pm_runtime_suspend" },
	{ 0x177e48ab, "__devm_add_action" },
	{ 0xdf76bbeb, "iio_pollfunc_store_time" },
	{ 0x972fec3a, "__pm_runtime_use_autosuspend" },
	{ 0xf40beb46, "__pm_runtime_disable" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x66ebde19, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xf118ab39, "regmap_write" },
	{ 0xd0934899, "devm_request_threaded_irq" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x6a10bb05, "gpiod_set_value" },
	{ 0x1f59d2dc, "devm_nvmem_register" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x56c2b2e1, "devm_iio_triggered_buffer_setup_ext" },
	{ 0xa6257a2f, "complete" },
	{ 0xf42ab0a3, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x49e32fee, "iio_push_to_buffers" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc435d824, "devm_gpiod_get_optional" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x478dcfc2, "__pm_runtime_set_status" },
	{ 0xd66c8184, "add_device_randomness" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6d93b33b, "pm_runtime_enable" },
	{ 0xf8d8016b, "regulator_bulk_disable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x71b12b37, "_dev_info" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x5cf6961e, "irq_get_irq_data" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xf6d88cc9, "__devm_iio_device_register" },
	{ 0x73022cdc, "devm_iio_device_alloc" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0x30512e50, "regulator_bulk_set_supply_names" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfaf62c21, "regulator_bulk_enable" },
	{ 0xfa0ef4bc, "devm_regulator_bulk_get" },
	{ 0xb1cb6610, "iio_get_time_ns" },
	{ 0x29f8f608, "regmap_read" },
	{ 0xf9cb5625, "regmap_bulk_write" },
	{ 0xd5dcc637, "__pm_runtime_resume" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x651b3fa2, "regmap_bulk_read" },
	{ 0x2c56a64a, "regmap_update_bits_base" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "industrialio,industrialio-triggered-buffer");


MODULE_INFO(srcversion, "3B329A381C77EF259650548");

MODULE_INFO(suserelease, "SLFO-1.2");
