#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ibcm_reject_msg, "", "");
KSYMTAB_FUNC(ib_create_cm_id, "", "");
KSYMTAB_FUNC(ib_destroy_cm_id, "", "");
KSYMTAB_FUNC(ib_cm_listen, "", "");
KSYMTAB_FUNC(ib_cm_insert_listen, "", "");
KSYMTAB_FUNC(ib_send_cm_req, "", "");
KSYMTAB_FUNC(ib_send_cm_rep, "", "");
KSYMTAB_FUNC(ib_send_cm_rtu, "", "");
KSYMTAB_FUNC(ib_send_cm_dreq, "", "");
KSYMTAB_FUNC(ib_send_cm_drep, "", "");
KSYMTAB_FUNC(ib_send_cm_rej, "", "");
KSYMTAB_FUNC(ib_send_cm_mra, "", "");
KSYMTAB_FUNC(ib_send_cm_sidr_req, "", "");
KSYMTAB_FUNC(ib_send_cm_sidr_rep, "", "");
KSYMTAB_FUNC(ib_cm_notify, "", "");
KSYMTAB_FUNC(ib_cm_init_qp_attr, "", "");

SYMBOL_CRC(ibcm_reject_msg, 0x69824a14, "");
SYMBOL_CRC(ib_create_cm_id, 0x81c2042f, "");
SYMBOL_CRC(ib_destroy_cm_id, 0x4bf9b0e6, "");
SYMBOL_CRC(ib_cm_listen, 0x9cb37a5e, "");
SYMBOL_CRC(ib_cm_insert_listen, 0x6534c81e, "");
SYMBOL_CRC(ib_send_cm_req, 0x3a40479b, "");
SYMBOL_CRC(ib_send_cm_rep, 0xee6b5ae7, "");
SYMBOL_CRC(ib_send_cm_rtu, 0x019a28fd, "");
SYMBOL_CRC(ib_send_cm_dreq, 0x7e567644, "");
SYMBOL_CRC(ib_send_cm_drep, 0xda1361e2, "");
SYMBOL_CRC(ib_send_cm_rej, 0xd86c554f, "");
SYMBOL_CRC(ib_send_cm_mra, 0xd1caea08, "");
SYMBOL_CRC(ib_send_cm_sidr_req, 0x4178d8cd, "");
SYMBOL_CRC(ib_send_cm_sidr_rep, 0xdc530eb8, "");
SYMBOL_CRC(ib_cm_notify, 0x3ec59fd9, "");
SYMBOL_CRC(ib_cm_init_qp_attr, 0x064de48d, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x77188b5d, "trace_event_buffer_commit" },
	{ 0x92c885de, "rdma_create_ah" },
	{ 0xf21a0ac, "ib_init_ah_attr_from_wc" },
	{ 0x9ce4eecd, "ib_find_cached_pkey" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xf250e2d4, "rt_write_unlock" },
	{ 0x4fcbfa03, "ib_register_client" },
	{ 0x4eaa5515, "ib_unregister_mad_agent" },
	{ 0xc2b0a0f3, "ib_post_send_mad" },
	{ 0x52c721f4, "ib_create_send_mad" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x7ec56c70, "perf_trace_run_bpf_submit" },
	{ 0xceb288fc, "rdma_destroy_ah_attr" },
	{ 0x1bbc2c5d, "ib_set_client_data" },
	{ 0x4ca329bb, "ib_get_cached_pkey" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb9b31de8, "xa_load" },
	{ 0xe8447127, "rdma_put_gid_attr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7dd02326, "__xa_alloc_cyclic" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x658574f4, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x57a45346, "bpf_trace_run1" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x86c3a855, "rdma_destroy_ah_user" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x5880fdb9, "ib_free_send_mad" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x83566bad, "ib_port_unregister_client_groups" },
	{ 0x918431c7, "xa_erase" },
	{ 0xcb67b626, "bpf_trace_run3" },
	{ 0x42bbd5c6, "rdma_move_ah_attr" },
	{ 0xedd7eb58, "rt_read_lock" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x27a7a36e, "trace_event_buffer_reserve" },
	{ 0x7db2ca6f, "rdma_find_gid" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9ebb2bfc, "rt_read_unlock" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe534dea0, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x9919fd8, "rt_write_lock" },
	{ 0x987e89e1, "ib_free_recv_mad" },
	{ 0x8979616a, "ib_register_mad_agent" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x629034a, "ib_modify_mad" },
	{ 0x7a2840fd, "ib_create_ah_from_wc" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x6ddfd5e1, "ib_unregister_client" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa3c04c39, "ib_init_ah_attr_from_path" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xa6257a2f, "complete" },
	{ 0xa11a97c1, "trace_raw_output_prep" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xb07d43ee, "__trace_trigger_soft_disabled" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xdf4574bf, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x549dee85, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x37a0cba, "kfree" },
	{ 0xfe351107, "rdma_query_gid" },
	{ 0x551cbcdf, "ib_port_register_client_groups" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x45195e92, "ib_modify_port" },
	{ 0xd0d9d74c, "bpf_trace_run2" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "90F0AD289812AEE10A5EE31");

MODULE_INFO(suserelease, "SLFO-1.2");
