#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ib_pack, "", "");
KSYMTAB_FUNC(ib_unpack, "", "");
KSYMTAB_FUNC(ib_ud_ip4_csum, "", "");
KSYMTAB_FUNC(ib_ud_header_init, "", "");
KSYMTAB_FUNC(ib_ud_header_pack, "", "");
KSYMTAB_FUNC(ib_event_msg, "", "");
KSYMTAB_FUNC(ib_wc_status_msg, "", "");
KSYMTAB_FUNC(ib_rate_to_mult, "", "");
KSYMTAB_FUNC(mult_to_ib_rate, "", "");
KSYMTAB_FUNC(ib_rate_to_mbps, "", "");
KSYMTAB_FUNC(rdma_node_get_transport, "", "");
KSYMTAB_FUNC(rdma_port_get_link_layer, "", "");
KSYMTAB_FUNC(__ib_alloc_pd, "", "");
KSYMTAB_FUNC(ib_dealloc_pd_user, "", "");
KSYMTAB_FUNC(rdma_copy_ah_attr, "", "");
KSYMTAB_FUNC(rdma_replace_ah_attr, "", "");
KSYMTAB_FUNC(rdma_move_ah_attr, "", "");
KSYMTAB_FUNC(rdma_create_ah, "", "");
KSYMTAB_FUNC(rdma_create_user_ah, "", "");
KSYMTAB_FUNC(ib_get_rdma_header_version, "", "");
KSYMTAB_FUNC(ib_get_gids_from_rdma_hdr, "", "");
KSYMTAB_FUNC(ib_init_ah_attr_from_wc, "", "");
KSYMTAB_FUNC(rdma_move_grh_sgid_attr, "", "");
KSYMTAB_FUNC(rdma_destroy_ah_attr, "", "");
KSYMTAB_FUNC(ib_create_ah_from_wc, "", "");
KSYMTAB_FUNC(rdma_modify_ah, "", "");
KSYMTAB_FUNC(rdma_query_ah, "", "");
KSYMTAB_FUNC(rdma_destroy_ah_user, "", "");
KSYMTAB_FUNC(ib_create_srq_user, "", "");
KSYMTAB_FUNC(ib_modify_srq, "", "");
KSYMTAB_FUNC(ib_query_srq, "", "");
KSYMTAB_FUNC(ib_destroy_srq_user, "", "");
KSYMTAB_FUNC(ib_open_qp, "", "");
KSYMTAB_FUNC(ib_create_qp_user, "", "");
KSYMTAB_FUNC(ib_qp_usecnt_inc, "", "");
KSYMTAB_FUNC(ib_qp_usecnt_dec, "", "");
KSYMTAB_FUNC(ib_create_qp_kernel, "", "");
KSYMTAB_FUNC(ib_modify_qp_is_ok, "", "");
KSYMTAB_FUNC(ib_modify_qp_with_udata, "", "");
KSYMTAB_FUNC(ib_get_eth_speed, "", "");
KSYMTAB_FUNC(ib_modify_qp, "", "");
KSYMTAB_FUNC(ib_query_qp, "", "");
KSYMTAB_FUNC(ib_close_qp, "", "");
KSYMTAB_FUNC(ib_destroy_qp_user, "", "");
KSYMTAB_FUNC(__ib_create_cq, "", "");
KSYMTAB_FUNC(rdma_set_cq_moderation, "", "");
KSYMTAB_FUNC(ib_destroy_cq_user, "", "");
KSYMTAB_FUNC(ib_resize_cq, "", "");
KSYMTAB_FUNC(ib_reg_user_mr, "", "");
KSYMTAB_FUNC(ib_advise_mr, "", "");
KSYMTAB_FUNC(ib_dereg_mr_user, "", "");
KSYMTAB_FUNC(ib_alloc_mr, "", "");
KSYMTAB_FUNC(ib_alloc_mr_integrity, "", "");
KSYMTAB_FUNC(ib_attach_mcast, "", "");
KSYMTAB_FUNC(ib_detach_mcast, "", "");
KSYMTAB_FUNC(ib_alloc_xrcd_user, "", "");
KSYMTAB_FUNC(ib_dealloc_xrcd_user, "", "");
KSYMTAB_FUNC(ib_create_wq, "", "");
KSYMTAB_FUNC(ib_destroy_wq_user, "", "");
KSYMTAB_FUNC(ib_check_mr_status, "", "");
KSYMTAB_FUNC(ib_set_vf_link_state, "", "");
KSYMTAB_FUNC(ib_get_vf_config, "", "");
KSYMTAB_FUNC(ib_get_vf_stats, "", "");
KSYMTAB_FUNC(ib_set_vf_guid, "", "");
KSYMTAB_FUNC(ib_get_vf_guid, "", "");
KSYMTAB_FUNC(ib_map_mr_sg_pi, "", "");
KSYMTAB_FUNC(ib_map_mr_sg, "", "");
KSYMTAB_FUNC(ib_sg_to_pages, "", "");
KSYMTAB_FUNC(ib_drain_sq, "", "");
KSYMTAB_FUNC(ib_drain_rq, "", "");
KSYMTAB_FUNC(ib_drain_qp, "", "");
KSYMTAB_FUNC(rdma_alloc_netdev, "", "");
KSYMTAB_FUNC(rdma_init_netdev, "", "");
KSYMTAB_FUNC(__rdma_block_iter_start, "", "");
KSYMTAB_FUNC(__rdma_block_iter_next, "", "");
KSYMTAB_FUNC(rdma_alloc_hw_stats_struct, "", "");
KSYMTAB_FUNC(rdma_free_hw_stats_struct, "", "");
KSYMTAB_FUNC(ib_process_cq_direct, "", "");
KSYMTAB_FUNC(__ib_alloc_cq, "", "");
KSYMTAB_FUNC(__ib_alloc_cq_any, "", "");
KSYMTAB_FUNC(ib_free_cq, "", "");
KSYMTAB_FUNC(ib_cq_pool_get, "", "");
KSYMTAB_FUNC(ib_cq_pool_put, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_init, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_signature_init, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_wrs, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_post, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_destroy, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_destroy_signature, "", "");
KSYMTAB_FUNC(rdma_rw_mr_factor, "", "");
KSYMTAB_FUNC(ib_port_sysfs_get_ibdev_kobj, "", "");
KSYMTAB_FUNC(ib_port_register_client_groups, "", "");
KSYMTAB_FUNC(ib_port_unregister_client_groups, "", "");
KSYMTAB_DATA(ib_wq, "_gpl", "");
KSYMTAB_FUNC(rdma_dev_access_netns, "", "");
KSYMTAB_FUNC(ibdev_emerg, "", "");
KSYMTAB_FUNC(ibdev_alert, "", "");
KSYMTAB_FUNC(ibdev_crit, "", "");
KSYMTAB_FUNC(ibdev_err, "", "");
KSYMTAB_FUNC(ibdev_warn, "", "");
KSYMTAB_FUNC(ibdev_notice, "", "");
KSYMTAB_FUNC(ibdev_info, "", "");
KSYMTAB_FUNC(ib_device_put, "", "");
KSYMTAB_FUNC(ib_device_get_by_name, "", "");
KSYMTAB_FUNC(_ib_alloc_device, "", "");
KSYMTAB_FUNC(ib_dealloc_device, "", "");
KSYMTAB_FUNC(ib_port_immutable_read, "", "");
KSYMTAB_FUNC(ib_get_device_fw_str, "", "");
KSYMTAB_FUNC(ib_register_device, "", "");
KSYMTAB_FUNC(ib_unregister_device, "", "");
KSYMTAB_FUNC(ib_unregister_device_and_put, "", "");
KSYMTAB_FUNC(ib_unregister_driver, "", "");
KSYMTAB_FUNC(ib_unregister_device_queued, "", "");
KSYMTAB_FUNC(ib_register_client, "", "");
KSYMTAB_FUNC(ib_unregister_client, "", "");
KSYMTAB_FUNC(ib_set_client_data, "", "");
KSYMTAB_FUNC(ib_register_event_handler, "", "");
KSYMTAB_FUNC(ib_unregister_event_handler, "", "");
KSYMTAB_FUNC(ib_query_port, "", "");
KSYMTAB_FUNC(ib_device_set_netdev, "", "");
KSYMTAB_FUNC(ib_device_get_netdev, "", "");
KSYMTAB_FUNC(ib_query_netdev_port, "", "");
KSYMTAB_FUNC(ib_device_get_by_netdev, "", "");
KSYMTAB_FUNC(ib_query_pkey, "", "");
KSYMTAB_FUNC(ib_modify_device, "", "");
KSYMTAB_FUNC(ib_modify_port, "", "");
KSYMTAB_FUNC(ib_find_gid, "", "");
KSYMTAB_FUNC(ib_find_pkey, "", "");
KSYMTAB_FUNC(ib_get_net_dev_by_params, "", "");
KSYMTAB_FUNC(ib_set_device_ops, "", "");
KSYMTAB_FUNC(ib_add_sub_device, "", "");
KSYMTAB_FUNC(ib_del_sub_device_and_put, "", "");
KSYMTAB_FUNC(ib_dma_virt_map_sg, "", "");
KSYMTAB_FUNC(ib_dispatch_port_state_event, "", "");
KSYMTAB_DATA(zgid, "", "");
KSYMTAB_FUNC(ib_cache_gid_type_str, "", "");
KSYMTAB_FUNC(rdma_is_zero_gid, "", "");
KSYMTAB_FUNC(ib_cache_gid_parse_type_str, "", "");
KSYMTAB_FUNC(rdma_find_gid_by_port, "", "");
KSYMTAB_FUNC(rdma_query_gid, "", "");
KSYMTAB_FUNC(rdma_read_gid_hw_context, "", "");
KSYMTAB_FUNC(rdma_find_gid, "", "");
KSYMTAB_FUNC(ib_get_cached_pkey, "", "");
KSYMTAB_FUNC(ib_get_cached_subnet_prefix, "", "");
KSYMTAB_FUNC(ib_find_cached_pkey, "", "");
KSYMTAB_FUNC(ib_get_cached_lmc, "", "");
KSYMTAB_FUNC(ib_get_cached_port_state, "", "");
KSYMTAB_FUNC(rdma_get_gid_attr, "", "");
KSYMTAB_FUNC(rdma_query_gid_table, "", "");
KSYMTAB_FUNC(rdma_put_gid_attr, "", "");
KSYMTAB_FUNC(rdma_hold_gid_attr, "", "");
KSYMTAB_FUNC(rdma_read_gid_attr_ndev_rcu, "", "");
KSYMTAB_FUNC(rdma_read_gid_l2_fields, "", "");
KSYMTAB_FUNC(ib_dispatch_event, "", "");
KSYMTAB_FUNC(rdma_nl_chk_listeners, "", "");
KSYMTAB_FUNC(rdma_nl_register, "", "");
KSYMTAB_FUNC(rdma_nl_unregister, "", "");
KSYMTAB_FUNC(ibnl_put_msg, "", "");
KSYMTAB_FUNC(ibnl_put_attr, "", "");
KSYMTAB_FUNC(rdma_nl_unicast, "", "");
KSYMTAB_FUNC(rdma_nl_unicast_wait, "", "");
KSYMTAB_FUNC(rdma_nl_multicast, "", "");
KSYMTAB_FUNC(roce_gid_type_mask_support, "", "");
KSYMTAB_FUNC(rdma_roce_rescan_device, "", "");
KSYMTAB_FUNC(rdma_roce_rescan_port, "", "");
KSYMTAB_FUNC(roce_del_all_netdev_gids, "", "");
KSYMTAB_FUNC(ib_mr_pool_get, "", "");
KSYMTAB_FUNC(ib_mr_pool_put, "", "");
KSYMTAB_FUNC(ib_mr_pool_init, "", "");
KSYMTAB_FUNC(ib_mr_pool_destroy, "", "");
KSYMTAB_FUNC(rdma_addr_size, "", "");
KSYMTAB_FUNC(rdma_addr_size_in6, "", "");
KSYMTAB_FUNC(rdma_addr_size_kss, "", "");
KSYMTAB_FUNC(rdma_copy_src_l2_addr, "", "");
KSYMTAB_FUNC(rdma_translate_ip, "", "");
KSYMTAB_FUNC(rdma_resolve_ip, "", "");
KSYMTAB_FUNC(rdma_addr_cancel, "", "");
KSYMTAB_FUNC(ib_sa_register_client, "", "");
KSYMTAB_FUNC(ib_sa_unregister_client, "", "");
KSYMTAB_FUNC(ib_sa_cancel_query, "", "");
KSYMTAB_FUNC(ib_init_ah_attr_from_path, "", "");
KSYMTAB_FUNC(ib_sa_unpack_path, "", "");
KSYMTAB_FUNC(ib_sa_pack_path, "", "");
KSYMTAB_FUNC(ib_sa_path_rec_get, "", "");
KSYMTAB_FUNC(ib_sa_guid_info_rec_query, "", "");
KSYMTAB_FUNC(ib_sa_join_multicast, "", "");
KSYMTAB_FUNC(ib_sa_free_multicast, "", "");
KSYMTAB_FUNC(ib_sa_get_mcmember_rec, "", "");
KSYMTAB_FUNC(ib_init_ah_from_mcmember, "", "");
KSYMTAB_FUNC(ib_response_mad, "", "");
KSYMTAB_FUNC(ib_register_mad_agent, "", "");
KSYMTAB_FUNC(ib_unregister_mad_agent, "", "");
KSYMTAB_FUNC(ib_mad_kernel_rmpp_agent, "", "");
KSYMTAB_FUNC(ib_create_send_mad, "", "");
KSYMTAB_FUNC(ib_get_mad_data_offset, "", "");
KSYMTAB_FUNC(ib_is_mad_class_rmpp, "", "");
KSYMTAB_FUNC(ib_get_rmpp_segment, "", "");
KSYMTAB_FUNC(ib_free_send_mad, "", "");
KSYMTAB_FUNC(ib_post_send_mad, "", "");
KSYMTAB_FUNC(ib_free_recv_mad, "", "");
KSYMTAB_FUNC(ib_modify_mad, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_string, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u32, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u32_hex, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u64, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u64_hex, "", "");
KSYMTAB_FUNC(rdma_nl_get_privileged_qkey, "", "");
KSYMTAB_FUNC(rdma_nl_stat_hwcounter_entry, "", "");
KSYMTAB_FUNC(rdma_link_register, "", "");
KSYMTAB_FUNC(rdma_link_unregister, "", "");
KSYMTAB_FUNC(rdma_restrack_count, "", "");
KSYMTAB_FUNC(rdma_restrack_set_name, "", "");
KSYMTAB_FUNC(rdma_restrack_parent_name, "", "");
KSYMTAB_FUNC(rdma_restrack_new, "", "");
KSYMTAB_FUNC(rdma_restrack_add, "", "");
KSYMTAB_FUNC(rdma_restrack_get, "", "");
KSYMTAB_FUNC(rdma_restrack_get_byid, "", "");
KSYMTAB_FUNC(rdma_restrack_put, "", "");
KSYMTAB_FUNC(rdma_restrack_del, "", "");
KSYMTAB_FUNC(rdma_umap_priv_init, "", "");
KSYMTAB_FUNC(rdma_user_mmap_io, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_get_pgoff, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_get, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_put, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_remove, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_insert_range, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_insert, "", "");
KSYMTAB_FUNC(ib_create_qp_security, "", "");
KSYMTAB_FUNC(ib_rdmacg_try_charge, "", "");
KSYMTAB_FUNC(ib_rdmacg_uncharge, "", "");

SYMBOL_CRC(ib_pack, 0x22f3cf93, "");
SYMBOL_CRC(ib_unpack, 0xa432baf6, "");
SYMBOL_CRC(ib_ud_ip4_csum, 0x6b958320, "");
SYMBOL_CRC(ib_ud_header_init, 0xb7852a05, "");
SYMBOL_CRC(ib_ud_header_pack, 0xe9e799fc, "");
SYMBOL_CRC(ib_event_msg, 0xf6ed3334, "");
SYMBOL_CRC(ib_wc_status_msg, 0xe5840ec6, "");
SYMBOL_CRC(ib_rate_to_mult, 0x5987bc79, "");
SYMBOL_CRC(mult_to_ib_rate, 0x6644920a, "");
SYMBOL_CRC(ib_rate_to_mbps, 0x6c183078, "");
SYMBOL_CRC(rdma_node_get_transport, 0xf5dedb30, "");
SYMBOL_CRC(rdma_port_get_link_layer, 0xc9c66360, "");
SYMBOL_CRC(__ib_alloc_pd, 0xf8a76d1c, "");
SYMBOL_CRC(ib_dealloc_pd_user, 0xf70609d4, "");
SYMBOL_CRC(rdma_copy_ah_attr, 0xa6de9e81, "");
SYMBOL_CRC(rdma_replace_ah_attr, 0x7763f15b, "");
SYMBOL_CRC(rdma_move_ah_attr, 0x42bbd5c6, "");
SYMBOL_CRC(rdma_create_ah, 0x92c885de, "");
SYMBOL_CRC(rdma_create_user_ah, 0xc16597ef, "");
SYMBOL_CRC(ib_get_rdma_header_version, 0x00cd25ea, "");
SYMBOL_CRC(ib_get_gids_from_rdma_hdr, 0x58df5b94, "");
SYMBOL_CRC(ib_init_ah_attr_from_wc, 0x0f21a0ac, "");
SYMBOL_CRC(rdma_move_grh_sgid_attr, 0xf2480b2c, "");
SYMBOL_CRC(rdma_destroy_ah_attr, 0xceb288fc, "");
SYMBOL_CRC(ib_create_ah_from_wc, 0x7a2840fd, "");
SYMBOL_CRC(rdma_modify_ah, 0xd08e5028, "");
SYMBOL_CRC(rdma_query_ah, 0x226a27f9, "");
SYMBOL_CRC(rdma_destroy_ah_user, 0x86c3a855, "");
SYMBOL_CRC(ib_create_srq_user, 0x17fd2838, "");
SYMBOL_CRC(ib_modify_srq, 0xd117c8ab, "");
SYMBOL_CRC(ib_query_srq, 0x69c0e66f, "");
SYMBOL_CRC(ib_destroy_srq_user, 0xcbf18d74, "");
SYMBOL_CRC(ib_open_qp, 0xa351b824, "");
SYMBOL_CRC(ib_create_qp_user, 0x59e6a860, "");
SYMBOL_CRC(ib_qp_usecnt_inc, 0xd58e5fa2, "");
SYMBOL_CRC(ib_qp_usecnt_dec, 0x7a62776b, "");
SYMBOL_CRC(ib_create_qp_kernel, 0x32225815, "");
SYMBOL_CRC(ib_modify_qp_is_ok, 0xab62888d, "");
SYMBOL_CRC(ib_modify_qp_with_udata, 0x3180fc36, "");
SYMBOL_CRC(ib_get_eth_speed, 0xbb7eaaa5, "");
SYMBOL_CRC(ib_modify_qp, 0xec935608, "");
SYMBOL_CRC(ib_query_qp, 0xa064235d, "");
SYMBOL_CRC(ib_close_qp, 0x16a5c426, "");
SYMBOL_CRC(ib_destroy_qp_user, 0xf526f9d8, "");
SYMBOL_CRC(__ib_create_cq, 0x36e4b336, "");
SYMBOL_CRC(rdma_set_cq_moderation, 0xa8c89194, "");
SYMBOL_CRC(ib_destroy_cq_user, 0xb4e7c1c1, "");
SYMBOL_CRC(ib_resize_cq, 0x06a38930, "");
SYMBOL_CRC(ib_reg_user_mr, 0x86efff96, "");
SYMBOL_CRC(ib_advise_mr, 0x5da80f81, "");
SYMBOL_CRC(ib_dereg_mr_user, 0x17a7e945, "");
SYMBOL_CRC(ib_alloc_mr, 0x2f4bc816, "");
SYMBOL_CRC(ib_alloc_mr_integrity, 0xb16c23e2, "");
SYMBOL_CRC(ib_attach_mcast, 0x0a204f88, "");
SYMBOL_CRC(ib_detach_mcast, 0x4f92228b, "");
SYMBOL_CRC(ib_alloc_xrcd_user, 0x7bbd196d, "");
SYMBOL_CRC(ib_dealloc_xrcd_user, 0x7a6b617a, "");
SYMBOL_CRC(ib_create_wq, 0xf3375cad, "");
SYMBOL_CRC(ib_destroy_wq_user, 0x16020463, "");
SYMBOL_CRC(ib_check_mr_status, 0x3cd9e1df, "");
SYMBOL_CRC(ib_set_vf_link_state, 0x5f67eef6, "");
SYMBOL_CRC(ib_get_vf_config, 0x90e7bbd0, "");
SYMBOL_CRC(ib_get_vf_stats, 0x551124bf, "");
SYMBOL_CRC(ib_set_vf_guid, 0x7f57da25, "");
SYMBOL_CRC(ib_get_vf_guid, 0xbda92656, "");
SYMBOL_CRC(ib_map_mr_sg_pi, 0x0d491978, "");
SYMBOL_CRC(ib_map_mr_sg, 0xd0953608, "");
SYMBOL_CRC(ib_sg_to_pages, 0x76ad00e0, "");
SYMBOL_CRC(ib_drain_sq, 0xb4998e6f, "");
SYMBOL_CRC(ib_drain_rq, 0x6756a9e4, "");
SYMBOL_CRC(ib_drain_qp, 0xd1a5b75f, "");
SYMBOL_CRC(rdma_alloc_netdev, 0x8b849650, "");
SYMBOL_CRC(rdma_init_netdev, 0xca646085, "");
SYMBOL_CRC(__rdma_block_iter_start, 0x680e3cfd, "");
SYMBOL_CRC(__rdma_block_iter_next, 0x61373fd2, "");
SYMBOL_CRC(rdma_alloc_hw_stats_struct, 0xaef59dd3, "");
SYMBOL_CRC(rdma_free_hw_stats_struct, 0x1178fd44, "");
SYMBOL_CRC(ib_process_cq_direct, 0xddff06e6, "");
SYMBOL_CRC(__ib_alloc_cq, 0xff799a41, "");
SYMBOL_CRC(__ib_alloc_cq_any, 0xedace1ee, "");
SYMBOL_CRC(ib_free_cq, 0xe8ea079c, "");
SYMBOL_CRC(ib_cq_pool_get, 0x49bc486e, "");
SYMBOL_CRC(ib_cq_pool_put, 0xa381b9b5, "");
SYMBOL_CRC(rdma_rw_ctx_init, 0x032b01fb, "");
SYMBOL_CRC(rdma_rw_ctx_signature_init, 0xe6c992bd, "");
SYMBOL_CRC(rdma_rw_ctx_wrs, 0x5c3fc548, "");
SYMBOL_CRC(rdma_rw_ctx_post, 0x376d885e, "");
SYMBOL_CRC(rdma_rw_ctx_destroy, 0xe9e29280, "");
SYMBOL_CRC(rdma_rw_ctx_destroy_signature, 0x63820108, "");
SYMBOL_CRC(rdma_rw_mr_factor, 0xa45d1c30, "");
SYMBOL_CRC(ib_port_sysfs_get_ibdev_kobj, 0xa2fb9e01, "");
SYMBOL_CRC(ib_port_register_client_groups, 0x551cbcdf, "");
SYMBOL_CRC(ib_port_unregister_client_groups, 0x83566bad, "");
SYMBOL_CRC(ib_wq, 0xdbd019c4, "_gpl");
SYMBOL_CRC(rdma_dev_access_netns, 0xa512ac4c, "");
SYMBOL_CRC(ibdev_emerg, 0x14d3a396, "");
SYMBOL_CRC(ibdev_alert, 0xe7d1e3ca, "");
SYMBOL_CRC(ibdev_crit, 0x2853bbbf, "");
SYMBOL_CRC(ibdev_err, 0x118a8520, "");
SYMBOL_CRC(ibdev_warn, 0x6b2f8c9c, "");
SYMBOL_CRC(ibdev_notice, 0x0a9820a7, "");
SYMBOL_CRC(ibdev_info, 0x56e4cd04, "");
SYMBOL_CRC(ib_device_put, 0x94ddc906, "");
SYMBOL_CRC(ib_device_get_by_name, 0xdf2a6da4, "");
SYMBOL_CRC(_ib_alloc_device, 0x2939f1fe, "");
SYMBOL_CRC(ib_dealloc_device, 0x7db8cec4, "");
SYMBOL_CRC(ib_port_immutable_read, 0xed80b32e, "");
SYMBOL_CRC(ib_get_device_fw_str, 0x38691e2d, "");
SYMBOL_CRC(ib_register_device, 0x4b780112, "");
SYMBOL_CRC(ib_unregister_device, 0xa3227705, "");
SYMBOL_CRC(ib_unregister_device_and_put, 0x12fe1920, "");
SYMBOL_CRC(ib_unregister_driver, 0xd0478dc4, "");
SYMBOL_CRC(ib_unregister_device_queued, 0x74469df5, "");
SYMBOL_CRC(ib_register_client, 0x4fcbfa03, "");
SYMBOL_CRC(ib_unregister_client, 0x6ddfd5e1, "");
SYMBOL_CRC(ib_set_client_data, 0x1bbc2c5d, "");
SYMBOL_CRC(ib_register_event_handler, 0x159f6c2b, "");
SYMBOL_CRC(ib_unregister_event_handler, 0xdb155e1d, "");
SYMBOL_CRC(ib_query_port, 0xf43cd212, "");
SYMBOL_CRC(ib_device_set_netdev, 0x8abd55a8, "");
SYMBOL_CRC(ib_device_get_netdev, 0x93f7648e, "");
SYMBOL_CRC(ib_query_netdev_port, 0xa09e774c, "");
SYMBOL_CRC(ib_device_get_by_netdev, 0xc24dd9ac, "");
SYMBOL_CRC(ib_query_pkey, 0x46e4e1c4, "");
SYMBOL_CRC(ib_modify_device, 0xd74bcb61, "");
SYMBOL_CRC(ib_modify_port, 0x45195e92, "");
SYMBOL_CRC(ib_find_gid, 0xea4d4bc5, "");
SYMBOL_CRC(ib_find_pkey, 0xf716befd, "");
SYMBOL_CRC(ib_get_net_dev_by_params, 0x66a9bf7d, "");
SYMBOL_CRC(ib_set_device_ops, 0xa1968886, "");
SYMBOL_CRC(ib_add_sub_device, 0x5a737014, "");
SYMBOL_CRC(ib_del_sub_device_and_put, 0x15a76112, "");
SYMBOL_CRC(ib_dma_virt_map_sg, 0xb3321446, "");
SYMBOL_CRC(ib_dispatch_port_state_event, 0xe72d9f29, "");
SYMBOL_CRC(zgid, 0x434c5d10, "");
SYMBOL_CRC(ib_cache_gid_type_str, 0x55bb02f3, "");
SYMBOL_CRC(rdma_is_zero_gid, 0x6f3614b6, "");
SYMBOL_CRC(ib_cache_gid_parse_type_str, 0x90e807c7, "");
SYMBOL_CRC(rdma_find_gid_by_port, 0x10ee9153, "");
SYMBOL_CRC(rdma_query_gid, 0xfe351107, "");
SYMBOL_CRC(rdma_read_gid_hw_context, 0xbff10339, "");
SYMBOL_CRC(rdma_find_gid, 0x7db2ca6f, "");
SYMBOL_CRC(ib_get_cached_pkey, 0x4ca329bb, "");
SYMBOL_CRC(ib_get_cached_subnet_prefix, 0xd3173c87, "");
SYMBOL_CRC(ib_find_cached_pkey, 0x9ce4eecd, "");
SYMBOL_CRC(ib_get_cached_lmc, 0x54e01d59, "");
SYMBOL_CRC(ib_get_cached_port_state, 0x5e302573, "");
SYMBOL_CRC(rdma_get_gid_attr, 0x6211424e, "");
SYMBOL_CRC(rdma_query_gid_table, 0xeb62852a, "");
SYMBOL_CRC(rdma_put_gid_attr, 0xe8447127, "");
SYMBOL_CRC(rdma_hold_gid_attr, 0x464bf7e3, "");
SYMBOL_CRC(rdma_read_gid_attr_ndev_rcu, 0x7d8f412c, "");
SYMBOL_CRC(rdma_read_gid_l2_fields, 0xd94330e5, "");
SYMBOL_CRC(ib_dispatch_event, 0x46c7b21c, "");
SYMBOL_CRC(rdma_nl_chk_listeners, 0x45fb8985, "");
SYMBOL_CRC(rdma_nl_register, 0x30ffa014, "");
SYMBOL_CRC(rdma_nl_unregister, 0x75a729a0, "");
SYMBOL_CRC(ibnl_put_msg, 0x85fde220, "");
SYMBOL_CRC(ibnl_put_attr, 0x44ffc940, "");
SYMBOL_CRC(rdma_nl_unicast, 0xb0e1ef77, "");
SYMBOL_CRC(rdma_nl_unicast_wait, 0xb2c6a57b, "");
SYMBOL_CRC(rdma_nl_multicast, 0x91f1a6a7, "");
SYMBOL_CRC(roce_gid_type_mask_support, 0x520a9312, "");
SYMBOL_CRC(rdma_roce_rescan_device, 0x66f370db, "");
SYMBOL_CRC(rdma_roce_rescan_port, 0xb91ea687, "");
SYMBOL_CRC(roce_del_all_netdev_gids, 0x3536dd80, "");
SYMBOL_CRC(ib_mr_pool_get, 0x868cb962, "");
SYMBOL_CRC(ib_mr_pool_put, 0x93c10e93, "");
SYMBOL_CRC(ib_mr_pool_init, 0x4a6c01a4, "");
SYMBOL_CRC(ib_mr_pool_destroy, 0x092cf52a, "");
SYMBOL_CRC(rdma_addr_size, 0x70807834, "");
SYMBOL_CRC(rdma_addr_size_in6, 0xd6636ca6, "");
SYMBOL_CRC(rdma_addr_size_kss, 0x305e5701, "");
SYMBOL_CRC(rdma_copy_src_l2_addr, 0xbd53567e, "");
SYMBOL_CRC(rdma_translate_ip, 0xd3eafb6d, "");
SYMBOL_CRC(rdma_resolve_ip, 0x0341287f, "");
SYMBOL_CRC(rdma_addr_cancel, 0x8aa79670, "");
SYMBOL_CRC(ib_sa_register_client, 0x0c86f5cb, "");
SYMBOL_CRC(ib_sa_unregister_client, 0x439ce33c, "");
SYMBOL_CRC(ib_sa_cancel_query, 0xda0d50ec, "");
SYMBOL_CRC(ib_init_ah_attr_from_path, 0xa3c04c39, "");
SYMBOL_CRC(ib_sa_unpack_path, 0xd21bb37a, "");
SYMBOL_CRC(ib_sa_pack_path, 0xb4c40040, "");
SYMBOL_CRC(ib_sa_path_rec_get, 0x3d297878, "");
SYMBOL_CRC(ib_sa_guid_info_rec_query, 0x0ac7ff1b, "");
SYMBOL_CRC(ib_sa_join_multicast, 0xe1ceac00, "");
SYMBOL_CRC(ib_sa_free_multicast, 0x4e90435c, "");
SYMBOL_CRC(ib_sa_get_mcmember_rec, 0x1df6f19f, "");
SYMBOL_CRC(ib_init_ah_from_mcmember, 0xd32b62bc, "");
SYMBOL_CRC(ib_response_mad, 0x4e155af0, "");
SYMBOL_CRC(ib_register_mad_agent, 0x8979616a, "");
SYMBOL_CRC(ib_unregister_mad_agent, 0x4eaa5515, "");
SYMBOL_CRC(ib_mad_kernel_rmpp_agent, 0xc1408b4d, "");
SYMBOL_CRC(ib_create_send_mad, 0x52c721f4, "");
SYMBOL_CRC(ib_get_mad_data_offset, 0x787ccc4c, "");
SYMBOL_CRC(ib_is_mad_class_rmpp, 0x613b1e2e, "");
SYMBOL_CRC(ib_get_rmpp_segment, 0x2897a0bd, "");
SYMBOL_CRC(ib_free_send_mad, 0x5880fdb9, "");
SYMBOL_CRC(ib_post_send_mad, 0xc2b0a0f3, "");
SYMBOL_CRC(ib_free_recv_mad, 0x987e89e1, "");
SYMBOL_CRC(ib_modify_mad, 0x0629034a, "");
SYMBOL_CRC(rdma_nl_put_driver_string, 0xc7ffff94, "");
SYMBOL_CRC(rdma_nl_put_driver_u32, 0xa60327b6, "");
SYMBOL_CRC(rdma_nl_put_driver_u32_hex, 0xb41edda4, "");
SYMBOL_CRC(rdma_nl_put_driver_u64, 0x5279d920, "");
SYMBOL_CRC(rdma_nl_put_driver_u64_hex, 0x9d1c061b, "");
SYMBOL_CRC(rdma_nl_get_privileged_qkey, 0x992de6f8, "");
SYMBOL_CRC(rdma_nl_stat_hwcounter_entry, 0x06c8009e, "");
SYMBOL_CRC(rdma_link_register, 0x10464a26, "");
SYMBOL_CRC(rdma_link_unregister, 0x17451371, "");
SYMBOL_CRC(rdma_restrack_count, 0x2117bb32, "");
SYMBOL_CRC(rdma_restrack_set_name, 0x603b4d7c, "");
SYMBOL_CRC(rdma_restrack_parent_name, 0xfa037324, "");
SYMBOL_CRC(rdma_restrack_new, 0x80a161bc, "");
SYMBOL_CRC(rdma_restrack_add, 0xb2a7623e, "");
SYMBOL_CRC(rdma_restrack_get, 0x15a4d1f0, "");
SYMBOL_CRC(rdma_restrack_get_byid, 0xabef389a, "");
SYMBOL_CRC(rdma_restrack_put, 0xae010a23, "");
SYMBOL_CRC(rdma_restrack_del, 0xcaa36db9, "");
SYMBOL_CRC(rdma_umap_priv_init, 0xb42886ba, "");
SYMBOL_CRC(rdma_user_mmap_io, 0x09981f32, "");
SYMBOL_CRC(rdma_user_mmap_entry_get_pgoff, 0x0e129fe2, "");
SYMBOL_CRC(rdma_user_mmap_entry_get, 0xb765979f, "");
SYMBOL_CRC(rdma_user_mmap_entry_put, 0xfd4401ca, "");
SYMBOL_CRC(rdma_user_mmap_entry_remove, 0xdeabef0f, "");
SYMBOL_CRC(rdma_user_mmap_entry_insert_range, 0x23e1baea, "");
SYMBOL_CRC(rdma_user_mmap_entry_insert, 0x999b9cf1, "");
SYMBOL_CRC(ib_create_qp_security, 0x4621b685, "");
SYMBOL_CRC(ib_rdmacg_try_charge, 0xe08d02f2, "");
SYMBOL_CRC(ib_rdmacg_uncharge, 0x88737b8c, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xed153b93, "skb_push" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x5a921311, "strncmp" },
	{ 0x8d304f20, "nla_put" },
	{ 0x658574f4, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x2f891300, "netlink_kernel_release" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xafc20114, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x5515ad8e, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x24452933, "__ethtool_get_link_ksettings" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xe76d53ca, "xa_clear_mark" },
	{ 0x57a45346, "bpf_trace_run1" },
	{ 0x1080ce71, "device_del" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0x931f7ec2, "netdev_get_xmit_slave" },
	{ 0xfb578fc5, "memset" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xece784c2, "rb_first" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x312a716, "__neigh_event_send" },
	{ 0x433df513, "dev_printk_emit" },
	{ 0xa9c1db69, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9fb64856, "down_read" },
	{ 0xd62ba63d, "skb_trim" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xc036c743, "netdev_has_upper_dev_all_rcu" },
	{ 0xc119e274, "__xa_cmpxchg" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7f7f7bb4, "irq_poll_disable" },
	{ 0xb98fa7ed, "__xa_insert" },
	{ 0x918431c7, "xa_erase" },
	{ 0x65df862, "netdev_walk_all_upper_dev_rcu" },
	{ 0xcb67b626, "bpf_trace_run3" },
	{ 0x2cb42dd5, "__put_net" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xe5f70b80, "_dev_notice" },
	{ 0xedd7eb58, "rt_read_lock" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc131aac7, "neigh_destroy" },
	{ 0xc55d9811, "kobject_del" },
	{ 0x27a7a36e, "trace_event_buffer_reserve" },
	{ 0xa95beedf, "dma_map_sgtable" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9199b9f0, "param_ops_bool" },
	{ 0xf01d993d, "xa_destroy" },
	{ 0xfea41449, "xa_find" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x595b5d, "netdev_master_upper_dev_get_rcu" },
	{ 0x9ebb2bfc, "rt_read_unlock" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xe534dea0, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x554ae3a4, "irq_poll_sched" },
	{ 0x2cd8bc0, "dev_get_by_name" },
	{ 0x8b6fd82a, "netlink_ns_capable" },
	{ 0x297093d2, "dst_release" },
	{ 0x9919fd8, "rt_write_lock" },
	{ 0xc398603b, "kobject_uevent" },
	{ 0x2a1b953b, "rdmacg_uncharge" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0x2f2e91b2, "security_ib_alloc_security" },
	{ 0x71c72736, "downgrade_write" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xf738d1be, "register_blocking_lsm_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x788b948, "vlan_dev_vlan_id" },
	{ 0xc1ddd422, "dma_unmap_sg_attrs" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xab3697e4, "irq_poll_init" },
	{ 0xa256d729, "xa_find_after" },
	{ 0x94160518, "__put_task_struct_rcu_cb" },
	{ 0x311d4010, "ipv6_chk_addr" },
	{ 0xe1f11f7, "xa_set_mark" },
	{ 0x754d539c, "strlen" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xf2203c5f, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x349cba85, "strchr" },
	{ 0x50be748d, "security_ib_free_security" },
	{ 0xfb7b143, "netlink_has_listeners" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xb570b5d7, "up_read" },
	{ 0xabdbfb00, "register_pernet_device" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x5abd260, "get_net_ns_by_fd" },
	{ 0xb3d2d914, "class_register" },
	{ 0x77a686fc, "net_rwsem" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xde021df3, "kobject_put" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x3c74d0ff, "__netlink_dump_start" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x1757935, "rdmacg_register_device" },
	{ 0xa2429ab9, "ida_alloc_range" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x45f4e1cd, "__init_rwsem" },
	{ 0xbb62dd36, "rdmacg_try_charge" },
	{ 0xeb5dfd30, "netdev_walk_all_lower_dev_rcu" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x1d337321, "bpf_trace_run4" },
	{ 0x7dd6c90e, "ida_destroy" },
	{ 0xa65f21bc, "__nlmsg_put" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x3ec4ea5, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x50707f9c, "dev_set_name" },
	{ 0x75e20d86, "ip6_dst_hoplimit" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa11a97c1, "trace_raw_output_prep" },
	{ 0xecc0753c, "xa_get_mark" },
	{ 0x2fba5c7c, "nla_put_64bit" },
	{ 0xf89555bc, "xas_find_marked" },
	{ 0xca9360b5, "rb_next" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xb07d43ee, "__trace_trigger_soft_disabled" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xe80f8d0d, "__kmalloc_node_noprof" },
	{ 0xb51d11a4, "dma_unmap_page_attrs" },
	{ 0xdf4574bf, "trace_event_printf" },
	{ 0xc1210d8f, "__ip_dev_find" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xccbba119, "sysfs_remove_groups" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xbd0f9e0a, "__xa_erase" },
	{ 0x5e37d646, "__put_task_struct" },
	{ 0x1b777357, "rdmacg_unregister_device" },
	{ 0x28d7a5ab, "xas_find" },
	{ 0x306aecb7, "kobject_init" },
	{ 0x4628038c, "device_initialize" },
	{ 0xb9b5d5c6, "__dynamic_ibdev_dbg" },
	{ 0xa64685ef, "sysfs_create_groups" },
	{ 0x549dee85, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x2c493cf2, "remap_pfn_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xe929c118, "in6_dev_finish_destroy" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x7be70ec1, "__netlink_kernel_create" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xd0d9d74c, "bpf_trace_run2" },
	{ 0x2fceb1, "ip_route_output_flow" },
	{ 0x8576e767, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0x88822d38, "unregister_blocking_lsm_notifier" },
	{ 0x571b667e, "netlink_ack" },
	{ 0xd7d280ad, "irq_poll_complete" },
	{ 0xa0166433, "netlink_broadcast_filtered" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xac14972c, "device_rename" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x44c339bf, "dev_driver_string" },
	{ 0x77188b5d, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x28ba6fe1, "dma_map_page_attrs" },
	{ 0xc025779, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x489f6e0b, "rdma_dim" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x9d3d08f0, "put_device" },
	{ 0x72ce3949, "net_ns_type_operations" },
	{ 0xe58090ca, "security_ib_endport_manage_subnet" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xbe3dbdfa, "__alloc_skb" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0x4cf4fe68, "netlink_capable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf250e2d4, "rt_write_unlock" },
	{ 0x3f89071b, "security_ib_pkey_access" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x22d9e6bb, "__task_pid_nr_ns" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x75a54147, "__xa_alloc" },
	{ 0x3fe724ad, "vlan_dev_real_dev" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x7ec56c70, "perf_trace_run_bpf_submit" },
	{ 0xba0efd1f, "down_write" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x1eb1abab, "init_net" },
	{ 0xb071253e, "kobject_add" },
	{ 0x209b8854, "up_write" },
	{ 0x56dd0d4e, "ipv6_stub" },
	{ 0x1c785e13, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x9907f28, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6d64c27f, "sk_skb_reason_drop" },
	{ 0xdfee9d27, "netlink_unicast" },
	{ 0xb9b31de8, "xa_load" },
	{ 0xf785fbf2, "dev_get_by_index" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7dd02326, "__xa_alloc_cyclic" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1E8F2D5A3A77BBDAA1D14A3");

MODULE_INFO(suserelease, "SLFO-1.2");
