#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ib_uverbs_get_ucontext_file, "", "");
KSYMTAB_FUNC(rdma_user_mmap_disassociate, "", "");
KSYMTAB_FUNC(flow_resources_alloc, "", "");
KSYMTAB_FUNC(ib_uverbs_flow_resources_free, "", "");
KSYMTAB_FUNC(flow_resources_add, "", "");
KSYMTAB_FUNC(ib_copy_ah_attr_to_user, "", "");
KSYMTAB_FUNC(ib_copy_qp_attr_to_user, "", "");
KSYMTAB_FUNC(ib_copy_path_rec_to_user, "", "");
KSYMTAB_FUNC(uverbs_uobject_put, "", "");
KSYMTAB_FUNC(uverbs_try_lock_object, "", "");
KSYMTAB_DATA(uverbs_idr_class, "", "");
KSYMTAB_FUNC(uverbs_uobject_fd_release, "", "");
KSYMTAB_DATA(uverbs_fd_class, "", "");
KSYMTAB_FUNC(uverbs_destroy_def_handler, "", "");
KSYMTAB_FUNC(_uverbs_alloc, "", "");
KSYMTAB_FUNC(uverbs_get_flags64, "", "");
KSYMTAB_FUNC(uverbs_get_flags32, "", "");
KSYMTAB_FUNC(uverbs_copy_to, "", "");
KSYMTAB_FUNC(_uverbs_get_const_signed, "", "");
KSYMTAB_FUNC(_uverbs_get_const_unsigned, "", "");
KSYMTAB_FUNC(uverbs_copy_to_struct_or_zero, "", "");
KSYMTAB_FUNC(uverbs_finalize_uobj_create, "", "");
KSYMTAB_FUNC(ib_umem_find_best_pgsz, "", "");
KSYMTAB_FUNC(ib_umem_get, "", "");
KSYMTAB_FUNC(ib_umem_release, "", "");
KSYMTAB_FUNC(ib_umem_copy_from, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_map_pages, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_unmap_pages, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get_pinned_with_dma_device, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get_pinned, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_revoke, "", "");
KSYMTAB_FUNC(ib_umem_odp_alloc_implicit, "", "");
KSYMTAB_FUNC(ib_umem_odp_alloc_child, "", "");
KSYMTAB_FUNC(ib_umem_odp_get, "", "");
KSYMTAB_FUNC(ib_umem_odp_release, "", "");
KSYMTAB_FUNC(ib_umem_odp_map_dma_and_lock, "", "");
KSYMTAB_FUNC(ib_umem_odp_unmap_dma_pages, "", "");

SYMBOL_CRC(ib_uverbs_get_ucontext_file, 0x318f0c7c, "");
SYMBOL_CRC(rdma_user_mmap_disassociate, 0xdbf0aade, "");
SYMBOL_CRC(flow_resources_alloc, 0xd2abfc89, "");
SYMBOL_CRC(ib_uverbs_flow_resources_free, 0x1b2a2f52, "");
SYMBOL_CRC(flow_resources_add, 0x8c9f8ac6, "");
SYMBOL_CRC(ib_copy_ah_attr_to_user, 0xd3629dee, "");
SYMBOL_CRC(ib_copy_qp_attr_to_user, 0x91055bf9, "");
SYMBOL_CRC(ib_copy_path_rec_to_user, 0x36c34dc6, "");
SYMBOL_CRC(uverbs_uobject_put, 0x1878afd1, "");
SYMBOL_CRC(uverbs_try_lock_object, 0xa4c70a58, "");
SYMBOL_CRC(uverbs_idr_class, 0xfac9da68, "");
SYMBOL_CRC(uverbs_uobject_fd_release, 0x1132930e, "");
SYMBOL_CRC(uverbs_fd_class, 0x561c131f, "");
SYMBOL_CRC(uverbs_destroy_def_handler, 0xf12e16e4, "");
SYMBOL_CRC(_uverbs_alloc, 0x384aabee, "");
SYMBOL_CRC(uverbs_get_flags64, 0x02c829db, "");
SYMBOL_CRC(uverbs_get_flags32, 0xafa90181, "");
SYMBOL_CRC(uverbs_copy_to, 0xef10ec69, "");
SYMBOL_CRC(_uverbs_get_const_signed, 0x4d98b9fa, "");
SYMBOL_CRC(_uverbs_get_const_unsigned, 0x8e183c2a, "");
SYMBOL_CRC(uverbs_copy_to_struct_or_zero, 0x47e62d87, "");
SYMBOL_CRC(uverbs_finalize_uobj_create, 0xed9d4c32, "");
SYMBOL_CRC(ib_umem_find_best_pgsz, 0xd89a0ad6, "");
SYMBOL_CRC(ib_umem_get, 0x1f5423b1, "");
SYMBOL_CRC(ib_umem_release, 0x6d8cbbe4, "");
SYMBOL_CRC(ib_umem_copy_from, 0x2f80bf69, "");
SYMBOL_CRC(ib_umem_dmabuf_map_pages, 0x21df71a2, "");
SYMBOL_CRC(ib_umem_dmabuf_unmap_pages, 0xd1f3770b, "");
SYMBOL_CRC(ib_umem_dmabuf_get, 0x5fc14e24, "");
SYMBOL_CRC(ib_umem_dmabuf_get_pinned_with_dma_device, 0xc76a2c94, "");
SYMBOL_CRC(ib_umem_dmabuf_get_pinned, 0xa1438073, "");
SYMBOL_CRC(ib_umem_dmabuf_revoke, 0xfcb7bdda, "");
SYMBOL_CRC(ib_umem_odp_alloc_implicit, 0xeb838bfe, "");
SYMBOL_CRC(ib_umem_odp_alloc_child, 0x5824d6ca, "");
SYMBOL_CRC(ib_umem_odp_get, 0x22c7cf7c, "");
SYMBOL_CRC(ib_umem_odp_release, 0x49c57e96, "");
SYMBOL_CRC(ib_umem_odp_map_dma_and_lock, 0x617166ab, "");
SYMBOL_CRC(ib_umem_odp_unmap_dma_pages, 0x21974104, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf43cd212, "ib_query_port" },
	{ 0xf07b07f6, "sg_free_append_table" },
	{ 0x8d304f20, "nla_put" },
	{ 0xefafcb0b, "ww_mutex_lock" },
	{ 0x10e7473e, "fasync_helper" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd58e5fa2, "ib_qp_usecnt_inc" },
	{ 0xb41ff610, "dma_buf_put" },
	{ 0x10119bb, "ida_free" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xafc20114, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x8039c7c3, "cleanup_srcu_struct" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xf526f9d8, "ib_destroy_qp_user" },
	{ 0x992de6f8, "rdma_nl_get_privileged_qkey" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x603b4d7c, "rdma_restrack_set_name" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0xc16597ef, "rdma_create_user_ah" },
	{ 0x86c3a855, "rdma_destroy_ah_user" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x3f19c216, "dma_buf_pin" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xb4e7c1c1, "ib_destroy_cq_user" },
	{ 0x9fb64856, "down_read" },
	{ 0x107a0608, "__mmdrop" },
	{ 0xcaa36db9, "rdma_restrack_del" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xc119e274, "__xa_cmpxchg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x39d2735b, "set_page_dirty" },
	{ 0x918431c7, "xa_erase" },
	{ 0xb0273c19, "__mmap_lock_do_trace_start_locking" },
	{ 0x88737b8c, "ib_rdmacg_uncharge" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x7230beea, "fdget" },
	{ 0x65176e00, "igrab" },
	{ 0xb3321446, "ib_dma_virt_map_sg" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x4b6046da, "mmput" },
	{ 0xa95beedf, "dma_map_sgtable" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xf01d993d, "xa_destroy" },
	{ 0xfea41449, "xa_find" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x93b21b42, "__tracepoint_mmap_lock_start_locking" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x73dfaadd, "__mmap_lock_do_trace_released" },
	{ 0x7bbd196d, "ib_alloc_xrcd_user" },
	{ 0xe534dea0, "xa_store" },
	{ 0xab0a4180, "__srcu_read_unlock" },
	{ 0xa8c89194, "rdma_set_cq_moderation" },
	{ 0xbd6ee8cc, "alloc_pages_noprof" },
	{ 0x7a6b617a, "ib_dealloc_xrcd_user" },
	{ 0x1b8d77be, "dma_buf_detach" },
	{ 0x2fe56e83, "stream_open" },
	{ 0x4f51241a, "mmu_interval_notifier_insert" },
	{ 0xbce13abf, "mmput_async" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0xa351b824, "ib_open_qp" },
	{ 0xf70609d4, "ib_dealloc_pd_user" },
	{ 0x6211424e, "rdma_get_gid_attr" },
	{ 0xc1ddd422, "dma_unmap_sg_attrs" },
	{ 0xc9c66360, "rdma_port_get_link_layer" },
	{ 0xa256d729, "xa_find_after" },
	{ 0x80a161bc, "rdma_restrack_new" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0xeb62852a, "rdma_query_gid_table" },
	{ 0x94160518, "__put_task_struct_rcu_cb" },
	{ 0x196f9943, "get_task_pid" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xae010a23, "rdma_restrack_put" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xa204f88, "ib_attach_mcast" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xb42886ba, "rdma_umap_priv_init" },
	{ 0xb570b5d7, "up_read" },
	{ 0xcc5d22d9, "can_do_mlock" },
	{ 0x16020463, "ib_destroy_wq_user" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x3039a8a2, "put_pid" },
	{ 0xb3d2d914, "class_register" },
	{ 0xda59c8d, "cdev_init" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0xfd4401ca, "rdma_user_mmap_entry_put" },
	{ 0x828e235e, "pin_user_pages_fast" },
	{ 0x53e79788, "mmu_interval_notifier_remove" },
	{ 0xa2429ab9, "ida_alloc_range" },
	{ 0x4e5daa9a, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x30314de0, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x45f4e1cd, "__init_rwsem" },
	{ 0x6ddfd5e1, "ib_unregister_client" },
	{ 0x62cf70eb, "show_class_attr_string" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x3393b549, "unpin_user_pages_dirty_lock" },
	{ 0x59860803, "radix_tree_insert" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x50707f9c, "dev_set_name" },
	{ 0x6b2f8c9c, "ibdev_warn" },
	{ 0xa6257a2f, "complete" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xec884a8b, "mmu_interval_read_begin" },
	{ 0x59e6a860, "ib_create_qp_user" },
	{ 0x8b3be13e, "dma_resv_wait_timeout" },
	{ 0x59a754ae, "cdev_device_del" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xee8cabfe, "radix_tree_lookup" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xfc4bdd7b, "get_pid_task" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x3f6593e4, "kill_fasync" },
	{ 0xb51d11a4, "dma_unmap_page_attrs" },
	{ 0x9a996592, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x488376f2, "fget" },
	{ 0x5e37d646, "__put_task_struct" },
	{ 0x69c0e66f, "ib_query_srq" },
	{ 0x90cfa281, "ww_mutex_unlock" },
	{ 0x4628038c, "device_initialize" },
	{ 0xb9b5d5c6, "__dynamic_ibdev_dbg" },
	{ 0xe08d02f2, "ib_rdmacg_try_charge" },
	{ 0x6f1ae887, "fd_install" },
	{ 0x69acdf38, "memcpy" },
	{ 0x7d458cdb, "sg_alloc_append_table_from_pages" },
	{ 0x37a0cba, "kfree" },
	{ 0xf412205f, "unpin_user_page_range_dirty_lock" },
	{ 0x8aa69fa8, "iput" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0x6984d06, "dma_buf_unpin" },
	{ 0xf24f2f55, "zap_vma_ptes" },
	{ 0x17a7e945, "ib_dereg_mr_user" },
	{ 0x3416d62c, "prepare_to_wait_event" },
	{ 0xf91038ce, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xf6491531, "__wake_up" },
	{ 0xe8704392, "synchronize_srcu" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xa512ac4c, "rdma_dev_access_netns" },
	{ 0x8576e767, "get_device" },
	{ 0xa064235d, "ib_query_qp" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xbd90bb9c, "__tracepoint_mmap_lock_released" },
	{ 0x1799ebc9, "down_read_trylock" },
	{ 0xd6b30ed1, "dma_buf_dynamic_attach" },
	{ 0xa42cb88c, "class_create_file_ns" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xfa1c80a7, "radix_tree_iter_delete" },
	{ 0xcbf18d74, "ib_destroy_srq_user" },
	{ 0x7d8f412c, "rdma_read_gid_attr_ndev_rcu" },
	{ 0x44c7ef60, "hmm_range_fault" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x28ba6fe1, "dma_map_page_attrs" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x92997ed8, "_printk" },
	{ 0x4494c65a, "cdev_device_add" },
	{ 0x6d334118, "__get_user_8" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xb2a7623e, "rdma_restrack_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9d3d08f0, "put_device" },
	{ 0x68292976, "radix_tree_lookup_slot" },
	{ 0x3180fc36, "ib_modify_qp_with_udata" },
	{ 0x159f6c2b, "ib_register_event_handler" },
	{ 0x4f92228b, "ib_detach_mcast" },
	{ 0x20046f33, "dma_buf_map_attachment" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0x6cb3aac, "__free_pages" },
	{ 0xdb155e1d, "ib_unregister_event_handler" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7276b73a, "module_put" },
	{ 0x4fcbfa03, "ib_register_client" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x7228ccc9, "compat_ptr_ioctl" },
	{ 0x17fd2838, "ib_create_srq_user" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x6a4f623b, "mmu_notifier_synchronize" },
	{ 0x22d9e6bb, "__task_pid_nr_ns" },
	{ 0x75a54147, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa1b18a95, "init_srcu_struct" },
	{ 0xa8caa2e, "fput" },
	{ 0x1bbc2c5d, "ib_set_client_data" },
	{ 0xba0efd1f, "down_write" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x209b8854, "up_write" },
	{ 0xb2cf0d, "dma_buf_unmap_attachment" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xe8aa03e5, "radix_tree_next_chunk" },
	{ 0xd1b94d8a, "__srcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb9b31de8, "xa_load" },
	{ 0xe8447127, "rdma_put_gid_attr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x138d06cc, "init_on_alloc" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x7ae845f3, "dma_buf_get" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "E8C0402A524A2BAB7DBCE04");

MODULE_INFO(suserelease, "SLFO-1.2");
