#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xac8902a3, "input_set_abs_params" },
	{ 0x8d842521, "usb_deregister" },
	{ 0xd385b1da, "input_event" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xaf118a84, "input_allocate_device" },
	{ 0x5cdf54af, "input_set_capability" },
	{ 0xb4211447, "input_ff_create_memless" },
	{ 0x32c15a14, "input_free_device" },
	{ 0xf24ba071, "input_register_device" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xa2429ab9, "ida_alloc_range" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd0e19135, "led_classdev_register_ext" },
	{ 0x4acb56d9, "led_set_brightness" },
	{ 0x10119bb, "ida_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xd0ac672, "input_ff_destroy" },
	{ 0x10dc7c41, "led_classdev_unregister" },
	{ 0xa916b694, "strnlen" },
	{ 0x2f4a334c, "usb_alloc_coherent" },
	{ 0x4ed62146, "usb_alloc_urb" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0x55a2d436, "usb_free_urb" },
	{ 0xe06bd8, "usb_free_coherent" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xa0f97c43, "usb_wait_anchor_empty_timeout" },
	{ 0x4fbd717f, "input_unregister_device" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x68a8fb2c, "usb_kill_anchored_urbs" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x9199b9f0, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa7a38b4e, "usb_register_driver" },
	{ 0x6323482b, "usb_kill_urb" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0xbfc27fe0, "usb_anchor_urb" },
	{ 0x71b5bbcc, "usb_submit_urb" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x4e5a5e57, "usb_unanchor_urb" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x7078478d, "usb_ifnum_to_if" },
	{ 0x6760fa75, "usb_set_interface" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0x554e5791, "usb_control_msg_recv" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xdcbcee06, "input_device_enabled" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "usbcore,ff-memless");

MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic58isc42ip00in*");
MODULE_ALIAS("usb:v0079p*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v0079p*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v03EBp*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v03EBp*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v03F0p*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v03F0p*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v03F0p*d*dc*dsc*dp*icFFisc47ipD0in*");
MODULE_ALIAS("usb:v044Fp*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v044Fp*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v044Fp*d*dc*dsc*dp*icFFisc47ipD0in*");
MODULE_ALIAS("usb:v045Ep*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v045Ep*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v045Ep*d*dc*dsc*dp*icFFisc47ipD0in*");
MODULE_ALIAS("usb:v046Dp*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v046Dp*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v056Ep*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v056Ep*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v06A3p*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v06A3p*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v0738p*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v0738p*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v0738p4540d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0738p*d*dc*dsc*dp*icFFisc47ipD0in*");
MODULE_ALIAS("usb:v07FFp*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v07FFp*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v0B05p*d*dc*dsc*dp*icFFisc47ipD0in*");
MODULE_ALIAS("usb:v0C12p*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v0C12p*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v0DB0p*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v0DB0p*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v0E6Fp*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v0E6Fp*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v0E6Fp*d*dc*dsc*dp*icFFisc47ipD0in*");
MODULE_ALIAS("usb:v0F0Dp*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v0F0Dp*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v0F0Dp*d*dc*dsc*dp*icFFisc47ipD0in*");
MODULE_ALIAS("usb:v1038p*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v1038p*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v10F5p*d*dc*dsc*dp*icFFisc47ipD0in*");
MODULE_ALIAS("usb:v11C9p*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v11C9p*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v11FFp*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v11FFp*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v1209p*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v1209p*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v12ABp*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v12ABp*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v1430p*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v1430p*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v146Bp*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v146Bp*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v1532p*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v1532p*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v1532p*d*dc*dsc*dp*icFFisc47ipD0in*");
MODULE_ALIAS("usb:v15E4p*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v15E4p*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v162Ep*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v162Ep*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v1689p*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v1689p*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v17EFp*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v17EFp*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v1949p*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v1949p*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v1A86p*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v1A86p*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v1BADp*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v1BADp*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v1EE9p*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v1EE9p*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v20D6p*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v20D6p*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v20D6p*d*dc*dsc*dp*icFFisc47ipD0in*");
MODULE_ALIAS("usb:v2345p*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v2345p*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v24C6p*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v24C6p*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v24C6p*d*dc*dsc*dp*icFFisc47ipD0in*");
MODULE_ALIAS("usb:v2563p*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v2563p*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v260Dp*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v260Dp*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v294Bp*d*dc*dsc*dp*icFFisc47ipD0in*");
MODULE_ALIAS("usb:v2993p*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v2993p*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v2C22p*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v2C22p*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v2DC8p*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v2DC8p*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v2DC8p*d*dc*dsc*dp*icFFisc47ipD0in*");
MODULE_ALIAS("usb:v2E24p*d*dc*dsc*dp*icFFisc47ipD0in*");
MODULE_ALIAS("usb:v2F24p*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v2F24p*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v2E95p*d*dc*dsc*dp*icFFisc47ipD0in*");
MODULE_ALIAS("usb:v31E3p*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v31E3p*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v3285p*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v3285p*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v3285p*d*dc*dsc*dp*icFFisc47ipD0in*");
MODULE_ALIAS("usb:v3537p*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v3537p*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v3537p*d*dc*dsc*dp*icFFisc47ipD0in*");
MODULE_ALIAS("usb:v413Dp*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v413Dp*d*dc*dsc*dp*icFFisc5Dip81in*");

MODULE_INFO(srcversion, "5AC63E6D681E706017BB47B");

MODULE_INFO(suserelease, "SLFO-1.2");
