#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbbef170d, "crypto_aead_setkey" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x11089ac7, "_ctype" },
	{ 0x5a921311, "strncmp" },
	{ 0xc35b9c6a, "key_type_trusted" },
	{ 0xd91824c1, "key_type_logon" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x9f7c9797, "request_key_tag" },
	{ 0x9fb64856, "down_read" },
	{ 0xb570b5d7, "up_read" },
	{ 0xccf4c95, "key_put" },
	{ 0xdba7a4de, "key_type_user" },
	{ 0x1ac4e46e, "key_type_encrypted" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x9f984513, "strrchr" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x60f41b16, "crypto_alloc_ahash" },
	{ 0xd75eeed5, "dm_table_device_name" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0x39c74235, "dm_read_arg_group" },
	{ 0x7d27e504, "dm_shift_arg" },
	{ 0x85df9b6c, "strsep" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0x4f27f3b1, "mempool_init_noprof" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xabb7c026, "bioset_init" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0xcfef8f53, "dm_table_get_mode" },
	{ 0xffb4e6c3, "dm_get_device" },
	{ 0xf844dea6, "dm_table_get_md" },
	{ 0x9ef9a4d5, "crypto_aead_setauthsize" },
	{ 0xa2429ab9, "ida_alloc_range" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd00c9875, "kthread_create_on_node" },
	{ 0x1d8a5fdd, "wake_up_process" },
	{ 0x32a5a1d1, "dm_device_name" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xf6f69aba, "set_user_nice" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x64a5c687, "__folio_put" },
	{ 0x2ad9f91a, "bio_alloc_bioset" },
	{ 0x98335c47, "__bio_add_page" },
	{ 0x6aab1d02, "mempool_alloc_noprof" },
	{ 0x305f1ba6, "bio_put" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x50f04045, "bio_alloc_clone" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x5a21404, "bio_copy_data" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xa6257a2f, "complete" },
	{ 0xc0f9e7c1, "dm_audit_log_bio" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0xa110e9ab, "crypto_aead_encrypt" },
	{ 0x3d0a9e51, "crypto_skcipher_decrypt" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0x21ef374c, "try_wait_for_completion" },
	{ 0xfec65053, "crypto_aead_decrypt" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd8e99ff5, "system_bh_wq" },
	{ 0x2803af87, "bio_associate_blkg" },
	{ 0x50298d4b, "dm_accept_partial_bio" },
	{ 0xe5eb5fd0, "param_ops_uint" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x4ee6ea46, "dm_register_target" },
	{ 0xec47808e, "dm_report_zones" },
	{ 0x92997ed8, "_printk" },
	{ 0x754d539c, "strlen" },
	{ 0x349cba85, "strchr" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfb578fc5, "memset" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf149c080, "crypto_skcipher_setkey" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x96848186, "scnprintf" },
	{ 0x39e775d7, "dm_per_bio_data" },
	{ 0x4591e46f, "mempool_free" },
	{ 0xbd6ee8cc, "alloc_pages_noprof" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xa695056d, "bio_integrity_alloc" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7ab78bcb, "bio_integrity_add_page" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x37a0cba, "kfree" },
	{ 0x212f6629, "bio_endio" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe7d10c72, "crypto_destroy_tfm" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x6cb3aac, "__free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc2a79e8f, "crypto_shash_update" },
	{ 0x19bd3ba1, "crypto_shash_export" },
	{ 0x646071f0, "dm_unregister_target" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xab250000, "crypto_alloc_aead" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xea27ed20, "crypto_alloc_skcipher" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xa3f12f69, "__crypto_xor" },
	{ 0xae2ad9ba, "crypto_shash_digest" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x1000e51, "schedule" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x574b006b, "blk_start_plug" },
	{ 0xece784c2, "rb_first" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd17d599c, "dm_submit_bio_remap" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x4e3f5723, "blk_finish_plug" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0x8e8f28ce, "crypto_skcipher_encrypt" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xd63960b9, "crypto_alloc_shash" },
	{ 0xad6d7e4b, "kthread_stop" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xf1918245, "bioset_exit" },
	{ 0xc8e96d94, "mempool_exit" },
	{ 0x53126ecc, "__percpu_counter_sum" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x9cd4ad90, "dm_put_device" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x99ee65da, "dm_audit_log_ti" },
	{ 0x10119bb, "ida_free" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "trusted,dm-mod");


MODULE_INFO(srcversion, "635A3045A342177A25D103E");

MODULE_INFO(suserelease, "SLFO-1.2");
