#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(dm_send_uevents, "_gpl", "");
KSYMTAB_FUNC(dm_path_uevent, "_gpl", "");
KSYMTAB_FUNC(dm_report_zones, "_gpl", "");
KSYMTAB_FUNC(dm_audit_log_ti, "_gpl", "");
KSYMTAB_FUNC(dm_audit_log_bio, "_gpl", "");
KSYMTAB_FUNC(dm_per_bio_data, "_gpl", "");
KSYMTAB_FUNC(dm_bio_from_per_bio_data, "_gpl", "");
KSYMTAB_FUNC(dm_bio_get_target_bio_nr, "_gpl", "");
KSYMTAB_FUNC(dm_get_reserved_bio_based_ios, "_gpl", "");
KSYMTAB_FUNC(_dm_prepare_ioctl, "_gpl", "");
KSYMTAB_FUNC(dm_unprepare_ioctl, "_gpl", "");
KSYMTAB_FUNC(dm_start_time_ns_from_clone, "_gpl", "");
KSYMTAB_FUNC(dm_set_target_max_io_len, "_gpl", "");
KSYMTAB_FUNC(dm_accept_partial_bio, "_gpl", "");
KSYMTAB_FUNC(dm_submit_bio_remap, "_gpl", "");
KSYMTAB_FUNC(dm_get_md, "_gpl", "");
KSYMTAB_FUNC(dm_hold, "_gpl", "");
KSYMTAB_FUNC(dm_device_name, "_gpl", "");
KSYMTAB_FUNC(dm_put, "_gpl", "");
KSYMTAB_FUNC(dm_internal_suspend_noflush, "_gpl", "");
KSYMTAB_FUNC(dm_internal_resume, "_gpl", "");
KSYMTAB_FUNC(dm_internal_suspend_fast, "_gpl", "");
KSYMTAB_FUNC(dm_internal_resume_fast, "_gpl", "");
KSYMTAB_FUNC(dm_disk, "_gpl", "");
KSYMTAB_FUNC(dm_suspended, "_gpl", "");
KSYMTAB_FUNC(dm_post_suspending, "_gpl", "");
KSYMTAB_FUNC(dm_noflush_suspending, "_gpl", "");
KSYMTAB_FUNC(dm_devt_from_path, "", "");
KSYMTAB_FUNC(dm_get_device, "", "");
KSYMTAB_FUNC(dm_put_device, "", "");
KSYMTAB_FUNC(dm_read_arg, "", "");
KSYMTAB_FUNC(dm_read_arg_group, "", "");
KSYMTAB_FUNC(dm_shift_arg, "", "");
KSYMTAB_FUNC(dm_consume_args, "", "");
KSYMTAB_FUNC(dm_table_set_type, "_gpl", "");
KSYMTAB_FUNC(dm_table_event, "", "");
KSYMTAB_FUNC(dm_table_get_size, "", "");
KSYMTAB_FUNC(dm_table_get_mode, "", "");
KSYMTAB_FUNC(dm_table_get_md, "", "");
KSYMTAB_FUNC(dm_table_device_name, "_gpl", "");
KSYMTAB_FUNC(dm_table_run_md_queue_async, "", "");
KSYMTAB_FUNC(dm_register_target, "", "");
KSYMTAB_FUNC(dm_unregister_target, "", "");
KSYMTAB_FUNC(dm_copy_name_and_uuid, "_gpl", "");
KSYMTAB_FUNC(dm_io_client_create, "", "");
KSYMTAB_FUNC(dm_io_client_destroy, "", "");
KSYMTAB_FUNC(dm_io, "", "");
KSYMTAB_FUNC(dm_kcopyd_copy, "", "");
KSYMTAB_FUNC(dm_kcopyd_zero, "", "");
KSYMTAB_FUNC(dm_kcopyd_prepare_callback, "", "");
KSYMTAB_FUNC(dm_kcopyd_do_callback, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_create, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_destroy, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_flush, "", "");
KSYMTAB_FUNC(dm_mq_kick_requeue_list, "", "");

SYMBOL_CRC(dm_send_uevents, 0x81e7fd73, "_gpl");
SYMBOL_CRC(dm_path_uevent, 0xe17a476e, "_gpl");
SYMBOL_CRC(dm_report_zones, 0xec47808e, "_gpl");
SYMBOL_CRC(dm_audit_log_ti, 0x99ee65da, "_gpl");
SYMBOL_CRC(dm_audit_log_bio, 0xc0f9e7c1, "_gpl");
SYMBOL_CRC(dm_per_bio_data, 0x39e775d7, "_gpl");
SYMBOL_CRC(dm_bio_from_per_bio_data, 0x628c9277, "_gpl");
SYMBOL_CRC(dm_bio_get_target_bio_nr, 0xbffcd425, "_gpl");
SYMBOL_CRC(dm_get_reserved_bio_based_ios, 0x38f704de, "_gpl");
SYMBOL_CRC(_dm_prepare_ioctl, 0x0e27161e, "_gpl");
SYMBOL_CRC(dm_unprepare_ioctl, 0x42919b38, "_gpl");
SYMBOL_CRC(dm_start_time_ns_from_clone, 0x6dc85d2c, "_gpl");
SYMBOL_CRC(dm_set_target_max_io_len, 0xee0e4f51, "_gpl");
SYMBOL_CRC(dm_accept_partial_bio, 0x50298d4b, "_gpl");
SYMBOL_CRC(dm_submit_bio_remap, 0xd17d599c, "_gpl");
SYMBOL_CRC(dm_get_md, 0x54db553d, "_gpl");
SYMBOL_CRC(dm_hold, 0xb8a9b968, "_gpl");
SYMBOL_CRC(dm_device_name, 0x32a5a1d1, "_gpl");
SYMBOL_CRC(dm_put, 0x027d0b0e, "_gpl");
SYMBOL_CRC(dm_internal_suspend_noflush, 0x4ff47067, "_gpl");
SYMBOL_CRC(dm_internal_resume, 0xc873ebf4, "_gpl");
SYMBOL_CRC(dm_internal_suspend_fast, 0x6fe0e7c6, "_gpl");
SYMBOL_CRC(dm_internal_resume_fast, 0xc2451fc5, "_gpl");
SYMBOL_CRC(dm_disk, 0x04fd75c4, "_gpl");
SYMBOL_CRC(dm_suspended, 0xfd3612c9, "_gpl");
SYMBOL_CRC(dm_post_suspending, 0xf329cd6c, "_gpl");
SYMBOL_CRC(dm_noflush_suspending, 0xb6c2a1d0, "_gpl");
SYMBOL_CRC(dm_devt_from_path, 0x23418c7d, "");
SYMBOL_CRC(dm_get_device, 0xffb4e6c3, "");
SYMBOL_CRC(dm_put_device, 0x9cd4ad90, "");
SYMBOL_CRC(dm_read_arg, 0x056bcf7b, "");
SYMBOL_CRC(dm_read_arg_group, 0x39c74235, "");
SYMBOL_CRC(dm_shift_arg, 0x7d27e504, "");
SYMBOL_CRC(dm_consume_args, 0x669c191b, "");
SYMBOL_CRC(dm_table_set_type, 0xc3bd2c99, "_gpl");
SYMBOL_CRC(dm_table_event, 0x434b48ec, "");
SYMBOL_CRC(dm_table_get_size, 0xbccc1f95, "");
SYMBOL_CRC(dm_table_get_mode, 0xcfef8f53, "");
SYMBOL_CRC(dm_table_get_md, 0xf844dea6, "");
SYMBOL_CRC(dm_table_device_name, 0xd75eeed5, "_gpl");
SYMBOL_CRC(dm_table_run_md_queue_async, 0x7d13e304, "");
SYMBOL_CRC(dm_register_target, 0x4ee6ea46, "");
SYMBOL_CRC(dm_unregister_target, 0x646071f0, "");
SYMBOL_CRC(dm_copy_name_and_uuid, 0x8fce5e01, "_gpl");
SYMBOL_CRC(dm_io_client_create, 0x601f665f, "");
SYMBOL_CRC(dm_io_client_destroy, 0x9e4faeef, "");
SYMBOL_CRC(dm_io, 0x9439f7d6, "");
SYMBOL_CRC(dm_kcopyd_copy, 0x74d18749, "");
SYMBOL_CRC(dm_kcopyd_zero, 0xf1e55623, "");
SYMBOL_CRC(dm_kcopyd_prepare_callback, 0xf1f88a0e, "");
SYMBOL_CRC(dm_kcopyd_do_callback, 0xf2a8efae, "");
SYMBOL_CRC(dm_kcopyd_client_create, 0x9dd9df13, "");
SYMBOL_CRC(dm_kcopyd_client_destroy, 0x154c6338, "");
SYMBOL_CRC(dm_kcopyd_client_flush, 0x90006be6, "");
SYMBOL_CRC(dm_mq_kick_requeue_list, 0xf28b9ed0, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9e9c4f24, "set_dax_nomc" },
	{ 0xa1b18a95, "init_srcu_struct" },
	{ 0x1e5d8958, "__SCK__tp_func_block_bio_remap" },
	{ 0xa8caa2e, "fput" },
	{ 0xba0efd1f, "down_write" },
	{ 0x9167dcf8, "blk_revalidate_disk_zones" },
	{ 0x209b8854, "up_write" },
	{ 0xa8905084, "blk_update_request" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x9820f51a, "idr_alloc" },
	{ 0xa07a37f0, "memchr" },
	{ 0xec5668f6, "dax_zero_page_range" },
	{ 0xd1b94d8a, "__srcu_read_lock" },
	{ 0x9f592af3, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x26a72223, "set_capacity" },
	{ 0xbf23e759, "submit_bio_noacct" },
	{ 0x5f577086, "noop_llseek" },
	{ 0x6626afca, "down" },
	{ 0x5f6f1e9e, "dax_get_private" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x954f099c, "idr_preload" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xf8bb3e19, "bdev_start_io_acct" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0xdf9ceed4, "kmem_cache_free" },
	{ 0xfea9ecc0, "dax_remove_host" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xbb6ef7e7, "bio_chain" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xf7ca476b, "dax_recovery_write" },
	{ 0x8ceb7226, "bdev_freeze" },
	{ 0x392b1fea, "wait_for_completion_io" },
	{ 0xd135a1e4, "blk_stack_limits" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x11ae8dd8, "kobject_init_and_add" },
	{ 0xf0eb5113, "zero_fill_bio_iter" },
	{ 0x760896d1, "bio_add_page" },
	{ 0xc2a79e8f, "crypto_shash_update" },
	{ 0x71b7d4c1, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x3f80e6bf, "del_gendisk" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x8039c7c3, "cleanup_srcu_struct" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x380e3c19, "bdev_file_open_by_dev" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x90bc3ba, "blk_set_stacking_limits" },
	{ 0x11089ac7, "_ctype" },
	{ 0xb44e18ea, "audit_enabled" },
	{ 0x4d470eb0, "idr_destroy" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0xd861fd2e, "bd_unlink_disk_holder" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x9221262c, "bio_init" },
	{ 0xfb578fc5, "memset" },
	{ 0x50f04045, "bio_alloc_clone" },
	{ 0x36d1cc54, "__kmalloc_cache_node_noprof" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xcd467294, "misc_register" },
	{ 0x6ad1aaad, "blk_crypto_evict_key" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfa10416, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x79836fa7, "blk_insert_cloned_request" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x8337a399, "__kmem_cache_create_args" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x9fb64856, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfcc8d327, "audit_log_start" },
	{ 0x2e20e6c0, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x2d5f90d0, "blk_mq_complete_request" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x1d6d9a0e, "bio_uninit" },
	{ 0xfca1d7dd, "crypto_shash_final" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0x9199b9f0, "param_ops_bool" },
	{ 0xabb7c026, "bioset_init" },
	{ 0x51ef4c6, "bio_trim" },
	{ 0x330f6116, "set_dax_synchronous" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xab0a4180, "__srcu_read_unlock" },
	{ 0x8135613, "dax_write_cache" },
	{ 0x83be3cb3, "__tracepoint_block_bio_remap" },
	{ 0x54c037b9, "__tracepoint_block_rq_remap" },
	{ 0x1a8a3306, "bd_link_disk_holder" },
	{ 0x40414b70, "blk_mq_start_request" },
	{ 0xbd6ee8cc, "alloc_pages_noprof" },
	{ 0x250337ee, "boot_cpu_data" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0x7242d92, "put_dax" },
	{ 0x51885769, "file_bdev" },
	{ 0x3f3efb03, "queue_limits_stack_integrity" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x6502733c, "__SCK__tp_func_block_rq_remap" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x4f27f3b1, "mempool_init_noprof" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xc7a08dd5, "blk_mark_disk_dead" },
	{ 0x754d539c, "strlen" },
	{ 0xb93ba240, "wake_up_bit" },
	{ 0x20afb95a, "blk_zone_plug_bio" },
	{ 0xf2203c5f, "param_ops_int" },
	{ 0xff69d7e8, "blk_mq_run_hw_queues" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x349cba85, "strchr" },
	{ 0xd63960b9, "crypto_alloc_shash" },
	{ 0x86f6b99d, "synchronize_rcu_expedited" },
	{ 0x5a5ff63d, "queue_limits_set" },
	{ 0x2ad9f91a, "bio_alloc_bioset" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xb570b5d7, "up_read" },
	{ 0xd063fc9f, "blk_mq_requeue_request" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xf4093645, "blkdev_report_zones" },
	{ 0x32c02208, "bdev_end_io_acct" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xc8e96d94, "mempool_exit" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x8019049f, "kmem_cache_destroy" },
	{ 0x43f91252, "blk_crypto_update_capabilities" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xde021df3, "kobject_put" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x2803af87, "bio_associate_blkg" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe1dcf64a, "audit_log_format" },
	{ 0xc6d08030, "set_disk_ro" },
	{ 0xd3d07eec, "__blk_alloc_disk" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x4e5daa9a, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x45f4e1cd, "__init_rwsem" },
	{ 0xe651aca3, "misc_deregister" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x574b006b, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x333051c0, "idr_find" },
	{ 0xe5eb5fd0, "param_ops_uint" },
	{ 0xb18fe1bf, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x2a976d1c, "dax_synchronous" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xfea15844, "bio_split_to_limits" },
	{ 0x6f7382ed, "vmalloc_to_page" },
	{ 0x96cc29a2, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd4404350, "__SCT__tp_func_block_split" },
	{ 0xcf02ab71, "__SCT__tp_func_block_rq_remap" },
	{ 0xd7156157, "fs_dax_get_by_bdev" },
	{ 0x9d8bb00e, "set_dax_nocache" },
	{ 0xc5399a76, "bio_poll" },
	{ 0xca9360b5, "rb_next" },
	{ 0x63b77e3c, "blk_mq_queue_inflight" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0xcdb34db0, "blk_crypto_profile_destroy" },
	{ 0xeb37101c, "audit_log_end" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xe4ef0a16, "idr_replace" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x7d08b693, "dm_kobject_release" },
	{ 0xcf2a6966, "up" },
	{ 0x4ffa610a, "blk_rq_prep_clone" },
	{ 0x816e4546, "blk_mq_unquiesce_queue" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x862d1e43, "prepare_to_wait" },
	{ 0x41c45d50, "blk_mq_quiesce_queue" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x7d0369f0, "blk_crypto_profile_init" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x8021b7a9, "blk_mq_kick_requeue_list" },
	{ 0x138e0957, "dax_write_cache_enabled" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3416d62c, "prepare_to_wait_event" },
	{ 0x78b4879f, "blk_rq_unprep_clone" },
	{ 0x3a375ec6, "out_of_line_wait_on_bit" },
	{ 0xf6491531, "__wake_up" },
	{ 0xe8704392, "synchronize_srcu" },
	{ 0x1e8cb060, "blk_mq_end_request" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x350fc83f, "bdev_thaw" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x4591e46f, "mempool_free" },
	{ 0x9493fc86, "node_states" },
	{ 0xb145b1a2, "alloc_dax" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5968a512, "blk_mq_delay_kick_requeue_list" },
	{ 0x389b64a2, "static_key_count" },
	{ 0x725a7b70, "blk_mq_alloc_tag_set" },
	{ 0x2d609547, "dax_direct_access" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xacf649bf, "audit_log_task_info" },
	{ 0xe7d10c72, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x2c760ca7, "bioset_integrity_create" },
	{ 0x92997ed8, "_printk" },
	{ 0xa8ff6f9d, "put_disk" },
	{ 0x96b29254, "strncasecmp" },
	{ 0xed1ec8dd, "blk_crypto_register" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x3a68a6f0, "bio_integrity_trim" },
	{ 0x1000e51, "schedule" },
	{ 0xaf715f7, "__fput_sync" },
	{ 0xfad9c827, "kill_dax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xaf51737, "__tracepoint_block_split" },
	{ 0xa916b694, "strnlen" },
	{ 0x455aac77, "__SCK__tp_func_block_split" },
	{ 0x618911fc, "numa_node" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x6cb3aac, "__free_pages" },
	{ 0xfbcb0b03, "bit_wait" },
	{ 0x4e3f5723, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0x42cf356, "submit_bio" },
	{ 0x169346ca, "blk_crypto_has_capabilities" },
	{ 0x9aab0907, "dax_add_host" },
	{ 0x7276b73a, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xd6693593, "blk_mq_init_allocated_queue" },
	{ 0xf1918245, "bioset_exit" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0xd5cecc6, "ima_measure_critical_data" },
	{ 0xb9a85f0c, "idr_remove" },
	{ 0x6aab1d02, "mempool_alloc_noprof" },
	{ 0xe4b703db, "kobject_uevent_env" },
	{ 0x305f1ba6, "bio_put" },
	{ 0xc5556532, "blk_crypto_intersect_capabilities" },
	{ 0x212f6629, "bio_endio" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E3C33A4B314DABF2B97856A");

MODULE_INFO(suserelease, "SLFO-1.2");
