#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(dm_rh_region_to_sector, "_gpl", "");
KSYMTAB_FUNC(dm_rh_bio_to_region, "_gpl", "");
KSYMTAB_FUNC(dm_rh_region_context, "_gpl", "");
KSYMTAB_FUNC(dm_rh_get_region_key, "_gpl", "");
KSYMTAB_FUNC(dm_rh_get_region_size, "_gpl", "");
KSYMTAB_FUNC(dm_region_hash_create, "_gpl", "");
KSYMTAB_FUNC(dm_region_hash_destroy, "_gpl", "");
KSYMTAB_FUNC(dm_rh_dirty_log, "_gpl", "");
KSYMTAB_FUNC(dm_rh_get_state, "_gpl", "");
KSYMTAB_FUNC(dm_rh_mark_nosync, "_gpl", "");
KSYMTAB_FUNC(dm_rh_update_states, "_gpl", "");
KSYMTAB_FUNC(dm_rh_inc_pending, "_gpl", "");
KSYMTAB_FUNC(dm_rh_dec, "_gpl", "");
KSYMTAB_FUNC(dm_rh_recovery_prepare, "_gpl", "");
KSYMTAB_FUNC(dm_rh_recovery_start, "_gpl", "");
KSYMTAB_FUNC(dm_rh_recovery_end, "_gpl", "");
KSYMTAB_FUNC(dm_rh_recovery_in_flight, "_gpl", "");
KSYMTAB_FUNC(dm_rh_flush, "_gpl", "");
KSYMTAB_FUNC(dm_rh_delay, "_gpl", "");
KSYMTAB_FUNC(dm_rh_stop_recovery, "_gpl", "");
KSYMTAB_FUNC(dm_rh_start_recovery, "_gpl", "");

SYMBOL_CRC(dm_rh_region_to_sector, 0x38972f23, "_gpl");
SYMBOL_CRC(dm_rh_bio_to_region, 0x33e1f3d7, "_gpl");
SYMBOL_CRC(dm_rh_region_context, 0xd8aa4284, "_gpl");
SYMBOL_CRC(dm_rh_get_region_key, 0x7d5e1815, "_gpl");
SYMBOL_CRC(dm_rh_get_region_size, 0xf92b8a3d, "_gpl");
SYMBOL_CRC(dm_region_hash_create, 0xbcb5bfcf, "_gpl");
SYMBOL_CRC(dm_region_hash_destroy, 0x38efaf5a, "_gpl");
SYMBOL_CRC(dm_rh_dirty_log, 0xbc8e49dc, "_gpl");
SYMBOL_CRC(dm_rh_get_state, 0x57e16c3e, "_gpl");
SYMBOL_CRC(dm_rh_mark_nosync, 0x1ba7bda6, "_gpl");
SYMBOL_CRC(dm_rh_update_states, 0x3a18389a, "_gpl");
SYMBOL_CRC(dm_rh_inc_pending, 0xaff8e1af, "_gpl");
SYMBOL_CRC(dm_rh_dec, 0x5f4a6e61, "_gpl");
SYMBOL_CRC(dm_rh_recovery_prepare, 0xbe38a431, "_gpl");
SYMBOL_CRC(dm_rh_recovery_start, 0x01d2f9ac, "_gpl");
SYMBOL_CRC(dm_rh_recovery_end, 0xa83588eb, "_gpl");
SYMBOL_CRC(dm_rh_recovery_in_flight, 0xfd93482e, "_gpl");
SYMBOL_CRC(dm_rh_flush, 0xa53387c7, "_gpl");
SYMBOL_CRC(dm_rh_delay, 0xfddd37d3, "_gpl");
SYMBOL_CRC(dm_rh_stop_recovery, 0x7774620f, "_gpl");
SYMBOL_CRC(dm_rh_start_recovery, 0x7d053fc5, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xcf2a6966, "up" },
	{ 0x6626afca, "down" },
	{ 0x4591e46f, "mempool_free" },
	{ 0x8ed6a312, "dm_dirty_log_destroy" },
	{ 0xc8e96d94, "mempool_exit" },
	{ 0x999e8297, "vfree" },
	{ 0x37a0cba, "kfree" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0x4f27f3b1, "mempool_init_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0x9919fd8, "rt_write_lock" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xf250e2d4, "rt_write_unlock" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xedd7eb58, "rt_read_lock" },
	{ 0x9ebb2bfc, "rt_read_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x6aab1d02, "mempool_alloc_noprof" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "dm-log");


MODULE_INFO(srcversion, "5EE6AF9713C2D2461EC76E5");

MODULE_INFO(suserelease, "SLFO-1.2");
