#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(raid5_set_cache_size, "", "");
KSYMTAB_FUNC(r5c_journal_mode_set, "", "");

SYMBOL_CRC(raid5_set_cache_size, 0xf429abda, "");
SYMBOL_CRC(r5c_journal_mode_set, 0x44ce726b, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfdcb55f7, "async_trigger_callback" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xd0114f3b, "async_raid6_2data_recov" },
	{ 0x760896d1, "bio_add_page" },
	{ 0x51701ee3, "__SCK__tp_func_block_unplug" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xc61e5d4b, "md_update_sb" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xd2f514a4, "sysfs_create_group" },
	{ 0x481dda0e, "__put_devmap_managed_folio_refs" },
	{ 0x3edbc68d, "mutex_lock_interruptible" },
	{ 0xee16fa10, "_atomic_dec_and_lock_irqsave" },
	{ 0xe84dfc72, "md_flush_request" },
	{ 0x9221262c, "bio_init" },
	{ 0x55c2554d, "md_register_thread" },
	{ 0xfb578fc5, "memset" },
	{ 0x50f04045, "bio_alloc_clone" },
	{ 0x804a5b70, "raid6_call" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xd27b25dd, "blk_check_plugged" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfa10416, "kmem_cache_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xecc6deab, "md_account_bio" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x8337a399, "__kmem_cache_create_args" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x25531590, "mutex_trylock" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc43f61c1, "md_write_inc" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb66b6d6a, "unregister_md_personality" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x1d6d9a0e, "bio_uninit" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x9199b9f0, "param_ops_bool" },
	{ 0xabb7c026, "bioset_init" },
	{ 0xe6e6b684, "md_new_event" },
	{ 0xcc259095, "async_syndrome_val" },
	{ 0xe091c977, "list_sort" },
	{ 0x64a5c687, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xacf7679, "dma_issue_pending_all" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7ad7a5cd, "seq_printf" },
	{ 0x874b731f, "md_write_end" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x576a0e8d, "md_check_recovery" },
	{ 0x83be3cb3, "__tracepoint_block_bio_remap" },
	{ 0xbd6ee8cc, "alloc_pages_noprof" },
	{ 0xda872c65, "blkdev_issue_flush" },
	{ 0x3088d070, "mddev_suspend" },
	{ 0xcffe6425, "queue_limits_commit_update" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xd6a78628, "remove_wait_queue" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x21279983, "badblocks_check" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x4f27f3b1, "mempool_init_noprof" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x754d539c, "strlen" },
	{ 0xb93ba240, "wake_up_bit" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x8924bd86, "md_init_stacking_limits" },
	{ 0x5a5ff63d, "queue_limits_set" },
	{ 0xcb27046f, "rdev_set_badblocks" },
	{ 0x2ad9f91a, "bio_alloc_bioset" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0xfe8fedde, "async_raid6_datap_recov" },
	{ 0x11b1af8f, "submit_bio_wait" },
	{ 0xb86748d1, "__cpuhp_remove_state" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xc8e96d94, "mempool_exit" },
	{ 0x8019049f, "kmem_cache_destroy" },
	{ 0xbd656fbf, "bio_split" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x766a0927, "mempool_alloc_pages" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x581abcf4, "blkdev_issue_discard" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0xc6d08030, "set_disk_ro" },
	{ 0xe307ef69, "register_md_personality" },
	{ 0x580e0bb3, "shrinker_alloc" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x98335c47, "__bio_add_page" },
	{ 0x574b006b, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x59860803, "radix_tree_insert" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x6f06204, "md_find_rdev_rcu" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xeb1ab648, "mddev_resume" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x12189359, "__SCT__tp_func_block_unplug" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xee8cabfe, "radix_tree_lookup" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0xe03b725b, "queue_limits_stack_bdev" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xae1ed4dc, "md_error" },
	{ 0xb593f3d4, "async_xor_val_offs" },
	{ 0x7aff77a3, "__cpu_present_mask" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x9ec49bf7, "md_finish_reshape" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xbcee7090, "async_gen_syndrome" },
	{ 0xa55b06bd, "add_wait_queue" },
	{ 0x4fc42335, "md_unregister_thread" },
	{ 0xfb755489, "sync_page_io" },
	{ 0x3416d62c, "prepare_to_wait_event" },
	{ 0x3a375ec6, "out_of_line_wait_on_bit" },
	{ 0x5102247d, "md_free_cloned_bio" },
	{ 0xf6491531, "__wake_up" },
	{ 0x18fb2caf, "cpus_read_unlock" },
	{ 0x2d25d452, "kthread_park" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x4591e46f, "mempool_free" },
	{ 0x9493fc86, "node_states" },
	{ 0xe6c2b448, "kernfs_notify" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa6af852c, "shrinker_free" },
	{ 0x73a8fcab, "md_wakeup_thread" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x466cd284, "__cpuhp_state_remove_instance" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0x33922515, "md_set_array_sectors" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xa942e665, "md_allow_write" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfa11105, "rdev_clear_badblocks" },
	{ 0x68292976, "radix_tree_lookup_slot" },
	{ 0xcb98a4aa, "async_tx_quiesce" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x9f4e8445, "md_write_start" },
	{ 0xddb1cd7, "llist_reverse_order" },
	{ 0x3f8878b9, "shrinker_register" },
	{ 0xb560bb68, "radix_tree_replace_slot" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0x618911fc, "numa_node" },
	{ 0x46c25ea7, "async_xor" },
	{ 0x6cb3aac, "__free_pages" },
	{ 0x7436c1e0, "async_xor_offs" },
	{ 0xfbcb0b03, "bit_wait" },
	{ 0x4e3f5723, "blk_finish_plug" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x42cf356, "submit_bio" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xe06a823e, "sysfs_create_link" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xac3df5d0, "kthread_unpark" },
	{ 0xf1918245, "bioset_exit" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x9d949746, "md_done_sync" },
	{ 0x6aab1d02, "mempool_alloc_noprof" },
	{ 0x305f1ba6, "bio_put" },
	{ 0x181f0077, "radix_tree_delete" },
	{ 0x212f6629, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa04f945a, "cpus_read_lock" },
	{ 0x71a65bfa, "md_wait_for_blocked_rdev" },
	{ 0x1e5d8958, "__SCK__tp_func_block_bio_remap" },
	{ 0x49608959, "migrate_disable" },
	{ 0x6b406731, "__cpuhp_setup_state" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6320e76a, "async_memcpy" },
	{ 0xd777767f, "mddev_update_io_opt" },
	{ 0xbf23e759, "submit_bio_noacct" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x2e6a16aa, "mddev_stack_rdev_limits" },
	{ 0xdf9ceed4, "kmem_cache_free" },
	{ 0x925493f, "clear_page_orig" },
	{ 0xd985dc99, "mempool_free_pages" },
	{ 0x5a921311, "strncmp" },
	{ 0xe047ad1c, "mddev_unlock" },
	{ 0x27e3f0c8, "__tracepoint_block_unplug" },
	{ 0xbb6ef7e7, "bio_chain" },
	{ 0x623a2737, "__blk_trace_note_message" },
	{ 0xaee84e34, "blkdev_issue_zeroout" },
	{ 0x383eaaef, "__cpuhp_state_add_instance" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "async_tx,async_raid6_recov,md-mod,raid6_pq,libcrc32c,async_pq,async_xor,async_memcpy");


MODULE_INFO(srcversion, "D8E01DFDC869F2B2B1EB4C5");

MODULE_INFO(suserelease, "SLFO-1.2");
