#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cec_allocate_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_register_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_unregister_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_delete_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_get_edid_phys_addr, "_gpl", "");
KSYMTAB_FUNC(cec_fill_conn_info_from_drm, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_cec_event, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_hpd_event, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_5v_event, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_done_ts, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_attempt_done_ts, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_msg, "_gpl", "");
KSYMTAB_FUNC(cec_received_msg_ts, "_gpl", "");
KSYMTAB_FUNC(cec_s_phys_addr, "_gpl", "");
KSYMTAB_FUNC(cec_s_phys_addr_from_edid, "_gpl", "");
KSYMTAB_FUNC(cec_s_conn_info, "_gpl", "");
KSYMTAB_FUNC(cec_s_log_addrs, "_gpl", "");
KSYMTAB_FUNC(cec_notifier_conn_register, "_gpl", "");
KSYMTAB_FUNC(cec_notifier_conn_unregister, "_gpl", "");
KSYMTAB_FUNC(cec_notifier_cec_adap_register, "_gpl", "");
KSYMTAB_FUNC(cec_notifier_cec_adap_unregister, "_gpl", "");
KSYMTAB_FUNC(cec_notifier_set_phys_addr, "_gpl", "");
KSYMTAB_FUNC(cec_notifier_set_phys_addr_from_edid, "_gpl", "");
KSYMTAB_FUNC(cec_notifier_parse_hdmi_phandle, "_gpl", "");
KSYMTAB_FUNC(cec_pin_changed, "_gpl", "");
KSYMTAB_FUNC(cec_pin_allocate_adapter, "_gpl", "");

SYMBOL_CRC(cec_allocate_adapter, 0x293c417e, "_gpl");
SYMBOL_CRC(cec_register_adapter, 0x7c3648c9, "_gpl");
SYMBOL_CRC(cec_unregister_adapter, 0x80a5e531, "_gpl");
SYMBOL_CRC(cec_delete_adapter, 0x8c056d63, "_gpl");
SYMBOL_CRC(cec_get_edid_phys_addr, 0xbe4de675, "_gpl");
SYMBOL_CRC(cec_fill_conn_info_from_drm, 0xbbe20eaa, "_gpl");
SYMBOL_CRC(cec_queue_pin_cec_event, 0x7dcfc908, "_gpl");
SYMBOL_CRC(cec_queue_pin_hpd_event, 0xf6ac5903, "_gpl");
SYMBOL_CRC(cec_queue_pin_5v_event, 0xfecb8058, "_gpl");
SYMBOL_CRC(cec_transmit_done_ts, 0x4b404793, "_gpl");
SYMBOL_CRC(cec_transmit_attempt_done_ts, 0x77ed0f1a, "_gpl");
SYMBOL_CRC(cec_transmit_msg, 0x6ec33869, "_gpl");
SYMBOL_CRC(cec_received_msg_ts, 0x75ba9f29, "_gpl");
SYMBOL_CRC(cec_s_phys_addr, 0xad7f7483, "_gpl");
SYMBOL_CRC(cec_s_phys_addr_from_edid, 0x3f8a4c6e, "_gpl");
SYMBOL_CRC(cec_s_conn_info, 0x25312da3, "_gpl");
SYMBOL_CRC(cec_s_log_addrs, 0x47f74725, "_gpl");
SYMBOL_CRC(cec_notifier_conn_register, 0x1aee62e0, "_gpl");
SYMBOL_CRC(cec_notifier_conn_unregister, 0xaee236c6, "_gpl");
SYMBOL_CRC(cec_notifier_cec_adap_register, 0x9787fb0b, "_gpl");
SYMBOL_CRC(cec_notifier_cec_adap_unregister, 0xb64dfe0d, "_gpl");
SYMBOL_CRC(cec_notifier_set_phys_addr, 0xa01fbb6b, "_gpl");
SYMBOL_CRC(cec_notifier_set_phys_addr_from_edid, 0xb3422b7e, "_gpl");
SYMBOL_CRC(cec_notifier_parse_hdmi_phandle, 0xe892c00d, "_gpl");
SYMBOL_CRC(cec_pin_changed, 0x03db6f0c, "_gpl");
SYMBOL_CRC(cec_pin_allocate_adapter, 0x3d375751, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1d8a5fdd, "wake_up_process" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x4494c65a, "cdev_device_add" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3ca9c896, "debugfs_create_devm_seqfile" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x9d3d08f0, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc6cbbc89, "capable" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1481bf4a, "rc_keyup" },
	{ 0x12cb1804, "bus_unregister" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x8b8c186, "rc_register_device" },
	{ 0x6de67898, "debugfs_remove" },
	{ 0xe77e31aa, "rc_keydown" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xad6d7e4b, "kthread_stop" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x20463df4, "wait_for_completion_killable" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x57650739, "rc_free_device" },
	{ 0xfb578fc5, "memset" },
	{ 0x3a5797c9, "hrtimer_start_range_ns" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd00c9875, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x7b9c613b, "rc_allocate_device" },
	{ 0x4a38d9f7, "seq_read" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x85df9b6c, "strsep" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9199b9f0, "param_ops_bool" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x9f7aac60, "seq_write" },
	{ 0x3b239a4e, "kobject_set_name" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7ad7a5cd, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x8ae718dd, "debugfs_create_file_full" },
	{ 0x5402ada3, "hrtimer_cancel" },
	{ 0x8d8b2fb3, "single_release" },
	{ 0x2dafe17, "hrtimer_forward" },
	{ 0xf2203c5f, "param_ops_int" },
	{ 0x495b28e9, "single_open" },
	{ 0xd20f3ddd, "debugfs_create_dir" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0xa8a487e5, "rc_unregister_device" },
	{ 0xda59c8d, "cdev_init" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xddbd0482, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x50707f9c, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x59a754ae, "cdev_device_del" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0x4628038c, "device_initialize" },
	{ 0x8b773ecd, "hrtimer_init" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x2e4f415b, "seq_lseek" },
	{ 0x3416d62c, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xf6491531, "__wake_up" },
	{ 0x8576e767, "get_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "rc-core");


MODULE_INFO(srcversion, "6F7F09840FDAE26CC64FFBE");

MODULE_INFO(suserelease, "SLFO-1.2");
