#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(b2c2_flexcop_debug, "_gpl", "");
KSYMTAB_FUNC(flexcop_pass_dmx_data, "", "");
KSYMTAB_FUNC(flexcop_pass_dmx_packets, "", "");
KSYMTAB_FUNC(flexcop_device_kmalloc, "", "");
KSYMTAB_FUNC(flexcop_device_kfree, "", "");
KSYMTAB_FUNC(flexcop_device_initialize, "", "");
KSYMTAB_FUNC(flexcop_device_exit, "", "");
KSYMTAB_FUNC(flexcop_i2c_request, "", "");
KSYMTAB_FUNC(flexcop_sram_set_dest, "", "");
KSYMTAB_FUNC(flexcop_wan_set_speed, "", "");
KSYMTAB_FUNC(flexcop_sram_ctrl, "", "");
KSYMTAB_FUNC(flexcop_eeprom_check_mac_addr, "", "");
KSYMTAB_FUNC(flexcop_dump_reg, "", "");
KSYMTAB_FUNC(flexcop_pid_feed_control, "", "");

SYMBOL_CRC(b2c2_flexcop_debug, 0x66c0289a, "_gpl");
SYMBOL_CRC(flexcop_pass_dmx_data, 0x0c075713, "");
SYMBOL_CRC(flexcop_pass_dmx_packets, 0x9c90ba63, "");
SYMBOL_CRC(flexcop_device_kmalloc, 0x9f77aca1, "");
SYMBOL_CRC(flexcop_device_kfree, 0x4c48f16b, "");
SYMBOL_CRC(flexcop_device_initialize, 0x65ebc9fc, "");
SYMBOL_CRC(flexcop_device_exit, 0x0bb8ac82, "");
SYMBOL_CRC(flexcop_i2c_request, 0xa7a9bdfb, "");
SYMBOL_CRC(flexcop_sram_set_dest, 0xe78d7704, "");
SYMBOL_CRC(flexcop_wan_set_speed, 0xfc4436e1, "");
SYMBOL_CRC(flexcop_sram_ctrl, 0x0a91ffd2, "");
SYMBOL_CRC(flexcop_eeprom_check_mac_addr, 0x6e4a9ab3, "");
SYMBOL_CRC(flexcop_dump_reg, 0xb9d893ef, "");
SYMBOL_CRC(flexcop_pid_feed_control, 0xcdd63895, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x868784cb, "__symbol_get" },
	{ 0x2329c298, "dvb_dmx_release" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x5da7f0f5, "dvb_net_init" },
	{ 0x760ebda, "dvb_dmx_swfilter" },
	{ 0x3edbc68d, "mutex_lock_interruptible" },
	{ 0x26205f8b, "dvb_dmxdev_release" },
	{ 0xe685bfe4, "param_ops_short" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc151dc95, "dvb_frontend_detach" },
	{ 0x58c69b21, "i2c_add_adapter" },
	{ 0xfebd5103, "dvb_net_release" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xfccace80, "dvb_unregister_frontend" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x35ed4469, "cx24123_get_tuner_i2c_adapter" },
	{ 0x5098fb73, "dvb_register_frontend" },
	{ 0xaf881d8b, "cx24113_agc_callback" },
	{ 0x1788ff8c, "dvb_unregister_adapter" },
	{ 0x6e7d33dc, "dvb_dmx_init" },
	{ 0xf2203c5f, "param_ops_int" },
	{ 0x77bb5d7c, "s5h1420_get_tuner_i2c_adapter" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x9be40c22, "dvb_dmxdev_init" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xacf7e913, "request_firmware" },
	{ 0x1c137c19, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0xc19a3bcd, "dvb_register_adapter" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x21aa8211, "dvb_dmx_swfilter_packets" },
	{ 0x35c41ef8, "i2c_del_adapter" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "dvb-core,cx24123,cx24113,s5h1420");


MODULE_INFO(srcversion, "4C4280033A9676EC02C54AD");

MODULE_INFO(suserelease, "SLFO-1.2");
