#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(dvb_generic_open, "", "");
KSYMTAB_FUNC(dvb_generic_release, "", "");
KSYMTAB_FUNC(dvb_generic_ioctl, "", "");
KSYMTAB_FUNC(dvb_register_device, "", "");
KSYMTAB_FUNC(dvb_remove_device, "", "");
KSYMTAB_FUNC(dvb_device_get, "", "");
KSYMTAB_FUNC(dvb_unregister_device, "", "");
KSYMTAB_FUNC(dvb_create_media_graph, "_gpl", "");
KSYMTAB_FUNC(dvb_register_adapter, "", "");
KSYMTAB_FUNC(dvb_unregister_adapter, "", "");
KSYMTAB_FUNC(dvb_module_probe, "_gpl", "");
KSYMTAB_FUNC(dvb_module_release, "_gpl", "");
KSYMTAB_FUNC(dvb_dmxdev_init, "", "");
KSYMTAB_FUNC(dvb_dmxdev_release, "", "");
KSYMTAB_FUNC(dvb_dmx_swfilter_packets, "", "");
KSYMTAB_FUNC(dvb_dmx_swfilter, "", "");
KSYMTAB_FUNC(dvb_dmx_swfilter_204, "", "");
KSYMTAB_FUNC(dvb_dmx_swfilter_raw, "", "");
KSYMTAB_FUNC(dvb_dmx_init, "", "");
KSYMTAB_FUNC(dvb_dmx_release, "", "");
KSYMTAB_FUNC(dvb_ca_en50221_camchange_irq, "", "");
KSYMTAB_FUNC(dvb_ca_en50221_camready_irq, "", "");
KSYMTAB_FUNC(dvb_ca_en50221_frda_irq, "", "");
KSYMTAB_FUNC(dvb_ca_en50221_init, "", "");
KSYMTAB_FUNC(dvb_ca_en50221_release, "", "");
KSYMTAB_FUNC(dvb_frontend_reinitialise, "", "");
KSYMTAB_FUNC(dvb_frontend_sleep_until, "", "");
KSYMTAB_FUNC(dvb_frontend_suspend, "", "");
KSYMTAB_FUNC(dvb_frontend_resume, "", "");
KSYMTAB_FUNC(dvb_register_frontend, "", "");
KSYMTAB_FUNC(dvb_unregister_frontend, "", "");
KSYMTAB_FUNC(dvb_frontend_detach, "", "");
KSYMTAB_FUNC(dvb_net_release, "", "");
KSYMTAB_FUNC(dvb_net_init, "", "");
KSYMTAB_FUNC(dvb_ringbuffer_flush, "", "");
KSYMTAB_FUNC(dvb_ringbuffer_init, "", "");
KSYMTAB_FUNC(dvb_ringbuffer_empty, "", "");
KSYMTAB_FUNC(dvb_ringbuffer_free, "", "");
KSYMTAB_FUNC(dvb_ringbuffer_avail, "", "");
KSYMTAB_FUNC(dvb_ringbuffer_flush_spinlock_wakeup, "", "");
KSYMTAB_FUNC(dvb_ringbuffer_read_user, "", "");
KSYMTAB_FUNC(dvb_ringbuffer_read, "", "");
KSYMTAB_FUNC(dvb_ringbuffer_write, "", "");
KSYMTAB_FUNC(dvb_ringbuffer_write_user, "", "");

SYMBOL_CRC(dvb_generic_open, 0xa6048660, "");
SYMBOL_CRC(dvb_generic_release, 0x7e4298a2, "");
SYMBOL_CRC(dvb_generic_ioctl, 0xadb0948f, "");
SYMBOL_CRC(dvb_register_device, 0x36eba228, "");
SYMBOL_CRC(dvb_remove_device, 0xd3d0fa82, "");
SYMBOL_CRC(dvb_device_get, 0xf9862f90, "");
SYMBOL_CRC(dvb_unregister_device, 0x23d2ffe2, "");
SYMBOL_CRC(dvb_create_media_graph, 0x70b65b56, "_gpl");
SYMBOL_CRC(dvb_register_adapter, 0xc19a3bcd, "");
SYMBOL_CRC(dvb_unregister_adapter, 0x1788ff8c, "");
SYMBOL_CRC(dvb_module_probe, 0x74627da5, "_gpl");
SYMBOL_CRC(dvb_module_release, 0xaf20803b, "_gpl");
SYMBOL_CRC(dvb_dmxdev_init, 0x9be40c22, "");
SYMBOL_CRC(dvb_dmxdev_release, 0x26205f8b, "");
SYMBOL_CRC(dvb_dmx_swfilter_packets, 0x21aa8211, "");
SYMBOL_CRC(dvb_dmx_swfilter, 0x0760ebda, "");
SYMBOL_CRC(dvb_dmx_swfilter_204, 0x7ec00888, "");
SYMBOL_CRC(dvb_dmx_swfilter_raw, 0x11593832, "");
SYMBOL_CRC(dvb_dmx_init, 0x6e7d33dc, "");
SYMBOL_CRC(dvb_dmx_release, 0x2329c298, "");
SYMBOL_CRC(dvb_ca_en50221_camchange_irq, 0x0b2e606f, "");
SYMBOL_CRC(dvb_ca_en50221_camready_irq, 0xdfd0af5a, "");
SYMBOL_CRC(dvb_ca_en50221_frda_irq, 0xa7450068, "");
SYMBOL_CRC(dvb_ca_en50221_init, 0x23b80222, "");
SYMBOL_CRC(dvb_ca_en50221_release, 0x84978b27, "");
SYMBOL_CRC(dvb_frontend_reinitialise, 0x6ccb885e, "");
SYMBOL_CRC(dvb_frontend_sleep_until, 0x3b93d71a, "");
SYMBOL_CRC(dvb_frontend_suspend, 0x95b50b2b, "");
SYMBOL_CRC(dvb_frontend_resume, 0x685426da, "");
SYMBOL_CRC(dvb_register_frontend, 0x5098fb73, "");
SYMBOL_CRC(dvb_unregister_frontend, 0xfccace80, "");
SYMBOL_CRC(dvb_frontend_detach, 0xc151dc95, "");
SYMBOL_CRC(dvb_net_release, 0xfebd5103, "");
SYMBOL_CRC(dvb_net_init, 0x5da7f0f5, "");
SYMBOL_CRC(dvb_ringbuffer_flush, 0xf6ce7187, "");
SYMBOL_CRC(dvb_ringbuffer_init, 0xc4d479b2, "");
SYMBOL_CRC(dvb_ringbuffer_empty, 0x0538dad4, "");
SYMBOL_CRC(dvb_ringbuffer_free, 0x5b5c0c04, "");
SYMBOL_CRC(dvb_ringbuffer_avail, 0xed43e507, "");
SYMBOL_CRC(dvb_ringbuffer_flush_spinlock_wakeup, 0xebf20219, "");
SYMBOL_CRC(dvb_ringbuffer_read_user, 0x07c62df4, "");
SYMBOL_CRC(dvb_ringbuffer_read, 0x809b8b29, "");
SYMBOL_CRC(dvb_ringbuffer_write, 0xbb847c72, "");
SYMBOL_CRC(dvb_ringbuffer_write_user, 0xbc5e0d85, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfb384d37, "kasprintf" },
	{ 0x9fb64856, "down_read" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x23709dd3, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd00c9875, "kthread_create_on_node" },
	{ 0xdf3134b1, "media_get_pad_index" },
	{ 0x999e8297, "vfree" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb3fa17d1, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xd6a78628, "remove_wait_queue" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x291261df, "media_devnode_create" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0x78b40b1e, "media_device_unregister_entity" },
	{ 0x754d539c, "strlen" },
	{ 0xf2203c5f, "param_ops_int" },
	{ 0xb570b5d7, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xda59c8d, "cdev_init" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xd2bda80d, "cdev_del" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x3685b22e, "media_devnode_remove" },
	{ 0x4e5daa9a, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xcc3a2525, "eth_header" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x3ec4ea5, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x74885bdc, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x852c5aa5, "unregister_netdev" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0x39da668b, "class_destroy" },
	{ 0xcf2a6966, "up" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x4df02057, "crc32_be" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa55b06bd, "add_wait_queue" },
	{ 0x3b2e7a22, "eth_validate_addr" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3416d62c, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xf6491531, "__wake_up" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x3f11db9b, "ether_setup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x412747a4, "media_create_intf_link" },
	{ 0x2ced2226, "media_create_pad_links" },
	{ 0x1d8a5fdd, "wake_up_process" },
	{ 0x4504dcd0, "media_create_pad_link" },
	{ 0x712fdcf3, "dev_addr_mod" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc025779, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xc2a1113c, "eth_header_parse" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x71b12b37, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7276b73a, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xc25b2603, "media_device_register_entity" },
	{ 0x1193a9ac, "cdev_add" },
	{ 0x66d87d38, "symbol_put_addr" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xba0efd1f, "down_write" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x209b8854, "up_write" },
	{ 0xfa2a95, "i2c_unregister_device" },
	{ 0x1c785e13, "skb_pull" },
	{ 0x24d273d1, "add_timer" },
	{ 0x5fe6934f, "device_create" },
	{ 0x5f577086, "noop_llseek" },
	{ 0x6626afca, "down" },
	{ 0x79c9acec, "class_create" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xed153b93, "skb_push" },
	{ 0x5a921311, "strncmp" },
	{ 0xc10e4626, "register_netdev" },
	{ 0x209cb8eb, "free_netdev" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xaa5b042c, "media_entity_pads_init" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xad6d7e4b, "kthread_stop" },
	{ 0xc08558d4, "i2c_new_client_device" },
	{ 0x3edbc68d, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x83db7d7c, "default_llseek" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0x5dfcb6d3, "netif_rx" },
	{ 0x4e69b266, "__netdev_alloc_skb" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "mc");


MODULE_INFO(srcversion, "428F4D7483CD6B06869BE2D");

MODULE_INFO(suserelease, "SLFO-1.2");
