#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(cx25821_sram_channels, "", "");
KSYMTAB_FUNC(cx25821_sram_channel_setup_audio, "", "");
KSYMTAB_FUNC(cx25821_sram_channel_dump_audio, "", "");
KSYMTAB_FUNC(cx25821_dev_unregister, "", "");
KSYMTAB_FUNC(cx25821_riscmem_alloc, "", "");
KSYMTAB_FUNC(cx25821_risc_databuffer_audio, "", "");
KSYMTAB_FUNC(cx25821_print_irqbits, "", "");
KSYMTAB_FUNC(cx25821_dev_get, "", "");
KSYMTAB_FUNC(cx25821_set_gpiopin_direction, "", "");

SYMBOL_CRC(cx25821_sram_channels, 0xe9050411, "");
SYMBOL_CRC(cx25821_sram_channel_setup_audio, 0x8030ff6f, "");
SYMBOL_CRC(cx25821_sram_channel_dump_audio, 0xdb223c57, "");
SYMBOL_CRC(cx25821_dev_unregister, 0xe7506404, "");
SYMBOL_CRC(cx25821_riscmem_alloc, 0x6c6d69ea, "");
SYMBOL_CRC(cx25821_risc_databuffer_audio, 0x4ba9ab38, "");
SYMBOL_CRC(cx25821_print_irqbits, 0x44b517f5, "");
SYMBOL_CRC(cx25821_dev_get, 0xe8107ea6, "");
SYMBOL_CRC(cx25821_set_gpiopin_direction, 0x0f9f4106, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5f1034e4, "v4l2_ctrl_handler_setup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbd03b5cd, "video_devdata" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x7bd98e9f, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0x35c41ef8, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xe22ef8e0, "vb2_plane_cookie" },
	{ 0xeb78877b, "vb2_ioctl_dqbuf" },
	{ 0x4f1066ef, "vb2_ioctl_create_bufs" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x6e064bbc, "vb2_ioctl_prepare_buf" },
	{ 0x18595920, "dma_alloc_attrs" },
	{ 0x693c61fc, "vb2_buffer_done" },
	{ 0x49234b27, "v4l2_ctrl_subscribe_event" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0x8c8bef1d, "video_unregister_device" },
	{ 0xd39a11cd, "vb2_ioctl_qbuf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x7dee4b4a, "vb2_fop_mmap" },
	{ 0x83358fe5, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x71e0094c, "vb2_fop_read" },
	{ 0x7ad94f1a, "v4l2_device_register" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x58c69b21, "i2c_add_adapter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf4334299, "dma_free_attrs" },
	{ 0xb6a00423, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe4f67b2b, "vb2_ops_wait_prepare" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x9af3361b, "vb2_ioctl_streamon" },
	{ 0x3f17c9e0, "vb2_fop_poll" },
	{ 0x735f7b08, "v4l2_ctrl_new_std" },
	{ 0xbaac4c5d, "v4l2_ctrl_handler_free" },
	{ 0xb86e788f, "v4l2_device_unregister" },
	{ 0xfb5af384, "pci_disable_device" },
	{ 0xa7524338, "dma_set_mask" },
	{ 0x6847eb4d, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0xf2203c5f, "param_ops_int" },
	{ 0x89e28b1f, "video_device_release_empty" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xd6f88a87, "v4l2_event_unsubscribe" },
	{ 0x85bd1608, "__request_region" },
	{ 0x15b689a9, "vb2_ioctl_reqbufs" },
	{ 0x55e09d79, "vb2_queue_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xedb6223d, "vb2_dma_sg_memops" },
	{ 0xb57510a, "video_ioctl2" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xbd12925f, "pci_enable_device" },
	{ 0xf2df7514, "vb2_ioctl_streamoff" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0x1db8dfbb, "vb2_ops_wait_finish" },
	{ 0xd1ffe315, "__pci_register_driver" },
	{ 0x99899174, "v4l2_ctrl_handler_init_class" },
	{ 0xedc03953, "iounmap" },
	{ 0x1c137c19, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0xd7b251f4, "vb2_ioctl_querybuf" },
	{ 0x78c9d6ef, "v4l2_fh_open" },
	{ 0xb6e3c8cb, "pci_unregister_driver" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x92997ed8, "_printk" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "videodev,videobuf2-v4l2,videobuf2-common,videobuf2-dma-sg");

MODULE_ALIAS("pci:v000014F1d00008210sv000014F1sd00000920bc*sc*i*");
MODULE_ALIAS("pci:v000014F1d00008210sv00000000sd00000000bc*sc*i*");

MODULE_INFO(srcversion, "4BBCE74D4029F4F21F52B2F");

MODULE_INFO(suserelease, "SLFO-1.2");
