#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cx88_video_mux, "", "");
KSYMTAB_FUNC(cx88_querycap, "", "");
KSYMTAB_FUNC(cx88_enum_input, "", "");
KSYMTAB_FUNC(cx88_set_freq, "", "");

SYMBOL_CRC(cx88_video_mux, 0xfec4b6e8, "");
SYMBOL_CRC(cx88_querycap, 0xfcfaeb2a, "");
SYMBOL_CRC(cx88_enum_input, 0x891574ca, "");
SYMBOL_CRC(cx88_set_freq, 0x50f96fec, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92997ed8, "_printk" },
	{ 0x45cedb28, "cx88_ir_stop" },
	{ 0x5f1034e4, "v4l2_ctrl_handler_setup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbd03b5cd, "video_devdata" },
	{ 0x2f87a81f, "cx88_set_tvnorm" },
	{ 0x7bd98e9f, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0xf5ef842e, "v4l_bound_align_image" },
	{ 0x74e7ea10, "v4l2_ctrl_find" },
	{ 0x1db8945, "cx88_ir_start" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xabf456f3, "__v4l2_ctrl_s_ctrl" },
	{ 0xe22ef8e0, "vb2_plane_cookie" },
	{ 0xeb78877b, "vb2_ioctl_dqbuf" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xf2dcb431, "cx88_risc_buffer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xd02a4877, "v4l2_fh_release" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xc2200669, "cx88_set_stereo" },
	{ 0x693c61fc, "vb2_buffer_done" },
	{ 0x49234b27, "v4l2_ctrl_subscribe_event" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x8c8bef1d, "video_unregister_device" },
	{ 0xad6d7e4b, "kthread_stop" },
	{ 0xc08558d4, "i2c_new_client_device" },
	{ 0xd39a11cd, "vb2_ioctl_qbuf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x7dee4b4a, "vb2_fop_mmap" },
	{ 0x83358fe5, "pci_set_master" },
	{ 0x8d88137a, "cx88_sram_channels" },
	{ 0xcf8838a3, "cx88_set_tvaudio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x71e0094c, "vb2_fop_read" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x8ad1621, "cx88_sram_channel_dump" },
	{ 0xd00c9875, "kthread_create_on_node" },
	{ 0xa94679cf, "cx88_sram_channel_setup" },
	{ 0xf4334299, "dma_free_attrs" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0xb6a00423, "__video_register_device" },
	{ 0xe4f67b2b, "vb2_ops_wait_prepare" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x9af3361b, "vb2_ioctl_streamon" },
	{ 0x3f17c9e0, "vb2_fop_poll" },
	{ 0x735f7b08, "v4l2_ctrl_new_std" },
	{ 0xfb5af384, "pci_disable_device" },
	{ 0xa7524338, "dma_set_mask" },
	{ 0xcb5db900, "v4l2_i2c_new_subdev" },
	{ 0x6847eb4d, "pci_read_config_byte" },
	{ 0xf2203c5f, "param_ops_int" },
	{ 0x229c5b06, "cx88_newstation" },
	{ 0xd6f88a87, "v4l2_event_unsubscribe" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x15b689a9, "vb2_ioctl_reqbufs" },
	{ 0x55e09d79, "vb2_queue_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xedb6223d, "vb2_dma_sg_memops" },
	{ 0x97a0a047, "cx88_reset" },
	{ 0x6ac74692, "v4l2_ctrl_poll" },
	{ 0xb57510a, "video_ioctl2" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xbf35e303, "cx88_wakeup" },
	{ 0xbd12925f, "pci_enable_device" },
	{ 0xf2df7514, "vb2_ioctl_streamoff" },
	{ 0x5edb7ae5, "cx88_print_irqbits" },
	{ 0xfd091b5e, "v4l2_ctrl_add_handler" },
	{ 0x62105d9e, "v4l2_i2c_new_subdev_board" },
	{ 0x8abccd81, "cx88_set_scale" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0x1db8dfbb, "vb2_ops_wait_finish" },
	{ 0xd1ffe315, "__pci_register_driver" },
	{ 0xac52be7b, "cx88_shutdown" },
	{ 0x1b7601ee, "cx88_vdev_init" },
	{ 0x1c137c19, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0xd7b251f4, "vb2_ioctl_querybuf" },
	{ 0x267e699f, "cx88_core_put" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x78c9d6ef, "v4l2_fh_open" },
	{ 0x904b8696, "cx88_audio_thread" },
	{ 0x2cf4450f, "cx88_core_irq" },
	{ 0xb6e3c8cb, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1d8a5fdd, "wake_up_process" },
	{ 0xc716d45a, "cx88_core_get" },
	{ 0x71108708, "cx88_get_stereo" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "cx88xx,videodev,videobuf2-v4l2,videobuf2-common,videobuf2-dma-sg");

MODULE_ALIAS("pci:v000014F1d00008800sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "C6F1A478A11DE3C68FF7F31");

MODULE_INFO(suserelease, "SLFO-1.2");
