#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cx8802_start_dma, "", "");
KSYMTAB_FUNC(cx8802_buf_prepare, "", "");
KSYMTAB_FUNC(cx8802_buf_queue, "", "");
KSYMTAB_FUNC(cx8802_cancel_buffers, "", "");
KSYMTAB_FUNC(cx8802_get_driver, "", "");
KSYMTAB_FUNC(cx8802_register_driver, "", "");
KSYMTAB_FUNC(cx8802_unregister_driver, "", "");

SYMBOL_CRC(cx8802_start_dma, 0xc8b6807e, "");
SYMBOL_CRC(cx8802_buf_prepare, 0x15ba25a5, "");
SYMBOL_CRC(cx8802_buf_queue, 0xcc663d6a, "");
SYMBOL_CRC(cx8802_cancel_buffers, 0x2f44f469, "");
SYMBOL_CRC(cx8802_get_driver, 0xdac2d948, "");
SYMBOL_CRC(cx8802_register_driver, 0x3fe211a4, "");
SYMBOL_CRC(cx8802_unregister_driver, 0xe5774238, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xac52be7b, "cx88_shutdown" },
	{ 0x37a0cba, "kfree" },
	{ 0x267e699f, "cx88_core_put" },
	{ 0x70ecfbe8, "pci_set_power_state" },
	{ 0x2cf4450f, "cx88_core_irq" },
	{ 0xb6e3c8cb, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc716d45a, "cx88_core_get" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe22ef8e0, "vb2_plane_cookie" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x693c61fc, "vb2_buffer_done" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x91db5656, "pci_restore_state" },
	{ 0x83358fe5, "pci_set_master" },
	{ 0x8d88137a, "cx88_sram_channels" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x8ad1621, "cx88_sram_channel_dump" },
	{ 0xa94679cf, "cx88_sram_channel_setup" },
	{ 0xf4334299, "dma_free_attrs" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xfb5af384, "pci_disable_device" },
	{ 0xa7524338, "dma_set_mask" },
	{ 0x6847eb4d, "pci_read_config_byte" },
	{ 0xf2203c5f, "param_ops_int" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xf13016f5, "cx88_risc_databuffer" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xb697fff3, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x97a0a047, "cx88_reset" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xbf35e303, "cx88_wakeup" },
	{ 0xbd12925f, "pci_enable_device" },
	{ 0x40471c96, "pci_choose_state" },
	{ 0x5edb7ae5, "cx88_print_irqbits" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xd1ffe315, "__pci_register_driver" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "cx88xx,videobuf2-common");

MODULE_ALIAS("pci:v000014F1d00008802sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "861561822E9B4A4BD78BC2B");

MODULE_INFO(suserelease, "SLFO-1.2");
