#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ivtv_ext_init, "", "");
KSYMTAB_FUNC(ivtv_set_irq_mask, "", "");
KSYMTAB_FUNC(ivtv_api, "", "");
KSYMTAB_FUNC(ivtv_vapi, "", "");
KSYMTAB_FUNC(ivtv_vapi_result, "", "");
KSYMTAB_FUNC(ivtv_clear_irq_mask, "", "");
KSYMTAB_DATA(ivtv_debug, "", "");
KSYMTAB_FUNC(ivtv_reset_ir_gpio, "", "");
KSYMTAB_FUNC(ivtv_udma_setup, "", "");
KSYMTAB_FUNC(ivtv_udma_unmap, "", "");
KSYMTAB_FUNC(ivtv_udma_alloc, "", "");
KSYMTAB_FUNC(ivtv_udma_prepare, "", "");
KSYMTAB_FUNC(ivtv_init_on_first_open, "", "");
KSYMTAB_FUNC(ivtv_firmware_check, "", "");
KSYMTAB_FUNC(ivtv_claim_stream, "", "");
KSYMTAB_FUNC(ivtv_release_stream, "", "");
KSYMTAB_FUNC(ivtv_start_v4l2_encode_stream, "", "");
KSYMTAB_FUNC(ivtv_stop_v4l2_encode_stream, "", "");

SYMBOL_CRC(ivtv_ext_init, 0x01980c4f, "");
SYMBOL_CRC(ivtv_set_irq_mask, 0xaab674d7, "");
SYMBOL_CRC(ivtv_api, 0x2459fa48, "");
SYMBOL_CRC(ivtv_vapi, 0x37f550b5, "");
SYMBOL_CRC(ivtv_vapi_result, 0x57b03acb, "");
SYMBOL_CRC(ivtv_clear_irq_mask, 0xffc2567a, "");
SYMBOL_CRC(ivtv_debug, 0x14f67530, "");
SYMBOL_CRC(ivtv_reset_ir_gpio, 0x3c847bba, "");
SYMBOL_CRC(ivtv_udma_setup, 0x9f7f7794, "");
SYMBOL_CRC(ivtv_udma_unmap, 0x6e81ad00, "");
SYMBOL_CRC(ivtv_udma_alloc, 0x3c5e3bea, "");
SYMBOL_CRC(ivtv_udma_prepare, 0x3934a0ef, "");
SYMBOL_CRC(ivtv_init_on_first_open, 0xc4b0136a, "");
SYMBOL_CRC(ivtv_firmware_check, 0x36fcfbc1, "");
SYMBOL_CRC(ivtv_claim_stream, 0xfec92c12, "");
SYMBOL_CRC(ivtv_release_stream, 0x49f7c0be, "");
SYMBOL_CRC(ivtv_start_v4l2_encode_stream, 0xbce8c412, "");
SYMBOL_CRC(ivtv_stop_v4l2_encode_stream, 0x9649ca1b, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x367306fd, "__dma_sync_single_for_cpu" },
	{ 0x955b0e2e, "kthread_worker_fn" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa07a37f0, "memchr" },
	{ 0x1089e6ea, "tveeprom_read" },
	{ 0x24d273d1, "add_timer" },
	{ 0x96208dfd, "v4l2_device_set_name" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xc2fd753, "v4l2_fh_is_singular" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x6e1341a1, "pci_read_config_word" },
	{ 0x49234b27, "v4l2_ctrl_subscribe_event" },
	{ 0xf5579b6e, "v4l2_fh_init" },
	{ 0x30588c1e, "v4l2_event_pending" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x464c0276, "__kthread_init_worker" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x8c8bef1d, "video_unregister_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xad6d7e4b, "kthread_stop" },
	{ 0xae5f4106, "v4l2_event_subscribe" },
	{ 0x3edbc68d, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x83358fe5, "pci_set_master" },
	{ 0xed76d39e, "v4l2_ctrl_new_std_menu" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0xfc87affb, "__v4l2_device_register_subdev" },
	{ 0x7ad94f1a, "v4l2_device_register" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x8b18d2b2, "param_ops_string" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x58c69b21, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd00c9875, "kthread_create_on_node" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb6a00423, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6029628f, "__dma_sync_single_for_device" },
	{ 0x94e7fe73, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x4f405584, "pin_user_pages_unlocked" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x735f7b08, "v4l2_ctrl_new_std" },
	{ 0xb85c8bcc, "v4l2_ctrl_g_ctrl" },
	{ 0x756142ec, "cx2341x_handler_init" },
	{ 0x9de27d9f, "cx2341x_handler_set_50hz" },
	{ 0xbaac4c5d, "v4l2_ctrl_handler_free" },
	{ 0xb86e788f, "v4l2_device_unregister" },
	{ 0xd6a78628, "remove_wait_queue" },
	{ 0xa7524338, "dma_set_mask" },
	{ 0x57b08319, "sched_set_fifo" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x5c514ed8, "v4l2_subdev_call_wrappers" },
	{ 0xc1ddd422, "dma_unmap_sg_attrs" },
	{ 0x791eeb9f, "v4l2_event_queue" },
	{ 0xcb5db900, "v4l2_i2c_new_subdev" },
	{ 0x6847eb4d, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0xf2203c5f, "param_ops_int" },
	{ 0x701c7b05, "pcim_enable_device" },
	{ 0x89e28b1f, "video_device_release_empty" },
	{ 0x9f382f81, "v4l2_ctrl_cluster" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x18b6678f, "pci_write_config_dword" },
	{ 0xd6f88a87, "v4l2_event_unsubscribe" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xeebca5cd, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x553eeb52, "v4l2_fh_exit" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xec4c7387, "cx2341x_handler_set_busy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb57510a, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3bfe406a, "i2c_bit_add_bus" },
	{ 0xacd4569, "v4l2_fh_del" },
	{ 0x62105d9e, "v4l2_i2c_new_subdev_board" },
	{ 0xadca261, "kthread_flush_worker" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xde21e94c, "v4l2_fh_add" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0xb51d11a4, "dma_unmap_page_attrs" },
	{ 0xacf7e913, "request_firmware" },
	{ 0xd1ffe315, "__pci_register_driver" },
	{ 0x99899174, "v4l2_ctrl_handler_init_class" },
	{ 0x5c8f81ef, "devm_ioremap" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xcff2ffff, "unpin_user_pages" },
	{ 0x1c137c19, "param_array_ops" },
	{ 0x862d1e43, "prepare_to_wait" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xa55b06bd, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x40fb811b, "i2c_transfer_buffer_flags" },
	{ 0x17cedc8d, "v4l2_subdev_init" },
	{ 0xf6491531, "__wake_up" },
	{ 0xb6e3c8cb, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1d8a5fdd, "wake_up_process" },
	{ 0x44c339bf, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x28ba6fe1, "dma_map_page_attrs" },
	{ 0x2eeeb852, "__devm_request_region" },
	{ 0x92997ed8, "_printk" },
	{ 0xfd94a33c, "v4l2_ctrl_handler_log_status" },
	{ 0x5f1034e4, "v4l2_ctrl_handler_setup" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbd03b5cd, "video_devdata" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x28a28988, "i2c_new_scanned_device" },
	{ 0xec18e915, "cx2341x_handler_setup" },
	{ 0xa916b694, "strnlen" },
	{ 0xe6412cd5, "kthread_queue_work" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x6cb3aac, "__free_pages" },
	{ 0x35c41ef8, "i2c_del_adapter" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xabf456f3, "__v4l2_ctrl_s_ctrl" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "tveeprom,videodev,cx2341x,i2c-algo-bit");

MODULE_ALIAS("pci:v00004444d00000803sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00004444d00000016sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "B1225A0FA9EB7CCB07B31CC");

MODULE_INFO(suserelease, "SLFO-1.2");
