#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(usb_cypress_load_firmware, "", "");
KSYMTAB_FUNC(dvb_usb_get_hexline, "", "");
KSYMTAB_FUNC(dvb_usb_device_init, "", "");
KSYMTAB_FUNC(dvb_usb_device_exit, "", "");
KSYMTAB_FUNC(dvb_usb_generic_rw, "", "");
KSYMTAB_FUNC(dvb_usb_generic_write, "", "");
KSYMTAB_FUNC(dvb_usb_nec_rc_key_to_event, "", "");

SYMBOL_CRC(usb_cypress_load_firmware, 0xdcd8ded8, "");
SYMBOL_CRC(dvb_usb_get_hexline, 0x8b6f5395, "");
SYMBOL_CRC(dvb_usb_device_init, 0xc8e34540, "");
SYMBOL_CRC(dvb_usb_device_exit, 0x461fa59b, "");
SYMBOL_CRC(dvb_usb_generic_rw, 0x1b51c167, "");
SYMBOL_CRC(dvb_usb_generic_write, 0x8173ae49, "");
SYMBOL_CRC(dvb_usb_nec_rc_key_to_event, 0x2f2b607a, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xacf7e913, "request_firmware" },
	{ 0x4fbd717f, "input_unregister_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x70b7a00, "__media_device_register" },
	{ 0x2c256e1f, "input_scancode_to_scalar" },
	{ 0xc19a3bcd, "dvb_register_adapter" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x32c15a14, "input_free_device" },
	{ 0x92997ed8, "_printk" },
	{ 0x67c49a03, "usb_clear_halt" },
	{ 0x46097989, "usb_bulk_msg" },
	{ 0xf24ba071, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x71b5bbcc, "usb_submit_urb" },
	{ 0x71b12b37, "_dev_info" },
	{ 0x35c41ef8, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x2995a67f, "media_device_cleanup" },
	{ 0x7ec00888, "dvb_dmx_swfilter_204" },
	{ 0x2329c298, "dvb_dmx_release" },
	{ 0xe06bd8, "usb_free_coherent" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x8b8c186, "rc_register_device" },
	{ 0x72b0d970, "usb_control_msg" },
	{ 0x5da7f0f5, "dvb_net_init" },
	{ 0x760ebda, "dvb_dmx_swfilter" },
	{ 0x3edbc68d, "mutex_lock_interruptible" },
	{ 0x26205f8b, "dvb_dmxdev_release" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x57650739, "rc_free_device" },
	{ 0xfb578fc5, "memset" },
	{ 0x11593832, "dvb_dmx_swfilter_raw" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd385b1da, "input_event" },
	{ 0xc151dc95, "dvb_frontend_detach" },
	{ 0x58c69b21, "i2c_add_adapter" },
	{ 0xfebd5103, "dvb_net_release" },
	{ 0x7b9c613b, "rc_allocate_device" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfccace80, "dvb_unregister_frontend" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x6323482b, "usb_kill_urb" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xe575cc1f, "__media_device_usb_init" },
	{ 0x5098fb73, "dvb_register_frontend" },
	{ 0x70b65b56, "dvb_create_media_graph" },
	{ 0x1788ff8c, "dvb_unregister_adapter" },
	{ 0x6e7d33dc, "dvb_dmx_init" },
	{ 0xf2203c5f, "param_ops_int" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xa8a487e5, "rc_unregister_device" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xaf118a84, "input_allocate_device" },
	{ 0x9be40c22, "dvb_dmxdev_init" },
	{ 0x4ed62146, "usb_alloc_urb" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xacdb8d2b, "media_device_unregister" },
	{ 0x55a2d436, "usb_free_urb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x2f4a334c, "usb_alloc_coherent" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "mc,dvb-core,usbcore,rc-core");


MODULE_INFO(srcversion, "083703896CC43B04798B56C");

MODULE_INFO(suserelease, "SLFO-1.2");
