#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(v4l2_fwnode_endpoint_parse, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_endpoint_free, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_endpoint_alloc_parse, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_parse_link, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_put_link, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_connector_free, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_connector_parse, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_connector_add_link, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_device_parse, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_register_subdev_sensor, "_gpl", "");

SYMBOL_CRC(v4l2_fwnode_endpoint_parse, 0x6758d3d4, "_gpl");
SYMBOL_CRC(v4l2_fwnode_endpoint_free, 0xbc2f2688, "_gpl");
SYMBOL_CRC(v4l2_fwnode_endpoint_alloc_parse, 0xb7b25851, "_gpl");
SYMBOL_CRC(v4l2_fwnode_parse_link, 0x8b43d40d, "_gpl");
SYMBOL_CRC(v4l2_fwnode_put_link, 0x31c560b5, "_gpl");
SYMBOL_CRC(v4l2_fwnode_connector_free, 0x612ddce5, "_gpl");
SYMBOL_CRC(v4l2_fwnode_connector_parse, 0xf431b661, "_gpl");
SYMBOL_CRC(v4l2_fwnode_connector_add_link, 0x4daf9cd3, "_gpl");
SYMBOL_CRC(v4l2_fwnode_device_parse, 0x46c9b0be, "_gpl");
SYMBOL_CRC(v4l2_async_register_subdev_sensor, 0xfeafe7bd, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5354bf73, "fwnode_property_read_u32_array" },
	{ 0x39b37d3a, "fwnode_property_present" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x92997ed8, "_printk" },
	{ 0x306c6290, "fwnode_graph_parse_endpoint" },
	{ 0x37a0cba, "kfree" },
	{ 0xf122d883, "fwnode_property_read_string" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x6a55e78c, "__dev_fwnode" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0x6f3b6e24, "fwnode_property_get_reference_args" },
	{ 0xd0814e59, "__v4l2_async_nf_add_fwnode" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x81d7bf85, "fwnode_get_next_child_node" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x745d5f69, "v4l2_async_subdev_nf_init" },
	{ 0x1adefa90, "v4l2_subdev_get_privacy_led" },
	{ 0x187dccfa, "is_acpi_device_node" },
	{ 0xd5264a65, "is_acpi_data_node" },
	{ 0x7e7cf4cf, "v4l2_async_nf_register" },
	{ 0x8f4715df, "__v4l2_async_register_subdev" },
	{ 0x486d94e3, "v4l2_async_nf_unregister" },
	{ 0xe927c09e, "v4l2_subdev_put_privacy_led" },
	{ 0xf755460f, "v4l2_async_nf_cleanup" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x48a9ae34, "fwnode_property_read_u64_array" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xdd141e7d, "fwnode_graph_get_port_parent" },
	{ 0x5dacf095, "fwnode_get_name" },
	{ 0x7bdf536d, "fwnode_graph_get_remote_port_parent" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0xa88ec377, "fwnode_graph_get_remote_endpoint" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "v4l2-async,videodev");


MODULE_INFO(srcversion, "1118A6A1EB4212D5621572D");

MODULE_INFO(suserelease, "SLFO-1.2");
