#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(video_device_alloc, "", "");
KSYMTAB_FUNC(video_device_release, "", "");
KSYMTAB_FUNC(video_device_release_empty, "", "");
KSYMTAB_FUNC(video_devdata, "", "");
KSYMTAB_FUNC(v4l2_prio_init, "", "");
KSYMTAB_FUNC(v4l2_prio_change, "", "");
KSYMTAB_FUNC(v4l2_prio_open, "", "");
KSYMTAB_FUNC(v4l2_prio_close, "", "");
KSYMTAB_FUNC(v4l2_prio_max, "", "");
KSYMTAB_FUNC(v4l2_prio_check, "", "");
KSYMTAB_FUNC(__video_register_device, "", "");
KSYMTAB_FUNC(video_unregister_device, "", "");
KSYMTAB_FUNC(v4l2_debugfs_root, "_gpl", "");
KSYMTAB_FUNC(video_device_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(__video_device_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(video_device_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(__video_device_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(video_device_pipeline_alloc_start, "_gpl", "");
KSYMTAB_FUNC(video_device_pipeline, "_gpl", "");
KSYMTAB_FUNC(v4l2_norm_to_name, "", "");
KSYMTAB_FUNC(v4l2_video_std_frame_period, "", "");
KSYMTAB_FUNC(v4l2_video_std_construct, "", "");
KSYMTAB_DATA(v4l2_field_names, "", "");
KSYMTAB_DATA(v4l2_type_names, "", "");
KSYMTAB_FUNC(v4l_printk_ioctl, "", "");
KSYMTAB_FUNC(video_ioctl2, "", "");
KSYMTAB_FUNC(v4l2_device_register, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_put, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_set_name, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_disconnect, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_unregister, "_gpl", "");
KSYMTAB_FUNC(__v4l2_device_register_subdev, "_gpl", "");
KSYMTAB_FUNC(__v4l2_device_register_subdev_nodes, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_unregister_subdev, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_add, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_open, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_del, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_exit, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_release, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_is_singular, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_dequeue, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_queue, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_queue_fh, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_pending, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_wake_all, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_subscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_unsubscribe_all, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_unsubscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_subdev_unsubscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_src_change_event_subscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_src_change_event_subdev_subscribe, "_gpl", "");
KSYMTAB_DATA(v4l2_subdev_call_wrappers, "", "");
KSYMTAB_FUNC(v4l2_subdev_get_fwnode_pad_1_to_1, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_link_validate_default, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_link_validate, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_has_pad_interdep, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_alloc, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_free, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_init_finalize, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_cleanup, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_get_format, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_get_crop, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_get_compose, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_get_interval, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_get_fmt, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_get_frame_interval, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_set_routing, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_next_active_route, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_set_routing_with_fmt, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_routing_find_opposite_end, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_state_get_opposite_stream_format, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_state_xlate_streams, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_routing_validate, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_enable_streams, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_disable_streams, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_s_stream_helper, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_init, "", "");
KSYMTAB_FUNC(v4l2_subdev_notify_event, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_is_streaming, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_get_privacy_led, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_put_privacy_led, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_query_fill, "", "");
KSYMTAB_FUNC(v4l_bound_align_image, "_gpl", "");
KSYMTAB_FUNC(__v4l2_find_nearest_size, "_gpl", "");
KSYMTAB_FUNC(v4l2_g_parm_cap, "_gpl", "");
KSYMTAB_FUNC(v4l2_s_parm_cap, "_gpl", "");
KSYMTAB_FUNC(v4l2_format_info, "", "");
KSYMTAB_FUNC(v4l2_apply_frmsize_constraints, "_gpl", "");
KSYMTAB_FUNC(v4l2_fill_pixfmt_mp, "_gpl", "");
KSYMTAB_FUNC(v4l2_fill_pixfmt, "_gpl", "");
KSYMTAB_FUNC(v4l2_get_link_freq, "_gpl", "");
KSYMTAB_FUNC(v4l2_simplify_fraction, "_gpl", "");
KSYMTAB_FUNC(v4l2_fraction_to_interval, "_gpl", "");
KSYMTAB_FUNC(v4l2_link_freq_to_bitmap, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_equal, "", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_init, "", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_log, "", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_validate, "", "");
KSYMTAB_FUNC(v4l2_ctrl_notify, "", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_init_class, "", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_free, "", "");
KSYMTAB_FUNC(v4l2_ctrl_find, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_custom, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std_menu_items, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std_compound, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_int_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_add_handler, "", "");
KSYMTAB_FUNC(v4l2_ctrl_radio_filter, "", "");
KSYMTAB_FUNC(v4l2_ctrl_cluster, "", "");
KSYMTAB_FUNC(v4l2_ctrl_auto_cluster, "", "");
KSYMTAB_FUNC(v4l2_ctrl_activate, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_grab, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_handler_setup, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_setup, "", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_log_status, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_fwnode_properties, "", "");
KSYMTAB_FUNC(v4l2_g_ext_ctrls, "", "");
KSYMTAB_FUNC(v4l2_try_ext_ctrls, "", "");
KSYMTAB_FUNC(v4l2_s_ext_ctrls, "", "");
KSYMTAB_FUNC(v4l2_g_ctrl, "", "");
KSYMTAB_FUNC(v4l2_s_ctrl, "", "");
KSYMTAB_FUNC(v4l2_ctrl_g_ctrl, "", "");
KSYMTAB_FUNC(v4l2_ctrl_g_ctrl_int64, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl_int64, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl_string, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl_compound, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_modify_range, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_modify_dimensions, "", "");
KSYMTAB_FUNC(v4l2_query_ext_ctrl, "", "");
KSYMTAB_FUNC(v4l2_queryctrl, "", "");
KSYMTAB_FUNC(v4l2_querymenu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_log_status, "", "");
KSYMTAB_FUNC(v4l2_ctrl_subdev_log_status, "", "");
KSYMTAB_FUNC(v4l2_ctrl_replace, "", "");
KSYMTAB_FUNC(v4l2_ctrl_merge, "", "");
KSYMTAB_DATA(v4l2_ctrl_sub_ev_ops, "", "");
KSYMTAB_FUNC(v4l2_ctrl_subscribe_event, "", "");
KSYMTAB_FUNC(v4l2_ctrl_subdev_subscribe_event, "", "");
KSYMTAB_FUNC(v4l2_ctrl_poll, "", "");
KSYMTAB_FUNC(v4l2_ctrl_request_hdl_find, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_request_hdl_ctrl_find, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_request_complete, "", "");
KSYMTAB_FUNC(v4l2_ctrl_request_setup, "", "");
KSYMTAB_FUNC(v4l2_ctrl_get_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_get_int_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_get_name, "", "");
KSYMTAB_FUNC(v4l2_ctrl_fill, "", "");
KSYMTAB_FUNC(v4l2_compat_ioctl32, "_gpl", "");
KSYMTAB_FUNC(v4l2_mc_create_media_graph, "_gpl", "");
KSYMTAB_FUNC(v4l_enable_media_source, "_gpl", "");
KSYMTAB_FUNC(v4l_disable_media_source, "_gpl", "");
KSYMTAB_FUNC(v4l_vb2q_enable_media_source, "_gpl", "");
KSYMTAB_FUNC(v4l2_create_fwnode_links_to_pad, "_gpl", "");
KSYMTAB_FUNC(v4l2_create_fwnode_links, "_gpl", "");
KSYMTAB_FUNC(v4l2_pipeline_pm_get, "_gpl", "");
KSYMTAB_FUNC(v4l2_pipeline_pm_put, "_gpl", "");
KSYMTAB_FUNC(v4l2_pipeline_link_notify, "_gpl", "");
KSYMTAB_FUNC(v4l2_spi_subdev_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_spi_new_subdev, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_subdev_set_name, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_subdev_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_new_subdev_board, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_new_subdev, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_subdev_addr, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_tuner_addrs, "_gpl", "");

SYMBOL_CRC(video_device_alloc, 0x6f912026, "");
SYMBOL_CRC(video_device_release, 0x4a287618, "");
SYMBOL_CRC(video_device_release_empty, 0x89e28b1f, "");
SYMBOL_CRC(video_devdata, 0xbd03b5cd, "");
SYMBOL_CRC(v4l2_prio_init, 0xb77b0159, "");
SYMBOL_CRC(v4l2_prio_change, 0x3bdd0f94, "");
SYMBOL_CRC(v4l2_prio_open, 0x2342f1ae, "");
SYMBOL_CRC(v4l2_prio_close, 0xcda04a5b, "");
SYMBOL_CRC(v4l2_prio_max, 0x8106095a, "");
SYMBOL_CRC(v4l2_prio_check, 0x16244fe5, "");
SYMBOL_CRC(__video_register_device, 0xb6a00423, "");
SYMBOL_CRC(video_unregister_device, 0x8c8bef1d, "");
SYMBOL_CRC(v4l2_debugfs_root, 0x170fe3b1, "_gpl");
SYMBOL_CRC(video_device_pipeline_start, 0x8b57888d, "_gpl");
SYMBOL_CRC(__video_device_pipeline_start, 0x80daa471, "_gpl");
SYMBOL_CRC(video_device_pipeline_stop, 0x453d22b5, "_gpl");
SYMBOL_CRC(__video_device_pipeline_stop, 0x87089c0b, "_gpl");
SYMBOL_CRC(video_device_pipeline_alloc_start, 0x2a5bccd7, "_gpl");
SYMBOL_CRC(video_device_pipeline, 0x8bfcaa04, "_gpl");
SYMBOL_CRC(v4l2_norm_to_name, 0xf3251e7b, "");
SYMBOL_CRC(v4l2_video_std_frame_period, 0x0614dd5a, "");
SYMBOL_CRC(v4l2_video_std_construct, 0xe2b92059, "");
SYMBOL_CRC(v4l2_field_names, 0x3adbd595, "");
SYMBOL_CRC(v4l2_type_names, 0x123959a1, "");
SYMBOL_CRC(v4l_printk_ioctl, 0xbc5671dc, "");
SYMBOL_CRC(video_ioctl2, 0x0b57510a, "");
SYMBOL_CRC(v4l2_device_register, 0x7ad94f1a, "_gpl");
SYMBOL_CRC(v4l2_device_put, 0xe2219370, "_gpl");
SYMBOL_CRC(v4l2_device_set_name, 0x96208dfd, "_gpl");
SYMBOL_CRC(v4l2_device_disconnect, 0xf6f8fc73, "_gpl");
SYMBOL_CRC(v4l2_device_unregister, 0xb86e788f, "_gpl");
SYMBOL_CRC(__v4l2_device_register_subdev, 0xfc87affb, "_gpl");
SYMBOL_CRC(__v4l2_device_register_subdev_nodes, 0xff12f5e2, "_gpl");
SYMBOL_CRC(v4l2_device_unregister_subdev, 0x1c0b0adc, "_gpl");
SYMBOL_CRC(v4l2_fh_init, 0xf5579b6e, "_gpl");
SYMBOL_CRC(v4l2_fh_add, 0xde21e94c, "_gpl");
SYMBOL_CRC(v4l2_fh_open, 0x78c9d6ef, "_gpl");
SYMBOL_CRC(v4l2_fh_del, 0x0acd4569, "_gpl");
SYMBOL_CRC(v4l2_fh_exit, 0x553eeb52, "_gpl");
SYMBOL_CRC(v4l2_fh_release, 0xd02a4877, "_gpl");
SYMBOL_CRC(v4l2_fh_is_singular, 0x0c2fd753, "_gpl");
SYMBOL_CRC(v4l2_event_dequeue, 0xb89a2f0b, "_gpl");
SYMBOL_CRC(v4l2_event_queue, 0x791eeb9f, "_gpl");
SYMBOL_CRC(v4l2_event_queue_fh, 0x30d5804f, "_gpl");
SYMBOL_CRC(v4l2_event_pending, 0x30588c1e, "_gpl");
SYMBOL_CRC(v4l2_event_wake_all, 0x63bc564f, "_gpl");
SYMBOL_CRC(v4l2_event_subscribe, 0xae5f4106, "_gpl");
SYMBOL_CRC(v4l2_event_unsubscribe_all, 0xa2f17a10, "_gpl");
SYMBOL_CRC(v4l2_event_unsubscribe, 0xd6f88a87, "_gpl");
SYMBOL_CRC(v4l2_event_subdev_unsubscribe, 0xe22366ce, "_gpl");
SYMBOL_CRC(v4l2_src_change_event_subscribe, 0x5e60c948, "_gpl");
SYMBOL_CRC(v4l2_src_change_event_subdev_subscribe, 0xd900259b, "_gpl");
SYMBOL_CRC(v4l2_subdev_call_wrappers, 0x5c514ed8, "");
SYMBOL_CRC(v4l2_subdev_get_fwnode_pad_1_to_1, 0x1cd12854, "_gpl");
SYMBOL_CRC(v4l2_subdev_link_validate_default, 0x9b224970, "_gpl");
SYMBOL_CRC(v4l2_subdev_link_validate, 0xd297f96c, "_gpl");
SYMBOL_CRC(v4l2_subdev_has_pad_interdep, 0x057a48f2, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_alloc, 0x25f1cd4f, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_free, 0xbeb6bea1, "_gpl");
SYMBOL_CRC(__v4l2_subdev_init_finalize, 0xf73070e4, "_gpl");
SYMBOL_CRC(v4l2_subdev_cleanup, 0x3da9d1c4, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_get_format, 0x0e52440f, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_get_crop, 0xbdb34094, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_get_compose, 0x81cef7b3, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_get_interval, 0x1abffc94, "_gpl");
SYMBOL_CRC(v4l2_subdev_get_fmt, 0xd8d4c41a, "_gpl");
SYMBOL_CRC(v4l2_subdev_get_frame_interval, 0xca52e126, "_gpl");
SYMBOL_CRC(v4l2_subdev_set_routing, 0x113a7ed5, "_gpl");
SYMBOL_CRC(__v4l2_subdev_next_active_route, 0x180f326c, "_gpl");
SYMBOL_CRC(v4l2_subdev_set_routing_with_fmt, 0x084d2dd2, "_gpl");
SYMBOL_CRC(v4l2_subdev_routing_find_opposite_end, 0x2776e4eb, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_get_opposite_stream_format, 0x5376096a, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_xlate_streams, 0x26bf7d7a, "_gpl");
SYMBOL_CRC(v4l2_subdev_routing_validate, 0x7a01c29a, "_gpl");
SYMBOL_CRC(v4l2_subdev_enable_streams, 0x48ffcd04, "_gpl");
SYMBOL_CRC(v4l2_subdev_disable_streams, 0x4164ec88, "_gpl");
SYMBOL_CRC(v4l2_subdev_s_stream_helper, 0xaaa294f1, "_gpl");
SYMBOL_CRC(v4l2_subdev_init, 0x17cedc8d, "");
SYMBOL_CRC(v4l2_subdev_notify_event, 0x20d3f76f, "_gpl");
SYMBOL_CRC(v4l2_subdev_is_streaming, 0xf1e2347b, "_gpl");
SYMBOL_CRC(v4l2_subdev_get_privacy_led, 0x1adefa90, "_gpl");
SYMBOL_CRC(v4l2_subdev_put_privacy_led, 0xe927c09e, "_gpl");
SYMBOL_CRC(v4l2_ctrl_query_fill, 0x89e3897d, "");
SYMBOL_CRC(v4l_bound_align_image, 0xf5ef842e, "_gpl");
SYMBOL_CRC(__v4l2_find_nearest_size, 0xe2822320, "_gpl");
SYMBOL_CRC(v4l2_g_parm_cap, 0x6bddf516, "_gpl");
SYMBOL_CRC(v4l2_s_parm_cap, 0xf1360fed, "_gpl");
SYMBOL_CRC(v4l2_format_info, 0x35ff98bf, "");
SYMBOL_CRC(v4l2_apply_frmsize_constraints, 0x9fef35ac, "_gpl");
SYMBOL_CRC(v4l2_fill_pixfmt_mp, 0x6e9acc41, "_gpl");
SYMBOL_CRC(v4l2_fill_pixfmt, 0xcc501597, "_gpl");
SYMBOL_CRC(v4l2_get_link_freq, 0x09d1845f, "_gpl");
SYMBOL_CRC(v4l2_simplify_fraction, 0xad5c3c93, "_gpl");
SYMBOL_CRC(v4l2_fraction_to_interval, 0x5074e573, "_gpl");
SYMBOL_CRC(v4l2_link_freq_to_bitmap, 0x0b8d514a, "_gpl");
SYMBOL_CRC(v4l2_ctrl_type_op_equal, 0xb473380f, "");
SYMBOL_CRC(v4l2_ctrl_type_op_init, 0xcf76a713, "");
SYMBOL_CRC(v4l2_ctrl_type_op_log, 0x328f14e5, "");
SYMBOL_CRC(v4l2_ctrl_type_op_validate, 0x6a7a8dc6, "");
SYMBOL_CRC(v4l2_ctrl_notify, 0xe2310a75, "");
SYMBOL_CRC(v4l2_ctrl_handler_init_class, 0x99899174, "");
SYMBOL_CRC(v4l2_ctrl_handler_free, 0xbaac4c5d, "");
SYMBOL_CRC(v4l2_ctrl_find, 0x74e7ea10, "");
SYMBOL_CRC(v4l2_ctrl_new_custom, 0x636ea197, "");
SYMBOL_CRC(v4l2_ctrl_new_std, 0x735f7b08, "");
SYMBOL_CRC(v4l2_ctrl_new_std_menu, 0xed76d39e, "");
SYMBOL_CRC(v4l2_ctrl_new_std_menu_items, 0xf1a31b53, "");
SYMBOL_CRC(v4l2_ctrl_new_std_compound, 0x33d9e871, "");
SYMBOL_CRC(v4l2_ctrl_new_int_menu, 0xdce16b1c, "");
SYMBOL_CRC(v4l2_ctrl_add_handler, 0xfd091b5e, "");
SYMBOL_CRC(v4l2_ctrl_radio_filter, 0xdcebb145, "");
SYMBOL_CRC(v4l2_ctrl_cluster, 0x9f382f81, "");
SYMBOL_CRC(v4l2_ctrl_auto_cluster, 0x9eca82f9, "");
SYMBOL_CRC(v4l2_ctrl_activate, 0xd4b65d27, "");
SYMBOL_CRC(__v4l2_ctrl_grab, 0x63d393c8, "");
SYMBOL_CRC(__v4l2_ctrl_handler_setup, 0x08fd0267, "_gpl");
SYMBOL_CRC(v4l2_ctrl_handler_setup, 0x5f1034e4, "");
SYMBOL_CRC(v4l2_ctrl_handler_log_status, 0xfd94a33c, "");
SYMBOL_CRC(v4l2_ctrl_new_fwnode_properties, 0xaa05a818, "");
SYMBOL_CRC(v4l2_g_ext_ctrls, 0xacd98aec, "");
SYMBOL_CRC(v4l2_try_ext_ctrls, 0xa96ed59a, "");
SYMBOL_CRC(v4l2_s_ext_ctrls, 0x21365acc, "");
SYMBOL_CRC(v4l2_g_ctrl, 0x11fea858, "");
SYMBOL_CRC(v4l2_s_ctrl, 0x0cd97aea, "");
SYMBOL_CRC(v4l2_ctrl_g_ctrl, 0xb85c8bcc, "");
SYMBOL_CRC(v4l2_ctrl_g_ctrl_int64, 0xaaf31180, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl, 0xabf456f3, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl_int64, 0xc8e52cba, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl_string, 0xcb03e077, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl_compound, 0xbbdd9db6, "");
SYMBOL_CRC(__v4l2_ctrl_modify_range, 0x68eeb605, "");
SYMBOL_CRC(__v4l2_ctrl_modify_dimensions, 0xcb493e9e, "");
SYMBOL_CRC(v4l2_query_ext_ctrl, 0x5e4f70aa, "");
SYMBOL_CRC(v4l2_queryctrl, 0xc956575b, "");
SYMBOL_CRC(v4l2_querymenu, 0x11441f04, "");
SYMBOL_CRC(v4l2_ctrl_log_status, 0x62547461, "");
SYMBOL_CRC(v4l2_ctrl_subdev_log_status, 0x1a7ac74e, "");
SYMBOL_CRC(v4l2_ctrl_replace, 0xf50fecbc, "");
SYMBOL_CRC(v4l2_ctrl_merge, 0x082737e8, "");
SYMBOL_CRC(v4l2_ctrl_sub_ev_ops, 0xe5a8a1d1, "");
SYMBOL_CRC(v4l2_ctrl_subscribe_event, 0x49234b27, "");
SYMBOL_CRC(v4l2_ctrl_subdev_subscribe_event, 0x5d605619, "");
SYMBOL_CRC(v4l2_ctrl_poll, 0x6ac74692, "");
SYMBOL_CRC(v4l2_ctrl_request_hdl_find, 0x4ab0e80f, "_gpl");
SYMBOL_CRC(v4l2_ctrl_request_hdl_ctrl_find, 0xfdb52f00, "_gpl");
SYMBOL_CRC(v4l2_ctrl_request_complete, 0x57dedaa9, "");
SYMBOL_CRC(v4l2_ctrl_request_setup, 0xf9d25688, "");
SYMBOL_CRC(v4l2_ctrl_get_menu, 0x315de2cf, "");
SYMBOL_CRC(v4l2_ctrl_get_int_menu, 0xd16d9c01, "");
SYMBOL_CRC(v4l2_ctrl_get_name, 0x32d43420, "");
SYMBOL_CRC(v4l2_ctrl_fill, 0x3b86cd9a, "");
SYMBOL_CRC(v4l2_compat_ioctl32, 0x20e1f7ad, "_gpl");
SYMBOL_CRC(v4l2_mc_create_media_graph, 0x6f6ba8c7, "_gpl");
SYMBOL_CRC(v4l_enable_media_source, 0x3cb2baa4, "_gpl");
SYMBOL_CRC(v4l_disable_media_source, 0x17f50f5b, "_gpl");
SYMBOL_CRC(v4l_vb2q_enable_media_source, 0xca786c61, "_gpl");
SYMBOL_CRC(v4l2_create_fwnode_links_to_pad, 0xd898e905, "_gpl");
SYMBOL_CRC(v4l2_create_fwnode_links, 0x60083e53, "_gpl");
SYMBOL_CRC(v4l2_pipeline_pm_get, 0x2dc4f7a6, "_gpl");
SYMBOL_CRC(v4l2_pipeline_pm_put, 0x4ead63d8, "_gpl");
SYMBOL_CRC(v4l2_pipeline_link_notify, 0x504ffe90, "_gpl");
SYMBOL_CRC(v4l2_spi_subdev_init, 0xd6cccc16, "_gpl");
SYMBOL_CRC(v4l2_spi_new_subdev, 0xc95613fe, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_buf_done, 0xa86dd3fa, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_buf_done, 0x51b98c3f, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_buf_done, 0x13eaac41, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_buf_done, 0xa1893d14, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_buf_queue, 0x8bce3aae, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_buf_queue, 0xa47be780, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_buf_queue, 0xd7c6d7d5, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_buf_queue, 0xc8dd867f, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_dqbuf, 0xa65425e4, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_dqbuf, 0xff2b951e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_dqbuf, 0x6c244421, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_dqbuf, 0xd541e31a, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_qbuf, 0xea8d03e2, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_qbuf, 0x0ba8183f, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_qbuf, 0x202e4c13, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_qbuf, 0x6d3d6bc6, "_gpl");
SYMBOL_CRC(v4l2_i2c_subdev_set_name, 0x6597d9c9, "_gpl");
SYMBOL_CRC(v4l2_i2c_subdev_init, 0x19f68a01, "_gpl");
SYMBOL_CRC(v4l2_i2c_new_subdev_board, 0x62105d9e, "_gpl");
SYMBOL_CRC(v4l2_i2c_new_subdev, 0xcb5db900, "_gpl");
SYMBOL_CRC(v4l2_i2c_subdev_addr, 0x0835d2c8, "_gpl");
SYMBOL_CRC(v4l2_i2c_tuner_addrs, 0xf2a353ac, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd4b37a87, "media_graph_walk_next" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xc08558d4, "i2c_new_client_device" },
	{ 0x3edbc68d, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xa3eb5274, "device_register" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x7e54d6db, "media_pipeline_start" },
	{ 0x14aec973, "media_pipeline_stop" },
	{ 0xfb578fc5, "memset" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdf3134b1, "media_get_pad_index" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x27a7a36e, "trace_event_buffer_reserve" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x180b1bbb, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x4acb56d9, "led_set_brightness" },
	{ 0x750dd02f, "media_graph_walk_start" },
	{ 0x291261df, "media_devnode_create" },
	{ 0x716b4fac, "dev_err_probe" },
	{ 0xebde35a7, "media_entity_get_fwnode_pad" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0x78b40b1e, "media_device_unregister_entity" },
	{ 0x754d539c, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd20f3ddd, "debugfs_create_dir" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x14fb3c94, "__media_pipeline_start" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0xb3d2d914, "class_register" },
	{ 0x7385700a, "led_sysfs_disable" },
	{ 0x4bd68a20, "media_entity_find_link" },
	{ 0x6473fad4, "pci_bus_type" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xd2bda80d, "cdev_del" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xb0fd1bf, "cdev_alloc" },
	{ 0x3685b22e, "media_devnode_remove" },
	{ 0x4e5daa9a, "try_module_get" },
	{ 0x6c24c224, "media_request_object_find" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x4f049036, "media_request_object_init" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x2d42cf05, "led_sysfs_enable" },
	{ 0x50707f9c, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa88ec377, "fwnode_graph_get_remote_endpoint" },
	{ 0xa11a97c1, "trace_raw_output_prep" },
	{ 0xb24e6972, "spi_unregister_device" },
	{ 0x9668568f, "device_unregister" },
	{ 0xb07d43ee, "__trace_trigger_soft_disabled" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0xdf4574bf, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xb6ca2eb, "media_request_object_unbind" },
	{ 0x92318f5b, "led_put" },
	{ 0x86cf8a2a, "led_trigger_remove" },
	{ 0x916bb03b, "fwnode_graph_get_next_endpoint" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x549dee85, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0xc8379982, "media_request_object_complete" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xdd141e7d, "fwnode_graph_get_port_parent" },
	{ 0xd0d9d74c, "bpf_trace_run2" },
	{ 0x3416d62c, "prepare_to_wait_event" },
	{ 0xf6491531, "__wake_up" },
	{ 0x8576e767, "get_device" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x412747a4, "media_create_intf_link" },
	{ 0x4504dcd0, "media_create_pad_link" },
	{ 0x77188b5d, "trace_event_buffer_commit" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x78f542b4, "device_match_fwnode" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x810b3ee2, "__media_pipeline_stop" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9d3d08f0, "put_device" },
	{ 0x28a28988, "i2c_new_scanned_device" },
	{ 0x1be9e36, "media_pad_pipeline" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x47202a9, "media_request_object_put" },
	{ 0x7276b73a, "module_put" },
	{ 0xf6813c77, "media_pipeline_alloc_start" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xc25b2603, "media_device_register_entity" },
	{ 0x427d79dd, "media_request_get_by_fd" },
	{ 0x1193a9ac, "cdev_add" },
	{ 0x8938020f, "led_get" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x7ec56c70, "perf_trace_run_bpf_submit" },
	{ 0xc8240d31, "_dev_err" },
	{ 0xfa2a95, "i2c_unregister_device" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xcc8ceac3, "media_request_put" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x6de67898, "debugfs_remove" },
	{ 0xa1d72454, "spi_new_device" },
	{ 0x658574f4, "trace_event_reg" },
	{ 0x407dbb66, "media_request_object_bind" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xafc20114, "class_unregister" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "mc");


MODULE_INFO(srcversion, "D4FF64C04E254FDE784CCB9");

MODULE_INFO(suserelease, "SLFO-1.2");
