#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(mpt_fwfault_debug, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_get_num_paths, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_pg1, "", "");
KSYMTAB_FUNC(mpt_set_taskmgmt_in_progress_flag, "", "");
KSYMTAB_FUNC(mpt_clear_taskmgmt_in_progress_flag, "", "");
KSYMTAB_FUNC(mpt_halt_firmware, "", "");
KSYMTAB_FUNC(mpt_Soft_Hard_ResetHandler, "", "");
KSYMTAB_FUNC(mpt_attach, "", "");
KSYMTAB_FUNC(mpt_detach, "", "");
KSYMTAB_FUNC(mpt_resume, "", "");
KSYMTAB_FUNC(mpt_suspend, "", "");
KSYMTAB_DATA(ioc_list, "", "");
KSYMTAB_FUNC(mpt_register, "", "");
KSYMTAB_FUNC(mpt_deregister, "", "");
KSYMTAB_FUNC(mpt_event_register, "", "");
KSYMTAB_FUNC(mpt_event_deregister, "", "");
KSYMTAB_FUNC(mpt_reset_register, "", "");
KSYMTAB_FUNC(mpt_reset_deregister, "", "");
KSYMTAB_FUNC(mpt_device_driver_register, "", "");
KSYMTAB_FUNC(mpt_device_driver_deregister, "", "");
KSYMTAB_FUNC(mpt_get_msg_frame, "", "");
KSYMTAB_FUNC(mpt_put_msg_frame, "", "");
KSYMTAB_FUNC(mpt_put_msg_frame_hi_pri, "", "");
KSYMTAB_FUNC(mpt_free_msg_frame, "", "");
KSYMTAB_FUNC(mpt_send_handshake_request, "", "");
KSYMTAB_FUNC(mpt_verify_adapter, "", "");
KSYMTAB_FUNC(mpt_GetIocState, "", "");
KSYMTAB_FUNC(mpt_print_ioc_summary, "", "");
KSYMTAB_FUNC(mpt_HardResetHandler, "", "");
KSYMTAB_FUNC(mpt_config, "", "");
KSYMTAB_FUNC(mpt_findImVolumes, "", "");
KSYMTAB_FUNC(mpt_alloc_fw_memory, "", "");
KSYMTAB_FUNC(mpt_free_fw_memory, "", "");
KSYMTAB_FUNC(mptbase_sas_persist_operation, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_pg0, "", "");

SYMBOL_CRC(mpt_fwfault_debug, 0x502108d0, "");
SYMBOL_CRC(mpt_raid_phys_disk_get_num_paths, 0x33aa54cf, "");
SYMBOL_CRC(mpt_raid_phys_disk_pg1, 0x67810f24, "");
SYMBOL_CRC(mpt_set_taskmgmt_in_progress_flag, 0xca9442b3, "");
SYMBOL_CRC(mpt_clear_taskmgmt_in_progress_flag, 0x7488b578, "");
SYMBOL_CRC(mpt_halt_firmware, 0x2ee3933f, "");
SYMBOL_CRC(mpt_Soft_Hard_ResetHandler, 0xadc27121, "");
SYMBOL_CRC(mpt_attach, 0x353222a4, "");
SYMBOL_CRC(mpt_detach, 0xb63c94a3, "");
SYMBOL_CRC(mpt_resume, 0x99a9bef1, "");
SYMBOL_CRC(mpt_suspend, 0x28ee18bd, "");
SYMBOL_CRC(ioc_list, 0xdd805159, "");
SYMBOL_CRC(mpt_register, 0x6adbf656, "");
SYMBOL_CRC(mpt_deregister, 0x981efe92, "");
SYMBOL_CRC(mpt_event_register, 0x7e9ef55d, "");
SYMBOL_CRC(mpt_event_deregister, 0xe6c1e126, "");
SYMBOL_CRC(mpt_reset_register, 0x1e28f72f, "");
SYMBOL_CRC(mpt_reset_deregister, 0x610b257e, "");
SYMBOL_CRC(mpt_device_driver_register, 0x62cb444a, "");
SYMBOL_CRC(mpt_device_driver_deregister, 0x74a0134a, "");
SYMBOL_CRC(mpt_get_msg_frame, 0x1e8c0bcb, "");
SYMBOL_CRC(mpt_put_msg_frame, 0xdf76af36, "");
SYMBOL_CRC(mpt_put_msg_frame_hi_pri, 0x8e3b010a, "");
SYMBOL_CRC(mpt_free_msg_frame, 0xc5d25d68, "");
SYMBOL_CRC(mpt_send_handshake_request, 0xf1a35706, "");
SYMBOL_CRC(mpt_verify_adapter, 0x373641e4, "");
SYMBOL_CRC(mpt_GetIocState, 0x2aaa2b3c, "");
SYMBOL_CRC(mpt_print_ioc_summary, 0x46229d65, "");
SYMBOL_CRC(mpt_HardResetHandler, 0x7aaa3cad, "");
SYMBOL_CRC(mpt_config, 0xc5a19a23, "");
SYMBOL_CRC(mpt_findImVolumes, 0x47880f8f, "");
SYMBOL_CRC(mpt_alloc_fw_memory, 0xcb2cc748, "");
SYMBOL_CRC(mpt_free_fw_memory, 0x82952b8b, "");
SYMBOL_CRC(mptbase_sas_persist_operation, 0xf578c079, "");
SYMBOL_CRC(mpt_raid_phys_disk_pg0, 0xc60080b4, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x92997ed8, "_printk" },
	{ 0x7ad7a5cd, "seq_printf" },
	{ 0xddada8c3, "pci_stop_and_remove_bus_device_locked" },
	{ 0x18595920, "dma_alloc_attrs" },
	{ 0xf4334299, "dma_free_attrs" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x4963dacd, "pci_select_bars" },
	{ 0xd9de95f, "pci_enable_device_mem" },
	{ 0xcf9a2c0, "pci_request_selected_regions" },
	{ 0x209e480d, "dma_get_required_mask" },
	{ 0xa7524338, "dma_set_mask" },
	{ 0xaf36c569, "dma_set_coherent_mask" },
	{ 0xde80cd09, "ioremap" },
	{ 0x87449e3e, "pci_release_selected_regions" },
	{ 0xfb5af384, "pci_disable_device" },
	{ 0x6e063721, "remove_proc_entry" },
	{ 0xf1e046cc, "panic" },
	{ 0x792289bb, "param_set_int" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa6257a2f, "complete" },
	{ 0x56a719f2, "seq_putc" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf9a482f9, "msleep" },
	{ 0x40471c96, "pci_choose_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xcf93977b, "pci_disable_msi" },
	{ 0xb697fff3, "pci_save_state" },
	{ 0x70ecfbe8, "pci_set_power_state" },
	{ 0xe823ba79, "proc_mkdir" },
	{ 0x48438b36, "proc_create_single_data" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x37a0cba, "kfree" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xfb578fc5, "memset" },
	{ 0x6e1341a1, "pci_read_config_word" },
	{ 0xc01defd9, "pci_write_config_word" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xedc03953, "iounmap" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xbd12925f, "pci_enable_device" },
	{ 0xa9da7092, "pci_enable_msi" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x83358fe5, "pci_set_master" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xd00c9875, "kthread_create_on_node" },
	{ 0x1d8a5fdd, "wake_up_process" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x6847eb4d, "pci_read_config_byte" },
	{ 0x94e7fe73, "pci_write_config_byte" },
	{ 0x1baab9d9, "pci_get_slot" },
	{ 0xee7d22e5, "pci_dev_put" },
	{ 0x192fb225, "pci_enable_wake" },
	{ 0x91db5656, "pci_restore_state" },
	{ 0xf2203c5f, "param_ops_int" },
	{ 0x8f532bcc, "param_get_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A9A75BA26A33B1F6BDD06DC");

MODULE_INFO(suserelease, "SLFO-1.2");
