#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(mtd_table_mutex, "_gpl", "");
KSYMTAB_FUNC(__mtd_next_device, "_gpl", "");
KSYMTAB_FUNC(mtd_check_expert_analysis_mode, "_gpl", "");
KSYMTAB_FUNC(mtd_wunit_to_pairing_info, "_gpl", "");
KSYMTAB_FUNC(mtd_pairing_info_to_wunit, "_gpl", "");
KSYMTAB_FUNC(mtd_pairing_groups, "_gpl", "");
KSYMTAB_FUNC(mtd_device_parse_register, "_gpl", "");
KSYMTAB_FUNC(mtd_device_unregister, "_gpl", "");
KSYMTAB_FUNC(register_mtd_user, "_gpl", "");
KSYMTAB_FUNC(unregister_mtd_user, "_gpl", "");
KSYMTAB_FUNC(get_mtd_device, "_gpl", "");
KSYMTAB_FUNC(__get_mtd_device, "_gpl", "");
KSYMTAB_FUNC(of_get_mtd_device_by_node, "_gpl", "");
KSYMTAB_FUNC(get_mtd_device_nm, "_gpl", "");
KSYMTAB_FUNC(put_mtd_device, "_gpl", "");
KSYMTAB_FUNC(__put_mtd_device, "_gpl", "");
KSYMTAB_FUNC(mtd_erase, "_gpl", "");
KSYMTAB_FUNC(mtd_point, "_gpl", "");
KSYMTAB_FUNC(mtd_unpoint, "_gpl", "");
KSYMTAB_FUNC(mtd_get_unmapped_area, "_gpl", "");
KSYMTAB_FUNC(mtd_read, "_gpl", "");
KSYMTAB_FUNC(mtd_write, "_gpl", "");
KSYMTAB_FUNC(mtd_panic_write, "_gpl", "");
KSYMTAB_FUNC(mtd_read_oob, "_gpl", "");
KSYMTAB_FUNC(mtd_write_oob, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_ecc, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_free, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_find_eccregion, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_get_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_set_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_get_databytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_set_databytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_count_freebytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_count_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_get_fact_prot_info, "_gpl", "");
KSYMTAB_FUNC(mtd_read_fact_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_get_user_prot_info, "_gpl", "");
KSYMTAB_FUNC(mtd_read_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_write_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_lock_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_erase_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_lock, "_gpl", "");
KSYMTAB_FUNC(mtd_unlock, "_gpl", "");
KSYMTAB_FUNC(mtd_is_locked, "_gpl", "");
KSYMTAB_FUNC(mtd_block_isreserved, "_gpl", "");
KSYMTAB_FUNC(mtd_block_isbad, "_gpl", "");
KSYMTAB_FUNC(mtd_block_markbad, "_gpl", "");
KSYMTAB_FUNC(mtd_writev, "_gpl", "");
KSYMTAB_FUNC(mtd_kmalloc_up_to, "_gpl", "");
KSYMTAB_FUNC(get_tree_mtd, "_gpl", "");
KSYMTAB_FUNC(kill_mtd_super, "_gpl", "");
KSYMTAB_FUNC(mtd_concat_create, "", "");
KSYMTAB_FUNC(mtd_concat_destroy, "", "");
KSYMTAB_FUNC(mtd_add_partition, "_gpl", "");
KSYMTAB_FUNC(mtd_del_partition, "_gpl", "");
KSYMTAB_FUNC(__register_mtd_parser, "_gpl", "");
KSYMTAB_FUNC(deregister_mtd_parser, "_gpl", "");
KSYMTAB_FUNC(mtd_get_device_size, "_gpl", "");

SYMBOL_CRC(mtd_table_mutex, 0x50f12992, "_gpl");
SYMBOL_CRC(__mtd_next_device, 0x53233a7b, "_gpl");
SYMBOL_CRC(mtd_check_expert_analysis_mode, 0xb7075882, "_gpl");
SYMBOL_CRC(mtd_wunit_to_pairing_info, 0xede5fe43, "_gpl");
SYMBOL_CRC(mtd_pairing_info_to_wunit, 0x774dad02, "_gpl");
SYMBOL_CRC(mtd_pairing_groups, 0xa8a17f70, "_gpl");
SYMBOL_CRC(mtd_device_parse_register, 0x5a10bfbd, "_gpl");
SYMBOL_CRC(mtd_device_unregister, 0x8eaadc60, "_gpl");
SYMBOL_CRC(register_mtd_user, 0x7f48ba93, "_gpl");
SYMBOL_CRC(unregister_mtd_user, 0x35adecdd, "_gpl");
SYMBOL_CRC(get_mtd_device, 0x184c2709, "_gpl");
SYMBOL_CRC(__get_mtd_device, 0x81804d43, "_gpl");
SYMBOL_CRC(of_get_mtd_device_by_node, 0x022c5747, "_gpl");
SYMBOL_CRC(get_mtd_device_nm, 0x99a5d11b, "_gpl");
SYMBOL_CRC(put_mtd_device, 0x18be2536, "_gpl");
SYMBOL_CRC(__put_mtd_device, 0xb6aa8245, "_gpl");
SYMBOL_CRC(mtd_erase, 0x5fab2c87, "_gpl");
SYMBOL_CRC(mtd_point, 0x0b39f0c5, "_gpl");
SYMBOL_CRC(mtd_unpoint, 0x8ef189a4, "_gpl");
SYMBOL_CRC(mtd_get_unmapped_area, 0x617904d0, "_gpl");
SYMBOL_CRC(mtd_read, 0xa9654cbe, "_gpl");
SYMBOL_CRC(mtd_write, 0x3f55d110, "_gpl");
SYMBOL_CRC(mtd_panic_write, 0xf9bcb333, "_gpl");
SYMBOL_CRC(mtd_read_oob, 0x4f91f180, "_gpl");
SYMBOL_CRC(mtd_write_oob, 0x45f0a6a8, "_gpl");
SYMBOL_CRC(mtd_ooblayout_ecc, 0xdadf3881, "_gpl");
SYMBOL_CRC(mtd_ooblayout_free, 0xfa6328fb, "_gpl");
SYMBOL_CRC(mtd_ooblayout_find_eccregion, 0x86a2184f, "_gpl");
SYMBOL_CRC(mtd_ooblayout_get_eccbytes, 0xaa3a132e, "_gpl");
SYMBOL_CRC(mtd_ooblayout_set_eccbytes, 0x94a21e9a, "_gpl");
SYMBOL_CRC(mtd_ooblayout_get_databytes, 0x948dec00, "_gpl");
SYMBOL_CRC(mtd_ooblayout_set_databytes, 0x7e266c1e, "_gpl");
SYMBOL_CRC(mtd_ooblayout_count_freebytes, 0x482ae993, "_gpl");
SYMBOL_CRC(mtd_ooblayout_count_eccbytes, 0x1c7fa262, "_gpl");
SYMBOL_CRC(mtd_get_fact_prot_info, 0x04297cf5, "_gpl");
SYMBOL_CRC(mtd_read_fact_prot_reg, 0xe1a1ddee, "_gpl");
SYMBOL_CRC(mtd_get_user_prot_info, 0x1f795a55, "_gpl");
SYMBOL_CRC(mtd_read_user_prot_reg, 0xb02206bb, "_gpl");
SYMBOL_CRC(mtd_write_user_prot_reg, 0x50727019, "_gpl");
SYMBOL_CRC(mtd_lock_user_prot_reg, 0xde38e0ea, "_gpl");
SYMBOL_CRC(mtd_erase_user_prot_reg, 0x96c93d6c, "_gpl");
SYMBOL_CRC(mtd_lock, 0x53116521, "_gpl");
SYMBOL_CRC(mtd_unlock, 0xa3e50436, "_gpl");
SYMBOL_CRC(mtd_is_locked, 0xcb72e3ee, "_gpl");
SYMBOL_CRC(mtd_block_isreserved, 0x57a35cda, "_gpl");
SYMBOL_CRC(mtd_block_isbad, 0x345c656b, "_gpl");
SYMBOL_CRC(mtd_block_markbad, 0xbc8b063a, "_gpl");
SYMBOL_CRC(mtd_writev, 0x6d17fb90, "_gpl");
SYMBOL_CRC(mtd_kmalloc_up_to, 0x32850d6d, "_gpl");
SYMBOL_CRC(get_tree_mtd, 0xa8565751, "_gpl");
SYMBOL_CRC(kill_mtd_super, 0x8b4fcb6e, "_gpl");
SYMBOL_CRC(mtd_concat_create, 0xc19030c0, "");
SYMBOL_CRC(mtd_concat_destroy, 0x4cebba73, "");
SYMBOL_CRC(mtd_add_partition, 0x28bc907a, "_gpl");
SYMBOL_CRC(mtd_del_partition, 0x2a154079, "_gpl");
SYMBOL_CRC(__register_mtd_parser, 0xe4c8a993, "_gpl");
SYMBOL_CRC(deregister_mtd_parser, 0x3f00dc34, "_gpl");
SYMBOL_CRC(mtd_get_device_size, 0xc900373d, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9820f51a, "idr_alloc" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x5fe6934f, "device_create" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x6de67898, "debugfs_remove" },
	{ 0x3392d6b5, "fixed_size_llseek" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xafc20114, "class_unregister" },
	{ 0xd09ce671, "bdi_alloc" },
	{ 0xa3eb5274, "device_register" },
	{ 0x4d470eb0, "idr_destroy" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x7c3d6aba, "__register_chrdev" },
	{ 0x9f7aac60, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xb3fa17d1, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6e063721, "remove_proc_entry" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xc8968ed8, "sysfs_create_files" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7ad7a5cd, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xe47450bc, "lockref_get" },
	{ 0x3659f11f, "deactivate_locked_super" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x716b4fac, "dev_err_probe" },
	{ 0x48438b36, "proc_create_single_data" },
	{ 0x82f010d7, "nvmem_register" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd20f3ddd, "debugfs_create_dir" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0xb3d2d914, "class_register" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xa6c0bec1, "generic_shutdown_super" },
	{ 0x4e5daa9a, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x333051c0, "idr_find" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x25f2b2c8, "kmemdup_array" },
	{ 0x647ae6d1, "sget_dev" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x49adc0d7, "bdi_unregister" },
	{ 0x50707f9c, "dev_set_name" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x831e5935, "bdi_register" },
	{ 0x9668568f, "device_unregister" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0x508f579d, "nvmem_unregister" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x11762571, "logfc" },
	{ 0x73f24848, "sysfs_remove_files" },
	{ 0x883c3a0f, "__module_get" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd66c8184, "add_device_randomness" },
	{ 0x92997ed8, "_printk" },
	{ 0xc1f6f2a, "bdi_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9d3d08f0, "put_device" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xed0bc201, "idr_get_next" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7276b73a, "module_put" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0xb9a85f0c, "idr_remove" },
	{ 0xf933d48, "debugfs_create_bool" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5655080261274AEC2A5A86D");

MODULE_INFO(suserelease, "SLFO-1.2");
