#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nand_extract_bits, "_gpl", "");
KSYMTAB_FUNC(nand_select_target, "_gpl", "");
KSYMTAB_FUNC(nand_deselect_target, "_gpl", "");
KSYMTAB_FUNC(nand_soft_waitrdy, "_gpl", "");
KSYMTAB_FUNC(nand_gpio_waitrdy, "_gpl", "");
KSYMTAB_FUNC(nand_read_page_op, "_gpl", "");
KSYMTAB_FUNC(nand_change_read_column_op, "_gpl", "");
KSYMTAB_FUNC(nand_read_oob_op, "_gpl", "");
KSYMTAB_FUNC(nand_prog_page_begin_op, "_gpl", "");
KSYMTAB_FUNC(nand_prog_page_end_op, "_gpl", "");
KSYMTAB_FUNC(nand_prog_page_op, "_gpl", "");
KSYMTAB_FUNC(nand_change_write_column_op, "_gpl", "");
KSYMTAB_FUNC(nand_readid_op, "_gpl", "");
KSYMTAB_FUNC(nand_status_op, "_gpl", "");
KSYMTAB_FUNC(nand_exit_status_op, "_gpl", "");
KSYMTAB_FUNC(nand_erase_op, "_gpl", "");
KSYMTAB_FUNC(nand_reset_op, "_gpl", "");
KSYMTAB_FUNC(nand_read_data_op, "_gpl", "");
KSYMTAB_FUNC(nand_write_data_op, "_gpl", "");
KSYMTAB_FUNC(nand_op_parser_exec_op, "_gpl", "");
KSYMTAB_FUNC(nand_subop_get_addr_start_off, "_gpl", "");
KSYMTAB_FUNC(nand_subop_get_num_addr_cyc, "_gpl", "");
KSYMTAB_FUNC(nand_subop_get_data_start_off, "_gpl", "");
KSYMTAB_FUNC(nand_subop_get_data_len, "_gpl", "");
KSYMTAB_FUNC(nand_reset, "_gpl", "");
KSYMTAB_FUNC(nand_check_erased_ecc_chunk, "", "");
KSYMTAB_FUNC(nand_read_page_raw, "", "");
KSYMTAB_FUNC(nand_monolithic_read_page_raw, "", "");
KSYMTAB_FUNC(nand_read_page_hwecc_oob_first, "_gpl", "");
KSYMTAB_FUNC(nand_read_oob_std, "", "");
KSYMTAB_FUNC(nand_write_oob_std, "", "");
KSYMTAB_FUNC(nand_write_page_raw, "", "");
KSYMTAB_FUNC(nand_monolithic_write_page_raw, "", "");
KSYMTAB_FUNC(nand_decode_ext_id, "_gpl", "");
KSYMTAB_FUNC(rawnand_dt_parse_gpio_cs, "", "");
KSYMTAB_FUNC(rawnand_sw_hamming_init, "", "");
KSYMTAB_FUNC(rawnand_sw_hamming_calculate, "", "");
KSYMTAB_FUNC(rawnand_sw_hamming_correct, "", "");
KSYMTAB_FUNC(rawnand_sw_hamming_cleanup, "", "");
KSYMTAB_FUNC(rawnand_sw_bch_init, "", "");
KSYMTAB_FUNC(rawnand_sw_bch_correct, "", "");
KSYMTAB_FUNC(rawnand_sw_bch_cleanup, "", "");
KSYMTAB_FUNC(nand_ecc_choose_conf, "_gpl", "");
KSYMTAB_FUNC(nand_scan_with_ids, "", "");
KSYMTAB_FUNC(nand_cleanup, "_gpl", "");
KSYMTAB_FUNC(nand_wait_ready, "_gpl", "");
KSYMTAB_FUNC(nand_get_set_features_notsupp, "", "");
KSYMTAB_FUNC(nand_create_bbt, "", "");

SYMBOL_CRC(nand_extract_bits, 0x11091291, "_gpl");
SYMBOL_CRC(nand_select_target, 0xe5ca51bd, "_gpl");
SYMBOL_CRC(nand_deselect_target, 0x9e56b6a8, "_gpl");
SYMBOL_CRC(nand_soft_waitrdy, 0xee0a38c6, "_gpl");
SYMBOL_CRC(nand_gpio_waitrdy, 0xa46c323d, "_gpl");
SYMBOL_CRC(nand_read_page_op, 0x1f2d4648, "_gpl");
SYMBOL_CRC(nand_change_read_column_op, 0x961d6243, "_gpl");
SYMBOL_CRC(nand_read_oob_op, 0xc8ee06c8, "_gpl");
SYMBOL_CRC(nand_prog_page_begin_op, 0x13101619, "_gpl");
SYMBOL_CRC(nand_prog_page_end_op, 0x941c58ec, "_gpl");
SYMBOL_CRC(nand_prog_page_op, 0x8be7db97, "_gpl");
SYMBOL_CRC(nand_change_write_column_op, 0x3832e7b6, "_gpl");
SYMBOL_CRC(nand_readid_op, 0x61893cb8, "_gpl");
SYMBOL_CRC(nand_status_op, 0xf0c18ea1, "_gpl");
SYMBOL_CRC(nand_exit_status_op, 0x1616d749, "_gpl");
SYMBOL_CRC(nand_erase_op, 0x9de8514a, "_gpl");
SYMBOL_CRC(nand_reset_op, 0x3e30d3e9, "_gpl");
SYMBOL_CRC(nand_read_data_op, 0xffd8b6d4, "_gpl");
SYMBOL_CRC(nand_write_data_op, 0x9f4cfc53, "_gpl");
SYMBOL_CRC(nand_op_parser_exec_op, 0x665603c7, "_gpl");
SYMBOL_CRC(nand_subop_get_addr_start_off, 0x2d368c4c, "_gpl");
SYMBOL_CRC(nand_subop_get_num_addr_cyc, 0x5632e63d, "_gpl");
SYMBOL_CRC(nand_subop_get_data_start_off, 0xd41ff2ac, "_gpl");
SYMBOL_CRC(nand_subop_get_data_len, 0xd3c672b8, "_gpl");
SYMBOL_CRC(nand_reset, 0x9264b37b, "_gpl");
SYMBOL_CRC(nand_check_erased_ecc_chunk, 0x8ecbb3b8, "");
SYMBOL_CRC(nand_read_page_raw, 0xf750fee9, "");
SYMBOL_CRC(nand_monolithic_read_page_raw, 0x9e3f9f38, "");
SYMBOL_CRC(nand_read_page_hwecc_oob_first, 0xb23db076, "_gpl");
SYMBOL_CRC(nand_read_oob_std, 0xf4dc1e5c, "");
SYMBOL_CRC(nand_write_oob_std, 0xd4d9c78c, "");
SYMBOL_CRC(nand_write_page_raw, 0xdc639d4d, "");
SYMBOL_CRC(nand_monolithic_write_page_raw, 0x4f331156, "");
SYMBOL_CRC(nand_decode_ext_id, 0x3b47dcd3, "_gpl");
SYMBOL_CRC(rawnand_dt_parse_gpio_cs, 0xeed7d0d1, "");
SYMBOL_CRC(rawnand_sw_hamming_init, 0x3f85b70f, "");
SYMBOL_CRC(rawnand_sw_hamming_calculate, 0xf29edc03, "");
SYMBOL_CRC(rawnand_sw_hamming_correct, 0xbb0d9803, "");
SYMBOL_CRC(rawnand_sw_hamming_cleanup, 0x4a25f21f, "");
SYMBOL_CRC(rawnand_sw_bch_init, 0x85cbdde0, "");
SYMBOL_CRC(rawnand_sw_bch_correct, 0x2a6f6eb3, "");
SYMBOL_CRC(rawnand_sw_bch_cleanup, 0x9f4970d0, "");
SYMBOL_CRC(nand_ecc_choose_conf, 0xa2d2bc85, "_gpl");
SYMBOL_CRC(nand_scan_with_ids, 0x80a6dd6b, "");
SYMBOL_CRC(nand_cleanup, 0x52a80341, "_gpl");
SYMBOL_CRC(nand_wait_ready, 0xfdd52919, "_gpl");
SYMBOL_CRC(nand_get_set_features_notsupp, 0xae258f83, "");
SYMBOL_CRC(nand_create_bbt, 0xaa4b7ed9, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0x999e8297, "vfree" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xdf8c695a, "__ndelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x86a2184f, "mtd_ooblayout_find_eccregion" },
	{ 0x948dec00, "mtd_ooblayout_get_databytes" },
	{ 0x81188c30, "match_string" },
	{ 0xaa3a132e, "mtd_ooblayout_get_eccbytes" },
	{ 0xf3f2bf94, "nanddev_mtd_max_bad_blocks" },
	{ 0x120b5b1d, "nand_ecc_sw_bch_calculate" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xa4b94fea, "iowrite8_rep" },
	{ 0xee22e89a, "gpiod_get_value_cansleep" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x4f91f180, "mtd_read_oob" },
	{ 0x3cb06817, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0xa92180ac, "gpiod_count" },
	{ 0xa592ab06, "nanddev_cleanup" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xbc836ca2, "nand_get_large_page_hamming_ooblayout" },
	{ 0x69acdf38, "memcpy" },
	{ 0x95434941, "nand_get_large_page_ooblayout" },
	{ 0x37a0cba, "kfree" },
	{ 0xad12484d, "gpiod_get_index_optional" },
	{ 0xa4690831, "nand_ecc_sw_hamming_init_ctx" },
	{ 0xeaf75240, "nanddev_init" },
	{ 0xf9e6de13, "nand_ecc_sw_bch_correct" },
	{ 0x62da31cc, "nand_ecc_sw_bch_cleanup_ctx" },
	{ 0x94a21e9a, "mtd_ooblayout_set_eccbytes" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3416d62c, "prepare_to_wait_event" },
	{ 0xf6491531, "__wake_up" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x9ab6662b, "nand_ecc_sw_hamming_calculate" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb7075882, "mtd_check_expert_analysis_mode" },
	{ 0xfbab1bb1, "ioread8_rep" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5641a9ba, "nand_ecc_sw_hamming_cleanup_ctx" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xadd6b11e, "nand_ecc_sw_bch_init_ctx" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x84343279, "nand_ecc_is_strong_enough" },
	{ 0x45f0a6a8, "mtd_write_oob" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x4beac39c, "nand_get_small_page_ooblayout" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0xb57f6c0a, "nand_ecc_sw_hamming_correct" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xa9654cbe, "mtd_read" },
	{ 0x482ae993, "mtd_ooblayout_count_freebytes" },
	{ 0x6fcb87a1, "touch_softlockup_watchdog" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7e266c1e, "mtd_ooblayout_set_databytes" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "mtd,nandcore");


MODULE_INFO(srcversion, "CEDAE5265053F303681C2CB");

MODULE_INFO(suserelease, "SLFO-1.2");
