#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ubi_do_get_device_info, "_gpl", "");
KSYMTAB_FUNC(ubi_get_device_info, "_gpl", "");
KSYMTAB_FUNC(ubi_get_volume_info, "_gpl", "");
KSYMTAB_FUNC(ubi_open_volume, "_gpl", "");
KSYMTAB_FUNC(ubi_open_volume_nm, "_gpl", "");
KSYMTAB_FUNC(ubi_open_volume_path, "_gpl", "");
KSYMTAB_FUNC(ubi_close_volume, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_read, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_read_sg, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_write, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_change, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_erase, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_unmap, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_map, "_gpl", "");
KSYMTAB_FUNC(ubi_is_mapped, "_gpl", "");
KSYMTAB_FUNC(ubi_sync, "_gpl", "");
KSYMTAB_FUNC(ubi_flush, "_gpl", "");
KSYMTAB_FUNC(ubi_register_volume_notifier, "_gpl", "");
KSYMTAB_FUNC(ubi_unregister_volume_notifier, "_gpl", "");

SYMBOL_CRC(ubi_do_get_device_info, 0xe5990376, "_gpl");
SYMBOL_CRC(ubi_get_device_info, 0x66011ab6, "_gpl");
SYMBOL_CRC(ubi_get_volume_info, 0x53639246, "_gpl");
SYMBOL_CRC(ubi_open_volume, 0x8095f161, "_gpl");
SYMBOL_CRC(ubi_open_volume_nm, 0x23e80500, "_gpl");
SYMBOL_CRC(ubi_open_volume_path, 0xdcfe6f89, "_gpl");
SYMBOL_CRC(ubi_close_volume, 0x11876c7b, "_gpl");
SYMBOL_CRC(ubi_leb_read, 0xd94353e9, "_gpl");
SYMBOL_CRC(ubi_leb_read_sg, 0x3869ceef, "_gpl");
SYMBOL_CRC(ubi_leb_write, 0x3a603a0a, "_gpl");
SYMBOL_CRC(ubi_leb_change, 0x8a3a204d, "_gpl");
SYMBOL_CRC(ubi_leb_erase, 0xf0bc63a2, "_gpl");
SYMBOL_CRC(ubi_leb_unmap, 0x79ca329f, "_gpl");
SYMBOL_CRC(ubi_leb_map, 0xa82d9f21, "_gpl");
SYMBOL_CRC(ubi_is_mapped, 0x93d11855, "_gpl");
SYMBOL_CRC(ubi_sync, 0x42801d20, "_gpl");
SYMBOL_CRC(ubi_flush, 0x38e10c1d, "_gpl");
SYMBOL_CRC(ubi_register_volume_notifier, 0xf5ee9ba8, "_gpl");
SYMBOL_CRC(ubi_unregister_volume_notifier, 0x85a8ee76, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1d8a5fdd, "wake_up_process" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x37d443ec, "device_set_node" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0x4494c65a, "cdev_device_add" },
	{ 0x1000e51, "schedule" },
	{ 0x3168dbe4, "blocking_notifier_call_chain" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9d3d08f0, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0x5354bf73, "fwnode_property_read_u32_array" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7276b73a, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x7228ccc9, "compat_ptr_ioctl" },
	{ 0x1193a9ac, "cdev_add" },
	{ 0xbc8b063a, "mtd_block_markbad" },
	{ 0xba0efd1f, "down_write" },
	{ 0x209b8854, "up_write" },
	{ 0x5a0f8bd0, "simple_open" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x35adecdd, "unregister_mtd_user" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xdf9ceed4, "kmem_cache_free" },
	{ 0x6de67898, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x3392d6b5, "fixed_size_llseek" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x18be2536, "put_mtd_device" },
	{ 0x7f48ba93, "register_mtd_user" },
	{ 0xafc20114, "class_unregister" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xa9654cbe, "mtd_read" },
	{ 0xad6d7e4b, "kthread_stop" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x249f1331, "freezing_slow_path" },
	{ 0xa3eb5274, "device_register" },
	{ 0xfb578fc5, "memset" },
	{ 0x1e4f1647, "kern_path" },
	{ 0x2c4f2e35, "__vmalloc_noprof" },
	{ 0xcd467294, "misc_register" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfa10416, "kmem_cache_alloc_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x8337a399, "__kmem_cache_create_args" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x5fab2c87, "mtd_erase" },
	{ 0xfa181c2e, "down_write_trylock" },
	{ 0x9fb64856, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xd00c9875, "kthread_create_on_node" },
	{ 0x4a38d9f7, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3f55d110, "mtd_write" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xf122d883, "fwnode_property_read_string" },
	{ 0x2d4ca2f4, "blocking_notifier_chain_unregister" },
	{ 0x999e8297, "vfree" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x85df9b6c, "strsep" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x4256d4ca, "device_get_named_child_node" },
	{ 0x9f7aac60, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7ad7a5cd, "seq_printf" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x8ae718dd, "debugfs_create_file_full" },
	{ 0xc900373d, "mtd_get_device_size" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf1fc404a, "seq_open" },
	{ 0x754d539c, "strlen" },
	{ 0xd20f3ddd, "debugfs_create_dir" },
	{ 0x345c656b, "mtd_block_isbad" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xb570b5d7, "up_read" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0xb3d2d914, "class_register" },
	{ 0xda59c8d, "cdev_init" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xd2bda80d, "cdev_del" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x8019049f, "kmem_cache_destroy" },
	{ 0x760a0f4f, "yield" },
	{ 0x4e5daa9a, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x45f4e1cd, "__init_rwsem" },
	{ 0xe651aca3, "misc_deregister" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4fa25fa4, "vfs_getattr" },
	{ 0xdf2c2742, "rb_last" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x50707f9c, "dev_set_name" },
	{ 0xe6c8800b, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x59a754ae, "cdev_device_del" },
	{ 0x9668568f, "device_unregister" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0x4628038c, "device_initialize" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x2e4f415b, "seq_lseek" },
	{ 0x81d7bf85, "fwnode_get_next_child_node" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x8576e767, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x99a5d11b, "get_mtd_device_nm" },
	{ 0x4cbfc3cd, "path_put" },
	{ 0x3db8d791, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x184c2709, "get_mtd_device" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "mtd");


MODULE_INFO(srcversion, "5470A517A24964CAE386EE5");

MODULE_INFO(suserelease, "SLFO-1.2");
