#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mux_chip_alloc, "_gpl", "");
KSYMTAB_FUNC(mux_chip_register, "_gpl", "");
KSYMTAB_FUNC(mux_chip_unregister, "_gpl", "");
KSYMTAB_FUNC(mux_chip_free, "_gpl", "");
KSYMTAB_FUNC(devm_mux_chip_alloc, "_gpl", "");
KSYMTAB_FUNC(devm_mux_chip_register, "_gpl", "");
KSYMTAB_FUNC(mux_control_states, "_gpl", "");
KSYMTAB_FUNC(mux_control_select_delay, "_gpl", "");
KSYMTAB_FUNC(mux_state_select_delay, "_gpl", "");
KSYMTAB_FUNC(mux_control_try_select_delay, "_gpl", "");
KSYMTAB_FUNC(mux_state_try_select_delay, "_gpl", "");
KSYMTAB_FUNC(mux_control_deselect, "_gpl", "");
KSYMTAB_FUNC(mux_state_deselect, "_gpl", "");
KSYMTAB_FUNC(mux_control_get, "_gpl", "");
KSYMTAB_FUNC(mux_control_put, "_gpl", "");
KSYMTAB_FUNC(devm_mux_control_get, "_gpl", "");
KSYMTAB_FUNC(devm_mux_state_get, "_gpl", "");

SYMBOL_CRC(mux_chip_alloc, 0x2ffedb46, "_gpl");
SYMBOL_CRC(mux_chip_register, 0x5da4d98a, "_gpl");
SYMBOL_CRC(mux_chip_unregister, 0xaa3072db, "_gpl");
SYMBOL_CRC(mux_chip_free, 0x573c3b8a, "_gpl");
SYMBOL_CRC(devm_mux_chip_alloc, 0x414c69f8, "_gpl");
SYMBOL_CRC(devm_mux_chip_register, 0x54b9aca3, "_gpl");
SYMBOL_CRC(mux_control_states, 0xcb7dcfc5, "_gpl");
SYMBOL_CRC(mux_control_select_delay, 0x918a7954, "_gpl");
SYMBOL_CRC(mux_state_select_delay, 0xfa76e911, "_gpl");
SYMBOL_CRC(mux_control_try_select_delay, 0x85011362, "_gpl");
SYMBOL_CRC(mux_state_try_select_delay, 0x0a65c89f, "_gpl");
SYMBOL_CRC(mux_control_deselect, 0x0e165f86, "_gpl");
SYMBOL_CRC(mux_state_deselect, 0x7cf08396, "_gpl");
SYMBOL_CRC(mux_control_get, 0xd0f7f7db, "_gpl");
SYMBOL_CRC(mux_control_put, 0xe7c8529d, "_gpl");
SYMBOL_CRC(devm_mux_control_get, 0x34237f36, "_gpl");
SYMBOL_CRC(devm_mux_state_get, 0xa2287a61, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xcee82587, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x9d3d08f0, "put_device" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x9907f28, "device_add" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x19c290ca, "__devres_alloc_node" },
	{ 0x10119bb, "ida_free" },
	{ 0xafc20114, "class_unregister" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0x1080ce71, "device_del" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x36b6ebbf, "down_killable" },
	{ 0xb3d2d914, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xa2429ab9, "ida_alloc_range" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x7dd6c90e, "ida_destroy" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x50707f9c, "dev_set_name" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xcf2a6966, "up" },
	{ 0x4628038c, "device_initialize" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "330F3890F0AECD292E3B2B5");

MODULE_INFO(suserelease, "SLFO-1.2");
