#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(m_can_check_mram_cfg, "_gpl", "");
KSYMTAB_FUNC(m_can_init_ram, "_gpl", "");
KSYMTAB_FUNC(m_can_class_get_clocks, "_gpl", "");
KSYMTAB_FUNC(m_can_class_allocate_dev, "_gpl", "");
KSYMTAB_FUNC(m_can_class_free_dev, "_gpl", "");
KSYMTAB_FUNC(m_can_class_register, "_gpl", "");
KSYMTAB_FUNC(m_can_class_unregister, "_gpl", "");
KSYMTAB_FUNC(m_can_class_suspend, "_gpl", "");
KSYMTAB_FUNC(m_can_class_resume, "_gpl", "");

SYMBOL_CRC(m_can_check_mram_cfg, 0x625f936a, "_gpl");
SYMBOL_CRC(m_can_init_ram, 0x7eba6e78, "_gpl");
SYMBOL_CRC(m_can_class_get_clocks, 0x57d18291, "_gpl");
SYMBOL_CRC(m_can_class_allocate_dev, 0x4a06cf35, "_gpl");
SYMBOL_CRC(m_can_class_free_dev, 0x6a703dbf, "_gpl");
SYMBOL_CRC(m_can_class_register, 0x631ab335, "_gpl");
SYMBOL_CRC(m_can_class_unregister, 0x96675c1e, "_gpl");
SYMBOL_CRC(m_can_class_suspend, 0xa51cdcfb, "_gpl");
SYMBOL_CRC(m_can_class_resume, 0x508fad38, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x430b191b, "can_free_echo_skb" },
	{ 0x373b0d5, "dql_reset" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xa225ea8a, "unregister_candev" },
	{ 0x74cb641a, "can_rx_offload_del" },
	{ 0x9504df26, "irq_wake_thread" },
	{ 0xd0abf4d4, "devm_clk_get" },
	{ 0xd5dcc637, "__pm_runtime_resume" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0x8be8cd38, "netif_tx_wake_queue" },
	{ 0x8bc1085a, "netif_schedule_queue" },
	{ 0xebc248a8, "can_skb_get_frame_len" },
	{ 0x6047ede6, "can_fd_len2dlc" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0xa5479f3a, "can_put_echo_skb" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x23587977, "hrtimer_try_to_cancel" },
	{ 0x5402ada3, "hrtimer_cancel" },
	{ 0x66ebde19, "__pm_runtime_idle" },
	{ 0x3a5797c9, "hrtimer_start_range_ns" },
	{ 0xe45f97ac, "netdev_warn" },
	{ 0xaa8c325b, "phy_power_on" },
	{ 0x8a257578, "open_candev" },
	{ 0xb70ca8ae, "napi_enable" },
	{ 0xc8a2bb32, "phy_power_off" },
	{ 0x78e247d6, "can_rx_offload_enable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x664821c4, "napi_disable" },
	{ 0xe1310c1f, "close_candev" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x6d64c27f, "sk_skb_reason_drop" },
	{ 0x1fa7f154, "can_dropped_invalid_skb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0x597f20e3, "netdev_printk" },
	{ 0xa9cac0a3, "pinctrl_pm_select_default_state" },
	{ 0xe215f75b, "netif_device_attach" },
	{ 0x8b773ecd, "hrtimer_init" },
	{ 0xaa9c895b, "register_candev" },
	{ 0x3cb06817, "devm_kmalloc" },
	{ 0xe0aa4067, "can_rx_offload_add_manual" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x7651a0b5, "netif_napi_add_weight_locked" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x71b12b37, "_dev_info" },
	{ 0x4d9fa3ec, "alloc_can_err_skb" },
	{ 0x442995ec, "can_rx_offload_queue_timestamp" },
	{ 0x68d9761d, "netif_receive_skb" },
	{ 0x23709dd3, "__dynamic_netdev_dbg" },
	{ 0x8b024789, "pinctrl_pm_select_sleep_state" },
	{ 0x7af53312, "netif_device_detach" },
	{ 0xc7d1e959, "can_bus_off" },
	{ 0xffc6852f, "alloc_canfd_skb" },
	{ 0xd378d99, "alloc_can_skb" },
	{ 0xf12d9387, "can_fd_dlc2len" },
	{ 0x95b46469, "napi_complete_done" },
	{ 0x3dc51337, "hrtimer_active" },
	{ 0xf21d30b1, "napi_schedule_prep" },
	{ 0xbf89fd7a, "can_rx_offload_threaded_irq_finish" },
	{ 0x670db660, "__napi_schedule" },
	{ 0x2dafe17, "hrtimer_forward" },
	{ 0x76a04f00, "ethtool_op_get_ts_info" },
	{ 0xafbfba6, "can_change_mtu" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x6a55e78c, "__dev_fwnode" },
	{ 0x5354bf73, "fwnode_property_read_u32_array" },
	{ 0x93f962fa, "alloc_candev_mqs" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0xc317dfef, "free_candev" },
	{ 0x4424eef3, "netdev_err" },
	{ 0xc96d004a, "can_rx_offload_get_echo_skb_queue_timestamp" },
	{ 0x5147130a, "can_get_echo_skb" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "can-dev");


MODULE_INFO(srcversion, "91F07721A1A9F5A18888370");

MODULE_INFO(suserelease, "SLFO-1.2");
