#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf2eabe4f, "netif_carrier_off" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x72153cc5, "netif_carrier_on" },
	{ 0x716b4fac, "dev_err_probe" },
	{ 0x4d9fa3ec, "alloc_can_err_skb" },
	{ 0x754d539c, "strlen" },
	{ 0xaa9c895b, "register_candev" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x8a9b70b, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x4ed62146, "usb_alloc_urb" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0xbfc27fe0, "usb_anchor_urb" },
	{ 0x55a2d436, "usb_free_urb" },
	{ 0x430b191b, "can_free_echo_skb" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x3cb06817, "devm_kmalloc" },
	{ 0xa5479f3a, "can_put_echo_skb" },
	{ 0x2f4a334c, "usb_alloc_coherent" },
	{ 0x74885bdc, "consume_skb" },
	{ 0x5147130a, "can_get_echo_skb" },
	{ 0xa6257a2f, "complete" },
	{ 0xffc6852f, "alloc_canfd_skb" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xa7a38b4e, "usb_register_driver" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe45f97ac, "netdev_warn" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0x8a257578, "open_candev" },
	{ 0x4424eef3, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x46097989, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xd378d99, "alloc_can_skb" },
	{ 0x68a8fb2c, "usb_kill_anchored_urbs" },
	{ 0x7af53312, "netif_device_detach" },
	{ 0xa225ea8a, "unregister_candev" },
	{ 0x44de70b0, "can_ethtool_op_get_ts_info_hwts" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x71b5bbcc, "usb_submit_urb" },
	{ 0x71b12b37, "_dev_info" },
	{ 0x8853425c, "can_change_state" },
	{ 0xafbfba6, "can_change_mtu" },
	{ 0x1fa7f154, "can_dropped_invalid_skb" },
	{ 0xc8240d31, "_dev_err" },
	{ 0xe06bd8, "usb_free_coherent" },
	{ 0xc317dfef, "free_candev" },
	{ 0x6d64c27f, "sk_skb_reason_drop" },
	{ 0x93f962fa, "alloc_candev_mqs" },
	{ 0x6047ede6, "can_fd_len2dlc" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x597f20e3, "netdev_printk" },
	{ 0xf12d9387, "can_fd_dlc2len" },
	{ 0x66d0dde3, "can_eth_ioctl_hwts" },
	{ 0x8d842521, "usb_deregister" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x8be8cd38, "netif_tx_wake_queue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xe1310c1f, "close_candev" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0x5dfcb6d3, "netif_rx" },
	{ 0xc7d1e959, "can_bus_off" },
	{ 0x4e5a5e57, "usb_unanchor_urb" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x23709dd3, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "can-dev,usbcore");

MODULE_ALIAS("usb:v0BFDp000Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp000Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp000Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp000Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp000Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0010d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0011d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0013d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0016d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0017d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0018d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0019d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp001Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp001Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp001Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp001Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0022d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0023d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0027d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0120d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0121d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0122d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0123d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0124d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0126d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0127d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0128d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0004d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0005d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0003d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0102d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0104d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0105d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0106d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0107d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0108d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0109d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp010Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp010Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp010Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp010Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp010Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0111d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0112d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0113d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0114d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0115d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0116d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0117d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0119d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp011Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp011Bd*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "7C07D84ABABBF641BFE8CB9");

MODULE_INFO(suserelease, "SLFO-1.2");
