#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(pdsc_get_pf_struct, "_gpl", "");
KSYMTAB_FUNC(pds_client_register, "_gpl", "");
KSYMTAB_FUNC(pds_client_unregister, "_gpl", "");
KSYMTAB_FUNC(pds_client_adminq_cmd, "_gpl", "");
KSYMTAB_FUNC(pdsc_adminq_post, "_gpl", "");
KSYMTAB_FUNC(pdsc_register_notify, "_gpl", "");
KSYMTAB_FUNC(pdsc_unregister_notify, "_gpl", "");

SYMBOL_CRC(pdsc_get_pf_struct, 0x5d39458a, "_gpl");
SYMBOL_CRC(pds_client_register, 0x8fc142d5, "_gpl");
SYMBOL_CRC(pds_client_unregister, 0xa86ad5a9, "_gpl");
SYMBOL_CRC(pds_client_adminq_cmd, 0xc95f3a86, "_gpl");
SYMBOL_CRC(pdsc_adminq_post, 0x175fc936, "_gpl");
SYMBOL_CRC(pdsc_register_notify, 0x45b87b4f, "_gpl");
SYMBOL_CRC(pdsc_unregister_notify, 0xce714617, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6c2c44a0, "pci_alloc_irq_vectors" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0xa54981bd, "devl_lock" },
	{ 0xee7d22e5, "pci_dev_put" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xfa0a8321, "debugfs_create_u16" },
	{ 0xd1ffe315, "__pci_register_driver" },
	{ 0x5032391f, "devlink_params_unregister" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0x18b00c43, "pci_request_regions" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x37a0cba, "kfree" },
	{ 0xfdb33960, "devlink_alloc_ns" },
	{ 0xb4773f97, "pci_sriov_get_totalvfs" },
	{ 0x2e4f415b, "seq_lseek" },
	{ 0xca9fb249, "pci_reset_function_locked" },
	{ 0x4a059e35, "devlink_free" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0xe885bad5, "pci_irq_vector" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0xb6e3c8cb, "pci_unregister_driver" },
	{ 0x3db8d791, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x81223266, "devlink_flash_update_status_notify" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x9e534e6a, "priv_to_devlink" },
	{ 0x3168dbe4, "blocking_notifier_call_chain" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb122dfaa, "debugfs_create_x64" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0x9d3d08f0, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0xb2480387, "debugfs_create_regset32" },
	{ 0x71b12b37, "_dev_info" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xe0e8442, "devl_health_reporter_create" },
	{ 0x73b764db, "pci_iov_vf_id" },
	{ 0x26bf0776, "debugfs_lookup" },
	{ 0x38e44397, "pci_iomap_range" },
	{ 0x8c5af8bd, "devlink_flash_update_timeout_notify" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x1eb1abab, "init_net" },
	{ 0xf933d48, "debugfs_create_bool" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x75a1618c, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x18595920, "dma_alloc_attrs" },
	{ 0x6de67898, "debugfs_remove" },
	{ 0x56a719f2, "seq_putc" },
	{ 0x10119bb, "ida_free" },
	{ 0xef0eefbe, "devl_params_register" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x62e2f88b, "debugfs_create_ulong" },
	{ 0x6935585e, "pci_iounmap" },
	{ 0x11089ac7, "_ctype" },
	{ 0x1080ce71, "device_del" },
	{ 0xb19b445, "ioread8" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x83358fe5, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb6aa6194, "debugfs_create_u32" },
	{ 0xbd7c27e2, "devl_params_unregister" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x8f279820, "pci_reset_function" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xd2b987db, "devl_unlock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xaf36c569, "dma_set_coherent_mask" },
	{ 0x4a38d9f7, "seq_read" },
	{ 0x2d4ca2f4, "blocking_notifier_chain_unregister" },
	{ 0xf4334299, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x1a223d87, "debugfs_create_x32" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x34344af2, "pci_release_regions" },
	{ 0x4fb321aa, "pcie_print_link_status" },
	{ 0x7f8e49f, "pci_dev_get" },
	{ 0x9f7aac60, "seq_write" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7ad7a5cd, "seq_printf" },
	{ 0x401878fa, "devlink_priv" },
	{ 0x6ff2cacf, "pci_disable_sriov" },
	{ 0x8ae718dd, "debugfs_create_file_full" },
	{ 0xfb5af384, "pci_disable_device" },
	{ 0x8d8b2fb3, "single_release" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0xa7524338, "dma_set_mask" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0xa4191c0b, "memset_io" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x495b28e9, "single_open" },
	{ 0x795d2074, "devl_register" },
	{ 0xd20f3ddd, "debugfs_create_dir" },
	{ 0xd371b0df, "vcalloc_noprof" },
	{ 0xd6336f23, "pci_free_irq_vectors" },
	{ 0xcced20de, "pci_enable_sriov" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2f54da18, "pci_iov_get_pf_drvdata" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xa2429ab9, "ida_alloc_range" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x5ca761db, "devl_unregister" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xbd12925f, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x3bc953ae, "auxiliary_device_init" },
	{ 0x6b9a2b93, "pci_iomap" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001DD8d0000100Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001DD8d0000100Bsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "2534F3EFF7F6B61C3DCCB75");

MODULE_INFO(suserelease, "SLFO-1.2");
