#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(bnxt_register_dev, "", "");
KSYMTAB_FUNC(bnxt_unregister_dev, "", "");
KSYMTAB_FUNC(bnxt_send_msg, "", "");
KSYMTAB_FUNC(bnxt_register_async_events, "", "");

SYMBOL_CRC(bnxt_register_dev, 0xc057b582, "");
SYMBOL_CRC(bnxt_unregister_dev, 0x36ace761, "");
SYMBOL_CRC(bnxt_send_msg, 0x7f7a4de2, "");
SYMBOL_CRC(bnxt_register_async_events, 0xd10f5601, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb70ca8ae, "napi_enable" },
	{ 0x68d9761d, "netif_receive_skb" },
	{ 0xc10e4626, "register_netdev" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x10119bb, "ida_free" },
	{ 0x209cb8eb, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xe17abf5c, "pcie_enable_tph" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x194470a2, "rhashtable_walk_start_check" },
	{ 0x692425ba, "page_pool_put_unrefed_netmem" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x9b2eab6e, "netif_set_xps_queue" },
	{ 0xc05bb6a, "rhashtable_walk_stop" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xe0e8d49c, "__SCK__tp_func_xdp_exception" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0xecce1573, "ethtool_rxfh_context_lost" },
	{ 0x6935585e, "pci_iounmap" },
	{ 0x91db5656, "pci_restore_state" },
	{ 0x8be8cd38, "netif_tx_wake_queue" },
	{ 0x1080ce71, "device_del" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x68fbc5de, "page_pool_create" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xfb578fc5, "memset" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0xcd6c9b80, "flow_rule_match_ports" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x8de4560, "ptp_clock_event" },
	{ 0xcee336e0, "rht_bucket_nested_insert" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0x8bc1085a, "netif_schedule_queue" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x83358fe5, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xaf85a61a, "flow_rule_match_ipv6_addrs" },
	{ 0xf381ac51, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0x6d1eb832, "ptp_clock_unregister" },
	{ 0x2b64348b, "__pskb_pull_tail" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x4e69b266, "__netdev_alloc_skb" },
	{ 0x77fab3d9, "rhashtable_destroy" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xd2b987db, "devl_unlock" },
	{ 0x6d343d90, "__netif_napi_del_locked" },
	{ 0xb727f697, "netdev_rx_queue_restart" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x23709dd3, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xaf36c569, "dma_set_coherent_mask" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0xa0cf4391, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x274dc2b, "netif_get_num_default_rss_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x60c69018, "net_dim_get_rx_moderation" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x29a76653, "rps_may_expire_flow" },
	{ 0x2c3fe335, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x87642c25, "netdev_reset_tc" },
	{ 0xc131aac7, "neigh_destroy" },
	{ 0xf4334299, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x8d1224dc, "rhashtable_init_noprof" },
	{ 0xa140eb4b, "devlink_params_register" },
	{ 0x850bb6db, "devlink_health_reporter_destroy" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x8641ae02, "flow_rule_match_enc_ports" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x34344af2, "pci_release_regions" },
	{ 0xfd085bd3, "netif_queue_set_napi" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6029628f, "__dma_sync_single_for_device" },
	{ 0x92204beb, "bpf_prog_add" },
	{ 0xfea41449, "xa_find" },
	{ 0x4fb321aa, "pcie_print_link_status" },
	{ 0x6dee496d, "flow_rule_match_vlan" },
	{ 0xacbaa5be, "xdp_rxq_info_unreg" },
	{ 0xa531a2de, "page_pool_alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x705e1200, "napi_build_skb" },
	{ 0xe093dcab, "__xdp_rxq_info_reg" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf2eabe4f, "netif_carrier_off" },
	{ 0x2009e400, "devlink_info_board_serial_number_put" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x401878fa, "devlink_priv" },
	{ 0xdd517a71, "devlink_port_register_with_ops" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0x6ff2cacf, "pci_disable_sriov" },
	{ 0x67f2d19d, "tcp_gro_complete" },
	{ 0x9001d2a5, "metadata_dst_alloc" },
	{ 0x297093d2, "dst_release" },
	{ 0x72153cc5, "netif_carrier_on" },
	{ 0xb75532ed, "netdev_set_num_tc" },
	{ 0x373b0d5, "dql_reset" },
	{ 0x635b6c2d, "hwmon_device_unregister" },
	{ 0x8ae718dd, "debugfs_create_file_full" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xfb5af384, "pci_disable_device" },
	{ 0x250337ee, "boot_cpu_data" },
	{ 0x24baed7, "rhashtable_walk_next" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0xa7524338, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x35a7a448, "netif_set_tso_max_size" },
	{ 0xd4b5fc50, "__skb_flow_dissect" },
	{ 0xad18c4c3, "pci_msix_alloc_irq_at" },
	{ 0x403ff6e4, "pci_vpd_alloc" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0x1e7da134, "skb_add_rx_frag_netmem" },
	{ 0xa256d729, "xa_find_after" },
	{ 0x89b2a9b8, "xdp_master_redirect" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xf21d30b1, "napi_schedule_prep" },
	{ 0xa924297d, "devlink_fmsg_pair_nest_end" },
	{ 0x754d539c, "strlen" },
	{ 0x664821c4, "napi_disable" },
	{ 0x16a57400, "dev_kfree_skb_any_reason" },
	{ 0x1042e2fb, "dcb_ieee_delapp" },
	{ 0xb73a1d68, "netdev_notice" },
	{ 0x1f37fd64, "ethtool_params_from_link_mode" },
	{ 0xefb03fc1, "netif_set_tso_max_segs" },
	{ 0x349cba85, "strchr" },
	{ 0xd20f3ddd, "debugfs_create_dir" },
	{ 0xd1bc2e3a, "ptp_schedule_worker" },
	{ 0xd6336f23, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x680994f8, "flow_rule_match_control" },
	{ 0xcced20de, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xcbf0d76d, "pcie_tph_get_cpu_st" },
	{ 0x2ba8bbc8, "rhashtable_walk_exit" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x19c216c0, "netdev_core_stats_inc" },
	{ 0xc291f44, "dcb_ieee_setapp" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x18b6678f, "pci_write_config_dword" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x8a9b70b, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x6c48b230, "pci_get_dsn" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x36f2f436, "__tracepoint_xdp_exception" },
	{ 0x81194016, "napi_alloc_skb" },
	{ 0x18689cd6, "alloc_etherdev_mqs" },
	{ 0xb9ce158e, "flow_block_cb_lookup" },
	{ 0xb697fff3, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xa2429ab9, "ida_alloc_range" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x77c7a4b1, "device_set_wakeup_enable" },
	{ 0x6db45ff8, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x4e0da969, "flow_rule_match_enc_keyid" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xd152e531, "pci_find_ext_capability" },
	{ 0x97edf3c3, "bpf_prog_put" },
	{ 0xe0d5814e, "device_set_wakeup_capable" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x9269016d, "devlink_unregister" },
	{ 0x5adf76d8, "skb_copy_bits" },
	{ 0xc6d9f098, "dma_pool_create" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x5736bda9, "pci_wake_from_d3" },
	{ 0xbd12925f, "pci_enable_device" },
	{ 0x3ec4ea5, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xf1cedf1a, "skb_tstamp_tx" },
	{ 0x6a76e187, "devlink_fmsg_binary_pair_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x822f040b, "page_pool_alloc_frag" },
	{ 0xe4b241e3, "flow_indr_dev_register" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xd4b6157e, "devlink_health_reporter_recovery_done" },
	{ 0x3bc953ae, "auxiliary_device_init" },
	{ 0x40854fdd, "netdev_update_features" },
	{ 0x74885bdc, "consume_skb" },
	{ 0x6b9a2b93, "pci_iomap" },
	{ 0xb0e602eb, "memmove" },
	{ 0x6c2c44a0, "pci_alloc_irq_vectors" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcd1a2bc5, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0xa54981bd, "devl_lock" },
	{ 0x73c2554f, "__iowrite64_copy" },
	{ 0xbad202cd, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x61bdf094, "ndo_dflt_bridge_getlink" },
	{ 0x852c5aa5, "unregister_netdev" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x9baaad12, "xdp_features_set_redirect_target" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0xb51d11a4, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xacf7e913, "request_firmware" },
	{ 0x110eb036, "devlink_health_reporter_create" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0x8ca51c6d, "hwmon_notify_event" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xd1ffe315, "__pci_register_driver" },
	{ 0x5032391f, "devlink_params_unregister" },
	{ 0x8eb4f7b6, "pcie_disable_tph" },
	{ 0x941cf48c, "pci_num_vf" },
	{ 0xad0a2118, "flow_rule_match_eth_addrs" },
	{ 0xe77ea0e9, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xceb7f93b, "ptp_clock_index" },
	{ 0x18b00c43, "pci_request_regions" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfdb33960, "devlink_alloc_ns" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x12888b3d, "devlink_register" },
	{ 0x67bb1756, "devlink_remote_reload_actions_performed" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xfac16aa1, "pcie_tph_set_st_entry" },
	{ 0x4eb2e8fa, "page_pool_destroy" },
	{ 0x28895d1b, "xdp_do_redirect" },
	{ 0x4a059e35, "devlink_free" },
	{ 0x3b2e7a22, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x7651a0b5, "netif_napi_add_weight_locked" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3416d62c, "prepare_to_wait_event" },
	{ 0xe45f97ac, "netdev_warn" },
	{ 0xb9155578, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x70ecfbe8, "pci_set_power_state" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xf6491531, "__wake_up" },
	{ 0xe885bad5, "pci_irq_vector" },
	{ 0x553f85cc, "flow_rule_match_ipv4_addrs" },
	{ 0x2fceb1, "ip_route_output_flow" },
	{ 0x7f472c24, "rhashtable_walk_enter" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbc698ef8, "pci_ioremap_bar" },
	{ 0xb6e3c8cb, "pci_unregister_driver" },
	{ 0x4424eef3, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xd1d47d16, "pskb_expand_head" },
	{ 0x389b64a2, "static_key_count" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x81223266, "devlink_flash_update_status_notify" },
	{ 0x44c339bf, "dev_driver_string" },
	{ 0x47233597, "netdev_port_same_parent_id" },
	{ 0x712fdcf3, "dev_addr_mod" },
	{ 0xb912560d, "static_key_disable" },
	{ 0xe7f4315d, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x890597b9, "ptp_find_pin" },
	{ 0x502db1b1, "eth_type_trans" },
	{ 0x127572c3, "pci_read_config_dword" },
	{ 0xe46a8a82, "flow_rule_match_icmp" },
	{ 0x44a83b85, "ptp_parse_header" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x28ba6fe1, "dma_map_page_attrs" },
	{ 0x8735ed3d, "irq_set_affinity_notifier" },
	{ 0x95b46469, "napi_complete_done" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x9d3d08f0, "put_device" },
	{ 0x8ee8543e, "net_dim" },
	{ 0x670db660, "__napi_schedule" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xdc43bdc6, "pci_vpd_find_ro_info_keyword" },
	{ 0xa916b694, "strnlen" },
	{ 0xba0601fb, "flow_rule_match_enc_ipv4_addrs" },
	{ 0x7af53312, "netif_device_detach" },
	{ 0x618911fc, "numa_node" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1b9e240a, "napi_gro_receive" },
	{ 0xe215f75b, "netif_device_attach" },
	{ 0x6e7b8187, "xdp_features_clear_redirect_target" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0x4f636fd9, "flow_indr_dev_unregister" },
	{ 0x81fbc2e4, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x828cf039, "xdp_rxq_info_is_reg" },
	{ 0xc9797ff1, "ptp_classify_raw" },
	{ 0xd2a47382, "flow_block_cb_setup_simple" },
	{ 0xc781605c, "pci_msix_can_alloc_dyn" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xc8e8a43d, "flow_rule_match_basic" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0xbd3a82d3, "pci_clear_master" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x367306fd, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9366bce8, "pci_msix_free_irq" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x461dfab1, "devlink_fmsg_pair_nest_start" },
	{ 0x5031ae93, "ptp_cancel_worker_sync" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xc381aa1a, "devlink_port_unregister" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x1eb1abab, "init_net" },
	{ 0x5a0f8bd0, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0xa19db0fa, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xf4fc82d8, "ptp_clock_register" },
	{ 0x789fd343, "hwmon_device_register_with_info" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x148eb45, "netif_set_real_num_tx_queues" },
	{ 0x75a1618c, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xb9b31de8, "xa_load" },
	{ 0x436444b, "netif_set_real_num_rx_queues" },
	{ 0x959652df, "flow_indr_block_cb_alloc" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x518a8ee6, "page_pool_disable_direct_recycling" },
	{ 0x597f20e3, "netdev_printk" },
	{ 0xb5abb145, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xe3ca6ae9, "pci_device_is_present" },
	{ 0x18595920, "dma_alloc_attrs" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x6de67898, "debugfs_remove" },
	{ 0x19a9c1fd, "pcie_flr" },
	{ 0x6e1341a1, "pci_read_config_word" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000014E4d00001604sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001605sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001614sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016CAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016CCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016CDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016CEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016CFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D7sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016DEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016DFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E7sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016EAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016EBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016ECsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016EDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016EEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016EFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016F0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016F1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001750sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001751sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001752sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001760sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001761sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001762sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001763sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001800sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001801sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001802sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001803sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001804sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001805sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000D802sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000D804sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001606sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001607sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001608sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001609sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016BDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016CBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001806sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001807sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001808sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001809sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001819sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000D800sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "769196A656EDFFE19B401CF");

MODULE_INFO(suserelease, "SLFO-1.2");
