#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x16252b2, "dev_kfree_skb_irq_reason" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x8be8cd38, "netif_tx_wake_queue" },
	{ 0x72153cc5, "netif_carrier_on" },
	{ 0xf2eabe4f, "netif_carrier_off" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x712fdcf3, "dev_addr_mod" },
	{ 0x16a57400, "dev_kfree_skb_any_reason" },
	{ 0xe3feba56, "tasklet_unlock_spin_wait" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x28ba6fe1, "dma_map_page_attrs" },
	{ 0x44c339bf, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xbd12925f, "pci_enable_device" },
	{ 0x83358fe5, "pci_set_master" },
	{ 0x18689cd6, "alloc_etherdev_mqs" },
	{ 0x18b00c43, "pci_request_regions" },
	{ 0x6b9a2b93, "pci_iomap" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x18595920, "dma_alloc_attrs" },
	{ 0xc10e4626, "register_netdev" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x4e69b266, "__netdev_alloc_skb" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe215f75b, "netif_device_attach" },
	{ 0x3ec4ea5, "skb_put" },
	{ 0x502db1b1, "eth_type_trans" },
	{ 0x5dfcb6d3, "netif_rx" },
	{ 0x6029628f, "__dma_sync_single_for_device" },
	{ 0x367306fd, "__dma_sync_single_for_cpu" },
	{ 0x3b2e7a22, "eth_validate_addr" },
	{ 0xf2203c5f, "param_ops_int" },
	{ 0x1c137c19, "param_array_ops" },
	{ 0x61e00f48, "param_ops_charp" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd1ffe315, "__pci_register_driver" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x848d372e, "iowrite8" },
	{ 0xb19b445, "ioread8" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0x92997ed8, "_printk" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x24d273d1, "add_timer" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x77c7a4b1, "device_set_wakeup_enable" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xb51d11a4, "dma_unmap_page_attrs" },
	{ 0x74885bdc, "consume_skb" },
	{ 0x7af53312, "netif_device_detach" },
	{ 0x852c5aa5, "unregister_netdev" },
	{ 0xf4334299, "dma_free_attrs" },
	{ 0x6935585e, "pci_iounmap" },
	{ 0x34344af2, "pci_release_regions" },
	{ 0x209cb8eb, "free_netdev" },
	{ 0x27ec012b, "mii_ethtool_set_link_ksettings" },
	{ 0xd55d6266, "mii_ethtool_get_link_ksettings" },
	{ 0x53890d51, "mii_link_ok" },
	{ 0x61137a7f, "mii_nway_restart" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xc1cc39c8, "generic_mii_ioctl" },
	{ 0xb6e3c8cb, "pci_unregister_driver" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "mii");

MODULE_ALIAS("pci:v00001186d00001002sv00001186sd00001002bc*sc*i*");
MODULE_ALIAS("pci:v00001186d00001002sv00001186sd00001003bc*sc*i*");
MODULE_ALIAS("pci:v00001186d00001002sv00001186sd00001012bc*sc*i*");
MODULE_ALIAS("pci:v00001186d00001002sv00001186sd00001040bc*sc*i*");
MODULE_ALIAS("pci:v00001186d00001002sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000013F0d00000201sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000013F0d00000200sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "F0CFEAD54A7E78C2F9CE251");

MODULE_INFO(suserelease, "SLFO-1.2");
