#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(i40e_client_device_register, "_gpl", "");
KSYMTAB_FUNC(i40e_client_device_unregister, "_gpl", "");

SYMBOL_CRC(i40e_client_device_register, 0x19439d7f, "_gpl");
SYMBOL_CRC(i40e_client_device_unregister, 0xf7a0148c, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x436444b, "netif_set_real_num_rx_queues" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x18595920, "dma_alloc_attrs" },
	{ 0x6de67898, "debugfs_remove" },
	{ 0x6e1341a1, "pci_read_config_word" },
	{ 0xb70ca8ae, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0xba75eca3, "xsk_clear_rx_need_wakeup" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0xfa600e3b, "dcbnl_ieee_notify" },
	{ 0xfd0df538, "xsk_uses_need_wakeup" },
	{ 0xc10e4626, "register_netdev" },
	{ 0x658574f4, "trace_event_reg" },
	{ 0x10119bb, "ida_free" },
	{ 0x209cb8eb, "free_netdev" },
	{ 0xa5743fd, "xsk_get_pool_from_qid" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0xde80cd09, "ioremap" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xfd80cd6b, "ethtool_op_get_link" },
	{ 0x26641b5d, "eth_platform_get_mac_address" },
	{ 0x9b2eab6e, "netif_set_xps_queue" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xe0e8d49c, "__SCK__tp_func_xdp_exception" },
	{ 0xca71e691, "netif_tx_stop_all_queues" },
	{ 0x91db5656, "pci_restore_state" },
	{ 0x8be8cd38, "netif_tx_wake_queue" },
	{ 0x1080ce71, "device_del" },
	{ 0x7ace9a4d, "netdev_set_sb_channel" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xab34fa81, "dcb_getapp" },
	{ 0xfb578fc5, "memset" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0xcd6c9b80, "flow_rule_match_ports" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x8de4560, "ptp_clock_event" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0x8bc1085a, "netif_schedule_queue" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x83358fe5, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xaf85a61a, "flow_rule_match_ipv6_addrs" },
	{ 0xf381ac51, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x6d1eb832, "ptp_clock_unregister" },
	{ 0x2b64348b, "__pskb_pull_tail" },
	{ 0xd17ce140, "xp_dma_unmap" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x6d343d90, "__netif_napi_del_locked" },
	{ 0x23709dd3, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5ed4959b, "netdev_unbind_sb_channel" },
	{ 0xaf36c569, "dma_set_coherent_mask" },
	{ 0xcb67b626, "bpf_trace_run3" },
	{ 0x94efc6d9, "__page_frag_cache_drain" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xdad24e0a, "ipv6_find_hdr" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x3e784734, "netdev_bind_sb_channel_queue" },
	{ 0xa26aefc1, "xsk_set_tx_need_wakeup" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x87642c25, "netdev_reset_tc" },
	{ 0xf4334299, "dma_free_attrs" },
	{ 0x27a7a36e, "trace_event_buffer_reserve" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x6029628f, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x63de0fe4, "call_netdevice_notifiers" },
	{ 0x5ee7818a, "xp_set_rxq_info" },
	{ 0x6dee496d, "flow_rule_match_vlan" },
	{ 0xacbaa5be, "xdp_rxq_info_unreg" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x705e1200, "napi_build_skb" },
	{ 0xe093dcab, "__xdp_rxq_info_reg" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf2eabe4f, "netif_carrier_off" },
	{ 0x401878fa, "devlink_priv" },
	{ 0x16cb1db1, "__hw_addr_sync_dev" },
	{ 0xdd517a71, "devlink_port_register_with_ops" },
	{ 0x6ff2cacf, "pci_disable_sriov" },
	{ 0x72153cc5, "netif_carrier_on" },
	{ 0xb75532ed, "netdev_set_num_tc" },
	{ 0x373b0d5, "dql_reset" },
	{ 0x8ae718dd, "debugfs_create_file_full" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xd0d89ed1, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xa1cfcdee, "dev_uc_add_excl" },
	{ 0xfb5af384, "pci_disable_device" },
	{ 0xe481ec01, "xp_free" },
	{ 0x9173b1d2, "dev_mc_add_excl" },
	{ 0x4a945626, "dev_uc_add" },
	{ 0xa7524338, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xbdbaee9d, "_dev_crit" },
	{ 0x1ee00c75, "libie_rx_pt_lut" },
	{ 0x1e7da134, "skb_add_rx_frag_netmem" },
	{ 0x89b2a9b8, "xdp_master_redirect" },
	{ 0x38480c93, "__napi_schedule_irqoff" },
	{ 0xf21d30b1, "napi_schedule_prep" },
	{ 0x75b7eaf4, "napi_consume_skb" },
	{ 0x6847eb4d, "pci_read_config_byte" },
	{ 0xc9f4ff04, "xp_alloc_batch" },
	{ 0x754d539c, "strlen" },
	{ 0x664821c4, "napi_disable" },
	{ 0x16a57400, "dev_kfree_skb_any_reason" },
	{ 0x1042e2fb, "dcb_ieee_delapp" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x349cba85, "strchr" },
	{ 0xd20f3ddd, "debugfs_create_dir" },
	{ 0x680994f8, "flow_rule_match_control" },
	{ 0xcced20de, "pci_enable_sriov" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xc291f44, "dcb_ieee_setapp" },
	{ 0xf9a482f9, "msleep" },
	{ 0x76a04f00, "ethtool_op_get_ts_info" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x8a9b70b, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x6c48b230, "pci_get_dsn" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x36f2f436, "__tracepoint_xdp_exception" },
	{ 0xa17469c3, "xsk_tx_completed" },
	{ 0x81194016, "napi_alloc_skb" },
	{ 0x18689cd6, "alloc_etherdev_mqs" },
	{ 0xb697fff3, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xa2429ab9, "ida_alloc_range" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0xe859e1a6, "pcie_capability_read_word" },
	{ 0x77c7a4b1, "device_set_wakeup_enable" },
	{ 0x6db45ff8, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x4e0da969, "flow_rule_match_enc_keyid" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xd152e531, "pci_find_ext_capability" },
	{ 0x97edf3c3, "bpf_prog_put" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4d23f922, "xp_dma_map" },
	{ 0x9269016d, "devlink_unregister" },
	{ 0x7dd6c90e, "ida_destroy" },
	{ 0x5adf76d8, "skb_copy_bits" },
	{ 0xe5eb5fd0, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xcf9a2c0, "pci_request_selected_regions" },
	{ 0x87449e3e, "pci_release_selected_regions" },
	{ 0x3cb06817, "devm_kmalloc" },
	{ 0x5736bda9, "pci_wake_from_d3" },
	{ 0xbd12925f, "pci_enable_device" },
	{ 0xf1cedf1a, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x3bc953ae, "auxiliary_device_init" },
	{ 0xd9de95f, "pci_enable_device_mem" },
	{ 0x74885bdc, "consume_skb" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x517f6e05, "xsk_tx_peek_release_desc_batch" },
	{ 0xcd1a2bc5, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa11a97c1, "trace_raw_output_prep" },
	{ 0xbad202cd, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x61bdf094, "ndo_dflt_bridge_getlink" },
	{ 0x852c5aa5, "unregister_netdev" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x771ef2bc, "xdp_convert_zc_to_xdp_frame" },
	{ 0x9baaad12, "xdp_features_set_redirect_target" },
	{ 0xb07d43ee, "__trace_trigger_soft_disabled" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0x6aa30cbd, "pci_get_device" },
	{ 0xb51d11a4, "dma_unmap_page_attrs" },
	{ 0xacf7e913, "request_firmware" },
	{ 0xdf4574bf, "trace_event_printf" },
	{ 0x76fd3e27, "trace_print_bitmask_seq" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0xd1ffe315, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x941cf48c, "pci_num_vf" },
	{ 0xad0a2118, "flow_rule_match_eth_addrs" },
	{ 0xe77ea0e9, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xcf93977b, "pci_disable_msi" },
	{ 0xceb7f93b, "ptp_clock_index" },
	{ 0x549dee85, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfdb33960, "devlink_alloc_ns" },
	{ 0x12888b3d, "devlink_register" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x28895d1b, "xdp_do_redirect" },
	{ 0x4a059e35, "devlink_free" },
	{ 0x3b2e7a22, "eth_validate_addr" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x7651a0b5, "netif_napi_add_weight_locked" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd0d9d74c, "bpf_trace_run2" },
	{ 0xe45f97ac, "netdev_warn" },
	{ 0xb9155578, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x70ecfbe8, "pci_set_power_state" },
	{ 0x148653, "vsnprintf" },
	{ 0x553f85cc, "flow_rule_match_ipv4_addrs" },
	{ 0xf220a77a, "bpf_trace_run8" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xb6e3c8cb, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x4424eef3, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd1d47d16, "pskb_expand_head" },
	{ 0x44c339bf, "dev_driver_string" },
	{ 0x619aedac, "pci_restore_msi_state" },
	{ 0x77188b5d, "trace_event_buffer_commit" },
	{ 0x712fdcf3, "dev_addr_mod" },
	{ 0xe7f4315d, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x890597b9, "ptp_find_pin" },
	{ 0x502db1b1, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x28ba6fe1, "dma_map_page_attrs" },
	{ 0x8735ed3d, "irq_set_affinity_notifier" },
	{ 0x95b46469, "napi_complete_done" },
	{ 0x148330d6, "__alloc_pages_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x9e534e6a, "priv_to_devlink" },
	{ 0xc540492e, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9d3d08f0, "put_device" },
	{ 0x670db660, "__napi_schedule" },
	{ 0xe344b42c, "ipv6_skip_exthdr" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x143c549a, "pci_enable_msix_range" },
	{ 0x1d706a28, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x6cb3aac, "__free_pages" },
	{ 0x55b41f27, "__hw_addr_unsync_dev" },
	{ 0x71b12b37, "_dev_info" },
	{ 0x1b9e240a, "napi_gro_receive" },
	{ 0x6e7b8187, "xdp_features_clear_redirect_target" },
	{ 0x4963dacd, "pci_select_bars" },
	{ 0xbc9d5ddb, "netdev_pick_tx" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xb5c83040, "xp_raw_get_dma" },
	{ 0x81fbc2e4, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x828cf039, "xdp_rxq_info_is_reg" },
	{ 0xd2a47382, "flow_block_cb_setup_simple" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xc8e8a43d, "flow_rule_match_basic" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x367306fd, "__dma_sync_single_for_cpu" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xa9da7092, "pci_enable_msi" },
	{ 0x7ec56c70, "perf_trace_run_bpf_submit" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xc381aa1a, "devlink_port_unregister" },
	{ 0xec083b74, "devm_kfree" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x1eb1abab, "init_net" },
	{ 0x5a0f8bd0, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0xa19db0fa, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xf4fc82d8, "ptp_clock_register" },
	{ 0x4185e2eb, "ethtool_intersect_link_masks" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x148eb45, "netif_set_real_num_tx_queues" },
	{ 0x75a1618c, "__auxiliary_device_add" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "libie");

MODULE_ALIAS("pci:v00008086d00001572sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001574sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001580sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001581sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001583sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001584sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001585sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000DD2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001586sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001589sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015FFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000104Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000104Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037CEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037CFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000DDAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001587sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001588sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000CF8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000D58sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000158Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000158Bsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "4A44640E41D50E63F977C1C");

MODULE_INFO(suserelease, "SLFO-1.2");
