#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ice_xdp_locking_key, "", "");
KSYMTAB_FUNC(ice_add_rdma_qset, "_gpl", "");
KSYMTAB_FUNC(ice_del_rdma_qset, "_gpl", "");
KSYMTAB_FUNC(ice_rdma_request_reset, "_gpl", "");
KSYMTAB_FUNC(ice_rdma_update_vsi_filter, "_gpl", "");
KSYMTAB_FUNC(ice_get_qos_params, "_gpl", "");

SYMBOL_CRC(ice_xdp_locking_key, 0x965ff908, "");
SYMBOL_CRC(ice_add_rdma_qset, 0xb5b4d1bb, "_gpl");
SYMBOL_CRC(ice_del_rdma_qset, 0x1cfb0291, "_gpl");
SYMBOL_CRC(ice_rdma_request_reset, 0x2bf6d6ee, "_gpl");
SYMBOL_CRC(ice_rdma_update_vsi_filter, 0x9f15aa8a, "_gpl");
SYMBOL_CRC(ice_get_qos_params, 0x270548ef, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xef0eefbe, "devl_params_register" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x8c9e54d3, "devlink_info_version_running_put_ext" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xfd80cd6b, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x9b2eab6e, "netif_set_xps_queue" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xe0e8d49c, "__SCK__tp_func_xdp_exception" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0xca71e691, "netif_tx_stop_all_queues" },
	{ 0x91db5656, "pci_restore_state" },
	{ 0x57a45346, "bpf_trace_run1" },
	{ 0x8be8cd38, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x1080ce71, "device_del" },
	{ 0x4d470eb0, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xab34fa81, "dcb_getapp" },
	{ 0x3dc1a8b8, "dmam_free_coherent" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xfb578fc5, "memset" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0xcd6c9b80, "flow_rule_match_ports" },
	{ 0x5734a6b1, "gnss_allocate_device" },
	{ 0x3001c4bc, "dpll_netdev_pin_set" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x8de4560, "ptp_clock_event" },
	{ 0xcee336e0, "rht_bucket_nested_insert" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0x8bc1085a, "netif_schedule_queue" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x83358fe5, "pci_set_master" },
	{ 0x90263b94, "dpll_device_unregister" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xaf85a61a, "flow_rule_match_ipv6_addrs" },
	{ 0xf381ac51, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0xbd7c27e2, "devl_params_unregister" },
	{ 0x6d1eb832, "ptp_clock_unregister" },
	{ 0x2b64348b, "__pskb_pull_tail" },
	{ 0xd17ce140, "xp_dma_unmap" },
	{ 0x67b5ddfe, "dpll_pin_put" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x77fab3d9, "rhashtable_destroy" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x23c27ee3, "switchdev_handle_port_obj_add" },
	{ 0xa0994320, "devlink_fmsg_obj_nest_start" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xd2b987db, "devl_unlock" },
	{ 0x6d343d90, "__netif_napi_del_locked" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x23709dd3, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xaf36c569, "dma_set_coherent_mask" },
	{ 0xb98fa7ed, "__xa_insert" },
	{ 0x918431c7, "xa_erase" },
	{ 0xee768b8f, "flow_rule_match_pppoe" },
	{ 0xeb6fe03e, "flow_rule_match_enc_control" },
	{ 0xcb67b626, "bpf_trace_run3" },
	{ 0x4a38d9f7, "seq_read" },
	{ 0x94efc6d9, "__page_frag_cache_drain" },
	{ 0xa0cf4391, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xe5f70b80, "_dev_notice" },
	{ 0xe9d4725a, "gnss_deregister_device" },
	{ 0x29a76653, "rps_may_expire_flow" },
	{ 0xd6b46cfe, "metadata_dst_free" },
	{ 0xa26aefc1, "xsk_set_tx_need_wakeup" },
	{ 0x2c3fe335, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x87642c25, "netdev_reset_tc" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x8d1224dc, "rhashtable_init_noprof" },
	{ 0x27a7a36e, "trace_event_buffer_reserve" },
	{ 0xbe179e15, "page_pool_put_netmem_bulk" },
	{ 0x83f0edcf, "kthread_destroy_worker" },
	{ 0x80989989, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x8641ae02, "flow_rule_match_enc_ports" },
	{ 0x55086795, "xdp_return_frame_bulk" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x31a19ab5, "dpll_netdev_pin_clear" },
	{ 0xfd085bd3, "netif_queue_set_napi" },
	{ 0x6029628f, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf01d993d, "xa_destroy" },
	{ 0x63de0fe4, "call_netdevice_notifiers" },
	{ 0xfea41449, "xa_find" },
	{ 0xd6eda4ec, "devl_assert_locked" },
	{ 0x4fb321aa, "pcie_print_link_status" },
	{ 0x5ee7818a, "xp_set_rxq_info" },
	{ 0x6dee496d, "flow_rule_match_vlan" },
	{ 0xcaacf282, "devl_port_unregister" },
	{ 0xacbaa5be, "xdp_rxq_info_unreg" },
	{ 0x7f8e49f, "pci_dev_get" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x705e1200, "napi_build_skb" },
	{ 0x595b5d, "netdev_master_upper_dev_get_rcu" },
	{ 0xe093dcab, "__xdp_rxq_info_reg" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x21fdb80f, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf2eabe4f, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x7ad7a5cd, "seq_printf" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0xcdf5385d, "dpll_pin_register" },
	{ 0x95a04f0e, "gnss_register_device" },
	{ 0xe534dea0, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x401878fa, "devlink_priv" },
	{ 0xe0419ac4, "kstrtos16" },
	{ 0x16cb1db1, "__hw_addr_sync_dev" },
	{ 0x6ff2cacf, "pci_disable_sriov" },
	{ 0xc1765280, "pldmfw_flash_image" },
	{ 0xe1e9809f, "kthread_queue_delayed_work" },
	{ 0x9001d2a5, "metadata_dst_alloc" },
	{ 0x297093d2, "dst_release" },
	{ 0x72153cc5, "netif_carrier_on" },
	{ 0xb75532ed, "netdev_set_num_tc" },
	{ 0xb0216b80, "dpll_device_register" },
	{ 0x373b0d5, "dql_reset" },
	{ 0x635b6c2d, "hwmon_device_unregister" },
	{ 0x8ae718dd, "debugfs_create_file_full" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xa1cfcdee, "dev_uc_add_excl" },
	{ 0x250337ee, "boot_cpu_data" },
	{ 0xe481ec01, "xp_free" },
	{ 0x9173b1d2, "dev_mc_add_excl" },
	{ 0x35bb74cb, "gnss_put_device" },
	{ 0x8d8b2fb3, "single_release" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0xa7524338, "dma_set_mask" },
	{ 0x7fd53ce0, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf3c38f7e, "pack_fields_u8" },
	{ 0x35a7a448, "netif_set_tso_max_size" },
	{ 0xd4b5fc50, "__skb_flow_dissect" },
	{ 0x788b948, "vlan_dev_vlan_id" },
	{ 0xad18c4c3, "pci_msix_alloc_irq_at" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x1ee00c75, "libie_rx_pt_lut" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0x1e7da134, "skb_add_rx_frag_netmem" },
	{ 0xa256d729, "xa_find_after" },
	{ 0xfb11973c, "pcim_iomap_table" },
	{ 0x89b2a9b8, "xdp_master_redirect" },
	{ 0x177e48ab, "__devm_add_action" },
	{ 0x7043f176, "dpll_pin_on_pin_register" },
	{ 0xf21d30b1, "napi_schedule_prep" },
	{ 0x75b7eaf4, "napi_consume_skb" },
	{ 0x6847eb4d, "pci_read_config_byte" },
	{ 0xc9f4ff04, "xp_alloc_batch" },
	{ 0x754d539c, "strlen" },
	{ 0x664821c4, "napi_disable" },
	{ 0x16a57400, "dev_kfree_skb_any_reason" },
	{ 0x1042e2fb, "dcb_ieee_delapp" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xf2203c5f, "param_ops_int" },
	{ 0x495b28e9, "single_open" },
	{ 0x701c7b05, "pcim_enable_device" },
	{ 0x795d2074, "devl_register" },
	{ 0x349cba85, "strchr" },
	{ 0xd20f3ddd, "debugfs_create_dir" },
	{ 0xd6336f23, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x680994f8, "flow_rule_match_control" },
	{ 0x4486a148, "flow_rule_match_ip" },
	{ 0xcced20de, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x3507dd8f, "dpll_device_get" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xc291f44, "dcb_ieee_setapp" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x76a04f00, "ethtool_op_get_ts_info" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x8a9b70b, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x6c48b230, "pci_get_dsn" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x36f2f436, "__tracepoint_xdp_exception" },
	{ 0xa17469c3, "xsk_tx_completed" },
	{ 0x81194016, "napi_alloc_skb" },
	{ 0x18689cd6, "alloc_etherdev_mqs" },
	{ 0xbfdc8fa8, "netdev_lower_get_next" },
	{ 0xb9ce158e, "flow_block_cb_lookup" },
	{ 0xb697fff3, "pci_save_state" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe2601725, "devl_rate_leaf_create" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x77c7a4b1, "device_set_wakeup_enable" },
	{ 0x6db45ff8, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x5ca761db, "devl_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x4e0da969, "flow_rule_match_enc_keyid" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xd152e531, "pci_find_ext_capability" },
	{ 0x51ccce7a, "kthread_create_worker" },
	{ 0x97edf3c3, "bpf_prog_put" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x5b1efab8, "devl_region_create" },
	{ 0x4d23f922, "xp_dma_map" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x5adf76d8, "skb_copy_bits" },
	{ 0x333051c0, "idr_find" },
	{ 0xd0934899, "devm_request_threaded_irq" },
	{ 0xc0b4d91e, "kthread_cancel_delayed_work_sync" },
	{ 0x37aece0b, "dpll_device_change_ntf" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x3cb06817, "devm_kmalloc" },
	{ 0x5736bda9, "pci_wake_from_d3" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xf1cedf1a, "skb_tstamp_tx" },
	{ 0x6a76e187, "devlink_fmsg_binary_pair_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xea639833, "call_switchdev_notifiers" },
	{ 0x86871b40, "devlink_info_version_stored_put_ext" },
	{ 0xe4b241e3, "flow_indr_dev_register" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x9b20e596, "firmware_request_nowarn" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xabdeeb7e, "ethtool_forced_speed_maps_init" },
	{ 0x3bc953ae, "auxiliary_device_init" },
	{ 0xd9de95f, "pci_enable_device_mem" },
	{ 0x74885bdc, "consume_skb" },
	{ 0xf86f560, "kthread_delayed_work_timer_fn" },
	{ 0xeb1874ea, "flow_rule_match_enc_ip" },
	{ 0xb0e602eb, "memmove" },
	{ 0x6c2c44a0, "pci_alloc_irq_vectors" },
	{ 0xda6cf669, "flow_rule_match_l2tpv3" },
	{ 0x9bce81cb, "dpll_pin_change_ntf" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x517f6e05, "xsk_tx_peek_release_desc_batch" },
	{ 0xcd1a2bc5, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6781e848, "dmam_alloc_attrs" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0xa11a97c1, "trace_raw_output_prep" },
	{ 0xa54981bd, "devl_lock" },
	{ 0xee7d22e5, "pci_dev_put" },
	{ 0xb321d97, "xp_fill_cb" },
	{ 0xbad202cd, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x61bdf094, "ndo_dflt_bridge_getlink" },
	{ 0x852c5aa5, "unregister_netdev" },
	{ 0x8fe1e8b5, "dpll_device_put" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x831de434, "dpll_pin_unregister" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x9baaad12, "xdp_features_set_redirect_target" },
	{ 0xb07d43ee, "__trace_trigger_soft_disabled" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0x6aa30cbd, "pci_get_device" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0xb51d11a4, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xacf7e913, "request_firmware" },
	{ 0xdf4574bf, "trace_event_printf" },
	{ 0x37c7fa66, "dev_uc_del" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0xf1a9fb15, "flow_rule_match_cvlan" },
	{ 0x1057a279, "bsearch" },
	{ 0xd1ffe315, "__pci_register_driver" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x8b5db51c, "gnss_insert_raw" },
	{ 0x941cf48c, "pci_num_vf" },
	{ 0xad0a2118, "flow_rule_match_eth_addrs" },
	{ 0xaf2aa4f7, "get_device_system_crosststamp" },
	{ 0xe77ea0e9, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xceb7f93b, "ptp_clock_index" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x549dee85, "trace_event_raw_init" },
	{ 0xcf9932ea, "devl_port_fn_devlink_set" },
	{ 0x69acdf38, "memcpy" },
	{ 0xa0726406, "xp_can_alloc" },
	{ 0x37a0cba, "kfree" },
	{ 0xfdb33960, "devlink_alloc_ns" },
	{ 0xa0928481, "devl_rate_leaf_destroy" },
	{ 0xf8c3f39f, "devlink_fmsg_obj_nest_end" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x28895d1b, "xdp_do_redirect" },
	{ 0x4a059e35, "devlink_free" },
	{ 0x3b2e7a22, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x7651a0b5, "netif_napi_add_weight_locked" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd0d9d74c, "bpf_trace_run2" },
	{ 0x3416d62c, "prepare_to_wait_event" },
	{ 0x91c8a40d, "devl_rate_node_create" },
	{ 0xe45f97ac, "netdev_warn" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0xb9155578, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x70ecfbe8, "pci_set_power_state" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x9589faf7, "devl_rate_nodes_destroy" },
	{ 0xf6491531, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xe885bad5, "pci_irq_vector" },
	{ 0x553f85cc, "flow_rule_match_ipv4_addrs" },
	{ 0xad060881, "dpll_pin_on_pin_unregister" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0x90354574, "netdev_state_change" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xb6e3c8cb, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x4424eef3, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd1d47d16, "pskb_expand_head" },
	{ 0xb48a48a3, "switchdev_handle_port_attr_set" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x389b64a2, "static_key_count" },
	{ 0x81223266, "devlink_flash_update_status_notify" },
	{ 0x44c339bf, "dev_driver_string" },
	{ 0x619aedac, "pci_restore_msi_state" },
	{ 0x77188b5d, "trace_event_buffer_commit" },
	{ 0xae8d6845, "xdp_return_buff" },
	{ 0x712fdcf3, "dev_addr_mod" },
	{ 0xe7f4315d, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x502db1b1, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd10b03ea, "auxiliary_driver_unregister" },
	{ 0x28ba6fe1, "dma_map_page_attrs" },
	{ 0x95b46469, "napi_complete_done" },
	{ 0x3f395610, "switchdev_handle_port_obj_del" },
	{ 0x148330d6, "__alloc_pages_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x9e534e6a, "priv_to_devlink" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x2ddc8fc3, "dpll_pin_get" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xc540492e, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x9d3d08f0, "put_device" },
	{ 0xbe60732d, "devm_free_irq" },
	{ 0x8ee8543e, "net_dim" },
	{ 0x670db660, "__napi_schedule" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xe344b42c, "ipv6_skip_exthdr" },
	{ 0x1d706a28, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0xba0601fb, "flow_rule_match_enc_ipv4_addrs" },
	{ 0x7af53312, "netif_device_detach" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x6cb3aac, "__free_pages" },
	{ 0x55b41f27, "__hw_addr_unsync_dev" },
	{ 0x71b12b37, "_dev_info" },
	{ 0x1b9e240a, "napi_gro_receive" },
	{ 0xe215f75b, "netif_device_attach" },
	{ 0x6e7b8187, "xdp_features_clear_redirect_target" },
	{ 0xbc9d5ddb, "netdev_pick_tx" },
	{ 0x4f636fd9, "flow_indr_dev_unregister" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xb5c83040, "xp_raw_get_dma" },
	{ 0x81fbc2e4, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x78372897, "pci_iov_virtfn_devfn" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x828cf039, "xdp_rxq_info_is_reg" },
	{ 0x37842cd8, "flow_rule_match_enc_opts" },
	{ 0xe0e8442, "devl_health_reporter_create" },
	{ 0xd2a47382, "flow_block_cb_setup_simple" },
	{ 0xc781605c, "pci_msix_can_alloc_dyn" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xc8e8a43d, "flow_rule_match_basic" },
	{ 0xb9a85f0c, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x55f5a823, "dev_open" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0xddc90776, "pcim_iomap_regions" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x75a54147, "__xa_alloc" },
	{ 0x3fe724ad, "vlan_dev_real_dev" },
	{ 0xbd3a82d3, "pci_clear_master" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x367306fd, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xd47e09e, "devm_kmemdup" },
	{ 0x9366bce8, "pci_msix_free_irq" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x7ec56c70, "perf_trace_run_bpf_submit" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x8c5af8bd, "devlink_flash_update_timeout_notify" },
	{ 0xec083b74, "devm_kfree" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x1eb1abab, "init_net" },
	{ 0x5a0f8bd0, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xa19db0fa, "xdp_return_frame" },
	{ 0x9820f51a, "idr_alloc" },
	{ 0xf4fc82d8, "ptp_clock_register" },
	{ 0xd74e302e, "devl_nested_devlink_set" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0xfe39e07c, "__wake_up_locked" },
	{ 0x789fd343, "hwmon_device_register_with_info" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x148eb45, "netif_set_real_num_tx_queues" },
	{ 0x8ec9aec2, "devlink_fmsg_u8_pair_put" },
	{ 0x75a1618c, "__auxiliary_device_add" },
	{ 0x5ad66e1c, "pldmfw_op_pci_match_record" },
	{ 0xc16be39d, "iter_div_u64_rem" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xb9b31de8, "xa_load" },
	{ 0x436444b, "netif_set_real_num_rx_queues" },
	{ 0x9b8f0534, "do_wait_intr_irq" },
	{ 0x959652df, "flow_indr_block_cb_alloc" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x37e0b4c8, "devl_port_register_with_ops" },
	{ 0xdd0f50a6, "devlink_fmsg_dump_skb" },
	{ 0xfcb08ce2, "pci_wait_for_pending_transaction" },
	{ 0xb5abb145, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xe3ca6ae9, "pci_device_is_present" },
	{ 0x6de67898, "debugfs_remove" },
	{ 0x6e1341a1, "pci_read_config_word" },
	{ 0x19a9c1fd, "pcie_flr" },
	{ 0xb70ca8ae, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0xba75eca3, "xsk_clear_rx_need_wakeup" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0xfa600e3b, "dcbnl_ieee_notify" },
	{ 0xfd0df538, "xsk_uses_need_wakeup" },
	{ 0xc10e4626, "register_netdev" },
	{ 0x8fab75db, "dev_mc_del" },
	{ 0x658574f4, "trace_event_reg" },
	{ 0x7a3f16a2, "devl_region_destroy" },
	{ 0x209cb8eb, "free_netdev" },
	{ 0xa5743fd, "xsk_get_pool_from_qid" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "gnss,libie");

MODULE_ALIAS("auxiliary:ice.sf");
MODULE_ALIAS("pci:v00008086d00001591sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001592sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001593sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001599sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001890sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001891sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001892sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001893sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001894sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001897sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001898sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001899sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000189Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000151Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001888sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000579Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000579Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000579Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000579Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012DDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012DAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012DEsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "8F119925938A014F86E5849");

MODULE_INFO(suserelease, "SLFO-1.2");
