#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mlx5_core_uplink_netdev_event_replay, "", "");
KSYMTAB_FUNC(mlx5_core_mp_event_replay, "", "");
KSYMTAB_FUNC(mlx5_is_roce_on, "", "");
KSYMTAB_FUNC(mlx5_vf_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_vf_put_core_dev, "", "");
KSYMTAB_FUNC(mlx5_cmd_out_err, "", "");
KSYMTAB_FUNC(mlx5_cmd_check, "", "");
KSYMTAB_FUNC(mlx5_cmd_do, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_polling, "", "");
KSYMTAB_FUNC(mlx5_cmd_init_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_cleanup_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_cb, "", "");
KSYMTAB_DATA(mlx5_debugfs_root, "", "");
KSYMTAB_FUNC(mlx5_debugfs_get_dev_root, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_init, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_cleanup, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_add, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_remove, "", "");
KSYMTAB_FUNC(mlx5_core_query_vendor_id, "", "");
KSYMTAB_FUNC(mlx5_eq_enable, "", "");
KSYMTAB_FUNC(mlx5_eq_disable, "", "");
KSYMTAB_FUNC(mlx5_eq_create_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_destroy_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_get_eqe, "", "");
KSYMTAB_FUNC(mlx5_eq_update_ci, "", "");
KSYMTAB_FUNC(mlx5_comp_eqn_get, "", "");
KSYMTAB_FUNC(mlx5_comp_vectors_max, "", "");
KSYMTAB_FUNC(mlx5_comp_vector_get_cpu, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_get_uars_page, "", "");
KSYMTAB_FUNC(mlx5_put_uars_page, "", "");
KSYMTAB_FUNC(mlx5_alloc_bfreg, "", "");
KSYMTAB_FUNC(mlx5_free_bfreg, "", "");
KSYMTAB_FUNC(mlx5_core_attach_mcg, "", "");
KSYMTAB_FUNC(mlx5_core_detach_mcg, "", "");
KSYMTAB_FUNC(mlx5_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_cq, "", "");
KSYMTAB_FUNC(mlx5_core_query_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq_moderation, "", "");
KSYMTAB_FUNC(mlx5_frag_buf_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_frag_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array_perm, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array, "_gpl", "");
KSYMTAB_FUNC(mlx5_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_caps, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ptys, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_ib_port_oper, "", "");
KSYMTAB_FUNC(mlx5_toggle_port_link, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_max_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_oper_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom_by_page, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_vl_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_query_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_create_psv, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_psv, "", "");
KSYMTAB_FUNC(mlx5_core_get_terminate_scatter_list_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_create_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_rq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rq, "", "");
KSYMTAB_FUNC(mlx5_core_query_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq_state, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_tir, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tir, "", "");
KSYMTAB_FUNC(mlx5_core_create_tis, "", "");
KSYMTAB_FUNC(mlx5_core_modify_tis, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tis, "", "");
KSYMTAB_FUNC(mlx5_core_create_rqt, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rqt, "", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_vlans, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_qkey_viol_cntr, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_gid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_pkey, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_update_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_query_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_enable_roce, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_disable_roce, "", "");
KSYMTAB_FUNC(mlx5_core_query_vport_counter, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_modify_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_affiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_unaffiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_vport_get_other_func_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_create_flow_table, "", "");
KSYMTAB_FUNC(mlx5_flow_table_id, "", "");
KSYMTAB_FUNC(mlx5_create_lag_demux_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_auto_grouped_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_flow_group, "", "");
KSYMTAB_FUNC(mlx5_add_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_del_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_table, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_group, "", "");
KSYMTAB_FUNC(mlx5_get_fdb_sub_ns, "", "");
KSYMTAB_FUNC(mlx5_get_flow_namespace, "", "");
KSYMTAB_FUNC(mlx5_fs_add_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_fs_remove_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_modify_header_alloc, "", "");
KSYMTAB_FUNC(mlx5_modify_header_dealloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_alloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_dealloc, "", "");
KSYMTAB_FUNC(mlx5_fc_create, "", "");
KSYMTAB_FUNC(mlx5_fc_id, "", "");
KSYMTAB_FUNC(mlx5_fc_destroy, "", "");
KSYMTAB_FUNC(mlx5_fc_query, "", "");
KSYMTAB_FUNC(mlx5_fc_local_create, "", "");
KSYMTAB_FUNC(mlx5_fc_local_destroy, "", "");
KSYMTAB_FUNC(mlx5_rl_is_in_range, "", "");
KSYMTAB_FUNC(mlx5_rl_are_equal, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate, "", "");
KSYMTAB_FUNC(mlx5_cmd_create_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_cmd_destroy_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_lag_is_roce, "", "");
KSYMTAB_FUNC(mlx5_lag_is_active, "", "");
KSYMTAB_FUNC(mlx5_lag_mode_is_hash, "", "");
KSYMTAB_FUNC(mlx5_lag_is_master, "", "");
KSYMTAB_FUNC(mlx5_lag_is_sriov, "", "");
KSYMTAB_FUNC(mlx5_lag_is_shared_fdb, "", "");
KSYMTAB_FUNC(mlx5_lag_get_slave_port, "", "");
KSYMTAB_FUNC(mlx5_lag_get_num_ports, "", "");
KSYMTAB_FUNC(mlx5_lag_get_next_peer_mdev, "", "");
KSYMTAB_FUNC(mlx5_lag_query_cong_counters, "", "");
KSYMTAB_FUNC(mlx5_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_core_reserved_gids_count, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_roce_gid_set, "", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_dealloc, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_ft, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_ft, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_fg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_set_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_set_fte, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fte, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_rule, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_rule, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fw, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fw, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fw, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fw, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_create, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_destroy, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_next, "", "");
KSYMTAB_FUNC(mlx5_wc_support_get, "", "");
KSYMTAB_FUNC(mlx5_lag_is_mpesw, "", "");
KSYMTAB_FUNC(mlx5_eswitch_mode, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_encap_mode, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_total_vports, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_add_send_to_vport_rule, "", "");
KSYMTAB_FUNC(mlx5_eswitch_register_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_unregister_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_uplink_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_rep, "", "");
KSYMTAB_FUNC(mlx5_eswitch_reg_c1_loopback_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_match_metadata_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_match, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_set, "", "");
KSYMTAB_FUNC(mlx5_mpfs_add_mac, "", "");
KSYMTAB_FUNC(mlx5_mpfs_del_mac, "", "");
KSYMTAB_FUNC(mlx5_rdma_rn_get_params, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_create, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_destroy, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_sendmsg, "", "");
KSYMTAB_FUNC(mlx5_fpga_mem_read, "", "");
KSYMTAB_FUNC(mlx5_fpga_mem_write, "", "");
KSYMTAB_FUNC(mlx5_fpga_get_sbu_caps, "", "");
KSYMTAB_FUNC(mlx5_macsec_del_roce_rule, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_add_roce_rule, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_add_roce_sa_rules, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_del_roce_sa_rules, "_gpl", "");
KSYMTAB_FUNC(mlx5_ipsec_device_caps, "_gpl", "");

SYMBOL_CRC(mlx5_core_uplink_netdev_event_replay, 0x5f5b7268, "");
SYMBOL_CRC(mlx5_core_mp_event_replay, 0x795e2755, "");
SYMBOL_CRC(mlx5_is_roce_on, 0x3f9e37f9, "");
SYMBOL_CRC(mlx5_vf_get_core_dev, 0x7090308e, "");
SYMBOL_CRC(mlx5_vf_put_core_dev, 0x422becba, "");
SYMBOL_CRC(mlx5_cmd_out_err, 0x3bd54ad1, "");
SYMBOL_CRC(mlx5_cmd_check, 0xe2d05b87, "");
SYMBOL_CRC(mlx5_cmd_do, 0xd1df4928, "");
SYMBOL_CRC(mlx5_cmd_exec, 0x0c762d5d, "");
SYMBOL_CRC(mlx5_cmd_exec_polling, 0x7a80e78b, "");
SYMBOL_CRC(mlx5_cmd_init_async_ctx, 0xb53bff2e, "");
SYMBOL_CRC(mlx5_cmd_cleanup_async_ctx, 0x9155f0da, "");
SYMBOL_CRC(mlx5_cmd_exec_cb, 0x2a6f6e17, "");
SYMBOL_CRC(mlx5_debugfs_root, 0xd50a4f60, "");
SYMBOL_CRC(mlx5_debugfs_get_dev_root, 0x99037c90, "");
SYMBOL_CRC(mlx5_qp_debugfs_init, 0x9d984848, "");
SYMBOL_CRC(mlx5_qp_debugfs_cleanup, 0x92ada106, "");
SYMBOL_CRC(mlx5_debug_qp_add, 0x024cb858, "");
SYMBOL_CRC(mlx5_debug_qp_remove, 0x935b8ef0, "");
SYMBOL_CRC(mlx5_core_query_vendor_id, 0x4ba7df6a, "");
SYMBOL_CRC(mlx5_eq_enable, 0x9ff23e79, "");
SYMBOL_CRC(mlx5_eq_disable, 0xa0ec4571, "");
SYMBOL_CRC(mlx5_eq_create_generic, 0xfa9a55b6, "");
SYMBOL_CRC(mlx5_eq_destroy_generic, 0x37a6f6e3, "");
SYMBOL_CRC(mlx5_eq_get_eqe, 0xfe41f738, "");
SYMBOL_CRC(mlx5_eq_update_ci, 0x584c221c, "");
SYMBOL_CRC(mlx5_comp_eqn_get, 0x0b27ddbb, "");
SYMBOL_CRC(mlx5_comp_vectors_max, 0x7be1570a, "");
SYMBOL_CRC(mlx5_comp_vector_get_cpu, 0xceeea679, "");
SYMBOL_CRC(mlx5_eq_notifier_register, 0x817d8986, "");
SYMBOL_CRC(mlx5_eq_notifier_unregister, 0x5c62341b, "");
SYMBOL_CRC(mlx5_get_uars_page, 0x67089add, "");
SYMBOL_CRC(mlx5_put_uars_page, 0x87899cee, "");
SYMBOL_CRC(mlx5_alloc_bfreg, 0x9b12a3da, "");
SYMBOL_CRC(mlx5_free_bfreg, 0x4e5c4f00, "");
SYMBOL_CRC(mlx5_core_attach_mcg, 0x8823c19c, "");
SYMBOL_CRC(mlx5_core_detach_mcg, 0x48fd60d1, "");
SYMBOL_CRC(mlx5_create_cq, 0x65003543, "");
SYMBOL_CRC(mlx5_core_create_cq, 0x338a3742, "");
SYMBOL_CRC(mlx5_core_destroy_cq, 0x26d63be6, "");
SYMBOL_CRC(mlx5_core_query_cq, 0x00aeeb50, "");
SYMBOL_CRC(mlx5_core_modify_cq, 0x33a2a702, "");
SYMBOL_CRC(mlx5_core_modify_cq_moderation, 0x85a3e283, "");
SYMBOL_CRC(mlx5_frag_buf_alloc_node, 0x5a31eeda, "_gpl");
SYMBOL_CRC(mlx5_frag_buf_free, 0xc22e2eaa, "_gpl");
SYMBOL_CRC(mlx5_db_alloc_node, 0x931f0073, "_gpl");
SYMBOL_CRC(mlx5_db_free, 0x66491314, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array_perm, 0x81aadc6a, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array, 0x072460c4, "_gpl");
SYMBOL_CRC(mlx5_access_reg, 0xd923cfaf, "_gpl");
SYMBOL_CRC(mlx5_core_access_reg, 0x6e540990, "_gpl");
SYMBOL_CRC(mlx5_set_port_caps, 0xbb4ee3fa, "_gpl");
SYMBOL_CRC(mlx5_query_port_ptys, 0x0c4fb110, "_gpl");
SYMBOL_CRC(mlx5_query_ib_port_oper, 0xee721430, "");
SYMBOL_CRC(mlx5_toggle_port_link, 0x63842214, "_gpl");
SYMBOL_CRC(mlx5_set_port_admin_status, 0xd031fdf8, "_gpl");
SYMBOL_CRC(mlx5_query_port_admin_status, 0x67d44df9, "_gpl");
SYMBOL_CRC(mlx5_set_port_mtu, 0xe6e846c9, "_gpl");
SYMBOL_CRC(mlx5_query_port_max_mtu, 0xac8eb9f2, "_gpl");
SYMBOL_CRC(mlx5_query_port_oper_mtu, 0x545524f0, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom, 0x79558211, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom_by_page, 0x4d2dec6e, "_gpl");
SYMBOL_CRC(mlx5_query_port_vl_hw_cap, 0x3f6f1b23, "_gpl");
SYMBOL_CRC(mlx5_set_port_pause, 0x1f6b1a55, "_gpl");
SYMBOL_CRC(mlx5_query_port_pause, 0xf25be8dc, "_gpl");
SYMBOL_CRC(mlx5_set_port_pfc, 0x18bb9751, "_gpl");
SYMBOL_CRC(mlx5_query_port_pfc, 0xf76339cf, "_gpl");
SYMBOL_CRC(mlx5_set_port_prio_tc, 0x121fb37c, "_gpl");
SYMBOL_CRC(mlx5_query_port_prio_tc, 0xa97c1740, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_group, 0x84e3607c, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_group, 0xf817a143, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_bw_alloc, 0xdeff1dfd, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_bw_alloc, 0x9e61996a, "_gpl");
SYMBOL_CRC(mlx5_modify_port_ets_rate_limit, 0x37770dd6, "_gpl");
SYMBOL_CRC(mlx5_query_port_ets_rate_limit, 0x821dfc3d, "_gpl");
SYMBOL_CRC(mlx5_set_port_wol, 0x2082d383, "_gpl");
SYMBOL_CRC(mlx5_query_port_wol, 0x45b751a9, "_gpl");
SYMBOL_CRC(mlx5_core_create_mkey, 0x83d81320, "");
SYMBOL_CRC(mlx5_core_destroy_mkey, 0xc9c6b93b, "");
SYMBOL_CRC(mlx5_core_query_mkey, 0x6d0f2898, "");
SYMBOL_CRC(mlx5_core_create_psv, 0x1b3dc907, "");
SYMBOL_CRC(mlx5_core_destroy_psv, 0xc9e63634, "");
SYMBOL_CRC(mlx5_core_get_terminate_scatter_list_mkey, 0x9c08750c, "");
SYMBOL_CRC(mlx5_core_alloc_pd, 0x36ee0eae, "");
SYMBOL_CRC(mlx5_core_dealloc_pd, 0x97188172, "");
SYMBOL_CRC(mlx5_core_alloc_transport_domain, 0x872d96b8, "");
SYMBOL_CRC(mlx5_core_dealloc_transport_domain, 0x96094474, "");
SYMBOL_CRC(mlx5_core_create_rq, 0x4e3ecfbb, "");
SYMBOL_CRC(mlx5_core_modify_rq, 0xa1c8c388, "");
SYMBOL_CRC(mlx5_core_destroy_rq, 0xf0da628b, "");
SYMBOL_CRC(mlx5_core_query_rq, 0x0b09d5d8, "");
SYMBOL_CRC(mlx5_core_modify_sq, 0x2fa8ff2b, "");
SYMBOL_CRC(mlx5_core_query_sq, 0x8569e97b, "");
SYMBOL_CRC(mlx5_core_query_sq_state, 0xa998276f, "_gpl");
SYMBOL_CRC(mlx5_core_create_tir, 0x065a6b6e, "");
SYMBOL_CRC(mlx5_core_destroy_tir, 0xca41a9f2, "");
SYMBOL_CRC(mlx5_core_create_tis, 0x490bf900, "");
SYMBOL_CRC(mlx5_core_modify_tis, 0xe2aab760, "");
SYMBOL_CRC(mlx5_core_destroy_tis, 0xb7be3869, "");
SYMBOL_CRC(mlx5_core_create_rqt, 0xe2cb4da8, "");
SYMBOL_CRC(mlx5_core_destroy_rqt, 0x27e50a1e, "");
SYMBOL_CRC(mlx5_query_nic_vport_min_inline, 0x97d8537b, "_gpl");
SYMBOL_CRC(mlx5_query_min_inline, 0x98727225, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_address, 0x1e74e9a3, "_gpl");
SYMBOL_CRC(mlx5_query_mac_address, 0xb1482dc8, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_address, 0xb615ee2a, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mtu, 0xfde5ac64, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mtu, 0xf50c0296, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_list, 0xa63a3bfb, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_list, 0xbb2f9502, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_vlans, 0x14d8c909, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_system_image_guid, 0x75be74e2, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_node_guid, 0x19be95f0, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_qkey_viol_cntr, 0xa8acf3ac, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_gid, 0x650fa92e, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_pkey, 0xe26fe7e7, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_context, 0x753cd4ed, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_system_image_guid, 0xbba99167, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_node_guid, 0x910c0f70, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_promisc, 0x136081bb, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_promisc, 0x3188dd25, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_update_local_lb, 0xd490539d, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_query_local_lb, 0xeefae582, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_enable_roce, 0xfb1b9554, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_disable_roce, 0xc9d209a9, "");
SYMBOL_CRC(mlx5_core_query_vport_counter, 0x7957682f, "_gpl");
SYMBOL_CRC(mlx5_core_modify_hca_vport_context, 0x5a9eaad8, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_affiliate_multiport, 0x533bd2ef, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_unaffiliate_multiport, 0xfe6bb636, "_gpl");
SYMBOL_CRC(mlx5_query_nic_system_image_guid, 0x1b562778, "_gpl");
SYMBOL_CRC(mlx5_vport_get_other_func_cap, 0xfd263bb3, "_gpl");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_unregister, 0x7c2b60de, "");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_register, 0x939baa5e, "");
SYMBOL_CRC(mlx5_create_flow_table, 0xe6ff299f, "");
SYMBOL_CRC(mlx5_flow_table_id, 0xe28d4529, "");
SYMBOL_CRC(mlx5_create_lag_demux_flow_table, 0xb1793d75, "");
SYMBOL_CRC(mlx5_create_auto_grouped_flow_table, 0xa93fa45b, "");
SYMBOL_CRC(mlx5_create_flow_group, 0xa4d46a30, "");
SYMBOL_CRC(mlx5_add_flow_rules, 0x1d94d9b0, "");
SYMBOL_CRC(mlx5_del_flow_rules, 0xa0b25882, "");
SYMBOL_CRC(mlx5_destroy_flow_table, 0x813301e9, "");
SYMBOL_CRC(mlx5_destroy_flow_group, 0x73c164a3, "");
SYMBOL_CRC(mlx5_get_fdb_sub_ns, 0x4db8ff41, "");
SYMBOL_CRC(mlx5_get_flow_namespace, 0x15132dea, "");
SYMBOL_CRC(mlx5_fs_add_rx_underlay_qpn, 0x201c6e73, "");
SYMBOL_CRC(mlx5_fs_remove_rx_underlay_qpn, 0x45adbd1e, "");
SYMBOL_CRC(mlx5_modify_header_alloc, 0x6d40924a, "");
SYMBOL_CRC(mlx5_modify_header_dealloc, 0x4d739e96, "");
SYMBOL_CRC(mlx5_packet_reformat_alloc, 0x50ef49b4, "");
SYMBOL_CRC(mlx5_packet_reformat_dealloc, 0xde7519ea, "");
SYMBOL_CRC(mlx5_fc_create, 0xdde0b467, "");
SYMBOL_CRC(mlx5_fc_id, 0x18e399bc, "");
SYMBOL_CRC(mlx5_fc_destroy, 0x97e0c0b4, "");
SYMBOL_CRC(mlx5_fc_query, 0xaad46956, "");
SYMBOL_CRC(mlx5_fc_local_create, 0xafacf316, "");
SYMBOL_CRC(mlx5_fc_local_destroy, 0xd0dbeb8d, "");
SYMBOL_CRC(mlx5_rl_is_in_range, 0xfbe2dd40, "");
SYMBOL_CRC(mlx5_rl_are_equal, 0x61492bb7, "");
SYMBOL_CRC(mlx5_rl_add_rate_raw, 0xe08b4b31, "");
SYMBOL_CRC(mlx5_rl_remove_rate_raw, 0x1082a2a1, "");
SYMBOL_CRC(mlx5_rl_add_rate, 0x03adf850, "");
SYMBOL_CRC(mlx5_rl_remove_rate, 0xdf7e6eb6, "");
SYMBOL_CRC(mlx5_cmd_create_vport_lag, 0x7dd5d5a7, "");
SYMBOL_CRC(mlx5_cmd_destroy_vport_lag, 0xcf64e1c6, "");
SYMBOL_CRC(mlx5_lag_is_roce, 0xabcc8fdf, "");
SYMBOL_CRC(mlx5_lag_is_active, 0x529346f6, "");
SYMBOL_CRC(mlx5_lag_mode_is_hash, 0xcf4c69d8, "");
SYMBOL_CRC(mlx5_lag_is_master, 0x96b585c4, "");
SYMBOL_CRC(mlx5_lag_is_sriov, 0x43b507df, "");
SYMBOL_CRC(mlx5_lag_is_shared_fdb, 0xe364f9c5, "");
SYMBOL_CRC(mlx5_lag_get_slave_port, 0x31f23031, "");
SYMBOL_CRC(mlx5_lag_get_num_ports, 0xebef9c3f, "");
SYMBOL_CRC(mlx5_lag_get_next_peer_mdev, 0x0414f8b7, "");
SYMBOL_CRC(mlx5_lag_query_cong_counters, 0xe1062fcf, "");
SYMBOL_CRC(mlx5_notifier_register, 0x2f817020, "");
SYMBOL_CRC(mlx5_notifier_unregister, 0x932f8240, "");
SYMBOL_CRC(mlx5_blocking_notifier_register, 0x67fb5daa, "");
SYMBOL_CRC(mlx5_blocking_notifier_unregister, 0x179ce68e, "");
SYMBOL_CRC(mlx5_core_reserved_gids_count, 0x03a596f0, "_gpl");
SYMBOL_CRC(mlx5_core_roce_gid_set, 0x9a30eb51, "");
SYMBOL_CRC(mlx5_dm_sw_icm_alloc, 0xb07094c3, "_gpl");
SYMBOL_CRC(mlx5_dm_sw_icm_dealloc, 0xbe27dd1c, "_gpl");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_ft, 0x34aa9aa4, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_ft, 0xd5f1b8df, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_ft, 0xbaf08dcd, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_ft, 0xb4e976bb, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_ft, 0x9dbe2d67, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_ft, 0x7a2e3252, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_ft, 0x13e43a0e, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_ft, 0xe30fb2a8, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_fg, 0x5545db36, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_fg, 0xac404244, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_fg, 0xdb1fcc5f, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_fg, 0x9d36ddd0, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fg, 0xfc516cf5, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fg, 0x2884027d, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fg, 0x720b7b9c, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_fg, 0xcad019c3, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_set_fte, 0x2ed28617, "");
SYMBOL_CRC(__traceiter_mlx5_fs_set_fte, 0x4534545e, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_set_fte, 0x1a3205fc, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_set_fte, 0xb06c0bfd, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fte, 0xb7293ed3, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fte, 0x3c35bed1, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fte, 0x83c9bd38, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_fte, 0xacfe8a18, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_rule, 0xecd0b84b, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_rule, 0x9ae383d2, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_rule, 0xdb3c6338, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_rule, 0xdb622108, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_rule, 0x5902b3fd, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_rule, 0xec608741, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_rule, 0x6eee688e, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_rule, 0x62dc190a, "");
SYMBOL_CRC(__tracepoint_mlx5_fw, 0xc0417590, "");
SYMBOL_CRC(__traceiter_mlx5_fw, 0x3bebba12, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fw, 0xc18a095b, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fw, 0xdfbc08aa, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_create, 0x030b014f, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_destroy, 0xad6815cd, "");
SYMBOL_CRC(mlx5_rsc_dump_next, 0x6763610c, "");
SYMBOL_CRC(mlx5_wc_support_get, 0x49272586, "");
SYMBOL_CRC(mlx5_lag_is_mpesw, 0x23eb9ba4, "");
SYMBOL_CRC(mlx5_eswitch_mode, 0x2096ea54, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_encap_mode, 0x912c8eaa, "");
SYMBOL_CRC(mlx5_eswitch_get_total_vports, 0x48e489cc, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_core_dev, 0x23d86209, "");
SYMBOL_CRC(mlx5_eswitch_add_send_to_vport_rule, 0x6a4f117c, "");
SYMBOL_CRC(mlx5_eswitch_register_vport_reps, 0xe6b52a20, "");
SYMBOL_CRC(mlx5_eswitch_unregister_vport_reps, 0xb1831b4d, "");
SYMBOL_CRC(mlx5_eswitch_get_proto_dev, 0xca7b70a0, "");
SYMBOL_CRC(mlx5_eswitch_uplink_get_proto_dev, 0x53ab224b, "");
SYMBOL_CRC(mlx5_eswitch_vport_rep, 0xf50ffcc4, "");
SYMBOL_CRC(mlx5_eswitch_reg_c1_loopback_enabled, 0x327efc84, "");
SYMBOL_CRC(mlx5_eswitch_vport_match_metadata_enabled, 0xc7ec9f6d, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_match, 0x02506b33, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_set, 0xc1478933, "");
SYMBOL_CRC(mlx5_mpfs_add_mac, 0x16e8c8fd, "");
SYMBOL_CRC(mlx5_mpfs_del_mac, 0xfd9ce901, "");
SYMBOL_CRC(mlx5_rdma_rn_get_params, 0x8eb68157, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_create, 0x20cd4ffd, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_destroy, 0xfe9ede10, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_sendmsg, 0xb9afc5c4, "");
SYMBOL_CRC(mlx5_fpga_mem_read, 0x02498fa3, "");
SYMBOL_CRC(mlx5_fpga_mem_write, 0x61174db1, "");
SYMBOL_CRC(mlx5_fpga_get_sbu_caps, 0x5dd3ce81, "");
SYMBOL_CRC(mlx5_macsec_del_roce_rule, 0x42b43a38, "_gpl");
SYMBOL_CRC(mlx5_macsec_add_roce_rule, 0x3d08fdcc, "_gpl");
SYMBOL_CRC(mlx5_macsec_add_roce_sa_rules, 0x49566105, "_gpl");
SYMBOL_CRC(mlx5_macsec_del_roce_sa_rules, 0x390b982c, "_gpl");
SYMBOL_CRC(mlx5_ipsec_device_caps, 0x8aeef601, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf4fc82d8, "ptp_clock_register" },
	{ 0xa0928481, "devl_rate_leaf_destroy" },
	{ 0xceb7f93b, "ptp_clock_index" },
	{ 0x6f41a639, "irq_cpu_rmap_remove" },
	{ 0xf785fbf2, "dev_get_by_index" },
	{ 0xcf9932ea, "devl_port_fn_devlink_set" },
	{ 0x7fcc1f2e, "devlink_fmsg_bool_pair_put" },
	{ 0x45f4e1cd, "__init_rwsem" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x75929dff, "debugfs_attr_read" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x75b7eaf4, "napi_consume_skb" },
	{ 0x597f20e3, "netdev_printk" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0xbc9d5ddb, "netdev_pick_tx" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa531a2de, "page_pool_alloc_pages" },
	{ 0x7a7e247a, "devlink_port_attrs_pci_pf_set" },
	{ 0x221394ae, "hyperv_reg_block_invalidate" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0x68147d69, "arp_tbl" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x34344af2, "pci_release_regions" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xd1bc2e3a, "ptp_schedule_worker" },
	{ 0x77fab3d9, "rhashtable_destroy" },
	{ 0xc2c5802, "work_busy" },
	{ 0xe7f4315d, "xdp_rxq_info_reg_mem_model" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xb659ab38, "udp4_hwcsum" },
	{ 0x795d2074, "devl_register" },
	{ 0x1591b2c6, "hyperv_read_cfg_blk" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x87642c25, "netdev_reset_tc" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x23709dd3, "__dynamic_netdev_dbg" },
	{ 0xc10e4626, "register_netdev" },
	{ 0x1af267f8, "int_pow" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x712fdcf3, "dev_addr_mod" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xcf2a6966, "up" },
	{ 0x3bc953ae, "auxiliary_device_init" },
	{ 0x56dd0d4e, "ipv6_stub" },
	{ 0xc32874e4, "ktime_get_snapshot" },
	{ 0x9005f3a2, "net_dim_get_def_tx_moderation" },
	{ 0x3db8d791, "blocking_notifier_chain_register" },
	{ 0x3fe724ad, "vlan_dev_real_dev" },
	{ 0xe2601725, "devl_rate_leaf_create" },
	{ 0x4486a148, "flow_rule_match_ip" },
	{ 0x862258db, "timecounter_init" },
	{ 0x436444b, "netif_set_real_num_rx_queues" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xba75eca3, "xsk_clear_rx_need_wakeup" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x4b53a23e, "page_pool_put_unrefed_page" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xaf85a61a, "flow_rule_match_ipv6_addrs" },
	{ 0x8dcbdf77, "devlink_trap_report" },
	{ 0xa256d729, "xa_find_after" },
	{ 0xd10b03ea, "auxiliary_driver_unregister" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xfd0df538, "xsk_uses_need_wakeup" },
	{ 0x7af53312, "netif_device_detach" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xeeb2bed0, "devl_traps_register" },
	{ 0x6029628f, "__dma_sync_single_for_device" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x297093d2, "dst_release" },
	{ 0xed153b93, "skb_push" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x1080ce71, "device_del" },
	{ 0x59860803, "radix_tree_insert" },
	{ 0xa924297d, "devlink_fmsg_pair_nest_end" },
	{ 0x5ab0c64a, "xsk_tx_release" },
	{ 0x19d1e275, "vlan_dev_vlan_proto" },
	{ 0xcee336e0, "rht_bucket_nested_insert" },
	{ 0xdf4574bf, "trace_event_printf" },
	{ 0xbd6ee8cc, "alloc_pages_noprof" },
	{ 0x6c91ea32, "__inet6_lookup_established" },
	{ 0xfa181c2e, "down_write_trylock" },
	{ 0xb5c83040, "xp_raw_get_dma" },
	{ 0xba0efd1f, "down_write" },
	{ 0x91db5656, "pci_restore_state" },
	{ 0x1042e2fb, "dcb_ieee_delapp" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x1d706a28, "xsk_set_rx_need_wakeup" },
	{ 0x2d4ca2f4, "blocking_notifier_chain_unregister" },
	{ 0xa2429ab9, "ida_alloc_range" },
	{ 0x81fbc2e4, "eth_get_headlen" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x24baed7, "rhashtable_walk_next" },
	{ 0x4eb2e8fa, "page_pool_destroy" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xb6aa6194, "debugfs_create_u32" },
	{ 0x6d343d90, "__netif_napi_del_locked" },
	{ 0xcced20de, "pci_enable_sriov" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xb19b445, "ioread8" },
	{ 0xf7f59009, "devlink_net" },
	{ 0x72153cc5, "netif_carrier_on" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xdc2f1a09, "simple_attr_open" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xbd12925f, "pci_enable_device" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x9366bce8, "pci_msix_free_irq" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x921593c, "pci_cfg_access_lock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xdad24e0a, "ipv6_find_hdr" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xe5d43b7b, "devl_resources_unregister" },
	{ 0x92997ed8, "_printk" },
	{ 0x553f85cc, "flow_rule_match_ipv4_addrs" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0xb51d11a4, "dma_unmap_page_attrs" },
	{ 0x8a9b70b, "netdev_info" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x1dde4200, "simple_attr_release" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xc4d702d9, "mlxfw_firmware_flash" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0x110eb036, "devlink_health_reporter_create" },
	{ 0xdf48917, "xsk_tx_peek_desc" },
	{ 0xc7c178d0, "pci_reset_bus" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x9ebb2bfc, "rt_read_unlock" },
	{ 0xbb2f96b5, "pci_enable_ptm" },
	{ 0x852c5aa5, "unregister_netdev" },
	{ 0xaf36c569, "dma_set_coherent_mask" },
	{ 0x76b3852f, "debugfs_attr_write" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x18b6678f, "pci_write_config_dword" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x5a0f8bd0, "simple_open" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x37e0b4c8, "devl_port_register_with_ops" },
	{ 0xe093dcab, "__xdp_rxq_info_reg" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x8337a399, "__kmem_cache_create_args" },
	{ 0x52d95fc, "flow_block_cb_alloc" },
	{ 0x788b948, "vlan_dev_vlan_id" },
	{ 0x7dd6c90e, "ida_destroy" },
	{ 0x18689cd6, "alloc_etherdev_mqs" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xe481ec01, "xp_free" },
	{ 0xacbaa5be, "xdp_rxq_info_unreg" },
	{ 0x2380fd37, "pcie_relaxed_ordering_enabled" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x6de67898, "debugfs_remove" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x18b00c43, "pci_request_regions" },
	{ 0xcea71645, "devl_param_driverinit_value_set" },
	{ 0x1888415a, "request_firmware_direct" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xc05bb6a, "rhashtable_walk_stop" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6cb3aac, "__free_pages" },
	{ 0x209cb8eb, "free_netdev" },
	{ 0xb98fa7ed, "__xa_insert" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe4b241e3, "flow_indr_dev_register" },
	{ 0xcd6c9b80, "flow_rule_match_ports" },
	{ 0xc781605c, "pci_msix_can_alloc_dyn" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0x664821c4, "napi_disable" },
	{ 0xa54981bd, "devl_lock" },
	{ 0x959652df, "flow_indr_block_cb_alloc" },
	{ 0x75a1618c, "__auxiliary_device_add" },
	{ 0xd4e60752, "skb_coalesce_rx_frag" },
	{ 0x60337536, "rhashtable_free_and_destroy" },
	{ 0x3e1abdfa, "pci_enable_atomic_ops_to_root" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xb9155578, "udp_tunnel_nic_ops" },
	{ 0x5ee7818a, "xp_set_rxq_info" },
	{ 0xc6d9f098, "dma_pool_create" },
	{ 0x63badb5a, "__inet_lookup_established" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x9bb4e317, "ioread32be" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0xe859e1a6, "pcie_capability_read_word" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x69acdf38, "memcpy" },
	{ 0xeb1874ea, "flow_rule_match_enc_ip" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xedd7eb58, "rt_read_lock" },
	{ 0x8641ae02, "flow_rule_match_enc_ports" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xd4b5fc50, "__skb_flow_dissect" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x81194016, "napi_alloc_skb" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x8e50f0bc, "devlink_fmsg_arr_pair_nest_end" },
	{ 0xbd0f9e0a, "__xa_erase" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x754d539c, "strlen" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x40854fdd, "netdev_update_features" },
	{ 0xb70ca8ae, "napi_enable" },
	{ 0x597e8db3, "unregister_netdevice_notifier_dev_net" },
	{ 0x1e7da134, "skb_add_rx_frag_netmem" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xbfdc8fa8, "netdev_lower_get_next" },
	{ 0xdd46b7e0, "atomic_notifier_chain_register" },
	{ 0x433df513, "dev_printk_emit" },
	{ 0x6a3bdb82, "flow_block_cb_free" },
	{ 0x6d64c27f, "sk_skb_reason_drop" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x10119bb, "ida_free" },
	{ 0x67bb1756, "devlink_remote_reload_actions_performed" },
	{ 0xe885bad5, "pci_irq_vector" },
	{ 0x941cf48c, "pci_num_vf" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xc291f44, "dcb_ieee_setapp" },
	{ 0xe0e8442, "devl_health_reporter_create" },
	{ 0x8d8b2fb3, "single_release" },
	{ 0x1b9e240a, "napi_gro_receive" },
	{ 0x250337ee, "boot_cpu_data" },
	{ 0x97edf3c3, "bpf_prog_put" },
	{ 0xedc03953, "iounmap" },
	{ 0x8ec9aec2, "devlink_fmsg_u8_pair_put" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x502db1b1, "eth_type_trans" },
	{ 0x6fb3f17b, "secpath_set" },
	{ 0x7f2ea809, "qdisc_reset" },
	{ 0x670db660, "__napi_schedule" },
	{ 0xe534dea0, "xa_store" },
	{ 0xc9f4ff04, "xp_alloc_batch" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x30d690e3, "tls_validate_xmit_skb" },
	{ 0x5922b99, "skb_vlan_pop" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x6ff2cacf, "pci_disable_sriov" },
	{ 0xb4863b72, "devlink_fmsg_u64_pair_put" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0x918431c7, "xa_erase" },
	{ 0x3f586748, "register_netdevice_notifier_dev_net" },
	{ 0xc131aac7, "neigh_destroy" },
	{ 0x89b2a9b8, "xdp_master_redirect" },
	{ 0x1c785e13, "skb_pull" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xf381ac51, "netdev_set_tc_queue" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x97d9aa2, "dev_add_pack" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0xd17ce140, "xp_dma_unmap" },
	{ 0x68fbc5de, "page_pool_create" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0x39701f06, "devl_trap_groups_unregister" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0xdd517a71, "devlink_port_register_with_ops" },
	{ 0x6d1eb832, "ptp_clock_unregister" },
	{ 0xf05f16c2, "page_pool_update_nid" },
	{ 0xfd085bd3, "netif_queue_set_napi" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x1985ee9e, "__dev_get_by_index" },
	{ 0x77b56629, "xdp_set_features_flag" },
	{ 0xe555874a, "auxiliary_device_sysfs_irq_remove" },
	{ 0x728e1578, "devl_traps_unregister" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x8ee8543e, "net_dim" },
	{ 0x47c20f8a, "refcount_dec_not_one" },
	{ 0xba0601fb, "flow_rule_match_enc_ipv4_addrs" },
	{ 0x71acc8e4, "pci_cfg_access_unlock" },
	{ 0xe0e8d49c, "__SCK__tp_func_xdp_exception" },
	{ 0x73ce1dbd, "debugfs_create_atomic_t" },
	{ 0xe3ff2c41, "get_random_u64" },
	{ 0xdfcc992c, "current_work" },
	{ 0x6e1341a1, "pci_read_config_word" },
	{ 0xf8c3f39f, "devlink_fmsg_obj_nest_end" },
	{ 0x2c3fe335, "__dev_queue_xmit" },
	{ 0x21fdb80f, "netdev_master_upper_dev_get" },
	{ 0xecc0753c, "xa_get_mark" },
	{ 0x61bdf094, "ndo_dflt_bridge_getlink" },
	{ 0x7651a0b5, "netif_napi_add_weight_locked" },
	{ 0xac3d9895, "bpf_trace_run7" },
	{ 0xdf9ceed4, "kmem_cache_free" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x83358fe5, "pci_set_master" },
	{ 0x4e69b266, "__netdev_alloc_skb" },
	{ 0x35d7bdc5, "pci_find_capability" },
	{ 0x1a223d87, "debugfs_create_x32" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xad5af578, "flow_rule_match_mpls" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x6a76e187, "devlink_fmsg_binary_pair_put" },
	{ 0xca9360b5, "rb_next" },
	{ 0x461dfab1, "devlink_fmsg_pair_nest_start" },
	{ 0x1799ebc9, "down_read_trylock" },
	{ 0xa17469c3, "xsk_tx_completed" },
	{ 0x96848186, "scnprintf" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x56f694a, "xsk_clear_tx_need_wakeup" },
	{ 0xdc9fcddf, "net_dim_get_tx_moderation" },
	{ 0xfb5af384, "pci_disable_device" },
	{ 0x8019049f, "kmem_cache_destroy" },
	{ 0xc8e8a43d, "flow_rule_match_basic" },
	{ 0x7ff53d0f, "bpf_trace_run5" },
	{ 0x828cf039, "xdp_rxq_info_is_reg" },
	{ 0x24d273d1, "add_timer" },
	{ 0x7d5cb0ab, "debugfs_create_size_t" },
	{ 0x181f0077, "radix_tree_delete" },
	{ 0x36f2f436, "__tracepoint_xdp_exception" },
	{ 0xd6b46cfe, "metadata_dst_free" },
	{ 0x9e534e6a, "priv_to_devlink" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xe6c8800b, "seq_release" },
	{ 0xd0d9d74c, "bpf_trace_run2" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x57a45346, "bpf_trace_run1" },
	{ 0xe4ff2b1, "pci_disable_ptm" },
	{ 0x6c2694de, "dev_get_port_parent_id" },
	{ 0x2f54da18, "pci_iov_get_pf_drvdata" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0xc381aa1a, "devlink_port_unregister" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x1685522b, "debugfs_create_u8" },
	{ 0xcb67b626, "bpf_trace_run3" },
	{ 0x692425ba, "page_pool_put_unrefed_netmem" },
	{ 0x705e1200, "napi_build_skb" },
	{ 0x373b0d5, "dql_reset" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x1d337321, "bpf_trace_run4" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xe1f11f7, "xa_set_mark" },
	{ 0x8de4560, "ptp_clock_event" },
	{ 0xd20f3ddd, "debugfs_create_dir" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x137a25f3, "skb_ext_add" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xbad202cd, "bpf_warn_invalid_xdp_action" },
	{ 0xfa10416, "kmem_cache_alloc_noprof" },
	{ 0xe45f97ac, "netdev_warn" },
	{ 0xa11a97c1, "trace_raw_output_prep" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0xaf2aa4f7, "get_device_system_crosststamp" },
	{ 0xe80f8d0d, "__kmalloc_node_noprof" },
	{ 0x28d7a5ab, "xas_find" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xd6eda4ec, "devl_assert_locked" },
	{ 0x2b64348b, "__pskb_pull_tail" },
	{ 0xfb578fc5, "memset" },
	{ 0xece784c2, "rb_first" },
	{ 0x7ec56c70, "perf_trace_run_bpf_submit" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0x495b28e9, "single_open" },
	{ 0x82d8cf09, "netif_carrier_event" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9589faf7, "devl_rate_nodes_destroy" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x238d0016, "xp_raw_get_data" },
	{ 0xe46a8a82, "flow_rule_match_icmp" },
	{ 0xf21d30b1, "napi_schedule_prep" },
	{ 0x2ea78402, "flow_rule_match_ct" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x2fceb1, "ip_route_output_flow" },
	{ 0x8ea4dc47, "rhltable_init_noprof" },
	{ 0xb95c2fb2, "devl_trap_groups_register" },
	{ 0x331f9f26, "xfrm_replay_seqhi" },
	{ 0x16a57400, "dev_kfree_skb_any_reason" },
	{ 0x127572c3, "pci_read_config_dword" },
	{ 0xb75532ed, "netdev_set_num_tc" },
	{ 0x47e9758f, "psample_sample_packet" },
	{ 0xad18c4c3, "pci_msix_alloc_irq_at" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xb0b5a9ad, "xdp_rxq_info_unused" },
	{ 0xfea41449, "xa_find" },
	{ 0x658574f4, "trace_event_reg" },
	{ 0x5a921311, "strncmp" },
	{ 0x44c339bf, "dev_driver_string" },
	{ 0x635b6c2d, "hwmon_device_unregister" },
	{ 0x8ae718dd, "debugfs_create_file_full" },
	{ 0xfe13a601, "trace_seq_printf" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0x3168dbe4, "blocking_notifier_call_chain" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x6638f664, "net_dim_get_def_rx_moderation" },
	{ 0x3ec5c8c3, "register_fib_notifier" },
	{ 0xccd2ba96, "devlink_port_attrs_pci_sf_set" },
	{ 0xbd6995e5, "atomic_notifier_chain_unregister" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xb570b5d7, "up_read" },
	{ 0x789fd343, "hwmon_device_register_with_info" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb07d43ee, "__trace_trigger_soft_disabled" },
	{ 0x29a76653, "rps_may_expire_flow" },
	{ 0x209b8854, "up_write" },
	{ 0x3ec4ea5, "skb_put" },
	{ 0x4424eef3, "netdev_err" },
	{ 0xcba6ffd9, "devl_resource_register" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0x55086795, "xdp_return_frame_bulk" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0xa916b694, "strnlen" },
	{ 0x35a7a448, "netif_set_tso_max_size" },
	{ 0x7fd53ce0, "__auxiliary_driver_register" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0xd2a47382, "flow_block_cb_setup_simple" },
	{ 0x6c2c44a0, "pci_alloc_irq_vectors" },
	{ 0x60c69018, "net_dim_get_rx_moderation" },
	{ 0x850bb6db, "devlink_health_reporter_destroy" },
	{ 0xa71d2e2c, "ioread16be" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x680994f8, "flow_rule_match_control" },
	{ 0xafaa6031, "_find_next_and_bit" },
	{ 0x312a716, "__neigh_event_send" },
	{ 0xf15c567b, "unregister_netdevice_notifier_net" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0xa0cf4391, "rhashtable_insert_slow" },
	{ 0xa26aefc1, "xsk_set_tx_need_wakeup" },
	{ 0x5cf6961e, "irq_get_irq_data" },
	{ 0xf01d993d, "xa_destroy" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xb9ce158e, "flow_block_cb_lookup" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xef0eefbe, "devl_params_register" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x771ef2bc, "xdp_convert_zc_to_xdp_frame" },
	{ 0xf1fc404a, "seq_open" },
	{ 0xb4773f97, "pci_sriov_get_totalvfs" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x49dbb0b9, "devlink_fmsg_binary_pair_nest_end" },
	{ 0x4a059e35, "devlink_free" },
	{ 0x88b73d00, "devlink_port_attrs_pci_vf_set" },
	{ 0x18595920, "dma_alloc_attrs" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa64701d9, "xfrm_state_check_expire" },
	{ 0x37842cd8, "flow_rule_match_enc_opts" },
	{ 0x6626afca, "down" },
	{ 0x9001d2a5, "metadata_dst_alloc" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xd6336f23, "pci_free_irq_vectors" },
	{ 0xee8cabfe, "radix_tree_lookup" },
	{ 0x12888b3d, "devlink_register" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xe5f73406, "hyperv_write_cfg_blk" },
	{ 0x194470a2, "rhashtable_walk_start_check" },
	{ 0x56a719f2, "seq_putc" },
	{ 0xa6257a2f, "complete" },
	{ 0x7ad7a5cd, "seq_printf" },
	{ 0xde25a102, "pcie_capability_clear_and_set_word_locked" },
	{ 0xcd279169, "nla_find" },
	{ 0x740b6f4f, "xp_alloc" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x73b764db, "pci_iov_vf_id" },
	{ 0x7f472c24, "rhashtable_walk_enter" },
	{ 0x2ba8bbc8, "rhashtable_walk_exit" },
	{ 0x37a0cba, "kfree" },
	{ 0xbd7c27e2, "devl_params_unregister" },
	{ 0x5566284a, "trace_seq_putc" },
	{ 0xe77ea0e9, "devlink_port_attrs_set" },
	{ 0x549dee85, "trace_event_raw_init" },
	{ 0x1f89ae02, "flow_rule_match_meta" },
	{ 0x9d3d08f0, "put_device" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x349cba85, "strchr" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0x347afee1, "sock_gen_put" },
	{ 0x92204beb, "bpf_prog_add" },
	{ 0x6dee496d, "flow_rule_match_vlan" },
	{ 0xb8071f4d, "neigh_lookup" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x73c2554f, "__iowrite64_copy" },
	{ 0x4f636fd9, "flow_indr_dev_unregister" },
	{ 0x84a0ca4d, "bitmap_zalloc_node" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x148eb45, "netif_set_real_num_tx_queues" },
	{ 0x1eb1abab, "init_net" },
	{ 0x3d61d74a, "skb_checksum" },
	{ 0xfd80cd6b, "ethtool_op_get_link" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x79c5234c, "bpf_prog_inc" },
	{ 0xac799c4b, "atomic_notifier_call_chain" },
	{ 0xa95e39f8, "dev_get_iflink" },
	{ 0x77188b5d, "trace_event_buffer_commit" },
	{ 0x36d1cc54, "__kmalloc_cache_node_noprof" },
	{ 0x4e0da969, "flow_rule_match_enc_keyid" },
	{ 0x4b27d977, "devlink_fmsg_arr_pair_nest_start" },
	{ 0x69d319d6, "register_netdevice_notifier_net" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xeb6fe03e, "flow_rule_match_enc_control" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x148330d6, "__alloc_pages_noprof" },
	{ 0x618911fc, "numa_node" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0x1281003, "devlink_fmsg_binary_put" },
	{ 0x24e113b, "pcie_bandwidth_available" },
	{ 0x890597b9, "ptp_find_pin" },
	{ 0x28895d1b, "xdp_do_redirect" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x24452933, "__ethtool_get_link_ksettings" },
	{ 0xe215f75b, "netif_device_attach" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xfda82e3b, "pci_msix_vec_count" },
	{ 0xa7524338, "dma_set_mask" },
	{ 0x8be8cd38, "netif_tx_wake_queue" },
	{ 0x7f168ab8, "page_pool_get_stats" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xbe179e15, "page_pool_put_netmem_bulk" },
	{ 0x9fb64856, "down_read" },
	{ 0xea639833, "call_switchdev_notifiers" },
	{ 0xe419bc99, "iowrite32be" },
	{ 0x4fb321aa, "pcie_print_link_status" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xda78eeca, "devl_port_health_reporter_create" },
	{ 0xd74e302e, "devl_nested_devlink_set" },
	{ 0x5adf76d8, "skb_copy_bits" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0x3ec5a6c3, "tls_get_record" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x5ca761db, "devl_unregister" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x595b5d, "netdev_master_upper_dev_get_rcu" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0x27a7a36e, "trace_event_buffer_reserve" },
	{ 0xcaacf282, "devl_port_unregister" },
	{ 0x2e4f415b, "seq_lseek" },
	{ 0x1daa83b9, "debugfs_create_u64" },
	{ 0x66da095c, "___pskb_trim" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x8bc1085a, "netif_schedule_queue" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xdc8c2aec, "free_fib_info" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x47233597, "netdev_port_same_parent_id" },
	{ 0x8d1224dc, "rhashtable_init_noprof" },
	{ 0xad0a2118, "flow_rule_match_eth_addrs" },
	{ 0x845e5fc8, "dev_remove_pack" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xdd70c690, "__xa_set_mark" },
	{ 0xa0726406, "xp_can_alloc" },
	{ 0x4d23f922, "xp_dma_map" },
	{ 0x75a54147, "__xa_alloc" },
	{ 0xb6e3c8cb, "pci_unregister_driver" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xa19db0fa, "xdp_return_frame" },
	{ 0xae84b7c4, "dev_get_by_index_rcu" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xa3d62d59, "skb_store_bits" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xe5eb5fd0, "param_ops_uint" },
	{ 0x5935dd9b, "devl_param_driverinit_value_get" },
	{ 0x86a0505e, "flow_rule_match_tcp" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xf1cedf1a, "skb_tstamp_tx" },
	{ 0xeb503c75, "unregister_fib_notifier" },
	{ 0x80989989, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x367306fd, "__dma_sync_single_for_cpu" },
	{ 0x75e20d86, "ip6_dst_hoplimit" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xc791b6d1, "devlink_port_health_reporter_create" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x9269016d, "devlink_unregister" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xf2eabe4f, "netif_carrier_off" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x28ba6fe1, "dma_map_page_attrs" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4a38d9f7, "seq_read" },
	{ 0xb697fff3, "pci_save_state" },
	{ 0xa0994320, "devlink_fmsg_obj_nest_start" },
	{ 0xde80cd09, "ioremap" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0xb9b31de8, "xa_load" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xf1a9fb15, "flow_rule_match_cvlan" },
	{ 0x9b2eab6e, "netif_set_xps_queue" },
	{ 0xd2b987db, "devl_unlock" },
	{ 0x5317f3bb, "auxiliary_device_sysfs_irq_add" },
	{ 0xd1ffe315, "__pci_register_driver" },
	{ 0xf4334299, "dma_free_attrs" },
	{ 0x929e4028, "devlink_fmsg_u32_put" },
	{ 0xa6832797, "devlink_fmsg_binary_pair_nest_start" },
	{ 0x71b12b37, "_dev_info" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x95b46469, "napi_complete_done" },
	{ 0x62c58e86, "__neigh_create" },
	{ 0x92e683f5, "down_timeout" },
	{ 0xfdb33960, "devlink_alloc_ns" },
	{ 0x401878fa, "devlink_priv" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "pci-hyperv-intf,mlxfw,tls,psample");

MODULE_ALIAS("pci:v000015B3d00001011sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001012sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001013sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001014sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001015sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001016sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001017sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001018sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001019sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001023sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001025sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DFsv*sd*bc*sc*i*");
MODULE_ALIAS("auxiliary:mlx5_core.eth-rep");
MODULE_ALIAS("auxiliary:mlx5_core.sf");
MODULE_ALIAS("auxiliary:mlx5_core.eth");

MODULE_INFO(srcversion, "57205CBB675C1E1A23072C3");

MODULE_INFO(suserelease, "SLFO-1.2");
