#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ks8851_suspend, "_gpl", "");
KSYMTAB_FUNC(ks8851_resume, "_gpl", "");
KSYMTAB_FUNC(ks8851_probe_common, "_gpl", "");
KSYMTAB_FUNC(ks8851_remove_common, "_gpl", "");

SYMBOL_CRC(ks8851_suspend, 0x4b7d5eb8, "_gpl");
SYMBOL_CRC(ks8851_resume, 0xedaf7fe5, "_gpl");
SYMBOL_CRC(ks8851_probe_common, 0x6cb89667, "_gpl");
SYMBOL_CRC(ks8851_remove_common, 0xecc83b1a, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x5dfcb6d3, "netif_rx" },
	{ 0xb660fcc8, "mii_check_link" },
	{ 0x4e69b266, "__netdev_alloc_skb" },
	{ 0x3ec4ea5, "skb_put" },
	{ 0x502db1b1, "eth_type_trans" },
	{ 0x8be8cd38, "netif_tx_wake_queue" },
	{ 0x4424eef3, "netdev_err" },
	{ 0xc435d824, "devm_gpiod_get_optional" },
	{ 0xf8ae14e3, "gpiod_set_consumer_name" },
	{ 0xbf30954d, "devm_regulator_get" },
	{ 0xd2b77aba, "regulator_enable" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd72a607b, "gpiod_set_value_cansleep" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0x71b12b37, "_dev_info" },
	{ 0x5014b242, "mdiobus_alloc_size" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3ea637d0, "__mdiobus_register" },
	{ 0xf2eabe4f, "netif_carrier_off" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc10e4626, "register_netdev" },
	{ 0x997855fd, "mdiobus_free" },
	{ 0x39a005f4, "regulator_disable" },
	{ 0xc8240d31, "_dev_err" },
	{ 0xf1658560, "mdiobus_unregister" },
	{ 0xe45f97ac, "netdev_warn" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x852c5aa5, "unregister_netdev" },
	{ 0x4b0b05dc, "eeprom_93cx6_multiread" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe215f75b, "netif_device_attach" },
	{ 0x3b2e7a22, "eth_validate_addr" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x23709dd3, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x512c59c3, "skb_dequeue" },
	{ 0x74885bdc, "consume_skb" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x8a9b70b, "netdev_info" },
	{ 0x7af53312, "netif_device_detach" },
	{ 0xc1cc39c8, "generic_mii_ioctl" },
	{ 0x712fdcf3, "dev_addr_mod" },
	{ 0x27ec012b, "mii_ethtool_set_link_ksettings" },
	{ 0xd55d6266, "mii_ethtool_get_link_ksettings" },
	{ 0x32952d32, "eeprom_93cx6_wren" },
	{ 0xa51e8d0d, "eeprom_93cx6_read" },
	{ 0xd848391b, "eeprom_93cx6_write" },
	{ 0x53890d51, "mii_link_ok" },
	{ 0x61137a7f, "mii_nway_restart" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "mii,libphy,eeprom_93cx6");


MODULE_INFO(srcversion, "A4AB64D5ADB8E139380B616");

MODULE_INFO(suserelease, "SLFO-1.2");
