#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mana_gd_send_request, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_wq_ring_doorbell, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_ring_cq, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_destroy_dma_region, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_create_mana_eq, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_create_mana_wq_cq, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_destroy_queue, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_register_device, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_deregister_device, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_post_work_request, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_poll_cq, "", "NET_MANA");
KSYMTAB_FUNC(mana_uncfg_vport, "", "NET_MANA");
KSYMTAB_FUNC(mana_cfg_vport, "", "NET_MANA");
KSYMTAB_FUNC(mana_create_wq_obj, "", "NET_MANA");
KSYMTAB_FUNC(mana_destroy_wq_obj, "", "NET_MANA");
KSYMTAB_FUNC(mana_get_primary_netdev, "", "NET_MANA");

SYMBOL_CRC(mana_gd_send_request, 0x0d044fba, "");
SYMBOL_CRC(mana_gd_wq_ring_doorbell, 0x3e6db870, "");
SYMBOL_CRC(mana_gd_ring_cq, 0x47e93709, "");
SYMBOL_CRC(mana_gd_destroy_dma_region, 0xc0ad1529, "");
SYMBOL_CRC(mana_gd_create_mana_eq, 0xe9ba3d9a, "");
SYMBOL_CRC(mana_gd_create_mana_wq_cq, 0xccfb6db6, "");
SYMBOL_CRC(mana_gd_destroy_queue, 0xbc630898, "");
SYMBOL_CRC(mana_gd_register_device, 0x67826195, "");
SYMBOL_CRC(mana_gd_deregister_device, 0x4d19f4c0, "");
SYMBOL_CRC(mana_gd_post_work_request, 0x65d8cfc6, "");
SYMBOL_CRC(mana_gd_poll_cq, 0x906d3bce, "");
SYMBOL_CRC(mana_uncfg_vport, 0xd2eb3755, "");
SYMBOL_CRC(mana_cfg_vport, 0x92e029c8, "");
SYMBOL_CRC(mana_create_wq_obj, 0xf58b885c, "");
SYMBOL_CRC(mana_destroy_wq_obj, 0xf7b776f2, "");
SYMBOL_CRC(mana_get_primary_netdev, 0x2237f19b, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0x1e3817a3, "sched_numa_hop_mask" },
	{ 0xb6e3c8cb, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x4424eef3, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd1d47d16, "pskb_expand_head" },
	{ 0x44c339bf, "dev_driver_string" },
	{ 0x712fdcf3, "dev_addr_mod" },
	{ 0xe7f4315d, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x502db1b1, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x28ba6fe1, "dma_map_page_attrs" },
	{ 0x95b46469, "napi_complete_done" },
	{ 0x148330d6, "__alloc_pages_noprof" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xc540492e, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9d3d08f0, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x7af53312, "netif_device_detach" },
	{ 0x618911fc, "numa_node" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0x71b12b37, "_dev_info" },
	{ 0x1b9e240a, "napi_gro_receive" },
	{ 0xe215f75b, "netif_device_attach" },
	{ 0xe648e7c0, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xe37c1f69, "__skb_get_hash_net" },
	{ 0xa04f945a, "cpus_read_lock" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x5a0f8bd0, "simple_open" },
	{ 0x4512f9ab, "xdp_build_skb_from_frame" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x148eb45, "netif_set_real_num_tx_queues" },
	{ 0x75a1618c, "__auxiliary_device_add" },
	{ 0x436444b, "netif_set_real_num_rx_queues" },
	{ 0x6626afca, "down" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x597f20e3, "netdev_printk" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x18595920, "dma_alloc_attrs" },
	{ 0x6de67898, "debugfs_remove" },
	{ 0x19a9c1fd, "pcie_flr" },
	{ 0xb70ca8ae, "napi_enable" },
	{ 0xc10e4626, "register_netdev" },
	{ 0x10119bb, "ida_free" },
	{ 0x209cb8eb, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x692425ba, "page_pool_put_unrefed_netmem" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x481dda0e, "__put_devmap_managed_folio_refs" },
	{ 0xfd80cd6b, "ethtool_op_get_link" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xe0e8d49c, "__SCK__tp_func_xdp_exception" },
	{ 0x6935585e, "pci_iounmap" },
	{ 0x8be8cd38, "netif_tx_wake_queue" },
	{ 0x1080ce71, "device_del" },
	{ 0x68fbc5de, "page_pool_create" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xfb578fc5, "memset" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x83358fe5, "pci_set_master" },
	{ 0x9c5464bb, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb6aa6194, "debugfs_create_u32" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x6d343d90, "__netif_napi_del_locked" },
	{ 0xe79042ae, "__bitmap_weight_andnot" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x23709dd3, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xaf36c569, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xf4334299, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x34344af2, "pci_release_regions" },
	{ 0x92204beb, "bpf_prog_add" },
	{ 0xacbaa5be, "xdp_rxq_info_unreg" },
	{ 0xa531a2de, "page_pool_alloc_pages" },
	{ 0x705e1200, "napi_build_skb" },
	{ 0x595b5d, "netdev_master_upper_dev_get_rcu" },
	{ 0x64a5c687, "__folio_put" },
	{ 0xe093dcab, "__xdp_rxq_info_reg" },
	{ 0x77b56629, "xdp_set_features_flag" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf2eabe4f, "netif_carrier_off" },
	{ 0x72153cc5, "netif_carrier_on" },
	{ 0x8ae718dd, "debugfs_create_file_full" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xfb5af384, "pci_disable_device" },
	{ 0xa7524338, "dma_set_mask" },
	{ 0x35a7a448, "netif_set_tso_max_size" },
	{ 0x89b2a9b8, "xdp_master_redirect" },
	{ 0x38480c93, "__napi_schedule_irqoff" },
	{ 0xf21d30b1, "napi_schedule_prep" },
	{ 0x75b7eaf4, "napi_consume_skb" },
	{ 0x664821c4, "napi_disable" },
	{ 0x16a57400, "dev_kfree_skb_any_reason" },
	{ 0xcf3b69b3, "netdev_stats_to_stats64" },
	{ 0xd20f3ddd, "debugfs_create_dir" },
	{ 0xd371b0df, "vcalloc_noprof" },
	{ 0xd6336f23, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x8a9b70b, "netdev_info" },
	{ 0x3b83610f, "cpu_sibling_map" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x36f2f436, "__tracepoint_xdp_exception" },
	{ 0x18689cd6, "alloc_etherdev_mqs" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xa2429ab9, "ida_alloc_range" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x97edf3c3, "bpf_prog_put" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xbd12925f, "pci_enable_device" },
	{ 0x3ec4ea5, "skb_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x3bc953ae, "auxiliary_device_init" },
	{ 0x6b9a2b93, "pci_iomap" },
	{ 0xb0e602eb, "memmove" },
	{ 0x6c2c44a0, "pci_alloc_irq_vectors" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xbad202cd, "bpf_warn_invalid_xdp_action" },
	{ 0x512c59c3, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xfa0a8321, "debugfs_create_u16" },
	{ 0xb51d11a4, "dma_unmap_page_attrs" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xd1ffe315, "__pci_register_driver" },
	{ 0xcf2a6966, "up" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x18b00c43, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x4eb2e8fa, "page_pool_destroy" },
	{ 0x28895d1b, "xdp_do_redirect" },
	{ 0x3b2e7a22, "eth_validate_addr" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x7651a0b5, "netif_napi_add_weight_locked" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe45f97ac, "netdev_warn" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe885bad5, "pci_irq_vector" },
	{ 0x8a87270e, "unregister_netdevice_queue" },
	{ 0x18fb2caf, "cpus_read_unlock" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001414d000000B9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001414d000000BAsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "91205DCA7F053584AA6D4B0");

MODULE_INFO(suserelease, "SLFO-1.2");
