#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(stmmac_bus_clks_config, "_gpl", "");
KSYMTAB_FUNC(stmmac_init_tstamp_counter, "_gpl", "");
KSYMTAB_FUNC(stmmac_dvr_probe, "_gpl", "");
KSYMTAB_FUNC(stmmac_dvr_remove, "_gpl", "");
KSYMTAB_FUNC(stmmac_suspend, "_gpl", "");
KSYMTAB_FUNC(stmmac_resume, "_gpl", "");
KSYMTAB_FUNC(stmmac_set_mac_addr, "_gpl", "");
KSYMTAB_FUNC(stmmac_get_mac_addr, "_gpl", "");
KSYMTAB_DATA(dwmac1000_dma_ops, "_gpl", "");

SYMBOL_CRC(stmmac_bus_clks_config, 0xc0a8fe9d, "_gpl");
SYMBOL_CRC(stmmac_init_tstamp_counter, 0x1a22cf97, "_gpl");
SYMBOL_CRC(stmmac_dvr_probe, 0xbd156377, "_gpl");
SYMBOL_CRC(stmmac_dvr_remove, 0x7499a75c, "_gpl");
SYMBOL_CRC(stmmac_suspend, 0x04312611, "_gpl");
SYMBOL_CRC(stmmac_resume, 0x047ef841, "_gpl");
SYMBOL_CRC(stmmac_set_mac_addr, 0x545572d4, "_gpl");
SYMBOL_CRC(stmmac_get_mac_addr, 0x92d778bb, "_gpl");
SYMBOL_CRC(dwmac1000_dma_ops, 0xa5b38d55, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf6491531, "__wake_up" },
	{ 0x553f85cc, "flow_rule_match_ipv4_addrs" },
	{ 0x2b19dc6f, "xdp_rxq_info_unreg_mem_model" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x4424eef3, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd1d47d16, "pskb_expand_head" },
	{ 0x8fd1cd90, "phylink_limit_mac_speed" },
	{ 0x8027bbfc, "phylink_create" },
	{ 0x4278d56a, "phylink_expects_phy" },
	{ 0x44c339bf, "dev_driver_string" },
	{ 0xa9cac0a3, "pinctrl_pm_select_default_state" },
	{ 0x712fdcf3, "dev_addr_mod" },
	{ 0xe7f4315d, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x502db1b1, "eth_type_trans" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x478dcfc2, "__pm_runtime_set_status" },
	{ 0x28ba6fe1, "dma_map_page_attrs" },
	{ 0x95b46469, "napi_complete_done" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xe675ed4a, "__devm_alloc_percpu" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x501d8b44, "pm_wakeup_dev_event" },
	{ 0xc540492e, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x670db660, "__napi_schedule" },
	{ 0x6d93b33b, "pm_runtime_enable" },
	{ 0x1d706a28, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x6fa426d2, "phylink_ethtool_nway_reset" },
	{ 0x7af53312, "netif_device_detach" },
	{ 0xfa7c62ca, "xpcs_config_eee" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x16ca1a8a, "phylink_suspend" },
	{ 0xf250e2d4, "rt_write_unlock" },
	{ 0x71b12b37, "_dev_info" },
	{ 0x45fd45f8, "xpcs_create_mdiodev" },
	{ 0x1b9e240a, "napi_gro_receive" },
	{ 0xe215f75b, "netif_device_attach" },
	{ 0x6e7b8187, "xdp_features_clear_redirect_target" },
	{ 0x73c1803d, "phylink_ethtool_get_eee" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0xbc9d5ddb, "netdev_pick_tx" },
	{ 0xd0ef4507, "phy_init_eee" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xb5c83040, "xp_raw_get_dma" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x828cf039, "xdp_rxq_info_is_reg" },
	{ 0xb4feca4b, "devm_alloc_etherdev_mqs" },
	{ 0xd2a47382, "flow_block_cb_setup_simple" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xc8e8a43d, "flow_rule_match_basic" },
	{ 0x5d0c4dcc, "phylink_speed_up" },
	{ 0x55f5a823, "dev_open" },
	{ 0x367306fd, "__dma_sync_single_for_cpu" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xc8240d31, "_dev_err" },
	{ 0xc77a8f3b, "xpcs_destroy" },
	{ 0x8b024789, "pinctrl_pm_select_sleep_state" },
	{ 0x1c785e13, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xa19db0fa, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xf4fc82d8, "ptp_clock_register" },
	{ 0xdf48917, "xsk_tx_peek_desc" },
	{ 0x148eb45, "netif_set_real_num_tx_queues" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x436444b, "netif_set_real_num_rx_queues" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0xb5abb145, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xf8fe5642, "phylink_ethtool_get_pauseparam" },
	{ 0xed153b93, "skb_push" },
	{ 0x18595920, "dma_alloc_attrs" },
	{ 0x6de67898, "debugfs_remove" },
	{ 0xb70ca8ae, "napi_enable" },
	{ 0xba75eca3, "xsk_clear_rx_need_wakeup" },
	{ 0x46970f40, "xpcs_get_interfaces" },
	{ 0xfd0df538, "xsk_uses_need_wakeup" },
	{ 0xc10e4626, "register_netdev" },
	{ 0xa5743fd, "xsk_get_pool_from_qid" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x692425ba, "page_pool_put_unrefed_netmem" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x997855fd, "mdiobus_free" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0xc0a8f4be, "phylink_resume" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfd80cd6b, "ethtool_op_get_link" },
	{ 0x15c4e3e2, "phylink_ethtool_set_pauseparam" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xe0e8d49c, "__SCK__tp_func_xdp_exception" },
	{ 0xb6bcee9d, "phylink_ethtool_set_eee" },
	{ 0x8213956, "phylink_ethtool_get_wol" },
	{ 0x8be8cd38, "netif_tx_wake_queue" },
	{ 0x2ca7ac8b, "fwnode_get_phy_node" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x68fbc5de, "page_pool_create" },
	{ 0xfb578fc5, "memset" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0xcd6c9b80, "flow_rule_match_ports" },
	{ 0x59d19ba1, "phylink_fwnode_phy_connect" },
	{ 0x3a5797c9, "hrtimer_start_range_ns" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x8de4560, "ptp_clock_event" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x8bc1085a, "netif_schedule_queue" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x386c7e82, "fwnode_get_named_child_node" },
	{ 0xf381ac51, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0x6d1eb832, "ptp_clock_unregister" },
	{ 0xd17ce140, "xp_dma_unmap" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xc083359c, "xpcs_get_an_mode" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x6d343d90, "__netif_napi_del_locked" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x23709dd3, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd103364, "xdp_return_frame_rx_napi" },
	{ 0x18c68f13, "netdev_alert" },
	{ 0xaf36c569, "dma_set_coherent_mask" },
	{ 0x4a38d9f7, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xf1658560, "mdiobus_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x13a69d2e, "fwnode_find_reference" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xd170e4d2, "phylink_ethtool_ksettings_set" },
	{ 0xedd7eb58, "rt_read_lock" },
	{ 0xcf898e76, "debugfs_rename" },
	{ 0x39b37d3a, "fwnode_property_present" },
	{ 0xa26aefc1, "xsk_set_tx_need_wakeup" },
	{ 0x87642c25, "netdev_reset_tc" },
	{ 0xf4334299, "dma_free_attrs" },
	{ 0xd5dcc637, "__pm_runtime_resume" },
	{ 0x825c7340, "phylink_get_eee_err" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x6029628f, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x5ee7818a, "xp_set_rxq_info" },
	{ 0x6dee496d, "flow_rule_match_vlan" },
	{ 0xacbaa5be, "xdp_rxq_info_unreg" },
	{ 0xa531a2de, "page_pool_alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xe093dcab, "__xdp_rxq_info_reg" },
	{ 0x9ebb2bfc, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf2eabe4f, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x7ad7a5cd, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x59e0695d, "phylink_speed_down" },
	{ 0xd7e2e849, "mdiobus_get_phy" },
	{ 0x72153cc5, "netif_carrier_on" },
	{ 0xb75532ed, "netdev_set_num_tc" },
	{ 0x9919fd8, "rt_write_lock" },
	{ 0x373b0d5, "dql_reset" },
	{ 0x8ae718dd, "debugfs_create_file_full" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0x3ea637d0, "__mdiobus_register" },
	{ 0xe6020f33, "phylink_ethtool_ksettings_get" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x5402ada3, "hrtimer_cancel" },
	{ 0xe481ec01, "xp_free" },
	{ 0x8d8b2fb3, "single_release" },
	{ 0xa7524338, "dma_set_mask" },
	{ 0xdb7680dc, "xpcs_create_fwnode" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x62104126, "phylink_ethtool_set_wol" },
	{ 0x716b4fac, "dev_err_probe" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x1e7da134, "skb_add_rx_frag_netmem" },
	{ 0x89b2a9b8, "xdp_master_redirect" },
	{ 0x238d0016, "xp_raw_get_data" },
	{ 0xd2ef6a40, "phylink_mii_ioctl" },
	{ 0xf21d30b1, "napi_schedule_prep" },
	{ 0x664821c4, "napi_disable" },
	{ 0x16a57400, "dev_kfree_skb_any_reason" },
	{ 0x64201df8, "eth_header_parse_protocol" },
	{ 0xf2203c5f, "param_ops_int" },
	{ 0xadba2cbc, "phylink_pcs_pre_init" },
	{ 0x495b28e9, "single_open" },
	{ 0xf40beb46, "__pm_runtime_disable" },
	{ 0xd20f3ddd, "debugfs_create_dir" },
	{ 0x815588a6, "clk_enable" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x66ebde19, "__pm_runtime_idle" },
	{ 0x76a04f00, "ethtool_op_get_ts_info" },
	{ 0x5ab0c64a, "xsk_tx_release" },
	{ 0x6a55e78c, "__dev_fwnode" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x8a9b70b, "netdev_info" },
	{ 0xaefc0814, "phylink_connect_phy" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x5014b242, "mdiobus_alloc_size" },
	{ 0x36f2f436, "__tracepoint_xdp_exception" },
	{ 0xa17469c3, "xsk_tx_completed" },
	{ 0x81194016, "napi_alloc_skb" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x740b6f4f, "xp_alloc" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x77c7a4b1, "device_set_wakeup_enable" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x97edf3c3, "bpf_prog_put" },
	{ 0xe0d5814e, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4d23f922, "xp_dma_map" },
	{ 0x5adf76d8, "skb_copy_bits" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x3cb06817, "devm_kmalloc" },
	{ 0xcce54922, "eth_mac_addr" },
	{ 0x3ec4ea5, "skb_put" },
	{ 0xf1cedf1a, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x40854fdd, "netdev_update_features" },
	{ 0x74885bdc, "consume_skb" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x23587977, "hrtimer_try_to_cancel" },
	{ 0xbad202cd, "bpf_warn_invalid_xdp_action" },
	{ 0x852c5aa5, "unregister_netdev" },
	{ 0x771ef2bc, "xdp_convert_zc_to_xdp_frame" },
	{ 0x9baaad12, "xdp_features_set_redirect_target" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xb51d11a4, "dma_unmap_page_attrs" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x8b773ecd, "hrtimer_init" },
	{ 0xaf2aa4f7, "get_device_system_crosststamp" },
	{ 0xceb7f93b, "ptp_clock_index" },
	{ 0xc88de277, "phy_attached_info" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x37a0cba, "kfree" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0x2e4f415b, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x4eb2e8fa, "page_pool_destroy" },
	{ 0x28895d1b, "xdp_do_redirect" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x7651a0b5, "netif_napi_add_weight_locked" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe45f97ac, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "phylink,pcs_xpcs,libphy");


MODULE_INFO(srcversion, "7121F4133C4BCBCB979CE4B");

MODULE_INFO(suserelease, "SLFO-1.2");
