#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(macvlan_common_setup, "_gpl", "");
KSYMTAB_FUNC(macvlan_common_newlink, "_gpl", "");
KSYMTAB_FUNC(macvlan_dellink, "_gpl", "");
KSYMTAB_FUNC(macvlan_link_register, "_gpl", "");

SYMBOL_CRC(macvlan_common_setup, 0x5d029f7f, "_gpl");
SYMBOL_CRC(macvlan_common_newlink, 0xa26c5f0c, "_gpl");
SYMBOL_CRC(macvlan_dellink, 0x59d64c1d, "_gpl");
SYMBOL_CRC(macvlan_link_register, 0xc886ed4c, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x2e9f7012, "__netpoll_setup" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x8a87270e, "unregister_netdevice_queue" },
	{ 0x3465f4a, "netdev_upper_dev_unlink" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x712fdcf3, "dev_addr_mod" },
	{ 0x4a945626, "dev_uc_add" },
	{ 0x407d3d12, "dev_set_mtu" },
	{ 0x40854fdd, "netdev_update_features" },
	{ 0x14a4bbc8, "netif_stacked_transfer_operstate" },
	{ 0x63de0fe4, "call_netdevice_notifiers" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x44ea4aa5, "skb_clone" },
	{ 0x5dfcb6d3, "netif_rx" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x72668bcc, "__dev_forward_skb" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x74885bdc, "consume_skb" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x2c3fe335, "__dev_queue_xmit" },
	{ 0x26201c16, "dev_forward_skb" },
	{ 0xf9e75e9a, "netpoll_send_skb" },
	{ 0x473d4802, "__netif_rx" },
	{ 0xf8082e2d, "ip_check_defrag" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x19c216c0, "netdev_core_stats_inc" },
	{ 0x1985ee9e, "__dev_get_by_index" },
	{ 0x83dba264, "netdev_is_rx_handler_busy" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0x2e039fab, "netdev_rx_handler_register" },
	{ 0xc310ccf6, "register_netdevice" },
	{ 0x3e512e86, "netdev_upper_dev_link" },
	{ 0x6610c895, "linkwatch_fire_event" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x3ffcce75, "passthru_features_check" },
	{ 0x3b2e7a22, "eth_validate_addr" },
	{ 0x55b82938, "ndo_dflt_fdb_dump" },
	{ 0xfd80cd6b, "ethtool_op_get_link" },
	{ 0xc2a1113c, "eth_header_parse" },
	{ 0x338edc7f, "eth_header_cache" },
	{ 0x9b1a2ebb, "eth_header_cache_update" },
	{ 0x64201df8, "eth_header_parse_protocol" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3f11db9b, "ether_setup" },
	{ 0x24452933, "__ethtool_get_link_ksettings" },
	{ 0x3b36ff75, "ethtool_get_ts_info_by_layer" },
	{ 0x1eb1abab, "init_net" },
	{ 0x1ba22651, "generic_hwtstamp_set_lower" },
	{ 0xfc1a495c, "generic_hwtstamp_get_lower" },
	{ 0x8fab75db, "dev_mc_del" },
	{ 0x37c7fa66, "dev_uc_del" },
	{ 0x9173b1d2, "dev_mc_add_excl" },
	{ 0xa1cfcdee, "dev_uc_add_excl" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x118546ed, "__netpoll_free" },
	{ 0xfef35251, "vlan_vid_del" },
	{ 0x3909ef5f, "vlan_vid_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x88bcd155, "dev_uc_sync" },
	{ 0x59966362, "dev_mc_sync" },
	{ 0x59083148, "dev_set_allmulti" },
	{ 0x4086f852, "dev_set_promiscuity" },
	{ 0x45e325f0, "dev_uc_unsync" },
	{ 0xf08b864e, "dev_mc_unsync" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8d91cbf3, "netdev_rx_handler_unregister" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x6d64c27f, "sk_skb_reason_drop" },
	{ 0x288692d, "dev_set_mac_address" },
	{ 0x37a0cba, "kfree" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x2f62b625, "netif_inherit_tso_max" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x1048e087, "rtnl_link_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x35ee1753, "rtnl_link_unregister" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x8d304f20, "nla_put" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "01F2D5BF5E95FB4A7EDA4A7");

MODULE_INFO(suserelease, "SLFO-1.2");
