#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9e66e884, "genphy_soft_reset" },
	{ 0xd6e0288b, "genphy_read_mmd_unsupported" },
	{ 0xb125a2f1, "genphy_write_mmd_unsupported" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8fce1110, "phy_drivers_register" },
	{ 0xda9e7d65, "mdiobus_read" },
	{ 0x23b058a, "mdiobus_write" },
	{ 0x6a184c01, "genphy_read_status" },
	{ 0x9f041dd7, "phy_modify" },
	{ 0x12aebabd, "genphy_read_abilities" },
	{ 0xa21bf5cf, "phy_read_mmd" },
	{ 0xf013a34e, "phy_write_mmd" },
	{ 0xc014d146, "genphy_restart_aneg" },
	{ 0x55565f0a, "phy_trigger_machine" },
	{ 0x86f3ce28, "phy_error" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xc9797ff1, "ptp_classify_raw" },
	{ 0x44a83b85, "ptp_parse_header" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x1476d5e7, "skb_complete_tx_timestamp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x39bd5044, "__mdiobus_write" },
	{ 0x6e1da32d, "__mdiobus_read" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc8240d31, "_dev_err" },
	{ 0xf9a482f9, "msleep" },
	{ 0xb03169a7, "ethnl_cable_test_result_with_src" },
	{ 0xbe2faf57, "ethnl_cable_test_fault_length_with_src" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xb577fb3b, "phy_drivers_unregister" },
	{ 0x46258e4b, "genphy_resume" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x89d2fc40, "__genphy_config_aneg" },
	{ 0x1479a216, "phy_eee_cap1_features" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x89315d68, "phy_init_hw" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x79446814, "phy_modify_mmd" },
	{ 0x4f54af37, "ptp_find_pin_unlocked" },
	{ 0x8de4560, "ptp_clock_event" },
	{ 0xbddffed2, "skb_queue_purge_reason" },
	{ 0x890597b9, "ptp_find_pin" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x3cb06817, "devm_kmalloc" },
	{ 0xe806b197, "devm_phy_package_join" },
	{ 0xc435d824, "devm_gpiod_get_optional" },
	{ 0xf8ae14e3, "gpiod_set_consumer_name" },
	{ 0xd72a607b, "gpiod_set_value_cansleep" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf4fc82d8, "ptp_clock_register" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0xaa89e947, "genphy_suspend" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xed153b93, "skb_push" },
	{ 0x5dfcb6d3, "netif_rx" },
	{ 0x37a0cba, "kfree" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x5a9c1881, "devm_clk_get_optional_enabled" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x5031ae93, "ptp_cancel_worker_sync" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "libphy");

MODULE_ALIAS("mdio:????????????0010000101100001000?");
MODULE_ALIAS("mdio:????????00100010000101100010????");
MODULE_ALIAS("mdio:????????00100010000101100100????");
MODULE_ALIAS("mdio:????????0010001000010110000110??");
MODULE_ALIAS("mdio:????????00100010000101110010????");
MODULE_ALIAS("mdio:????????001000100001010101010101");
MODULE_ALIAS("mdio:????????001000100001010101010110");
MODULE_ALIAS("mdio:????????00100010000101010001????");
MODULE_ALIAS("mdio:????????00100010000101010101????");
MODULE_ALIAS("mdio:????????00100010000101010111????");
MODULE_ALIAS("mdio:????????00100010000101010110????");
MODULE_ALIAS("mdio:????????00001110011100100011????");
MODULE_ALIAS("mdio:????????00100010000101000011????");
MODULE_ALIAS("mdio:????????00100010000101100011????");
MODULE_ALIAS("mdio:????????00100010000101100110????");
MODULE_ALIAS("mdio:????????00100010000101100111????");
MODULE_ALIAS("mdio:????????00100010000101100101????");

MODULE_INFO(srcversion, "45654D8BF8B980BECAE7598");

MODULE_INFO(suserelease, "SLFO-1.2");
