#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdab4ff32, "mdio_i2c_alloc" },
	{ 0x3ea637d0, "__mdiobus_register" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x177e48ab, "__devm_add_action" },
	{ 0x1e715c1c, "device_get_match_data" },
	{ 0x6a55e78c, "__dev_fwnode" },
	{ 0x13a69d2e, "fwnode_find_reference" },
	{ 0xa299ae6a, "i2c_get_adapter_by_fwnode" },
	{ 0xc435d824, "devm_gpiod_get_optional" },
	{ 0x64580cf8, "device_property_read_u32_array" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xaa2a46d7, "sfp_register_socket" },
	{ 0x89e59e9, "gpiod_to_irq" },
	{ 0xd20f3ddd, "debugfs_create_dir" },
	{ 0x8ae718dd, "debugfs_create_file_full" },
	{ 0x792c9efe, "devm_kasprintf" },
	{ 0xd0934899, "devm_request_threaded_irq" },
	{ 0x6de67898, "debugfs_remove" },
	{ 0xb6787346, "sfp_unregister_socket" },
	{ 0x2e4f415b, "seq_lseek" },
	{ 0x4a38d9f7, "seq_read" },
	{ 0x8d8b2fb3, "single_release" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x65eccb12, "__platform_driver_register" },
	{ 0xbe60732d, "devm_free_irq" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x754d539c, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0xf5ce00e7, "get_phy_device" },
	{ 0x71196551, "phy_device_register" },
	{ 0x7cb2089c, "sfp_add_phy" },
	{ 0x4e66119a, "phy_device_remove" },
	{ 0xfe6c7526, "phy_device_free" },
	{ 0xc8240d31, "_dev_err" },
	{ 0xee22e89a, "gpiod_get_value_cansleep" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xc55693a, "gpiod_direction_input" },
	{ 0xe8e8c19b, "gpiod_direction_output" },
	{ 0xf1658560, "mdiobus_unregister" },
	{ 0x997855fd, "mdiobus_free" },
	{ 0xb537cb59, "i2c_put_adapter" },
	{ 0x37a0cba, "kfree" },
	{ 0xa95b5c77, "hwmon_sanitize_name" },
	{ 0x789fd343, "hwmon_device_register_with_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0x71b12b37, "_dev_info" },
	{ 0x25efb3ec, "i2c_transfer" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x69acdf38, "memcpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x495b28e9, "single_open" },
	{ 0x7ad7a5cd, "seq_printf" },
	{ 0xdbe27298, "platform_driver_unregister" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66b97421, "sfp_link_up" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x6129fb93, "sfp_remove_phy" },
	{ 0xda320d31, "sfp_module_start" },
	{ 0x58def6ca, "sfp_module_remove" },
	{ 0x419e7efd, "sfp_module_stop" },
	{ 0x635b6c2d, "hwmon_device_unregister" },
	{ 0x648f59a9, "sfp_module_insert" },
	{ 0x6b413c9b, "sfp_link_down" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "mdio-i2c,libphy");

MODULE_ALIAS("of:N*T*Csff,sff");
MODULE_ALIAS("of:N*T*Csff,sffC*");
MODULE_ALIAS("of:N*T*Csff,sfp");
MODULE_ALIAS("of:N*T*Csff,sfpC*");

MODULE_INFO(srcversion, "8BDA4B0FA3036DD7D13A170");

MODULE_INFO(suserelease, "SLFO-1.2");
