#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(tun_ptr_free, "_gpl", "");
KSYMTAB_FUNC(tun_get_socket, "_gpl", "");
KSYMTAB_FUNC(tun_get_tx_ring, "_gpl", "");

SYMBOL_CRC(tun_ptr_free, 0x4099f919, "_gpl");
SYMBOL_CRC(tun_get_socket, 0x1d710791, "_gpl");
SYMBOL_CRC(tun_get_tx_ring, 0x966634c9, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xd103364, "xdp_return_frame_rx_napi" },
	{ 0x771ef2bc, "xdp_convert_zc_to_xdp_frame" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x6ed8ccba, "sk_alloc" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0x1ac5d9d9, "sock_init_data_uid" },
	{ 0x7e5e3524, "sk_free" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x50097088, "security_tun_dev_free_security" },
	{ 0x40fa6bea, "sk_filter_trim_cap" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x1e6db9dd, "skb_tx_error" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xf1cedf1a, "skb_tstamp_tx" },
	{ 0x8761c87b, "rps_needed" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x22db2c48, "skb_copy_ubufs" },
	{ 0x9e07fe9c, "__skb_get_hash_symmetric_net" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x66da095c, "___pskb_trim" },
	{ 0xbddffed2, "skb_queue_purge_reason" },
	{ 0x664821c4, "napi_disable" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xacbaa5be, "xdp_rxq_info_unreg" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x6d343d90, "__netif_napi_del_locked" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x7276b73a, "module_put" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7ad7a5cd, "seq_printf" },
	{ 0x320c0cae, "build_skb" },
	{ 0x3ec4ea5, "skb_put" },
	{ 0x8e752705, "skb_set_owner_w" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x692daeed, "skb_page_frag_refill" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc7377f2c, "copy_page_from_iter" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x89b2a9b8, "xdp_master_redirect" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x64a5c687, "__folio_put" },
	{ 0x481dda0e, "__put_devmap_managed_folio_refs" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x148eb45, "netif_set_real_num_tx_queues" },
	{ 0x436444b, "netif_set_real_num_rx_queues" },
	{ 0x8a87270e, "unregister_netdevice_queue" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x90354574, "netdev_state_change" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0xd4b5fc50, "__skb_flow_dissect" },
	{ 0xcb54d555, "skb_partial_csum_set" },
	{ 0x2b64348b, "__pskb_pull_tail" },
	{ 0x44531a37, "_copy_from_iter" },
	{ 0xc29724a2, "iov_iter_advance" },
	{ 0x4f851c29, "iov_iter_npages" },
	{ 0xf985c453, "sock_alloc_send_pskb" },
	{ 0x46c646e6, "zerocopy_sg_from_iter" },
	{ 0x502db1b1, "eth_type_trans" },
	{ 0x3616064, "skb_copy_datagram_from_iter" },
	{ 0x74699db8, "do_xdp_generic" },
	{ 0xc86a4b4, "iov_iter_revert" },
	{ 0xcace94ed, "napi_get_frags" },
	{ 0x2a8f3b11, "iov_iter_single_seg_count" },
	{ 0xd1d47d16, "pskb_expand_head" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xed153b93, "skb_push" },
	{ 0x81fbc2e4, "eth_get_headlen" },
	{ 0xf21d30b1, "napi_schedule_prep" },
	{ 0xa53c41c5, "napi_gro_frags" },
	{ 0x670db660, "__napi_schedule" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x293df244, "_copy_to_iter" },
	{ 0x4e203a85, "skb_copy_datagram_iter" },
	{ 0x74885bdc, "consume_skb" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xa55b06bd, "add_wait_queue" },
	{ 0xd6a78628, "remove_wait_queue" },
	{ 0x1000e51, "schedule" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x4424eef3, "netdev_err" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x1f7df0bc, "sock_recv_errqueue" },
	{ 0xa34a76f9, "security_tun_dev_attach" },
	{ 0x828cf039, "xdp_rxq_info_is_reg" },
	{ 0x7bda0276, "lock_sock_nested" },
	{ 0x25c6b4c, "sk_attach_filter" },
	{ 0xe9ee676b, "release_sock" },
	{ 0xe093dcab, "__xdp_rxq_info_reg" },
	{ 0xe7f4315d, "xdp_rxq_info_reg_mem_model" },
	{ 0x7651a0b5, "netif_napi_add_weight_locked" },
	{ 0xb70ca8ae, "napi_enable" },
	{ 0x438610bd, "security_tun_dev_alloc_security" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf40bda56, "ns_capable" },
	{ 0xe947197b, "get_net_ns" },
	{ 0xc08900d7, "open_related_ns" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x34f3484e, "security_tun_dev_attach_queue" },
	{ 0x8225e746, "make_kgid" },
	{ 0xc6cbbc89, "capable" },
	{ 0x278bf4e3, "__dev_get_by_name" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0xda3d10a8, "security_tun_dev_open" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x4f1cd128, "security_tun_dev_create" },
	{ 0xc025779, "alloc_netdev_mqs" },
	{ 0xc8447a34, "ip_tunnel_header_ops" },
	{ 0xc310ccf6, "register_netdevice" },
	{ 0x32e1dcb8, "sk_detach_filter" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x97d326b7, "dev_get_mac_address" },
	{ 0x4fe37c63, "dev_set_mac_address_user" },
	{ 0xc299905c, "make_kuid" },
	{ 0x538eb2d2, "init_user_ns" },
	{ 0x9574e96, "from_kuid" },
	{ 0x40854fdd, "netdev_update_features" },
	{ 0x8be8cd38, "netif_tx_wake_queue" },
	{ 0x3f11db9b, "ether_setup" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x712fdcf3, "dev_addr_mod" },
	{ 0x63de0fe4, "call_netdevice_notifiers" },
	{ 0x209cb8eb, "free_netdev" },
	{ 0x883c3a0f, "__module_get" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x2b93e56e, "from_kgid" },
	{ 0x94efc6d9, "__page_frag_cache_drain" },
	{ 0x3ffcce75, "passthru_features_check" },
	{ 0xcce54922, "eth_mac_addr" },
	{ 0x3b2e7a22, "eth_validate_addr" },
	{ 0xfd80cd6b, "ethtool_op_get_link" },
	{ 0x76a04f00, "ethtool_op_get_ts_info" },
	{ 0xe0e8d49c, "__SCK__tp_func_xdp_exception" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa916b694, "strnlen" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xce04cd57, "file_f_owner_allocate" },
	{ 0x10e7473e, "fasync_helper" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0x9d588a71, "__f_setown" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x8a9b70b, "netdev_info" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x68d9761d, "netif_receive_skb" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x72153cc5, "netif_carrier_on" },
	{ 0xf2eabe4f, "netif_carrier_off" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x8d304f20, "nla_put" },
	{ 0xa627b1a3, "from_kgid_munged" },
	{ 0x49d7ffb9, "from_kuid_munged" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x20926f78, "bpf_prog_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0xca71e691, "netif_tx_stop_all_queues" },
	{ 0x1fea6a3b, "dev_get_tstats64" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xa1d6e1a4, "bpf_prog_get_type_dev" },
	{ 0x92997ed8, "_printk" },
	{ 0x1048e087, "rtnl_link_register" },
	{ 0xcd467294, "misc_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe651aca3, "misc_deregister" },
	{ 0x35ee1753, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xa19db0fa, "xdp_return_frame" },
	{ 0x6d64c27f, "sk_skb_reason_drop" },
	{ 0x7061f8f6, "__wake_up_sync_key" },
	{ 0x3f6593e4, "kill_fasync" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x51e266ea, "net_hotdata" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0x1b9e240a, "napi_gro_receive" },
	{ 0x95b46469, "napi_complete_done" },
	{ 0x97edf3c3, "bpf_prog_put" },
	{ 0x19c216c0, "netdev_core_stats_inc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x28895d1b, "xdp_do_redirect" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xbad202cd, "bpf_warn_invalid_xdp_action" },
	{ 0x36f2f436, "__tracepoint_xdp_exception" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "298770A0779FCFFE0BA22F5");

MODULE_INFO(suserelease, "SLFO-1.2");
