#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(usbnet_get_endpoints, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_ethernet_addr, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_start, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_skb_return, "_gpl", "");
KSYMTAB_FUNC(usbnet_update_max_qlen, "_gpl", "");
KSYMTAB_FUNC(usbnet_change_mtu, "_gpl", "");
KSYMTAB_FUNC(usbnet_defer_kevent, "_gpl", "");
KSYMTAB_FUNC(usbnet_pause_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_purge_paused_rxq, "_gpl", "");
KSYMTAB_FUNC(usbnet_unlink_rx_urbs, "_gpl", "");
KSYMTAB_FUNC(usbnet_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_open, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_internal, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link, "_gpl", "");
KSYMTAB_FUNC(usbnet_nway_reset, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_drvinfo, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_rx_mode, "_gpl", "");
KSYMTAB_FUNC(usbnet_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(usbnet_start_xmit, "_gpl", "");
KSYMTAB_FUNC(usbnet_disconnect, "_gpl", "");
KSYMTAB_FUNC(usbnet_probe, "_gpl", "");
KSYMTAB_FUNC(usbnet_suspend, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume, "_gpl", "");
KSYMTAB_FUNC(usbnet_device_suggests_idle, "", "");
KSYMTAB_FUNC(usbnet_manage_power, "", "");
KSYMTAB_FUNC(usbnet_link_change, "", "");
KSYMTAB_FUNC(usbnet_read_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_read_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_async, "_gpl", "");

SYMBOL_CRC(usbnet_get_endpoints, 0xa0da1f74, "_gpl");
SYMBOL_CRC(usbnet_get_ethernet_addr, 0xc42b69de, "_gpl");
SYMBOL_CRC(usbnet_status_start, 0x27956916, "_gpl");
SYMBOL_CRC(usbnet_status_stop, 0xc8b71c54, "_gpl");
SYMBOL_CRC(usbnet_skb_return, 0x90cdb339, "_gpl");
SYMBOL_CRC(usbnet_update_max_qlen, 0x71512ce7, "_gpl");
SYMBOL_CRC(usbnet_change_mtu, 0x24b2078a, "_gpl");
SYMBOL_CRC(usbnet_defer_kevent, 0xcfb25e4e, "_gpl");
SYMBOL_CRC(usbnet_pause_rx, 0xc539b211, "_gpl");
SYMBOL_CRC(usbnet_resume_rx, 0x4d3db9a9, "_gpl");
SYMBOL_CRC(usbnet_purge_paused_rxq, 0x3bca99e3, "_gpl");
SYMBOL_CRC(usbnet_unlink_rx_urbs, 0x3711fd46, "_gpl");
SYMBOL_CRC(usbnet_stop, 0xfce3fccb, "_gpl");
SYMBOL_CRC(usbnet_open, 0x371e48cc, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_mii, 0xd74a9ab1, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_internal, 0xe260075d, "_gpl");
SYMBOL_CRC(usbnet_set_link_ksettings_mii, 0xbdd75219, "_gpl");
SYMBOL_CRC(usbnet_get_link, 0xdaf6f7d9, "_gpl");
SYMBOL_CRC(usbnet_nway_reset, 0x15c8f960, "_gpl");
SYMBOL_CRC(usbnet_get_drvinfo, 0x5254fa63, "_gpl");
SYMBOL_CRC(usbnet_get_msglevel, 0x75e38112, "_gpl");
SYMBOL_CRC(usbnet_set_msglevel, 0x583be220, "_gpl");
SYMBOL_CRC(usbnet_set_rx_mode, 0x59141e9e, "_gpl");
SYMBOL_CRC(usbnet_tx_timeout, 0x3c5af674, "_gpl");
SYMBOL_CRC(usbnet_start_xmit, 0xb3d13efe, "_gpl");
SYMBOL_CRC(usbnet_disconnect, 0x58de666b, "_gpl");
SYMBOL_CRC(usbnet_probe, 0x7270ac1d, "_gpl");
SYMBOL_CRC(usbnet_suspend, 0x1191b3e1, "_gpl");
SYMBOL_CRC(usbnet_resume, 0x8bc541c2, "_gpl");
SYMBOL_CRC(usbnet_device_suggests_idle, 0xdb7ea6e9, "");
SYMBOL_CRC(usbnet_manage_power, 0xde99d897, "");
SYMBOL_CRC(usbnet_link_change, 0x2476c83b, "");
SYMBOL_CRC(usbnet_read_cmd, 0x41ef1e12, "_gpl");
SYMBOL_CRC(usbnet_write_cmd, 0x759bad9f, "_gpl");
SYMBOL_CRC(usbnet_read_cmd_nopm, 0x6b655e0e, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_nopm, 0x8314000c, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_async, 0x783d7f27, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6760fa75, "usb_set_interface" },
	{ 0x350adbe3, "usb_string" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x712fdcf3, "dev_addr_mod" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x5dfcb6d3, "netif_rx" },
	{ 0x502db1b1, "eth_type_trans" },
	{ 0xe648e7c0, "skb_queue_tail" },
	{ 0x23709dd3, "__dynamic_netdev_dbg" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbddffed2, "skb_queue_purge_reason" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xf660023e, "usb_get_urb" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x46fb9385, "usb_unlink_urb" },
	{ 0x55a2d436, "usb_free_urb" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x71b5bbcc, "usb_submit_urb" },
	{ 0x4424eef3, "netdev_err" },
	{ 0xd55d6266, "mii_ethtool_get_link_ksettings" },
	{ 0x27ec012b, "mii_ethtool_set_link_ksettings" },
	{ 0x61137a7f, "mii_nway_restart" },
	{ 0x37a0cba, "kfree" },
	{ 0x852c5aa5, "unregister_netdev" },
	{ 0x74885bdc, "consume_skb" },
	{ 0x112cc378, "usb_get_from_anchor" },
	{ 0x6323482b, "usb_kill_urb" },
	{ 0x209cb8eb, "free_netdev" },
	{ 0x8a9b70b, "netdev_info" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x72b0d970, "usb_control_msg" },
	{ 0x69acdf38, "memcpy" },
	{ 0x4dc8debc, "usb_autopm_get_interface" },
	{ 0x625c9d82, "usb_autopm_put_interface" },
	{ 0x4ed62146, "usb_alloc_urb" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x53890d51, "mii_link_ok" },
	{ 0xfd80cd6b, "ethtool_op_get_link" },
	{ 0x6aeeda58, "usb_autopm_put_interface_async" },
	{ 0x72153cc5, "netif_carrier_on" },
	{ 0xf2eabe4f, "netif_carrier_off" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xa55b06bd, "add_wait_queue" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xd6a78628, "remove_wait_queue" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x7af53312, "netif_device_detach" },
	{ 0xe215f75b, "netif_device_attach" },
	{ 0x512c59c3, "skb_dequeue" },
	{ 0x18689cd6, "alloc_etherdev_mqs" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc10e4626, "register_netdev" },
	{ 0x6d93b33b, "pm_runtime_enable" },
	{ 0x82e6c6a8, "usb_check_bulk_endpoints" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x4afee932, "usb_autopm_get_interface_async" },
	{ 0xf1cedf1a, "skb_tstamp_tx" },
	{ 0x16a57400, "dev_kfree_skb_any_reason" },
	{ 0xbfc27fe0, "usb_anchor_urb" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4e69b266, "__netdev_alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf6491531, "__wake_up" },
	{ 0x8be8cd38, "netif_tx_wake_queue" },
	{ 0x3990e791, "usb_autopm_get_interface_no_resume" },
	{ 0x3ec4ea5, "skb_put" },
	{ 0x67c49a03, "usb_clear_halt" },
	{ 0xcce54922, "eth_mac_addr" },
	{ 0x3b2e7a22, "eth_validate_addr" },
	{ 0x76a04f00, "ethtool_op_get_ts_info" },
	{ 0xf2203c5f, "param_ops_int" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "usbcore,mii");


MODULE_INFO(srcversion, "17BD597195840FF5B32BAEB");

MODULE_INFO(suserelease, "SLFO-1.2");
