#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ath10k_mac_tx_push_pending, "", "");
KSYMTAB_FUNC(ath10k_info, "", "");
KSYMTAB_FUNC(ath10k_print_driver_info, "", "");
KSYMTAB_FUNC(ath10k_err, "", "");
KSYMTAB_FUNC(ath10k_warn, "", "");
KSYMTAB_DATA(ath10k_debug_mask, "", "");
KSYMTAB_FUNC(ath10k_core_check_dt, "", "");
KSYMTAB_FUNC(ath10k_core_free_board_files, "", "");
KSYMTAB_FUNC(ath10k_core_fetch_board_file, "", "");
KSYMTAB_FUNC(ath10k_core_start_recovery, "", "");
KSYMTAB_FUNC(ath10k_core_napi_enable, "", "");
KSYMTAB_FUNC(ath10k_core_napi_sync_disable, "", "");
KSYMTAB_FUNC(ath10k_core_start, "", "");
KSYMTAB_FUNC(ath10k_core_stop, "", "");
KSYMTAB_FUNC(ath10k_core_register, "", "");
KSYMTAB_FUNC(ath10k_core_unregister, "", "");
KSYMTAB_FUNC(ath10k_core_create, "", "");
KSYMTAB_FUNC(ath10k_core_destroy, "", "");
KSYMTAB_FUNC(ath10k_htc_notify_tx_completion, "", "");
KSYMTAB_FUNC(ath10k_htc_tx_completion_handler, "", "");
KSYMTAB_FUNC(ath10k_htc_process_trailer, "", "");
KSYMTAB_FUNC(ath10k_htc_rx_completion_handler, "", "");
KSYMTAB_FUNC(ath10k_htt_t2h_msg_handler, "", "");
KSYMTAB_FUNC(ath10k_htt_rx_pktlog_completion_handler, "", "");
KSYMTAB_FUNC(ath10k_htt_rx_hl_indication, "", "");
KSYMTAB_FUNC(ath10k_htt_txrx_compl_task, "", "");
KSYMTAB_FUNC(ath10k_htt_hif_tx_complete, "", "");
KSYMTAB_FUNC(ath10k_bmi_start, "", "");
KSYMTAB_FUNC(ath10k_bmi_read_memory, "", "");
KSYMTAB_FUNC(ath10k_coredump_get_mem_layout, "", "");
KSYMTAB_FUNC(ath10k_coredump_new, "", "");
KSYMTAB_FUNC(ath10k_ce_send_nolock, "", "");
KSYMTAB_FUNC(__ath10k_ce_send_revert, "", "");
KSYMTAB_FUNC(ath10k_ce_send, "", "");
KSYMTAB_FUNC(ath10k_ce_num_free_src_entries, "", "");
KSYMTAB_FUNC(__ath10k_ce_rx_num_free_bufs, "", "");
KSYMTAB_FUNC(ath10k_ce_rx_update_write_idx, "", "");
KSYMTAB_FUNC(ath10k_ce_rx_post_buf, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_recv_next_nolock, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_recv_next, "", "");
KSYMTAB_FUNC(ath10k_ce_revoke_recv_next, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_send_next_nolock, "", "");
KSYMTAB_FUNC(ath10k_ce_cancel_send_next, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_send_next, "", "");
KSYMTAB_FUNC(ath10k_ce_per_engine_service, "", "");
KSYMTAB_FUNC(ath10k_ce_per_engine_service_any, "", "");
KSYMTAB_FUNC(ath10k_ce_disable_interrupt, "", "");
KSYMTAB_FUNC(ath10k_ce_disable_interrupts, "", "");
KSYMTAB_FUNC(ath10k_ce_enable_interrupt, "", "");
KSYMTAB_FUNC(ath10k_ce_enable_interrupts, "", "");
KSYMTAB_FUNC(ath10k_ce_init_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_deinit_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_free_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_dump_registers, "", "");
KSYMTAB_FUNC(ath10k_ce_alloc_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_alloc_rri, "", "");
KSYMTAB_FUNC(ath10k_ce_free_rri, "", "");

SYMBOL_CRC(ath10k_mac_tx_push_pending, 0x2f5bc762, "");
SYMBOL_CRC(ath10k_info, 0xd2f1a864, "");
SYMBOL_CRC(ath10k_print_driver_info, 0x33d540ce, "");
SYMBOL_CRC(ath10k_err, 0x339bbeef, "");
SYMBOL_CRC(ath10k_warn, 0x62a9371b, "");
SYMBOL_CRC(ath10k_debug_mask, 0x015e5db2, "");
SYMBOL_CRC(ath10k_core_check_dt, 0x28cf211f, "");
SYMBOL_CRC(ath10k_core_free_board_files, 0x6fce6ddb, "");
SYMBOL_CRC(ath10k_core_fetch_board_file, 0xa084e617, "");
SYMBOL_CRC(ath10k_core_start_recovery, 0x25bf1e2c, "");
SYMBOL_CRC(ath10k_core_napi_enable, 0x8c669093, "");
SYMBOL_CRC(ath10k_core_napi_sync_disable, 0x1fe893a4, "");
SYMBOL_CRC(ath10k_core_start, 0xb6e82573, "");
SYMBOL_CRC(ath10k_core_stop, 0x5f3841fb, "");
SYMBOL_CRC(ath10k_core_register, 0xaf8190b9, "");
SYMBOL_CRC(ath10k_core_unregister, 0x02521c70, "");
SYMBOL_CRC(ath10k_core_create, 0x2e0f53b6, "");
SYMBOL_CRC(ath10k_core_destroy, 0x339d4d7d, "");
SYMBOL_CRC(ath10k_htc_notify_tx_completion, 0xb4230cc9, "");
SYMBOL_CRC(ath10k_htc_tx_completion_handler, 0x108e36f1, "");
SYMBOL_CRC(ath10k_htc_process_trailer, 0x7e7443a0, "");
SYMBOL_CRC(ath10k_htc_rx_completion_handler, 0xde023a96, "");
SYMBOL_CRC(ath10k_htt_t2h_msg_handler, 0x690a1c37, "");
SYMBOL_CRC(ath10k_htt_rx_pktlog_completion_handler, 0xe8acfe44, "");
SYMBOL_CRC(ath10k_htt_rx_hl_indication, 0x318cccc7, "");
SYMBOL_CRC(ath10k_htt_txrx_compl_task, 0x3a1a9c7f, "");
SYMBOL_CRC(ath10k_htt_hif_tx_complete, 0x0516390f, "");
SYMBOL_CRC(ath10k_bmi_start, 0xc22da588, "");
SYMBOL_CRC(ath10k_bmi_read_memory, 0x2349bba5, "");
SYMBOL_CRC(ath10k_coredump_get_mem_layout, 0xe3ef5df8, "");
SYMBOL_CRC(ath10k_coredump_new, 0xf96c4534, "");
SYMBOL_CRC(ath10k_ce_send_nolock, 0xd1e3ea33, "");
SYMBOL_CRC(__ath10k_ce_send_revert, 0x2f2e132f, "");
SYMBOL_CRC(ath10k_ce_send, 0x7735a4fa, "");
SYMBOL_CRC(ath10k_ce_num_free_src_entries, 0xc6a65320, "");
SYMBOL_CRC(__ath10k_ce_rx_num_free_bufs, 0x3b26291e, "");
SYMBOL_CRC(ath10k_ce_rx_update_write_idx, 0x08ae67ca, "");
SYMBOL_CRC(ath10k_ce_rx_post_buf, 0x3f4b6325, "");
SYMBOL_CRC(ath10k_ce_completed_recv_next_nolock, 0x8872236e, "");
SYMBOL_CRC(ath10k_ce_completed_recv_next, 0x3a1cbb79, "");
SYMBOL_CRC(ath10k_ce_revoke_recv_next, 0x84c3f185, "");
SYMBOL_CRC(ath10k_ce_completed_send_next_nolock, 0x120c6207, "");
SYMBOL_CRC(ath10k_ce_cancel_send_next, 0xefd2dd3c, "");
SYMBOL_CRC(ath10k_ce_completed_send_next, 0x6efa74aa, "");
SYMBOL_CRC(ath10k_ce_per_engine_service, 0x60d1362e, "");
SYMBOL_CRC(ath10k_ce_per_engine_service_any, 0xa048fd85, "");
SYMBOL_CRC(ath10k_ce_disable_interrupt, 0xb4f515fb, "");
SYMBOL_CRC(ath10k_ce_disable_interrupts, 0x8d6f9660, "");
SYMBOL_CRC(ath10k_ce_enable_interrupt, 0x93c078cd, "");
SYMBOL_CRC(ath10k_ce_enable_interrupts, 0x992e2227, "");
SYMBOL_CRC(ath10k_ce_init_pipe, 0x2beabe29, "");
SYMBOL_CRC(ath10k_ce_deinit_pipe, 0xe064dd7f, "");
SYMBOL_CRC(ath10k_ce_free_pipe, 0x0a2cd311, "");
SYMBOL_CRC(ath10k_ce_dump_registers, 0x58e1909f, "");
SYMBOL_CRC(ath10k_ce_alloc_pipe, 0x42c5c6d7, "");
SYMBOL_CRC(ath10k_ce_alloc_rri, 0x3c4814fc, "");
SYMBOL_CRC(ath10k_ce_free_rri, 0xfe062d1f, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x16a57400, "dev_kfree_skb_any_reason" },
	{ 0x5cba2be4, "ieee80211_bss_get_elem" },
	{ 0x5a4b19b2, "__cfg80211_get_bss" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xd9eb2768, "ieee80211_csa_finish" },
	{ 0xdefc10ec, "skb_queue_head" },
	{ 0x4a9de351, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xd7c4e75b, "cpu_latency_qos_remove_request" },
	{ 0xbf02db51, "ieee80211_beacon_update_cntdwn" },
	{ 0x4ae8caa7, "ieee80211_sta_register_airtime" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x77c7a4b1, "device_set_wakeup_enable" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0xad68421f, "ieee80211_connection_loss" },
	{ 0x4d5167d6, "ieee80211_manage_rx_ba_offl" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x187dccfa, "is_acpi_device_node" },
	{ 0xe0d5814e, "device_set_wakeup_capable" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8b5a981d, "__ieee80211_schedule_txq" },
	{ 0x333051c0, "idr_find" },
	{ 0xdca0f8b3, "ieee80211_txq_get_depth" },
	{ 0xe5eb5fd0, "param_ops_uint" },
	{ 0xb18fe1bf, "param_ops_ulong" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x3cb06817, "devm_kmalloc" },
	{ 0x3ec4ea5, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x9b20e596, "firmware_request_nowarn" },
	{ 0x74885bdc, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x247e3c28, "ieee80211_txq_may_transmit" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7f0ffce8, "device_get_mac_address" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x512c59c3, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0x49e1ab4f, "ieee80211_free_hw" },
	{ 0x6c3f70e0, "guid_gen" },
	{ 0xb51d11a4, "dma_unmap_page_attrs" },
	{ 0xd465687c, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x96848186, "scnprintf" },
	{ 0x9257c716, "ieee80211_iterate_stations_atomic" },
	{ 0x74bdbf9e, "ieee80211_tx_status_ext" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfb1f865e, "ieee80211_beacon_loss" },
	{ 0xb0ef18ed, "cpu_latency_qos_add_request" },
	{ 0x4f3980ac, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x3b3f2267, "thermal_cooling_device_register" },
	{ 0x10dc7c41, "led_classdev_unregister" },
	{ 0x787b24e9, "ieee80211_register_hw" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x317221f1, "ieee80211_restart_hw" },
	{ 0x3416d62c, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6491531, "__wake_up" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x99d399e6, "ieee80211_wake_queue" },
	{ 0xfdb512aa, "ieee80211_hw_restart_disconnect" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xd1d47d16, "pskb_expand_head" },
	{ 0xbddffed2, "skb_queue_purge_reason" },
	{ 0x44c339bf, "dev_driver_string" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x69509299, "ieee80211_find_sta" },
	{ 0x28ba6fe1, "dma_map_page_attrs" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x3ac6f028, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0x25f6d075, "ieee80211_iter_chan_contexts_atomic" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0xc2def520, "cfg80211_put_bss" },
	{ 0xed0bc201, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x71b12b37, "_dev_info" },
	{ 0xa18f224e, "ath_regd_find_country_by_name" },
	{ 0xe648e7c0, "skb_queue_tail" },
	{ 0xa2ab3be2, "ieee80211_get_channel_khz" },
	{ 0x99f018c4, "nvmem_cell_read" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xe06a823e, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0xb9a85f0c, "idr_remove" },
	{ 0x7417e46f, "wiphy_to_ieee80211_hw" },
	{ 0x25949af, "ath_reg_notifier_apply" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xcc4586b, "ieee80211_queue_delayed_work" },
	{ 0x3df22d16, "ieee80211_proberesp_get" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x1c785e13, "skb_pull" },
	{ 0x48ca2416, "sysfs_remove_link" },
	{ 0x9820f51a, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3d45bb64, "init_uts_ns" },
	{ 0x6d64c27f, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xfb969b03, "ieee80211_find_sta_by_ifaddr" },
	{ 0x1dd7538e, "ieee80211_next_txq" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xc051ceae, "ieee80211_remain_on_channel_expired" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xed153b93, "skb_push" },
	{ 0x18595920, "dma_alloc_attrs" },
	{ 0x4571aea8, "ath_is_world_regd" },
	{ 0xb70ca8ae, "napi_enable" },
	{ 0x13c0013, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0x7ea80766, "ieee80211_wake_queues" },
	{ 0x209cb8eb, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x32219693, "ieee80211_report_low_ack" },
	{ 0xf8279c6b, "ieee80211_beacon_get_template" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x72c8f65a, "ieee80211_free_txskb" },
	{ 0xd0e19135, "led_classdev_register_ext" },
	{ 0x582e3b4d, "dev_coredumpv" },
	{ 0x11f16b6f, "ieee80211_alloc_hw_nm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x11089ac7, "_ctype" },
	{ 0x4d470eb0, "idr_destroy" },
	{ 0x6cdd6829, "ieee80211_tx_dequeue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x48f3cb1, "devm_hwmon_device_register_with_groups" },
	{ 0xfb578fc5, "memset" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x9c5464bb, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x7c983a5d, "dmi_walk" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0x1405ff69, "devm_nvmem_cell_get" },
	{ 0x88813a7a, "ieee80211_stop_queue" },
	{ 0x4e69b266, "__netdev_alloc_skb" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x589e015f, "ieee80211_ready_on_channel" },
	{ 0xccfb1856, "ieee80211_stop_queues" },
	{ 0xd62ba63d, "skb_trim" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x97210b38, "skb_realloc_headroom" },
	{ 0x1681e216, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x41229c10, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xe7f5881c, "alloc_netdev_dummy" },
	{ 0xf4334299, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xdf342800, "ieee80211_scan_completed" },
	{ 0xa3272c2, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9199b9f0, "param_ops_bool" },
	{ 0x6029628f, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xd553fef9, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x67532a56, "ath_regd_init" },
	{ 0xdb3eca82, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x1060b4b7, "skb_copy" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x6c2ad546, "ieee80211_tdls_oper_request" },
	{ 0xe5937282, "ieee80211_radar_detected" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x471daef1, "thermal_cooling_device_unregister" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x87646100, "ieee80211_tx_rate_update" },
	{ 0x8a323a52, "ieee80211_queue_work" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x754d539c, "strlen" },
	{ 0x664821c4, "napi_disable" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,mac80211,ath");


MODULE_INFO(srcversion, "6D6B90764409B5623EE05A4");

MODULE_INFO(suserelease, "SLFO-1.2");
