#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ath11k_debug_mask, "", "");
KSYMTAB_FUNC(ath11k_core_suspend, "", "");
KSYMTAB_FUNC(ath11k_core_suspend_late, "", "");
KSYMTAB_FUNC(ath11k_core_resume_early, "", "");
KSYMTAB_FUNC(ath11k_core_resume, "", "");
KSYMTAB_FUNC(ath11k_core_pre_init, "", "");
KSYMTAB_FUNC(ath11k_core_pm_notifier_unregister, "", "");
KSYMTAB_FUNC(ath11k_core_init, "", "");
KSYMTAB_FUNC(ath11k_core_deinit, "", "");
KSYMTAB_FUNC(ath11k_core_free, "", "");
KSYMTAB_FUNC(ath11k_core_alloc, "", "");
KSYMTAB_FUNC(ath11k_hal_srng_init, "", "");
KSYMTAB_FUNC(ath11k_hal_srng_deinit, "", "");
KSYMTAB_DATA(ath11k_cold_boot_cal, "", "");
KSYMTAB_FUNC(ath11k_qmi_fwreset_from_cold_boot, "", "");
KSYMTAB_FUNC(ath11k_qmi_deinit_service, "", "");
KSYMTAB_FUNC(ath11k_dp_service_srng, "", "");
KSYMTAB_FUNC(ath11k_info, "", "");
KSYMTAB_FUNC(ath11k_err, "", "");
KSYMTAB_FUNC(ath11k_warn, "", "");
KSYMTAB_FUNC(ath11k_ce_per_engine_service, "", "");
KSYMTAB_FUNC(ath11k_ce_get_shadow_config, "", "");
KSYMTAB_FUNC(ath11k_ce_cleanup_pipes, "", "");
KSYMTAB_FUNC(ath11k_ce_rx_post_buf, "", "");
KSYMTAB_FUNC(ath11k_ce_free_pipes, "", "");
KSYMTAB_FUNC(ath11k_ce_alloc_pipes, "", "");
KSYMTAB_FUNC(ath11k_ce_get_attr_flags, "", "");
KSYMTAB_FUNC(ath11k_pcic_init_msi_config, "", "");
KSYMTAB_FUNC(ath11k_pcic_write32, "", "");
KSYMTAB_FUNC(ath11k_pcic_read32, "", "");
KSYMTAB_FUNC(ath11k_pcic_read, "", "");
KSYMTAB_FUNC(ath11k_pcic_get_msi_address, "", "");
KSYMTAB_FUNC(ath11k_pcic_get_user_msi_assignment, "", "");
KSYMTAB_FUNC(ath11k_pcic_get_ce_msi_idx, "", "");
KSYMTAB_FUNC(ath11k_pcic_free_irq, "", "");
KSYMTAB_FUNC(ath11k_pcic_ext_irq_enable, "", "");
KSYMTAB_FUNC(ath11k_pcic_ext_irq_disable, "", "");
KSYMTAB_FUNC(ath11k_pcic_config_irq, "", "");
KSYMTAB_FUNC(ath11k_pcic_ce_irqs_enable, "", "");
KSYMTAB_FUNC(ath11k_pcic_ce_irq_disable_sync, "", "");
KSYMTAB_FUNC(ath11k_pcic_stop, "", "");
KSYMTAB_FUNC(ath11k_pcic_start, "", "");
KSYMTAB_FUNC(ath11k_pcic_map_service_to_pipe, "", "");
KSYMTAB_FUNC(ath11k_pcic_register_pci_ops, "", "");
KSYMTAB_FUNC(ath11k_pci_enable_ce_irqs_except_wake_irq, "", "");
KSYMTAB_FUNC(ath11k_pci_disable_ce_irqs_except_wake_irq, "", "");
KSYMTAB_FUNC(ath11k_fw_destroy, "", "");

SYMBOL_CRC(ath11k_debug_mask, 0x9c51bcc4, "");
SYMBOL_CRC(ath11k_core_suspend, 0x08532bed, "");
SYMBOL_CRC(ath11k_core_suspend_late, 0x26e3fc24, "");
SYMBOL_CRC(ath11k_core_resume_early, 0xe4b30dcf, "");
SYMBOL_CRC(ath11k_core_resume, 0x3c7cd83b, "");
SYMBOL_CRC(ath11k_core_pre_init, 0xeadb0f5e, "");
SYMBOL_CRC(ath11k_core_pm_notifier_unregister, 0xb4651b20, "");
SYMBOL_CRC(ath11k_core_init, 0x97cf83f1, "");
SYMBOL_CRC(ath11k_core_deinit, 0x384b8a98, "");
SYMBOL_CRC(ath11k_core_free, 0xdd9d3417, "");
SYMBOL_CRC(ath11k_core_alloc, 0x2ea42718, "");
SYMBOL_CRC(ath11k_hal_srng_init, 0xfcbe5ec6, "");
SYMBOL_CRC(ath11k_hal_srng_deinit, 0xe9e021be, "");
SYMBOL_CRC(ath11k_cold_boot_cal, 0xf0197188, "");
SYMBOL_CRC(ath11k_qmi_fwreset_from_cold_boot, 0xdb2e6dd6, "");
SYMBOL_CRC(ath11k_qmi_deinit_service, 0x63fd9d8d, "");
SYMBOL_CRC(ath11k_dp_service_srng, 0x131c94dd, "");
SYMBOL_CRC(ath11k_info, 0xb4cc5868, "");
SYMBOL_CRC(ath11k_err, 0x1b70bf4b, "");
SYMBOL_CRC(ath11k_warn, 0x79651dfc, "");
SYMBOL_CRC(ath11k_ce_per_engine_service, 0xe42851b7, "");
SYMBOL_CRC(ath11k_ce_get_shadow_config, 0x37395eaf, "");
SYMBOL_CRC(ath11k_ce_cleanup_pipes, 0x43b3ee54, "");
SYMBOL_CRC(ath11k_ce_rx_post_buf, 0x13a0c6ae, "");
SYMBOL_CRC(ath11k_ce_free_pipes, 0xa99f3ff2, "");
SYMBOL_CRC(ath11k_ce_alloc_pipes, 0x3141897e, "");
SYMBOL_CRC(ath11k_ce_get_attr_flags, 0xaff7e1dc, "");
SYMBOL_CRC(ath11k_pcic_init_msi_config, 0x3720bab7, "");
SYMBOL_CRC(ath11k_pcic_write32, 0x443885d7, "");
SYMBOL_CRC(ath11k_pcic_read32, 0x19df3d62, "");
SYMBOL_CRC(ath11k_pcic_read, 0x117a6e6b, "");
SYMBOL_CRC(ath11k_pcic_get_msi_address, 0xffb0ba77, "");
SYMBOL_CRC(ath11k_pcic_get_user_msi_assignment, 0x5cf96d4a, "");
SYMBOL_CRC(ath11k_pcic_get_ce_msi_idx, 0x7c54ac2a, "");
SYMBOL_CRC(ath11k_pcic_free_irq, 0x2e605214, "");
SYMBOL_CRC(ath11k_pcic_ext_irq_enable, 0x515f1e52, "");
SYMBOL_CRC(ath11k_pcic_ext_irq_disable, 0x4f2c6ac6, "");
SYMBOL_CRC(ath11k_pcic_config_irq, 0xda970521, "");
SYMBOL_CRC(ath11k_pcic_ce_irqs_enable, 0xc860c018, "");
SYMBOL_CRC(ath11k_pcic_ce_irq_disable_sync, 0x20466f01, "");
SYMBOL_CRC(ath11k_pcic_stop, 0xd6c873a9, "");
SYMBOL_CRC(ath11k_pcic_start, 0x2764c434, "");
SYMBOL_CRC(ath11k_pcic_map_service_to_pipe, 0x8b8a6c65, "");
SYMBOL_CRC(ath11k_pcic_register_pci_ops, 0x4096862a, "");
SYMBOL_CRC(ath11k_pci_enable_ce_irqs_except_wake_irq, 0xa9b9c583, "");
SYMBOL_CRC(ath11k_pci_disable_ce_irqs_except_wake_irq, 0x7f711fc3, "");
SYMBOL_CRC(ath11k_fw_destroy, 0x4eec3d2a, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x7ea80766, "ieee80211_wake_queues" },
	{ 0x209cb8eb, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x7f1a855c, "qmi_txn_init" },
	{ 0x32219693, "ieee80211_report_low_ack" },
	{ 0xf8279c6b, "ieee80211_beacon_get_template" },
	{ 0xde80cd09, "ioremap" },
	{ 0xc2a79e8f, "crypto_shash_update" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x72c8f65a, "ieee80211_free_txskb" },
	{ 0x11f16b6f, "ieee80211_alloc_hw_nm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x11089ac7, "_ctype" },
	{ 0x4d470eb0, "idr_destroy" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x943b0e8b, "kernel_connect" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x48f3cb1, "devm_hwmon_device_register_with_groups" },
	{ 0xfb578fc5, "memset" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0xcee336e0, "rht_bucket_nested_insert" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x7c983a5d, "dmi_walk" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0xae043533, "ieee80211_beacon_free_ema_list" },
	{ 0x4e69b266, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x77fab3d9, "rhashtable_destroy" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x589e015f, "ieee80211_ready_on_channel" },
	{ 0xccfb1856, "ieee80211_stop_queues" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd62ba63d, "skb_trim" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x87a88387, "qmi_handle_release" },
	{ 0x6d343d90, "__netif_napi_del_locked" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa0cf4391, "rhashtable_insert_slow" },
	{ 0x41229c10, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xedd7eb58, "rt_read_lock" },
	{ 0x65611de2, "ieee80211_vif_to_wdev" },
	{ 0xe7f5881c, "alloc_netdev_dummy" },
	{ 0xf4334299, "dma_free_attrs" },
	{ 0x8d1224dc, "rhashtable_init_noprof" },
	{ 0xdf342800, "ieee80211_scan_completed" },
	{ 0xa3272c2, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0xfca1d7dd, "crypto_shash_final" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9199b9f0, "param_ops_bool" },
	{ 0xd553fef9, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x9ebb2bfc, "rt_read_unlock" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xacc44fde, "ieee80211_color_change_finish" },
	{ 0xe5937282, "ieee80211_radar_detected" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x471daef1, "thermal_cooling_device_unregister" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x8a323a52, "ieee80211_queue_work" },
	{ 0xf21d30b1, "napi_schedule_prep" },
	{ 0x754d539c, "strlen" },
	{ 0x664821c4, "napi_disable" },
	{ 0x16a57400, "dev_kfree_skb_any_reason" },
	{ 0x5cba2be4, "ieee80211_bss_get_elem" },
	{ 0xe439af5b, "regulatory_set_wiphy_regd" },
	{ 0xdeb86845, "cfg80211_chandef_dfs_cac_time" },
	{ 0xd63960b9, "crypto_alloc_shash" },
	{ 0x748194d4, "ieee80211_beacon_get_template_ema_list" },
	{ 0xefe9e8ec, "qmi_add_lookup" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x5a4b19b2, "__cfg80211_get_bss" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xd9eb2768, "ieee80211_csa_finish" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x4a9de351, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xbf02db51, "ieee80211_beacon_update_cntdwn" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe91f9b82, "ieee80211_gtk_rekey_notify" },
	{ 0x77c7a4b1, "device_set_wakeup_enable" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0x83ecc1ae, "cfg80211_chandef_dfs_usable" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xad68421f, "ieee80211_connection_loss" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xe0d5814e, "device_set_wakeup_capable" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x333051c0, "idr_find" },
	{ 0xe5eb5fd0, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x3ec4ea5, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4cd2fe40, "qmi_response_type_v01_ei" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x9b20e596, "firmware_request_nowarn" },
	{ 0xb74a4901, "qmi_handle_init" },
	{ 0x74885bdc, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7f0ffce8, "device_get_mac_address" },
	{ 0x3bc51ac0, "ieee80211_get_unsol_bcast_probe_resp_tmpl" },
	{ 0x512c59c3, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0x49e1ab4f, "ieee80211_free_hw" },
	{ 0xb51d11a4, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x96848186, "scnprintf" },
	{ 0x7bab156e, "dma_free_pages" },
	{ 0x9257c716, "ieee80211_iterate_stations_atomic" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0x5c8f81ef, "devm_ioremap" },
	{ 0xedc03953, "iounmap" },
	{ 0x74bdbf9e, "ieee80211_tx_status_ext" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfb1f865e, "ieee80211_beacon_loss" },
	{ 0x37a0cba, "kfree" },
	{ 0x6a073ca4, "ieee80211_get_fils_discovery_tmpl" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0x3b3f2267, "thermal_cooling_device_register" },
	{ 0x787b24e9, "ieee80211_register_hw" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x7651a0b5, "netif_napi_add_weight_locked" },
	{ 0x317221f1, "ieee80211_restart_hw" },
	{ 0x3416d62c, "prepare_to_wait_event" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x5ddafdf5, "ieee80211_get_hdrlen_from_skb" },
	{ 0xf6491531, "__wake_up" },
	{ 0xfdb512aa, "ieee80211_hw_restart_disconnect" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xd1d47d16, "pskb_expand_head" },
	{ 0x44c339bf, "dev_driver_string" },
	{ 0xe7d10c72, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x69509299, "ieee80211_find_sta" },
	{ 0x28ba6fe1, "dma_map_page_attrs" },
	{ 0xe5b15f80, "qmi_send_request" },
	{ 0x95b46469, "napi_complete_done" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x7511adf6, "ieee80211_handle_wake_tx_queue" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x3ac6f028, "ieee80211_tx_status_irqsafe" },
	{ 0x4720577b, "dma_alloc_pages" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0x25f6d075, "ieee80211_iter_chan_contexts_atomic" },
	{ 0x670db660, "__napi_schedule" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0xc2def520, "cfg80211_put_bss" },
	{ 0xed0bc201, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xaa554560, "qmi_txn_wait" },
	{ 0x71b12b37, "_dev_info" },
	{ 0xe648e7c0, "skb_queue_tail" },
	{ 0xa2ab3be2, "ieee80211_get_channel_khz" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xe06a823e, "sysfs_create_link" },
	{ 0x9a052515, "ieee80211_obss_color_collision_notify" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xb9a85f0c, "idr_remove" },
	{ 0x7417e46f, "wiphy_to_ieee80211_hw" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xe37c1f69, "__skb_get_hash_net" },
	{ 0x367306fd, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xcc4586b, "ieee80211_queue_delayed_work" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x7fe1c58f, "crypto_shash_setkey" },
	{ 0x1c785e13, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x769d56d6, "qmi_txn_cancel" },
	{ 0x48ca2416, "sysfs_remove_link" },
	{ 0x9820f51a, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x6d64c27f, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xfb969b03, "ieee80211_find_sta_by_ifaddr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xc051ceae, "ieee80211_remain_on_channel_expired" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xed153b93, "skb_push" },
	{ 0x18595920, "dma_alloc_attrs" },
	{ 0xb70ca8ae, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0x13c0013, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "mac80211,qmi_helpers,cfg80211");


MODULE_INFO(srcversion, "6D543EA4A5F90755780D46B");

MODULE_INFO(suserelease, "SLFO-1.2");
