#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ath12k_core_suspend, "", "");
KSYMTAB_FUNC(ath12k_core_suspend_late, "", "");
KSYMTAB_FUNC(ath12k_core_resume_early, "", "");
KSYMTAB_FUNC(ath12k_core_resume, "", "");

SYMBOL_CRC(ath12k_core_suspend, 0x2dd4dab4, "");
SYMBOL_CRC(ath12k_core_suspend_late, 0x9565ab29, "");
SYMBOL_CRC(ath12k_core_resume_early, 0x2d19c34a, "");
SYMBOL_CRC(ath12k_core_resume, 0x47d67f16, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x82f7dcd5, "mhi_free_controller" },
	{ 0x6935585e, "pci_iounmap" },
	{ 0x11089ac7, "_ctype" },
	{ 0x4d470eb0, "idr_destroy" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x943b0e8b, "kernel_connect" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0x83358fe5, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x7c983a5d, "dmi_walk" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0xae043533, "ieee80211_beacon_free_ema_list" },
	{ 0x4e69b266, "__netdev_alloc_skb" },
	{ 0xb3b98a6e, "ieee80211_iterate_stations_mtx" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x589e015f, "ieee80211_ready_on_channel" },
	{ 0xccfb1856, "ieee80211_stop_queues" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd62ba63d, "skb_trim" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x87a88387, "qmi_handle_release" },
	{ 0xe2f57ce4, "skb_cow_data" },
	{ 0x6d343d90, "__netif_napi_del_locked" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xaf36c569, "dma_set_coherent_mask" },
	{ 0x153f8b82, "mhi_alloc_controller" },
	{ 0x97210b38, "skb_realloc_headroom" },
	{ 0x1681e216, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x41229c10, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdccdea5a, "mhi_unregister_controller" },
	{ 0xedd7eb58, "rt_read_lock" },
	{ 0x65611de2, "ieee80211_vif_to_wdev" },
	{ 0xe7f5881c, "alloc_netdev_dummy" },
	{ 0xf4334299, "dma_free_attrs" },
	{ 0xbd6995e5, "atomic_notifier_chain_unregister" },
	{ 0xdf342800, "ieee80211_scan_completed" },
	{ 0xa3272c2, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0xfca1d7dd, "crypto_shash_final" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x15139be3, "mhi_unprepare_after_power_down" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x998476b4, "pskb_put" },
	{ 0xd553fef9, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x9ebb2bfc, "rt_read_unlock" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xfb5af384, "pci_disable_device" },
	{ 0xe5937282, "ieee80211_radar_detected" },
	{ 0xa7524338, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x8a323a52, "ieee80211_queue_work" },
	{ 0xf21d30b1, "napi_schedule_prep" },
	{ 0x754d539c, "strlen" },
	{ 0x664821c4, "napi_disable" },
	{ 0x16a57400, "dev_kfree_skb_any_reason" },
	{ 0x5cba2be4, "ieee80211_bss_get_elem" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0xd63960b9, "crypto_alloc_shash" },
	{ 0xc01defd9, "pci_write_config_word" },
	{ 0x748194d4, "ieee80211_beacon_get_template_ema_list" },
	{ 0x2e5192c9, "pci_release_region" },
	{ 0xe4a8014f, "mhi_prepare_for_power_up" },
	{ 0xd6336f23, "pci_free_irq_vectors" },
	{ 0xefe9e8ec, "qmi_add_lookup" },
	{ 0x5a4b19b2, "__cfg80211_get_bss" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xd9eb2768, "ieee80211_csa_finish" },
	{ 0x4a9de351, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe91f9b82, "ieee80211_gtk_rekey_notify" },
	{ 0x77c7a4b1, "device_set_wakeup_enable" },
	{ 0xe859e1a6, "pcie_capability_read_word" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0x8e8fe540, "regulatory_set_wiphy_regd_sync" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc8c84753, "pci_request_region" },
	{ 0xad68421f, "ieee80211_connection_loss" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x187dccfa, "is_acpi_device_node" },
	{ 0xe0d5814e, "device_set_wakeup_capable" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x333051c0, "idr_find" },
	{ 0xe5eb5fd0, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xbd12925f, "pci_enable_device" },
	{ 0x3ec4ea5, "skb_put" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4cd2fe40, "qmi_response_type_v01_ei" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x9b20e596, "firmware_request_nowarn" },
	{ 0x94c9bfcb, "mhi_power_down_keep_dev" },
	{ 0xb74a4901, "qmi_handle_init" },
	{ 0x74885bdc, "consume_skb" },
	{ 0x6b9a2b93, "pci_iomap" },
	{ 0xb0e602eb, "memmove" },
	{ 0x6c2c44a0, "pci_alloc_irq_vectors" },
	{ 0xd0db3882, "mhi_device_put" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3bc51ac0, "ieee80211_get_unsol_bcast_probe_resp_tmpl" },
	{ 0x2c451c76, "mhi_sync_power_up" },
	{ 0xc873a31c, "mhi_power_down" },
	{ 0x512c59c3, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0xbf391781, "mhi_pm_resume" },
	{ 0x49e1ab4f, "ieee80211_free_hw" },
	{ 0xb51d11a4, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x96848186, "scnprintf" },
	{ 0xd1ffe315, "__pci_register_driver" },
	{ 0x7ddaed39, "pci_assign_resource" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfb1f865e, "ieee80211_beacon_loss" },
	{ 0x37a0cba, "kfree" },
	{ 0x6a073ca4, "ieee80211_get_fils_discovery_tmpl" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xe929c118, "in6_dev_finish_destroy" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0x787b24e9, "ieee80211_register_hw" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x7651a0b5, "netif_napi_add_weight_locked" },
	{ 0x317221f1, "ieee80211_restart_hw" },
	{ 0x3416d62c, "prepare_to_wait_event" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x5ddafdf5, "ieee80211_get_hdrlen_from_skb" },
	{ 0xf6491531, "__wake_up" },
	{ 0xe885bad5, "pci_irq_vector" },
	{ 0xdf6c7729, "mhi_register_controller" },
	{ 0xfdb512aa, "ieee80211_hw_restart_disconnect" },
	{ 0xb6e3c8cb, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd1d47d16, "pskb_expand_head" },
	{ 0x44c339bf, "dev_driver_string" },
	{ 0xe9965b30, "ieee80211_tx_status_skb" },
	{ 0xe7d10c72, "crypto_destroy_tfm" },
	{ 0x127572c3, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x69509299, "ieee80211_find_sta" },
	{ 0x28ba6fe1, "dma_map_page_attrs" },
	{ 0xc5aca355, "panic_notifier_list" },
	{ 0xe5b15f80, "qmi_send_request" },
	{ 0x95b46469, "napi_complete_done" },
	{ 0x7511adf6, "ieee80211_handle_wake_tx_queue" },
	{ 0x92997ed8, "_printk" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x3ac6f028, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdd46b7e0, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0x25f6d075, "ieee80211_iter_chan_contexts_atomic" },
	{ 0x670db660, "__napi_schedule" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0xc2def520, "cfg80211_put_bss" },
	{ 0xed0bc201, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xaa554560, "qmi_txn_wait" },
	{ 0xbde4309a, "mhi_pm_suspend" },
	{ 0x71b12b37, "_dev_info" },
	{ 0xe648e7c0, "skb_queue_tail" },
	{ 0xa2ab3be2, "ieee80211_get_channel_khz" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xb9a85f0c, "idr_remove" },
	{ 0x7417e46f, "wiphy_to_ieee80211_hw" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xcc4586b, "ieee80211_queue_delayed_work" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x7fe1c58f, "crypto_shash_setkey" },
	{ 0x1c785e13, "skb_pull" },
	{ 0xc267aaee, "mhi_device_get_sync" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x769d56d6, "qmi_txn_cancel" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x9820f51a, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6d64c27f, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x5cf6961e, "irq_get_irq_data" },
	{ 0xfb969b03, "ieee80211_find_sta_by_ifaddr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xc051ceae, "ieee80211_remain_on_channel_expired" },
	{ 0xde25a102, "pcie_capability_clear_and_set_word_locked" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xed153b93, "skb_push" },
	{ 0x18595920, "dma_alloc_attrs" },
	{ 0x6e1341a1, "pci_read_config_word" },
	{ 0xb70ca8ae, "napi_enable" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x7ea80766, "ieee80211_wake_queues" },
	{ 0x209cb8eb, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x7f1a855c, "qmi_txn_init" },
	{ 0x32219693, "ieee80211_report_low_ack" },
	{ 0xf8279c6b, "ieee80211_beacon_get_template" },
	{ 0xc2a79e8f, "crypto_shash_update" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x72c8f65a, "ieee80211_free_txskb" },
	{ 0x11f16b6f, "ieee80211_alloc_hw_nm" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "mhi,cfg80211,mac80211,qmi_helpers");

MODULE_ALIAS("pci:v000017CBd00001109sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000017CBd00001107sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "25E25A24180C755EC63EEC8");

MODULE_INFO(suserelease, "SLFO-1.2");
