#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ath9k_cmn_rx_accept, "", "");
KSYMTAB_FUNC(ath9k_cmn_rx_skb_postprocess, "", "");
KSYMTAB_FUNC(ath9k_cmn_process_rate, "", "");
KSYMTAB_FUNC(ath9k_cmn_process_rssi, "", "");
KSYMTAB_FUNC(ath9k_cmn_get_hw_crypto_keytype, "", "");
KSYMTAB_FUNC(ath9k_cmn_get_channel, "", "");
KSYMTAB_FUNC(ath9k_cmn_count_streams, "", "");
KSYMTAB_FUNC(ath9k_cmn_update_txpow, "", "");
KSYMTAB_FUNC(ath9k_cmn_init_crypto, "", "");
KSYMTAB_FUNC(ath9k_cmn_init_channels_rates, "", "");
KSYMTAB_FUNC(ath9k_cmn_setup_ht_cap, "", "");
KSYMTAB_FUNC(ath9k_cmn_reload_chainmask, "", "");
KSYMTAB_FUNC(ath9k_cmn_beacon_config_sta, "", "");
KSYMTAB_FUNC(ath9k_cmn_beacon_config_adhoc, "", "");
KSYMTAB_FUNC(ath9k_cmn_beacon_config_ap, "", "");

SYMBOL_CRC(ath9k_cmn_rx_accept, 0x6dc24ccd, "");
SYMBOL_CRC(ath9k_cmn_rx_skb_postprocess, 0x6a63c4f6, "");
SYMBOL_CRC(ath9k_cmn_process_rate, 0x36b2a563, "");
SYMBOL_CRC(ath9k_cmn_process_rssi, 0xaeb53a15, "");
SYMBOL_CRC(ath9k_cmn_get_hw_crypto_keytype, 0xe0d552d3, "");
SYMBOL_CRC(ath9k_cmn_get_channel, 0x44e3b9ed, "");
SYMBOL_CRC(ath9k_cmn_count_streams, 0xd2981357, "");
SYMBOL_CRC(ath9k_cmn_update_txpow, 0x0ed5a9d9, "");
SYMBOL_CRC(ath9k_cmn_init_crypto, 0x13f6fadf, "");
SYMBOL_CRC(ath9k_cmn_init_channels_rates, 0x63935b6b, "");
SYMBOL_CRC(ath9k_cmn_setup_ht_cap, 0x33820397, "");
SYMBOL_CRC(ath9k_cmn_reload_chainmask, 0x2ffe04df, "");
SYMBOL_CRC(ath9k_cmn_beacon_config_sta, 0x1ebbad1e, "");
SYMBOL_CRC(ath9k_cmn_beacon_config_adhoc, 0xbab8e751, "");
SYMBOL_CRC(ath9k_cmn_beacon_config_ap, 0xe47ffdc7, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3cb06817, "devm_kmalloc" },
	{ 0xb0e602eb, "memmove" },
	{ 0x5ddafdf5, "ieee80211_get_hdrlen_from_skb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1c785e13, "skb_pull" },
	{ 0x191925d7, "ath9k_hw_gettsf64" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x5f7f0d6e, "ath9k_hw_set_txpowerlimit" },
	{ 0x47d8e6ba, "ath_hw_keyreset" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,ath9k_hw,ath");


MODULE_INFO(srcversion, "6AB875ABAF703AC5629CAD0");

MODULE_INFO(suserelease, "SLFO-1.2");
