#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(libipw_networks_age, "", "");
KSYMTAB_FUNC(alloc_libipw, "", "");
KSYMTAB_FUNC(free_libipw, "", "");
KSYMTAB_DATA(libipw_debug_level, "_gpl", "");
KSYMTAB_FUNC(libipw_xmit, "", "");
KSYMTAB_FUNC(libipw_txb_free, "", "");
KSYMTAB_FUNC(libipw_rx_any, "_gpl", "");
KSYMTAB_FUNC(libipw_rx_mgt, "", "");
KSYMTAB_FUNC(libipw_rx, "", "");
KSYMTAB_FUNC(libipw_wx_set_encodeext, "", "");
KSYMTAB_FUNC(libipw_wx_get_encodeext, "", "");
KSYMTAB_FUNC(libipw_wx_get_scan, "", "");
KSYMTAB_FUNC(libipw_wx_set_encode, "", "");
KSYMTAB_FUNC(libipw_wx_get_encode, "", "");
KSYMTAB_FUNC(libipw_get_channel, "", "");
KSYMTAB_FUNC(libipw_get_channel_flags, "", "");
KSYMTAB_FUNC(libipw_is_valid_channel, "", "");
KSYMTAB_FUNC(libipw_freq_to_channel, "", "");
KSYMTAB_FUNC(libipw_channel_to_freq, "", "");
KSYMTAB_FUNC(libipw_channel_to_index, "", "");
KSYMTAB_FUNC(libipw_set_geo, "", "");
KSYMTAB_FUNC(libipw_get_geo, "", "");

SYMBOL_CRC(libipw_networks_age, 0xf353525a, "");
SYMBOL_CRC(alloc_libipw, 0x539448ef, "");
SYMBOL_CRC(free_libipw, 0x6d79d564, "");
SYMBOL_CRC(libipw_debug_level, 0x498e4f1a, "_gpl");
SYMBOL_CRC(libipw_xmit, 0x8693596a, "");
SYMBOL_CRC(libipw_txb_free, 0x3300ef2e, "");
SYMBOL_CRC(libipw_rx_any, 0x2bbff22f, "_gpl");
SYMBOL_CRC(libipw_rx_mgt, 0x3a0f2170, "");
SYMBOL_CRC(libipw_rx, 0x597e065d, "");
SYMBOL_CRC(libipw_wx_set_encodeext, 0x961f85ac, "");
SYMBOL_CRC(libipw_wx_get_encodeext, 0xaf82c02d, "");
SYMBOL_CRC(libipw_wx_get_scan, 0x3abb2674, "");
SYMBOL_CRC(libipw_wx_set_encode, 0x83a20ad3, "");
SYMBOL_CRC(libipw_wx_get_encode, 0x876c961f, "");
SYMBOL_CRC(libipw_get_channel, 0x71db444a, "");
SYMBOL_CRC(libipw_get_channel_flags, 0x4c37d35d, "");
SYMBOL_CRC(libipw_is_valid_channel, 0x9a52c82f, "");
SYMBOL_CRC(libipw_freq_to_channel, 0x163c7e19, "");
SYMBOL_CRC(libipw_channel_to_freq, 0x80dd759d, "");
SYMBOL_CRC(libipw_channel_to_index, 0x11f14041, "");
SYMBOL_CRC(libipw_set_geo, 0x52c4d555, "");
SYMBOL_CRC(libipw_get_geo, 0x55fb7c38, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0x96848186, "scnprintf" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x2e4f415b, "seq_lseek" },
	{ 0x16252b2, "dev_kfree_skb_irq_reason" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x502db1b1, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9c104d4f, "wiphy_new_nm" },
	{ 0x39a91fe2, "lib80211_crypt_info_init" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0xbab7a12, "lib80211_get_crypto_ops" },
	{ 0x1eb1abab, "init_net" },
	{ 0x1c785e13, "skb_pull" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xed153b93, "skb_push" },
	{ 0x209cb8eb, "free_netdev" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xe823ba79, "proc_mkdir" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4d24402, "iwe_stream_add_point" },
	{ 0xa243c59d, "wireless_spy_update" },
	{ 0x5dfcb6d3, "netif_rx" },
	{ 0x4e69b266, "__netdev_alloc_skb" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4a38d9f7, "seq_read" },
	{ 0x4eff18cf, "lib80211_crypt_info_free" },
	{ 0x6e063721, "remove_proc_entry" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7ad7a5cd, "seq_printf" },
	{ 0x2ef6528d, "lib80211_crypt_delayed_deinit" },
	{ 0x8d8b2fb3, "single_release" },
	{ 0x16a57400, "dev_kfree_skb_any_reason" },
	{ 0xf2203c5f, "param_ops_int" },
	{ 0x495b28e9, "single_open" },
	{ 0xce8398f4, "wiphy_free" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x18689cd6, "alloc_etherdev_mqs" },
	{ 0x4e5daa9a, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4b401817, "iwe_stream_add_value" },
	{ 0x3ec4ea5, "skb_put" },
	{ 0x92c856a3, "iwe_stream_add_event" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x6843570f, "proc_create" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,lib80211");


MODULE_INFO(srcversion, "2C19031B733A5804C34CA22");

MODULE_INFO(suserelease, "SLFO-1.2");
