#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(p54_parse_eeprom, "_gpl", "");
KSYMTAB_FUNC(p54_read_eeprom, "_gpl", "");
KSYMTAB_FUNC(p54_parse_firmware, "_gpl", "");
KSYMTAB_FUNC(p54_free_skb, "_gpl", "");
KSYMTAB_FUNC(p54_rx, "_gpl", "");
KSYMTAB_FUNC(p54_init_common, "_gpl", "");
KSYMTAB_FUNC(p54_register_common, "_gpl", "");
KSYMTAB_FUNC(p54_free_common, "_gpl", "");
KSYMTAB_FUNC(p54_unregister_common, "_gpl", "");

SYMBOL_CRC(p54_parse_eeprom, 0xb6c5fb10, "_gpl");
SYMBOL_CRC(p54_read_eeprom, 0x64887aa7, "_gpl");
SYMBOL_CRC(p54_parse_firmware, 0x2e9a021b, "_gpl");
SYMBOL_CRC(p54_free_skb, 0x286270b1, "_gpl");
SYMBOL_CRC(p54_rx, 0xa8792f48, "_gpl");
SYMBOL_CRC(p54_init_common, 0xe949011d, "_gpl");
SYMBOL_CRC(p54_register_common, 0x4ec738b1, "_gpl");
SYMBOL_CRC(p54_free_common, 0x7de099d0, "_gpl");
SYMBOL_CRC(p54_unregister_common, 0xdd4cd6bc, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x947506df, "__ieee80211_get_radio_led_name" },
	{ 0x52ecbc75, "crc_ccitt" },
	{ 0x99d399e6, "ieee80211_wake_queue" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x76c0b6ec, "__ieee80211_get_tx_led_name" },
	{ 0xbddffed2, "skb_queue_purge_reason" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7511adf6, "ieee80211_handle_wake_tx_queue" },
	{ 0x92997ed8, "_printk" },
	{ 0x3ac6f028, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0xed8b33fb, "__ieee80211_get_rx_led_name" },
	{ 0x71b12b37, "_dev_info" },
	{ 0xe648e7c0, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xcc4586b, "ieee80211_queue_delayed_work" },
	{ 0xc8240d31, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0x1c785e13, "skb_pull" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xed153b93, "skb_push" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x72c8f65a, "ieee80211_free_txskb" },
	{ 0xd0e19135, "led_classdev_register_ext" },
	{ 0x11f16b6f, "ieee80211_alloc_hw_nm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0x52d94878, "ieee80211_emulate_add_chanctx" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x5fc7a529, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x88813a7a, "ieee80211_stop_queue" },
	{ 0x4e69b266, "__netdev_alloc_skb" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xd62ba63d, "skb_trim" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xbf2cd263, "skb_unlink" },
	{ 0x1681e216, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x683342c5, "__ieee80211_get_assoc_led_name" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9199b9f0, "param_ops_bool" },
	{ 0xd553fef9, "ieee80211_unregister_hw" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xdb3eca82, "ieee80211_beacon_get_tim" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x16a57400, "dev_kfree_skb_any_reason" },
	{ 0x704c5d41, "_dev_printk" },
	{ 0xf0f65626, "ieee80211_emulate_remove_chanctx" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xbb483953, "ieee80211_rx_irqsafe" },
	{ 0xdefc10ec, "skb_queue_head" },
	{ 0x3ec4ea5, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x74885bdc, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x512c59c3, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0x49e1ab4f, "ieee80211_free_hw" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfb1f865e, "ieee80211_beacon_loss" },
	{ 0x4f3980ac, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x10dc7c41, "led_classdev_unregister" },
	{ 0x787b24e9, "ieee80211_register_hw" },
	{ 0x71c19537, "ieee80211_emulate_change_chanctx" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x5ddafdf5, "ieee80211_get_hdrlen_from_skb" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "C1FE7481AB18C588612452C");

MODULE_INFO(suserelease, "SLFO-1.2");
