#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(lbs_cmd_copyback, "_gpl", "");
KSYMTAB_FUNC(lbs_host_sleep_cfg, "_gpl", "");
KSYMTAB_FUNC(__lbs_cmd, "_gpl", "");
KSYMTAB_DATA(lbs_debug, "_gpl", "");
KSYMTAB_FUNC(lbs_host_to_card_done, "_gpl", "");
KSYMTAB_FUNC(lbs_suspend, "_gpl", "");
KSYMTAB_FUNC(lbs_resume, "_gpl", "");
KSYMTAB_FUNC(lbs_add_card, "_gpl", "");
KSYMTAB_FUNC(lbs_remove_card, "_gpl", "");
KSYMTAB_FUNC(lbs_start_card, "_gpl", "");
KSYMTAB_FUNC(lbs_stop_card, "_gpl", "");
KSYMTAB_FUNC(lbs_queue_event, "_gpl", "");
KSYMTAB_FUNC(lbs_notify_command_response, "_gpl", "");
KSYMTAB_FUNC(lbs_process_rxed_packet, "_gpl", "");
KSYMTAB_FUNC(lbs_send_tx_feedback, "_gpl", "");
KSYMTAB_FUNC(lbs_get_firmware_async, "_gpl", "");
KSYMTAB_FUNC(lbs_get_firmware, "_gpl", "");

SYMBOL_CRC(lbs_cmd_copyback, 0x09cf4d27, "_gpl");
SYMBOL_CRC(lbs_host_sleep_cfg, 0x49d36311, "_gpl");
SYMBOL_CRC(__lbs_cmd, 0x44a8a5be, "_gpl");
SYMBOL_CRC(lbs_debug, 0xf64277de, "_gpl");
SYMBOL_CRC(lbs_host_to_card_done, 0x8a210108, "_gpl");
SYMBOL_CRC(lbs_suspend, 0xa03923e6, "_gpl");
SYMBOL_CRC(lbs_resume, 0x7fd40881, "_gpl");
SYMBOL_CRC(lbs_add_card, 0xa3f695ee, "_gpl");
SYMBOL_CRC(lbs_remove_card, 0xb8b42307, "_gpl");
SYMBOL_CRC(lbs_start_card, 0x8ade3fe6, "_gpl");
SYMBOL_CRC(lbs_stop_card, 0x0cd543e9, "_gpl");
SYMBOL_CRC(lbs_queue_event, 0xca8962fb, "_gpl");
SYMBOL_CRC(lbs_notify_command_response, 0xbc2e4c36, "_gpl");
SYMBOL_CRC(lbs_process_rxed_packet, 0xee7d3bf7, "_gpl");
SYMBOL_CRC(lbs_send_tx_feedback, 0x5308373f, "_gpl");
SYMBOL_CRC(lbs_get_firmware_async, 0xfe209722, "_gpl");
SYMBOL_CRC(lbs_get_firmware, 0xcb31d906, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfac36b26, "cfg80211_ibss_joined" },
	{ 0xd2a350e5, "request_firmware_nowait" },
	{ 0x5a0f8bd0, "simple_open" },
	{ 0x1c785e13, "skb_pull" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6d64c27f, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x734a7a1d, "cfg80211_michael_mic_failure" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xed153b93, "skb_push" },
	{ 0x6de67898, "debugfs_remove" },
	{ 0xc10e4626, "register_netdev" },
	{ 0x8b61898a, "wiphy_unregister" },
	{ 0x209cb8eb, "free_netdev" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xad6d7e4b, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x8be8cd38, "netif_tx_wake_queue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0x5dfcb6d3, "netif_rx" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x18c68f13, "netdev_alert" },
	{ 0xd00c9875, "kthread_create_on_node" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf2eabe4f, "netif_carrier_off" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x72153cc5, "netif_carrier_on" },
	{ 0x8ae718dd, "debugfs_create_file_full" },
	{ 0xd6a78628, "remove_wait_queue" },
	{ 0xda62621, "cfg80211_inform_bss_data" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x754d539c, "strlen" },
	{ 0x16a57400, "dev_kfree_skb_any_reason" },
	{ 0x5cba2be4, "ieee80211_bss_get_elem" },
	{ 0xf2203c5f, "param_ops_int" },
	{ 0xd20f3ddd, "debugfs_create_dir" },
	{ 0x17c07a93, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xa2a74bd3, "cfg80211_connect_done" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x5a4b19b2, "__cfg80211_get_bss" },
	{ 0xce8398f4, "wiphy_free" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0xea4c8dbd, "ieee80211_get_num_supported_channels" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x8a9b70b, "netdev_info" },
	{ 0x35729f61, "device_remove_file" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xf86c494b, "cfg80211_scan_done" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x74885bdc, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x852c5aa5, "unregister_netdev" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0xacf7e913, "request_firmware" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x4f3980ac, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0xa55b06bd, "add_wait_queue" },
	{ 0x3b2e7a22, "eth_validate_addr" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x16252b2, "dev_kfree_skb_irq_reason" },
	{ 0x3416d62c, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6491531, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x7184f27f, "cfg80211_disconnected" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x3f11db9b, "ether_setup" },
	{ 0x4424eef3, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xd1d47d16, "pskb_expand_head" },
	{ 0x1d8a5fdd, "wake_up_process" },
	{ 0x712fdcf3, "dev_addr_mod" },
	{ 0x502db1b1, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc025779, "alloc_netdev_mqs" },
	{ 0x9c104d4f, "wiphy_new_nm" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0x90ab2d87, "wiphy_register" },
	{ 0xa916b694, "strnlen" },
	{ 0xc2def520, "cfg80211_put_bss" },
	{ 0x7af53312, "netif_device_detach" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0xe215f75b, "netif_device_attach" },
	{ 0xa2ab3be2, "ieee80211_get_channel_khz" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x3cd2a400, "device_create_file" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "cfg80211");


MODULE_INFO(srcversion, "16BA492FC8EBB2531B34EC3");

MODULE_INFO(suserelease, "SLFO-1.2");
