#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt76s_read_pcr, "_gpl", "");
KSYMTAB_FUNC(mt76s_rr, "_gpl", "");
KSYMTAB_FUNC(mt76s_wr, "_gpl", "");
KSYMTAB_FUNC(mt76s_rmw, "_gpl", "");
KSYMTAB_FUNC(mt76s_write_copy, "_gpl", "");
KSYMTAB_FUNC(mt76s_read_copy, "_gpl", "");
KSYMTAB_FUNC(mt76s_wr_rp, "_gpl", "");
KSYMTAB_FUNC(mt76s_rd_rp, "_gpl", "");
KSYMTAB_FUNC(mt76s_hw_init, "_gpl", "");
KSYMTAB_FUNC(mt76s_alloc_rx_queue, "_gpl", "");
KSYMTAB_FUNC(mt76s_alloc_tx, "_gpl", "");
KSYMTAB_FUNC(mt76s_deinit, "_gpl", "");
KSYMTAB_FUNC(mt76s_init, "_gpl", "");
KSYMTAB_FUNC(mt76s_txrx_worker, "_gpl", "");
KSYMTAB_FUNC(mt76s_sdio_irq, "_gpl", "");
KSYMTAB_FUNC(mt76s_txqs_empty, "_gpl", "");

SYMBOL_CRC(mt76s_read_pcr, 0x5485030a, "_gpl");
SYMBOL_CRC(mt76s_rr, 0x305d905b, "_gpl");
SYMBOL_CRC(mt76s_wr, 0x90dffe0f, "_gpl");
SYMBOL_CRC(mt76s_rmw, 0x68f67b11, "_gpl");
SYMBOL_CRC(mt76s_write_copy, 0x871856ff, "_gpl");
SYMBOL_CRC(mt76s_read_copy, 0x4a129053, "_gpl");
SYMBOL_CRC(mt76s_wr_rp, 0xb2fcfef7, "_gpl");
SYMBOL_CRC(mt76s_rd_rp, 0x75e3fe1f, "_gpl");
SYMBOL_CRC(mt76s_hw_init, 0xa1e44493, "_gpl");
SYMBOL_CRC(mt76s_alloc_rx_queue, 0x2a61e350, "_gpl");
SYMBOL_CRC(mt76s_alloc_tx, 0x8bf59163, "_gpl");
SYMBOL_CRC(mt76s_deinit, 0x987d15fd, "_gpl");
SYMBOL_CRC(mt76s_init, 0x11bf7cd1, "_gpl");
SYMBOL_CRC(mt76s_txrx_worker, 0x84ca6681, "_gpl");
SYMBOL_CRC(mt76s_sdio_irq, 0x6ad447bf, "_gpl");
SYMBOL_CRC(mt76s_txqs_empty, 0xe665a5df, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x69acdf38, "memcpy" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf6491531, "__wake_up" },
	{ 0x321e2d9, "sched_set_fifo_low" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd1d47d16, "pskb_expand_head" },
	{ 0x68e24c8a, "mt76_tx_status_check" },
	{ 0x1d8a5fdd, "wake_up_process" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x148330d6, "__alloc_pages_noprof" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc9dfcb0d, "sdio_release_irq" },
	{ 0xbe3dbdfa, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xb43d6171, "sdio_readsb" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x61fc7c30, "__SCK__tp_func_dev_irq" },
	{ 0xc8d79ab8, "sdio_readl" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x481dda0e, "__put_devmap_managed_folio_refs" },
	{ 0xad6d7e4b, "kthread_stop" },
	{ 0x190cb344, "sdio_writel" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6eac0afc, "mt76_queue_tx_complete" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xd00c9875, "kthread_create_on_node" },
	{ 0x3e543dfd, "__tracepoint_dev_irq" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xbc54b604, "mt76_rx_poll_complete" },
	{ 0xe45628cb, "__SCT__tp_func_dev_irq" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x64a5c687, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1ec57b4f, "__mt76_worker_fn" },
	{ 0x4b3cdaab, "sdio_claim_irq" },
	{ 0xc71b2b37, "mt76_skb_adjust_pad" },
	{ 0x6fc71d2, "sdio_enable_func" },
	{ 0x5ecb90fc, "sdio_writesb" },
	{ 0x1e7da134, "skb_add_rx_frag_netmem" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x87d2785f, "sdio_release_host" },
	{ 0x513a9f7, "sdio_disable_func" },
	{ 0xb80f8c00, "sdio_set_block_size" },
	{ 0x3cb06817, "devm_kmalloc" },
	{ 0x3ec4ea5, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x1063cee6, "sdio_claim_host" },
	{ 0x74885bdc, "consume_skb" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "mt76,mmc_core");


MODULE_INFO(srcversion, "B6E40D830B39B4D935D3A06");

MODULE_INFO(suserelease, "SLFO-1.2");
