#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt7615_set_channel, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_sta_remove, "_gpl", "");
KSYMTAB_DATA(mt7615_ops, "_gpl", "");
KSYMTAB_FUNC(mt7615_thermal_init, "_gpl", "");
KSYMTAB_FUNC(mt7615_wait_for_mcu_init, "_gpl", "");
KSYMTAB_FUNC(mt7615_init_txpower, "_gpl", "");
KSYMTAB_FUNC(mt7615_init_work, "_gpl", "");
KSYMTAB_FUNC(mt7615_reg_map, "_gpl", "");
KSYMTAB_FUNC(mt7615_led_set_blink, "_gpl", "");
KSYMTAB_FUNC(mt7615_led_set_brightness, "_gpl", "");
KSYMTAB_FUNC(mt7615_register_ext_phy, "_gpl", "");
KSYMTAB_FUNC(mt7615_unregister_ext_phy, "_gpl", "");
KSYMTAB_FUNC(mt7615_init_device, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_fill_msg, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt7622_trigger_hif_int, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_restart, "_gpl", "");
KSYMTAB_FUNC(__mt7663_load_firmware, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_init, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_exit, "_gpl", "");
KSYMTAB_FUNC(mt7615_eeprom_init, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_write_txwi, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_sta_poll, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_set_rates, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_enable_rtscts, "_gpl", "");
KSYMTAB_FUNC(mt7615_rx_check, "_gpl", "");
KSYMTAB_FUNC(mt7615_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt7615_update_channel, "_gpl", "");
KSYMTAB_FUNC(mt7615_tx_token_put, "_gpl", "");
KSYMTAB_FUNC(mt7615_init_debugfs, "_gpl", "");

SYMBOL_CRC(mt7615_set_channel, 0x0d7f8296, "_gpl");
SYMBOL_CRC(mt7615_mac_sta_add, 0xb5526448, "_gpl");
SYMBOL_CRC(mt7615_mac_sta_remove, 0x36f103eb, "_gpl");
SYMBOL_CRC(mt7615_ops, 0xb1c8712b, "_gpl");
SYMBOL_CRC(mt7615_thermal_init, 0x9b027042, "_gpl");
SYMBOL_CRC(mt7615_wait_for_mcu_init, 0xa6974cbc, "_gpl");
SYMBOL_CRC(mt7615_init_txpower, 0x8c7c500b, "_gpl");
SYMBOL_CRC(mt7615_init_work, 0x2a585c32, "_gpl");
SYMBOL_CRC(mt7615_reg_map, 0xba28e5eb, "_gpl");
SYMBOL_CRC(mt7615_led_set_blink, 0x6e648298, "_gpl");
SYMBOL_CRC(mt7615_led_set_brightness, 0xbf644eb5, "_gpl");
SYMBOL_CRC(mt7615_register_ext_phy, 0x68a96e49, "_gpl");
SYMBOL_CRC(mt7615_unregister_ext_phy, 0x2d0a30f3, "_gpl");
SYMBOL_CRC(mt7615_init_device, 0xb0059c4e, "_gpl");
SYMBOL_CRC(mt7615_mcu_fill_msg, 0xdba5e5dd, "_gpl");
SYMBOL_CRC(mt7615_mcu_parse_response, 0xb7eb9f65, "_gpl");
SYMBOL_CRC(mt7622_trigger_hif_int, 0x74747e91, "_gpl");
SYMBOL_CRC(mt7615_mcu_restart, 0x72d2d062, "_gpl");
SYMBOL_CRC(__mt7663_load_firmware, 0x03eda4ae, "_gpl");
SYMBOL_CRC(mt7615_mcu_init, 0x3b5598f7, "_gpl");
SYMBOL_CRC(mt7615_mcu_exit, 0xfe9d8767, "_gpl");
SYMBOL_CRC(mt7615_eeprom_init, 0x1d7eb1c9, "_gpl");
SYMBOL_CRC(mt7615_mac_write_txwi, 0x58dcec23, "_gpl");
SYMBOL_CRC(mt7615_mac_sta_poll, 0xa4d6eb7a, "_gpl");
SYMBOL_CRC(mt7615_mac_set_rates, 0x3ac8b5bf, "_gpl");
SYMBOL_CRC(mt7615_mac_enable_rtscts, 0xa1710fef, "_gpl");
SYMBOL_CRC(mt7615_rx_check, 0xc27bb013, "_gpl");
SYMBOL_CRC(mt7615_queue_rx_skb, 0xec91863b, "_gpl");
SYMBOL_CRC(mt7615_update_channel, 0xebf88b24, "_gpl");
SYMBOL_CRC(mt7615_tx_token_put, 0x0c56e59a, "_gpl");
SYMBOL_CRC(mt7615_init_debugfs, 0xf846b1f6, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x57b1a108, "mt76_wcid_key_setup" },
	{ 0x71b12b37, "_dev_info" },
	{ 0xfd6e4b5a, "mt76_connac_mcu_set_p2p_oppps" },
	{ 0xaeb98a5e, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0xd180d8ad, "mt76_rx" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xc9d16be4, "mt76_connac_mcu_sched_scan_req" },
	{ 0x8d10259c, "mt76_connac_mcu_alloc_wtbl_req" },
	{ 0x661cbf84, "mt76_connac_mcu_uni_add_bss" },
	{ 0xe6bd261a, "mt76_phy_dfs_state" },
	{ 0xb9a85f0c, "idr_remove" },
	{ 0x7417e46f, "wiphy_to_ieee80211_hw" },
	{ 0x75929dff, "debugfs_attr_read" },
	{ 0xc15befbe, "mt76_connac_mcu_hw_scan" },
	{ 0xe2b639fa, "mt76_tx_status_skb_done" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xcc4586b, "ieee80211_queue_delayed_work" },
	{ 0x10e5c809, "mt76_eeprom_init" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x7ec56c70, "perf_trace_run_bpf_submit" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x5a0f8bd0, "simple_open" },
	{ 0x1c785e13, "skb_pull" },
	{ 0x1be4b2d1, "debugfs_create_file_unsafe" },
	{ 0x2affe8c, "mt76_mcu_skb_send_and_get_msg" },
	{ 0x1dde4200, "simple_attr_release" },
	{ 0x608c7ad7, "mt76_update_survey_active_time" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x55b64098, "mt76_connac_mcu_beacon_loss_iter" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x652032cb, "mac_pton" },
	{ 0xc051ceae, "ieee80211_remain_on_channel_expired" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xed153b93, "skb_push" },
	{ 0x56a719f2, "seq_putc" },
	{ 0x658574f4, "trace_event_reg" },
	{ 0x7ea80766, "ieee80211_wake_queues" },
	{ 0xdf4bb8a0, "mt76_mcu_send_and_get_msg" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xf8279c6b, "ieee80211_beacon_get_template" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xc2e31baa, "mt76_eeprom_override" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x582e3b4d, "dev_coredumpv" },
	{ 0x18085bd2, "__mt76_mcu_msg_alloc" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x908ca40c, "mt76_connac_wowlan_support" },
	{ 0x4d470eb0, "idr_destroy" },
	{ 0x73aef87d, "mt76_connac_pm_dequeue_skbs" },
	{ 0x41add29a, "mt76_connac_mcu_set_pm" },
	{ 0x806fc4f0, "mt76_get_survey" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x48f3cb1, "devm_hwmon_device_register_with_groups" },
	{ 0x52d94878, "ieee80211_emulate_add_chanctx" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0xdb81211f, "__mt76_mcu_send_firmware" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb6aa6194, "debugfs_create_u32" },
	{ 0x5fc7a529, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0xf193611f, "mt76_connac_mcu_start_patch" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0xd512fa1e, "__SCK__tp_func_mac_txdone" },
	{ 0xb689721c, "mt76_sta_state" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x589e015f, "ieee80211_ready_on_channel" },
	{ 0xccfb1856, "ieee80211_stop_queues" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7b328e5a, "mt76_connac_mcu_del_wtbl_all" },
	{ 0x5797ad99, "mt76_connac_mcu_init_download" },
	{ 0x792c9efe, "devm_kasprintf" },
	{ 0x4a38d9f7, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc7dcd9d4, "mt76_connac_mcu_add_nested_tlv" },
	{ 0x17f568e9, "mt76_rates" },
	{ 0xf582fb09, "mt76_connac_mcu_cancel_hw_scan" },
	{ 0xdd1f4671, "mt76_get_rate_power_limits" },
	{ 0x27a7a36e, "trace_event_buffer_reserve" },
	{ 0x521e32e, "ieee80211_sched_scan_results" },
	{ 0xdf342800, "ieee80211_scan_completed" },
	{ 0xa3272c2, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xcec63af6, "mt76_insert_ccmp_hdr" },
	{ 0x6ca34786, "mt76_connac_mcu_sta_cmd" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9199b9f0, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xcaf569ed, "mt76_sw_scan_complete" },
	{ 0x66128225, "mt76_rx_aggr_start" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x9f7aac60, "seq_write" },
	{ 0xfcefb644, "mt76_connac_mcu_start_firmware" },
	{ 0x57a720c3, "____mt76_poll_msec" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x499825d8, "mt76_connac_mcu_wtbl_ht_tlv" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x124ac2e4, "mt76_connac_mcu_rdd_cmd" },
	{ 0x7ad7a5cd, "seq_printf" },
	{ 0x6e9eeba6, "mt76_connac_mcu_coredump_event" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x1ba97731, "mt76_get_sar_power" },
	{ 0x2811e80e, "mt76_unregister_phy" },
	{ 0x8ae718dd, "debugfs_create_file_full" },
	{ 0xe19a7eb7, "mt76_register_phy" },
	{ 0xe3504237, "mt76_connac_mcu_wtbl_hdr_trans_tlv" },
	{ 0x55d4edf1, "mt76_put_txwi" },
	{ 0xd912a77e, "mt76_wcid_cleanup" },
	{ 0xe5937282, "ieee80211_radar_detected" },
	{ 0xeea4feec, "mt76_connac_mcu_set_suspend_iter" },
	{ 0x7e3a5721, "__mt76_connac_mcu_alloc_sta_req" },
	{ 0x8d8b2fb3, "single_release" },
	{ 0xc1ddce26, "mt76_sw_scan" },
	{ 0x1588e353, "mt76_queues_read" },
	{ 0x40913b75, "mt76_connac_mcu_set_hif_suspend" },
	{ 0x71a08b52, "mt76_sta_pre_rcu_remove" },
	{ 0x7c2d88ce, "mt76_register_debugfs_fops" },
	{ 0xcd4ddb11, "mt76_connac_mcu_wtbl_generic_tlv" },
	{ 0x50779b25, "mt76_connac_mcu_bss_omac_tlv" },
	{ 0x78c2f3fb, "mt76_connac_mcu_sta_ba" },
	{ 0xc1ab40eb, "mt76_connac_mcu_bss_ext_tlv" },
	{ 0x8a323a52, "ieee80211_queue_work" },
	{ 0xf21d30b1, "napi_schedule_prep" },
	{ 0xabdc25bc, "mt76_connac_mcu_wtbl_ba_tlv" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0x44274caa, "mt76_connac_mcu_patch_sem_ctrl" },
	{ 0x2475b9b3, "__mt76_poll" },
	{ 0xa2e35f98, "mt76_rx_aggr_stop" },
	{ 0x1685522b, "debugfs_create_u8" },
	{ 0x495b28e9, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0x17c07a93, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf0f65626, "ieee80211_emulate_remove_chanctx" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x3e2a5bbe, "mt76_get_min_avg_rssi" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0xbb31a266, "__SCT__tp_func_mac_txdone" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x7fceb4f8, "mt76_connac_mcu_sta_basic_tlv" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xd9eb2768, "ieee80211_csa_finish" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xc8601472, "mt76_connac_mcu_update_gtk_rekey" },
	{ 0x27f30e74, "mt76_connac_mcu_set_rate_txpower" },
	{ 0x6b9aa8a5, "mt76_update_channel" },
	{ 0x4ae8caa7, "ieee80211_sta_register_airtime" },
	{ 0x7113b31e, "mt76_connac_mcu_bss_basic_tlv" },
	{ 0x417298cf, "mt76_connac_mcu_sta_tlv" },
	{ 0x77c7a4b1, "device_set_wakeup_enable" },
	{ 0xcdb7bd83, "mt76_tx_worker_run" },
	{ 0xf2a2ec5c, "mt76_init_sar_power" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6fc6da0f, "mt76_tx_status_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xdc2f1a09, "simple_attr_open" },
	{ 0x893791e0, "ieee80211_iterate_interfaces" },
	{ 0x76b3852f, "debugfs_attr_write" },
	{ 0x2deb6a97, "mt76_connac_mcu_sta_update_hdr_trans" },
	{ 0x294f49d3, "mt76_connac_mcu_sched_scan_enable" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x3cb06817, "devm_kmalloc" },
	{ 0x3ec4ea5, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b20e596, "firmware_request_nowarn" },
	{ 0x74885bdc, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x96a8bef9, "mt76_tx_status_skb_get" },
	{ 0xa11a97c1, "trace_raw_output_prep" },
	{ 0x24be6334, "mt76_tx_status_lock" },
	{ 0xb07d43ee, "__trace_trigger_soft_disabled" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0x8163e76e, "mt76_connac_mcu_set_rts_thresh" },
	{ 0xfa0a8321, "debugfs_create_u16" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0x49e1ab4f, "ieee80211_free_hw" },
	{ 0x97c385e5, "mt76_connac_mcu_set_channel_domain" },
	{ 0x263ca1b6, "mt76_connac_mcu_uni_add_dev" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xe1ad7498, "mt76_release_buffered_frames" },
	{ 0xacf7e913, "request_firmware" },
	{ 0xdf4574bf, "trace_event_printf" },
	{ 0x349edcf, "mt76_get_txpower" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7d0aaacc, "__tracepoint_mac_txdone" },
	{ 0x245c0e43, "mt76_connac_pm_wake" },
	{ 0x8e82456b, "mt76_get_rate" },
	{ 0xd703fa47, "mt76_wake_tx_queue" },
	{ 0x74bdbf9e, "ieee80211_tx_status_ext" },
	{ 0x549dee85, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x149d50f8, "mt76_connac_mcu_chip_config" },
	{ 0x3984e227, "mt76_get_antenna" },
	{ 0x37a0cba, "kfree" },
	{ 0x77343b0d, "mt76_connac_mcu_sta_ba_tlv" },
	{ 0xc7f2b633, "__mt76_tx_complete_skb" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0x2e4f415b, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xc220f038, "mt76_set_stream_caps" },
	{ 0x71c19537, "ieee80211_emulate_change_chanctx" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xd0d9d74c, "bpf_trace_run2" },
	{ 0x3416d62c, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x5ddafdf5, "ieee80211_get_hdrlen_from_skb" },
	{ 0xf6491531, "__wake_up" },
	{ 0x538f32f2, "cfg80211_chandef_valid" },
	{ 0xc878a35c, "mt76_connac_mcu_update_arp_filter" },
	{ 0x5304d8d5, "mt76_connac_mcu_set_vif_ps" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{  0x53bca, "mt76_mcu_rx_event" },
	{ 0xa3876069, "mt76_alloc_phy" },
	{ 0x16f09ffb, "mt76_connac_pm_queue_skb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xca093b4c, "mt76_wcid_init" },
	{ 0x68e24c8a, "mt76_tx_status_check" },
	{ 0x1d8a5fdd, "wake_up_process" },
	{ 0x806cea9d, "mt76_connac_free_pending_tx_skbs" },
	{ 0xbddffed2, "skb_queue_purge_reason" },
	{ 0x669c4311, "mt76_connac_power_save_sched" },
	{ 0x77188b5d, "trace_event_buffer_commit" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x50a9c240, "cfg80211_reg_check_beaconing" },
	{ 0xf6060c12, "ieee80211_send_bar" },
	{ 0x3638a202, "mt76_connac_mcu_wtbl_update_hdr_trans" },
	{ 0xf74aace7, "mt76_connac_txp_skb_unmap" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3ca9c896, "debugfs_create_devm_seqfile" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xbda07565, "mt76_tx" },
	{ 0x670db660, "__napi_schedule" },
	{ 0xa916b694, "strnlen" },
	{ 0xbe3dbdfa, "__alloc_skb" },
	{ 0x73f7ebb1, "mt76_connac_mcu_set_mac_enable" },
	{ 0xed0bc201, "idr_get_next" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "mt76,mt76-connac-lib,mac80211,cfg80211");


MODULE_INFO(srcversion, "A6FDF72437486A80FA758D1");

MODULE_INFO(suserelease, "SLFO-1.2");
