#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(mt76x02_rates, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_device, "_gpl", "");
KSYMTAB_FUNC(mt76x02_configure_filter, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_remove, "_gpl", "");
KSYMTAB_FUNC(mt76x02_add_interface, "_gpl", "");
KSYMTAB_FUNC(mt76x02_remove_interface, "_gpl", "");
KSYMTAB_FUNC(mt76x02_ampdu_action, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_key, "_gpl", "");
KSYMTAB_FUNC(mt76x02_conf_tx, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_tx_ackto, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_coverage_class, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_rts_threshold, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_rate_tbl_update, "_gpl", "");
KSYMTAB_FUNC(mt76x02_remove_hdr_pad, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_ps, "_gpl", "");
KSYMTAB_FUNC(mt76x02_bss_info_changed, "_gpl", "");
KSYMTAB_FUNC(mt76x02_config_mac_addr_list, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_reset_counters, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_shared_key_setup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_wcid_setup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_write_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_setaddr, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_update_channel, "_gpl", "");
KSYMTAB_FUNC(mt76x02_edcca_init, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_cc_reset, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_msg_send, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_function_select, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_set_radio_state, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_calibrate, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_cleanup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_ethtool_fwver, "_gpl", "");
KSYMTAB_FUNC(mt76x02_eeprom_copy, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_efuse_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02_eeprom_parse_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mt76x02_ext_pa_enabled, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_rx_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_lna_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_rxpath, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_txdac, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_max_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x02_limit_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x02_add_rate_power_offset, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_bw, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_band, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_adjust_vga_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_agc_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02e_init_beacon_config, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dma_init, "_gpl", "");
KSYMTAB_FUNC(mt76x02_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_irq_handler, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dma_disable, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_start, "_gpl", "");
KSYMTAB_FUNC(mt76x02_reconfig_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx, "_gpl", "");
KSYMTAB_FUNC(mt76x02_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_set_txpwr_auto, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_status_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_debugfs, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_dfs_adjust_agc, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dfs_init_params, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_set_beacon, "_gpl", "");
KSYMTAB_FUNC(mt76x02_resync_beacon_timer, "_gpl", "");
KSYMTAB_FUNC(mt76x02_update_beacon_iter, "_gpl", "");
KSYMTAB_FUNC(mt76x02_enqueue_buffered_bc, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_beacon_config, "_gpl", "");

SYMBOL_CRC(mt76x02_rates, 0x5bd84fd5, "_gpl");
SYMBOL_CRC(mt76x02_init_device, 0x39f71995, "_gpl");
SYMBOL_CRC(mt76x02_configure_filter, 0x5b3848e1, "_gpl");
SYMBOL_CRC(mt76x02_sta_add, 0x147a686f, "_gpl");
SYMBOL_CRC(mt76x02_sta_remove, 0xac8a1c64, "_gpl");
SYMBOL_CRC(mt76x02_add_interface, 0xede7b94a, "_gpl");
SYMBOL_CRC(mt76x02_remove_interface, 0xdf10a198, "_gpl");
SYMBOL_CRC(mt76x02_ampdu_action, 0x7a1a47f8, "_gpl");
SYMBOL_CRC(mt76x02_set_key, 0xc91d544b, "_gpl");
SYMBOL_CRC(mt76x02_conf_tx, 0xee6e61a6, "_gpl");
SYMBOL_CRC(mt76x02_set_tx_ackto, 0xd95b3ea2, "_gpl");
SYMBOL_CRC(mt76x02_set_coverage_class, 0xf435cedd, "_gpl");
SYMBOL_CRC(mt76x02_set_rts_threshold, 0x20bf61fa, "_gpl");
SYMBOL_CRC(mt76x02_sta_rate_tbl_update, 0x4b547341, "_gpl");
SYMBOL_CRC(mt76x02_remove_hdr_pad, 0x2a1baf00, "_gpl");
SYMBOL_CRC(mt76x02_sw_scan_complete, 0x70daa43a, "_gpl");
SYMBOL_CRC(mt76x02_sta_ps, 0x1ec236e8, "_gpl");
SYMBOL_CRC(mt76x02_bss_info_changed, 0xfa966e7d, "_gpl");
SYMBOL_CRC(mt76x02_config_mac_addr_list, 0x54d1a6b2, "_gpl");
SYMBOL_CRC(mt76x02_mac_reset_counters, 0xa72dd1c8, "_gpl");
SYMBOL_CRC(mt76x02_mac_shared_key_setup, 0x32ee2367, "_gpl");
SYMBOL_CRC(mt76x02_mac_wcid_setup, 0x3a9045bf, "_gpl");
SYMBOL_CRC(mt76x02_mac_write_txwi, 0x80e333b8, "_gpl");
SYMBOL_CRC(mt76x02_mac_setaddr, 0x4ae34afa, "_gpl");
SYMBOL_CRC(mt76x02_tx_complete_skb, 0x21e733d8, "_gpl");
SYMBOL_CRC(mt76x02_update_channel, 0xfcbd0bf5, "_gpl");
SYMBOL_CRC(mt76x02_edcca_init, 0x1943deff, "_gpl");
SYMBOL_CRC(mt76x02_mac_cc_reset, 0x61c0f72e, "_gpl");
SYMBOL_CRC(mt76x02_mcu_parse_response, 0xe73fed9d, "_gpl");
SYMBOL_CRC(mt76x02_mcu_msg_send, 0xc10ffd5e, "_gpl");
SYMBOL_CRC(mt76x02_mcu_function_select, 0x0ec0d722, "_gpl");
SYMBOL_CRC(mt76x02_mcu_set_radio_state, 0x3443f1c7, "_gpl");
SYMBOL_CRC(mt76x02_mcu_calibrate, 0x0842750f, "_gpl");
SYMBOL_CRC(mt76x02_mcu_cleanup, 0xa62aeb04, "_gpl");
SYMBOL_CRC(mt76x02_set_ethtool_fwver, 0x0c6df3d9, "_gpl");
SYMBOL_CRC(mt76x02_eeprom_copy, 0x7b199277, "_gpl");
SYMBOL_CRC(mt76x02_get_efuse_data, 0x3cbe00f7, "_gpl");
SYMBOL_CRC(mt76x02_eeprom_parse_hw_cap, 0xe0dccb47, "_gpl");
SYMBOL_CRC(mt76x02_ext_pa_enabled, 0xb01e3f2f, "_gpl");
SYMBOL_CRC(mt76x02_get_rx_gain, 0xd7fb4fba, "_gpl");
SYMBOL_CRC(mt76x02_get_lna_gain, 0xc55e72d6, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_rxpath, 0xe521f380, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_txdac, 0x2090b526, "_gpl");
SYMBOL_CRC(mt76x02_get_max_rate_power, 0xad5d3ba8, "_gpl");
SYMBOL_CRC(mt76x02_limit_rate_power, 0x93c479bc, "_gpl");
SYMBOL_CRC(mt76x02_add_rate_power_offset, 0x75fef85d, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_txpower, 0xd5f6a0de, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_bw, 0xd17e576b, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_band, 0xfdcef399, "_gpl");
SYMBOL_CRC(mt76x02_phy_adjust_vga_gain, 0xd1334782, "_gpl");
SYMBOL_CRC(mt76x02_init_agc_gain, 0x60bc5253, "_gpl");
SYMBOL_CRC(mt76x02e_init_beacon_config, 0x0fd26fa7, "_gpl");
SYMBOL_CRC(mt76x02_dma_init, 0xf60687bd, "_gpl");
SYMBOL_CRC(mt76x02_rx_poll_complete, 0x90730b90, "_gpl");
SYMBOL_CRC(mt76x02_irq_handler, 0x91d5b9ee, "_gpl");
SYMBOL_CRC(mt76x02_dma_disable, 0x6149127a, "_gpl");
SYMBOL_CRC(mt76x02_mac_start, 0xecece696, "_gpl");
SYMBOL_CRC(mt76x02_reconfig_complete, 0x1462bf7f, "_gpl");
SYMBOL_CRC(mt76x02_tx, 0xd50f7c92, "_gpl");
SYMBOL_CRC(mt76x02_queue_rx_skb, 0xe36e3fca, "_gpl");
SYMBOL_CRC(mt76x02_tx_set_txpwr_auto, 0xcedec87d, "_gpl");
SYMBOL_CRC(mt76x02_tx_status_data, 0xc115b48e, "_gpl");
SYMBOL_CRC(mt76x02_tx_prepare_skb, 0xf356d3ee, "_gpl");
SYMBOL_CRC(mt76x02_init_debugfs, 0xf92a327a, "_gpl");
SYMBOL_CRC(mt76x02_phy_dfs_adjust_agc, 0x2c758e92, "_gpl");
SYMBOL_CRC(mt76x02_dfs_init_params, 0x10b4c9ab, "_gpl");
SYMBOL_CRC(mt76x02_mac_set_beacon, 0xaceb63df, "_gpl");
SYMBOL_CRC(mt76x02_resync_beacon_timer, 0x2569eb47, "_gpl");
SYMBOL_CRC(mt76x02_update_beacon_iter, 0x291a65c2, "_gpl");
SYMBOL_CRC(mt76x02_enqueue_buffered_bc, 0x8889cc03, "_gpl");
SYMBOL_CRC(mt76x02_init_beacon_config, 0x28979a23, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x53569707, "this_cpu_off" },
	{ 0xfa60a6f9, "mt76_csa_check" },
	{ 0x79d08c19, "mt76_tx_status_skb_add" },
	{ 0x7d0aaacc, "__tracepoint_mac_txdone" },
	{ 0xff82c511, "mt76_tx_check_agg_ssn" },
	{ 0x74bdbf9e, "ieee80211_tx_status_ext" },
	{ 0x840bf8e6, "mt76_stop_tx_queues" },
	{ 0x66da095c, "___pskb_trim" },
	{ 0x549dee85, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xc7f2b633, "__mt76_tx_complete_skb" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0x2e4f415b, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x7651a0b5, "netif_napi_add_weight_locked" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x317221f1, "ieee80211_restart_hw" },
	{ 0xd0d9d74c, "bpf_trace_run2" },
	{ 0x5ddafdf5, "ieee80211_get_hdrlen_from_skb" },
	{ 0x2d25d452, "kthread_park" },
	{  0x53bca, "mt76_mcu_rx_event" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xca093b4c, "mt76_wcid_init" },
	{ 0x68e24c8a, "mt76_tx_status_check" },
	{ 0x1d8a5fdd, "wake_up_process" },
	{ 0x77188b5d, "trace_event_buffer_commit" },
	{ 0x9f20b33f, "ieee80211_get_buffered_bc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x95b46469, "napi_complete_done" },
	{ 0xbb90cf61, "ieee80211_get_tx_rates" },
	{ 0xf6060c12, "ieee80211_send_bar" },
	{ 0xbd786910, "rt_spin_trylock" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3ca9c896, "debugfs_create_devm_seqfile" },
	{ 0xbda07565, "mt76_tx" },
	{ 0x670db660, "__napi_schedule" },
	{ 0xac3eb94b, "mt76_csa_finish" },
	{ 0xa916b694, "strnlen" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x57b1a108, "mt76_wcid_key_setup" },
	{ 0x71b12b37, "_dev_info" },
	{ 0xaeb98a5e, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0xd180d8ad, "mt76_rx" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xac3df5d0, "kthread_unpark" },
	{ 0xe6bd261a, "mt76_phy_dfs_state" },
	{ 0x7417e46f, "wiphy_to_ieee80211_hw" },
	{ 0x1af538f3, "mt76_init_queue" },
	{ 0x75929dff, "debugfs_attr_read" },
	{ 0x4b3d6a64, "__mt76_sta_remove" },
	{ 0xe2b639fa, "mt76_tx_status_skb_done" },
	{ 0xcc4586b, "ieee80211_queue_delayed_work" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x7ec56c70, "perf_trace_run_bpf_submit" },
	{ 0xc8240d31, "_dev_err" },
	{ 0xf933d48, "debugfs_create_bool" },
	{ 0x1c785e13, "skb_pull" },
	{ 0x1dde4200, "simple_attr_release" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x61fc7c30, "__SCK__tp_func_dev_irq" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xed153b93, "skb_push" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xb70ca8ae, "napi_enable" },
	{ 0x56a719f2, "seq_putc" },
	{ 0x658574f4, "trace_event_reg" },
	{ 0x62c57dcc, "mt76_update_survey" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xc6634315, "mt76_ac_to_hwq" },
	{ 0x7ea80766, "ieee80211_wake_queues" },
	{ 0xdf4bb8a0, "mt76_mcu_send_and_get_msg" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xeb6ee81c, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x18085bd2, "__mt76_mcu_msg_alloc" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x2dd5b563, "mt76_set_irq_mask" },
	{ 0x57a45346, "bpf_trace_run1" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x91a8dcbd, "ieee80211_calc_tx_airtime" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb6aa6194, "debugfs_create_u32" },
	{ 0xd512fa1e, "__SCK__tp_func_mac_txdone" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xef8ac040, "mt76_seq_puts_array" },
	{ 0xccfb1856, "ieee80211_stop_queues" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xbd462b55, "__kfifo_init" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3e543dfd, "__tracepoint_dev_irq" },
	{ 0x4a38d9f7, "seq_read" },
	{ 0x8896065c, "mt76_mcu_get_response" },
	{ 0xe45628cb, "__SCT__tp_func_dev_irq" },
	{ 0x27a7a36e, "trace_event_buffer_reserve" },
	{ 0xa3272c2, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x46463fe, "mt76_txq_schedule_all" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66128225, "mt76_rx_aggr_start" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x9f7aac60, "seq_write" },
	{ 0x57a720c3, "____mt76_poll_msec" },
	{ 0x7ad7a5cd, "seq_printf" },
	{ 0xdb3eca82, "ieee80211_beacon_get_tim" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x8ae718dd, "debugfs_create_file_full" },
	{ 0xd912a77e, "mt76_wcid_cleanup" },
	{ 0xe5937282, "ieee80211_radar_detected" },
	{ 0x8d8b2fb3, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x1588e353, "mt76_queues_read" },
	{ 0x7c2d88ce, "mt76_register_debugfs_fops" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xf21d30b1, "napi_schedule_prep" },
	{ 0x664821c4, "napi_disable" },
	{ 0x16a57400, "dev_kfree_skb_any_reason" },
	{ 0x2475b9b3, "__mt76_poll" },
	{ 0xa2e35f98, "mt76_rx_aggr_stop" },
	{ 0x1685522b, "debugfs_create_u8" },
	{ 0x495b28e9, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x2ad5dad4, "mt76_dma_attach" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xbb31a266, "__SCT__tp_func_mac_txdone" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x4ae8caa7, "ieee80211_sta_register_airtime" },
	{ 0x3886c6f, "mt76_dma_rx_poll" },
	{ 0x6fc6da0f, "mt76_tx_status_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xdc2f1a09, "simple_attr_open" },
	{ 0x76b3852f, "debugfs_attr_write" },
	{ 0x3cb06817, "devm_kmalloc" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x74885bdc, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x96a8bef9, "mt76_tx_status_skb_get" },
	{ 0xa11a97c1, "trace_raw_output_prep" },
	{ 0x24be6334, "mt76_tx_status_lock" },
	{ 0x512c59c3, "skb_dequeue" },
	{ 0xb07d43ee, "__trace_trigger_soft_disabled" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xdf4574bf, "trace_event_printf" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "mt76,mac80211,cfg80211");


MODULE_INFO(srcversion, "C21C2831EC6BE3B8AFCF0B8");

MODULE_INFO(suserelease, "SLFO-1.2");
