#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt7921_rx_check, "_gpl", "");
KSYMTAB_FUNC(mt7921_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt7921_usb_sdio_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt7921_usb_sdio_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt7921_usb_sdio_tx_status_data, "_gpl", "");
KSYMTAB_FUNC(mt7921_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt7921_run_firmware, "_gpl", "");
KSYMTAB_FUNC(mt7921_mcu_radio_led_ctrl, "_gpl", "");
KSYMTAB_FUNC(mt7921_mcu_set_eeprom, "_gpl", "");
KSYMTAB_FUNC(__mt7921_start, "_gpl", "");
KSYMTAB_FUNC(mt7921_roc_abort_sync, "_gpl", "");
KSYMTAB_FUNC(mt7921_set_channel, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_sta_event, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_sta_remove, "_gpl", "");
KSYMTAB_DATA(mt7921_ops, "_gpl", "");
KSYMTAB_FUNC(mt7921_regd_update, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_init, "_gpl", "");
KSYMTAB_FUNC(mt7921_register_device, "_gpl", "");

SYMBOL_CRC(mt7921_rx_check, 0x1db1d589, "_gpl");
SYMBOL_CRC(mt7921_queue_rx_skb, 0xdde4cb29, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_prepare_skb, 0x55f372f9, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_complete_skb, 0xa974b6aa, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_status_data, 0x0b55f3fe, "_gpl");
SYMBOL_CRC(mt7921_mcu_parse_response, 0x7160d6c2, "_gpl");
SYMBOL_CRC(mt7921_run_firmware, 0x291f2446, "_gpl");
SYMBOL_CRC(mt7921_mcu_radio_led_ctrl, 0x9e5bb9c5, "_gpl");
SYMBOL_CRC(mt7921_mcu_set_eeprom, 0xa212dec2, "_gpl");
SYMBOL_CRC(__mt7921_start, 0xbabe3b8c, "_gpl");
SYMBOL_CRC(mt7921_roc_abort_sync, 0xf28c46a9, "_gpl");
SYMBOL_CRC(mt7921_set_channel, 0x7482373d, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_add, 0x8daf248f, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_event, 0xb419ab3a, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_remove, 0x8e0c4186, "_gpl");
SYMBOL_CRC(mt7921_ops, 0x0e15e09a, "_gpl");
SYMBOL_CRC(mt7921_regd_update, 0xeafb5158, "_gpl");
SYMBOL_CRC(mt7921_mac_init, 0x578c0bfb, "_gpl");
SYMBOL_CRC(mt7921_register_device, 0x16af372c, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe731fec5, "mt792x_mac_work" },
	{ 0xc878a35c, "mt76_connac_mcu_update_arp_filter" },
	{ 0xe2eac78d, "mt76_connac2_tx_check_aggr" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{  0x53bca, "mt76_mcu_rx_event" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd1d47d16, "pskb_expand_head" },
	{ 0xca093b4c, "mt76_wcid_init" },
	{ 0x1d8a5fdd, "wake_up_process" },
	{ 0x806cea9d, "mt76_connac_free_pending_tx_skbs" },
	{ 0x5e614e77, "mt792x_sta_statistics" },
	{ 0xbddffed2, "skb_queue_purge_reason" },
	{ 0x669c4311, "mt76_connac_power_save_sched" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x18d5d03d, "mt792x_conf_tx" },
	{ 0x50a9c240, "cfg80211_reg_check_beaconing" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3ca9c896, "debugfs_create_devm_seqfile" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x469786c5, "mt792x_get_et_sset_count" },
	{ 0x73f7ebb1, "mt76_connac_mcu_set_mac_enable" },
	{ 0x2bb563b, "mt792x_set_tsf" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x23196f4b, "mt792x_init_acpi_sar_power" },
	{ 0xa7f4f1c7, "mt792x_set_wakeup" },
	{ 0x57b1a108, "mt76_wcid_key_setup" },
	{ 0x71b12b37, "_dev_info" },
	{ 0xe648e7c0, "skb_queue_tail" },
	{ 0xaeb98a5e, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0xd180d8ad, "mt76_rx" },
	{ 0x4b2f7859, "mt792x_load_firmware" },
	{ 0xc9d16be4, "mt76_connac_mcu_sched_scan_req" },
	{ 0xd93394b, "mt792x_get_et_stats" },
	{ 0x72228d4b, "mt76_connac2_txwi_free" },
	{ 0xbccac362, "__tracepoint_lp_event" },
	{ 0x661cbf84, "mt76_connac_mcu_uni_add_bss" },
	{ 0xbc0d241f, "mt76_connac2_mac_add_txs_skb" },
	{ 0xb9a85f0c, "idr_remove" },
	{ 0x7417e46f, "wiphy_to_ieee80211_hw" },
	{ 0x75929dff, "debugfs_attr_read" },
	{ 0xc15befbe, "mt76_connac_mcu_hw_scan" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xcc4586b, "ieee80211_queue_delayed_work" },
	{ 0xd47e09e, "devm_kmemdup" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x1c785e13, "skb_pull" },
	{ 0xa1184c59, "mt76_register_device" },
	{ 0x210eef61, "mt792x_get_stats" },
	{ 0x2affe8c, "mt76_mcu_skb_send_and_get_msg" },
	{ 0x1dde4200, "simple_attr_release" },
	{ 0x224b3ad9, "mt792x_mac_set_timeing" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x16d50857, "mt76_find_power_limits_node" },
	{ 0xc051ceae, "ieee80211_remain_on_channel_expired" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xed153b93, "skb_push" },
	{ 0x56a719f2, "seq_putc" },
	{ 0x7ea80766, "ieee80211_wake_queues" },
	{ 0xdf4bb8a0, "mt76_mcu_send_and_get_msg" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xf8279c6b, "ieee80211_beacon_get_template" },
	{ 0xe5af426, "mt792x_pm_stats" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xc2e31baa, "mt76_eeprom_override" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x582e3b4d, "dev_coredumpv" },
	{ 0x18085bd2, "__mt76_mcu_msg_alloc" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x806fc4f0, "mt76_get_survey" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x48f3cb1, "devm_hwmon_device_register_with_groups" },
	{ 0x8b863a95, "mt76_token_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf5ddaca5, "mt792x_get_tsf" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0x2b64348b, "__pskb_pull_tail" },
	{ 0x5a7b5c38, "mt792x_pm_idle_timeout_set" },
	{ 0x142f7f, "mt792x_tx" },
	{ 0x1067c564, "mt792x_get_et_strings" },
	{ 0xb689721c, "mt76_sta_state" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x589e015f, "ieee80211_ready_on_channel" },
	{ 0xccfb1856, "ieee80211_stop_queues" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x792c9efe, "devm_kasprintf" },
	{ 0xc19197c8, "mt792x_remove_interface" },
	{ 0x4a38d9f7, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xedd7eb58, "rt_read_lock" },
	{ 0x17f568e9, "mt76_rates" },
	{ 0xb9a3daaa, "mt792x_queues_read" },
	{ 0xf582fb09, "mt76_connac_mcu_cancel_hw_scan" },
	{ 0xb6903a8b, "mt792x_queues_acq" },
	{ 0x521e32e, "ieee80211_sched_scan_results" },
	{ 0xdf342800, "ieee80211_scan_completed" },
	{ 0xa3272c2, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xcec63af6, "mt76_insert_ccmp_hdr" },
	{ 0x6ca34786, "mt76_connac_mcu_sta_cmd" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9199b9f0, "param_ops_bool" },
	{ 0x24b20a25, "mt76_connac2_reverse_frag0_hdr_trans" },
	{ 0xce46d725, "mt792x_tx_stats_show" },
	{ 0x7198d318, "mt792x_acpi_get_mtcl_conf" },
	{ 0x66128225, "mt76_rx_aggr_start" },
	{ 0x5940d52e, "__SCK__tp_func_lp_event" },
	{ 0x9ebb2bfc, "rt_read_unlock" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x7ad7a5cd, "seq_printf" },
	{ 0xc3a0fb62, "mt792x_pm_idle_timeout_get" },
	{ 0x9c06d4d5, "mt792x_roc_timer" },
	{ 0x6e9eeba6, "mt76_connac_mcu_coredump_event" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc1fb247b, "mt792x_mac_init_band" },
	{ 0x8ae718dd, "debugfs_create_file_full" },
	{ 0xc71b2b37, "mt76_skb_adjust_pad" },
	{ 0x686a6862, "ieee80211_cqm_rssi_notify" },
	{ 0xf7639a35, "mt792x_init_wiphy" },
	{ 0xc6020279, "mt76_connac_sta_state_dp" },
	{ 0xeea4feec, "mt76_connac_mcu_set_suspend_iter" },
	{ 0x8d8b2fb3, "single_release" },
	{ 0x1588e353, "mt76_queues_read" },
	{ 0x71a08b52, "mt76_sta_pre_rcu_remove" },
	{ 0x7c2d88ce, "mt76_register_debugfs_fops" },
	{ 0x7cb74f91, "mt792x_reset" },
	{ 0x327a9822, "mt76_rx_signal" },
	{ 0xc56e6c4e, "mt76_connac2_mac_write_txwi" },
	{ 0x35f86764, "__mt76_set_tx_blocked" },
	{ 0x78c2f3fb, "mt76_connac_mcu_sta_ba" },
	{ 0x595b79d2, "mt76_connac2_mac_decode_he_radiotap" },
	{ 0x8a323a52, "ieee80211_queue_work" },
	{ 0x8ec84047, "mt792x_mac_reset_counters" },
	{ 0x75b7eaf4, "napi_consume_skb" },
	{ 0x2475b9b3, "__mt76_poll" },
	{ 0xa2e35f98, "mt76_rx_aggr_stop" },
	{ 0x495b28e9, "single_open" },
	{ 0xe72dd803, "mt76_connac_mcu_add_key" },
	{ 0x2a5cf172, "mt792x_unassign_vif_chanctx" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0xef7f1f41, "ieee80211_disconnect" },
	{ 0xe4ccb149, "mt792x_pm_power_save_work" },
	{ 0xabff3e0f, "__SCT__tp_func_lp_event" },
	{ 0x6fd02e84, "mt792x_assign_vif_chanctx" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc8601472, "mt76_connac_mcu_update_gtk_rekey" },
	{ 0x27f30e74, "mt76_connac_mcu_set_rate_txpower" },
	{ 0x6b9aa8a5, "mt76_update_channel" },
	{ 0x4ae8caa7, "ieee80211_sta_register_airtime" },
	{ 0xc58607e5, "mt792x_init_wcid" },
	{ 0x8b2333e9, "mt792x_init_acpi_sar" },
	{ 0xf2a2ec5c, "mt76_init_sar_power" },
	{ 0xad68421f, "ieee80211_connection_loss" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xdc2f1a09, "simple_attr_open" },
	{ 0x893791e0, "ieee80211_iterate_interfaces" },
	{ 0xf7d29413, "mt792x_stop" },
	{ 0x76b3852f, "debugfs_attr_write" },
	{ 0x2deb6a97, "mt76_connac_mcu_sta_update_hdr_trans" },
	{ 0x294f49d3, "mt76_connac_mcu_sched_scan_enable" },
	{ 0x3ec4ea5, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x74885bdc, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x52cc1ecf, "mt76_connac_mcu_uni_set_chctx" },
	{ 0xba048cdf, "mt792x_tx_worker" },
	{ 0x14b36521, "mt792x_flush" },
	{ 0x1822af1f, "mt792x_rx_get_wcid" },
	{ 0x512c59c3, "skb_dequeue" },
	{ 0xa25337f, "mt76_connac_gen_ppe_thresh" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0x8163e76e, "mt76_connac_mcu_set_rts_thresh" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0x97c385e5, "mt76_connac_mcu_set_channel_domain" },
	{ 0x263ca1b6, "mt76_connac_mcu_uni_add_dev" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xe1ad7498, "mt76_release_buffered_frames" },
	{ 0xacf7e913, "request_firmware" },
	{ 0x349edcf, "mt76_get_txpower" },
	{ 0x79d08c19, "mt76_tx_status_skb_add" },
	{ 0x245c0e43, "mt76_connac_pm_wake" },
	{ 0x9b8472e7, "mt76_connac2_mac_fill_rx_rate" },
	{ 0xdf73a34, "mt792x_pm_wake_work" },
	{ 0x8977b457, "mt76_connac_mcu_set_deep_sleep" },
	{ 0xd703fa47, "mt76_wake_tx_queue" },
	{ 0x69acdf38, "memcpy" },
	{ 0x149d50f8, "mt76_connac_mcu_chip_config" },
	{ 0x3984e227, "mt76_get_antenna" },
	{ 0x100d73b6, "mt792x_set_coverage_class" },
	{ 0xf27c2324, "mt792x_acpi_get_flags" },
	{ 0xc7f2b633, "__mt76_tx_complete_skb" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0x2e4f415b, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xc220f038, "mt76_set_stream_caps" },
	{ 0xda4f6eea, "mt792x_mac_assoc_rssi" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3416d62c, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x5ddafdf5, "ieee80211_get_hdrlen_from_skb" },
	{ 0xf6491531, "__wake_up" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "mt792x-lib,mt76-connac-lib,mt76,cfg80211,mac80211");


MODULE_INFO(srcversion, "40718BA8E84D1CF7A665057");

MODULE_INFO(suserelease, "SLFO-1.2");
