#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(qtnf_core_attach, "_gpl", "");
KSYMTAB_FUNC(qtnf_core_detach, "_gpl", "");
KSYMTAB_FUNC(qtnf_classify_skb, "_gpl", "");
KSYMTAB_FUNC(qtnf_wake_all_queues, "_gpl", "");
KSYMTAB_FUNC(qtnf_get_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(qtnf_trans_handle_rx_ctl_packet, "_gpl", "");
KSYMTAB_FUNC(qtnf_chipid_to_string, "_gpl", "");

SYMBOL_CRC(qtnf_core_attach, 0x99ec9674, "_gpl");
SYMBOL_CRC(qtnf_core_detach, 0x1c3760a0, "_gpl");
SYMBOL_CRC(qtnf_classify_skb, 0x984790db, "_gpl");
SYMBOL_CRC(qtnf_wake_all_queues, 0x93684a01, "_gpl");
SYMBOL_CRC(qtnf_get_debugfs_dir, 0x77150bb4, "_gpl");
SYMBOL_CRC(qtnf_trans_handle_rx_ctl_packet, 0x99badac5, "_gpl");
SYMBOL_CRC(qtnf_chipid_to_string, 0x31fab83c, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc025779, "alloc_netdev_mqs" },
	{ 0x9c104d4f, "wiphy_new_nm" },
	{ 0x92997ed8, "_printk" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x90ab2d87, "wiphy_register" },
	{ 0xa916b694, "strnlen" },
	{ 0xc2def520, "cfg80211_put_bss" },
	{ 0x3fd938bf, "cfg80211_ch_switch_notify" },
	{ 0xe648e7c0, "skb_queue_tail" },
	{ 0xa2ab3be2, "ieee80211_get_channel_khz" },
	{ 0xbb365901, "cfg80211_check_combinations" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9e559766, "__cfg80211_radar_event" },
	{ 0x1fc1270d, "cfg80211_get_drvinfo" },
	{ 0x1eb1abab, "init_net" },
	{ 0xb8461669, "platform_device_unregister" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x734a7a1d, "cfg80211_michael_mic_failure" },
	{ 0x5602be5b, "wiphy_apply_custom_regulatory" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x6de67898, "debugfs_remove" },
	{ 0x95e4142, "cfg80211_del_sta_sinfo" },
	{ 0xc1a25bbc, "cfg80211_update_owe_info_event" },
	{ 0x8b61898a, "wiphy_unregister" },
	{ 0x209cb8eb, "free_netdev" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x11089ac7, "_ctype" },
	{ 0xca71e691, "netif_tx_stop_all_queues" },
	{ 0x8be8cd38, "netif_tx_wake_queue" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xa1e7d5db, "wdev_chandef" },
	{ 0x4e69b266, "__netdev_alloc_skb" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x290a0458, "cfg80211_unregister_wdev" },
	{ 0xc6cd8757, "platform_device_register_full" },
	{ 0xa565ba1a, "cfg80211_rx_mgmt_ext" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9199b9f0, "param_ops_bool" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf2eabe4f, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x72153cc5, "netif_carrier_on" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb9a5be73, "netdev_walk_all_lower_dev" },
	{ 0xda62621, "cfg80211_inform_bss_data" },
	{ 0xc20b26, "cfg80211_shutdown_all_interfaces" },
	{ 0x16a57400, "dev_kfree_skb_any_reason" },
	{ 0xe439af5b, "regulatory_set_wiphy_regd" },
	{ 0x349cba85, "strchr" },
	{ 0xd20f3ddd, "debugfs_create_dir" },
	{ 0xa2a74bd3, "cfg80211_connect_done" },
	{ 0x5a4b19b2, "__cfg80211_get_bss" },
	{ 0xce8398f4, "wiphy_free" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x77c7a4b1, "device_set_wakeup_enable" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xcce54922, "eth_mac_addr" },
	{ 0x3ec4ea5, "skb_put" },
	{ 0xf86c494b, "cfg80211_scan_done" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x74885bdc, "consume_skb" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5cb7527f, "cfg80211_cac_event" },
	{ 0x512c59c3, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0x64c65fc6, "cfg80211_register_netdevice" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x69acdf38, "memcpy" },
	{ 0x4f3980ac, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x7d6bafce, "cfg80211_external_auth_request" },
	{ 0x538f32f2, "cfg80211_chandef_valid" },
	{ 0xfca522f8, "cfg80211_new_sta" },
	{ 0x7184f27f, "cfg80211_disconnected" },
	{ 0x3f11db9b, "ether_setup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x47233597, "netdev_port_same_parent_id" },
	{ 0x712fdcf3, "dev_addr_mod" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "cfg80211");


MODULE_INFO(srcversion, "567CDD98B383AFF54B39C15");

MODULE_INFO(suserelease, "SLFO-1.2");
