#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(rtw_pm_ops, "", "");
KSYMTAB_FUNC(rtw_pci_probe, "", "");
KSYMTAB_FUNC(rtw_pci_remove, "", "");
KSYMTAB_FUNC(rtw_pci_shutdown, "", "");

SYMBOL_CRC(rtw_pm_ops, 0xa804d26e, "");
SYMBOL_CRC(rtw_pci_probe, 0xca823336, "");
SYMBOL_CRC(rtw_pci_remove, 0xdc5411ce, "");
SYMBOL_CRC(rtw_pci_shutdown, 0x1c6aa000, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x367306fd, "__dma_sync_single_for_cpu" },
	{ 0x50ff69a8, "rtw_unregister_hw" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x1c785e13, "skb_pull" },
	{ 0xcdeaa47f, "rtw_tx_fill_tx_desc" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xed153b93, "skb_push" },
	{ 0x18595920, "dma_alloc_attrs" },
	{ 0xb70ca8ae, "napi_enable" },
	{ 0x2f26d52, "rtw_core_init" },
	{ 0x209cb8eb, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x11f16b6f, "ieee80211_alloc_hw_nm" },
	{ 0x6935585e, "pci_iounmap" },
	{ 0x5cd502e9, "rtw_update_rx_freq_from_ie" },
	{ 0x56b7438f, "rtw_tx_write_data_rsvd_page_get" },
	{ 0xfb578fc5, "memset" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0x83358fe5, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x88813a7a, "ieee80211_stop_queue" },
	{ 0x4e69b266, "__netdev_alloc_skb" },
	{ 0x755ce2a2, "rtw_rx_stats" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x37bdb33f, "pcie_capability_clear_and_set_word_unlocked" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x6d343d90, "__netif_napi_del_locked" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x1c051e1c, "rtw_register_hw" },
	{ 0xe7f5881c, "alloc_netdev_dummy" },
	{ 0xf4334299, "dma_free_attrs" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x9199b9f0, "param_ops_bool" },
	{ 0x34344af2, "pci_release_regions" },
	{ 0x6029628f, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd553fef9, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb56d4229, "rtw_core_deinit" },
	{ 0x1532371c, "rtw_ops" },
	{ 0xfb5af384, "pci_disable_device" },
	{ 0xf21d30b1, "napi_schedule_prep" },
	{ 0x664821c4, "napi_disable" },
	{ 0x16a57400, "dev_kfree_skb_any_reason" },
	{ 0xc5f8f6cb, "rtw_power_mode_change" },
	{ 0xa3ee3468, "rtw_tx_write_data_h2c_get" },
	{ 0xd6336f23, "pci_free_irq_vectors" },
	{ 0xf9a482f9, "msleep" },
	{ 0xa3292314, "rtw_fw_c2h_cmd_rx_irqsafe" },
	{ 0x4a9de351, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x7d12673d, "rtw_tx_report_enqueue" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x77c52208, "rtw_tx_queue_mapping" },
	{ 0xe859e1a6, "pcie_capability_read_word" },
	{ 0xd0934899, "devm_request_threaded_irq" },
	{ 0xbd12925f, "pci_enable_device" },
	{ 0x3ec4ea5, "skb_put" },
	{ 0x74885bdc, "consume_skb" },
	{ 0x6b9a2b93, "pci_iomap" },
	{ 0x6c2c44a0, "pci_alloc_irq_vectors" },
	{ 0x512c59c3, "skb_dequeue" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0x49e1ab4f, "ieee80211_free_hw" },
	{ 0xb51d11a4, "dma_unmap_page_attrs" },
	{ 0x18b00c43, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x1dc2d072, "rtw_tx_ac_to_hwq" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x7651a0b5, "netif_napi_add_weight_locked" },
	{ 0x16252b2, "dev_kfree_skb_irq_reason" },
	{ 0x70ecfbe8, "pci_set_power_state" },
	{ 0x99d399e6, "ieee80211_wake_queue" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x44c339bf, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x28ba6fe1, "dma_map_page_attrs" },
	{ 0x95b46469, "napi_complete_done" },
	{ 0x3ac6f028, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbe60732d, "devm_free_irq" },
	{ 0x670db660, "__napi_schedule" },
	{ 0xe648e7c0, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc88144c7, "rtw_chip_info_setup" },
	{ 0x543f59b3, "rtw_fw_c2h_cmd_isr" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "rtw88_core,mac80211");


MODULE_INFO(srcversion, "36AACC18DB487549C77AFF2");

MODULE_INFO(suserelease, "SLFO-1.2");
