#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ndlc_open, "", "");
KSYMTAB_FUNC(ndlc_close, "", "");
KSYMTAB_FUNC(ndlc_send, "", "");
KSYMTAB_FUNC(ndlc_recv, "", "");
KSYMTAB_FUNC(ndlc_probe, "", "");
KSYMTAB_FUNC(ndlc_remove, "", "");
KSYMTAB_FUNC(st_nci_probe, "_gpl", "");
KSYMTAB_FUNC(st_nci_remove, "_gpl", "");
KSYMTAB_FUNC(st_nci_hci_load_session, "_gpl", "");
KSYMTAB_FUNC(st_nci_hci_event_received, "_gpl", "");
KSYMTAB_FUNC(st_nci_hci_cmd_received, "_gpl", "");
KSYMTAB_FUNC(st_nci_disable_se, "_gpl", "");
KSYMTAB_FUNC(st_nci_enable_se, "_gpl", "");
KSYMTAB_FUNC(st_nci_discover_se, "_gpl", "");
KSYMTAB_FUNC(st_nci_se_io, "", "");
KSYMTAB_FUNC(st_nci_se_init, "", "");
KSYMTAB_FUNC(st_nci_se_deinit, "", "");
KSYMTAB_FUNC(st_nci_vendor_cmds_init, "", "");

SYMBOL_CRC(ndlc_open, 0x2c50dc34, "");
SYMBOL_CRC(ndlc_close, 0xa1d82126, "");
SYMBOL_CRC(ndlc_send, 0x5d5a0a94, "");
SYMBOL_CRC(ndlc_recv, 0x2a16517f, "");
SYMBOL_CRC(ndlc_probe, 0x1e500bb8, "");
SYMBOL_CRC(ndlc_remove, 0xf732dcaf, "");
SYMBOL_CRC(st_nci_probe, 0x54924f57, "_gpl");
SYMBOL_CRC(st_nci_remove, 0x0cce3d27, "_gpl");
SYMBOL_CRC(st_nci_hci_load_session, 0x9afa1b48, "_gpl");
SYMBOL_CRC(st_nci_hci_event_received, 0x6943efb7, "_gpl");
SYMBOL_CRC(st_nci_hci_cmd_received, 0xa34b3afd, "_gpl");
SYMBOL_CRC(st_nci_disable_se, 0x54f0d284, "_gpl");
SYMBOL_CRC(st_nci_enable_se, 0x9fd2daf9, "_gpl");
SYMBOL_CRC(st_nci_discover_se, 0x5c7ea5f3, "_gpl");
SYMBOL_CRC(st_nci_se_io, 0x48c4c198, "");
SYMBOL_CRC(st_nci_se_init, 0x32536a4d, "");
SYMBOL_CRC(st_nci_se_deinit, 0x89017e5d, "");
SYMBOL_CRC(st_nci_vendor_cmds_init, 0x3e7809c9, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe648e7c0, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xc42dd63d, "nfc_se_transaction" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x1c785e13, "skb_pull" },
	{ 0x56d5c656, "nci_hci_connect_gate" },
	{ 0x6d64c27f, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xed153b93, "skb_push" },
	{ 0x8d304f20, "nla_put" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x73433bd3, "nci_prop_cmd" },
	{ 0x572c3639, "nci_core_conn_create" },
	{ 0x939b5227, "nci_nfcc_loopback" },
	{ 0x985d9fe1, "nci_unregister_device" },
	{ 0x9c5464bb, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x82766a3d, "nci_hci_send_event" },
	{ 0x3ca94c38, "nci_hci_clear_all_pipes" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdc186bd8, "nfc_se_connectivity" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x8c30c41c, "nci_hci_send_cmd" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x1fe1805d, "nfc_vendor_cmd_reply" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xe146353c, "nci_recv_frame" },
	{ 0x4d4abdc7, "nci_hci_dev_session_init" },
	{ 0x72a6f111, "nci_hci_set_param" },
	{ 0x4f552a52, "nci_req_complete" },
	{ 0xf9a482f9, "msleep" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xdefc10ec, "skb_queue_head" },
	{ 0x980480d6, "nci_free_device" },
	{ 0xf5e2cb00, "nci_allocate_device" },
	{ 0x72d969ee, "nci_register_device" },
	{ 0x3cb06817, "devm_kmalloc" },
	{ 0x55c732c5, "__nfc_alloc_vendor_cmd_reply_skb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x74b74b1a, "nfc_add_se" },
	{ 0x512c59c3, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0x96848186, "scnprintf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xca8d6340, "nfc_remove_se" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbddffed2, "skb_queue_purge_reason" },
	{ 0xc5c3eebf, "nci_nfcee_mode_set" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x257c38e, "nci_hci_get_param" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "nfc,nci");


MODULE_INFO(srcversion, "5FCF973BF4AA30B3DDAC57D");

MODULE_INFO(suserelease, "SLFO-1.2");
