#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(__ntb_register_client, "", "");
KSYMTAB_FUNC(ntb_unregister_client, "", "");
KSYMTAB_FUNC(ntb_register_device, "", "");
KSYMTAB_FUNC(ntb_unregister_device, "", "");
KSYMTAB_FUNC(ntb_set_ctx, "", "");
KSYMTAB_FUNC(ntb_clear_ctx, "", "");
KSYMTAB_FUNC(ntb_link_event, "", "");
KSYMTAB_FUNC(ntb_db_event, "", "");
KSYMTAB_FUNC(ntb_msg_event, "", "");
KSYMTAB_FUNC(ntb_default_port_number, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_count, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_number, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_idx, "", "");
KSYMTAB_FUNC(ntb_msi_init, "", "");
KSYMTAB_FUNC(ntb_msi_setup_mws, "", "");
KSYMTAB_FUNC(ntb_msi_clear_mws, "", "");
KSYMTAB_FUNC(ntbm_msi_request_threaded_irq, "", "");
KSYMTAB_FUNC(ntbm_msi_free_irq, "", "");
KSYMTAB_FUNC(ntb_msi_peer_trigger, "", "");
KSYMTAB_FUNC(ntb_msi_peer_addr, "", "");

SYMBOL_CRC(__ntb_register_client, 0xa2843fda, "");
SYMBOL_CRC(ntb_unregister_client, 0x4d6f506b, "");
SYMBOL_CRC(ntb_register_device, 0x73daced7, "");
SYMBOL_CRC(ntb_unregister_device, 0xf5583597, "");
SYMBOL_CRC(ntb_set_ctx, 0x2e489aff, "");
SYMBOL_CRC(ntb_clear_ctx, 0xeddbcfb8, "");
SYMBOL_CRC(ntb_link_event, 0xc02d6b51, "");
SYMBOL_CRC(ntb_db_event, 0xf6d7e763, "");
SYMBOL_CRC(ntb_msg_event, 0xba4f355c, "");
SYMBOL_CRC(ntb_default_port_number, 0x56867fff, "");
SYMBOL_CRC(ntb_default_peer_port_count, 0x1c5352c5, "");
SYMBOL_CRC(ntb_default_peer_port_number, 0x5df4f776, "");
SYMBOL_CRC(ntb_default_peer_port_idx, 0xfa88b127, "");
SYMBOL_CRC(ntb_msi_init, 0xd37ad6c5, "");
SYMBOL_CRC(ntb_msi_setup_mws, 0x364173fc, "");
SYMBOL_CRC(ntb_msi_clear_mws, 0xe4c8ee96, "");
SYMBOL_CRC(ntbm_msi_request_threaded_irq, 0x7b2cdc3b, "");
SYMBOL_CRC(ntbm_msi_free_irq, 0xf5fca986, "");
SYMBOL_CRC(ntb_msi_peer_trigger, 0x3d5ab5f2, "");
SYMBOL_CRC(ntb_msi_peer_addr, 0x42eab5cd, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x50707f9c, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0x335990ce, "devm_iounmap" },
	{ 0x9668568f, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0x8826cd0f, "devres_destroy" },
	{ 0x1e4da58a, "msi_unlock_descs" },
	{ 0x5c8f81ef, "devm_ioremap" },
	{ 0x8576e767, "get_device" },
	{ 0xa4e18e7, "msi_lock_descs" },
	{ 0xcee82587, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9d3d08f0, "put_device" },
	{ 0xbe60732d, "devm_free_irq" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x12cb1804, "bus_unregister" },
	{ 0xec083b74, "devm_kfree" },
	{ 0x5cf6961e, "irq_get_irq_data" },
	{ 0x19c290ca, "__devres_alloc_node" },
	{ 0x6b184ed6, "driver_unregister" },
	{ 0xa3eb5274, "device_register" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb45f5ac6, "msi_domain_first_desc" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xb6502293, "msi_next_desc" },
	{ 0xe2a805d9, "driver_register" },
	{ 0xddbd0482, "bus_register" },
	{ 0x6f7e6040, "irq_has_action" },
	{ 0xd0934899, "devm_request_threaded_irq" },
	{ 0x3cb06817, "devm_kmalloc" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5A412D77824E7022E588C0B");

MODULE_INFO(suserelease, "SLFO-1.2");
