#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nvdimm_bus_lock, "", "");
KSYMTAB_FUNC(nvdimm_bus_unlock, "", "");
KSYMTAB_FUNC(is_nvdimm_bus_locked, "", "");
KSYMTAB_FUNC(devm_nvdimm_memremap, "_gpl", "");
KSYMTAB_FUNC(nd_fletcher64, "_gpl", "");
KSYMTAB_FUNC(to_nd_desc, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm_bus_dev, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_add_badrange, "_gpl", "");
KSYMTAB_FUNC(nd_device_notify, "", "");
KSYMTAB_FUNC(nvdimm_region_notify, "_gpl", "");
KSYMTAB_FUNC(nvdimm_clear_poison, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm_bus, "_gpl", "");
KSYMTAB_FUNC(nvdimm_to_bus, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_register, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_unregister, "_gpl", "");
KSYMTAB_FUNC(nd_synchronize, "_gpl", "");
KSYMTAB_FUNC(nd_device_register, "", "");
KSYMTAB_FUNC(nd_device_unregister, "", "");
KSYMTAB_FUNC(__nd_driver_register, "", "");
KSYMTAB_FUNC(nvdimm_check_and_set_ro, "", "");
KSYMTAB_FUNC(nd_cmd_dimm_desc, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_bus_desc, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_in_size, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_out_size, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm, "_gpl", "");
KSYMTAB_FUNC(to_ndd, "", "");
KSYMTAB_FUNC(nvdimm_name, "_gpl", "");
KSYMTAB_FUNC(nvdimm_kobj, "_gpl", "");
KSYMTAB_FUNC(nvdimm_cmd_mask, "_gpl", "");
KSYMTAB_FUNC(nvdimm_provider_data, "_gpl", "");
KSYMTAB_FUNC(__nvdimm_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_delete, "_gpl", "");
KSYMTAB_FUNC(nvdimm_security_setup_events, "_gpl", "");
KSYMTAB_FUNC(nvdimm_in_overwrite, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_check_dimm_count, "_gpl", "");
KSYMTAB_FUNC(register_nvdimm_pmu, "_gpl", "");
KSYMTAB_FUNC(unregister_nvdimm_pmu, "_gpl", "");
KSYMTAB_FUNC(to_nd_region, "_gpl", "");
KSYMTAB_FUNC(nd_region_dev, "_gpl", "");
KSYMTAB_FUNC(nd_region_provider_data, "_gpl", "");
KSYMTAB_FUNC(nd_region_to_nstype, "", "");
KSYMTAB_FUNC(nd_region_acquire_lane, "", "");
KSYMTAB_FUNC(nd_region_release_lane, "", "");
KSYMTAB_FUNC(nvdimm_pmem_region_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_volatile_region_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_region_delete, "_gpl", "");
KSYMTAB_FUNC(nvdimm_flush, "_gpl", "");
KSYMTAB_FUNC(nvdimm_has_flush, "_gpl", "");
KSYMTAB_FUNC(nvdimm_has_cache, "_gpl", "");
KSYMTAB_FUNC(is_nvdimm_sync, "_gpl", "");
KSYMTAB_FUNC(pmem_should_map_pages, "", "");
KSYMTAB_FUNC(pmem_sector_size, "", "");
KSYMTAB_FUNC(nvdimm_namespace_disk_name, "", "");
KSYMTAB_FUNC(nd_dev_to_uuid, "", "");
KSYMTAB_FUNC(nvdimm_namespace_capacity, "", "");
KSYMTAB_FUNC(nvdimm_namespace_locked, "", "");
KSYMTAB_FUNC(nvdimm_namespace_common_probe, "", "");
KSYMTAB_FUNC(devm_namespace_enable, "_gpl", "");
KSYMTAB_FUNC(devm_namespace_disable, "_gpl", "");
KSYMTAB_FUNC(badrange_init, "_gpl", "");
KSYMTAB_FUNC(badrange_add, "_gpl", "");
KSYMTAB_FUNC(badrange_forget, "_gpl", "");
KSYMTAB_FUNC(nvdimm_badblocks_populate, "_gpl", "");
KSYMTAB_FUNC(nd_sb_checksum, "", "");
KSYMTAB_FUNC(to_nd_btt, "", "");
KSYMTAB_FUNC(is_nd_btt, "", "");
KSYMTAB_FUNC(nd_btt_arena_is_valid, "", "");
KSYMTAB_FUNC(nd_btt_version, "", "");
KSYMTAB_FUNC(nd_btt_probe, "", "");
KSYMTAB_FUNC(to_nd_pfn, "", "");
KSYMTAB_FUNC(is_nd_pfn, "", "");
KSYMTAB_FUNC(nd_pfn_validate, "", "");
KSYMTAB_FUNC(nd_pfn_probe, "", "");
KSYMTAB_FUNC(nvdimm_setup_pfn, "_gpl", "");
KSYMTAB_FUNC(to_nd_dax, "", "");
KSYMTAB_FUNC(is_nd_dax, "", "");
KSYMTAB_FUNC(nd_dax_probe, "", "");

SYMBOL_CRC(nvdimm_bus_lock, 0xb242a195, "");
SYMBOL_CRC(nvdimm_bus_unlock, 0xcba21cdf, "");
SYMBOL_CRC(is_nvdimm_bus_locked, 0xab7ecb18, "");
SYMBOL_CRC(devm_nvdimm_memremap, 0x1996e7f7, "_gpl");
SYMBOL_CRC(nd_fletcher64, 0xaf076aec, "_gpl");
SYMBOL_CRC(to_nd_desc, 0xa58ffc05, "_gpl");
SYMBOL_CRC(to_nvdimm_bus_dev, 0xe1954aa2, "_gpl");
SYMBOL_CRC(nvdimm_bus_add_badrange, 0xfa2e8071, "_gpl");
SYMBOL_CRC(nd_device_notify, 0x7e90acb7, "");
SYMBOL_CRC(nvdimm_region_notify, 0x08d16b1e, "_gpl");
SYMBOL_CRC(nvdimm_clear_poison, 0x2c917a85, "_gpl");
SYMBOL_CRC(to_nvdimm_bus, 0xd68cc800, "_gpl");
SYMBOL_CRC(nvdimm_to_bus, 0xfd3640bb, "_gpl");
SYMBOL_CRC(nvdimm_bus_register, 0x5fc294cc, "_gpl");
SYMBOL_CRC(nvdimm_bus_unregister, 0xd261b67f, "_gpl");
SYMBOL_CRC(nd_synchronize, 0x7d00c65b, "_gpl");
SYMBOL_CRC(nd_device_register, 0x90820df1, "");
SYMBOL_CRC(nd_device_unregister, 0x4e548428, "");
SYMBOL_CRC(__nd_driver_register, 0x6bac0927, "");
SYMBOL_CRC(nvdimm_check_and_set_ro, 0xec5017b8, "");
SYMBOL_CRC(nd_cmd_dimm_desc, 0xb501b2df, "_gpl");
SYMBOL_CRC(nd_cmd_bus_desc, 0xa01a8d9b, "_gpl");
SYMBOL_CRC(nd_cmd_in_size, 0x92aaadde, "_gpl");
SYMBOL_CRC(nd_cmd_out_size, 0xd6aa0d93, "_gpl");
SYMBOL_CRC(to_nvdimm, 0x48abdaa5, "_gpl");
SYMBOL_CRC(to_ndd, 0xdf4de9b0, "");
SYMBOL_CRC(nvdimm_name, 0xcaad7bf4, "_gpl");
SYMBOL_CRC(nvdimm_kobj, 0xb1c33d3c, "_gpl");
SYMBOL_CRC(nvdimm_cmd_mask, 0xafcae252, "_gpl");
SYMBOL_CRC(nvdimm_provider_data, 0x3b9489d8, "_gpl");
SYMBOL_CRC(__nvdimm_create, 0x033a6d2e, "_gpl");
SYMBOL_CRC(nvdimm_delete, 0x7aa5fcb6, "_gpl");
SYMBOL_CRC(nvdimm_security_setup_events, 0x45e44e27, "_gpl");
SYMBOL_CRC(nvdimm_in_overwrite, 0x0e0184c6, "_gpl");
SYMBOL_CRC(nvdimm_bus_check_dimm_count, 0xf09f3fa3, "_gpl");
SYMBOL_CRC(register_nvdimm_pmu, 0xcebf65f1, "_gpl");
SYMBOL_CRC(unregister_nvdimm_pmu, 0x483ae0ef, "_gpl");
SYMBOL_CRC(to_nd_region, 0x189b98c8, "_gpl");
SYMBOL_CRC(nd_region_dev, 0xcd1c97fe, "_gpl");
SYMBOL_CRC(nd_region_provider_data, 0x457ad047, "_gpl");
SYMBOL_CRC(nd_region_to_nstype, 0x2bc5db64, "");
SYMBOL_CRC(nd_region_acquire_lane, 0x9217ae06, "");
SYMBOL_CRC(nd_region_release_lane, 0x1e58f1f4, "");
SYMBOL_CRC(nvdimm_pmem_region_create, 0xe7d8075f, "_gpl");
SYMBOL_CRC(nvdimm_volatile_region_create, 0x8ad26f9d, "_gpl");
SYMBOL_CRC(nvdimm_region_delete, 0xa2b183ba, "_gpl");
SYMBOL_CRC(nvdimm_flush, 0x59efb7c2, "_gpl");
SYMBOL_CRC(nvdimm_has_flush, 0x0a9b93ec, "_gpl");
SYMBOL_CRC(nvdimm_has_cache, 0x94bcf3dd, "_gpl");
SYMBOL_CRC(is_nvdimm_sync, 0x7524fdf1, "_gpl");
SYMBOL_CRC(pmem_should_map_pages, 0x9e63a2c4, "");
SYMBOL_CRC(pmem_sector_size, 0x715ecc8f, "");
SYMBOL_CRC(nvdimm_namespace_disk_name, 0x824c4c67, "");
SYMBOL_CRC(nd_dev_to_uuid, 0xcced8cc5, "");
SYMBOL_CRC(nvdimm_namespace_capacity, 0xc2910379, "");
SYMBOL_CRC(nvdimm_namespace_locked, 0x31e3dcdd, "");
SYMBOL_CRC(nvdimm_namespace_common_probe, 0xc5e14e55, "");
SYMBOL_CRC(devm_namespace_enable, 0xb573ef48, "_gpl");
SYMBOL_CRC(devm_namespace_disable, 0xfe283f1a, "_gpl");
SYMBOL_CRC(badrange_init, 0xb60feace, "_gpl");
SYMBOL_CRC(badrange_add, 0x4fc8caac, "_gpl");
SYMBOL_CRC(badrange_forget, 0x77fe64e4, "_gpl");
SYMBOL_CRC(nvdimm_badblocks_populate, 0x0eb46a80, "_gpl");
SYMBOL_CRC(nd_sb_checksum, 0x499f0ecf, "");
SYMBOL_CRC(to_nd_btt, 0x4ed5be6d, "");
SYMBOL_CRC(is_nd_btt, 0xb646eee3, "");
SYMBOL_CRC(nd_btt_arena_is_valid, 0x48aa3d07, "");
SYMBOL_CRC(nd_btt_version, 0xa882e28f, "");
SYMBOL_CRC(nd_btt_probe, 0x9741327f, "");
SYMBOL_CRC(to_nd_pfn, 0x55203bd6, "");
SYMBOL_CRC(is_nd_pfn, 0x3fb13aba, "");
SYMBOL_CRC(nd_pfn_validate, 0x3eb6f3aa, "");
SYMBOL_CRC(nd_pfn_probe, 0x74fba701, "");
SYMBOL_CRC(nvdimm_setup_pfn, 0x6182a0b0, "_gpl");
SYMBOL_CRC(to_nd_dax, 0x284deaae, "");
SYMBOL_CRC(is_nd_dax, 0x7ab118df, "");
SYMBOL_CRC(nd_dax_probe, 0xd15bcf4b, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbcab6ee6, "sscanf" },
	{ 0xc3359801, "device_find_child" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x9fb64856, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xd68c5a1f, "adjust_resource" },
	{ 0xdcca3e75, "kill_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9199b9f0, "param_ops_bool" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x9fb7184a, "__devm_release_region" },
	{ 0x9f7c9797, "request_key_tag" },
	{ 0xade594b0, "kernfs_put" },
	{ 0x7c3d6aba, "__register_chrdev" },
	{ 0xb3fa17d1, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x21279983, "badblocks_check" },
	{ 0x177e48ab, "__devm_add_action" },
	{ 0x2c635527, "arch_invalidate_pmem" },
	{ 0xf6a28554, "region_intersects" },
	{ 0x8a9efb4c, "badblocks_clear" },
	{ 0x4de9bdf6, "device_find_child_by_name" },
	{ 0x22860b09, "devm_init_badblocks" },
	{ 0x754d539c, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x1dc6c93b, "lookup_user_key" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xb570b5d7, "up_read" },
	{ 0xe2a805d9, "driver_register" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0xb3d2d914, "class_register" },
	{ 0xb86748d1, "__cpuhp_remove_state" },
	{ 0x45d246da, "node_to_cpumask_map" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xddbd0482, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc6d08030, "set_disk_ro" },
	{ 0xe914e41e, "strcpy" },
	{ 0xa2429ab9, "ida_alloc_range" },
	{ 0x4e5daa9a, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd6551b9c, "cpu_cache_has_invalidate_memregion" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x7dd6c90e, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x3cb06817, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0x40603a2e, "devm_memremap" },
	{ 0x50707f9c, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xdfdf4dff, "badblocks_set" },
	{ 0x9668568f, "device_unregister" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0xf474c21c, "bitmap_print_to_pagebuf" },
	{ 0xedc03953, "iounmap" },
	{ 0x4628038c, "device_initialize" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0x89c93ddf, "badblocks_exit" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0xefb18d5e, "device_for_each_child" },
	{ 0x3416d62c, "prepare_to_wait_event" },
	{ 0xf6491531, "__wake_up" },
	{ 0xbc4e24bb, "copy_mc_to_kernel" },
	{ 0x8576e767, "get_device" },
	{ 0x4d924f20, "memremap" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0xe6c2b448, "kernfs_notify" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x44c339bf, "dev_driver_string" },
	{ 0x8df9dd10, "guid_null" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2eeeb852, "__devm_request_region" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x466cd284, "__cpuhp_state_remove_instance" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x9d3d08f0, "put_device" },
	{ 0x9e461237, "badblocks_show" },
	{ 0x1ac4e46e, "key_type_encrypted" },
	{ 0x618911fc, "numa_node" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0x71b12b37, "_dev_info" },
	{ 0x7276b73a, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x7228ccc9, "compat_ptr_ioctl" },
	{ 0xcf67a075, "perf_pmu_migrate_context" },
	{ 0x2b676bfc, "perf_pmu_register" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xccf4c95, "key_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xfbb7344, "memremap_compat_align" },
	{ 0x12cb1804, "bus_unregister" },
	{ 0x49608959, "migrate_disable" },
	{ 0x3c804b25, "cpu_cache_invalidate_memregion" },
	{ 0xc8240d31, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0x6b406731, "__cpuhp_setup_state" },
	{ 0x85431f2b, "devm_memunmap" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x9907f28, "device_add" },
	{ 0x5c309e65, "hibernate_quiet_exec" },
	{ 0x5f577086, "noop_llseek" },
	{ 0x328e3354, "__memcpy_flushcache" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xb0814716, "kernfs_find_and_get_ns" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0x5a921311, "strncmp" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x10119bb, "ida_free" },
	{ 0x6b184ed6, "driver_unregister" },
	{ 0x383eaaef, "__cpuhp_state_add_instance" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x7451b829, "perf_pmu_unregister" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0xafc20114, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C91620B32402E01D1BFC507");

MODULE_INFO(suserelease, "SLFO-1.2");
