#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nvme_fc_register_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_register_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rescan_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_set_remoteport_devloss, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rcv_ls_req, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_io_getuuid, "_gpl", "");

SYMBOL_CRC(nvme_fc_register_localport, 0x4bb853b1, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_localport, 0x3884f8b8, "_gpl");
SYMBOL_CRC(nvme_fc_register_remoteport, 0x0d12e564, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_remoteport, 0xfca9dc99, "_gpl");
SYMBOL_CRC(nvme_fc_rescan_remoteport, 0x3e33ac54, "_gpl");
SYMBOL_CRC(nvme_fc_set_remoteport_devloss, 0x8a9cf5a7, "_gpl");
SYMBOL_CRC(nvme_fc_rcv_ls_req, 0xbb0e18a6, "_gpl");
SYMBOL_CRC(nvme_fc_io_getuuid, 0xcc8a2d78, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2116b8fe, "nvme_cleanup_cmd" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3cdfc96e, "nvme_mpath_start_request" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x23145a75, "nvmf_unregister_transport" },
	{ 0xad27cb5, "blkcg_get_fc_appid" },
	{ 0x9d3d08f0, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x2faafca2, "nvme_change_ctrl_state" },
	{ 0x71b12b37, "_dev_info" },
	{ 0x35b65b38, "nvme_init_ctrl" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xd58bbbcb, "nvme_delete_wq" },
	{ 0xb4387d4b, "nvme_alloc_io_tag_set" },
	{ 0xcdda736, "nvme_fail_nonready_command" },
	{ 0xe4b703db, "kobject_uevent_env" },
	{ 0x367306fd, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x5fe6934f, "device_create" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x501f4089, "blk_sync_queue" },
	{ 0x5a921311, "strncmp" },
	{ 0x68460527, "blkcg_set_fc_appid" },
	{ 0x314643c9, "__blk_rq_map_sg" },
	{ 0x10119bb, "ida_free" },
	{ 0x26bd91ca, "nvmf_reg_read64" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xafc20114, "class_unregister" },
	{ 0x49224181, "nvme_reset_wq" },
	{ 0xba07b10b, "nvmf_connect_admin_queue" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x1ab476f6, "nvme_enable_ctrl" },
	{ 0xaa994706, "nvme_unquiesce_admin_queue" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x665edd7f, "nvme_unquiesce_io_queues" },
	{ 0xb31828ed, "blk_mq_update_nr_hw_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xac7785f8, "nvmf_reg_write32" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa1678c7d, "nvmf_should_reconnect" },
	{ 0x6029628f, "__dma_sync_single_for_device" },
	{ 0x9b2b2dfb, "nvme_complete_async_event" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xb3fa17d1, "device_destroy" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xe5ce868a, "nvme_set_queue_count" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xa98f7e19, "nvmf_register_transport" },
	{ 0x40414b70, "blk_mq_start_request" },
	{ 0xd68b2298, "nvme_quiesce_io_queues" },
	{ 0xc0edfdf0, "blk_mq_tagset_busy_iter" },
	{ 0xde316d0c, "nvme_stop_ctrl" },
	{ 0xc1ddd422, "dma_unmap_sg_attrs" },
	{ 0xdd9ba298, "nvme_init_ctrl_finish" },
	{ 0x349cba85, "strchr" },
	{ 0x88273b37, "nvme_reset_ctrl" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0x96a47d75, "nvme_quiesce_admin_queue" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xb3d2d914, "class_register" },
	{ 0x8ce573a6, "__nvme_check_ready" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xeebca5cd, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe9207bab, "nvme_add_ctrl" },
	{ 0x3ecfb1d2, "nvme_remove_admin_tag_set" },
	{ 0xa744fd08, "nvme_sync_io_queues" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xa2429ab9, "ida_alloc_range" },
	{ 0xa9a38cbb, "nvme_uninit_ctrl" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x7dd6c90e, "ida_destroy" },
	{ 0xc0644a48, "nvme_complete_rq" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8dabda41, "nvmf_free_options" },
	{ 0xe5df4dda, "nvmf_subsystem_reset" },
	{ 0x3178d0b4, "blk_mq_tagset_wait_completed_request" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0xb031f58f, "nvme_stop_keep_alive" },
	{ 0x7d84a42, "blk_mq_complete_request_remote" },
	{ 0xb51d11a4, "dma_unmap_page_attrs" },
	{ 0x2964987, "nvme_setup_cmd" },
	{ 0x53afe233, "nvme_start_ctrl" },
	{ 0x68f010f0, "nvme_alloc_admin_tag_set" },
	{ 0x38c14655, "nvmf_connect_io_queue" },
	{ 0xfba7ddd2, "match_u64" },
	{ 0x37a0cba, "kfree" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0x3416d62c, "prepare_to_wait_event" },
	{ 0x64b62862, "nvme_wq" },
	{ 0xc33d35ee, "nvmf_reg_read32" },
	{ 0xf6491531, "__wake_up" },
	{ 0x51846269, "nvme_delete_ctrl" },
	{ 0x8576e767, "get_device" },
	{ 0x3a30a243, "nvme_should_fail" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x44c339bf, "dev_driver_string" },
	{ 0x49e85752, "nvmf_get_address" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x28ba6fe1, "dma_map_page_attrs" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xa1eac4b9, "nvme_remove_io_tag_set" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-fabrics");


MODULE_INFO(srcversion, "404208CB56101C42439C9B5");

MODULE_INFO(suserelease, "SLFO-1.2");
