#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(pmt_telem_get_next_endpoint, "_gpl", "INTEL_PMT_TELEMETRY");
KSYMTAB_FUNC(pmt_telem_register_endpoint, "_gpl", "INTEL_PMT_TELEMETRY");
KSYMTAB_FUNC(pmt_telem_unregister_endpoint, "_gpl", "INTEL_PMT_TELEMETRY");
KSYMTAB_FUNC(pmt_telem_get_endpoint_info, "_gpl", "INTEL_PMT_TELEMETRY");
KSYMTAB_FUNC(pmt_telem_read, "_gpl", "INTEL_PMT_TELEMETRY");
KSYMTAB_FUNC(pmt_telem_read32, "_gpl", "INTEL_PMT_TELEMETRY");
KSYMTAB_FUNC(pmt_telem_find_and_register_endpoint, "_gpl", "INTEL_PMT_TELEMETRY");

SYMBOL_CRC(pmt_telem_get_next_endpoint, 0xd71cecee, "_gpl");
SYMBOL_CRC(pmt_telem_register_endpoint, 0xabdc20f1, "_gpl");
SYMBOL_CRC(pmt_telem_unregister_endpoint, 0xce2aa1ae, "_gpl");
SYMBOL_CRC(pmt_telem_get_endpoint_info, 0xcd33751e, "_gpl");
SYMBOL_CRC(pmt_telem_read, 0x9866a9da, "_gpl");
SYMBOL_CRC(pmt_telem_read32, 0xdcfe6b71, "_gpl");
SYMBOL_CRC(pmt_telem_find_and_register_endpoint, 0xe3ef2fe6, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd10b03ea, "auxiliary_driver_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa04a2d2c, "intel_pmt_is_early_client_hw" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xe75dc7e4, "intel_pmt_dev_destroy" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0xf01d993d, "xa_destroy" },
	{ 0xfea41449, "xa_find" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x7fd53ce0, "__auxiliary_driver_register" },
	{ 0xa256d729, "xa_find_after" },
	{ 0xcb66f0ce, "intel_pmt_dev_create" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x88228cc2, "pmt_telem_read_mmio" },
	{ 0x3cb06817, "devm_kmalloc" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x37a0cba, "kfree" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "pmt_class");

MODULE_ALIAS("auxiliary:intel_vsec.telemetry");

MODULE_INFO(srcversion, "DADC77B9FC2E76B088F6EDA");

MODULE_INFO(suserelease, "SLFO-1.2");
