#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(tpmi_sst_dev_add, "_gpl", "INTEL_TPMI_SST");
KSYMTAB_FUNC(tpmi_sst_dev_remove, "_gpl", "INTEL_TPMI_SST");
KSYMTAB_FUNC(tpmi_sst_dev_suspend, "_gpl", "INTEL_TPMI_SST");
KSYMTAB_FUNC(tpmi_sst_dev_resume, "_gpl", "INTEL_TPMI_SST");
KSYMTAB_FUNC(tpmi_sst_init, "_gpl", "INTEL_TPMI_SST");
KSYMTAB_FUNC(tpmi_sst_exit, "_gpl", "INTEL_TPMI_SST");

SYMBOL_CRC(tpmi_sst_dev_add, 0xccc67f5b, "_gpl");
SYMBOL_CRC(tpmi_sst_dev_remove, 0x10d5f47f, "_gpl");
SYMBOL_CRC(tpmi_sst_dev_suspend, 0xdb43f0f5, "_gpl");
SYMBOL_CRC(tpmi_sst_dev_resume, 0x8f93b90d, "_gpl");
SYMBOL_CRC(tpmi_sst_init, 0x45083054, "_gpl");
SYMBOL_CRC(tpmi_sst_exit, 0x98bbc7d5, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb7b420c4, "tpmi_get_platform_data" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0xe18f42a5, "isst_if_cdev_unregister" },
	{ 0x39081193, "__max_logical_packages" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xea253921, "isst_if_cdev_register" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6fce7869, "tpmi_get_feature_status" },
	{ 0xf061759f, "tpmi_get_resource_count" },
	{ 0x3cb06817, "devm_kmalloc" },
	{ 0x3b8d1ea5, "tpmi_get_resource_at_index" },
	{ 0x733722d0, "devm_ioremap_resource" },
	{ 0x335990ce, "devm_iounmap" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x71b12b37, "_dev_info" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x5440460c, "__tracepoint_read_msr" },
	{ 0xf9a482f9, "msleep" },
	{ 0x39e3c030, "do_trace_read_msr" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "intel_vsec_tpmi,isst_if_common");


MODULE_INFO(srcversion, "5C4C0278C24E6F37E83CC0E");

MODULE_INFO(suserelease, "SLFO-1.2");
