#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(pwrseq_device_register, "_gpl", "");
KSYMTAB_FUNC(pwrseq_device_unregister, "_gpl", "");
KSYMTAB_FUNC(devm_pwrseq_device_register, "_gpl", "");
KSYMTAB_FUNC(pwrseq_device_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(pwrseq_get, "_gpl", "");
KSYMTAB_FUNC(pwrseq_put, "_gpl", "");
KSYMTAB_FUNC(devm_pwrseq_get, "_gpl", "");
KSYMTAB_FUNC(pwrseq_power_on, "_gpl", "");
KSYMTAB_FUNC(pwrseq_power_off, "_gpl", "");

SYMBOL_CRC(pwrseq_device_register, 0x0c4bcb2e, "_gpl");
SYMBOL_CRC(pwrseq_device_unregister, 0x74730198, "_gpl");
SYMBOL_CRC(devm_pwrseq_device_register, 0xeb7793c1, "_gpl");
SYMBOL_CRC(pwrseq_device_get_drvdata, 0xc6650d5c, "_gpl");
SYMBOL_CRC(pwrseq_get, 0x0cdebe9d, "_gpl");
SYMBOL_CRC(pwrseq_put, 0xdb61449c, "_gpl");
SYMBOL_CRC(devm_pwrseq_get, 0x0a5ab47e, "_gpl");
SYMBOL_CRC(pwrseq_power_on, 0x809bb19b, "_gpl");
SYMBOL_CRC(pwrseq_power_off, 0xca3fe8c9, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37d443ec, "device_set_node" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9d3d08f0, "put_device" },
	{ 0xcd68c58, "bus_for_each_dev" },
	{ 0x7276b73a, "module_put" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x181f0077, "radix_tree_delete" },
	{ 0x12cb1804, "bus_unregister" },
	{ 0xba0efd1f, "down_write" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x209b8854, "up_write" },
	{ 0xc864bff6, "bus_find_device" },
	{ 0x9907f28, "device_add" },
	{ 0xe8aa03e5, "radix_tree_next_chunk" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x6de67898, "debugfs_remove" },
	{ 0x10119bb, "ida_free" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x1080ce71, "device_del" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9fb64856, "down_read" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x4a38d9f7, "seq_read" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x9f7aac60, "seq_write" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7ad7a5cd, "seq_printf" },
	{ 0x8ae718dd, "debugfs_create_file_full" },
	{ 0x242af46d, "device_match_any" },
	{ 0xf1fc404a, "seq_open" },
	{ 0x177e48ab, "__devm_add_action" },
	{ 0xb570b5d7, "up_read" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x6a55e78c, "__dev_fwnode" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xddbd0482, "bus_register" },
	{ 0xa2429ab9, "ida_alloc_range" },
	{ 0x4e5daa9a, "try_module_get" },
	{ 0x45f4e1cd, "__init_rwsem" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x59860803, "radix_tree_insert" },
	{ 0x50707f9c, "dev_set_name" },
	{ 0xe6c8800b, "seq_release" },
	{ 0xee8cabfe, "radix_tree_lookup" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0x4628038c, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0x2e4f415b, "seq_lseek" },
	{ 0x8576e767, "get_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C5E8E63B0329A24A5B9E22C");

MODULE_INFO(suserelease, "SLFO-1.2");
