#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rio_local_get_device_id, "_gpl", "");
KSYMTAB_FUNC(rio_query_mport, "", "");
KSYMTAB_FUNC(rio_alloc_net, "_gpl", "");
KSYMTAB_FUNC(rio_add_net, "_gpl", "");
KSYMTAB_FUNC(rio_free_net, "_gpl", "");
KSYMTAB_FUNC(rio_local_set_device_id, "_gpl", "");
KSYMTAB_FUNC(rio_add_device, "_gpl", "");
KSYMTAB_FUNC(rio_del_device, "_gpl", "");
KSYMTAB_FUNC(rio_request_inb_mbox, "_gpl", "");
KSYMTAB_FUNC(rio_release_inb_mbox, "_gpl", "");
KSYMTAB_FUNC(rio_request_outb_mbox, "_gpl", "");
KSYMTAB_FUNC(rio_release_outb_mbox, "_gpl", "");
KSYMTAB_FUNC(rio_request_inb_dbell, "_gpl", "");
KSYMTAB_FUNC(rio_release_inb_dbell, "_gpl", "");
KSYMTAB_FUNC(rio_request_outb_dbell, "_gpl", "");
KSYMTAB_FUNC(rio_release_outb_dbell, "_gpl", "");
KSYMTAB_FUNC(rio_add_mport_pw_handler, "_gpl", "");
KSYMTAB_FUNC(rio_del_mport_pw_handler, "_gpl", "");
KSYMTAB_FUNC(rio_request_inb_pwrite, "_gpl", "");
KSYMTAB_FUNC(rio_release_inb_pwrite, "_gpl", "");
KSYMTAB_FUNC(rio_pw_enable, "_gpl", "");
KSYMTAB_FUNC(rio_map_inb_region, "_gpl", "");
KSYMTAB_FUNC(rio_unmap_inb_region, "_gpl", "");
KSYMTAB_FUNC(rio_map_outb_region, "_gpl", "");
KSYMTAB_FUNC(rio_unmap_outb_region, "_gpl", "");
KSYMTAB_FUNC(rio_mport_get_physefb, "_gpl", "");
KSYMTAB_FUNC(rio_get_comptag, "_gpl", "");
KSYMTAB_FUNC(rio_set_port_lockout, "_gpl", "");
KSYMTAB_FUNC(rio_enable_rx_tx_port, "_gpl", "");
KSYMTAB_FUNC(rio_mport_chk_dev_access, "_gpl", "");
KSYMTAB_FUNC(rio_inb_pwrite_handler, "_gpl", "");
KSYMTAB_FUNC(rio_mport_get_efb, "_gpl", "");
KSYMTAB_FUNC(rio_mport_get_feature, "_gpl", "");
KSYMTAB_FUNC(rio_lock_device, "_gpl", "");
KSYMTAB_FUNC(rio_unlock_device, "_gpl", "");
KSYMTAB_FUNC(rio_route_add_entry, "_gpl", "");
KSYMTAB_FUNC(rio_route_get_entry, "_gpl", "");
KSYMTAB_FUNC(rio_route_clr_table, "_gpl", "");
KSYMTAB_FUNC(rio_request_mport_dma, "_gpl", "");
KSYMTAB_FUNC(rio_request_dma, "_gpl", "");
KSYMTAB_FUNC(rio_release_dma, "_gpl", "");
KSYMTAB_FUNC(rio_dma_prep_xfer, "_gpl", "");
KSYMTAB_FUNC(rio_dma_prep_slave_sg, "_gpl", "");
KSYMTAB_FUNC(rio_register_scan, "_gpl", "");
KSYMTAB_FUNC(rio_unregister_scan, "_gpl", "");
KSYMTAB_FUNC(rio_init_mports, "_gpl", "");
KSYMTAB_FUNC(rio_mport_initialize, "_gpl", "");
KSYMTAB_FUNC(rio_register_mport, "_gpl", "");
KSYMTAB_FUNC(rio_unregister_mport, "_gpl", "");
KSYMTAB_FUNC(__rio_local_read_config_8, "_gpl", "");
KSYMTAB_FUNC(__rio_local_read_config_16, "_gpl", "");
KSYMTAB_FUNC(__rio_local_read_config_32, "_gpl", "");
KSYMTAB_FUNC(__rio_local_write_config_8, "_gpl", "");
KSYMTAB_FUNC(__rio_local_write_config_16, "_gpl", "");
KSYMTAB_FUNC(__rio_local_write_config_32, "_gpl", "");
KSYMTAB_FUNC(rio_mport_read_config_8, "_gpl", "");
KSYMTAB_FUNC(rio_mport_read_config_16, "_gpl", "");
KSYMTAB_FUNC(rio_mport_read_config_32, "_gpl", "");
KSYMTAB_FUNC(rio_mport_write_config_8, "_gpl", "");
KSYMTAB_FUNC(rio_mport_write_config_16, "_gpl", "");
KSYMTAB_FUNC(rio_mport_write_config_32, "_gpl", "");
KSYMTAB_FUNC(rio_mport_send_doorbell, "_gpl", "");
KSYMTAB_FUNC(rio_attach_device, "_gpl", "");
KSYMTAB_DATA(rio_mport_class, "_gpl", "");
KSYMTAB_FUNC(rio_register_driver, "_gpl", "");
KSYMTAB_FUNC(rio_unregister_driver, "_gpl", "");
KSYMTAB_DATA(rio_bus_type, "_gpl", "");
KSYMTAB_FUNC(rio_dev_get, "_gpl", "");
KSYMTAB_FUNC(rio_dev_put, "_gpl", "");

SYMBOL_CRC(rio_local_get_device_id, 0x2755ed03, "_gpl");
SYMBOL_CRC(rio_query_mport, 0x1ed7ce17, "");
SYMBOL_CRC(rio_alloc_net, 0xb1b349fd, "_gpl");
SYMBOL_CRC(rio_add_net, 0xb6d3943b, "_gpl");
SYMBOL_CRC(rio_free_net, 0xb2b3362a, "_gpl");
SYMBOL_CRC(rio_local_set_device_id, 0x626c2113, "_gpl");
SYMBOL_CRC(rio_add_device, 0x009b280e, "_gpl");
SYMBOL_CRC(rio_del_device, 0x42024beb, "_gpl");
SYMBOL_CRC(rio_request_inb_mbox, 0x072396a0, "_gpl");
SYMBOL_CRC(rio_release_inb_mbox, 0xb39e1b8a, "_gpl");
SYMBOL_CRC(rio_request_outb_mbox, 0xa843771e, "_gpl");
SYMBOL_CRC(rio_release_outb_mbox, 0x55a66b19, "_gpl");
SYMBOL_CRC(rio_request_inb_dbell, 0xbc14881b, "_gpl");
SYMBOL_CRC(rio_release_inb_dbell, 0x9f9c8ed2, "_gpl");
SYMBOL_CRC(rio_request_outb_dbell, 0xe91e2bb0, "_gpl");
SYMBOL_CRC(rio_release_outb_dbell, 0xa7f0e896, "_gpl");
SYMBOL_CRC(rio_add_mport_pw_handler, 0x8b1b7bb8, "_gpl");
SYMBOL_CRC(rio_del_mport_pw_handler, 0xb699a368, "_gpl");
SYMBOL_CRC(rio_request_inb_pwrite, 0x07b1885c, "_gpl");
SYMBOL_CRC(rio_release_inb_pwrite, 0x7f0107f8, "_gpl");
SYMBOL_CRC(rio_pw_enable, 0x5a5be762, "_gpl");
SYMBOL_CRC(rio_map_inb_region, 0x0f9e2063, "_gpl");
SYMBOL_CRC(rio_unmap_inb_region, 0x4dc8d114, "_gpl");
SYMBOL_CRC(rio_map_outb_region, 0x5817a5bd, "_gpl");
SYMBOL_CRC(rio_unmap_outb_region, 0xf8cad3d2, "_gpl");
SYMBOL_CRC(rio_mport_get_physefb, 0x84de281f, "_gpl");
SYMBOL_CRC(rio_get_comptag, 0x4fde3f6b, "_gpl");
SYMBOL_CRC(rio_set_port_lockout, 0x10e4cb12, "_gpl");
SYMBOL_CRC(rio_enable_rx_tx_port, 0xe220c258, "_gpl");
SYMBOL_CRC(rio_mport_chk_dev_access, 0x55fdb883, "_gpl");
SYMBOL_CRC(rio_inb_pwrite_handler, 0x1b71c198, "_gpl");
SYMBOL_CRC(rio_mport_get_efb, 0xd758e409, "_gpl");
SYMBOL_CRC(rio_mport_get_feature, 0xcf75c752, "_gpl");
SYMBOL_CRC(rio_lock_device, 0xb5245542, "_gpl");
SYMBOL_CRC(rio_unlock_device, 0xb9b3ac72, "_gpl");
SYMBOL_CRC(rio_route_add_entry, 0xefbb6b7e, "_gpl");
SYMBOL_CRC(rio_route_get_entry, 0xf4357483, "_gpl");
SYMBOL_CRC(rio_route_clr_table, 0xbf5eb3d0, "_gpl");
SYMBOL_CRC(rio_request_mport_dma, 0xb22c8452, "_gpl");
SYMBOL_CRC(rio_request_dma, 0xaac685cc, "_gpl");
SYMBOL_CRC(rio_release_dma, 0x3d9d0d5c, "_gpl");
SYMBOL_CRC(rio_dma_prep_xfer, 0xe7037bf6, "_gpl");
SYMBOL_CRC(rio_dma_prep_slave_sg, 0xef507cd5, "_gpl");
SYMBOL_CRC(rio_register_scan, 0x35d57ff8, "_gpl");
SYMBOL_CRC(rio_unregister_scan, 0xa7d7c892, "_gpl");
SYMBOL_CRC(rio_init_mports, 0xe1bd6c99, "_gpl");
SYMBOL_CRC(rio_mport_initialize, 0x3a6b12e7, "_gpl");
SYMBOL_CRC(rio_register_mport, 0xc512dfc6, "_gpl");
SYMBOL_CRC(rio_unregister_mport, 0x1db78a30, "_gpl");
SYMBOL_CRC(__rio_local_read_config_8, 0x9c87bb12, "_gpl");
SYMBOL_CRC(__rio_local_read_config_16, 0x1cdecf47, "_gpl");
SYMBOL_CRC(__rio_local_read_config_32, 0xa6ef5018, "_gpl");
SYMBOL_CRC(__rio_local_write_config_8, 0x53d72497, "_gpl");
SYMBOL_CRC(__rio_local_write_config_16, 0xef207ac7, "_gpl");
SYMBOL_CRC(__rio_local_write_config_32, 0x48e2968c, "_gpl");
SYMBOL_CRC(rio_mport_read_config_8, 0x21445265, "_gpl");
SYMBOL_CRC(rio_mport_read_config_16, 0x43e2f539, "_gpl");
SYMBOL_CRC(rio_mport_read_config_32, 0x9caa0e32, "_gpl");
SYMBOL_CRC(rio_mport_write_config_8, 0x31ea6f57, "_gpl");
SYMBOL_CRC(rio_mport_write_config_16, 0xc9d24538, "_gpl");
SYMBOL_CRC(rio_mport_write_config_32, 0xdfa27700, "_gpl");
SYMBOL_CRC(rio_mport_send_doorbell, 0x85596136, "_gpl");
SYMBOL_CRC(rio_attach_device, 0xdfdea026, "_gpl");
SYMBOL_CRC(rio_mport_class, 0x176691c8, "_gpl");
SYMBOL_CRC(rio_register_driver, 0xc0dc4581, "_gpl");
SYMBOL_CRC(rio_unregister_driver, 0x7c3e9aab, "_gpl");
SYMBOL_CRC(rio_bus_type, 0x1605f364, "_gpl");
SYMBOL_CRC(rio_dev_get, 0x5a55b94b, "_gpl");
SYMBOL_CRC(rio_dev_put, 0x9bcee35a, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xefb18d5e, "device_for_each_child" },
	{ 0x8576e767, "get_device" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0x11a5089b, "__dma_request_channel" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9d3d08f0, "put_device" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7276b73a, "module_put" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x6b184ed6, "driver_unregister" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xafc20114, "class_unregister" },
	{ 0xa3eb5274, "device_register" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xc5e74216, "release_resource" },
	{ 0xf2203c5f, "param_ops_int" },
	{ 0xe2a805d9, "driver_register" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0xb3d2d914, "class_register" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xddbd0482, "bus_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x4e5daa9a, "try_module_get" },
	{ 0x13110126, "request_resource" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x50707f9c, "dev_set_name" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9668568f, "device_unregister" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0x1c137c19, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0x91ba2397, "dma_release_channel" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7C3C1A8BC085EC9B7BCC133");

MODULE_INFO(suserelease, "SLFO-1.2");
