#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cxgbi_device_portmap_create, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_portmap_cleanup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_register, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_unregister, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_unregister_all, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_lldev, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_netdev, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_netdev_rcu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_hbas_remove, "_gpl", "");
KSYMTAB_FUNC(cxgbi_hbas_add, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_free_cpl_skbs, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_established, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_closed, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_fail_act_open, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_act_open_req_arp_failure, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_abort_rpl, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_peer_close, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_close_conn_rpl, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_wr_ack, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_select_mss, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_skb_entail, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_purge_wr_queue, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_check_wr_invariants, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ddp_set_one_ppod, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ddp_ppm_setup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_parse_pdu_itt, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_tx_open, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_pdu_ready, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_alloc_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_init_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_xmit_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_cleanup_task, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_conn_stats, "_gpl", "");
KSYMTAB_FUNC(cxgbi_set_conn_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_ep_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_create_conn, "_gpl", "");
KSYMTAB_FUNC(cxgbi_bind_conn, "_gpl", "");
KSYMTAB_FUNC(cxgbi_create_session, "_gpl", "");
KSYMTAB_FUNC(cxgbi_destroy_session, "_gpl", "");
KSYMTAB_FUNC(cxgbi_set_host_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_host_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_connect, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_poll, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_disconnect, "_gpl", "");
KSYMTAB_FUNC(cxgbi_iscsi_init, "_gpl", "");
KSYMTAB_FUNC(cxgbi_iscsi_cleanup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_attr_is_visible, "_gpl", "");

SYMBOL_CRC(cxgbi_device_portmap_create, 0xabb3b602, "_gpl");
SYMBOL_CRC(cxgbi_device_portmap_cleanup, 0x6884dad9, "_gpl");
SYMBOL_CRC(cxgbi_device_register, 0x91c048f1, "_gpl");
SYMBOL_CRC(cxgbi_device_unregister, 0x36c15242, "_gpl");
SYMBOL_CRC(cxgbi_device_unregister_all, 0x7fdb6004, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_lldev, 0xb31394ff, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_netdev, 0x6b39788b, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_netdev_rcu, 0x8b25e7ec, "_gpl");
SYMBOL_CRC(cxgbi_hbas_remove, 0x08e2271e, "_gpl");
SYMBOL_CRC(cxgbi_hbas_add, 0x9a1e0e39, "_gpl");
SYMBOL_CRC(cxgbi_sock_free_cpl_skbs, 0x138dfd6f, "_gpl");
SYMBOL_CRC(cxgbi_sock_established, 0x387c4a93, "_gpl");
SYMBOL_CRC(cxgbi_sock_closed, 0x38c49da2, "_gpl");
SYMBOL_CRC(cxgbi_sock_fail_act_open, 0x49f17170, "_gpl");
SYMBOL_CRC(cxgbi_sock_act_open_req_arp_failure, 0x2232a7de, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_abort_rpl, 0x07d02f4b, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_peer_close, 0x150bb5a8, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_close_conn_rpl, 0x029a65e6, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_wr_ack, 0xac3a7f1d, "_gpl");
SYMBOL_CRC(cxgbi_sock_select_mss, 0xea50df84, "_gpl");
SYMBOL_CRC(cxgbi_sock_skb_entail, 0x28645360, "_gpl");
SYMBOL_CRC(cxgbi_sock_purge_wr_queue, 0xb538b199, "_gpl");
SYMBOL_CRC(cxgbi_sock_check_wr_invariants, 0x290f478c, "_gpl");
SYMBOL_CRC(cxgbi_ddp_set_one_ppod, 0x8319f739, "_gpl");
SYMBOL_CRC(cxgbi_ddp_ppm_setup, 0x07e9e3b3, "_gpl");
SYMBOL_CRC(cxgbi_parse_pdu_itt, 0x2acf451a, "_gpl");
SYMBOL_CRC(cxgbi_conn_tx_open, 0x9b48b984, "_gpl");
SYMBOL_CRC(cxgbi_conn_pdu_ready, 0x29817089, "_gpl");
SYMBOL_CRC(cxgbi_conn_alloc_pdu, 0x46e22737, "_gpl");
SYMBOL_CRC(cxgbi_conn_init_pdu, 0x18ea037d, "_gpl");
SYMBOL_CRC(cxgbi_conn_xmit_pdu, 0x6e651941, "_gpl");
SYMBOL_CRC(cxgbi_cleanup_task, 0xdc372dae, "_gpl");
SYMBOL_CRC(cxgbi_get_conn_stats, 0x3782c859, "_gpl");
SYMBOL_CRC(cxgbi_set_conn_param, 0xc5f9ef22, "_gpl");
SYMBOL_CRC(cxgbi_get_ep_param, 0x1e8b0a44, "_gpl");
SYMBOL_CRC(cxgbi_create_conn, 0xe4c1eeb0, "_gpl");
SYMBOL_CRC(cxgbi_bind_conn, 0x308a56d1, "_gpl");
SYMBOL_CRC(cxgbi_create_session, 0x6308fbee, "_gpl");
SYMBOL_CRC(cxgbi_destroy_session, 0x4bd1c09c, "_gpl");
SYMBOL_CRC(cxgbi_set_host_param, 0x6caedb5c, "_gpl");
SYMBOL_CRC(cxgbi_get_host_param, 0xfb91670b, "_gpl");
SYMBOL_CRC(cxgbi_ep_connect, 0xa5a2c107, "_gpl");
SYMBOL_CRC(cxgbi_ep_poll, 0xe5d096e9, "_gpl");
SYMBOL_CRC(cxgbi_ep_disconnect, 0x06c7ea80, "_gpl");
SYMBOL_CRC(cxgbi_iscsi_init, 0x34424db7, "_gpl");
SYMBOL_CRC(cxgbi_iscsi_cleanup, 0x3f401512, "_gpl");
SYMBOL_CRC(cxgbi_attr_is_visible, 0xef346615, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92997ed8, "_printk" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x3fe724ad, "vlan_dev_real_dev" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa48808ee, "iscsi_host_remove" },
	{ 0xee7d22e5, "pci_dev_put" },
	{ 0x25420824, "iscsi_host_free" },
	{ 0x9cc430b2, "iscsi_host_alloc" },
	{ 0x7f8e49f, "pci_dev_get" },
	{ 0xcc77f7f5, "iscsi_host_add" },
	{ 0x884883a4, "scsi_host_put" },
	{ 0x6d64c27f, "sk_skb_reason_drop" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x7fe3fe1f, "cxgbi_ppm_init" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa167e87b, "iscsi_conn_queue_xmit" },
	{ 0x31ab66e8, "__kfree_skb" },
	{ 0x98eca79b, "iscsi_tcp_cleanup_task" },
	{ 0xb706edda, "cxgbi_ppm_ppod_release" },
	{ 0xc1ddd422, "dma_unmap_sg_attrs" },
	{ 0x37a0cba, "kfree" },
	{ 0x5d1efca2, "iscsi_tcp_set_max_r2t" },
	{ 0x2ad14667, "iscsi_set_param" },
	{ 0xeab9cbd5, "iscsi_conn_get_addr_param" },
	{ 0xf7936d0c, "iscsi_tcp_conn_setup" },
	{ 0x422341f1, "iscsi_session_setup" },
	{ 0xb6dd2a31, "iscsi_tcp_r2tpool_alloc" },
	{ 0xa0b4c4a2, "iscsi_session_teardown" },
	{ 0xa2fc9cce, "iscsi_tcp_r2tpool_free" },
	{ 0xe3f5250f, "iscsi_host_set_param" },
	{ 0x1b6314fd, "in_aton" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x704c5d41, "_dev_printk" },
	{ 0xf2290c40, "iscsi_unregister_transport" },
	{ 0xbd6ee8cc, "alloc_pages_noprof" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xedd7eb58, "rt_read_lock" },
	{ 0x9677f9ea, "iscsi_conn_failure" },
	{ 0x9ebb2bfc, "rt_read_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x1c3cff1, "iscsi_register_transport" },
	{ 0x1eb1abab, "init_net" },
	{ 0x3c1147f8, "ip6_route_output_flags" },
	{ 0xbe3dbdfa, "__alloc_skb" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xe92a68d9, "cxgbi_ppm_ppods_reserve" },
	{ 0xeebca5cd, "dma_map_sg_attrs" },
	{ 0x38139aa, "cxgbi_ppm_make_ppod_hdr" },
	{ 0x81533963, "sysfs_format_mac" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x9d26a85, "iscsi_host_get_param" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe1d76e70, "iscsi_tcp_recv_segment_is_hdr" },
	{ 0x8022e664, "iscsi_tcp_recv_skb" },
	{ 0x83deb9be, "iscsi_lookup_endpoint" },
	{ 0xd2db67aa, "iscsi_conn_bind" },
	{ 0x9919fd8, "rt_write_lock" },
	{ 0xf250e2d4, "rt_write_unlock" },
	{ 0xe717be01, "iscsi_tcp_hdr_recv_prep" },
	{ 0x71888701, "iscsi_put_endpoint" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x297093d2, "dst_release" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x85020be6, "cxgbi_ppm_release" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x64a5c687, "__folio_put" },
	{ 0x481dda0e, "__put_devmap_managed_folio_refs" },
	{ 0x7276b73a, "module_put" },
	{ 0xf07f4f21, "iscsi_destroy_endpoint" },
	{ 0xb7ba9313, "ipv6_dev_get_saddr" },
	{ 0xc131aac7, "neigh_destroy" },
	{ 0xc299905c, "make_kuid" },
	{ 0x2fceb1, "ip_route_output_flow" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x3c648f0, "iscsi_create_endpoint" },
	{ 0xc1210d8f, "__ip_dev_find" },
	{ 0x3ec4ea5, "skb_put" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0x49608959, "migrate_disable" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x69acdf38, "memcpy" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x425b2683, "iscsi_itt_to_ctask" },
	{ 0xe5eb5fd0, "param_ops_uint" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "libiscsi,scsi_mod,libcxgb,libiscsi_tcp,scsi_transport_iscsi");


MODULE_INFO(srcversion, "A1FE6C08DA5E47540AE3FD6");

MODULE_INFO(suserelease, "SLFO-1.2");
