#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(iscsi_tcp_segment_unmap, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_segment_done, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_dgst_header, "_gpl", "");
KSYMTAB_FUNC(iscsi_segment_init_linear, "_gpl", "");
KSYMTAB_FUNC(iscsi_segment_seek_sg, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_hdr_recv_prep, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_cleanup_task, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_recv_segment_is_hdr, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_recv_skb, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_task_init, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_task_xmit, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_setup, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_teardown, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_r2tpool_alloc, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_r2tpool_free, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_set_max_r2t, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_get_stats, "_gpl", "");

SYMBOL_CRC(iscsi_tcp_segment_unmap, 0x8f9eedb4, "_gpl");
SYMBOL_CRC(iscsi_tcp_segment_done, 0xb5f52bdb, "_gpl");
SYMBOL_CRC(iscsi_tcp_dgst_header, 0x5c79d2a6, "_gpl");
SYMBOL_CRC(iscsi_segment_init_linear, 0xc603927d, "_gpl");
SYMBOL_CRC(iscsi_segment_seek_sg, 0xb74bf52a, "_gpl");
SYMBOL_CRC(iscsi_tcp_hdr_recv_prep, 0xe717be01, "_gpl");
SYMBOL_CRC(iscsi_tcp_cleanup_task, 0x98eca79b, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_segment_is_hdr, 0xe1d76e70, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_skb, 0x8022e664, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_init, 0x8020c80b, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_xmit, 0xf892f2bb, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_setup, 0xf7936d0c, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_teardown, 0xd0f28c2a, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_alloc, 0xb6dd2a31, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_free, 0xa2fc9cce, "_gpl");
SYMBOL_CRC(iscsi_tcp_set_max_r2t, 0x5d1efca2, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_get_stats, 0xa397d5d4, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1f75299e, "iscsi_dbg_trace" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x704c5d41, "_dev_printk" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x49608959, "migrate_disable" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x702c5e5d, "crypto_ahash_digest" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x794303, "crypto_ahash_init" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x1f4e376d, "iscsi_prep_data_out_pdu" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x8951457c, "iscsi_put_task" },
	{ 0x9677f9ea, "iscsi_conn_failure" },
	{ 0x670714f0, "iscsi_conn_setup" },
	{ 0x4433c284, "iscsi_conn_teardown" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0x3bef2f73, "iscsi_pool_init" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x8d303b1b, "iscsi_pool_free" },
	{ 0x160e7ae4, "__tracepoint_iscsi_dbg_tcp" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xa8c4b5e1, "__SCT__tp_func_iscsi_dbg_tcp" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x13ef0888, "crypto_ahash_update" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xbe0bb431, "crypto_ahash_final" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbd86c88c, "skb_prepare_seq_read" },
	{ 0x48eb9a7b, "skb_seq_read" },
	{ 0x69acdf38, "memcpy" },
	{ 0xa17bde82, "skb_abort_seq_read" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x5fd5d3ba, "iscsi_complete_pdu" },
	{ 0x669c2b48, "iscsi_verify_itt" },
	{ 0x425b2683, "iscsi_itt_to_ctask" },
	{ 0x63b95948, "iscsi_get_task" },
	{ 0x2fc9ebf9, "iscsi_update_cmdsn" },
	{ 0x8e02ecf6, "__iscsi_complete_pdu" },
	{ 0x2078248e, "iscsi_requeue_task" },
	{ 0xf2203c5f, "param_ops_int" },
	{ 0x971fc3f1, "__SCK__tp_func_iscsi_dbg_tcp" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_iscsi,libiscsi");


MODULE_INFO(srcversion, "2064390599C28F50820AC03");

MODULE_INFO(suserelease, "SLFO-1.2");
