#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(qlt_unreg_sess, "", "");
KSYMTAB_FUNC(qlt_stop_phase1, "", "");
KSYMTAB_FUNC(qlt_stop_phase2, "", "");
KSYMTAB_FUNC(qlt_free_mcmd, "", "");
KSYMTAB_FUNC(qlt_xmit_tm_rsp, "", "");
KSYMTAB_FUNC(qlt_xmit_response, "", "");
KSYMTAB_FUNC(qlt_rdy_to_xfer, "", "");
KSYMTAB_FUNC(qlt_abort_cmd, "", "");
KSYMTAB_FUNC(qlt_free_cmd, "", "");
KSYMTAB_FUNC(qlt_lport_register, "", "");
KSYMTAB_FUNC(qlt_lport_deregister, "", "");
KSYMTAB_FUNC(qlt_enable_vha, "", "");

SYMBOL_CRC(qlt_unreg_sess, 0x241b563b, "");
SYMBOL_CRC(qlt_stop_phase1, 0x412f74bb, "");
SYMBOL_CRC(qlt_stop_phase2, 0x44154ec4, "");
SYMBOL_CRC(qlt_free_mcmd, 0x63fd04fa, "");
SYMBOL_CRC(qlt_xmit_tm_rsp, 0xf52e9982, "");
SYMBOL_CRC(qlt_xmit_response, 0x9c5b0c6b, "");
SYMBOL_CRC(qlt_rdy_to_xfer, 0x2b1dc017, "");
SYMBOL_CRC(qlt_abort_cmd, 0x2a9ea633, "");
SYMBOL_CRC(qlt_free_cmd, 0xd3e1e704, "");
SYMBOL_CRC(qlt_lport_register, 0xdca7bac1, "");
SYMBOL_CRC(qlt_lport_deregister, 0xb8806249, "");
SYMBOL_CRC(qlt_enable_vha, 0x89b6954b, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc8240d31, "_dev_err" },
	{ 0xc9f7fc1, "fc_vport_create" },
	{ 0x884883a4, "scsi_host_put" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x1dde4200, "simple_attr_release" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x5f577086, "noop_llseek" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x437bd25f, "fc_remote_port_rolechg" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x423a97bc, "blk_mq_map_hw_queues" },
	{ 0xdf9ceed4, "kmem_cache_free" },
	{ 0x18595920, "dma_alloc_attrs" },
	{ 0xc884c36e, "scsi_scan_host" },
	{ 0xfca9dc99, "nvme_fc_unregister_remoteport" },
	{ 0x65e0d6d7, "memory_read_from_buffer" },
	{ 0x6de67898, "debugfs_remove" },
	{ 0x6e1341a1, "pci_read_config_word" },
	{ 0x5a921311, "strncmp" },
	{ 0x56a719f2, "seq_putc" },
	{ 0x658574f4, "trace_event_reg" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x90e5c56f, "fc_vport_terminate" },
	{ 0xfdd546d6, "blk_mq_num_online_queues" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x181a4f92, "fc_block_rport" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xad6d7e4b, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x9a2a5751, "trace_array_get_by_name" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x6eecfaf4, "sg_copy_buffer" },
	{ 0x91db5656, "pci_restore_state" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x31491004, "pci_alloc_irq_vectors_affinity" },
	{ 0xd4de697d, "scsi_is_host_device" },
	{ 0x83358fe5, "pci_set_master" },
	{ 0x61e00f48, "param_ops_charp" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfa10416, "kmem_cache_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x209e480d, "dma_get_required_mask" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0x1a2373f, "blk_mq_unique_tag" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x3e4f8768, "vmalloc_array_noprof" },
	{ 0x8337a399, "__kmem_cache_create_args" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xdd61f31d, "device_show_string" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd00c9875, "kthread_create_on_node" },
	{ 0xaf36c569, "dma_set_coherent_mask" },
	{ 0x4a38d9f7, "seq_read" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xedd7eb58, "rt_read_lock" },
	{ 0x6e714fcb, "trace_array_set_clr_event" },
	{ 0x1ac5d3cb, "strcspn" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x375f8bbd, "fc_get_event_number" },
	{ 0xf4334299, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xe1c647d2, "fc_host_fpin_rcv" },
	{ 0x27a7a36e, "trace_event_buffer_reserve" },
	{ 0xea3c8e4e, "scsilun_to_int" },
	{ 0x12238b9c, "btree_destroy" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x450c6df2, "mempool_create_node_noprof" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x891ee507, "scmd_printk" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x910a2a1e, "btree_update" },
	{ 0x6029628f, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x94e7fe73, "pci_write_config_byte" },
	{ 0xfe1c9ea5, "sg_pcopy_from_buffer" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x7c3d6aba, "__register_chrdev" },
	{ 0x9f7aac60, "seq_write" },
	{ 0x843d3d6a, "mempool_destroy" },
	{ 0x9ebb2bfc, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd99750f5, "fc_eh_should_retry_cmd" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x96679402, "pcie_capability_read_dword" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7ad7a5cd, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x9919fd8, "rt_write_lock" },
	{ 0x8ae718dd, "debugfs_create_file_full" },
	{ 0x3884f8b8, "nvme_fc_unregister_localport" },
	{ 0xf13667bf, "scsi_is_fc_rport" },
	{ 0xfb5af384, "pci_disable_device" },
	{ 0x2c61eac8, "scsi_done" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x62703719, "btree_get_prev" },
	{ 0x8d8b2fb3, "single_release" },
	{ 0x1b5a5416, "scsi_unblock_requests" },
	{ 0xdc8d34db, "pcie_set_readrq" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0xa7524338, "dma_set_mask" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x1ef7360c, "pci_disable_rom" },
	{ 0xc1ddd422, "dma_unmap_sg_attrs" },
	{ 0x40999450, "pci_irq_get_affinity" },
	{ 0xe7a64932, "scsi_block_requests" },
	{ 0x2a42ad7e, "scsi_add_host_with_dma" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x6847eb4d, "pci_read_config_byte" },
	{ 0x754d539c, "strlen" },
	{ 0xf2203c5f, "param_ops_int" },
	{ 0xd12e564, "nvme_fc_register_remoteport" },
	{ 0x495b28e9, "single_open" },
	{ 0x4999a165, "scsi_host_alloc" },
	{ 0xd20f3ddd, "debugfs_create_dir" },
	{ 0xc01defd9, "pci_write_config_word" },
	{ 0xb354554f, "sysfs_remove_bin_file" },
	{ 0xd6336f23, "pci_free_irq_vectors" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0x4bb853b1, "nvme_fc_register_localport" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x6600b9e, "scsi_change_queue_depth" },
	{ 0xf9a482f9, "msleep" },
	{ 0xa6818e54, "pcix_set_mmrbc" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0x8019049f, "kmem_cache_destroy" },
	{ 0xeebca5cd, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xfdf61141, "param_ops_ullong" },
	{ 0xb697fff3, "pci_save_state" },
	{ 0x5b7df858, "btree_last" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe859e1a6, "pcie_capability_read_word" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xf05e00b0, "fc_attach_transport" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xdc2f1a09, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa3a04602, "btree_geo64" },
	{ 0x76b3852f, "debugfs_attr_write" },
	{ 0xe5eb5fd0, "param_ops_uint" },
	{ 0xc6d9f098, "dma_pool_create" },
	{ 0xcf9a2c0, "pci_request_selected_regions" },
	{ 0x87449e3e, "pci_release_selected_regions" },
	{ 0x8a9cf5a7, "nvme_fc_set_remoteport_devloss" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xbd12925f, "pci_enable_device" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0xd9de95f, "pci_enable_device_mem" },
	{ 0x1fcca9f4, "bsg_job_done" },
	{ 0xa7a5e3cf, "btree_insert" },
	{ 0x6c2c44a0, "pci_alloc_irq_vectors" },
	{ 0x5f882576, "fc_remote_port_add" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa11a97c1, "trace_raw_output_prep" },
	{ 0xa5bbdd31, "scsi_remove_host" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xb07d43ee, "__trace_trigger_soft_disabled" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0xce22a490, "scsi_build_sense" },
	{ 0xb51d11a4, "dma_unmap_page_attrs" },
	{ 0xacf7e913, "request_firmware" },
	{ 0xdf4574bf, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf562e918, "fc_remove_host" },
	{ 0xd1ffe315, "__pci_register_driver" },
	{ 0xf6f69aba, "set_user_nice" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xdcd5c6fa, "sysfs_create_bin_file" },
	{ 0xedc03953, "iounmap" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x18b00c43, "pci_request_regions" },
	{ 0x549dee85, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xe6271619, "scsi_dma_unmap" },
	{ 0x37a0cba, "kfree" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0x2e4f415b, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x34a20bc6, "pci_clear_mwi" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd0d9d74c, "bpf_trace_run2" },
	{ 0x3416d62c, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xfde9cc64, "fc_eh_timed_out" },
	{ 0xf6491531, "__wake_up" },
	{ 0x8dff38d5, "btree_remove" },
	{ 0xe885bad5, "pci_irq_vector" },
	{ 0x148653, "vsnprintf" },
	{ 0x44131147, "pci_try_set_mwi" },
	{ 0x8576e767, "get_device" },
	{ 0xbb0e18a6, "nvme_fc_rcv_ls_req" },
	{ 0x4591e46f, "mempool_free" },
	{ 0xb6e3c8cb, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1d8a5fdd, "wake_up_process" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x44c339bf, "dev_driver_string" },
	{ 0x77188b5d, "trace_event_buffer_commit" },
	{ 0x99f17865, "trace_array_put" },
	{ 0x127572c3, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x28ba6fe1, "dma_map_page_attrs" },
	{ 0x8735ed3d, "irq_set_affinity_notifier" },
	{ 0xad65b673, "fc_block_scsi_eh" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0xf331236f, "btree_geo32" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0x96b29254, "strncasecmp" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x6bb0c042, "fc_remote_port_delete" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0xec9e0f02, "scsi_host_get" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x9fa4564a, "timer_shutdown" },
	{ 0x8f71aa34, "fc_host_post_event" },
	{ 0xf250e2d4, "rt_write_unlock" },
	{ 0x71b12b37, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x4963dacd, "pci_select_bars" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xaa0337ec, "fc_release_transport" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x92cd5970, "pci_set_mwi" },
	{ 0xe06fa84d, "btree_lookup" },
	{ 0x35d7bdc5, "pci_find_capability" },
	{ 0x75929dff, "debugfs_attr_read" },
	{ 0xe5f8600f, "btree_init" },
	{ 0x6aab1d02, "mempool_alloc_noprof" },
	{ 0xe4b703db, "kobject_uevent_env" },
	{ 0xbd3a82d3, "pci_clear_master" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x7ec56c70, "perf_trace_run_bpf_submit" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_fc,scsi_mod,nvme-fc,scsi_common");

MODULE_ALIAS("pci:v00001077d00002100sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002200sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002300sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002312sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002322sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00006312sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00006322sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002422sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002432sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008432sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00005422sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00005432sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002532sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002031sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008031sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d0000F001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008044sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002071sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002271sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002261sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002061sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002081sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002281sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002089sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002289sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "70AABE0F1A42A225B7F01EA");

MODULE_INFO(suserelease, "SLFO-1.2");
