#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(sdw_bus_type, "_gpl", "");
KSYMTAB_FUNC(__sdw_register_driver, "_gpl", "");
KSYMTAB_FUNC(sdw_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(sdw_bus_master_add, "", "");
KSYMTAB_FUNC(sdw_bus_master_delete, "", "");
KSYMTAB_FUNC(sdw_show_ping_status, "", "");
KSYMTAB_FUNC(sdw_nread_no_pm, "", "");
KSYMTAB_FUNC(sdw_nwrite_no_pm, "", "");
KSYMTAB_FUNC(sdw_write_no_pm, "", "");
KSYMTAB_FUNC(sdw_bread_no_pm_unlocked, "", "");
KSYMTAB_FUNC(sdw_bwrite_no_pm_unlocked, "", "");
KSYMTAB_FUNC(sdw_read_no_pm, "", "");
KSYMTAB_FUNC(sdw_update_no_pm, "", "");
KSYMTAB_FUNC(sdw_update, "", "");
KSYMTAB_FUNC(sdw_nread, "", "");
KSYMTAB_FUNC(sdw_nwrite, "", "");
KSYMTAB_FUNC(sdw_read, "", "");
KSYMTAB_FUNC(sdw_write, "", "");
KSYMTAB_FUNC(sdw_compare_devid, "", "");
KSYMTAB_FUNC(sdw_extract_slave_id, "", "");
KSYMTAB_FUNC(sdw_bus_prep_clk_stop, "", "");
KSYMTAB_FUNC(sdw_bus_clk_stop, "", "");
KSYMTAB_FUNC(sdw_bus_exit_clk_stop, "", "");
KSYMTAB_FUNC(sdw_handle_slave_status, "", "");
KSYMTAB_FUNC(sdw_clear_slave_status, "", "");
KSYMTAB_FUNC(sdw_slave_add, "", "");
KSYMTAB_FUNC(sdw_master_read_prop, "", "");
KSYMTAB_FUNC(sdw_slave_read_prop, "", "");
KSYMTAB_DATA(sdw_rows, "", "");
KSYMTAB_DATA(sdw_cols, "", "");
KSYMTAB_FUNC(sdw_find_col_index, "", "");
KSYMTAB_FUNC(sdw_find_row_index, "", "");
KSYMTAB_FUNC(sdw_prepare_stream, "", "");
KSYMTAB_FUNC(sdw_enable_stream, "", "");
KSYMTAB_FUNC(sdw_disable_stream, "", "");
KSYMTAB_FUNC(sdw_deprepare_stream, "", "");
KSYMTAB_FUNC(sdw_alloc_stream, "", "");
KSYMTAB_FUNC(sdw_startup_stream, "", "");
KSYMTAB_FUNC(sdw_shutdown_stream, "", "");
KSYMTAB_FUNC(sdw_release_stream, "", "");
KSYMTAB_FUNC(sdw_stream_add_master, "", "");
KSYMTAB_FUNC(sdw_stream_remove_master, "", "");
KSYMTAB_FUNC(sdw_stream_add_slave, "", "");
KSYMTAB_FUNC(sdw_stream_remove_slave, "", "");

SYMBOL_CRC(sdw_bus_type, 0x9a5bf423, "_gpl");
SYMBOL_CRC(__sdw_register_driver, 0x815cddaf, "_gpl");
SYMBOL_CRC(sdw_unregister_driver, 0x75d50280, "_gpl");
SYMBOL_CRC(sdw_bus_master_add, 0xf8259582, "");
SYMBOL_CRC(sdw_bus_master_delete, 0xda20d2b6, "");
SYMBOL_CRC(sdw_show_ping_status, 0x1723ee55, "");
SYMBOL_CRC(sdw_nread_no_pm, 0x68183851, "");
SYMBOL_CRC(sdw_nwrite_no_pm, 0xeb5ac6d5, "");
SYMBOL_CRC(sdw_write_no_pm, 0x7a6598df, "");
SYMBOL_CRC(sdw_bread_no_pm_unlocked, 0x0ea25747, "");
SYMBOL_CRC(sdw_bwrite_no_pm_unlocked, 0x70b440de, "");
SYMBOL_CRC(sdw_read_no_pm, 0xda708d98, "");
SYMBOL_CRC(sdw_update_no_pm, 0x31427eb6, "");
SYMBOL_CRC(sdw_update, 0xe3743a8f, "");
SYMBOL_CRC(sdw_nread, 0x3de56d36, "");
SYMBOL_CRC(sdw_nwrite, 0xf37228ed, "");
SYMBOL_CRC(sdw_read, 0xccaf012b, "");
SYMBOL_CRC(sdw_write, 0xf5b35272, "");
SYMBOL_CRC(sdw_compare_devid, 0x39b740a9, "");
SYMBOL_CRC(sdw_extract_slave_id, 0xae5cf5c8, "");
SYMBOL_CRC(sdw_bus_prep_clk_stop, 0x9a525edf, "");
SYMBOL_CRC(sdw_bus_clk_stop, 0x00fdd169, "");
SYMBOL_CRC(sdw_bus_exit_clk_stop, 0x1434841e, "");
SYMBOL_CRC(sdw_handle_slave_status, 0xec523825, "");
SYMBOL_CRC(sdw_clear_slave_status, 0x3d63d4fe, "");
SYMBOL_CRC(sdw_slave_add, 0x90f0376d, "");
SYMBOL_CRC(sdw_master_read_prop, 0x87972c64, "");
SYMBOL_CRC(sdw_slave_read_prop, 0xc8f0621c, "");
SYMBOL_CRC(sdw_rows, 0xf53ba0b8, "");
SYMBOL_CRC(sdw_cols, 0xba54b904, "");
SYMBOL_CRC(sdw_find_col_index, 0x60e31fbb, "");
SYMBOL_CRC(sdw_find_row_index, 0x1deee061, "");
SYMBOL_CRC(sdw_prepare_stream, 0x8a156323, "");
SYMBOL_CRC(sdw_enable_stream, 0x250bd32d, "");
SYMBOL_CRC(sdw_disable_stream, 0xdfde2b3a, "");
SYMBOL_CRC(sdw_deprepare_stream, 0x401c7ea1, "");
SYMBOL_CRC(sdw_alloc_stream, 0x84d21766, "");
SYMBOL_CRC(sdw_startup_stream, 0x3b0a8582, "");
SYMBOL_CRC(sdw_shutdown_stream, 0x6f95b16b, "");
SYMBOL_CRC(sdw_release_stream, 0x95db52ba, "");
SYMBOL_CRC(sdw_stream_add_master, 0x8e19f90a, "");
SYMBOL_CRC(sdw_stream_remove_master, 0x287439a8, "");
SYMBOL_CRC(sdw_stream_add_slave, 0xe41ac794, "");
SYMBOL_CRC(sdw_stream_remove_slave, 0xa1fbc05f, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x549525ef, "handle_nested_irq" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x792c9efe, "devm_kasprintf" },
	{ 0x4a38d9f7, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x39b37d3a, "fwnode_property_present" },
	{ 0x82ce4479, "irq_domain_instantiate" },
	{ 0xd5dcc637, "__pm_runtime_resume" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x4256d4ca, "device_get_named_child_node" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x7ad7a5cd, "seq_printf" },
	{ 0x8ce36b51, "irq_create_mapping_affinity" },
	{ 0x8ae718dd, "debugfs_create_file_full" },
	{ 0x8d8b2fb3, "single_release" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0x97293f94, "acpi_dev_for_each_child" },
	{ 0xdf0614a1, "__pm_runtime_suspend" },
	{ 0x2d774a89, "irq_set_chip" },
	{ 0x972fec3a, "__pm_runtime_use_autosuspend" },
	{ 0x495b28e9, "single_open" },
	{ 0xf40beb46, "__pm_runtime_disable" },
	{ 0xd20f3ddd, "debugfs_create_dir" },
	{ 0xe2a805d9, "driver_register" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x66ebde19, "__pm_runtime_idle" },
	{ 0x597db3ac, "acpi_get_local_u64_address" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xddbd0482, "bus_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x3d40f03f, "debugfs_create_str" },
	{ 0xa2429ab9, "ida_alloc_range" },
	{ 0xa4f4d556, "device_property_present" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x187dccfa, "is_acpi_device_node" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xdc2f1a09, "simple_attr_open" },
	{ 0x76b3852f, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x3cb06817, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x50707f9c, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x9668568f, "device_unregister" },
	{ 0xf42ab0a3, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0x6a92fbc8, "irq_domain_remove" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0xacf7e913, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0x2e4f415b, "seq_lseek" },
	{ 0x57162de2, "dev_pm_domain_attach" },
	{ 0x72b30e4c, "devm_device_add_group" },
	{ 0xefb18d5e, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf15ff66e, "pm_generic_runtime_resume" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x478dcfc2, "__pm_runtime_set_status" },
	{ 0x92997ed8, "_printk" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9d3d08f0, "put_device" },
	{ 0x6d93b33b, "pm_runtime_enable" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x64580cf8, "device_property_read_u32_array" },
	{ 0x5354bf73, "fwnode_property_read_u32_array" },
	{ 0xeb6eb87, "add_taint" },
	{ 0xb51217dd, "dev_pm_domain_detach" },
	{ 0x9cf38e20, "pm_generic_runtime_suspend" },
	{ 0x75929dff, "debugfs_attr_read" },
	{ 0x12cb1804, "bus_unregister" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x1dde4200, "simple_attr_release" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x6de67898, "debugfs_remove" },
	{ 0x10119bb, "ida_free" },
	{ 0x6b184ed6, "driver_unregister" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xa3eb5274, "device_register" },
	{ 0x6b60f81c, "__irq_resolve_mapping" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0D87C84A91B10E49AA890BF");

MODULE_INFO(suserelease, "SLFO-1.2");
