#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(spmi_device_add, "_gpl", "");
KSYMTAB_FUNC(spmi_device_remove, "_gpl", "");
KSYMTAB_FUNC(spmi_register_read, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_read, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_readl, "_gpl", "");
KSYMTAB_FUNC(spmi_register_write, "_gpl", "");
KSYMTAB_FUNC(spmi_register_zero_write, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_write, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_writel, "_gpl", "");
KSYMTAB_FUNC(spmi_command_reset, "_gpl", "");
KSYMTAB_FUNC(spmi_command_sleep, "_gpl", "");
KSYMTAB_FUNC(spmi_command_wakeup, "_gpl", "");
KSYMTAB_FUNC(spmi_command_shutdown, "_gpl", "");
KSYMTAB_FUNC(spmi_find_device_by_of_node, "_gpl", "");
KSYMTAB_FUNC(spmi_device_alloc, "_gpl", "");
KSYMTAB_FUNC(spmi_controller_alloc, "_gpl", "");
KSYMTAB_FUNC(spmi_controller_add, "_gpl", "");
KSYMTAB_FUNC(spmi_controller_remove, "_gpl", "");
KSYMTAB_FUNC(__spmi_driver_register, "_gpl", "");

SYMBOL_CRC(spmi_device_add, 0x1eb1d72f, "_gpl");
SYMBOL_CRC(spmi_device_remove, 0x774efda2, "_gpl");
SYMBOL_CRC(spmi_register_read, 0xbf9255a7, "_gpl");
SYMBOL_CRC(spmi_ext_register_read, 0xfec413f6, "_gpl");
SYMBOL_CRC(spmi_ext_register_readl, 0xe44992fc, "_gpl");
SYMBOL_CRC(spmi_register_write, 0xaeb0f4e3, "_gpl");
SYMBOL_CRC(spmi_register_zero_write, 0x1adcf870, "_gpl");
SYMBOL_CRC(spmi_ext_register_write, 0x15e5bf4e, "_gpl");
SYMBOL_CRC(spmi_ext_register_writel, 0xb8389f5e, "_gpl");
SYMBOL_CRC(spmi_command_reset, 0x2caae90e, "_gpl");
SYMBOL_CRC(spmi_command_sleep, 0x5c8dc8dc, "_gpl");
SYMBOL_CRC(spmi_command_wakeup, 0xffa5c1a4, "_gpl");
SYMBOL_CRC(spmi_command_shutdown, 0x5a966a90, "_gpl");
SYMBOL_CRC(spmi_find_device_by_of_node, 0xfcfef740, "_gpl");
SYMBOL_CRC(spmi_device_alloc, 0x62ec91b1, "_gpl");
SYMBOL_CRC(spmi_controller_alloc, 0xa2361cb0, "_gpl");
SYMBOL_CRC(spmi_controller_add, 0x247e31bb, "_gpl");
SYMBOL_CRC(spmi_controller_remove, 0x43cd71c7, "_gpl");
SYMBOL_CRC(__spmi_driver_register, 0x219d0890, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x7ec56c70, "perf_trace_run_bpf_submit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x27a7a36e, "trace_event_buffer_reserve" },
	{ 0x77188b5d, "trace_event_buffer_commit" },
	{ 0xb07d43ee, "__trace_trigger_soft_disabled" },
	{ 0xa11a97c1, "trace_raw_output_prep" },
	{ 0xdf4574bf, "trace_event_printf" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x7ff53d0f, "bpf_trace_run5" },
	{ 0x1d337321, "bpf_trace_run4" },
	{ 0xcb67b626, "bpf_trace_run3" },
	{ 0xa5040375, "bpf_trace_run6" },
	{ 0x50707f9c, "dev_set_name" },
	{ 0x9907f28, "device_add" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x9668568f, "device_unregister" },
	{ 0x10119bb, "ida_free" },
	{ 0x37a0cba, "kfree" },
	{ 0x478dcfc2, "__pm_runtime_set_status" },
	{ 0x6d93b33b, "pm_runtime_enable" },
	{ 0xf40beb46, "__pm_runtime_disable" },
	{ 0x5a921311, "strncmp" },
	{ 0x4668e7ed, "device_match_of_node" },
	{ 0xc864bff6, "bus_find_device" },
	{ 0xe2a805d9, "driver_register" },
	{ 0x12cb1804, "bus_unregister" },
	{ 0xddbd0482, "bus_register" },
	{ 0xefb18d5e, "device_for_each_child" },
	{ 0x1080ce71, "device_del" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x4628038c, "device_initialize" },
	{ 0xa2429ab9, "ida_alloc_range" },
	{ 0x9d3d08f0, "put_device" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xd5dcc637, "__pm_runtime_resume" },
	{ 0x658574f4, "trace_event_reg" },
	{ 0x549dee85, "trace_event_raw_init" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "459AB680E85BBB4CC3319F9");

MODULE_INFO(suserelease, "SLFO-1.2");
