#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ssb_bus_resume, "", "");
KSYMTAB_FUNC(ssb_bus_suspend, "", "");
KSYMTAB_FUNC(ssb_bus_unregister, "", "");
KSYMTAB_FUNC(ssb_bus_sdiobus_register, "", "");
KSYMTAB_FUNC(__ssb_driver_register, "", "");
KSYMTAB_FUNC(ssb_driver_unregister, "", "");
KSYMTAB_FUNC(ssb_set_devtypedata, "", "");
KSYMTAB_FUNC(ssb_clockspeed, "", "");
KSYMTAB_FUNC(ssb_device_is_enabled, "", "");
KSYMTAB_FUNC(ssb_device_enable, "", "");
KSYMTAB_FUNC(ssb_device_disable, "", "");
KSYMTAB_FUNC(ssb_dma_translation, "", "");
KSYMTAB_FUNC(ssb_bus_may_powerdown, "", "");
KSYMTAB_FUNC(ssb_bus_powerup, "", "");
KSYMTAB_FUNC(ssb_commit_settings, "", "");
KSYMTAB_FUNC(ssb_admatch_base, "", "");
KSYMTAB_FUNC(ssb_admatch_size, "", "");
KSYMTAB_FUNC(ssb_pcihost_register, "", "");
KSYMTAB_FUNC(ssb_chipco_gpio_control, "", "");
KSYMTAB_FUNC(ssb_pmu_set_ldo_voltage, "", "");
KSYMTAB_FUNC(ssb_pmu_set_ldo_paref, "", "");
KSYMTAB_FUNC(ssb_pmu_spuravoid_pllupdate, "_gpl", "");
KSYMTAB_FUNC(ssb_pcicore_dev_irqvecs_enable, "", "");

SYMBOL_CRC(ssb_bus_resume, 0x431ce71b, "");
SYMBOL_CRC(ssb_bus_suspend, 0x064e279d, "");
SYMBOL_CRC(ssb_bus_unregister, 0x6dd15c7d, "");
SYMBOL_CRC(ssb_bus_sdiobus_register, 0xffdad83c, "");
SYMBOL_CRC(__ssb_driver_register, 0x9c6db997, "");
SYMBOL_CRC(ssb_driver_unregister, 0x4de84982, "");
SYMBOL_CRC(ssb_set_devtypedata, 0x24f64a96, "");
SYMBOL_CRC(ssb_clockspeed, 0x61a3480b, "");
SYMBOL_CRC(ssb_device_is_enabled, 0xce84579f, "");
SYMBOL_CRC(ssb_device_enable, 0xa8fbe198, "");
SYMBOL_CRC(ssb_device_disable, 0x0632471b, "");
SYMBOL_CRC(ssb_dma_translation, 0x1d72bded, "");
SYMBOL_CRC(ssb_bus_may_powerdown, 0x108c48d3, "");
SYMBOL_CRC(ssb_bus_powerup, 0x2c4efd53, "");
SYMBOL_CRC(ssb_commit_settings, 0x5aeb3455, "");
SYMBOL_CRC(ssb_admatch_base, 0xcb17f1cb, "");
SYMBOL_CRC(ssb_admatch_size, 0xdfc7c6ef, "");
SYMBOL_CRC(ssb_pcihost_register, 0x7b22e6b9, "");
SYMBOL_CRC(ssb_chipco_gpio_control, 0x88d7b328, "");
SYMBOL_CRC(ssb_pmu_set_ldo_voltage, 0x2f6af052, "");
SYMBOL_CRC(ssb_pmu_set_ldo_paref, 0xb580a3cd, "");
SYMBOL_CRC(ssb_pmu_spuravoid_pllupdate, 0xa569a102, "_gpl");
SYMBOL_CRC(ssb_pcicore_dev_irqvecs_enable, 0x78f4440b, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0x848d372e, "iowrite8" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9d3d08f0, "put_device" },
	{ 0xfbab1bb1, "ioread8_rep" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x71b12b37, "_dev_info" },
	{ 0x3cd2a400, "device_create_file" },
	{ 0xb43d6171, "sdio_readsb" },
	{ 0xc20f7ace, "gpiochip_get_data" },
	{ 0x12cb1804, "bus_unregister" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x6e1341a1, "pci_read_config_word" },
	{ 0xc8d79ab8, "sdio_readl" },
	{ 0x6b184ed6, "driver_unregister" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0x3edbc68d, "mutex_lock_interruptible" },
	{ 0x6935585e, "pci_iounmap" },
	{ 0x11089ac7, "_ctype" },
	{ 0xa3eb5274, "device_register" },
	{ 0x91db5656, "pci_restore_state" },
	{ 0xb19b445, "ioread8" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x190cb344, "sdio_writel" },
	{ 0x83358fe5, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbfc177bc, "iowrite32_rep" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xeb8523d5, "gpiochip_add_data_with_key" },
	{ 0x4b0f0d6d, "_dev_emerg" },
	{ 0x2a11913d, "gpiochip_remove" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x34344af2, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x6cc09945, "ioread32_rep" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfb5af384, "pci_disable_device" },
	{ 0x5ecb90fc, "sdio_writesb" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xc01defd9, "pci_write_config_word" },
	{ 0xe2a805d9, "driver_register" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x18b6678f, "pci_write_config_dword" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xa4b94fea, "iowrite8_rep" },
	{ 0x35729f61, "device_remove_file" },
	{ 0xddbd0482, "bus_register" },
	{ 0x34e63882, "sdio_readb" },
	{ 0x4999c856, "sdio_writeb" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xb697fff3, "pci_save_state" },
	{ 0x87d2785f, "sdio_release_host" },
	{ 0x77c7a4b1, "device_set_wakeup_enable" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xbd12925f, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x50707f9c, "dev_set_name" },
	{ 0x1063cee6, "sdio_claim_host" },
	{ 0x6b9a2b93, "pci_iomap" },
	{ 0x2462f181, "sdio_readw" },
	{ 0x9668568f, "device_unregister" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xb415c254, "pci_back_from_sleep" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x96848186, "scnprintf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xd1ffe315, "__pci_register_driver" },
	{ 0xc6d5a5f1, "pci_prepare_to_sleep" },
	{ 0xedc03953, "iounmap" },
	{ 0x18b00c43, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0xa75dff25, "sdio_writew" },
	{ 0x8576e767, "get_device" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0xb6e3c8cb, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x44c339bf, "dev_driver_string" },
	{ 0x127572c3, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "mmc_core");

MODULE_ALIAS("pci:v000014E4d00004301sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004306sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004307sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004311sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004312sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004315sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004318sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014A4d00004318sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004319sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004320sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004321sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004322sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004324sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004325sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004328sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004329sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000432Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000432Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004350sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004351sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "27B2C3E65936818D8F8C0C4");

MODULE_INFO(suserelease, "SLFO-1.2");
