#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(iscsi_find_param_from_key, "", "");
KSYMTAB_FUNC(iscsit_get_datain_values, "", "");
KSYMTAB_FUNC(iscsit_increment_maxcmdsn, "", "");
KSYMTAB_FUNC(iscsit_cause_connection_reinstatement, "", "");
KSYMTAB_FUNC(iscsit_stop_dataout_timer, "", "");
KSYMTAB_FUNC(iscsi_change_param_sprintf, "", "");
KSYMTAB_FUNC(iscsi_target_check_login_request, "", "");
KSYMTAB_FUNC(iscsit_tmr_post_handler, "", "");
KSYMTAB_FUNC(iscsit_allocate_cmd, "", "");
KSYMTAB_FUNC(iscsit_sequence_cmd, "", "");
KSYMTAB_FUNC(iscsit_find_cmd_from_itt, "", "");
KSYMTAB_FUNC(iscsit_find_cmd_from_itt_or_dump, "", "");
KSYMTAB_FUNC(iscsit_add_cmd_to_immediate_queue, "", "");
KSYMTAB_FUNC(iscsit_release_cmd, "", "");
KSYMTAB_FUNC(iscsit_free_cmd, "", "");
KSYMTAB_FUNC(iscsit_queue_rsp, "", "");
KSYMTAB_FUNC(iscsit_aborted_task, "", "");
KSYMTAB_FUNC(iscsit_add_reject, "", "");
KSYMTAB_FUNC(iscsit_reject_cmd, "", "");
KSYMTAB_FUNC(iscsit_setup_scsi_cmd, "", "");
KSYMTAB_FUNC(iscsit_set_unsolicited_dataout, "", "");
KSYMTAB_FUNC(iscsit_process_scsi_cmd, "", "");
KSYMTAB_FUNC(__iscsit_check_dataout_hdr, "", "");
KSYMTAB_FUNC(iscsit_check_dataout_hdr, "", "");
KSYMTAB_FUNC(iscsit_check_dataout_payload, "", "");
KSYMTAB_FUNC(iscsit_setup_nop_out, "", "");
KSYMTAB_FUNC(iscsit_process_nop_out, "", "");
KSYMTAB_FUNC(iscsit_handle_task_mgt_cmd, "", "");
KSYMTAB_FUNC(iscsit_setup_text_cmd, "", "");
KSYMTAB_FUNC(iscsit_process_text_cmd, "", "");
KSYMTAB_FUNC(iscsit_handle_logout_cmd, "", "");
KSYMTAB_FUNC(iscsit_handle_snack, "", "");
KSYMTAB_FUNC(iscsit_build_datain_pdu, "", "");
KSYMTAB_FUNC(iscsit_build_logout_rsp, "", "");
KSYMTAB_FUNC(iscsit_build_nopin_rsp, "", "");
KSYMTAB_FUNC(iscsit_build_r2ts_for_cmd, "", "");
KSYMTAB_FUNC(iscsit_build_rsp_pdu, "", "");
KSYMTAB_FUNC(iscsit_build_task_mgt_rsp, "", "");
KSYMTAB_FUNC(iscsit_build_text_rsp, "", "");
KSYMTAB_FUNC(iscsit_build_reject, "", "");
KSYMTAB_FUNC(iscsit_thread_check_cpumask, "", "");
KSYMTAB_FUNC(iscsit_immediate_queue, "", "");
KSYMTAB_FUNC(iscsit_response_queue, "", "");
KSYMTAB_FUNC(iscsit_logout_post_handler, "", "");
KSYMTAB_FUNC(iscsit_register_transport, "", "");
KSYMTAB_FUNC(iscsit_unregister_transport, "", "");

SYMBOL_CRC(iscsi_find_param_from_key, 0xf34332f0, "");
SYMBOL_CRC(iscsit_get_datain_values, 0xa6d77797, "");
SYMBOL_CRC(iscsit_increment_maxcmdsn, 0x41103e17, "");
SYMBOL_CRC(iscsit_cause_connection_reinstatement, 0x6b83f230, "");
SYMBOL_CRC(iscsit_stop_dataout_timer, 0x7c268523, "");
SYMBOL_CRC(iscsi_change_param_sprintf, 0xa6d6bfd6, "");
SYMBOL_CRC(iscsi_target_check_login_request, 0xc8228203, "");
SYMBOL_CRC(iscsit_tmr_post_handler, 0x35a3bf72, "");
SYMBOL_CRC(iscsit_allocate_cmd, 0x21f8a868, "");
SYMBOL_CRC(iscsit_sequence_cmd, 0xe959c522, "");
SYMBOL_CRC(iscsit_find_cmd_from_itt, 0x7e164899, "");
SYMBOL_CRC(iscsit_find_cmd_from_itt_or_dump, 0xe83b85e4, "");
SYMBOL_CRC(iscsit_add_cmd_to_immediate_queue, 0x000567d9, "");
SYMBOL_CRC(iscsit_release_cmd, 0x5276c340, "");
SYMBOL_CRC(iscsit_free_cmd, 0x1da12e90, "");
SYMBOL_CRC(iscsit_queue_rsp, 0xf0c7751b, "");
SYMBOL_CRC(iscsit_aborted_task, 0x8d1d6a1c, "");
SYMBOL_CRC(iscsit_add_reject, 0xc6d16354, "");
SYMBOL_CRC(iscsit_reject_cmd, 0xb8a0d518, "");
SYMBOL_CRC(iscsit_setup_scsi_cmd, 0xb07bbd43, "");
SYMBOL_CRC(iscsit_set_unsolicited_dataout, 0xae9e550e, "");
SYMBOL_CRC(iscsit_process_scsi_cmd, 0x1def7ff5, "");
SYMBOL_CRC(__iscsit_check_dataout_hdr, 0xd759c331, "");
SYMBOL_CRC(iscsit_check_dataout_hdr, 0xeeb8ca0c, "");
SYMBOL_CRC(iscsit_check_dataout_payload, 0x55e067f5, "");
SYMBOL_CRC(iscsit_setup_nop_out, 0x6063b55c, "");
SYMBOL_CRC(iscsit_process_nop_out, 0x40a24ad2, "");
SYMBOL_CRC(iscsit_handle_task_mgt_cmd, 0xb5978f1c, "");
SYMBOL_CRC(iscsit_setup_text_cmd, 0xdb183f7f, "");
SYMBOL_CRC(iscsit_process_text_cmd, 0x6389d04d, "");
SYMBOL_CRC(iscsit_handle_logout_cmd, 0x3d22c08b, "");
SYMBOL_CRC(iscsit_handle_snack, 0x83b7481b, "");
SYMBOL_CRC(iscsit_build_datain_pdu, 0x165262cd, "");
SYMBOL_CRC(iscsit_build_logout_rsp, 0xafcd5b5e, "");
SYMBOL_CRC(iscsit_build_nopin_rsp, 0x1d9e7be4, "");
SYMBOL_CRC(iscsit_build_r2ts_for_cmd, 0x960c75fd, "");
SYMBOL_CRC(iscsit_build_rsp_pdu, 0xc7280547, "");
SYMBOL_CRC(iscsit_build_task_mgt_rsp, 0x53675ee7, "");
SYMBOL_CRC(iscsit_build_text_rsp, 0x8d948324, "");
SYMBOL_CRC(iscsit_build_reject, 0x27b6c47e, "");
SYMBOL_CRC(iscsit_thread_check_cpumask, 0xe1df9178, "");
SYMBOL_CRC(iscsit_immediate_queue, 0xf48ef59c, "");
SYMBOL_CRC(iscsit_response_queue, 0x9919fd7d, "");
SYMBOL_CRC(iscsit_logout_post_handler, 0x008b8828, "");
SYMBOL_CRC(iscsit_register_transport, 0x7a50a850, "");
SYMBOL_CRC(iscsit_unregister_transport, 0x90225726, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x11089ac7, "_ctype" },
	{ 0xe4685d7e, "target_cmd_parse_cdb" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x75431596, "sock_set_reuseaddr" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x82829d06, "crypto_ahash_finup" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xfdcb4422, "iov_iter_bvec" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfa10416, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0x702c5e5d, "crypto_ahash_digest" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x8337a399, "__kmem_cache_create_args" },
	{ 0xbe0bb431, "crypto_ahash_final" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xde2411c9, "__target_init_cmd" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd00c9875, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x675e53cf, "transport_lookup_cmd_lun" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x88503be9, "core_tpg_check_initiator_node_acl" },
	{ 0x214062fd, "target_cmd_init_cdb" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xedd7eb58, "rt_read_lock" },
	{ 0x828b09d8, "kernel_listen" },
	{ 0x52fe178b, "core_tmr_alloc_req" },
	{ 0x999e8297, "vfree" },
	{ 0xa5619569, "ip_sock_set_freebind" },
	{ 0xea3c8e4e, "scsilun_to_int" },
	{ 0xd4d2fe48, "sbitmap_finish_wait" },
	{ 0x85df9b6c, "strsep" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0xc672e4be, "crypto_shash_finup" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x94b0fffd, "transport_wait_for_tasks" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x33c32937, "target_get_sess_cmd" },
	{ 0x996c7e5c, "target_complete_cmd" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x9ebb2bfc, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xdd09f942, "sock_recvmsg" },
	{ 0xd9c0e19e, "core_tpg_deregister" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0x8a93c3ff, "__transport_register_session" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x8b35ca9f, "target_show_dynamic_sessions" },
	{ 0x9919fd8, "rt_write_lock" },
	{ 0xad634552, "sock_release" },
	{ 0xc9519a07, "target_register_template" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x60d5d887, "tcp_sock_set_nodelay" },
	{ 0x99a070f6, "send_sig" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x9546a073, "transport_generic_free_cmd" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xb0c8aef1, "core_tpg_register" },
	{ 0x754d539c, "strlen" },
	{ 0x2004555f, "target_put_sess_cmd" },
	{ 0x742578a5, "wait_for_random_bytes" },
	{ 0x13ef0888, "crypto_ahash_update" },
	{ 0x6faab9df, "transport_deregister_session" },
	{ 0xaa8f1b71, "inet_addr_is_any" },
	{ 0x349cba85, "strchr" },
	{ 0xd63960b9, "crypto_alloc_shash" },
	{ 0x975de6b2, "__sbitmap_queue_get" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x8019049f, "kmem_cache_destroy" },
	{ 0xfa494853, "target_tpg_has_node_acl" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x60f41b16, "crypto_alloc_ahash" },
	{ 0xe914e41e, "strcpy" },
	{ 0x1b015d25, "bitmap_parselist" },
	{ 0x46bf6f0c, "target_alloc_cmd_counter" },
	{ 0xa2429ab9, "ida_alloc_range" },
	{ 0x4e5daa9a, "try_module_get" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xe61d654b, "target_wait_for_cmds" },
	{ 0xdb50e9f9, "transport_generic_new_cmd" },
	{ 0xd9493a7c, "target_free_cmd_counter" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x5c41ff06, "target_execute_cmd" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x8e367a76, "kernel_bind" },
	{ 0xcf2a6966, "up" },
	{ 0x3fee0335, "sock_create" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x4c906ef6, "__tracepoint_sk_data_ready" },
	{ 0x3416d62c, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6491531, "__wake_up" },
	{ 0x8ecaf2b4, "target_submit" },
	{ 0xda82a732, "kernel_accept" },
	{ 0x148653, "vsnprintf" },
	{ 0xa3ee9776, "core_tpg_set_initiator_node_queue_depth" },
	{ 0x5b9d7d0f, "target_stop_cmd_counter" },
	{ 0xcbfc00ff, "transport_generic_handle_tmr" },
	{ 0x4dfa49a1, "transport_lookup_tmr_lun" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x1d8a5fdd, "wake_up_process" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0xe7d10c72, "crypto_destroy_tfm" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa2289030, "transport_alloc_session_tags" },
	{ 0x416b65be, "transport_alloc_session" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0x8282b602, "sbitmap_prepare_to_wait" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x9ad8e595, "target_unregister_template" },
	{ 0x9c46c826, "transport_send_check_condition_and_sense" },
	{ 0xa916b694, "strnlen" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf250e2d4, "rt_write_unlock" },
	{ 0x5e3a26d3, "transport_free_session" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7276b73a, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x3b02c55c, "flush_signals" },
	{ 0xb9a85f0c, "idr_remove" },
	{ 0x794303, "crypto_ahash_init" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1eb1abab, "init_net" },
	{ 0x9820f51a, "idr_alloc" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x9f592af3, "radix_tree_preloads" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa1907bde, "__SCK__tp_func_sk_data_ready" },
	{ 0x23da8e76, "config_group_init_type_name" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x954f099c, "idr_preload" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xdf9ceed4, "kmem_cache_free" },
	{ 0x1b408232, "set_cpus_allowed_ptr" },
	{ 0x9f213b6f, "transport_deregister_session_configfs" },
	{ 0x5a921311, "strncmp" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xee672802, "sbitmap_queue_clear" },
	{ 0x3029544b, "iov_iter_kvec" },
	{ 0x10119bb, "ida_free" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0xb715975b, "inet_pton_with_scope" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xe8c4e486, "sock_sendmsg" },
	{ 0xc2a79e8f, "crypto_shash_update" },
	{ 0x729e238b, "core_tpg_set_initiator_node_tag" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xad6d7e4b, "kthread_stop" },
	{ 0x3edbc68d, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "target_core_mod,scsi_common,configfs");


MODULE_INFO(srcversion, "9CA55D8970A09E85C48891E");

MODULE_INFO(suserelease, "SLFO-1.2");
