#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(proc_thermal_add, "_gpl", "");
KSYMTAB_FUNC(proc_thermal_remove, "_gpl", "");
KSYMTAB_FUNC(proc_thermal_suspend, "_gpl", "");
KSYMTAB_FUNC(proc_thermal_resume, "_gpl", "");
KSYMTAB_FUNC(proc_thermal_mmio_add, "_gpl", "");
KSYMTAB_FUNC(proc_thermal_mmio_remove, "_gpl", "");

SYMBOL_CRC(proc_thermal_add, 0x84fc07c6, "_gpl");
SYMBOL_CRC(proc_thermal_remove, 0x31d57bcb, "_gpl");
SYMBOL_CRC(proc_thermal_suspend, 0x6ce40bb3, "_gpl");
SYMBOL_CRC(proc_thermal_resume, 0xfe945214, "_gpl");
SYMBOL_CRC(proc_thermal_mmio_add, 0x23997ffa, "_gpl");
SYMBOL_CRC(proc_thermal_mmio_remove, 0x25dddf06, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x37a0cba, "kfree" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x1936331f, "intel_tcc_set_offset" },
	{ 0x187dccfa, "is_acpi_device_node" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0x5facc6b3, "int340x_thermal_zone_add" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x4bc6eb8a, "sysfs_create_file_ns" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0xe28cfb7c, "int340x_thermal_zone_remove" },
	{ 0xa1186518, "intel_tcc_get_tjmax" },
	{ 0xd2f514a4, "sysfs_create_group" },
	{ 0x326e6c44, "sysfs_remove_file_ns" },
	{ 0xd191499b, "sysfs_remove_group" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0xddc90776, "pcim_iomap_regions" },
	{ 0xfb11973c, "pcim_iomap_table" },
	{ 0xd738b15c, "proc_thermal_wt_hint_add" },
	{ 0x51374a20, "proc_thermal_rfim_add" },
	{ 0xcd27d144, "proc_thermal_wt_req_add" },
	{ 0x6ff1527, "proc_thermal_rapl_add" },
	{ 0xee0b1c8b, "proc_thermal_rfim_remove" },
	{ 0x98e82d4, "proc_thermal_rapl_remove" },
	{ 0x657d14b1, "proc_thermal_wt_hint_remove" },
	{ 0xe07b92a, "proc_thermal_wt_req_remove" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0x410d05a0, "thermal_zone_device_update" },
	{ 0x5440460c, "__tracepoint_read_msr" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x39e3c030, "do_trace_read_msr" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xd4097f43, "proc_thermal_power_floor_set_state" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1b81bad2, "proc_thermal_power_floor_get_state" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xa0468fe0, "proc_thermal_read_power_floor_status" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8c32aa7b, "intel_tcc_get_offset" },
	{ 0xdb0da161, "intel_tcc_get_temp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "int340x_thermal_zone,processor_thermal_wt_hint,processor_thermal_rfim,processor_thermal_wt_req,processor_thermal_rapl,processor_thermal_power_floor");


MODULE_INFO(srcversion, "4F57F77F988A90C2E3E572D");

MODULE_INFO(suserelease, "SLFO-1.2");
