#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc6f46339, "init_timer_key" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x24d273d1, "add_timer" },
	{ 0x340083d, "uart_resume_port" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x6d93b33b, "pm_runtime_enable" },
	{ 0x622d1b3e, "uart_get_baud_rate" },
	{ 0x3196c0f1, "uart_update_timeout" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0x305ede3a, "tty_flip_buffer_push" },
	{ 0x91354023, "__tty_insert_flip_string_flags" },
	{ 0x8a9d2f61, "__dma_sync_sg_for_cpu" },
	{ 0x614c1fde, "__dma_sync_sg_for_device" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4a17ed66, "sysrq_mask" },
	{ 0xc14c263d, "uart_try_toggle_sysrq" },
	{ 0xc9993ea2, "handle_sysrq" },
	{ 0xbd786910, "rt_spin_trylock" },
	{ 0xc1d938b9, "uart_suspend_port" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6c2e5cd0, "uart_register_driver" },
	{ 0x65eccb12, "__platform_driver_register" },
	{ 0xf9fd2635, "uart_unregister_driver" },
	{ 0x9954b989, "tty_port_tty_get" },
	{ 0x956237b3, "tty_kref_put" },
	{ 0x366307a, "console_suspend_enabled" },
	{ 0xd4cddf7, "dma_request_chan" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0x3cb06817, "devm_kmalloc" },
	{ 0x12c610be, "devm_platform_get_and_ioremap_resource" },
	{ 0x2ba3cbe5, "platform_get_irq" },
	{ 0xd0abf4d4, "devm_clk_get" },
	{ 0x716b4fac, "dev_err_probe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc8240d31, "_dev_err" },
	{ 0xdbe27298, "platform_driver_unregister" },
	{ 0xd5dcc637, "__pm_runtime_resume" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xdf0614a1, "__pm_runtime_suspend" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x58a59ee1, "__kfifo_dma_out_prepare" },
	{ 0xeebca5cd, "dma_map_sg_attrs" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc1ddd422, "dma_unmap_sg_attrs" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xf31bfc89, "uart_remove_one_port" },
	{ 0x91ba2397, "dma_release_channel" },
	{ 0xf40beb46, "__pm_runtime_disable" },
	{ 0x478dcfc2, "__pm_runtime_set_status" },
	{ 0x972fec3a, "__pm_runtime_use_autosuspend" },
	{ 0x37a0cba, "kfree" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x3416d62c, "prepare_to_wait_event" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x4a2dc7fe, "nbcon_device_try_acquire" },
	{ 0x25f200cc, "nbcon_device_release" },
	{ 0x5a1eca62, "uart_write_wakeup" },
	{ 0x9bb4e317, "ioread32be" },
	{ 0xe419bc99, "iowrite32be" },
	{ 0xf6491531, "__wake_up" },
	{ 0xa9cac0a3, "pinctrl_pm_select_default_state" },
	{ 0x5cf6961e, "irq_get_irq_data" },
	{ 0x8b024789, "pinctrl_pm_select_sleep_state" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0x1687ec20, "tty_get_frame_size" },
	{ 0xbd394d8, "tty_termios_baud_rate" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Cfsl,vf610-lpuart");
MODULE_ALIAS("of:N*T*Cfsl,vf610-lpuartC*");
MODULE_ALIAS("of:N*T*Cfsl,ls1021a-lpuart");
MODULE_ALIAS("of:N*T*Cfsl,ls1021a-lpuartC*");
MODULE_ALIAS("of:N*T*Cfsl,ls1028a-lpuart");
MODULE_ALIAS("of:N*T*Cfsl,ls1028a-lpuartC*");
MODULE_ALIAS("of:N*T*Cfsl,imx7ulp-lpuart");
MODULE_ALIAS("of:N*T*Cfsl,imx7ulp-lpuartC*");
MODULE_ALIAS("of:N*T*Cfsl,imx8ulp-lpuart");
MODULE_ALIAS("of:N*T*Cfsl,imx8ulp-lpuartC*");
MODULE_ALIAS("of:N*T*Cfsl,imx8qxp-lpuart");
MODULE_ALIAS("of:N*T*Cfsl,imx8qxp-lpuartC*");
MODULE_ALIAS("of:N*T*Cfsl,imxrt1050-lpuart");
MODULE_ALIAS("of:N*T*Cfsl,imxrt1050-lpuartC*");

MODULE_INFO(srcversion, "DCDB3620A4BAF13A23F76BB");

MODULE_INFO(suserelease, "SLFO-1.2");
