#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ufshcd_dump_regs, "_gpl", "");
KSYMTAB_FUNC(ufshcd_enable_irq, "_gpl", "");
KSYMTAB_FUNC(ufshcd_disable_irq, "_gpl", "");
KSYMTAB_FUNC(ufshcd_delay_us, "_gpl", "");
KSYMTAB_FUNC(ufshcd_is_hba_active, "_gpl", "");
KSYMTAB_FUNC(ufshcd_opp_config_clks, "_gpl", "");
KSYMTAB_FUNC(ufshcd_hold, "_gpl", "");
KSYMTAB_FUNC(ufshcd_release, "_gpl", "");
KSYMTAB_FUNC(ufshcd_clkgate_delay_set, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_configure_adapt, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_set_attr, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_get_attr, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_change_pwr_mode, "_gpl", "");
KSYMTAB_FUNC(ufshcd_link_recovery, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_hibern8_enter, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_hibern8_exit, "_gpl", "");
KSYMTAB_FUNC(ufshcd_auto_hibern8_update, "_gpl", "");
KSYMTAB_FUNC(ufshcd_config_pwr_mode, "_gpl", "");
KSYMTAB_FUNC(ufshcd_make_hba_operational, "_gpl", "");
KSYMTAB_FUNC(ufshcd_hba_stop, "_gpl", "");
KSYMTAB_FUNC(ufshcd_hba_enable, "_gpl", "");
KSYMTAB_FUNC(ufshcd_update_evt_hist, "_gpl", "");
KSYMTAB_FUNC(ufshcd_fixup_dev_quirks, "_gpl", "");
KSYMTAB_FUNC(ufshcd_get_vreg, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_suspend, "", "");
KSYMTAB_FUNC(ufshcd_system_resume, "", "");
KSYMTAB_FUNC(ufshcd_runtime_suspend, "", "");
KSYMTAB_FUNC(ufshcd_runtime_resume, "", "");
KSYMTAB_FUNC(ufshcd_remove, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_freeze, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_restore, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_thaw, "_gpl", "");
KSYMTAB_FUNC(ufshcd_alloc_host, "", "");
KSYMTAB_FUNC(ufshcd_init, "_gpl", "");
KSYMTAB_FUNC(ufshcd_resume_complete, "_gpl", "");
KSYMTAB_FUNC(__ufshcd_suspend_prepare, "_gpl", "");
KSYMTAB_FUNC(ufshcd_suspend_prepare, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_config_mac, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_queue_cfg_addr, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_read_cqis, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_write_cqis, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_poll_cqe_lock, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_make_queues_operational, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_enable_esi, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_enable, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_config_esi, "_gpl", "");

SYMBOL_CRC(ufshcd_dump_regs, 0xa72fb553, "_gpl");
SYMBOL_CRC(ufshcd_enable_irq, 0x94e65e2f, "_gpl");
SYMBOL_CRC(ufshcd_disable_irq, 0xf3b3b347, "_gpl");
SYMBOL_CRC(ufshcd_delay_us, 0x723b1abf, "_gpl");
SYMBOL_CRC(ufshcd_is_hba_active, 0x578144fd, "_gpl");
SYMBOL_CRC(ufshcd_opp_config_clks, 0x0e05c274, "_gpl");
SYMBOL_CRC(ufshcd_hold, 0x666d49ba, "_gpl");
SYMBOL_CRC(ufshcd_release, 0x30a1603f, "_gpl");
SYMBOL_CRC(ufshcd_clkgate_delay_set, 0xc76e6b23, "_gpl");
SYMBOL_CRC(ufshcd_dme_configure_adapt, 0xb47a4028, "_gpl");
SYMBOL_CRC(ufshcd_dme_set_attr, 0xf6b90d3e, "_gpl");
SYMBOL_CRC(ufshcd_dme_get_attr, 0x9e46a1a8, "_gpl");
SYMBOL_CRC(ufshcd_uic_change_pwr_mode, 0x921c7699, "_gpl");
SYMBOL_CRC(ufshcd_link_recovery, 0x9b61cce4, "_gpl");
SYMBOL_CRC(ufshcd_uic_hibern8_enter, 0xada45c59, "_gpl");
SYMBOL_CRC(ufshcd_uic_hibern8_exit, 0x394cbda5, "_gpl");
SYMBOL_CRC(ufshcd_auto_hibern8_update, 0xc08164d9, "_gpl");
SYMBOL_CRC(ufshcd_config_pwr_mode, 0xdc242625, "_gpl");
SYMBOL_CRC(ufshcd_make_hba_operational, 0x93d3fb69, "_gpl");
SYMBOL_CRC(ufshcd_hba_stop, 0x728aac37, "_gpl");
SYMBOL_CRC(ufshcd_hba_enable, 0x8400ecce, "_gpl");
SYMBOL_CRC(ufshcd_update_evt_hist, 0x6e1406d2, "_gpl");
SYMBOL_CRC(ufshcd_fixup_dev_quirks, 0x30520f8b, "_gpl");
SYMBOL_CRC(ufshcd_get_vreg, 0x9d4baaad, "_gpl");
SYMBOL_CRC(ufshcd_system_suspend, 0x3d625410, "");
SYMBOL_CRC(ufshcd_system_resume, 0xf0eb0518, "");
SYMBOL_CRC(ufshcd_runtime_suspend, 0xf885853a, "");
SYMBOL_CRC(ufshcd_runtime_resume, 0xad0191a0, "");
SYMBOL_CRC(ufshcd_remove, 0x10a7ca95, "_gpl");
SYMBOL_CRC(ufshcd_system_freeze, 0x5a0c14f9, "_gpl");
SYMBOL_CRC(ufshcd_system_restore, 0x5a040804, "_gpl");
SYMBOL_CRC(ufshcd_system_thaw, 0xceebb118, "_gpl");
SYMBOL_CRC(ufshcd_alloc_host, 0xa477a31e, "");
SYMBOL_CRC(ufshcd_init, 0x3654d020, "_gpl");
SYMBOL_CRC(ufshcd_resume_complete, 0x2ebd0f4e, "_gpl");
SYMBOL_CRC(__ufshcd_suspend_prepare, 0x7a399f97, "_gpl");
SYMBOL_CRC(ufshcd_suspend_prepare, 0x9f90b178, "_gpl");
SYMBOL_CRC(ufshcd_mcq_config_mac, 0x18c6f43c, "_gpl");
SYMBOL_CRC(ufshcd_mcq_queue_cfg_addr, 0xc83c64c8, "_gpl");
SYMBOL_CRC(ufshcd_mcq_read_cqis, 0x811403ad, "_gpl");
SYMBOL_CRC(ufshcd_mcq_write_cqis, 0x58bca304, "_gpl");
SYMBOL_CRC(ufshcd_mcq_poll_cqe_lock, 0x0941709d, "_gpl");
SYMBOL_CRC(ufshcd_mcq_make_queues_operational, 0x7d85bcd8, "_gpl");
SYMBOL_CRC(ufshcd_mcq_enable_esi, 0xd1b24856, "_gpl");
SYMBOL_CRC(ufshcd_mcq_enable, 0x59afa225, "_gpl");
SYMBOL_CRC(ufshcd_mcq_config_esi, 0xacdf5fe1, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x815588a6, "clk_enable" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0xb570b5d7, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x6600b9e, "scsi_change_queue_depth" },
	{ 0x66ebde19, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x7ac1254b, "local_clock" },
	{ 0x35729f61, "device_remove_file" },
	{ 0xeebca5cd, "dma_map_sg_attrs" },
	{ 0x5c26a53b, "wait_for_completion_io_timeout" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xd7c4e75b, "cpu_latency_qos_remove_request" },
	{ 0xd6967e87, "scsi_dma_map" },
	{ 0x58c2fe29, "scsi_print_sense_hdr" },
	{ 0xd2b77aba, "regulator_enable" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xe3239f35, "blk_crypto_reprogram_all_keys" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x45f4e1cd, "__init_rwsem" },
	{ 0xdc2f1a09, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x1d337321, "bpf_trace_run4" },
	{ 0x5ba9c87f, "blk_crypto_keyslot_index" },
	{ 0xd0934899, "devm_request_threaded_irq" },
	{ 0x76b3852f, "debugfs_attr_write" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x3cb06817, "devm_kmalloc" },
	{ 0x9a25bd99, "bsg_setup_queue" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0x4ab7fb55, "scsi_autopm_put_device" },
	{ 0xecc6fa9b, "scsi_device_get" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xb0d507b, "bsg_remove_queue" },
	{ 0x50707f9c, "dev_set_name" },
	{ 0x1fcca9f4, "bsg_job_done" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6781e848, "dmam_alloc_attrs" },
	{ 0xa11a97c1, "trace_raw_output_prep" },
	{ 0xa5bbdd31, "scsi_remove_host" },
	{ 0xa5040375, "bpf_trace_run6" },
	{ 0xf42ab0a3, "pm_runtime_set_autosuspend_delay" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xb07d43ee, "__trace_trigger_soft_disabled" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xc9693f8, "blk_pm_runtime_init" },
	{ 0xdf4574bf, "trace_event_printf" },
	{ 0x78d8c7b6, "scsi_report_bus_reset" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xccbba119, "sysfs_remove_groups" },
	{ 0x8ca51c6d, "hwmon_notify_event" },
	{ 0x931afc70, "pm_runtime_get_if_active" },
	{ 0x249528c4, "dev_pm_opp_find_freq_floor_indexed" },
	{ 0xcf2a6966, "up" },
	{ 0x4628038c, "device_initialize" },
	{ 0x7cca9d5, "devfreq_recommended_opp" },
	{ 0xa64685ef, "sysfs_create_groups" },
	{ 0x549dee85, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0xe6271619, "scsi_dma_unmap" },
	{ 0xb0ef18ed, "cpu_latency_qos_add_request" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0x2e4f415b, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xb2675afb, "cpu_latency_qos_request_active" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd0d9d74c, "bpf_trace_run2" },
	{ 0x34335c46, "__scsi_iterate_devices" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x8576e767, "get_device" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0x5e651d9f, "trace_print_hex_seq" },
	{ 0xd0abf4d4, "devm_clk_get" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x725a7b70, "blk_mq_alloc_tag_set" },
	{ 0x4be3d59f, "scsi_device_set_state" },
	{ 0xaa6ce2a8, "devfreq_add_device" },
	{ 0x44c339bf, "dev_driver_string" },
	{ 0x77188b5d, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x478dcfc2, "__pm_runtime_set_status" },
	{ 0xf5f370e0, "async_schedule_node" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x92997ed8, "_printk" },
	{ 0xed1ec8dd, "blk_crypto_register" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x549ebd6c, "param_get_uint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x9d3d08f0, "put_device" },
	{ 0x60fcc2b, "blk_mq_unquiesce_tagset" },
	{ 0xc2b665e, "dev_pm_opp_put" },
	{ 0x9620364b, "blk_mq_free_request" },
	{ 0x64580cf8, "device_property_read_u32_array" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0xbf30954d, "devm_regulator_get" },
	{ 0xc33ca4f3, "dev_pm_opp_get_freq_indexed" },
	{ 0x71b12b37, "_dev_info" },
	{ 0x43f81957, "clk_round_rate" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xb8888eda, "scsi_device_put" },
	{ 0x3cd2a400, "device_create_file" },
	{ 0x9fb2100, "blk_mq_quiesce_tagset" },
	{ 0x75929dff, "debugfs_attr_read" },
	{ 0x702fea33, "regulator_set_load" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x7ec56c70, "perf_trace_run_bpf_submit" },
	{ 0xba0efd1f, "down_write" },
	{ 0xec083b74, "devm_kfree" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x2b07b3f7, "devfreq_remove_device" },
	{ 0x884883a4, "scsi_host_put" },
	{ 0x209b8854, "up_write" },
	{ 0x9907f28, "device_add" },
	{ 0xd4034828, "system_freezable_wq" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x1dde4200, "simple_attr_release" },
	{ 0x789fd343, "hwmon_device_register_with_info" },
	{ 0x2dbd3e75, "blk_mq_unfreeze_queue_nomemrestore" },
	{ 0x4fbee8b9, "dev_pm_opp_add_dynamic" },
	{ 0x6626afca, "down" },
	{ 0x7ff53d0f, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xf472212b, "dev_pm_opp_remove" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x3716cf29, "cpu_latency_qos_update_request" },
	{ 0xb41f7c6d, "sdev_prefix_printk" },
	{ 0xc884c36e, "scsi_scan_host" },
	{ 0x6de67898, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x658574f4, "trace_event_reg" },
	{ 0x846b2641, "device_link_remove" },
	{ 0xb907334e, "blk_mq_alloc_request" },
	{ 0x6b184ed6, "driver_unregister" },
	{ 0x71b7d4c1, "blk_mq_free_tag_set" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xaea73f41, "blk_put_queue" },
	{ 0x1080ce71, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x70e25c7f, "dev_pm_opp_set_opp" },
	{ 0x3dc1a8b8, "dmam_free_coherent" },
	{ 0xfb578fc5, "memset" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x6110828c, "regulator_count_voltages" },
	{ 0xd4de697d, "scsi_is_host_device" },
	{ 0x87ffe4f5, "blk_mq_wait_quiesce_done" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb6aa6194, "debugfs_create_u32" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x9ebb1028, "bpf_trace_run10" },
	{ 0x3178864c, "scsi_device_quiesce" },
	{ 0x9fb64856, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x640111b5, "scsi_autopm_get_device" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xaf36c569, "dma_set_coherent_mask" },
	{ 0x16a2c1bc, "scsi_print_command" },
	{ 0x4a38d9f7, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xa523071c, "__scsi_register_driver" },
	{ 0x2f4347e8, "pm_runtime_forbid" },
	{ 0x93dc0d29, "param_set_uint_minmax" },
	{ 0x75dc832a, "pm_runtime_allow" },
	{ 0x27a7a36e, "trace_event_buffer_reserve" },
	{ 0xd5dcc637, "__pm_runtime_resume" },
	{ 0x2a26594f, "devfreq_suspend_device" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xfb2f8a4, "mktime64" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9199b9f0, "param_ops_bool" },
	{ 0x7c357306, "blk_mq_destroy_queue" },
	{ 0x12955c3b, "scsi_execute_cmd" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xfbe3d297, "blk_mq_alloc_queue" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7ad7a5cd, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0xbb29308e, "devm_blk_crypto_profile_init" },
	{ 0x635b6c2d, "hwmon_device_unregister" },
	{ 0x8ae718dd, "debugfs_create_file_full" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xc0edfdf0, "blk_mq_tagset_busy_iter" },
	{ 0x2c61eac8, "scsi_done" },
	{ 0x8d8b2fb3, "single_release" },
	{ 0x1b5a5416, "scsi_unblock_requests" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0xa7524338, "dma_set_mask" },
	{ 0x233622c7, "sbitmap_weight" },
	{ 0x39a005f4, "regulator_disable" },
	{ 0x716b4fac, "dev_err_probe" },
	{ 0xc1ddd422, "dma_unmap_sg_attrs" },
	{ 0x177e48ab, "__devm_add_action" },
	{ 0x63d93919, "scsi_remove_device" },
	{ 0xe7a64932, "scsi_block_requests" },
	{ 0x2a42ad7e, "scsi_add_host_with_dma" },
	{ 0x754d539c, "strlen" },
	{ 0xd6309b83, "blk_mq_freeze_queue_nomemsave" },
	{ 0x495b28e9, "single_open" },
	{ 0x4999a165, "scsi_host_alloc" },
	{ 0x11012266, "__scsi_add_device" },
	{ 0x317e544e, "devfreq_resume_device" },
	{ 0xd20f3ddd, "debugfs_create_dir" },
	{ 0xf9b10b1c, "device_link_add" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "5FAC3B208D65B646C4933FF");

MODULE_INFO(suserelease, "SLFO-1.2");
