#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x4ed62146, "usb_alloc_urb" },
	{ 0xd00c9875, "kthread_create_on_node" },
	{ 0x6760fa75, "usb_set_interface" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xf6491531, "__wake_up" },
	{ 0x1c137c19, "param_array_ops" },
	{ 0xe5eb5fd0, "param_ops_uint" },
	{ 0x61e00f48, "param_ops_charp" },
	{ 0x9199b9f0, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa7a38b4e, "usb_register_driver" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0x13cdae3, "usbatm_usb_disconnect" },
	{ 0x71b12b37, "_dev_info" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x72b0d970, "usb_control_msg" },
	{ 0x37a0cba, "kfree" },
	{ 0xc8240d31, "_dev_err" },
	{ 0xad6d7e4b, "kthread_stop" },
	{ 0x6323482b, "usb_kill_urb" },
	{ 0x55a2d436, "usb_free_urb" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1000e51, "schedule" },
	{ 0x3416d62c, "prepare_to_wait_event" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7078478d, "usb_ifnum_to_if" },
	{ 0xc74054b6, "usb_driver_claim_interface" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x71b5bbcc, "usb_submit_urb" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xacf7e913, "request_firmware" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x46097989, "usb_bulk_msg" },
	{ 0x4df02057, "crc32_be" },
	{ 0xff672f8b, "kernel_param_lock" },
	{ 0xf9c0b663, "strlcat" },
	{ 0xa916b694, "strnlen" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x80b64d51, "kernel_param_unlock" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0x5a921311, "strncmp" },
	{ 0xfb63dcc2, "usb_reset_device" },
	{ 0xd2a350e5, "request_firmware_nowait" },
	{ 0x646d5474, "usbatm_usb_probe" },
	{ 0x92aa6555, "atm_dev_signal_change" },
	{ 0x1d8a5fdd, "wake_up_process" },
	{ 0x8d842521, "usb_deregister" },
	{ 0x350adbe3, "usb_string" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "usbcore,usbatm,atm");

MODULE_ALIAS("usb:v1110p9001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9010d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p900Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9022d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9021d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9024d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9023d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9032d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9031d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9042d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9041d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2111d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2101d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2100d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2131d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2130d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2121d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2120d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3351d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3350d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3352d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3353d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3362d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3363d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F2d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F1d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00FAd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F9d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F5d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F8d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F7d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "F8129CE057C6C61D57F29ED");

MODULE_INFO(suserelease, "SLFO-1.2");
