#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(usb_disabled, "_gpl", "");
KSYMTAB_FUNC(usb_find_common_endpoints, "_gpl", "");
KSYMTAB_FUNC(usb_find_common_endpoints_reverse, "_gpl", "");
KSYMTAB_FUNC(usb_check_bulk_endpoints, "_gpl", "");
KSYMTAB_FUNC(usb_check_int_endpoints, "_gpl", "");
KSYMTAB_FUNC(usb_find_alt_setting, "_gpl", "");
KSYMTAB_FUNC(usb_ifnum_to_if, "_gpl", "");
KSYMTAB_FUNC(usb_altnum_to_altsetting, "_gpl", "");
KSYMTAB_FUNC(usb_find_interface, "_gpl", "");
KSYMTAB_FUNC(usb_for_each_dev, "_gpl", "");
KSYMTAB_FUNC(usb_alloc_dev, "_gpl", "");
KSYMTAB_FUNC(usb_get_dev, "_gpl", "");
KSYMTAB_FUNC(usb_put_dev, "_gpl", "");
KSYMTAB_FUNC(usb_get_intf, "_gpl", "");
KSYMTAB_FUNC(usb_put_intf, "_gpl", "");
KSYMTAB_FUNC(usb_intf_get_dma_device, "_gpl", "");
KSYMTAB_FUNC(usb_lock_device_for_reset, "_gpl", "");
KSYMTAB_FUNC(usb_get_current_frame_number, "_gpl", "");
KSYMTAB_FUNC(__usb_get_extra_descriptor, "_gpl", "");
KSYMTAB_FUNC(usb_alloc_coherent, "_gpl", "");
KSYMTAB_FUNC(usb_free_coherent, "_gpl", "");
KSYMTAB_DATA(ehci_cf_port_reset_rwsem, "_gpl", "");
KSYMTAB_FUNC(usb_wakeup_notification, "_gpl", "");
KSYMTAB_FUNC(usb_hub_clear_tt_buffer, "_gpl", "");
KSYMTAB_FUNC(usb_hub_claim_port, "_gpl", "");
KSYMTAB_FUNC(usb_hub_release_port, "_gpl", "");
KSYMTAB_FUNC(usb_set_device_state, "_gpl", "");
KSYMTAB_FUNC(usb_disable_ltm, "_gpl", "");
KSYMTAB_FUNC(usb_enable_ltm, "_gpl", "");
KSYMTAB_FUNC(usb_wakeup_enabled_descendants, "_gpl", "");
KSYMTAB_FUNC(usb_root_hub_lost_power, "_gpl", "");
KSYMTAB_FUNC(usb_disable_lpm, "_gpl", "");
KSYMTAB_FUNC(usb_unlocked_disable_lpm, "_gpl", "");
KSYMTAB_FUNC(usb_enable_lpm, "_gpl", "");
KSYMTAB_FUNC(usb_unlocked_enable_lpm, "_gpl", "");
KSYMTAB_FUNC(usb_ep0_reinit, "_gpl", "");
KSYMTAB_FUNC(usb_reset_device, "_gpl", "");
KSYMTAB_FUNC(usb_queue_reset_device, "_gpl", "");
KSYMTAB_FUNC(usb_hub_find_child, "_gpl", "");
KSYMTAB_DATA(usb_hcds_loaded, "_gpl", "");
KSYMTAB_DATA(usb_bus_idr, "_gpl", "");
KSYMTAB_DATA(usb_bus_idr_lock, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_poll_rh_status, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_start_port_resume, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_end_port_resume, "_gpl", "");
KSYMTAB_FUNC(usb_calc_bus_time, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_link_urb_to_ep, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_check_unlink_urb, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_unlink_urb_from_ep, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_unmap_urb_setup_for_dma, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_unmap_urb_for_dma, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_map_urb_for_dma, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_giveback_urb, "_gpl", "");
KSYMTAB_FUNC(usb_alloc_streams, "_gpl", "");
KSYMTAB_FUNC(usb_free_streams, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_resume_root_hub, "_gpl", "");
KSYMTAB_FUNC(usb_bus_start_enum, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_irq, "_gpl", "");
KSYMTAB_FUNC(usb_hc_died, "_gpl", "");
KSYMTAB_FUNC(__usb_create_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_create_shared_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_create_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_get_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_put_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_is_primary_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_add_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_remove_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_platform_shutdown, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_setup_local_mem, "_gpl", "");
KSYMTAB_FUNC(usb_mon_register, "_gpl", "");
KSYMTAB_FUNC(usb_mon_deregister, "_gpl", "");
KSYMTAB_FUNC(usb_init_urb, "_gpl", "");
KSYMTAB_FUNC(usb_alloc_urb, "_gpl", "");
KSYMTAB_FUNC(usb_free_urb, "_gpl", "");
KSYMTAB_FUNC(usb_get_urb, "_gpl", "");
KSYMTAB_FUNC(usb_anchor_urb, "_gpl", "");
KSYMTAB_FUNC(usb_unanchor_urb, "_gpl", "");
KSYMTAB_FUNC(usb_pipe_type_check, "_gpl", "");
KSYMTAB_FUNC(usb_urb_ep_type_check, "_gpl", "");
KSYMTAB_FUNC(usb_submit_urb, "_gpl", "");
KSYMTAB_FUNC(usb_unlink_urb, "_gpl", "");
KSYMTAB_FUNC(usb_kill_urb, "_gpl", "");
KSYMTAB_FUNC(usb_poison_urb, "_gpl", "");
KSYMTAB_FUNC(usb_unpoison_urb, "_gpl", "");
KSYMTAB_FUNC(usb_block_urb, "_gpl", "");
KSYMTAB_FUNC(usb_kill_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_poison_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_unpoison_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_unlink_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_anchor_suspend_wakeups, "_gpl", "");
KSYMTAB_FUNC(usb_anchor_resume_wakeups, "_gpl", "");
KSYMTAB_FUNC(usb_wait_anchor_empty_timeout, "_gpl", "");
KSYMTAB_FUNC(usb_get_from_anchor, "_gpl", "");
KSYMTAB_FUNC(usb_scuttle_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_anchor_empty, "_gpl", "");
KSYMTAB_FUNC(usb_control_msg, "_gpl", "");
KSYMTAB_FUNC(usb_control_msg_send, "_gpl", "");
KSYMTAB_FUNC(usb_control_msg_recv, "_gpl", "");
KSYMTAB_FUNC(usb_interrupt_msg, "_gpl", "");
KSYMTAB_FUNC(usb_bulk_msg, "_gpl", "");
KSYMTAB_FUNC(usb_sg_init, "_gpl", "");
KSYMTAB_FUNC(usb_sg_wait, "_gpl", "");
KSYMTAB_FUNC(usb_sg_cancel, "_gpl", "");
KSYMTAB_FUNC(usb_get_descriptor, "_gpl", "");
KSYMTAB_FUNC(usb_string, "_gpl", "");
KSYMTAB_FUNC(usb_cache_string, "_gpl", "");
KSYMTAB_FUNC(usb_get_status, "_gpl", "");
KSYMTAB_FUNC(usb_clear_halt, "_gpl", "");
KSYMTAB_FUNC(usb_reset_endpoint, "_gpl", "");
KSYMTAB_FUNC(usb_set_interface, "_gpl", "");
KSYMTAB_FUNC(usb_reset_configuration, "_gpl", "");
KSYMTAB_FUNC(usb_set_wireless_status, "_gpl", "");
KSYMTAB_FUNC(usb_set_configuration, "_gpl", "");
KSYMTAB_FUNC(usb_driver_set_configuration, "_gpl", "");
KSYMTAB_FUNC(cdc_parse_cdc_header, "", "");
KSYMTAB_FUNC(usb_store_new_id, "_gpl", "");
KSYMTAB_FUNC(usb_show_dynids, "_gpl", "");
KSYMTAB_FUNC(usb_driver_claim_interface, "_gpl", "");
KSYMTAB_FUNC(usb_driver_release_interface, "_gpl", "");
KSYMTAB_FUNC(usb_match_one_id, "_gpl", "");
KSYMTAB_FUNC(usb_match_id, "_gpl", "");
KSYMTAB_FUNC(usb_device_match_id, "_gpl", "");
KSYMTAB_FUNC(usb_register_device_driver, "_gpl", "");
KSYMTAB_FUNC(usb_deregister_device_driver, "_gpl", "");
KSYMTAB_FUNC(usb_register_driver, "_gpl", "");
KSYMTAB_FUNC(usb_deregister, "_gpl", "");
KSYMTAB_FUNC(usb_enable_autosuspend, "_gpl", "");
KSYMTAB_FUNC(usb_disable_autosuspend, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_put_interface, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_put_interface_async, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_put_interface_no_suspend, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_get_interface, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_get_interface_async, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_get_interface_no_resume, "_gpl", "");
KSYMTAB_FUNC(usb_register_dev, "_gpl", "");
KSYMTAB_FUNC(usb_deregister_dev, "_gpl", "");
KSYMTAB_FUNC(usb_register_notify, "_gpl", "");
KSYMTAB_FUNC(usb_unregister_notify, "_gpl", "");
KSYMTAB_FUNC(usb_choose_configuration, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_alloc, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_alloc_usb3_phy, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_init, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_exit, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_set_mode, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_calibrate, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_notify_connect, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_notify_disconnect, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_power_on, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_power_off, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_suspend, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_resume, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_pci_probe, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_pci_remove, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_pci_shutdown, "_gpl", "");
KSYMTAB_DATA(usb_hcd_pci_pm_ops, "_gpl", "");
KSYMTAB_FUNC(usb_acpi_power_manageable, "_gpl", "");
KSYMTAB_FUNC(usb_acpi_port_lpm_incapable, "_gpl", "");
KSYMTAB_FUNC(usb_acpi_set_power_state, "_gpl", "");

SYMBOL_CRC(usb_disabled, 0x19a304ba, "_gpl");
SYMBOL_CRC(usb_find_common_endpoints, 0x83cf503b, "_gpl");
SYMBOL_CRC(usb_find_common_endpoints_reverse, 0x6acba631, "_gpl");
SYMBOL_CRC(usb_check_bulk_endpoints, 0x82e6c6a8, "_gpl");
SYMBOL_CRC(usb_check_int_endpoints, 0x3b05b4b4, "_gpl");
SYMBOL_CRC(usb_find_alt_setting, 0x3f7616ff, "_gpl");
SYMBOL_CRC(usb_ifnum_to_if, 0x7078478d, "_gpl");
SYMBOL_CRC(usb_altnum_to_altsetting, 0x7ac0c374, "_gpl");
SYMBOL_CRC(usb_find_interface, 0xe90b2903, "_gpl");
SYMBOL_CRC(usb_for_each_dev, 0x469a04a4, "_gpl");
SYMBOL_CRC(usb_alloc_dev, 0xee49fc41, "_gpl");
SYMBOL_CRC(usb_get_dev, 0x12a2d815, "_gpl");
SYMBOL_CRC(usb_put_dev, 0xf213bb4a, "_gpl");
SYMBOL_CRC(usb_get_intf, 0x7dafbbce, "_gpl");
SYMBOL_CRC(usb_put_intf, 0x84495418, "_gpl");
SYMBOL_CRC(usb_intf_get_dma_device, 0x6556f6d6, "_gpl");
SYMBOL_CRC(usb_lock_device_for_reset, 0x7052116b, "_gpl");
SYMBOL_CRC(usb_get_current_frame_number, 0x2044a148, "_gpl");
SYMBOL_CRC(__usb_get_extra_descriptor, 0xd36760ef, "_gpl");
SYMBOL_CRC(usb_alloc_coherent, 0x2f4a334c, "_gpl");
SYMBOL_CRC(usb_free_coherent, 0x00e06bd8, "_gpl");
SYMBOL_CRC(ehci_cf_port_reset_rwsem, 0xf7ae188f, "_gpl");
SYMBOL_CRC(usb_wakeup_notification, 0x9cfad16d, "_gpl");
SYMBOL_CRC(usb_hub_clear_tt_buffer, 0x2955eee2, "_gpl");
SYMBOL_CRC(usb_hub_claim_port, 0x0f1a6009, "_gpl");
SYMBOL_CRC(usb_hub_release_port, 0x54a97a36, "_gpl");
SYMBOL_CRC(usb_set_device_state, 0x4fec8cc3, "_gpl");
SYMBOL_CRC(usb_disable_ltm, 0x8ee80ca6, "_gpl");
SYMBOL_CRC(usb_enable_ltm, 0xc52761ce, "_gpl");
SYMBOL_CRC(usb_wakeup_enabled_descendants, 0x86f02de9, "_gpl");
SYMBOL_CRC(usb_root_hub_lost_power, 0xf1a2f388, "_gpl");
SYMBOL_CRC(usb_disable_lpm, 0x8956246c, "_gpl");
SYMBOL_CRC(usb_unlocked_disable_lpm, 0xfa4ba414, "_gpl");
SYMBOL_CRC(usb_enable_lpm, 0xc2994904, "_gpl");
SYMBOL_CRC(usb_unlocked_enable_lpm, 0xbcccbbce, "_gpl");
SYMBOL_CRC(usb_ep0_reinit, 0x34e0c4fc, "_gpl");
SYMBOL_CRC(usb_reset_device, 0xfb63dcc2, "_gpl");
SYMBOL_CRC(usb_queue_reset_device, 0x2abd08ed, "_gpl");
SYMBOL_CRC(usb_hub_find_child, 0xea98d551, "_gpl");
SYMBOL_CRC(usb_hcds_loaded, 0xc17515d7, "_gpl");
SYMBOL_CRC(usb_bus_idr, 0x596aa4d6, "_gpl");
SYMBOL_CRC(usb_bus_idr_lock, 0x7da721e6, "_gpl");
SYMBOL_CRC(usb_hcd_poll_rh_status, 0x63878bcc, "_gpl");
SYMBOL_CRC(usb_hcd_start_port_resume, 0x01daa5cc, "_gpl");
SYMBOL_CRC(usb_hcd_end_port_resume, 0x6695e993, "_gpl");
SYMBOL_CRC(usb_calc_bus_time, 0x7e64181d, "_gpl");
SYMBOL_CRC(usb_hcd_link_urb_to_ep, 0x16ddfac2, "_gpl");
SYMBOL_CRC(usb_hcd_check_unlink_urb, 0x86183dc7, "_gpl");
SYMBOL_CRC(usb_hcd_unlink_urb_from_ep, 0x5182fc5f, "_gpl");
SYMBOL_CRC(usb_hcd_unmap_urb_setup_for_dma, 0x447e07b1, "_gpl");
SYMBOL_CRC(usb_hcd_unmap_urb_for_dma, 0x51b95256, "_gpl");
SYMBOL_CRC(usb_hcd_map_urb_for_dma, 0x6061dcc3, "_gpl");
SYMBOL_CRC(usb_hcd_giveback_urb, 0xfed90faf, "_gpl");
SYMBOL_CRC(usb_alloc_streams, 0x8b1d01b6, "_gpl");
SYMBOL_CRC(usb_free_streams, 0x53bcb8b9, "_gpl");
SYMBOL_CRC(usb_hcd_resume_root_hub, 0x154383f7, "_gpl");
SYMBOL_CRC(usb_bus_start_enum, 0x48bf6caa, "_gpl");
SYMBOL_CRC(usb_hcd_irq, 0x70cf032f, "_gpl");
SYMBOL_CRC(usb_hc_died, 0x7d0838d5, "_gpl");
SYMBOL_CRC(__usb_create_hcd, 0x340775eb, "_gpl");
SYMBOL_CRC(usb_create_shared_hcd, 0xf3ab0c3f, "_gpl");
SYMBOL_CRC(usb_create_hcd, 0x399ff18a, "_gpl");
SYMBOL_CRC(usb_get_hcd, 0xb996f74c, "_gpl");
SYMBOL_CRC(usb_put_hcd, 0x6753811a, "_gpl");
SYMBOL_CRC(usb_hcd_is_primary_hcd, 0x3f6826f5, "_gpl");
SYMBOL_CRC(usb_add_hcd, 0xfde53a35, "_gpl");
SYMBOL_CRC(usb_remove_hcd, 0x67af7239, "_gpl");
SYMBOL_CRC(usb_hcd_platform_shutdown, 0xd802bbc7, "_gpl");
SYMBOL_CRC(usb_hcd_setup_local_mem, 0xa31a51a5, "_gpl");
SYMBOL_CRC(usb_mon_register, 0x5a193033, "_gpl");
SYMBOL_CRC(usb_mon_deregister, 0xfed11ed1, "_gpl");
SYMBOL_CRC(usb_init_urb, 0x9cb068bf, "_gpl");
SYMBOL_CRC(usb_alloc_urb, 0x4ed62146, "_gpl");
SYMBOL_CRC(usb_free_urb, 0x55a2d436, "_gpl");
SYMBOL_CRC(usb_get_urb, 0xf660023e, "_gpl");
SYMBOL_CRC(usb_anchor_urb, 0xbfc27fe0, "_gpl");
SYMBOL_CRC(usb_unanchor_urb, 0x4e5a5e57, "_gpl");
SYMBOL_CRC(usb_pipe_type_check, 0xd5094268, "_gpl");
SYMBOL_CRC(usb_urb_ep_type_check, 0xe9e9155b, "_gpl");
SYMBOL_CRC(usb_submit_urb, 0x71b5bbcc, "_gpl");
SYMBOL_CRC(usb_unlink_urb, 0x46fb9385, "_gpl");
SYMBOL_CRC(usb_kill_urb, 0x6323482b, "_gpl");
SYMBOL_CRC(usb_poison_urb, 0x4fed78de, "_gpl");
SYMBOL_CRC(usb_unpoison_urb, 0xb625cd58, "_gpl");
SYMBOL_CRC(usb_block_urb, 0xc1ab7ea7, "_gpl");
SYMBOL_CRC(usb_kill_anchored_urbs, 0x68a8fb2c, "_gpl");
SYMBOL_CRC(usb_poison_anchored_urbs, 0x7d60dc4c, "_gpl");
SYMBOL_CRC(usb_unpoison_anchored_urbs, 0x3a69ad1e, "_gpl");
SYMBOL_CRC(usb_unlink_anchored_urbs, 0x75f9eea3, "_gpl");
SYMBOL_CRC(usb_anchor_suspend_wakeups, 0x93ea2104, "_gpl");
SYMBOL_CRC(usb_anchor_resume_wakeups, 0x87ed21b4, "_gpl");
SYMBOL_CRC(usb_wait_anchor_empty_timeout, 0xa0f97c43, "_gpl");
SYMBOL_CRC(usb_get_from_anchor, 0x112cc378, "_gpl");
SYMBOL_CRC(usb_scuttle_anchored_urbs, 0x3ecc730c, "_gpl");
SYMBOL_CRC(usb_anchor_empty, 0x737b7980, "_gpl");
SYMBOL_CRC(usb_control_msg, 0x72b0d970, "_gpl");
SYMBOL_CRC(usb_control_msg_send, 0x96f134c2, "_gpl");
SYMBOL_CRC(usb_control_msg_recv, 0x554e5791, "_gpl");
SYMBOL_CRC(usb_interrupt_msg, 0xa6a148c8, "_gpl");
SYMBOL_CRC(usb_bulk_msg, 0x46097989, "_gpl");
SYMBOL_CRC(usb_sg_init, 0x9e452f08, "_gpl");
SYMBOL_CRC(usb_sg_wait, 0x8e3005dd, "_gpl");
SYMBOL_CRC(usb_sg_cancel, 0x8152c60a, "_gpl");
SYMBOL_CRC(usb_get_descriptor, 0x4a291ffc, "_gpl");
SYMBOL_CRC(usb_string, 0x350adbe3, "_gpl");
SYMBOL_CRC(usb_cache_string, 0xd20d4ecc, "_gpl");
SYMBOL_CRC(usb_get_status, 0x1e1b9d84, "_gpl");
SYMBOL_CRC(usb_clear_halt, 0x67c49a03, "_gpl");
SYMBOL_CRC(usb_reset_endpoint, 0x0218ab9c, "_gpl");
SYMBOL_CRC(usb_set_interface, 0x6760fa75, "_gpl");
SYMBOL_CRC(usb_reset_configuration, 0xb53c47c6, "_gpl");
SYMBOL_CRC(usb_set_wireless_status, 0xb32eda07, "_gpl");
SYMBOL_CRC(usb_set_configuration, 0xec7da57c, "_gpl");
SYMBOL_CRC(usb_driver_set_configuration, 0x087914c1, "_gpl");
SYMBOL_CRC(cdc_parse_cdc_header, 0xcc7b9eaf, "");
SYMBOL_CRC(usb_store_new_id, 0x2095604b, "_gpl");
SYMBOL_CRC(usb_show_dynids, 0x7f16e2af, "_gpl");
SYMBOL_CRC(usb_driver_claim_interface, 0xc74054b6, "_gpl");
SYMBOL_CRC(usb_driver_release_interface, 0xccc86df5, "_gpl");
SYMBOL_CRC(usb_match_one_id, 0xca864636, "_gpl");
SYMBOL_CRC(usb_match_id, 0x7523f1a5, "_gpl");
SYMBOL_CRC(usb_device_match_id, 0x284eec0f, "_gpl");
SYMBOL_CRC(usb_register_device_driver, 0x9c125ef8, "_gpl");
SYMBOL_CRC(usb_deregister_device_driver, 0xf3dbf8ff, "_gpl");
SYMBOL_CRC(usb_register_driver, 0xa7a38b4e, "_gpl");
SYMBOL_CRC(usb_deregister, 0x8d842521, "_gpl");
SYMBOL_CRC(usb_enable_autosuspend, 0xbdafd8be, "_gpl");
SYMBOL_CRC(usb_disable_autosuspend, 0x1fe0f76b, "_gpl");
SYMBOL_CRC(usb_autopm_put_interface, 0x625c9d82, "_gpl");
SYMBOL_CRC(usb_autopm_put_interface_async, 0x6aeeda58, "_gpl");
SYMBOL_CRC(usb_autopm_put_interface_no_suspend, 0x35036bb4, "_gpl");
SYMBOL_CRC(usb_autopm_get_interface, 0x4dc8debc, "_gpl");
SYMBOL_CRC(usb_autopm_get_interface_async, 0x4afee932, "_gpl");
SYMBOL_CRC(usb_autopm_get_interface_no_resume, 0x3990e791, "_gpl");
SYMBOL_CRC(usb_register_dev, 0x1ac573a7, "_gpl");
SYMBOL_CRC(usb_deregister_dev, 0xa6ed6995, "_gpl");
SYMBOL_CRC(usb_register_notify, 0x89bbafc6, "_gpl");
SYMBOL_CRC(usb_unregister_notify, 0x811dc334, "_gpl");
SYMBOL_CRC(usb_choose_configuration, 0x7ba4238b, "_gpl");
SYMBOL_CRC(usb_phy_roothub_alloc, 0xe85f7197, "_gpl");
SYMBOL_CRC(usb_phy_roothub_alloc_usb3_phy, 0xcfe2edb7, "_gpl");
SYMBOL_CRC(usb_phy_roothub_init, 0xc93ee1e7, "_gpl");
SYMBOL_CRC(usb_phy_roothub_exit, 0xe39d0794, "_gpl");
SYMBOL_CRC(usb_phy_roothub_set_mode, 0x5bdae35b, "_gpl");
SYMBOL_CRC(usb_phy_roothub_calibrate, 0x851e6003, "_gpl");
SYMBOL_CRC(usb_phy_roothub_notify_connect, 0x193780c4, "_gpl");
SYMBOL_CRC(usb_phy_roothub_notify_disconnect, 0xef6a57e5, "_gpl");
SYMBOL_CRC(usb_phy_roothub_power_on, 0x9c803020, "_gpl");
SYMBOL_CRC(usb_phy_roothub_power_off, 0x8c89e3b8, "_gpl");
SYMBOL_CRC(usb_phy_roothub_suspend, 0x6ba26cc1, "_gpl");
SYMBOL_CRC(usb_phy_roothub_resume, 0x6c18290f, "_gpl");
SYMBOL_CRC(usb_hcd_pci_probe, 0x46fbe584, "_gpl");
SYMBOL_CRC(usb_hcd_pci_remove, 0x332fc847, "_gpl");
SYMBOL_CRC(usb_hcd_pci_shutdown, 0x5af61b2c, "_gpl");
SYMBOL_CRC(usb_hcd_pci_pm_ops, 0x15d333ee, "_gpl");
SYMBOL_CRC(usb_acpi_power_manageable, 0x64386c77, "_gpl");
SYMBOL_CRC(usb_acpi_port_lpm_incapable, 0x6b7058b1, "_gpl");
SYMBOL_CRC(usb_acpi_set_power_state, 0xb414df7b, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5f577086, "noop_llseek" },
	{ 0x2c6307ce, "sysfs_merge_group" },
	{ 0x2e86ebd1, "phy_notify_disconnect" },
	{ 0xfa4fcee0, "device_attach" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xfb6eedf9, "power_group_name" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xb0814716, "kernfs_find_and_get_ns" },
	{ 0x18595920, "dma_alloc_attrs" },
	{ 0x5a921311, "strncmp" },
	{ 0xaa8c325b, "phy_power_on" },
	{ 0x80360986, "no_seek_end_llseek" },
	{ 0x6b184ed6, "driver_unregister" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xafc20114, "class_unregister" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x1ebf6c2a, "pci_power_names" },
	{ 0xcbcd913, "sysfs_remove_file_from_group" },
	{ 0xd2f514a4, "sysfs_create_group" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x3edbc68d, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0x11089ac7, "_ctype" },
	{ 0xa3eb5274, "device_register" },
	{ 0x1d1abdf0, "acpi_get_physical_device_location" },
	{ 0x1080ce71, "device_del" },
	{ 0x4d470eb0, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xaae8ab0e, "acpi_bus_power_manageable" },
	{ 0x77ae495d, "usb_speed_string" },
	{ 0x597a8635, "device_bind_driver" },
	{ 0xdbdf6c92, "ioport_resource" },
	{ 0xfb578fc5, "memset" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0x257f912, "system_bh_highpri_wq" },
	{ 0xf6ec6ea1, "unregister_acpi_bus_type" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x8df17be0, "device_match_devt" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x83358fe5, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xfc95f217, "gen_pool_add_owner" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xe85370b, "pm_runtime_no_callbacks" },
	{ 0xc8a2bb32, "phy_power_off" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x58aaf17, "devm_gen_pool_create" },
	{ 0x9fb64856, "down_read" },
	{ 0x25531590, "mutex_trylock" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x50642698, "dev_pm_qos_flags" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcb733bf2, "acpi_bus_set_power" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xd191499b, "sysfs_remove_group" },
	{ 0xb4dfd3b7, "phy_set_mode_ext" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x13a69d2e, "fwnode_find_reference" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xe5f70b80, "_dev_notice" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x2f4347e8, "pm_runtime_forbid" },
	{ 0x2d4ca2f4, "blocking_notifier_chain_unregister" },
	{ 0xf4334299, "dma_free_attrs" },
	{ 0x167e7f9d, "__get_user_1" },
	{ 0x75dc832a, "pm_runtime_allow" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xd5dcc637, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x282cdabc, "usb_led_activity" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc181ef8, "acpi_fetch_acpi_dev" },
	{ 0x9199b9f0, "param_ops_bool" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x726bc3c7, "wait_for_completion_killable_timeout" },
	{ 0xade594b0, "kernfs_put" },
	{ 0xb4997186, "gen_pool_free_owner" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x327468af, "inode_set_ctime_current" },
	{ 0x7c3d6aba, "__register_chrdev" },
	{ 0xf32c7899, "sysfs_break_active_protection" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xb3fa17d1, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x78967daa, "usb_dynids_lock" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0xc398603b, "kobject_uevent" },
	{ 0x8ae718dd, "debugfs_create_file_full" },
	{ 0xf8032a89, "device_pm_wait_for_dev" },
	{ 0xfb5af384, "pci_disable_device" },
	{ 0xe847e9ad, "kill_pid_usb_asyncio" },
	{ 0xd6a78628, "remove_wait_queue" },
	{ 0x36a82e35, "dma_mmap_attrs" },
	{ 0xd4c500, "usb_decode_interval" },
	{ 0x86f09b9b, "usb_hcd_amd_remote_wakeup_quirk" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xc1ddd422, "dma_unmap_sg_attrs" },
	{ 0xdd18a993, "acpi_check_dsm" },
	{ 0x8e0d86ea, "dev_pm_qos_add_request" },
	{ 0xaf4b76be, "pm_runtime_barrier" },
	{ 0xdf0614a1, "__pm_runtime_suspend" },
	{ 0x6e99c6b, "usb_debug_root" },
	{ 0x3498c1b1, "component_add" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0xbda93190, "set_primary_fwnode" },
	{ 0x7dc6af90, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0x972fec3a, "__pm_runtime_use_autosuspend" },
	{ 0x77358855, "iomem_resource" },
	{ 0x21e21c8f, "phy_calibrate" },
	{ 0xf2203c5f, "param_ops_int" },
	{ 0x704c5d41, "_dev_printk" },
	{ 0xcc0c994, "__vma_start_write" },
	{ 0xe6532223, "dev_pm_qos_expose_flags" },
	{ 0xf40beb46, "__pm_runtime_disable" },
	{ 0x4de17ab3, "usb_state_string" },
	{ 0x89c2f64c, "dev_pm_qos_remove_request" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xf9b10b1c, "device_link_add" },
	{ 0xd6336f23, "pci_free_irq_vectors" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xb570b5d7, "up_read" },
	{ 0xe2a805d9, "driver_register" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x3039a8a2, "put_pid" },
	{ 0xb3d2d914, "class_register" },
	{ 0x66ebde19, "__pm_runtime_idle" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0xda59c8d, "cdev_init" },
	{ 0x6a55e78c, "__dev_fwnode" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xd2bda80d, "cdev_del" },
	{ 0x35729f61, "device_remove_file" },
	{ 0xddbd0482, "bus_register" },
	{ 0xeebca5cd, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x308c4819, "phy_init" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x66dd8731, "phy_notify_connect" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x1a146ec3, "usb_ep_type_string" },
	{ 0xb697fff3, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x760a0f4f, "yield" },
	{ 0x77c7a4b1, "device_set_wakeup_enable" },
	{ 0x4e5daa9a, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x187dccfa, "is_acpi_device_node" },
	{ 0xe0d5814e, "device_set_wakeup_capable" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xda844ee8, "device_set_of_node_from_dev" },
	{ 0xe5eb5fd0, "param_ops_uint" },
	{ 0xc6d9f098, "dma_pool_create" },
	{ 0x31731993, "bus_unregister_notifier" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xbd12925f, "pci_enable_device" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x40603a2e, "devm_memremap" },
	{ 0x50707f9c, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xb0e602eb, "memmove" },
	{ 0x6c2c44a0, "pci_alloc_irq_vectors" },
	{ 0x9a507542, "param_get_string" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6781e848, "dmam_alloc_attrs" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x3e8fb0f2, "driver_remove_file" },
	{ 0x9848e9fa, "sysfs_add_file_to_group" },
	{ 0xd8e99ff5, "system_bh_wq" },
	{ 0x3a03314f, "driver_attach" },
	{ 0x9668568f, "device_unregister" },
	{ 0xf42ab0a3, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x7738c663, "gen_pool_dma_alloc_align" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0x6aa30cbd, "pci_get_device" },
	{ 0xb51d11a4, "dma_unmap_page_attrs" },
	{ 0x96848186, "scnprintf" },
	{ 0xf9088f91, "sysfs_unbreak_active_protection" },
	{ 0xacee3638, "pci_dev_run_wake" },
	{ 0x5c8f81ef, "devm_ioremap" },
	{ 0xc6d5a5f1, "pci_prepare_to_sleep" },
	{ 0x4628038c, "device_initialize" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x50a65b40, "current_time" },
	{ 0x69acdf38, "memcpy" },
	{ 0xaa4adb7a, "component_del" },
	{ 0x2c493cf2, "remap_pfn_range" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x61a43e39, "kobject_get_path" },
	{ 0xa55b06bd, "add_wait_queue" },
	{ 0x53426455, "acpi_find_child_by_adr" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xf4aad5d7, "bus_for_each_drv" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3416d62c, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6491531, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xe885bad5, "pci_irq_vector" },
	{ 0x8576e767, "get_device" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0xe6c2b448, "kernfs_notify" },
	{ 0x3db8d791, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x445f49d2, "param_set_copystring" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xf891cf32, "__put_cred" },
	{ 0xf74770f8, "__suspend_report_result" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x44c339bf, "dev_driver_string" },
	{ 0x9bf127ca, "gen_pool_dma_alloc" },
	{ 0x79381862, "sysfs_notify" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x478dcfc2, "__pm_runtime_set_status" },
	{ 0x28ba6fe1, "dma_map_page_attrs" },
	{ 0xd66c8184, "add_device_randomness" },
	{ 0x2eeeb852, "__devm_request_region" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0x501d8b44, "pm_wakeup_dev_event" },
	{ 0x2e68cc29, "device_reprobe" },
	{ 0xb61b1762, "register_acpi_bus_type" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x3168dbe4, "blocking_notifier_call_chain" },
	{ 0x245dccd0, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xc6565203, "debugfs_lookup_and_remove" },
	{ 0x9d3d08f0, "put_device" },
	{ 0x6d93b33b, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0x1b1eb9c0, "driver_create_file" },
	{ 0x7d59dd46, "pm_wq" },
	{ 0x3905f991, "phy_exit" },
	{ 0x8b35699b, "bus_register_notifier" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xed0bc201, "idr_get_next" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xcd68c58, "bus_for_each_dev" },
	{ 0x9f984513, "strrchr" },
	{ 0x71b12b37, "_dev_info" },
	{ 0x7276b73a, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xe06a823e, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xaf547080, "device_wakeup_disable" },
	{ 0x7228ccc9, "compat_ptr_ioctl" },
	{ 0x1193a9ac, "cdev_add" },
	{ 0x3cd2a400, "device_create_file" },
	{ 0xb9a85f0c, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xe4b703db, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x25bcb541, "sysfs_update_group" },
	{ 0x4ddb3eaf, "sysfs_unmerge_group" },
	{ 0x12cb1804, "bus_unregister" },
	{ 0xba0efd1f, "down_write" },
	{ 0xc8240d31, "_dev_err" },
	{ 0xc9840f54, "device_wakeup_enable" },
	{ 0x209b8854, "up_write" },
	{ 0xc864bff6, "bus_find_device" },
	{ 0x9907f28, "device_add" },
	{ 0x48ca2416, "sysfs_remove_link" },
	{ 0x9820f51a, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x3d45bb64, "init_uts_ns" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x5fe6934f, "device_create" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("usb:v0424p5534d*dc*dsc*dp*ic09isc*ip*in*");
MODULE_ALIAS("usb:v04B4p6570d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05E3p*d*dc*dsc*dp*ic09isc*ip*in*");
MODULE_ALIAS("usb:v0451p8142d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0451p8140d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p4913d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p4914d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p4915d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v*p*d*dc09dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic09isc*ip*in*");

MODULE_INFO(srcversion, "ED94BBAD3272496AA85A9E0");

MODULE_INFO(suserelease, "SLFO-1.2");
