#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(usb_gadget_get_string, "_gpl", "");
KSYMTAB_FUNC(usb_validate_langid, "_gpl", "");
KSYMTAB_FUNC(usb_descriptor_fillbuf, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_config_buf, "_gpl", "");
KSYMTAB_FUNC(usb_copy_descriptors, "_gpl", "");
KSYMTAB_FUNC(usb_assign_descriptors, "_gpl", "");
KSYMTAB_FUNC(usb_free_all_descriptors, "_gpl", "");
KSYMTAB_FUNC(usb_otg_descriptor_alloc, "_gpl", "");
KSYMTAB_FUNC(usb_otg_descriptor_init, "_gpl", "");
KSYMTAB_FUNC(usb_ep_autoconfig_ss, "_gpl", "");
KSYMTAB_FUNC(usb_ep_autoconfig, "_gpl", "");
KSYMTAB_FUNC(usb_ep_autoconfig_release, "_gpl", "");
KSYMTAB_FUNC(usb_ep_autoconfig_reset, "_gpl", "");
KSYMTAB_FUNC(config_ep_by_speed_and_alt, "_gpl", "");
KSYMTAB_FUNC(config_ep_by_speed, "_gpl", "");
KSYMTAB_FUNC(usb_add_function, "_gpl", "");
KSYMTAB_FUNC(usb_remove_function, "_gpl", "");
KSYMTAB_FUNC(usb_function_deactivate, "_gpl", "");
KSYMTAB_FUNC(usb_function_activate, "_gpl", "");
KSYMTAB_FUNC(usb_interface_id, "_gpl", "");
KSYMTAB_FUNC(usb_func_wakeup, "_gpl", "");
KSYMTAB_FUNC(usb_add_config_only, "_gpl", "");
KSYMTAB_FUNC(usb_add_config, "_gpl", "");
KSYMTAB_FUNC(usb_string_id, "_gpl", "");
KSYMTAB_FUNC(usb_string_ids_tab, "_gpl", "");
KSYMTAB_FUNC(usb_gstrings_attach, "_gpl", "");
KSYMTAB_FUNC(usb_string_ids_n, "_gpl", "");
KSYMTAB_FUNC(usb_composite_probe, "_gpl", "");
KSYMTAB_FUNC(usb_composite_unregister, "_gpl", "");
KSYMTAB_FUNC(usb_composite_setup_continue, "_gpl", "");
KSYMTAB_FUNC(usb_composite_overwrite_options, "_gpl", "");
KSYMTAB_FUNC(usb_get_function_instance, "_gpl", "");
KSYMTAB_FUNC(usb_get_function, "_gpl", "");
KSYMTAB_FUNC(usb_put_function_instance, "_gpl", "");
KSYMTAB_FUNC(usb_put_function, "_gpl", "");
KSYMTAB_FUNC(usb_function_register, "_gpl", "");
KSYMTAB_FUNC(usb_function_unregister, "_gpl", "");
KSYMTAB_FUNC(usb_os_desc_prepare_interf_dir, "", "");
KSYMTAB_FUNC(unregister_gadget_item, "_gpl", "");
KSYMTAB_FUNC(alloc_ep_req, "_gpl", "");

SYMBOL_CRC(usb_gadget_get_string, 0x4beb505d, "_gpl");
SYMBOL_CRC(usb_validate_langid, 0x0c589aba, "_gpl");
SYMBOL_CRC(usb_descriptor_fillbuf, 0xd2ea2134, "_gpl");
SYMBOL_CRC(usb_gadget_config_buf, 0xf474a207, "_gpl");
SYMBOL_CRC(usb_copy_descriptors, 0x2e09263f, "_gpl");
SYMBOL_CRC(usb_assign_descriptors, 0x91b6d3df, "_gpl");
SYMBOL_CRC(usb_free_all_descriptors, 0x9246e1e6, "_gpl");
SYMBOL_CRC(usb_otg_descriptor_alloc, 0x4b3b1bbc, "_gpl");
SYMBOL_CRC(usb_otg_descriptor_init, 0x20ea7e0c, "_gpl");
SYMBOL_CRC(usb_ep_autoconfig_ss, 0x478eae77, "_gpl");
SYMBOL_CRC(usb_ep_autoconfig, 0x16ae0ac6, "_gpl");
SYMBOL_CRC(usb_ep_autoconfig_release, 0xfb096883, "_gpl");
SYMBOL_CRC(usb_ep_autoconfig_reset, 0xbb95907e, "_gpl");
SYMBOL_CRC(config_ep_by_speed_and_alt, 0x8f5868d2, "_gpl");
SYMBOL_CRC(config_ep_by_speed, 0xff0835a0, "_gpl");
SYMBOL_CRC(usb_add_function, 0xcb2c7e4e, "_gpl");
SYMBOL_CRC(usb_remove_function, 0x1427bd5e, "_gpl");
SYMBOL_CRC(usb_function_deactivate, 0xa3760a41, "_gpl");
SYMBOL_CRC(usb_function_activate, 0x7747f333, "_gpl");
SYMBOL_CRC(usb_interface_id, 0xab94671d, "_gpl");
SYMBOL_CRC(usb_func_wakeup, 0xb6a0c708, "_gpl");
SYMBOL_CRC(usb_add_config_only, 0xbb9c49af, "_gpl");
SYMBOL_CRC(usb_add_config, 0xf8c58c90, "_gpl");
SYMBOL_CRC(usb_string_id, 0x7db7c3a4, "_gpl");
SYMBOL_CRC(usb_string_ids_tab, 0x8befda11, "_gpl");
SYMBOL_CRC(usb_gstrings_attach, 0x0459e010, "_gpl");
SYMBOL_CRC(usb_string_ids_n, 0x345573db, "_gpl");
SYMBOL_CRC(usb_composite_probe, 0xb6ba5c33, "_gpl");
SYMBOL_CRC(usb_composite_unregister, 0x7cddd737, "_gpl");
SYMBOL_CRC(usb_composite_setup_continue, 0x3ffec72c, "_gpl");
SYMBOL_CRC(usb_composite_overwrite_options, 0x58b29df6, "_gpl");
SYMBOL_CRC(usb_get_function_instance, 0x61bb1761, "_gpl");
SYMBOL_CRC(usb_get_function, 0x7cec555a, "_gpl");
SYMBOL_CRC(usb_put_function_instance, 0xcb76d150, "_gpl");
SYMBOL_CRC(usb_put_function, 0x7b821a91, "_gpl");
SYMBOL_CRC(usb_function_register, 0x38dcc6b2, "_gpl");
SYMBOL_CRC(usb_function_unregister, 0x24867fd4, "_gpl");
SYMBOL_CRC(usb_os_desc_prepare_interf_dir, 0x48873aab, "");
SYMBOL_CRC(unregister_gadget_item, 0xeb7956f9, "_gpl");
SYMBOL_CRC(alloc_ep_req, 0x70218f00, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb2224364, "usb_ep_alloc_request" },
	{ 0xe73b71fd, "usb_gadget_unregister_driver" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0xe875fcd4, "config_item_init_type_name" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x1c9173ee, "config_item_put" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0xc090aeab, "usb_gadget_register_driver_owner" },
	{ 0x9a645086, "usb_ep_queue" },
	{ 0x754d539c, "strlen" },
	{ 0x88c4becf, "usb_gadget_deactivate" },
	{ 0x349cba85, "strchr" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x97adb487, "utf8s_to_utf16s" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x35729f61, "device_remove_file" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xe914e41e, "strcpy" },
	{ 0x4e5daa9a, "try_module_get" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x2dc5600c, "config_group_init" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x66265f6, "usb_gadget_check_config" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0x96848186, "scnprintf" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0xb0a19330, "usb_gadget_ep_match_desc" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0x5f18014, "usb_ep_free_request" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa3c48948, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x9b2a3f1a, "usb_gadget_set_selfpowered" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0x96b29254, "strncasecmp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xce73e147, "usb_gadget_set_remote_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x273db2f8, "usb_gadget_vbus_draw" },
	{ 0x71b12b37, "_dev_info" },
	{ 0x2a3a6621, "config_item_set_name" },
	{ 0x7276b73a, "module_put" },
	{ 0xc7ab3c63, "usb_ep_dequeue" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x3cd2a400, "device_create_file" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x3e5a5fb3, "configfs_register_subsystem" },
	{ 0x3d45bb64, "init_uts_ns" },
	{ 0x23da8e76, "config_group_init_type_name" },
	{ 0x9e1c3037, "usb_gadget_activate" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x5a921311, "strncmp" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x353c2111, "usb_gadget_clear_selfpowered" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x77ae495d, "usb_speed_string" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x424e9545, "usb_gadget_set_state" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "configfs");


MODULE_INFO(srcversion, "F8B31A4BD541B253FD4D873");

MODULE_INFO(suserelease, "SLFO-1.2");
