#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(xhci_run, "_gpl", "");
KSYMTAB_FUNC(xhci_stop, "_gpl", "");
KSYMTAB_FUNC(xhci_shutdown, "_gpl", "");
KSYMTAB_FUNC(xhci_suspend, "_gpl", "");
KSYMTAB_FUNC(xhci_resume, "_gpl", "");
KSYMTAB_FUNC(xhci_get_endpoint_index, "_gpl", "");
KSYMTAB_FUNC(xhci_drop_endpoint, "_gpl", "");
KSYMTAB_FUNC(xhci_add_endpoint, "_gpl", "");
KSYMTAB_FUNC(xhci_stop_endpoint_sync, "_gpl", "");
KSYMTAB_FUNC(xhci_check_bandwidth, "_gpl", "");
KSYMTAB_FUNC(xhci_reset_bandwidth, "_gpl", "");
KSYMTAB_FUNC(xhci_update_hub_device, "_gpl", "");
KSYMTAB_FUNC(xhci_gen_setup, "_gpl", "");
KSYMTAB_FUNC(xhci_init_driver, "_gpl", "");
KSYMTAB_FUNC(xhci_initialize_ring_info, "_gpl", "");
KSYMTAB_FUNC(xhci_get_ep_ctx, "_gpl", "");
KSYMTAB_FUNC(xhci_remove_secondary_interrupter, "_gpl", "");
KSYMTAB_FUNC(xhci_create_secondary_interrupter, "_gpl", "");
KSYMTAB_FUNC(xhci_ext_cap_init, "_gpl", "");
KSYMTAB_FUNC(xhci_msi_irq, "_gpl", "");
KSYMTAB_FUNC(xhci_port_state_to_neutral, "_gpl", "");
KSYMTAB_FUNC(xhci_hub_control, "_gpl", "");
KSYMTAB_FUNC(xhci_dbg_trace, "_gpl", "");
KSYMTAB_DATA(__tracepoint_xhci_dbg_quirks, "_gpl", "");
KSYMTAB_FUNC(__traceiter_xhci_dbg_quirks, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_xhci_dbg_quirks, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_xhci_dbg_quirks, "_gpl", "");
KSYMTAB_DATA(__tracepoint_xhci_dbg_init, "_gpl", "");
KSYMTAB_FUNC(__traceiter_xhci_dbg_init, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_xhci_dbg_init, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_xhci_dbg_init, "_gpl", "");

SYMBOL_CRC(xhci_run, 0xa97425e8, "_gpl");
SYMBOL_CRC(xhci_stop, 0x3461fad2, "_gpl");
SYMBOL_CRC(xhci_shutdown, 0x7b90a740, "_gpl");
SYMBOL_CRC(xhci_suspend, 0x0c5fe74d, "_gpl");
SYMBOL_CRC(xhci_resume, 0x6d2de88b, "_gpl");
SYMBOL_CRC(xhci_get_endpoint_index, 0x57d4050a, "_gpl");
SYMBOL_CRC(xhci_drop_endpoint, 0x5a4dca60, "_gpl");
SYMBOL_CRC(xhci_add_endpoint, 0x789c7e5e, "_gpl");
SYMBOL_CRC(xhci_stop_endpoint_sync, 0xc3418bfa, "_gpl");
SYMBOL_CRC(xhci_check_bandwidth, 0x8d9bb989, "_gpl");
SYMBOL_CRC(xhci_reset_bandwidth, 0xaf11ee1a, "_gpl");
SYMBOL_CRC(xhci_update_hub_device, 0x935e1ad2, "_gpl");
SYMBOL_CRC(xhci_gen_setup, 0x637516c0, "_gpl");
SYMBOL_CRC(xhci_init_driver, 0x3cf8509e, "_gpl");
SYMBOL_CRC(xhci_initialize_ring_info, 0x98f795ce, "_gpl");
SYMBOL_CRC(xhci_get_ep_ctx, 0x71bc18e2, "_gpl");
SYMBOL_CRC(xhci_remove_secondary_interrupter, 0x2a59dd7c, "_gpl");
SYMBOL_CRC(xhci_create_secondary_interrupter, 0x07422337, "_gpl");
SYMBOL_CRC(xhci_ext_cap_init, 0x75b2d429, "_gpl");
SYMBOL_CRC(xhci_msi_irq, 0x88fac4e8, "_gpl");
SYMBOL_CRC(xhci_port_state_to_neutral, 0x1cdd0605, "_gpl");
SYMBOL_CRC(xhci_hub_control, 0x5000ce52, "_gpl");
SYMBOL_CRC(xhci_dbg_trace, 0xdd8ea40c, "_gpl");
SYMBOL_CRC(__tracepoint_xhci_dbg_quirks, 0xd80a85c6, "_gpl");
SYMBOL_CRC(__traceiter_xhci_dbg_quirks, 0x4c549b36, "_gpl");
SYMBOL_CRC(__SCK__tp_func_xhci_dbg_quirks, 0xacb4138c, "_gpl");
SYMBOL_CRC(__SCT__tp_func_xhci_dbg_quirks, 0xabf03fc3, "_gpl");
SYMBOL_CRC(__tracepoint_xhci_dbg_init, 0xc6e7c05b, "_gpl");
SYMBOL_CRC(__traceiter_xhci_dbg_init, 0xa2402218, "_gpl");
SYMBOL_CRC(__SCK__tp_func_xhci_dbg_init, 0x82ce7712, "_gpl");
SYMBOL_CRC(__SCT__tp_func_xhci_dbg_init, 0x8a5c1029, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb2480387, "debugfs_create_regset32" },
	{ 0x71b12b37, "_dev_info" },
	{ 0x6fe4c866, "debugfs_get_aux" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xcbce094a, "platform_device_add_resources" },
	{ 0x86183dc7, "usb_hcd_check_unlink_urb" },
	{ 0x6702c702, "iommu_get_domain_for_dev" },
	{ 0x181f0077, "radix_tree_delete" },
	{ 0x397590bf, "device_create_managed_software_node" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x7ec56c70, "perf_trace_run_bpf_submit" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x6695e993, "usb_hcd_end_port_resume" },
	{ 0x24d273d1, "add_timer" },
	{ 0x9f592af3, "radix_tree_preloads" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xb8461669, "platform_device_unregister" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x18595920, "dma_alloc_attrs" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x6de67898, "debugfs_remove" },
	{ 0x251aecc0, "platform_device_add" },
	{ 0x658574f4, "trace_event_reg" },
	{ 0x339ceb18, "platform_device_alloc" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xdc825d6c, "usb_amd_quirk_pll_disable" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x57a45346, "bpf_trace_run1" },
	{ 0x16ddfac2, "usb_hcd_link_urb_to_ep" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xfb578fc5, "memset" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0x36d1cc54, "__kmalloc_cache_node_noprof" },
	{ 0x3f6826f5, "usb_hcd_is_primary_hcd" },
	{ 0xb22e16d5, "radix_tree_maybe_preload" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x10ecc52c, "usb_amd_quirk_pll_enable" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x64386c77, "usb_acpi_power_manageable" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x2955eee2, "usb_hub_clear_tt_buffer" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xaf36c569, "dma_set_coherent_mask" },
	{ 0x910c04bd, "trace_seq_acquire" },
	{ 0xb9b9df41, "usb_amd_dev_put" },
	{ 0xcb67b626, "bpf_trace_run3" },
	{ 0x4a38d9f7, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x2f4347e8, "pm_runtime_forbid" },
	{ 0xf4334299, "dma_free_attrs" },
	{ 0x75dc832a, "pm_runtime_allow" },
	{ 0x27a7a36e, "trace_event_buffer_reserve" },
	{ 0xfed90faf, "usb_hcd_giveback_urb" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xfe1c9ea5, "sg_pcopy_from_buffer" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7ad7a5cd, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x63878bcc, "usb_hcd_poll_rh_status" },
	{ 0xb414df7b, "usb_acpi_set_power_state" },
	{ 0x8ae718dd, "debugfs_create_file_full" },
	{ 0x3abc0cf6, "usb_disable_xhci_ports" },
	{ 0x8d8b2fb3, "single_release" },
	{ 0xa7524338, "dma_set_mask" },
	{ 0x6e99c6b, "usb_debug_root" },
	{ 0x177e48ab, "__devm_add_action" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x754d539c, "strlen" },
	{ 0xf2203c5f, "param_ops_int" },
	{ 0x495b28e9, "single_open" },
	{ 0x51b95256, "usb_hcd_unmap_urb_for_dma" },
	{ 0xd20f3ddd, "debugfs_create_dir" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x6473fad4, "pci_bus_type" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0xf1a2f388, "usb_root_hub_lost_power" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0xfdf61141, "param_ops_ullong" },
	{ 0xa72ac049, "platform_device_put" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xd5204ca, "usb_asmedia_modifyflowcontrol" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xc6d9f098, "dma_pool_create" },
	{ 0x59860803, "radix_tree_insert" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x154383f7, "usb_hcd_resume_root_hub" },
	{ 0x5182fc5f, "usb_hcd_unlink_urb_from_ep" },
	{ 0x1daa5cc, "usb_hcd_start_port_resume" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xd157253e, "usb_amd_pt_check_port" },
	{ 0x7d0838d5, "usb_hc_died" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xa11a97c1, "trace_raw_output_prep" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xb07d43ee, "__trace_trigger_soft_disabled" },
	{ 0xee8cabfe, "radix_tree_lookup" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xe80f8d0d, "__kmalloc_node_noprof" },
	{ 0xb51d11a4, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xdf4574bf, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x9cfad16d, "usb_wakeup_notification" },
	{ 0x549dee85, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0x2e4f415b, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd0d9d74c, "bpf_trace_run2" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x148653, "vsnprintf" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0x474edef, "kstrtou16_from_user" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x44c339bf, "dev_driver_string" },
	{ 0x77188b5d, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x28ba6fe1, "dma_map_page_attrs" },
	{ 0x6061dcc3, "usb_hcd_map_urb_for_dma" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "usbcore");


MODULE_INFO(srcversion, "B2994B308969176676156E7");

MODULE_INFO(suserelease, "SLFO-1.2");
