#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(xhci_plat_probe, "_gpl", "");
KSYMTAB_FUNC(xhci_plat_remove, "_gpl", "");
KSYMTAB_DATA(xhci_plat_pm_ops, "_gpl", "");

SYMBOL_CRC(xhci_plat_probe, 0x72af9ca6, "_gpl");
SYMBOL_CRC(xhci_plat_remove, 0xf16a7e06, "_gpl");
SYMBOL_CRC(xhci_plat_pm_ops, 0x62437dec, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8d77def2, "devm_reset_control_array_get" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x478dcfc2, "__pm_runtime_set_status" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6d93b33b, "pm_runtime_enable" },
	{ 0x64580cf8, "device_property_read_u32_array" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x6d2de88b, "xhci_resume" },
	{ 0xa97425e8, "xhci_run" },
	{ 0x3f6826f5, "usb_hcd_is_primary_hcd" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3cf8509e, "xhci_init_driver" },
	{ 0x6753811a, "usb_put_hcd" },
	{ 0x65eccb12, "__platform_driver_register" },
	{ 0xaf36c569, "dma_set_coherent_mask" },
	{ 0xb5ea1c4d, "devm_clk_get_optional" },
	{ 0x2f4347e8, "pm_runtime_forbid" },
	{ 0xd5dcc637, "__pm_runtime_resume" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x340775eb, "__usb_create_hcd" },
	{ 0xa7524338, "dma_set_mask" },
	{ 0x67af7239, "usb_remove_hcd" },
	{ 0xf40beb46, "__pm_runtime_disable" },
	{ 0xfde53a35, "usb_add_hcd" },
	{ 0x815588a6, "clk_enable" },
	{ 0x6473fad4, "pci_bus_type" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xa4f4d556, "device_property_present" },
	{ 0xd802bbc7, "usb_hcd_platform_shutdown" },
	{ 0x187dccfa, "is_acpi_device_node" },
	{ 0xe0d5814e, "device_set_wakeup_capable" },
	{ 0xc5fe74d, "xhci_suspend" },
	{ 0x12c610be, "devm_platform_get_and_ioremap_resource" },
	{ 0xdbe27298, "platform_driver_unregister" },
	{ 0x2ba3cbe5, "platform_get_irq" },
	{ 0x637516c0, "xhci_gen_setup" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "usbcore,xhci-hcd");

MODULE_ALIAS("acpi*:PNP0D10:*");
MODULE_ALIAS("acpi*:PNP0D15:*");

MODULE_INFO(srcversion, "8EDF1D1AA8AE481F1AA8877");

MODULE_INFO(suserelease, "SLFO-1.2");
