#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ljca_transfer, "_gpl", "LJCA");
KSYMTAB_FUNC(ljca_transfer_noack, "_gpl", "LJCA");
KSYMTAB_FUNC(ljca_register_event_cb, "_gpl", "LJCA");
KSYMTAB_FUNC(ljca_unregister_event_cb, "_gpl", "LJCA");

SYMBOL_CRC(ljca_transfer, 0xd94f09f9, "_gpl");
SYMBOL_CRC(ljca_transfer_noack, 0x0a90bf55, "_gpl");
SYMBOL_CRC(ljca_register_event_cb, 0xcd93a382, "_gpl");
SYMBOL_CRC(ljca_unregister_event_cb, 0x2ee22d93, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x625c9d82, "usb_autopm_put_interface" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa7a38b4e, "usb_register_driver" },
	{ 0x71b5bbcc, "usb_submit_urb" },
	{ 0x6323482b, "usb_kill_urb" },
	{ 0x37a0cba, "kfree" },
	{ 0xa6257a2f, "complete" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x67ee6b56, "acpi_match_device_ids" },
	{ 0x349cba85, "strchr" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x8d842521, "usb_deregister" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0x3bc953ae, "auxiliary_device_init" },
	{ 0x187dccfa, "is_acpi_device_node" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x97293f94, "acpi_dev_for_each_child" },
	{ 0xbda93190, "set_primary_fwnode" },
	{ 0x75a1618c, "__auxiliary_device_add" },
	{ 0x9d3d08f0, "put_device" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x3cb06817, "devm_kmalloc" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x7dafbbce, "usb_get_intf" },
	{ 0x83cf503b, "usb_find_common_endpoints" },
	{ 0x4ed62146, "usb_alloc_urb" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x1080ce71, "device_del" },
	{ 0x55a2d436, "usb_free_urb" },
	{ 0x84495418, "usb_put_intf" },
	{ 0xf42ab0a3, "pm_runtime_set_autosuspend_delay" },
	{ 0xbdafd8be, "usb_enable_autosuspend" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x4dc8debc, "usb_autopm_get_interface" },
	{ 0x46097989, "usb_bulk_msg" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "usbcore");

MODULE_ALIAS("usb:v8086p0B63d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "451E98965F92F186A01E214");

MODULE_INFO(suserelease, "SLFO-1.2");
