#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4ed62146, "usb_alloc_urb" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xacf7e913, "request_firmware" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x3416d62c, "prepare_to_wait_event" },
	{ 0xbd394d8, "tty_termios_baud_rate" },
	{ 0x1237d698, "tty_encode_baud_rate" },
	{ 0x91354023, "__tty_insert_flip_string_flags" },
	{ 0x305ede3a, "tty_flip_buffer_push" },
	{ 0x9954b989, "tty_port_tty_get" },
	{ 0x956237b3, "tty_kref_put" },
	{ 0x6381ab04, "usb_serial_generic_tiocmiwait" },
	{ 0xad11cbfd, "usb_serial_generic_get_icount" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd7c11fc0, "__usb_serial_register_drivers" },
	{ 0x37a0cba, "kfree" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0xf6491531, "__wake_up" },
	{ 0x55a2d436, "usb_free_urb" },
	{ 0x3089c564, "tty_port_tty_wakeup" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0x862d1e43, "prepare_to_wait" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x6323482b, "usb_kill_urb" },
	{ 0x46561115, "usb_serial_deregister_drivers" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x69acdf38, "memcpy" },
	{ 0x71b5bbcc, "usb_submit_urb" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x72b0d970, "usb_control_msg" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0x350adbe3, "usb_string" },
	{ 0x71b12b37, "_dev_info" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "usbcore,usbserial");

MODULE_ALIAS("usb:v1608p0001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0003d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0004d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p1403d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0005d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0006d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0007d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p000Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p000Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p000Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p000Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0010d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0011d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p001Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0019d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0013d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0014d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0018d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0404p0202d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0404p0203d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0404p0310d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0404p0311d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0404p0312d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05D9pA758d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05D9pA794d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05D9pA225d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "9C7B681AAE42263456AE7EE");

MODULE_INFO(suserelease, "SLFO-1.2");
