#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(usb_serial_claim_interface, "_gpl", "");
KSYMTAB_FUNC(usb_serial_port_softint, "_gpl", "");
KSYMTAB_FUNC(usb_serial_suspend, "", "");
KSYMTAB_FUNC(usb_serial_resume, "", "");
KSYMTAB_FUNC(__usb_serial_register_drivers, "_gpl", "");
KSYMTAB_FUNC(usb_serial_deregister_drivers, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_open, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_close, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_write_start, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_write, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_chars_in_buffer, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_wait_until_sent, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_submit_read_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_process_read_urb, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_read_bulk_callback, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_write_bulk_callback, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_throttle, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_unthrottle, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_tiocmiwait, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_get_icount, "_gpl", "");
KSYMTAB_FUNC(usb_serial_handle_dcd_change, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_resume, "_gpl", "");

SYMBOL_CRC(usb_serial_claim_interface, 0xb72486b0, "_gpl");
SYMBOL_CRC(usb_serial_port_softint, 0x389f33b8, "_gpl");
SYMBOL_CRC(usb_serial_suspend, 0x5c3db1cf, "");
SYMBOL_CRC(usb_serial_resume, 0x622d3ccf, "");
SYMBOL_CRC(__usb_serial_register_drivers, 0xd7c11fc0, "_gpl");
SYMBOL_CRC(usb_serial_deregister_drivers, 0x46561115, "_gpl");
SYMBOL_CRC(usb_serial_generic_open, 0x3903d08f, "_gpl");
SYMBOL_CRC(usb_serial_generic_close, 0xfd6ddbd0, "_gpl");
SYMBOL_CRC(usb_serial_generic_write_start, 0xc97f302b, "_gpl");
SYMBOL_CRC(usb_serial_generic_write, 0xe34904f8, "_gpl");
SYMBOL_CRC(usb_serial_generic_chars_in_buffer, 0x6b743674, "_gpl");
SYMBOL_CRC(usb_serial_generic_wait_until_sent, 0x1ed07b7d, "_gpl");
SYMBOL_CRC(usb_serial_generic_submit_read_urbs, 0x7d81637d, "_gpl");
SYMBOL_CRC(usb_serial_generic_process_read_urb, 0x951102c0, "_gpl");
SYMBOL_CRC(usb_serial_generic_read_bulk_callback, 0x93b1a42a, "_gpl");
SYMBOL_CRC(usb_serial_generic_write_bulk_callback, 0xbfea1589, "_gpl");
SYMBOL_CRC(usb_serial_generic_throttle, 0x27457df4, "_gpl");
SYMBOL_CRC(usb_serial_generic_unthrottle, 0x1c2edec3, "_gpl");
SYMBOL_CRC(usb_serial_generic_tiocmiwait, 0x6381ab04, "_gpl");
SYMBOL_CRC(usb_serial_generic_get_icount, 0xad11cbfd, "_gpl");
SYMBOL_CRC(usb_serial_handle_dcd_change, 0x95f1c6bc, "_gpl");
SYMBOL_CRC(usb_serial_generic_resume, 0x5ac34355, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7dafbbce, "usb_get_intf" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xccc86df5, "usb_driver_release_interface" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xf213bb4a, "usb_put_dev" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9d3d08f0, "put_device" },
	{ 0x12a2d815, "usb_get_dev" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x67b27ec1, "tty_std_termios" },
	{ 0x71b5bbcc, "usb_submit_urb" },
	{ 0x71b12b37, "_dev_info" },
	{ 0x29b302dc, "tty_unregister_device" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7276b73a, "module_put" },
	{ 0x3089c564, "tty_port_tty_wakeup" },
	{ 0xb9a85f0c, "idr_remove" },
	{ 0x7523f1a5, "usb_match_id" },
	{ 0x2095604b, "usb_store_new_id" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x12cb1804, "bus_unregister" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x9907f28, "device_add" },
	{ 0x9820f51a, "idr_alloc" },
	{ 0xd7a25ed3, "tty_ldisc_ref" },
	{ 0x7b1c42e7, "tty_vhangup" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x91354023, "__tty_insert_flip_string_flags" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x3ebbddcd, "tty_port_destroy" },
	{ 0x57ee4b00, "tty_port_init" },
	{ 0xc74054b6, "usb_driver_claim_interface" },
	{ 0x56a719f2, "seq_putc" },
	{ 0x4fed78de, "usb_poison_urb" },
	{ 0xb625cd58, "usb_unpoison_urb" },
	{ 0x6b184ed6, "driver_unregister" },
	{ 0xf785bc08, "tty_port_register_device" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x9b036c97, "tty_ldisc_deref" },
	{ 0x8d842521, "usb_deregister" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x1080ce71, "device_del" },
	{ 0x4d470eb0, "idr_destroy" },
	{ 0x54f07fa7, "tty_port_close" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4dc8debc, "usb_autopm_get_interface" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x5490c8f1, "tty_register_driver" },
	{ 0x9f7aac60, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x6323482b, "usb_kill_urb" },
	{ 0x78967daa, "usb_dynids_lock" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x872d1544, "tty_port_hangup" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7ad7a5cd, "seq_printf" },
	{ 0xf0cfa922, "tty_port_open" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0xe2a805d9, "driver_register" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0xc7ade63, "tty_driver_kref_put" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xddbd0482, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x9954b989, "tty_port_tty_get" },
	{ 0x84495418, "usb_put_intf" },
	{ 0x4ed62146, "usb_alloc_urb" },
	{ 0x625c9d82, "usb_autopm_put_interface" },
	{ 0x4e5daa9a, "try_module_get" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x55a2d436, "usb_free_urb" },
	{ 0x333051c0, "idr_find" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x50707f9c, "dev_set_name" },
	{ 0x8e251c49, "param_ops_ushort" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x305ede3a, "tty_flip_buffer_push" },
	{ 0x3a03314f, "driver_attach" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0x956237b3, "tty_kref_put" },
	{ 0xa7a38b4e, "usb_register_driver" },
	{ 0xca864636, "usb_match_one_id" },
	{ 0x4628038c, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xbd394d8, "tty_termios_baud_rate" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0x811e510c, "__tty_alloc_driver" },
	{ 0x3416d62c, "prepare_to_wait_event" },
	{ 0x436a7d48, "tty_standard_install" },
	{ 0xf6491531, "__wake_up" },
	{ 0x7f16e2af, "usb_show_dynids" },
	{ 0xe9aebc4d, "tty_hangup" },
	{ 0x690e11bb, "tty_unregister_driver" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0xe816048f, "tty_termios_copy_hw" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "usbcore");


MODULE_INFO(srcversion, "EA806393B45A62B7E3C325D");

MODULE_INFO(suserelease, "SLFO-1.2");
