#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6323482b, "usb_kill_urb" },
	{ 0x4ed62146, "usb_alloc_urb" },
	{ 0x8b1d01b6, "usb_alloc_streams" },
	{ 0x78d8c7b6, "scsi_report_bus_reset" },
	{ 0xbfc27fe0, "usb_anchor_urb" },
	{ 0x71b5bbcc, "usb_submit_urb" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x69acdf38, "memcpy" },
	{ 0x4e5a5e57, "usb_unanchor_urb" },
	{ 0x56470118, "__warn_printk" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2c61eac8, "scsi_done" },
	{ 0x1bc3edc2, "usb_stor_sense_invalidCDB" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x68a8fb2c, "usb_kill_anchored_urbs" },
	{ 0xa5bbdd31, "scsi_remove_host" },
	{ 0x884883a4, "scsi_host_put" },
	{ 0x7052116b, "usb_lock_device_for_reset" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x3e16ad11, "usb_stor_adjust_quirks" },
	{ 0x4999a165, "scsi_host_alloc" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0x2a42ad7e, "scsi_add_host_with_dma" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0xb41f7c6d, "sdev_prefix_printk" },
	{ 0x46fb9385, "usb_unlink_urb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa7a38b4e, "usb_register_driver" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x53bcb8b9, "usb_free_streams" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf7370f56, "system_state" },
	{ 0x6760fa75, "usb_set_interface" },
	{ 0xfb63dcc2, "usb_reset_device" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xa0f97c43, "usb_wait_anchor_empty_timeout" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xe7a64932, "scsi_block_requests" },
	{ 0x704c5d41, "_dev_printk" },
	{ 0x1b5a5416, "scsi_unblock_requests" },
	{ 0x891ee507, "scmd_printk" },
	{ 0x16a2c1bc, "scsi_print_command" },
	{ 0xc884c36e, "scsi_scan_host" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0x55a2d436, "usb_free_urb" },
	{ 0xc8240d31, "_dev_err" },
	{ 0xd4de697d, "scsi_is_host_device" },
	{ 0x6600b9e, "scsi_change_queue_depth" },
	{ 0x8d842521, "usb_deregister" },
	{ 0xf660023e, "usb_get_urb" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "usbcore,scsi_mod,scsi_common,usb-storage");

MODULE_ALIAS("usb:v054Cp087Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v059Fp105Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v059Fp1061d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v090Cp2000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0984p0301d0128dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p1932d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BC2p331Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v125FpA94Ad0160dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13FDp3940d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0539d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0567d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0578d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0583d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v154BpF00Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v154BpF00Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17EFp3899d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2109p0711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2537p1068d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v357Dp7788d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p1012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p8017d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p8024d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic08isc06ip50in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic08isc06ip62in*");

MODULE_INFO(srcversion, "481304D0397D8F795B8352D");

MODULE_INFO(suserelease, "SLFO-1.2");
