#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(tcpm_pd_transmit_complete, "_gpl", "");
KSYMTAB_FUNC(tcpm_pd_receive, "_gpl", "");
KSYMTAB_FUNC(tcpm_cc_change, "_gpl", "");
KSYMTAB_FUNC(tcpm_vbus_change, "_gpl", "");
KSYMTAB_FUNC(tcpm_pd_hard_reset, "_gpl", "");
KSYMTAB_FUNC(tcpm_sink_frs, "_gpl", "");
KSYMTAB_FUNC(tcpm_sourcing_vbus, "_gpl", "");
KSYMTAB_FUNC(tcpm_port_clean, "_gpl", "");
KSYMTAB_FUNC(tcpm_port_is_toggling, "_gpl", "");
KSYMTAB_FUNC(tcpm_port_error_recovery, "_gpl", "");
KSYMTAB_FUNC(tcpm_tcpc_reset, "_gpl", "");
KSYMTAB_FUNC(tcpm_register_port, "_gpl", "");
KSYMTAB_FUNC(tcpm_unregister_port, "_gpl", "");

SYMBOL_CRC(tcpm_pd_transmit_complete, 0x3b84657b, "_gpl");
SYMBOL_CRC(tcpm_pd_receive, 0x402a76b1, "_gpl");
SYMBOL_CRC(tcpm_cc_change, 0xc37b9769, "_gpl");
SYMBOL_CRC(tcpm_vbus_change, 0xceb50012, "_gpl");
SYMBOL_CRC(tcpm_pd_hard_reset, 0x9e0bd753, "_gpl");
SYMBOL_CRC(tcpm_sink_frs, 0x10ec6d2d, "_gpl");
SYMBOL_CRC(tcpm_sourcing_vbus, 0xeb779665, "_gpl");
SYMBOL_CRC(tcpm_port_clean, 0xd680581d, "_gpl");
SYMBOL_CRC(tcpm_port_is_toggling, 0xda86a83d, "_gpl");
SYMBOL_CRC(tcpm_port_error_recovery, 0x8512bd2a, "_gpl");
SYMBOL_CRC(tcpm_tcpc_reset, 0xea220941, "_gpl");
SYMBOL_CRC(tcpm_register_port, 0x6cabfc77, "_gpl");
SYMBOL_CRC(tcpm_unregister_port, 0x76eeda4b, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x83f0edcf, "kthread_destroy_worker" },
	{ 0x4060a901, "typec_unregister_port" },
	{ 0xc9fd634a, "usb_role_switch_put" },
	{ 0x37a0cba, "kfree" },
	{ 0x6de67898, "debugfs_remove" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xa8ba3f5e, "typec_port_set_usb_power_delivery" },
	{ 0x1a23dad9, "typec_match_altmode" },
	{ 0xb3867bed, "typec_altmode_vdm" },
	{ 0x975cd3ce, "usb_power_delivery_register_capabilities" },
	{ 0x62d11af8, "typec_altmode_update_active" },
	{ 0x91c0fc75, "usb_power_delivery_register" },
	{ 0xc250ab83, "typec_cable_altmode_vdm" },
	{ 0x5e5b61af, "typec_altmode_notify" },
	{ 0x7abf1ecb, "typec_altmode_attention" },
	{ 0xcb301238, "typec_cable_set_svdm_version" },
	{ 0x7036b29a, "typec_partner_set_identity" },
	{ 0x988c4bb4, "typec_register_cable" },
	{ 0x496e6a36, "typec_cable_set_identity" },
	{ 0x43d116e8, "typec_cable_is_active" },
	{ 0xb5268d59, "typec_partner_set_svdm_version" },
	{ 0x8512b09b, "typec_register_plug" },
	{ 0xca7ffeea, "typec_plug_set_num_altmodes" },
	{ 0xa5a8b17, "typec_plug_register_altmode" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x3cb06817, "devm_kmalloc" },
	{ 0x51ccce7a, "kthread_create_worker" },
	{ 0x57b08319, "sched_set_fifo" },
	{ 0x476a04a3, "hrtimer_setup" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xfcae5dda, "fw_devlink_purge_absent_suppliers" },
	{ 0x8918597a, "typec_get_fw_cap" },
	{ 0x39b37d3a, "fwnode_property_present" },
	{ 0x386c7e82, "fwnode_get_named_child_node" },
	{ 0x81d7bf85, "fwnode_get_next_child_node" },
	{ 0x5354bf73, "fwnode_property_read_u32_array" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0xf122d883, "fwnode_property_read_string" },
	{ 0xf1234a8b, "typec_find_pwr_opmode" },
	{ 0xf0882d5, "fwnode_property_read_u8_array" },
	{ 0xf131e157, "usb_role_switch_get" },
	{ 0x754d539c, "strlen" },
	{ 0x6a55e78c, "__dev_fwnode" },
	{ 0x36085e82, "devm_power_supply_register" },
	{ 0x762c3d32, "fwnode_usb_role_switch_get" },
	{ 0xc62c9ff, "typec_register_port" },
	{ 0x328a82b1, "typec_port_register_altmodes" },
	{ 0xa33d65f5, "typec_port_register_cable_ops" },
	{ 0xed677b42, "typec_set_pwr_opmode" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x2e4f415b, "seq_lseek" },
	{ 0x4a38d9f7, "seq_read" },
	{ 0x8d8b2fb3, "single_release" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xe6412cd5, "kthread_queue_work" },
	{ 0x4efd2565, "typec_unregister_altmode" },
	{ 0xb9f418b5, "typec_get_drvdata" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0xe3b26287, "typec_register_partner" },
	{ 0xba0ec080, "typec_partner_set_usb_power_delivery" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x6e99c6b, "usb_debug_root" },
	{ 0xd20f3ddd, "debugfs_create_dir" },
	{ 0x8ae718dd, "debugfs_create_file_full" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x495b28e9, "single_open" },
	{ 0x7ad7a5cd, "seq_printf" },
	{ 0x9417f78c, "usb_power_delivery_unregister_capabilities" },
	{ 0xec083b74, "devm_kfree" },
	{ 0x2d278aa, "usb_power_delivery_unregister" },
	{ 0x7ac1254b, "local_clock" },
	{ 0x148653, "vsnprintf" },
	{ 0x96848186, "scnprintf" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0x4b402815, "power_supply_get_drvdata" },
	{ 0x69acdf38, "memcpy" },
	{ 0x5402ada3, "hrtimer_cancel" },
	{ 0x3a5797c9, "hrtimer_start_range_ns" },
	{ 0x56470118, "__warn_printk" },
	{ 0xef691761, "typec_get_cable_svdm_version" },
	{ 0xba42b1ea, "typec_get_negotiated_svdm_version" },
	{ 0xa6257a2f, "complete" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x32226392, "typec_partner_register_altmode" },
	{ 0xd15b01b0, "typec_set_orientation" },
	{ 0xd5474690, "usb_role_switch_set_role" },
	{ 0x3d92f0ee, "typec_set_mode" },
	{ 0xa3a7078e, "typec_set_data_role" },
	{ 0x5073af2f, "typec_set_pwr_role" },
	{ 0xd8938443, "typec_set_vconn_role" },
	{ 0x67033a5a, "power_supply_changed" },
	{ 0x44be9792, "typec_unregister_plug" },
	{ 0x6637dc20, "typec_unregister_cable" },
	{ 0x278c21d, "typec_unregister_partner" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "typec,roles");


MODULE_INFO(srcversion, "7DEDD6949382C9C75C89262");

MODULE_INFO(suserelease, "SLFO-1.2");
