#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ucsi_notify_common, "_gpl", "");
KSYMTAB_FUNC(ucsi_sync_control_common, "_gpl", "");
KSYMTAB_FUNC(ucsi_send_command, "_gpl", "");
KSYMTAB_FUNC(ucsi_connector_change, "_gpl", "");
KSYMTAB_FUNC(ucsi_resume, "_gpl", "");
KSYMTAB_FUNC(ucsi_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(ucsi_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(ucsi_create, "_gpl", "");
KSYMTAB_FUNC(ucsi_destroy, "_gpl", "");
KSYMTAB_FUNC(ucsi_register, "_gpl", "");
KSYMTAB_FUNC(ucsi_unregister, "_gpl", "");

SYMBOL_CRC(ucsi_notify_common, 0x0713b893, "_gpl");
SYMBOL_CRC(ucsi_sync_control_common, 0x7c6f7902, "_gpl");
SYMBOL_CRC(ucsi_send_command, 0xfb9380dc, "_gpl");
SYMBOL_CRC(ucsi_connector_change, 0x083781c8, "_gpl");
SYMBOL_CRC(ucsi_resume, 0xbfa12b01, "_gpl");
SYMBOL_CRC(ucsi_get_drvdata, 0xb3b3284d, "_gpl");
SYMBOL_CRC(ucsi_set_drvdata, 0x33c8c26c, "_gpl");
SYMBOL_CRC(ucsi_create, 0xd85bd074, "_gpl");
SYMBOL_CRC(ucsi_destroy, 0xfbee97b8, "_gpl");
SYMBOL_CRC(ucsi_register, 0x3f583c37, "_gpl");
SYMBOL_CRC(ucsi_unregister, 0xec68e5d8, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x32226392, "typec_partner_register_altmode" },
	{ 0x1a6a6214, "typec_partner_set_num_altmodes" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x278c21d, "typec_unregister_partner" },
	{ 0xed677b42, "typec_set_pwr_opmode" },
	{ 0x496e6a36, "typec_cable_set_identity" },
	{ 0x75929dff, "debugfs_attr_read" },
	{ 0x6637dc20, "typec_unregister_cable" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x7ec56c70, "perf_trace_run_bpf_submit" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x1052f9c7, "typec_partner_set_usb_mode" },
	{ 0x62d11af8, "typec_altmode_update_active" },
	{ 0x8f67d901, "device_property_read_u8_array" },
	{ 0x1dde4200, "simple_attr_release" },
	{ 0xd5474690, "usb_role_switch_set_role" },
	{ 0x975cd3ce, "usb_power_delivery_register_capabilities" },
	{ 0x8512b09b, "typec_register_plug" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x2e6cc5c1, "typec_altmode_set_ops" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x6de67898, "debugfs_remove" },
	{ 0x2d278aa, "usb_power_delivery_unregister" },
	{ 0x658574f4, "trace_event_reg" },
	{ 0xa3a7078e, "typec_set_data_role" },
	{ 0xba42b1ea, "typec_get_negotiated_svdm_version" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xb3867bed, "typec_altmode_vdm" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x4060a901, "typec_unregister_port" },
	{ 0x4b402815, "power_supply_get_drvdata" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0xc62c9ff, "typec_register_port" },
	{ 0xca7ffeea, "typec_plug_set_num_altmodes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xba0ec080, "typec_partner_set_usb_power_delivery" },
	{ 0x67033a5a, "power_supply_changed" },
	{ 0x44be9792, "typec_unregister_plug" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x25531590, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa5a8b17, "typec_plug_register_altmode" },
	{ 0x792c9efe, "devm_kasprintf" },
	{ 0xb5268d59, "typec_partner_set_svdm_version" },
	{ 0x4a38d9f7, "seq_read" },
	{ 0x27a7a36e, "trace_event_buffer_reserve" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4efd2565, "typec_unregister_altmode" },
	{ 0x988c4bb4, "typec_register_cable" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7ad7a5cd, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x9417f78c, "usb_power_delivery_unregister_capabilities" },
	{ 0xb9f418b5, "typec_get_drvdata" },
	{ 0x8ae718dd, "debugfs_create_file_full" },
	{ 0x7036b29a, "typec_partner_set_identity" },
	{ 0xfea6c505, "power_supply_unregister" },
	{ 0x8d8b2fb3, "single_release" },
	{ 0x5073af2f, "typec_set_pwr_role" },
	{ 0x29fbe8f0, "typec_partner_usb_power_delivery_register" },
	{ 0x716b4fac, "dev_err_probe" },
	{ 0x6e99c6b, "usb_debug_root" },
	{ 0xab207b69, "device_get_next_child_node" },
	{ 0x495b28e9, "single_open" },
	{ 0xd20f3ddd, "debugfs_create_dir" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6a55e78c, "__dev_fwnode" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0x16f5bcba, "typec_partner_set_pd_revision" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xdc2f1a09, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xe3b26287, "typec_register_partner" },
	{ 0xa8ba3f5e, "typec_port_set_usb_power_delivery" },
	{ 0x76b3852f, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x3cb06817, "devm_kmalloc" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xcbab0715, "typec_port_register_altmode" },
	{ 0x6a55fc9b, "power_supply_register" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa11a97c1, "trace_raw_output_prep" },
	{ 0x27068df3, "typec_altmode_get_partner" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xb07d43ee, "__trace_trigger_soft_disabled" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xdf4574bf, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x549dee85, "trace_event_raw_init" },
	{ 0x762c3d32, "fwnode_usb_role_switch_get" },
	{ 0x37a0cba, "kfree" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0x2e4f415b, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xd0d9d74c, "bpf_trace_run2" },
	{ 0x3d92f0ee, "typec_set_mode" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0xe848bf3f, "typec_altmode2port" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x77188b5d, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x91c0fc75, "usb_power_delivery_register" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "typec,roles");


MODULE_INFO(srcversion, "3BDF9FF986BB0AD7220F193");

MODULE_INFO(suserelease, "SLFO-1.2");
