#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(vdpa_set_status, "", "");
KSYMTAB_FUNC(__vdpa_alloc_device, "_gpl", "");
KSYMTAB_FUNC(_vdpa_register_device, "_gpl", "");
KSYMTAB_FUNC(vdpa_register_device, "_gpl", "");
KSYMTAB_FUNC(_vdpa_unregister_device, "_gpl", "");
KSYMTAB_FUNC(vdpa_unregister_device, "_gpl", "");
KSYMTAB_FUNC(__vdpa_register_driver, "_gpl", "");
KSYMTAB_FUNC(vdpa_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(vdpa_mgmtdev_register, "_gpl", "");
KSYMTAB_FUNC(vdpa_mgmtdev_unregister, "_gpl", "");
KSYMTAB_FUNC(vdpa_get_config, "_gpl", "");
KSYMTAB_FUNC(vdpa_set_config, "_gpl", "");

SYMBOL_CRC(vdpa_set_status, 0x937deb60, "");
SYMBOL_CRC(__vdpa_alloc_device, 0x4fde8a97, "_gpl");
SYMBOL_CRC(_vdpa_register_device, 0x37441abe, "_gpl");
SYMBOL_CRC(vdpa_register_device, 0x2701460e, "_gpl");
SYMBOL_CRC(_vdpa_unregister_device, 0xdb4a1729, "_gpl");
SYMBOL_CRC(vdpa_unregister_device, 0xf5f43475, "_gpl");
SYMBOL_CRC(__vdpa_register_driver, 0x31dfcad5, "_gpl");
SYMBOL_CRC(vdpa_unregister_driver, 0x975b7464, "_gpl");
SYMBOL_CRC(vdpa_mgmtdev_register, 0x8711c25c, "_gpl");
SYMBOL_CRC(vdpa_mgmtdev_unregister, 0xad040cb1, "_gpl");
SYMBOL_CRC(vdpa_get_config, 0x3006e44a, "_gpl");
SYMBOL_CRC(vdpa_set_config, 0xca7d9b36, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9668568f, "device_unregister" },
	{ 0xe2a805d9, "driver_register" },
	{ 0x6b184ed6, "driver_unregister" },
	{ 0xcd68c58, "bus_for_each_dev" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x9fb64856, "down_read" },
	{ 0xb570b5d7, "up_read" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x2fba5c7c, "nla_put_64bit" },
	{ 0x8d304f20, "nla_put" },
	{ 0xaa328c94, "genl_unregister_family" },
	{ 0x12cb1804, "bus_unregister" },
	{ 0x7dd6c90e, "ida_destroy" },
	{ 0xddbd0482, "bus_register" },
	{ 0x473f6ee4, "genl_register_family" },
	{ 0xa7524338, "dma_set_mask" },
	{ 0xaf36c569, "dma_set_coherent_mask" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xa2429ab9, "ida_alloc_range" },
	{ 0x50707f9c, "dev_set_name" },
	{ 0x45f4e1cd, "__init_rwsem" },
	{ 0x4628038c, "device_initialize" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x4cf4fe68, "netlink_capable" },
	{ 0xbe3dbdfa, "__alloc_skb" },
	{ 0xab84dc28, "genlmsg_put" },
	{ 0x754d539c, "strlen" },
	{ 0x6d64c27f, "sk_skb_reason_drop" },
	{ 0xdfee9d27, "netlink_unicast" },
	{ 0xd62ba63d, "skb_trim" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xba0efd1f, "down_write" },
	{ 0x209b8854, "up_write" },
	{ 0x10119bb, "ida_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x26072181, "driver_set_override" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0xc864bff6, "bus_find_device" },
	{ 0x9907f28, "device_add" },
	{ 0x9d3d08f0, "put_device" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A0522936D0657C3EA735B82");

MODULE_INFO(suserelease, "SLFO-1.2");
