#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(vfio_assign_device_set, "_gpl", "");
KSYMTAB_FUNC(vfio_device_set_open_count, "_gpl", "");
KSYMTAB_FUNC(vfio_find_device_in_devset, "_gpl", "");
KSYMTAB_FUNC(_vfio_alloc_device, "_gpl", "");
KSYMTAB_FUNC(vfio_register_group_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_register_emulated_iommu_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_unregister_group_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_mig_get_next_state, "_gpl", "");
KSYMTAB_FUNC(vfio_combine_iova_ranges, "_gpl", "");
KSYMTAB_FUNC(vfio_file_is_valid, "_gpl", "");
KSYMTAB_FUNC(vfio_file_enforced_coherent, "_gpl", "");
KSYMTAB_FUNC(vfio_file_set_kvm, "_gpl", "");
KSYMTAB_FUNC(vfio_info_cap_add, "_gpl", "");
KSYMTAB_FUNC(vfio_info_cap_shift, "", "");
KSYMTAB_FUNC(vfio_info_add_capability, "", "");
KSYMTAB_FUNC(vfio_set_irqs_validate_and_prepare, "", "");
KSYMTAB_FUNC(vfio_pin_pages, "", "");
KSYMTAB_FUNC(vfio_unpin_pages, "", "");
KSYMTAB_FUNC(vfio_dma_rw, "", "");
KSYMTAB_FUNC(vfio_file_iommu_group, "_gpl", "");
KSYMTAB_FUNC(vfio_file_is_group, "_gpl", "");
KSYMTAB_FUNC(vfio_file_has_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_register_iommu_driver, "_gpl", "");
KSYMTAB_FUNC(vfio_unregister_iommu_driver, "_gpl", "");
KSYMTAB_FUNC(vfio_virqfd_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_virqfd_disable, "_gpl", "");
KSYMTAB_FUNC(vfio_virqfd_flush_thread, "_gpl", "");

SYMBOL_CRC(vfio_assign_device_set, 0x3d7c8376, "_gpl");
SYMBOL_CRC(vfio_device_set_open_count, 0x2d7a5f79, "_gpl");
SYMBOL_CRC(vfio_find_device_in_devset, 0x2ef03b05, "_gpl");
SYMBOL_CRC(_vfio_alloc_device, 0x210c8863, "_gpl");
SYMBOL_CRC(vfio_register_group_dev, 0xf6411cc0, "_gpl");
SYMBOL_CRC(vfio_register_emulated_iommu_dev, 0x4c7f9af1, "_gpl");
SYMBOL_CRC(vfio_unregister_group_dev, 0xd34a15f4, "_gpl");
SYMBOL_CRC(vfio_mig_get_next_state, 0x7aa2289b, "_gpl");
SYMBOL_CRC(vfio_combine_iova_ranges, 0x6e2aa0f0, "_gpl");
SYMBOL_CRC(vfio_file_is_valid, 0x6c0794ee, "_gpl");
SYMBOL_CRC(vfio_file_enforced_coherent, 0x798f8b48, "_gpl");
SYMBOL_CRC(vfio_file_set_kvm, 0x768295e9, "_gpl");
SYMBOL_CRC(vfio_info_cap_add, 0x60a634c4, "_gpl");
SYMBOL_CRC(vfio_info_cap_shift, 0x19567d06, "");
SYMBOL_CRC(vfio_info_add_capability, 0x6c28be5a, "");
SYMBOL_CRC(vfio_set_irqs_validate_and_prepare, 0xadc044b7, "");
SYMBOL_CRC(vfio_pin_pages, 0x6f1482c8, "");
SYMBOL_CRC(vfio_unpin_pages, 0x3271d8cd, "");
SYMBOL_CRC(vfio_dma_rw, 0x2dcaf701, "");
SYMBOL_CRC(vfio_file_iommu_group, 0x4ac9a24a, "_gpl");
SYMBOL_CRC(vfio_file_is_group, 0xfbfd21de, "_gpl");
SYMBOL_CRC(vfio_file_has_dev, 0xb63bebd4, "_gpl");
SYMBOL_CRC(vfio_register_iommu_driver, 0x3fb403ad, "_gpl");
SYMBOL_CRC(vfio_unregister_iommu_driver, 0xb02ac9be, "_gpl");
SYMBOL_CRC(vfio_virqfd_enable, 0x9b12bfb3, "_gpl");
SYMBOL_CRC(vfio_virqfd_disable, 0x92a8b330, "_gpl");
SYMBOL_CRC(vfio_virqfd_flush_thread, 0x37ddf218, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x59a754ae, "cdev_device_del" },
	{ 0x3cf2bb77, "iommu_group_get" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0x39da668b, "class_destroy" },
	{ 0xf5a067bf, "iommu_group_dma_owner_claimed" },
	{ 0xbd0f9e0a, "__xa_erase" },
	{ 0x131f74a9, "anon_inode_getfile_fmode" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0x4628038c, "device_initialize" },
	{ 0x6f1ae887, "fd_install" },
	{ 0x8d22bb58, "iommu_group_alloc" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x8aa69fa8, "iput" },
	{ 0xa55b06bd, "add_wait_queue" },
	{ 0x89485687, "iommu_group_put" },
	{ 0xc7a03a8, "iova_bitmap_alloc" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x4494c65a, "cdev_device_add" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9d3d08f0, "put_device" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x71b12b37, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7276b73a, "module_put" },
	{ 0x7228ccc9, "compat_ptr_ioctl" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0xe3e423ac, "iommu_group_release_dma_owner" },
	{ 0xa8caa2e, "fput" },
	{ 0xba0efd1f, "down_write" },
	{ 0x41482d8b, "strndup_user" },
	{ 0x209b8854, "up_write" },
	{ 0x9907f28, "device_add" },
	{ 0xb9b31de8, "xa_load" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0x79c9acec, "class_create" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x611565b4, "iova_bitmap_for_each" },
	{ 0x10119bb, "ida_free" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x1080ce71, "device_del" },
	{ 0xfb578fc5, "memset" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0x41ed3cec, "eventfd_ctx_remove_wait_queue" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xcd467294, "misc_register" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x9fb64856, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xc119e274, "__xa_cmpxchg" },
	{ 0xa1c61e05, "init_pseudo" },
	{ 0x7230beea, "fdget" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xd5dcc637, "__pm_runtime_resume" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xf01d993d, "xa_destroy" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xcc9d36c, "iommu_group_claim_dma_owner" },
	{ 0x9237983, "device_iommu_capable" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xab2abbd0, "simple_release_fs" },
	{ 0x72d50832, "kill_anon_super" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xe911df29, "eventfd_ctx_do_read" },
	{ 0x6742e798, "iommu_group_add_device" },
	{ 0x21ef374c, "try_wait_for_completion" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xb570b5d7, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0x66ebde19, "__pm_runtime_idle" },
	{ 0xda59c8d, "cdev_init" },
	{ 0x526b514f, "eventfd_ctx_fileget" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x1e7e6641, "iommu_group_remove_device" },
	{ 0x6d3222, "simple_pin_fs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x680bea5b, "iova_bitmap_free" },
	{ 0xa2429ab9, "ida_alloc_range" },
	{ 0x4d6d0bbc, "iommu_group_ref_get" },
	{ 0x4e5daa9a, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x45f4e1cd, "__init_rwsem" },
	{ 0xdbbfff7a, "alloc_anon_inode" },
	{ 0xe651aca3, "misc_deregister" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7dd6c90e, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x50707f9c, "dev_set_name" },
	{ 0xbcdd5b99, "iommu_group_set_name" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xa6257a2f, "complete" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "92E6B8F6A42667B9050AB63");

MODULE_INFO(suserelease, "SLFO-1.2");
