#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(vbg_get_gdev, "", "");
KSYMTAB_FUNC(vbg_put_gdev, "", "");
KSYMTAB_FUNC(vbg_info, "", "");
KSYMTAB_FUNC(vbg_warn, "", "");
KSYMTAB_FUNC(vbg_err, "", "");
KSYMTAB_FUNC(vbg_err_ratelimited, "", "");
KSYMTAB_FUNC(vbg_hgcm_connect, "", "");
KSYMTAB_FUNC(vbg_hgcm_disconnect, "", "");
KSYMTAB_FUNC(vbg_hgcm_call, "", "");
KSYMTAB_FUNC(vbg_status_code_to_errno, "", "");

SYMBOL_CRC(vbg_get_gdev, 0x9ce840b2, "");
SYMBOL_CRC(vbg_put_gdev, 0xf7e9d928, "");
SYMBOL_CRC(vbg_info, 0x569b312f, "");
SYMBOL_CRC(vbg_warn, 0x70cdcbfd, "");
SYMBOL_CRC(vbg_err, 0x260590c0, "");
SYMBOL_CRC(vbg_err_ratelimited, 0x68f1cf1a, "");
SYMBOL_CRC(vbg_hgcm_connect, 0x68b4e4ee, "");
SYMBOL_CRC(vbg_hgcm_disconnect, 0xeba3d42b, "");
SYMBOL_CRC(vbg_hgcm_call, 0xd737af72, "");
SYMBOL_CRC(vbg_status_code_to_errno, 0x9c072aa8, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdde289cb, "devm_input_allocate_device" },
	{ 0x94961283, "vunmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x3416d62c, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6491531, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xb6e3c8cb, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2eeeb852, "__devm_request_region" },
	{ 0x92997ed8, "_printk" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf24ba071, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0x6cb3aac, "__free_pages" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x5cdf54af, "input_set_capability" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xe7adf183, "vmap" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0x9574e96, "from_kuid" },
	{ 0xdbdf6c92, "ioport_resource" },
	{ 0xfb578fc5, "memset" },
	{ 0xcd467294, "misc_register" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0xd385b1da, "input_event" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xac8902a3, "input_set_abs_params" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0xbd6ee8cc, "alloc_pages_noprof" },
	{ 0xfb5af384, "pci_disable_device" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0x77358855, "iomem_resource" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xe651aca3, "misc_deregister" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x3cb06817, "devm_kmalloc" },
	{ 0xbd12925f, "pci_enable_device" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x6f7382ed, "vmalloc_to_page" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0xd1ffe315, "__pci_register_driver" },
	{ 0x5c8f81ef, "devm_ioremap" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000080EEd0000CAFEsv00000000sd00000000bc*sc*i*");

MODULE_INFO(srcversion, "F85D9E31BD39C3AEE94166D");

MODULE_INFO(suserelease, "SLFO-1.2");
