#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(fat_search_long, "_gpl", "");
KSYMTAB_FUNC(fat_get_dotdot_entry, "_gpl", "");
KSYMTAB_FUNC(fat_dir_empty, "_gpl", "");
KSYMTAB_FUNC(fat_scan, "_gpl", "");
KSYMTAB_FUNC(fat_remove_entries, "_gpl", "");
KSYMTAB_FUNC(fat_alloc_new_dir, "_gpl", "");
KSYMTAB_FUNC(fat_add_entries, "_gpl", "");
KSYMTAB_FUNC(fat_free_clusters, "_gpl", "");
KSYMTAB_FUNC(fat_getattr, "_gpl", "");
KSYMTAB_FUNC(fat_setattr, "_gpl", "");
KSYMTAB_FUNC(fat_attach, "_gpl", "");
KSYMTAB_FUNC(fat_detach, "_gpl", "");
KSYMTAB_FUNC(fat_build_inode, "_gpl", "");
KSYMTAB_FUNC(fat_reconfigure, "_gpl", "");
KSYMTAB_FUNC(fat_sync_inode, "_gpl", "");
KSYMTAB_DATA(fat_param_spec, "_gpl", "");
KSYMTAB_FUNC(fat_parse_param, "_gpl", "");
KSYMTAB_FUNC(fat_fill_super, "_gpl", "");
KSYMTAB_FUNC(fat_flush_inodes, "_gpl", "");
KSYMTAB_FUNC(fat_init_fs_context, "_gpl", "");
KSYMTAB_FUNC(fat_free_fc, "_gpl", "");
KSYMTAB_FUNC(__fat_fs_error, "_gpl", "");
KSYMTAB_FUNC(fat_time_fat2unix, "_gpl", "");
KSYMTAB_FUNC(fat_time_unix2fat, "_gpl", "");
KSYMTAB_FUNC(fat_truncate_time, "_gpl", "");
KSYMTAB_FUNC(fat_update_time, "_gpl", "");

SYMBOL_CRC(fat_search_long, 0xba3ff370, "_gpl");
SYMBOL_CRC(fat_get_dotdot_entry, 0xa94ccaa0, "_gpl");
SYMBOL_CRC(fat_dir_empty, 0x81496be7, "_gpl");
SYMBOL_CRC(fat_scan, 0x72c86f59, "_gpl");
SYMBOL_CRC(fat_remove_entries, 0x7ee7b1eb, "_gpl");
SYMBOL_CRC(fat_alloc_new_dir, 0x57c5487e, "_gpl");
SYMBOL_CRC(fat_add_entries, 0x2e5eb330, "_gpl");
SYMBOL_CRC(fat_free_clusters, 0xba684b4e, "_gpl");
SYMBOL_CRC(fat_getattr, 0xa4356b57, "_gpl");
SYMBOL_CRC(fat_setattr, 0xa38be8f2, "_gpl");
SYMBOL_CRC(fat_attach, 0x45303de1, "_gpl");
SYMBOL_CRC(fat_detach, 0xa35a739a, "_gpl");
SYMBOL_CRC(fat_build_inode, 0x553d3337, "_gpl");
SYMBOL_CRC(fat_reconfigure, 0x0affec33, "_gpl");
SYMBOL_CRC(fat_sync_inode, 0xa5524059, "_gpl");
SYMBOL_CRC(fat_param_spec, 0xd8a5b99c, "_gpl");
SYMBOL_CRC(fat_parse_param, 0x15a1b607, "_gpl");
SYMBOL_CRC(fat_fill_super, 0x5fdbb44e, "_gpl");
SYMBOL_CRC(fat_flush_inodes, 0x8ef118aa, "_gpl");
SYMBOL_CRC(fat_init_fs_context, 0x748fa09b, "_gpl");
SYMBOL_CRC(fat_free_fc, 0xbc153090, "_gpl");
SYMBOL_CRC(__fat_fs_error, 0xc0d78547, "_gpl");
SYMBOL_CRC(fat_time_fat2unix, 0x217e7c4d, "_gpl");
SYMBOL_CRC(fat_time_unix2fat, 0x2349bbdf, "_gpl");
SYMBOL_CRC(fat_truncate_time, 0x648ad6ba, "_gpl");
SYMBOL_CRC(fat_update_time, 0xde548844, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe74be546, "fs_param_is_u32" },
	{ 0x35287090, "mnt_want_write_file" },
	{ 0x92997ed8, "_printk" },
	{ 0x6e26a3a, "block_invalidate_folio" },
	{ 0x5579fa9f, "__breadahead" },
	{ 0x502e7f4f, "generic_write_end" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7be98126, "load_nls" },
	{ 0xa86dd050, "generic_cont_expand_simple" },
	{ 0x956079dd, "truncate_inode_pages_final" },
	{ 0xdcaa971b, "generic_file_mmap" },
	{ 0x741dbca, "sync_mapping_buffers" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0x81c7604c, "ilookup" },
	{ 0x775d70b8, "invalidate_inode_buffers" },
	{ 0x4e3f5723, "blk_finish_plug" },
	{ 0xe1481999, "bdev_getblk" },
	{ 0xc6cbbc89, "capable" },
	{ 0x703a724, "mnt_drop_write_file" },
	{ 0x90912be6, "fs_param_is_gid" },
	{ 0xb169c155, "inode_init_once" },
	{ 0x7228ccc9, "compat_ptr_ioctl" },
	{ 0x3ad5ddc8, "__fsnotify_parent" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0x5eb55b83, "__brelse" },
	{ 0xba0efd1f, "down_write" },
	{ 0x209b8854, "up_write" },
	{ 0xd5477ae4, "generic_file_read_iter" },
	{ 0x90df318a, "inode_maybe_inc_iversion" },
	{ 0xd0c78d61, "truncate_pagecache" },
	{ 0xa4284c0a, "sync_dirty_buffer" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xfc4df926, "setattr_copy" },
	{ 0x60256184, "__wait_on_buffer" },
	{ 0xd680a7dc, "set_nlink" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0xcdda3d5c, "kmem_cache_alloc_lru_noprof" },
	{ 0xdf9ceed4, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x5a921311, "strncmp" },
	{ 0x46c73cfa, "mpage_writepages" },
	{ 0xf1e046cc, "panic" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xdb889cae, "from_vfsgid" },
	{ 0x564a9322, "write_inode_now" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x257e38a0, "d_obtain_alias" },
	{ 0x18abb079, "__bread_gfp" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xee1a2d5, "block_dirty_folio" },
	{ 0xa8c92190, "mpage_read_folio" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x45c6736e, "__insert_inode_hash" },
	{ 0x4e2e6b2c, "buffer_migrate_folio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfa10416, "kmem_cache_alloc_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x8337a399, "__kmem_cache_create_args" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xa627b1a3, "from_kgid_munged" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9fb64856, "down_read" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x708773b2, "truncate_setsize" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x2705b60d, "generic_encode_ino32_fh" },
	{ 0x715e5bf, "unlock_buffer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x65176e00, "igrab" },
	{ 0x3f550416, "generic_read_dir" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0xa48062f4, "mpage_readahead" },
	{ 0x4f1cf324, "filemap_fdatawait_range" },
	{ 0x3096be16, "names_cachep" },
	{ 0x538eb2d2, "init_user_ns" },
	{ 0x9f7aac60, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x7ad7a5cd, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0xc6e7fb27, "__lock_buffer" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0xda872c65, "blkdev_issue_flush" },
	{ 0x183cf581, "generic_fh_to_parent" },
	{ 0x22903f2, "__fs_parse" },
	{ 0xf33a538d, "filemap_splice_read" },
	{ 0x49d7ffb9, "from_kuid_munged" },
	{ 0x927a4a7e, "__generic_file_fsync" },
	{ 0xbfa47968, "d_parent_ino" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x4d52c0fd, "__mark_inode_dirty" },
	{ 0x17c07a93, "generic_file_llseek" },
	{ 0xe2e22745, "unload_nls" },
	{ 0xb570b5d7, "up_read" },
	{ 0xdf297deb, "mark_buffer_dirty_inode" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x4495a30e, "sb_min_blocksize" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x6a81b4f2, "fs_param_is_uid" },
	{ 0x8019049f, "kmem_cache_destroy" },
	{ 0x581abcf4, "blkdev_issue_discard" },
	{ 0x28e9ab72, "filemap_fdatawrite" },
	{ 0x3947b08f, "generic_fillattr" },
	{ 0x599d17f6, "setattr_prepare" },
	{ 0x9a604cf7, "generic_block_bmap" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x45f4e1cd, "__init_rwsem" },
	{ 0x5b1fcb8a, "sync_blockdev_nowait" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xecf1de98, "make_vfsgid" },
	{ 0x574b006b, "blk_start_plug" },
	{ 0xa9a9a9d3, "clear_inode" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb85a8db8, "generic_fh_to_dentry" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0xd5a8cca4, "fs_param_is_string" },
	{ 0xb1ee6683, "new_inode" },
	{ 0x83261cbe, "mark_buffer_dirty" },
	{ 0xc609c5fd, "security_inode_setattr" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x60cc5509, "__find_get_block" },
	{ 0xc67c3e38, "filemap_fdatawrite_range" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0x99a2dba2, "inode_needs_sync" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x3f4c38dc, "__blockdev_direct_IO" },
	{ 0x8c9dc646, "d_make_root" },
	{ 0x5c1c3b46, "__bforget" },
	{ 0x9b63470d, "sb_set_blocksize" },
	{ 0x2f061f1e, "block_truncate_page" },
	{ 0xa8fc870, "write_dirty_buffer" },
	{ 0xc9520e22, "sync_filesystem" },
	{ 0xd06739a2, "fsnotify" },
	{ 0x50a65b40, "current_time" },
	{ 0x69acdf38, "memcpy" },
	{ 0x18d55b90, "from_vfsuid" },
	{ 0x43d9fdaf, "inode_dio_wait" },
	{ 0x557aff20, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0x769652e9, "cont_write_begin" },
	{ 0x8aa69fa8, "iput" },
	{ 0x1fb18af5, "fs_param_is_enum" },
	{ 0xc220ba9a, "fs_param_is_s32" },
	{ 0x9b075afb, "iter_file_splice_write" },
	{ 0x1d872667, "fs_param_is_bool" },
	{ 0xdda15e1f, "generic_file_write_iter" },
	{ 0x8ba3dbc3, "sync_inode_metadata" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x616bdd71, "make_vfsuid" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3EB4BC9B3B21FDF6859C3EA");

MODULE_INFO(suserelease, "SLFO-1.2");
