#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(fuse_len_args, "_gpl", "");
KSYMTAB_FUNC(fuse_get_unique, "_gpl", "");
KSYMTAB_DATA(fuse_dev_fiq_ops, "_gpl", "");
KSYMTAB_FUNC(fuse_request_end, "_gpl", "");
KSYMTAB_FUNC(fuse_simple_background, "_gpl", "");
KSYMTAB_FUNC(fuse_abort_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_release, "_gpl", "");
KSYMTAB_DATA(fuse_dev_operations, "_gpl", "");
KSYMTAB_FUNC(fuse_do_open, "_gpl", "");
KSYMTAB_FUNC(fuse_sync_release, "_gpl", "");
KSYMTAB_FUNC(fuse_direct_io, "_gpl", "");
KSYMTAB_FUNC(fuse_file_poll, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_init, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_put, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_get, "_gpl", "");
KSYMTAB_FUNC(fuse_send_init, "_gpl", "");
KSYMTAB_FUNC(fuse_free_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_free, "_gpl", "");
KSYMTAB_FUNC(fuse_init_fs_context_submount, "_gpl", "");
KSYMTAB_FUNC(fuse_fill_super_common, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_remove, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_destroy, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_destroy, "", "");
KSYMTAB_FUNC(fuse_do_ioctl, "_gpl", "");
KSYMTAB_FUNC(fuse_dax_cancel_work, "_gpl", "");

SYMBOL_CRC(fuse_len_args, 0xdd626ee3, "_gpl");
SYMBOL_CRC(fuse_get_unique, 0xf4c4deed, "_gpl");
SYMBOL_CRC(fuse_dev_fiq_ops, 0x308ce0c4, "_gpl");
SYMBOL_CRC(fuse_request_end, 0x6551c030, "_gpl");
SYMBOL_CRC(fuse_simple_background, 0x0ea99a3a, "_gpl");
SYMBOL_CRC(fuse_abort_conn, 0x53b18da3, "_gpl");
SYMBOL_CRC(fuse_dev_release, 0x870933b9, "_gpl");
SYMBOL_CRC(fuse_dev_operations, 0xd39fb069, "_gpl");
SYMBOL_CRC(fuse_do_open, 0xbf87c6d8, "_gpl");
SYMBOL_CRC(fuse_sync_release, 0xc27d1743, "_gpl");
SYMBOL_CRC(fuse_direct_io, 0x185976cb, "_gpl");
SYMBOL_CRC(fuse_file_poll, 0x472ba468, "_gpl");
SYMBOL_CRC(fuse_conn_init, 0xf7b1e552, "_gpl");
SYMBOL_CRC(fuse_conn_put, 0x7e12cb2f, "_gpl");
SYMBOL_CRC(fuse_conn_get, 0xbc4ee4b1, "_gpl");
SYMBOL_CRC(fuse_send_init, 0xb41775fc, "_gpl");
SYMBOL_CRC(fuse_free_conn, 0xac43f3a1, "_gpl");
SYMBOL_CRC(fuse_dev_alloc, 0x007334b7, "_gpl");
SYMBOL_CRC(fuse_dev_install, 0x3906512d, "_gpl");
SYMBOL_CRC(fuse_dev_alloc_install, 0xd9bb7cdf, "_gpl");
SYMBOL_CRC(fuse_dev_free, 0x626a3664, "_gpl");
SYMBOL_CRC(fuse_init_fs_context_submount, 0x77ef865f, "_gpl");
SYMBOL_CRC(fuse_fill_super_common, 0xea33f62d, "_gpl");
SYMBOL_CRC(fuse_mount_remove, 0xd006a460, "_gpl");
SYMBOL_CRC(fuse_conn_destroy, 0x05853199, "_gpl");
SYMBOL_CRC(fuse_mount_destroy, 0x1bc11b54, "");
SYMBOL_CRC(fuse_do_ioctl, 0xdc4a507d, "_gpl");
SYMBOL_CRC(fuse_dax_cancel_work, 0x2208cc28, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x76db097a, "__var_waitqueue" },
	{ 0x5c597b98, "iov_iter_extract_pages" },
	{ 0x3a10de5e, "backing_file_write_iter" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x9811b507, "copy_page_from_iter_atomic" },
	{ 0x90912be6, "fs_param_is_gid" },
	{ 0x8eee3399, "dax_read_unlock" },
	{ 0x71eb887f, "fs_context_for_submount" },
	{ 0xb169c155, "inode_init_once" },
	{ 0x5171586d, "file_write_and_wait_range" },
	{ 0x7228ccc9, "compat_ptr_ioctl" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xb9a85f0c, "idr_remove" },
	{ 0x1188ea1c, "nosteal_pipe_buf_ops" },
	{ 0xd7b398a0, "ilookup5" },
	{ 0xdd71e346, "prepare_creds" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x7ffed1ba, "inode_nohighmem" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xcd176c6c, "release_pages" },
	{ 0x7ec56c70, "perf_trace_run_bpf_submit" },
	{ 0xffebdf2a, "generic_file_direct_write" },
	{ 0xa8caa2e, "fput" },
	{ 0xba0efd1f, "down_write" },
	{ 0x209b8854, "up_write" },
	{ 0xd5477ae4, "generic_file_read_iter" },
	{ 0x90df318a, "inode_maybe_inc_iversion" },
	{ 0x8c9dd501, "unlock_page" },
	{ 0x2d8be564, "inc_node_page_state" },
	{ 0xa07a37f0, "memchr" },
	{ 0xd0c78d61, "truncate_pagecache" },
	{ 0x9f592af3, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3df06b39, "put_fs_context" },
	{ 0xb5b63711, "fileattr_fill_xflags" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0xc5a28523, "backing_file_splice_read" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xe86d184, "dec_node_page_state" },
	{ 0x954f099c, "idr_preload" },
	{ 0xf571d718, "write_cache_pages" },
	{ 0xbdd9aafe, "file_update_time" },
	{ 0xd680a7dc, "set_nlink" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xcdda3d5c, "kmem_cache_alloc_lru_noprof" },
	{ 0xdf9ceed4, "kmem_cache_free" },
	{ 0x3929808c, "fget_raw" },
	{ 0x925493f, "clear_page_orig" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x2b93e56e, "from_kgid" },
	{ 0x10e7473e, "fasync_helper" },
	{ 0x658574f4, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x7b9da98c, "file_remove_privs" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xdb889cae, "from_vfsgid" },
	{ 0x564a9322, "write_inode_now" },
	{ 0xbdaa5ff8, "dax_writeback_mapping_range" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x257e38a0, "d_obtain_alias" },
	{ 0xdea24348, "file_modified" },
	{ 0x3e684d85, "copy_page_to_iter" },
	{ 0x481dda0e, "__put_devmap_managed_folio_refs" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xbb4d18c, "folio_end_read" },
	{ 0xf6b821c2, "finish_no_open" },
	{ 0xc98007b0, "idr_alloc_cyclic" },
	{ 0xec31ff8b, "__folio_start_writeback" },
	{ 0x57a45346, "bpf_trace_run1" },
	{ 0x4d470eb0, "idr_destroy" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0xf298e0a2, "kill_litter_super" },
	{ 0x7a385b7, "folio_end_writeback" },
	{ 0x555cd80d, "folio_alloc_noprof" },
	{ 0x9574e96, "from_kuid" },
	{ 0x55ad4f58, "current_in_userns" },
	{ 0x257e84dc, "fc_mount" },
	{ 0xfb578fc5, "memset" },
	{ 0x78918da5, "sysfs_remove_mount_point" },
	{ 0xcd467294, "misc_register" },
	{ 0xd542ba37, "unpin_user_page" },
	{ 0xdf93b9d8, "timespec64_to_jiffies" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfa10416, "kmem_cache_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0x1549b575, "in_group_or_capable" },
	{ 0x8225e746, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x71952ac6, "d_delete" },
	{ 0x8337a399, "__kmem_cache_create_args" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xa627b1a3, "from_kgid_munged" },
	{ 0xaf5d7995, "end_page_writeback" },
	{ 0xfa181c2e, "down_write_trylock" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xa9c1db69, "kobject_create_and_add" },
	{ 0x9fb64856, "down_read" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xa944d09d, "wb_writeout_inc" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2e20e6c0, "nonseekable_open" },
	{ 0x8334ace3, "dax_finish_sync_fault" },
	{ 0xc7377f2c, "copy_page_from_iter" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x8f904d3d, "backing_file_read_iter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x41229c10, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x3cad6370, "noop_direct_IO" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x7230beea, "fdget" },
	{ 0x65176e00, "igrab" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3f550416, "generic_read_dir" },
	{ 0x27a7a36e, "trace_event_buffer_reserve" },
	{ 0x48eb4a56, "d_add" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xd84d35bd, "dax_read_lock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9199b9f0, "param_ops_bool" },
	{ 0x538eb2d2, "init_user_ns" },
	{ 0x2b07bcc6, "folio_copy" },
	{ 0x5e6c3a78, "d_find_alias" },
	{ 0x2b32e533, "invalidate_inode_pages2" },
	{ 0x327468af, "inode_set_ctime_current" },
	{ 0x7cf0d808, "inc_nlink" },
	{ 0x9f7aac60, "seq_write" },
	{ 0x64a5c687, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xa7839c60, "get_tree_bdev" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x62820187, "set_anon_super_fc" },
	{ 0x7ad7a5cd, "seq_printf" },
	{ 0x8b0617b7, "dput" },
	{ 0xe47450bc, "lockref_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x532b8938, "generic_delete_inode" },
	{ 0x3659f11f, "deactivate_locked_super" },
	{ 0x6516a7ef, "touch_atime" },
	{ 0x9428a844, "__percpu_down_read" },
	{ 0x7980a6a0, "__d_lookup_unhash_wake" },
	{ 0xfcba2da8, "set_page_dirty_lock" },
	{ 0xb968e455, "pid_nr_ns" },
	{ 0xf71d36ef, "generic_file_open" },
	{ 0x3b2a90e8, "truncate_inode_pages_range" },
	{ 0x91bce357, "__put_user_ns" },
	{ 0xbd6ee8cc, "alloc_pages_noprof" },
	{ 0x2a51f9e0, "__folio_lock" },
	{ 0xad6edf8, "filemap_dirty_folio" },
	{ 0xc988cde2, "pagecache_get_page" },
	{ 0x2fe56e83, "stream_open" },
	{ 0x24f36cf9, "rcuwait_wake_up" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0x191841a8, "__wake_up_sync" },
	{ 0xc1786c1, "add_to_pipe" },
	{ 0x22903f2, "__fs_parse" },
	{ 0xf682960b, "dax_layout_busy_page_range" },
	{ 0xf33a538d, "filemap_splice_read" },
	{ 0xd7ca0ac8, "posix_acl_to_xattr" },
	{ 0xedac053e, "dget_parent" },
	{ 0x72d50832, "kill_anon_super" },
	{ 0x49d7ffb9, "from_kuid_munged" },
	{ 0xafc08054, "dotdot_name" },
	{ 0x237f5b17, "iget5_locked" },
	{ 0xb913b183, "security_dentry_init_security" },
	{ 0x164877db, "filemap_write_and_wait_range" },
	{ 0x4b0e1f8, "get_tree_single" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x54cbf498, "generic_write_checks" },
	{ 0xc86a4b4, "iov_iter_revert" },
	{ 0xc4465b0d, "__remove_inode_hash" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xcc0c994, "__vma_start_write" },
	{ 0x4d11d017, "mntget" },
	{ 0xce90e037, "filemap_fault" },
	{ 0x6fe1f77b, "d_invalidate" },
	{ 0x4d52c0fd, "__mark_inode_dirty" },
	{ 0x17c07a93, "generic_file_llseek" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xb570b5d7, "up_read" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x4f851c29, "iov_iter_npages" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0xfe3a0110, "drop_nlink" },
	{ 0x302d92b2, "fault_in_iov_iter_readable" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xc0bfcdfa, "filemap_check_errors" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x6a81b4f2, "fs_param_is_uid" },
	{ 0xf1a6b55d, "bdi_set_max_ratio" },
	{ 0x8019049f, "kmem_cache_destroy" },
	{ 0xde021df3, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xfe5f03ca, "super_setup_bdi_name" },
	{ 0x148ad181, "posix_test_lock" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x2c9a16de, "truncate_inode_pages" },
	{ 0xfd7f6669, "noop_backing_dev_info" },
	{ 0x2eec8137, "pipe_lock" },
	{ 0x3947b08f, "generic_fillattr" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xfe1a901, "vfs_fsync_range" },
	{ 0x599d17f6, "setattr_prepare" },
	{ 0xda335bba, "filemap_migrate_folio" },
	{ 0xf076be42, "clear_nlink" },
	{ 0x3e56080, "file_check_and_advance_wb_err" },
	{ 0x6809be2a, "d_alloc_parallel" },
	{ 0x45f4e1cd, "__init_rwsem" },
	{ 0xaa9e0465, "d_instantiate" },
	{ 0x3c185c61, "page_put_link" },
	{ 0xe651aca3, "misc_deregister" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xecf1de98, "make_vfsgid" },
	{ 0xa9a9a9d3, "clear_inode" },
	{ 0x9983c7d3, "inode_to_bdi" },
	{ 0x14f6c4a0, "find_pid_ns" },
	{ 0x333051c0, "idr_find" },
	{ 0x58962ff3, "invalid_mnt_idmap" },
	{ 0x135edaa4, "grab_cache_page_write_begin" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x39197c41, "simple_dir_inode_operations" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x24248427, "pipe_unlock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xd5a8cca4, "fs_param_is_string" },
	{ 0x9f3d097f, "folio_unlock" },
	{ 0xb1ee6683, "new_inode" },
	{ 0x15251ea4, "filemap_map_pages" },
	{ 0xa6257a2f, "complete" },
	{ 0xf227d0c1, "dump_page" },
	{ 0xa11a97c1, "trace_raw_output_prep" },
	{ 0x5e9beae, "forget_all_cached_acls" },
	{ 0xd4d86585, "init_special_inode" },
	{ 0x1b336ab2, "unregister_filesystem" },
	{ 0xf318298e, "task_active_pid_ns" },
	{ 0x2a8f3b11, "iov_iter_single_seg_count" },
	{ 0x69996b0, "retire_super" },
	{ 0xca9360b5, "rb_next" },
	{ 0xc67c3e38, "filemap_fdatawrite_range" },
	{ 0xb07d43ee, "__trace_trigger_soft_disabled" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0xcd90790d, "d_alloc_name" },
	{ 0x52c365f7, "replace_page_cache_folio" },
	{ 0x24b1817d, "inode_query_iversion" },
	{ 0xc29724a2, "iov_iter_advance" },
	{ 0x3f6593e4, "kill_fasync" },
	{ 0x8c9dc646, "d_make_root" },
	{ 0xdf4574bf, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xb44df8e4, "backing_file_splice_write" },
	{ 0x9b63470d, "sb_set_blocksize" },
	{ 0x488376f2, "fget" },
	{ 0xd943c000, "simple_fill_super" },
	{ 0x28d7a5ab, "xas_find" },
	{ 0xc9520e22, "sync_filesystem" },
	{ 0x4d44d71d, "noop_dirty_folio" },
	{ 0x8f3f0f55, "sget_fc" },
	{ 0x39951ea7, "param_set_uint" },
	{ 0x5c6d01c3, "d_splice_alias" },
	{ 0x15344a93, "iov_iter_get_pages2" },
	{ 0x70032f4b, "direct_write_fallback" },
	{ 0x549dee85, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x18d55b90, "from_vfsuid" },
	{ 0x94fda3b6, "page_get_link" },
	{ 0xcccd4406, "generic_permission" },
	{ 0x1a8a8727, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x8ce2df4e, "invalidate_inode_pages2_range" },
	{ 0xa6f0e28b, "posix_lock_file" },
	{ 0xb7564dfa, "finish_open" },
	{ 0x7b422924, "dax_iomap_rw" },
	{ 0x8aa69fa8, "iput" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xe953b21f, "get_next_ino" },
	{ 0x11762571, "logfc" },
	{ 0x9b075afb, "iter_file_splice_write" },
	{ 0x3416d62c, "prepare_to_wait_event" },
	{ 0xde85c9b5, "init_pid_ns" },
	{ 0x5d70963a, "dax_iomap_fault" },
	{ 0xdda2164, "iov_iter_init" },
	{ 0x2cf86559, "d_lookup" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0xe0a12b11, "sysfs_create_mount_point" },
	{ 0xdda15e1f, "generic_file_write_iter" },
	{ 0xf6491531, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x66327fb6, "register_filesystem" },
	{ 0x842c1bb3, "folio_add_lru" },
	{ 0xe3620dc6, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x8ba3dbc3, "sync_inode_metadata" },
	{ 0x77d3058a, "simple_empty" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0x1799ebc9, "down_read_trylock" },
	{ 0x565f79d0, "vfs_setpos" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x511aea40, "shrink_dcache_parent" },
	{ 0x616bdd71, "make_vfsuid" },
	{ 0xf891cf32, "__put_cred" },
	{ 0x413650dd, "backing_file_open" },
	{ 0x2d609547, "dax_direct_access" },
	{ 0x46c2277f, "get_tree_nodev" },
	{ 0xd83eb851, "splice_file_range" },
	{ 0x77188b5d, "trace_event_buffer_commit" },
	{ 0xae4871c8, "simple_inode_init_ts" },
	{ 0x19b403fd, "d_mark_dontcache" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb3e57f7b, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xe74be546, "fs_param_is_u32" },
	{ 0xf435dbaa, "inode_newsize_ok" },
	{ 0xb9d622d3, "d_drop" },
	{ 0x31346bda, "kill_block_super" },
	{ 0x479f0fa6, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0xc1f6f2a, "bdi_put" },
	{ 0x860e0e33, "posix_acl_from_xattr" },
	{ 0x1000e51, "schedule" },
	{ 0x549ebd6c, "param_get_uint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xc299905c, "make_kuid" },
	{ 0x956079dd, "truncate_inode_pages_final" },
	{ 0xc435ac2d, "fs_kobj" },
	{ 0xee533a23, "__filemap_set_wb_err" },
	{ 0x4ac1b5e6, "simple_dir_operations" },
	{ 0xdcaa971b, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0x1a6a622c, "backing_file_mmap" },
	{ 0xf015e571, "__filemap_get_folio" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0x6cb3aac, "__free_pages" },
	{ 0x9802353a, "folio_mark_dirty" },
	{ 0x681549bc, "init_wait_var_entry" },
	{ 0x6224836f, "put_pid_ns" },
	{ 0xf7d31de9, "kstrtoul_from_user" },
	{ 0xa96c41cd, "setattr_should_drop_suidgid" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0xc6cbbc89, "capable" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "32BB753D0C235C2A343312C");

MODULE_INFO(suserelease, "SLFO-1.2");
