#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(jbd2__journal_start, "", "");
KSYMTAB_FUNC(jbd2_journal_start, "", "");
KSYMTAB_FUNC(jbd2_journal_free_reserved, "", "");
KSYMTAB_FUNC(jbd2_journal_start_reserved, "", "");
KSYMTAB_FUNC(jbd2__journal_restart, "", "");
KSYMTAB_FUNC(jbd2_journal_restart, "", "");
KSYMTAB_FUNC(jbd2_submit_inode_data, "", "");
KSYMTAB_FUNC(jbd2_wait_inode_data, "", "");
KSYMTAB_FUNC(jbd2_journal_extend, "", "");
KSYMTAB_FUNC(jbd2_journal_stop, "", "");
KSYMTAB_FUNC(jbd2_journal_lock_updates, "", "");
KSYMTAB_FUNC(jbd2_journal_unlock_updates, "", "");
KSYMTAB_FUNC(jbd2_journal_get_write_access, "", "");
KSYMTAB_FUNC(jbd2_journal_get_create_access, "", "");
KSYMTAB_FUNC(jbd2_journal_get_undo_access, "", "");
KSYMTAB_FUNC(jbd2_journal_set_triggers, "", "");
KSYMTAB_FUNC(jbd2_journal_dirty_metadata, "", "");
KSYMTAB_FUNC(jbd2_journal_forget, "", "");
KSYMTAB_FUNC(jbd2_journal_flush, "", "");
KSYMTAB_FUNC(jbd2_journal_revoke, "", "");
KSYMTAB_FUNC(jbd2_journal_init_dev, "", "");
KSYMTAB_FUNC(jbd2_journal_init_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_check_used_features, "", "");
KSYMTAB_FUNC(jbd2_journal_check_available_features, "", "");
KSYMTAB_FUNC(jbd2_journal_set_features, "", "");
KSYMTAB_FUNC(jbd2_journal_load, "", "");
KSYMTAB_FUNC(jbd2_journal_destroy, "", "");
KSYMTAB_FUNC(jbd2_journal_abort, "", "");
KSYMTAB_FUNC(jbd2_journal_errno, "", "");
KSYMTAB_FUNC(jbd2_journal_ack_err, "", "");
KSYMTAB_FUNC(jbd2_journal_clear_err, "", "");
KSYMTAB_FUNC(jbd2_log_wait_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_start_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_force_commit_nested, "", "");
KSYMTAB_FUNC(jbd2_journal_wipe, "", "");
KSYMTAB_FUNC(jbd2_journal_blocks_per_page, "", "");
KSYMTAB_FUNC(jbd2_journal_invalidate_folio, "", "");
KSYMTAB_FUNC(jbd2_journal_try_to_free_buffers, "", "");
KSYMTAB_FUNC(jbd2_journal_force_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_inode_ranged_write, "", "");
KSYMTAB_FUNC(jbd2_journal_inode_ranged_wait, "", "");
KSYMTAB_FUNC(jbd2_journal_finish_inode_data_buffers, "", "");
KSYMTAB_FUNC(jbd2_journal_init_jbd_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_release_jbd_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_begin_ordered_truncate, "", "");
KSYMTAB_DATA(jbd2_inode_cache, "", "");
KSYMTAB_FUNC(jbd2_trans_will_send_data_barrier, "", "");
KSYMTAB_FUNC(jbd2_fc_begin_commit, "", "");
KSYMTAB_FUNC(jbd2_fc_end_commit, "", "");
KSYMTAB_FUNC(jbd2_fc_end_commit_fallback, "", "");
KSYMTAB_FUNC(jbd2_transaction_committed, "", "");
KSYMTAB_FUNC(jbd2_complete_transaction, "", "");
KSYMTAB_FUNC(jbd2_fc_get_buf, "", "");
KSYMTAB_FUNC(jbd2_fc_wait_bufs, "", "");
KSYMTAB_FUNC(jbd2_fc_release_bufs, "", "");
KSYMTAB_FUNC(jbd2_journal_update_sb_errno, "", "");
KSYMTAB_FUNC(jbd2_journal_clear_features, "", "");
KSYMTAB_FUNC(jbd2_journal_grab_journal_head, "", "");
KSYMTAB_FUNC(jbd2_journal_put_journal_head, "", "");

SYMBOL_CRC(jbd2__journal_start, 0x016b9bd4, "");
SYMBOL_CRC(jbd2_journal_start, 0xeb5cb24b, "");
SYMBOL_CRC(jbd2_journal_free_reserved, 0x6539152b, "");
SYMBOL_CRC(jbd2_journal_start_reserved, 0x1f3e18db, "");
SYMBOL_CRC(jbd2__journal_restart, 0xb983c7bb, "");
SYMBOL_CRC(jbd2_journal_restart, 0x9e250779, "");
SYMBOL_CRC(jbd2_submit_inode_data, 0x3e3fc143, "");
SYMBOL_CRC(jbd2_wait_inode_data, 0xe1fb71b5, "");
SYMBOL_CRC(jbd2_journal_extend, 0xe9944b75, "");
SYMBOL_CRC(jbd2_journal_stop, 0xc32474cb, "");
SYMBOL_CRC(jbd2_journal_lock_updates, 0xaac7d57e, "");
SYMBOL_CRC(jbd2_journal_unlock_updates, 0xcb0fe7e0, "");
SYMBOL_CRC(jbd2_journal_get_write_access, 0x5e3dfb0e, "");
SYMBOL_CRC(jbd2_journal_get_create_access, 0xb23481ef, "");
SYMBOL_CRC(jbd2_journal_get_undo_access, 0x35294d83, "");
SYMBOL_CRC(jbd2_journal_set_triggers, 0xed10c582, "");
SYMBOL_CRC(jbd2_journal_dirty_metadata, 0xefa2868c, "");
SYMBOL_CRC(jbd2_journal_forget, 0xea617f53, "");
SYMBOL_CRC(jbd2_journal_flush, 0xf57b798a, "");
SYMBOL_CRC(jbd2_journal_revoke, 0x08f187d6, "");
SYMBOL_CRC(jbd2_journal_init_dev, 0xa999534e, "");
SYMBOL_CRC(jbd2_journal_init_inode, 0x52b96b1f, "");
SYMBOL_CRC(jbd2_journal_check_used_features, 0xeb2488c5, "");
SYMBOL_CRC(jbd2_journal_check_available_features, 0x471ee22c, "");
SYMBOL_CRC(jbd2_journal_set_features, 0xa877224f, "");
SYMBOL_CRC(jbd2_journal_load, 0x38190152, "");
SYMBOL_CRC(jbd2_journal_destroy, 0xc9cb967e, "");
SYMBOL_CRC(jbd2_journal_abort, 0x1a339d89, "");
SYMBOL_CRC(jbd2_journal_errno, 0x35302f3a, "");
SYMBOL_CRC(jbd2_journal_ack_err, 0x7a7be2aa, "");
SYMBOL_CRC(jbd2_journal_clear_err, 0x2c2d3e80, "");
SYMBOL_CRC(jbd2_log_wait_commit, 0x96340290, "");
SYMBOL_CRC(jbd2_journal_start_commit, 0x8a7778a0, "");
SYMBOL_CRC(jbd2_journal_force_commit_nested, 0xf15d1ef3, "");
SYMBOL_CRC(jbd2_journal_wipe, 0xf3066cb1, "");
SYMBOL_CRC(jbd2_journal_blocks_per_page, 0x9bc379f7, "");
SYMBOL_CRC(jbd2_journal_invalidate_folio, 0xab2d356e, "");
SYMBOL_CRC(jbd2_journal_try_to_free_buffers, 0x825c6646, "");
SYMBOL_CRC(jbd2_journal_force_commit, 0xc31393ad, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_write, 0xa851ecd1, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_wait, 0xd239a488, "");
SYMBOL_CRC(jbd2_journal_finish_inode_data_buffers, 0xb44f078c, "");
SYMBOL_CRC(jbd2_journal_init_jbd_inode, 0x8a90a739, "");
SYMBOL_CRC(jbd2_journal_release_jbd_inode, 0x8a8b9244, "");
SYMBOL_CRC(jbd2_journal_begin_ordered_truncate, 0x3cdb3806, "");
SYMBOL_CRC(jbd2_inode_cache, 0xacd81eb3, "");
SYMBOL_CRC(jbd2_trans_will_send_data_barrier, 0xb4cddcf2, "");
SYMBOL_CRC(jbd2_fc_begin_commit, 0x3265ba13, "");
SYMBOL_CRC(jbd2_fc_end_commit, 0x2d59d0d8, "");
SYMBOL_CRC(jbd2_fc_end_commit_fallback, 0xacaec2fc, "");
SYMBOL_CRC(jbd2_transaction_committed, 0xd75abca9, "");
SYMBOL_CRC(jbd2_complete_transaction, 0x6f1ec154, "");
SYMBOL_CRC(jbd2_fc_get_buf, 0xb07af5e3, "");
SYMBOL_CRC(jbd2_fc_wait_bufs, 0x2a63c7c6, "");
SYMBOL_CRC(jbd2_fc_release_bufs, 0x1b76b2b6, "");
SYMBOL_CRC(jbd2_journal_update_sb_errno, 0x3b7bd9c0, "");
SYMBOL_CRC(jbd2_journal_clear_features, 0xc13e5d3c, "");
SYMBOL_CRC(jbd2_journal_grab_journal_head, 0xa098240e, "");
SYMBOL_CRC(jbd2_journal_put_journal_head, 0x023f2eb0, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa6af852c, "shrinker_free" },
	{ 0x77188b5d, "trace_event_buffer_commit" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0xe7d10c72, "crypto_destroy_tfm" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3f3f1bb8, "mutex_lock_io" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x92997ed8, "_printk" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x791df64c, "try_to_free_buffers" },
	{ 0x6514515e, "sync_blockdev" },
	{ 0xb16a56ee, "free_buffer_head" },
	{ 0x3f8878b9, "shrinker_register" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf250e2d4, "rt_write_unlock" },
	{ 0x4e3f5723, "blk_finish_plug" },
	{ 0xe1481999, "bdev_getblk" },
	{ 0xe6ce82f3, "__cond_resched_lock" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x769f6e64, "errseq_check" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xfc7ab0c7, "bit_waitqueue" },
	{ 0xe400dc40, "bit_wait_io" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x5eb55b83, "__brelse" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x7ec56c70, "perf_trace_run_bpf_submit" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1f719320, "__bh_read_batch" },
	{ 0x7ff53d0f, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x60256184, "__wait_on_buffer" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xdf9ceed4, "kmem_cache_free" },
	{ 0x51489818, "__bh_read" },
	{ 0x658574f4, "trace_event_reg" },
	{ 0xaee84e34, "blkdev_issue_zeroout" },
	{ 0x30361052, "filemap_fdatawait_range_keep_errors" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xc2a79e8f, "crypto_shash_update" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x249f1331, "freezing_slow_path" },
	{ 0x57a45346, "bpf_trace_run1" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0xe823ba79, "proc_mkdir" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfa10416, "kmem_cache_alloc_noprof" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x8337a399, "__kmem_cache_create_args" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd00c9875, "kthread_create_on_node" },
	{ 0xcb67b626, "bpf_trace_run3" },
	{ 0x4a38d9f7, "seq_read" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xedd7eb58, "rt_read_lock" },
	{ 0x715e5bf, "unlock_buffer" },
	{ 0x27a7a36e, "trace_event_buffer_reserve" },
	{ 0x21bdb523, "errseq_check_and_advance" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x27d6b0bb, "prepare_to_wait_exclusive" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xca431c05, "wake_bit_function" },
	{ 0x64a5c687, "__folio_put" },
	{ 0x9ebb2bfc, "rt_read_unlock" },
	{ 0x6e063721, "remove_proc_entry" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7ad7a5cd, "seq_printf" },
	{ 0xc6e7fb27, "__lock_buffer" },
	{ 0x9919fd8, "rt_write_lock" },
	{ 0x3b2a90e8, "truncate_inode_pages_range" },
	{ 0xda872c65, "blkdev_issue_flush" },
	{ 0x51dd2f50, "folio_set_bh" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x426437c7, "end_buffer_write_sync" },
	{ 0xf1fc404a, "seq_open" },
	{ 0x1e8de0ca, "bmap" },
	{ 0xb93ba240, "wake_up_bit" },
	{ 0x6a460dc5, "schedule_hrtimeout" },
	{ 0xd63960b9, "crypto_alloc_shash" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x7410aba2, "strreplace" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x8019049f, "kmem_cache_destroy" },
	{ 0x581abcf4, "blkdev_issue_discard" },
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0xc8605bc7, "bh_uptodate_or_lock" },
	{ 0x580e0bb3, "shrinker_alloc" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x574b006b, "blk_start_plug" },
	{ 0x1d337321, "bpf_trace_run4" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x9f3d097f, "folio_unlock" },
	{ 0xe6c8800b, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa11a97c1, "trace_raw_output_prep" },
	{ 0xa5040375, "bpf_trace_run6" },
	{ 0x83261cbe, "mark_buffer_dirty" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x60cc5509, "__find_get_block" },
	{ 0xb07d43ee, "__trace_trigger_soft_disabled" },
	{ 0xc67c3e38, "filemap_fdatawrite_range" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0xdf4574bf, "trace_event_printf" },
	{ 0x5c1c3b46, "__bforget" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xa8fc870, "write_dirty_buffer" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x862d1e43, "prepare_to_wait" },
	{ 0x4df02057, "crc32_be" },
	{ 0x549dee85, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x8aa69fa8, "iput" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0x2e4f415b, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x5b5d21d6, "blockdev_superblock" },
	{ 0x2042f11c, "proc_create_data" },
	{ 0xd0d9d74c, "bpf_trace_run2" },
	{ 0x3416d62c, "prepare_to_wait_event" },
	{ 0x3a375ec6, "out_of_line_wait_on_bit" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6491531, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xf220a77a, "bpf_trace_run8" },
	{ 0x547f4318, "submit_bh" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf9e3f4fb, "alloc_buffer_head" },
	{ 0x1d8a5fdd, "wake_up_process" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "70CE73C03FDC5985CAE03A6");

MODULE_INFO(suserelease, "SLFO-1.2");
