#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nlmclnt_init, "_gpl", "");
KSYMTAB_FUNC(nlmclnt_done, "_gpl", "");
KSYMTAB_FUNC(nlmclnt_rpc_clnt, "_gpl", "");
KSYMTAB_FUNC(nlmclnt_proc, "_gpl", "");
KSYMTAB_DATA(nlmsvc_ops, "_gpl", "");
KSYMTAB_FUNC(lockd_up, "_gpl", "");
KSYMTAB_FUNC(lockd_down, "_gpl", "");
KSYMTAB_FUNC(nlmsvc_unlock_all_by_sb, "_gpl", "");
KSYMTAB_FUNC(nlmsvc_unlock_all_by_ip, "_gpl", "");

SYMBOL_CRC(nlmclnt_init, 0xa3d82aa2, "_gpl");
SYMBOL_CRC(nlmclnt_done, 0x93ca9cfd, "_gpl");
SYMBOL_CRC(nlmclnt_rpc_clnt, 0xcd7d9e45, "_gpl");
SYMBOL_CRC(nlmclnt_proc, 0x2867a99b, "_gpl");
SYMBOL_CRC(nlmsvc_ops, 0x5e55bf1f, "_gpl");
SYMBOL_CRC(lockd_up, 0x9b0db981, "_gpl");
SYMBOL_CRC(lockd_down, 0x3b2683c8, "_gpl");
SYMBOL_CRC(nlmsvc_unlock_all_by_sb, 0xf1bc6d62, "_gpl");
SYMBOL_CRC(nlmsvc_unlock_all_by_ip, 0x9cbde0a0, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xdef96227, "vfs_cancel_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x198ca98c, "proc_doulongvec_minmax" },
	{ 0x658574f4, "trace_event_reg" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x53445f68, "nlm_debug" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x249f1331, "freezing_slow_path" },
	{ 0x867b864d, "rpc_create" },
	{ 0xa48b1651, "svc_destroy" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x68aee4a4, "rpc_call_start" },
	{ 0x932ac48b, "svc_create" },
	{ 0x83db7d7c, "default_llseek" },
	{ 0xeb64b609, "rpc_call_sync" },
	{ 0xe823ba79, "proc_mkdir" },
	{ 0x74ce375f, "unregister_pernet_subsys" },
	{ 0x1bf344ac, "register_sysctl_sz" },
	{ 0x60fcf74f, "vfs_lock_file" },
	{ 0xba406aed, "rpc_delay" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0x7dc3368, "svc_generic_init_request" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x9fb64856, "down_read" },
	{ 0xd2e59255, "svc_set_client" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xa3588251, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd00c9875, "kthread_create_on_node" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xceccff49, "rpc_force_rebind" },
	{ 0x27a7a36e, "trace_event_buffer_reserve" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9199b9f0, "param_ops_bool" },
	{ 0x4acc6c90, "rpc_restart_call" },
	{ 0xb8668178, "svc_xprt_destroy_all" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x6e063721, "remove_proc_entry" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x49f40fca, "svc_find_xprt" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x70ee1bf3, "proc_dointvec" },
	{ 0xf7e4f8fc, "svc_print_addr" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xe45f55e, "locks_delete_block" },
	{ 0x754d539c, "strlen" },
	{ 0x9f820a0f, "locks_start_grace" },
	{ 0x9aa71919, "refcount_dec_and_lock" },
	{ 0x8f532bcc, "param_get_int" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xb570b5d7, "up_read" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0xa005fa5f, "svc_xprt_create" },
	{ 0x5b1f9d77, "rpc_wait_for_completion_task" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x12c8664e, "locks_copy_lock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8dc6f00d, "proc_dointvec_minmax" },
	{ 0x8f6b4407, "rpc_put_task" },
	{ 0xa8559541, "svc_generic_rpcbind_set" },
	{ 0x7b1a9a1c, "svc_wake_up" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x45f4e1cd, "__init_rwsem" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x1d337321, "bpf_trace_run4" },
	{ 0xe5eb5fd0, "param_ops_uint" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x27829e94, "rpc_shutdown_client" },
	{ 0x940778dd, "svc_bind" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x6843570f, "proc_create" },
	{ 0x4c9c9c17, "svc_recv" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xeefca5e5, "xdr_inline_decode" },
	{ 0xa11a97c1, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x1fe1e1ad, "locks_end_grace" },
	{ 0xb07d43ee, "__trace_trigger_soft_disabled" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0xdf4574bf, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x862d1e43, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x549dee85, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfc61c376, "simple_transaction_get" },
	{ 0x37a0cba, "kfree" },
	{ 0xe7fc5549, "vfs_test_lock" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xbd705fb1, "svc_exit_thread" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x549c0738, "rpc_ntop" },
	{ 0x3416d62c, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6491531, "__wake_up" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0xc74c564a, "param_get_ulong" },
	{ 0xcbd99a98, "rpc_run_task" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf891cf32, "__put_cred" },
	{ 0x8a0061d1, "register_pernet_subsys" },
	{ 0xbbf7863b, "locks_in_grace" },
	{ 0x1d8a5fdd, "wake_up_process" },
	{ 0x77188b5d, "trace_event_buffer_commit" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x71c90a6c, "proc_dobool" },
	{ 0xb3e57f7b, "locks_lock_inode_wait" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x92997ed8, "_printk" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xecc81759, "unregister_sysctl_table" },
	{ 0x65af246a, "locks_release_private" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x9d2a71a, "locks_init_lock" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x7c557dcb, "simple_transaction_release" },
	{ 0x3827a4c, "svc_xprt_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xfef5c93a, "svc_age_temp_xprts_now" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x7ec56c70, "perf_trace_run_bpf_submit" },
	{ 0xba0efd1f, "down_write" },
	{ 0x1eb1abab, "init_net" },
	{ 0x209b8854, "up_write" },
	{ 0x351ee177, "svc_set_num_threads" },
	{ 0xb80f4225, "svc_rpcb_cleanup" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,grace");


MODULE_INFO(srcversion, "02DED2EC4D3F96AEF535842");

MODULE_INFO(suserelease, "SLFO-1.2");
