#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(netfs_readahead, "", "");
KSYMTAB_FUNC(netfs_read_folio, "", "");
KSYMTAB_FUNC(netfs_write_begin, "", "");
KSYMTAB_FUNC(netfs_buffered_read_iter, "", "");
KSYMTAB_FUNC(netfs_file_read_iter, "", "");
KSYMTAB_FUNC(netfs_perform_write, "", "");
KSYMTAB_FUNC(netfs_buffered_write_iter_locked, "", "");
KSYMTAB_FUNC(netfs_file_write_iter, "", "");
KSYMTAB_FUNC(netfs_page_mkwrite, "", "");
KSYMTAB_FUNC(netfs_unbuffered_read_iter_locked, "", "");
KSYMTAB_FUNC(netfs_unbuffered_read_iter, "", "");
KSYMTAB_FUNC(netfs_unbuffered_write_iter_locked, "", "");
KSYMTAB_FUNC(netfs_unbuffered_write_iter, "", "");
KSYMTAB_FUNC(netfs_extract_user_iter, "_gpl", "");
KSYMTAB_FUNC(netfs_limit_iter, "", "");
KSYMTAB_FUNC(netfs_start_io_read, "", "");
KSYMTAB_FUNC(netfs_end_io_read, "", "");
KSYMTAB_FUNC(netfs_start_io_write, "", "");
KSYMTAB_FUNC(netfs_end_io_write, "", "");
KSYMTAB_FUNC(netfs_start_io_direct, "", "");
KSYMTAB_FUNC(netfs_end_io_direct, "", "");
KSYMTAB_DATA(__tracepoint_netfs_sreq, "", "");
KSYMTAB_FUNC(__traceiter_netfs_sreq, "", "");
KSYMTAB_DATA(__SCK__tp_func_netfs_sreq, "", "");
KSYMTAB_FUNC(__SCT__tp_func_netfs_sreq, "", "");
KSYMTAB_FUNC(netfs_dirty_folio, "", "");
KSYMTAB_FUNC(netfs_unpin_writeback, "", "");
KSYMTAB_FUNC(netfs_clear_inode_writeback, "", "");
KSYMTAB_FUNC(netfs_invalidate_folio, "", "");
KSYMTAB_FUNC(netfs_release_folio, "", "");
KSYMTAB_FUNC(netfs_read_subreq_progress, "", "");
KSYMTAB_FUNC(netfs_read_subreq_terminated, "", "");
KSYMTAB_FUNC(netfs_write_subrequest_terminated, "", "");
KSYMTAB_FUNC(netfs_prepare_write_failed, "", "");
KSYMTAB_FUNC(netfs_writepages, "", "");
KSYMTAB_FUNC(netfs_stats_show, "", "");
KSYMTAB_DATA(fscache_addremove_sem, "", "");
KSYMTAB_DATA(fscache_clearance_waiters, "", "");
KSYMTAB_FUNC(fscache_acquire_cache, "", "");
KSYMTAB_FUNC(fscache_relinquish_cache, "", "");
KSYMTAB_FUNC(fscache_add_cache, "", "");
KSYMTAB_FUNC(fscache_io_error, "", "");
KSYMTAB_FUNC(fscache_withdraw_cache, "", "");
KSYMTAB_FUNC(fscache_end_cookie_access, "", "");
KSYMTAB_FUNC(fscache_cookie_lookup_negative, "", "");
KSYMTAB_FUNC(fscache_resume_after_invalidation, "", "");
KSYMTAB_FUNC(fscache_caching_failed, "", "");
KSYMTAB_FUNC(__fscache_acquire_cookie, "", "");
KSYMTAB_FUNC(__fscache_use_cookie, "", "");
KSYMTAB_FUNC(__fscache_unuse_cookie, "", "");
KSYMTAB_FUNC(fscache_withdraw_cookie, "", "");
KSYMTAB_FUNC(__fscache_relinquish_cookie, "", "");
KSYMTAB_FUNC(fscache_put_cookie, "", "");
KSYMTAB_FUNC(fscache_get_cookie, "", "");
KSYMTAB_FUNC(__fscache_invalidate, "", "");
KSYMTAB_FUNC(fscache_wait_for_operation, "", "");
KSYMTAB_FUNC(__fscache_begin_read_operation, "", "");
KSYMTAB_FUNC(__fscache_begin_write_operation, "", "");
KSYMTAB_FUNC(__fscache_clear_page_bits, "", "");
KSYMTAB_FUNC(__fscache_write_to_cache, "", "");
KSYMTAB_FUNC(__fscache_resize_cookie, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access_cache, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access_cache, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access_cache, "", "");
KSYMTAB_FUNC(__SCT__tp_func_fscache_access_cache, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access_volume, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access_volume, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access_volume, "", "");
KSYMTAB_FUNC(__SCT__tp_func_fscache_access_volume, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access, "", "");
KSYMTAB_FUNC(__SCT__tp_func_fscache_access, "", "");
KSYMTAB_DATA(fscache_wq, "", "");
KSYMTAB_FUNC(fscache_try_get_volume, "", "");
KSYMTAB_FUNC(fscache_end_volume_access, "", "");
KSYMTAB_FUNC(__fscache_acquire_volume, "", "");
KSYMTAB_FUNC(fscache_put_volume, "", "");
KSYMTAB_FUNC(__fscache_relinquish_volume, "", "");
KSYMTAB_FUNC(fscache_withdraw_volume, "", "");
KSYMTAB_DATA(fscache_n_updates, "", "");
KSYMTAB_DATA(fscache_n_read, "", "");
KSYMTAB_DATA(fscache_n_write, "", "");
KSYMTAB_DATA(fscache_n_no_write_space, "", "");
KSYMTAB_DATA(fscache_n_no_create_space, "", "");
KSYMTAB_DATA(fscache_n_culled, "", "");
KSYMTAB_DATA(fscache_n_dio_misfit, "", "");

SYMBOL_CRC(netfs_readahead, 0x7e31533c, "");
SYMBOL_CRC(netfs_read_folio, 0x99dba9e7, "");
SYMBOL_CRC(netfs_write_begin, 0x10c29837, "");
SYMBOL_CRC(netfs_buffered_read_iter, 0x70fa0348, "");
SYMBOL_CRC(netfs_file_read_iter, 0x2786313c, "");
SYMBOL_CRC(netfs_perform_write, 0x6e260444, "");
SYMBOL_CRC(netfs_buffered_write_iter_locked, 0x5c405b2a, "");
SYMBOL_CRC(netfs_file_write_iter, 0x24ce1786, "");
SYMBOL_CRC(netfs_page_mkwrite, 0x46e48d0c, "");
SYMBOL_CRC(netfs_unbuffered_read_iter_locked, 0x4829660c, "");
SYMBOL_CRC(netfs_unbuffered_read_iter, 0x11d7be4e, "");
SYMBOL_CRC(netfs_unbuffered_write_iter_locked, 0xdf9fdaed, "");
SYMBOL_CRC(netfs_unbuffered_write_iter, 0x9af35619, "");
SYMBOL_CRC(netfs_extract_user_iter, 0x5b79b3d9, "_gpl");
SYMBOL_CRC(netfs_limit_iter, 0x4103738f, "");
SYMBOL_CRC(netfs_start_io_read, 0x32702a27, "");
SYMBOL_CRC(netfs_end_io_read, 0x44d87628, "");
SYMBOL_CRC(netfs_start_io_write, 0xf0870301, "");
SYMBOL_CRC(netfs_end_io_write, 0x604eb6cc, "");
SYMBOL_CRC(netfs_start_io_direct, 0x96ccc319, "");
SYMBOL_CRC(netfs_end_io_direct, 0x7389b4a1, "");
SYMBOL_CRC(__tracepoint_netfs_sreq, 0x964ef658, "");
SYMBOL_CRC(__traceiter_netfs_sreq, 0xebafb2b7, "");
SYMBOL_CRC(__SCK__tp_func_netfs_sreq, 0x7ff11ee9, "");
SYMBOL_CRC(__SCT__tp_func_netfs_sreq, 0x42c377ab, "");
SYMBOL_CRC(netfs_dirty_folio, 0x0de516ad, "");
SYMBOL_CRC(netfs_unpin_writeback, 0xbf4a2135, "");
SYMBOL_CRC(netfs_clear_inode_writeback, 0xf1866886, "");
SYMBOL_CRC(netfs_invalidate_folio, 0x866ed5f2, "");
SYMBOL_CRC(netfs_release_folio, 0x85f6eb3a, "");
SYMBOL_CRC(netfs_read_subreq_progress, 0xdb12d6df, "");
SYMBOL_CRC(netfs_read_subreq_terminated, 0x2cdb8c12, "");
SYMBOL_CRC(netfs_write_subrequest_terminated, 0x90f5f875, "");
SYMBOL_CRC(netfs_prepare_write_failed, 0xf2a62317, "");
SYMBOL_CRC(netfs_writepages, 0xd28a3862, "");
SYMBOL_CRC(netfs_stats_show, 0xf8a4c2af, "");
SYMBOL_CRC(fscache_addremove_sem, 0xe65cb4ec, "");
SYMBOL_CRC(fscache_clearance_waiters, 0x2ffb0966, "");
SYMBOL_CRC(fscache_acquire_cache, 0x9fa44add, "");
SYMBOL_CRC(fscache_relinquish_cache, 0x8fdab155, "");
SYMBOL_CRC(fscache_add_cache, 0x6cabfa40, "");
SYMBOL_CRC(fscache_io_error, 0x5e25e7af, "");
SYMBOL_CRC(fscache_withdraw_cache, 0x3531fd28, "");
SYMBOL_CRC(fscache_end_cookie_access, 0x8431da2b, "");
SYMBOL_CRC(fscache_cookie_lookup_negative, 0xa1f68be2, "");
SYMBOL_CRC(fscache_resume_after_invalidation, 0x33801966, "");
SYMBOL_CRC(fscache_caching_failed, 0x0f7ecbd0, "");
SYMBOL_CRC(__fscache_acquire_cookie, 0x723e2938, "");
SYMBOL_CRC(__fscache_use_cookie, 0x5b9844bd, "");
SYMBOL_CRC(__fscache_unuse_cookie, 0x5da0f479, "");
SYMBOL_CRC(fscache_withdraw_cookie, 0x4904ff99, "");
SYMBOL_CRC(__fscache_relinquish_cookie, 0x5f95c09b, "");
SYMBOL_CRC(fscache_put_cookie, 0xcd26d25f, "");
SYMBOL_CRC(fscache_get_cookie, 0x64e0cf8e, "");
SYMBOL_CRC(__fscache_invalidate, 0x85548aaf, "");
SYMBOL_CRC(fscache_wait_for_operation, 0x63063c70, "");
SYMBOL_CRC(__fscache_begin_read_operation, 0x82332c71, "");
SYMBOL_CRC(__fscache_begin_write_operation, 0x7132f253, "");
SYMBOL_CRC(__fscache_clear_page_bits, 0x5cbb2778, "");
SYMBOL_CRC(__fscache_write_to_cache, 0xbc15060b, "");
SYMBOL_CRC(__fscache_resize_cookie, 0x1ced6502, "");
SYMBOL_CRC(__tracepoint_fscache_access_cache, 0xe24a6231, "");
SYMBOL_CRC(__traceiter_fscache_access_cache, 0xae6040a5, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access_cache, 0x9b7e860a, "");
SYMBOL_CRC(__SCT__tp_func_fscache_access_cache, 0x7c87e02d, "");
SYMBOL_CRC(__tracepoint_fscache_access_volume, 0x1482a56f, "");
SYMBOL_CRC(__traceiter_fscache_access_volume, 0x234a140d, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access_volume, 0xa5f078af, "");
SYMBOL_CRC(__SCT__tp_func_fscache_access_volume, 0x7b1b25da, "");
SYMBOL_CRC(__tracepoint_fscache_access, 0x5c763eb0, "");
SYMBOL_CRC(__traceiter_fscache_access, 0xdcb87498, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access, 0xe4c27efc, "");
SYMBOL_CRC(__SCT__tp_func_fscache_access, 0x5954d7ac, "");
SYMBOL_CRC(fscache_wq, 0xbca46908, "");
SYMBOL_CRC(fscache_try_get_volume, 0xe0aba735, "");
SYMBOL_CRC(fscache_end_volume_access, 0x6254375d, "");
SYMBOL_CRC(__fscache_acquire_volume, 0x6a2839c7, "");
SYMBOL_CRC(fscache_put_volume, 0x4efa860f, "");
SYMBOL_CRC(__fscache_relinquish_volume, 0x069807fa, "");
SYMBOL_CRC(fscache_withdraw_volume, 0xe0466a2d, "");
SYMBOL_CRC(fscache_n_updates, 0x4996bd29, "");
SYMBOL_CRC(fscache_n_read, 0x9ffefcb2, "");
SYMBOL_CRC(fscache_n_write, 0x1a0d09e7, "");
SYMBOL_CRC(fscache_n_no_write_space, 0xcce11a60, "");
SYMBOL_CRC(fscache_n_no_create_space, 0x4404d2aa, "");
SYMBOL_CRC(fscache_n_culled, 0x90d447f3, "");
SYMBOL_CRC(fscache_n_dio_misfit, 0x2acb5e19, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xee533a23, "__filemap_set_wb_err" },
	{ 0xf015e571, "__filemap_get_folio" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0x3c740210, "filemap_invalidate_inode" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf250e2d4, "rt_write_unlock" },
	{ 0x9802353a, "folio_mark_dirty" },
	{ 0x681549bc, "init_wait_var_entry" },
	{ 0xfbcb0b03, "bit_wait" },
	{ 0x76db097a, "__var_waitqueue" },
	{ 0x5c597b98, "iov_iter_extract_pages" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x9811b507, "copy_page_from_iter_atomic" },
	{ 0x2828302, "__folio_swap_cache_index" },
	{ 0xdd9eca7, "folio_wait_private_2" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x2d36e734, "kmem_cache_size" },
	{ 0x6aab1d02, "mempool_alloc_noprof" },
	{ 0x79c14992, "readahead_expand" },
	{ 0x3d1c0b96, "__inode_attach_wb" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xd0a4f819, "__folio_lock_killable" },
	{ 0x7ec56c70, "perf_trace_run_bpf_submit" },
	{ 0xba0efd1f, "down_write" },
	{ 0x209b8854, "up_write" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xcec4fb63, "out_of_line_wait_on_bit_timeout" },
	{ 0x7ff53d0f, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x758b9d7a, "inode_dio_finished" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xbdd9aafe, "file_update_time" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xdf9ceed4, "kmem_cache_free" },
	{ 0x56a719f2, "seq_putc" },
	{ 0x658574f4, "trace_event_reg" },
	{ 0x7b9da98c, "file_remove_privs" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xec31ff8b, "__folio_start_writeback" },
	{ 0x57a45346, "bpf_trace_run1" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x7a385b7, "folio_end_writeback" },
	{ 0x555cd80d, "folio_alloc_noprof" },
	{ 0x7e20253d, "down_read_interruptible" },
	{ 0xe823ba79, "proc_mkdir" },
	{ 0xa41b04ce, "inode_dio_wait_interruptible" },
	{ 0xfb578fc5, "memset" },
	{ 0xfdcb4422, "iov_iter_bvec" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xd542ba37, "unpin_user_page" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfa10416, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xaedaab69, "folio_end_private_2" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x8337a399, "__kmem_cache_create_args" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xba0eb790, "writeback_iter" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9fb64856, "down_read" },
	{ 0x25531590, "mutex_trylock" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x39d2735b, "set_page_dirty" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xcb67b626, "bpf_trace_run3" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xedd7eb58, "rt_read_lock" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x29dd4a3c, "bit_wait_timeout" },
	{ 0x27a7a36e, "trace_event_buffer_reserve" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x6420e3d1, "down_write_killable" },
	{ 0x4f1cf324, "filemap_fdatawait_range" },
	{ 0x9f7aac60, "seq_write" },
	{ 0x64a5c687, "__folio_put" },
	{ 0x9ebb2bfc, "rt_read_unlock" },
	{ 0x6e063721, "remove_proc_entry" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7ad7a5cd, "seq_printf" },
	{ 0x2fedf1f7, "iov_iter_zero" },
	{ 0x6516a7ef, "touch_atime" },
	{ 0x5391ae22, "filemap_read" },
	{ 0x9428a844, "__percpu_down_read" },
	{ 0xcba95be2, "balance_dirty_pages_ratelimited_flags" },
	{ 0x9919fd8, "rt_write_lock" },
	{ 0x71c72736, "downgrade_write" },
	{ 0xad6edf8, "filemap_dirty_folio" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x24f36cf9, "rcuwait_wake_up" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0xfcc91efc, "iov_iter_xarray" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x48438b36, "proc_create_single_data" },
	{ 0x164877db, "filemap_write_and_wait_range" },
	{ 0x25990147, "folio_wait_writeback_killable" },
	{ 0x4f27f3b1, "mempool_init_noprof" },
	{ 0x754d539c, "strlen" },
	{ 0xaf7fe05b, "proc_symlink" },
	{ 0xb93ba240, "wake_up_bit" },
	{ 0x54cbf498, "generic_write_checks" },
	{ 0xc86a4b4, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd0528f90, "proc_create_seq_private" },
	{ 0x68a7e0ff, "folio_wait_private_2_killable" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xb570b5d7, "up_read" },
	{ 0x4f851c29, "iov_iter_npages" },
	{ 0x302d92b2, "fault_in_iov_iter_readable" },
	{ 0xf9a482f9, "msleep" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xc8e96d94, "mempool_exit" },
	{ 0x8019049f, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xfe1a901, "vfs_fsync_range" },
	{ 0xc4d08d68, "wbc_detach_inode" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x1d337321, "bpf_trace_run4" },
	{ 0xf5c7782a, "kiocb_write_and_wait" },
	{ 0xe5eb5fd0, "param_ops_uint" },
	{ 0xd67e8390, "filemap_range_has_page" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xc6f9ac35, "__folio_batch_release" },
	{ 0x9f3d097f, "folio_unlock" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa11a97c1, "trace_raw_output_prep" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xb07d43ee, "__trace_trigger_soft_disabled" },
	{ 0xc67c3e38, "filemap_fdatawrite_range" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0xc29724a2, "iov_iter_advance" },
	{ 0xdf4574bf, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x28d7a5ab, "xas_find" },
	{ 0x1568d33a, "folio_redirty_for_writepage" },
	{ 0xa98be1d8, "iov_iter_folio_queue" },
	{ 0x549dee85, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x27a83e18, "unmap_mapping_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x8ce2df4e, "invalidate_inode_pages2_range" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x2643bc57, "wbc_attach_and_unlock_inode" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xd0d9d74c, "bpf_trace_run2" },
	{ 0x3416d62c, "prepare_to_wait_event" },
	{ 0x3a375ec6, "out_of_line_wait_on_bit" },
	{ 0x735d1f99, "remove_proc_subtree" },
	{ 0xe3620dc6, "folio_clear_dirty_for_io" },
	{ 0x4591e46f, "mempool_free" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x77188b5d, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "08DF572E7BDBEB7B45456E7");

MODULE_INFO(suserelease, "SLFO-1.2");
