#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nfs3_set_ds_client, "_gpl", "");

SYMBOL_CRC(nfs3_set_ds_client, 0x4e8a0985, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6b9eb1fc, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x9aab24d, "nfs_async_iocounter_wait" },
	{ 0x148d2f87, "nfs_setattr_update_inode" },
	{ 0x43b3ca18, "nfs_sops" },
	{ 0x538eb2d2, "init_user_ns" },
	{ 0x4acc6c90, "rpc_restart_call" },
	{ 0xb1f145cc, "nfs_link" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x8b0617b7, "dput" },
	{ 0x1ce1598c, "nfs_stat_to_errno" },
	{ 0xe316ba47, "put_nfs_open_context" },
	{ 0x3c20aab8, "nfs_permission" },
	{ 0xbd6ee8cc, "alloc_pages_noprof" },
	{ 0x8022a2d2, "nfs_add_or_obtain" },
	{ 0x49d7ffb9, "from_kuid_munged" },
	{ 0x754d539c, "strlen" },
	{ 0x158ca8be, "nfs_free_client" },
	{ 0xd8ec1b19, "nfs_close_context" },
	{ 0xf2fb3574, "nfs_refresh_inode" },
	{ 0x8e162a8, "nfs_access_set_mask" },
	{ 0x50ceba6e, "xdr_stream_pos" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xe13f7185, "nfs_symlink" },
	{ 0x448e5d3c, "nfs_unlink" },
	{ 0xffbc6a52, "forget_cached_acl" },
	{ 0xcafe4089, "nfs_clone_server" },
	{ 0xe914e41e, "strcpy" },
	{ 0x2867a99b, "nlmclnt_proc" },
	{ 0x585172b, "nfs_writeback_update_inode" },
	{ 0x6cd7c995, "nfs_alloc_client" },
	{ 0x29364226, "nfs_dentry_operations" },
	{ 0x2567bd01, "xdr_write_pages" },
	{ 0x42bc306a, "nfs_access_zap_cache" },
	{ 0xcb08ebea, "nfs_wb_all" },
	{ 0xeefca5e5, "xdr_inline_decode" },
	{ 0x5e9beae, "forget_all_cached_acls" },
	{ 0x8bae2ec3, "nfs_submount" },
	{ 0x728d8d02, "__tracepoint_nfs_xdr_status" },
	{ 0xeebef96e, "nfs_mknod" },
	{ 0x1ee7de85, "nfs_create_server" },
	{ 0xdf624cd7, "nfs_init_client" },
	{ 0x37a0cba, "kfree" },
	{ 0xa1515a17, "nfs_post_op_update_inode" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x549c0738, "rpc_ntop" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xe55fb81e, "xdr_read_pages" },
	{ 0x6e6974f8, "nfsacl_decode" },
	{ 0x5818fe3c, "posix_acl_from_mode" },
	{ 0x55b5fbef, "nfs_create" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6435c433, "nfs_mkdir" },
	{ 0x99e839bd, "nfs_revalidate_inode" },
	{ 0xc7cc29ef, "nfs_get_lock_context" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x23483fb4, "nfs_try_get_tree" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc299905c, "make_kuid" },
	{ 0xfeb42418, "__SCT__tp_func_nfs_xdr_status" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0x850dfaee, "nfs_get_client" },
	{ 0x6cb3aac, "__free_pages" },
	{ 0xed563dab, "nfs_file_operations" },
	{ 0x43b9cc84, "get_inode_acl" },
	{ 0x37239e6d, "__SCT__tp_func_nfs_xdr_bad_filehandle" },
	{ 0x9d5c6c2c, "nfs_put_lock_context" },
	{ 0xef8d8096, "nfs_rename" },
	{ 0xc09b888, "nfs_lookup" },
	{ 0x380e791b, "nfs_sysfs_link_rpc_client" },
	{ 0x614fea89, "nfsacl_encode" },
	{ 0xa5c6f802, "posix_acl_create" },
	{ 0xeb768aa0, "get_nfs_open_context" },
	{ 0x45152049, "__SCK__tp_func_nfs_xdr_status" },
	{ 0x92a36e82, "nfs_invalidate_atime" },
	{ 0xb4e615, "posix_acl_equiv_mode" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6339b240, "nfs_getattr" },
	{ 0x18eab62d, "__SCK__tp_func_nfs_xdr_bad_filehandle" },
	{ 0x4ea76856, "nfs_zap_acl_cache" },
	{ 0xa8552a80, "__tracepoint_nfs_xdr_bad_filehandle" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x8787263d, "rpc_bind_new_program" },
	{ 0xee62eb3d, "register_nfs_version" },
	{ 0x3c1b3e11, "nfs_atomic_open_v23" },
	{ 0x68aee4a4, "rpc_call_start" },
	{ 0xeb64b609, "rpc_call_sync" },
	{ 0x540db266, "rpc_prepare_reply_pages" },
	{ 0x67681dca, "nfs_fs_type" },
	{ 0x65a5cfb7, "nfs_setattr" },
	{ 0xbc141a90, "xdr_terminate_string" },
	{ 0xa05ca625, "nfs_fattr_init" },
	{ 0xba406aed, "rpc_delay" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0x8225e746, "make_kgid" },
	{ 0xa627b1a3, "from_kgid_munged" },
	{ 0x832e8f0b, "nfs_alloc_fattr" },
	{ 0xa3588251, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd3d0f387, "nfs_rmdir" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "nfs,sunrpc,lockd,nfs_acl");


MODULE_INFO(srcversion, "1B23AA9AE4F9F69F58517CF");

MODULE_INFO(suserelease, "SLFO-1.2");
