#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ax25_bcast, "_gpl", "");
KSYMTAB_DATA(ax25_defaddr, "_gpl", "");
KSYMTAB_DATA(null_ax25_address, "", "");
KSYMTAB_FUNC(ax2asc, "", "");
KSYMTAB_FUNC(asc2ax, "", "");
KSYMTAB_FUNC(ax25cmp, "", "");
KSYMTAB_FUNC(ax25_register_pid, "_gpl", "");
KSYMTAB_FUNC(ax25_protocol_release, "", "");
KSYMTAB_FUNC(ax25_linkfail_register, "", "");
KSYMTAB_FUNC(ax25_linkfail_release, "", "");
KSYMTAB_FUNC(ax25_listen_register, "", "");
KSYMTAB_FUNC(ax25_listen_release, "", "");
KSYMTAB_DATA(ax25_header_ops, "", "");
KSYMTAB_FUNC(ax25_ip_xmit, "", "");
KSYMTAB_FUNC(ax25_send_frame, "", "");
KSYMTAB_FUNC(ax25_display_timer, "", "");
KSYMTAB_DATA(ax25_uid_policy, "", "");
KSYMTAB_FUNC(ax25_findbyuid, "", "");
KSYMTAB_FUNC(ax25_find_cb, "", "");

SYMBOL_CRC(ax25_bcast, 0xac93ae05, "_gpl");
SYMBOL_CRC(ax25_defaddr, 0xaeb7451e, "_gpl");
SYMBOL_CRC(null_ax25_address, 0xd43ecbf1, "");
SYMBOL_CRC(ax2asc, 0x53dea1ff, "");
SYMBOL_CRC(asc2ax, 0x4502c65a, "");
SYMBOL_CRC(ax25cmp, 0xc1444946, "");
SYMBOL_CRC(ax25_register_pid, 0x7acf7713, "_gpl");
SYMBOL_CRC(ax25_protocol_release, 0x8ede9e26, "");
SYMBOL_CRC(ax25_linkfail_register, 0xcd5d48f2, "");
SYMBOL_CRC(ax25_linkfail_release, 0xe7b1ec05, "");
SYMBOL_CRC(ax25_listen_register, 0x364b2d2e, "");
SYMBOL_CRC(ax25_listen_release, 0xd633557c, "");
SYMBOL_CRC(ax25_header_ops, 0xc4a50554, "");
SYMBOL_CRC(ax25_ip_xmit, 0xb8935836, "");
SYMBOL_CRC(ax25_send_frame, 0xe47bce69, "");
SYMBOL_CRC(ax25_display_timer, 0x14cecd59, "");
SYMBOL_CRC(ax25_uid_policy, 0x242852b9, "");
SYMBOL_CRC(ax25_findbyuid, 0xee02e420, "");
SYMBOL_CRC(ax25_find_cb, 0x2d6ee6fb, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbddffed2, "skb_queue_purge_reason" },
	{ 0x62faafff, "register_net_sysctl_sz" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xea0c4074, "proto_unregister" },
	{ 0x6d334118, "__get_user_8" },
	{ 0x1000e51, "schedule" },
	{ 0xef731cce, "sock_register" },
	{ 0x4694aa33, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc299905c, "make_kuid" },
	{ 0xa916b694, "strnlen" },
	{ 0xbe3dbdfa, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf250e2d4, "rt_write_unlock" },
	{ 0xb00bc408, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0xe648e7c0, "skb_queue_tail" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xc8b0fb51, "dev_get_by_name_rcu" },
	{ 0x1eb1abab, "init_net" },
	{ 0x1c785e13, "skb_pull" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6d64c27f, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x845e5fc8, "dev_remove_pack" },
	{ 0x7e5e3524, "sk_free" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xed153b93, "skb_push" },
	{ 0x56a719f2, "seq_putc" },
	{ 0x543ef284, "seq_hlist_start" },
	{ 0x3dfc897c, "seq_hlist_start_head" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x7bda0276, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4e203a85, "skb_copy_datagram_iter" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x85af5438, "__skb_wait_for_more_packets" },
	{ 0x6ed8ccba, "sk_alloc" },
	{ 0x77cfe8ee, "sock_no_socketpair" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x9c5464bb, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa86d7fc6, "sock_no_mmap" },
	{ 0x5dfcb6d3, "netif_rx" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x289f7cac, "sock_rfree" },
	{ 0xedd7eb58, "rt_read_lock" },
	{ 0x6c9bae71, "sock_i_ino" },
	{ 0x2c3fe335, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x8e752705, "skb_set_owner_w" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x75bda77a, "seq_hlist_next" },
	{ 0xf985c453, "sock_alloc_send_pskb" },
	{ 0x9f7aac60, "seq_write" },
	{ 0x9ebb2bfc, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x6e063721, "remove_proc_entry" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x7ad7a5cd, "seq_printf" },
	{ 0x1060b4b7, "skb_copy" },
	{ 0x44ea4aa5, "skb_clone" },
	{ 0x9919fd8, "rt_write_lock" },
	{ 0x44531a37, "_copy_from_iter" },
	{ 0xde551909, "sock_gettstamp" },
	{ 0x99a070f6, "send_sig" },
	{ 0x64a4da03, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x49d7ffb9, "from_kuid_munged" },
	{ 0xc86a4b4, "iov_iter_revert" },
	{ 0xd0528f90, "proc_create_seq_private" },
	{ 0x1c2ec37f, "sock_init_data" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xe9ee676b, "release_sock" },
	{ 0xdefc10ec, "skb_queue_head" },
	{ 0x8dc6f00d, "proc_dointvec_minmax" },
	{ 0xfa4517d4, "security_sock_graft" },
	{ 0x32869bb0, "skb_free_datagram" },
	{ 0x653b116b, "sock_queue_rcv_skb_reason" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x3ec4ea5, "skb_put" },
	{ 0xfdc82eaa, "skb_expand_head" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x97d9aa2, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x512c59c3, "skb_dequeue" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0xa9a6972b, "__skb_try_recv_datagram" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x862d1e43, "prepare_to_wait" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "CDF83E63D5FA4B8D7D39F55");

MODULE_INFO(suserelease, "SLFO-1.2");
