#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(nf_br_ops, "_gpl", "");
KSYMTAB_FUNC(br_fdb_find_port, "_gpl", "");
KSYMTAB_FUNC(br_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(br_dev_queue_push_xmit, "_gpl", "");
KSYMTAB_FUNC(br_forward_finish, "_gpl", "");
KSYMTAB_FUNC(br_forward, "_gpl", "");
KSYMTAB_FUNC(br_port_flag_is_set, "_gpl", "");
KSYMTAB_FUNC(br_handle_frame_finish, "_gpl", "");
KSYMTAB_FUNC(br_port_get_stp_state, "_gpl", "");
KSYMTAB_FUNC(br_get_ageing_time, "_gpl", "");
KSYMTAB_FUNC(br_multicast_enabled, "_gpl", "");
KSYMTAB_FUNC(br_multicast_router, "_gpl", "");
KSYMTAB_FUNC(br_multicast_list_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_anywhere, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_router_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_vlan_enabled, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_proto, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid_rcu, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info_rcu, "_gpl", "");
KSYMTAB_FUNC(br_mst_enabled, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_info, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_state, "_gpl", "");

SYMBOL_CRC(nf_br_ops, 0xf452d53e, "_gpl");
SYMBOL_CRC(br_fdb_find_port, 0x39326610, "_gpl");
SYMBOL_CRC(br_fdb_clear_offload, 0xae50b83a, "_gpl");
SYMBOL_CRC(br_dev_queue_push_xmit, 0x1c9acd37, "_gpl");
SYMBOL_CRC(br_forward_finish, 0x6910bece, "_gpl");
SYMBOL_CRC(br_forward, 0x5dbe215e, "_gpl");
SYMBOL_CRC(br_port_flag_is_set, 0xd61ca2e4, "_gpl");
SYMBOL_CRC(br_handle_frame_finish, 0x27c42886, "_gpl");
SYMBOL_CRC(br_port_get_stp_state, 0x35e2261e, "_gpl");
SYMBOL_CRC(br_get_ageing_time, 0x94366c31, "_gpl");
SYMBOL_CRC(br_multicast_enabled, 0xf1d8f2c3, "_gpl");
SYMBOL_CRC(br_multicast_router, 0xeeab8fe6, "_gpl");
SYMBOL_CRC(br_multicast_list_adjacent, 0x84a92ca0, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_anywhere, 0x5e6275d8, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_adjacent, 0x3805282d, "_gpl");
SYMBOL_CRC(br_multicast_has_router_adjacent, 0x20ca0713, "_gpl");
SYMBOL_CRC(br_vlan_enabled, 0x270454af, "_gpl");
SYMBOL_CRC(br_vlan_get_proto, 0xddff3bdb, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid, 0x548a75c8, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid_rcu, 0xa0e2af34, "_gpl");
SYMBOL_CRC(br_vlan_get_info, 0x51240040, "_gpl");
SYMBOL_CRC(br_vlan_get_info_rcu, 0xec7bf0b9, "_gpl");
SYMBOL_CRC(br_mst_enabled, 0x899d9b9e, "_gpl");
SYMBOL_CRC(br_mst_get_info, 0x778a2d32, "_gpl");
SYMBOL_CRC(br_mst_get_state, 0x45545ded, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x131db64a, "system_long_wq" },
	{ 0xa9c1db69, "kobject_create_and_add" },
	{ 0xd62ba63d, "skb_trim" },
	{ 0xbda1ab61, "nf_hook_slow" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x23709dd3, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6974b7b6, "__ip_mc_inc_group" },
	{ 0x65df862, "netdev_walk_all_upper_dev_rcu" },
	{ 0xd191499b, "sysfs_remove_group" },
	{ 0xed7aceb8, "in_dev_finish_destroy" },
	{ 0xd83898d5, "nf_hooks_needed" },
	{ 0xa0cf4391, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x2d86fc92, "__tracepoint_fdb_delete" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x2e9f7012, "__netpoll_setup" },
	{ 0x2c3fe335, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3909ef5f, "vlan_vid_add" },
	{ 0xc131aac7, "neigh_destroy" },
	{ 0x56fb08d6, "__tracepoint_br_fdb_external_learn_add" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0xc55d9811, "kobject_del" },
	{ 0x8d1224dc, "rhashtable_init_noprof" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2d44be3b, "__SCT__tp_func_br_fdb_add" },
	{ 0x79531283, "__SCK__tp_func_br_fdb_update" },
	{ 0x63de0fe4, "call_netdevice_notifiers" },
	{ 0x3702d860, "is_skb_forwardable" },
	{ 0xfef35251, "vlan_vid_del" },
	{ 0x59083148, "dev_set_allmulti" },
	{ 0xb9562052, "net_ns_get_ownership" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x21fdb80f, "netdev_master_upper_dev_get" },
	{ 0xe3b69f4e, "ipv6_dev_mc_inc" },
	{ 0x8a938828, "rtnl_notify" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf2eabe4f, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x56e3ae84, "__vlan_find_dev_deep_rcu" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x44ea4aa5, "skb_clone" },
	{ 0x5c1eabe5, "__SCK__tp_func_br_fdb_external_learn_add" },
	{ 0x9001d2a5, "metadata_dst_alloc" },
	{ 0x297093d2, "dst_release" },
	{ 0x72153cc5, "netif_carrier_on" },
	{ 0xc398603b, "kobject_uevent" },
	{ 0x68147d69, "arp_tbl" },
	{ 0x1a246781, "ipv6_dev_mc_dec" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x2e039fab, "netdev_rx_handler_register" },
	{ 0x4a945626, "dev_uc_add" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x35a7a448, "netif_set_tso_max_size" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x931b86a6, "dev_disable_lro" },
	{ 0x311d4010, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x3069450c, "dev_get_flags" },
	{ 0x7e94f354, "__rtnl_unregister_many" },
	{ 0x754d539c, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0x16a57400, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xb73a1d68, "netdev_notice" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xe4202e2f, "nf_queue" },
	{ 0x20eadeb6, "ip_compute_csum" },
	{ 0xefb03fc1, "netif_set_tso_max_segs" },
	{ 0x349cba85, "strchr" },
	{ 0x137a25f3, "skb_ext_add" },
	{ 0xb354554f, "sysfs_remove_bin_file" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x141a206e, "stp_proto_unregister" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xb8071f4d, "neigh_lookup" },
	{ 0x8019049f, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xde021df3, "kobject_put" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xc310ccf6, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xbfdc8fa8, "netdev_lower_get_next" },
	{ 0x407d3d12, "dev_set_mtu" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xdac80b07, "dev_pre_changeaddr_notify" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x5adf76d8, "skb_copy_bits" },
	{ 0xa65f21bc, "__nlmsg_put" },
	{ 0xe52732cc, "switchdev_port_attr_set" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x3617777d, "ipv6_mc_check_mld" },
	{ 0x3ec4ea5, "skb_put" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xea639833, "call_switchdev_notifiers" },
	{ 0x4bc6eb8a, "sysfs_create_file_ns" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x40854fdd, "netdev_update_features" },
	{ 0x74885bdc, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x118546ed, "__netpoll_free" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x2fba5c7c, "nla_put_64bit" },
	{ 0x80816f26, "get_user_ifreq" },
	{ 0x19e0ae50, "__SCT__tp_func_br_fdb_external_learn_add" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0x733ec33e, "__SCT__tp_func_fdb_delete" },
	{ 0x37c7fa66, "dev_uc_del" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf9e75e9a, "netpoll_send_skb" },
	{ 0x1048e087, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xdcd5c6fa, "sysfs_create_bin_file" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6da57e8e, "switchdev_port_obj_act_is_deferred" },
	{ 0xa95e39f8, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0x4086f852, "dev_set_promiscuity" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x8a87270e, "unregister_netdevice_queue" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x90354574, "netdev_state_change" },
	{ 0x86b0fff0, "__pskb_copy_fclone" },
	{ 0x278bf4e3, "__dev_get_by_name" },
	{ 0x3f11db9b, "ether_setup" },
	{ 0x4424eef3, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd1d47d16, "pskb_expand_head" },
	{ 0x8a0061d1, "register_pernet_subsys" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0xbc798488, "brioctl_set" },
	{ 0x712fdcf3, "dev_addr_mod" },
	{ 0xb912560d, "static_key_disable" },
	{ 0x21a0ef96, "arp_xmit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc025779, "alloc_netdev_mqs" },
	{ 0x3ffcce75, "passthru_features_check" },
	{ 0x86b355fc, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x8d91cbf3, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xef2a8d73, "__SCK__tp_func_br_mdb_full" },
	{ 0x5ea3851b, "rtnl_af_register" },
	{ 0xc4870244, "__tracepoint_br_mdb_full" },
	{ 0xb11cc43b, "__SCT__tp_func_br_fdb_update" },
	{ 0x7916343c, "__SCT__tp_func_br_mdb_full" },
	{ 0xa916b694, "strnlen" },
	{ 0xbe3dbdfa, "__alloc_skb" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x96d520e5, "rtnl_set_sk_err" },
	{ 0x5922b99, "skb_vlan_pop" },
	{ 0x3180d31d, "rtnl_unicast" },
	{ 0xe06a823e, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xb7ba9313, "ipv6_dev_get_saddr" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x639cb360, "nla_reserve_64bit" },
	{ 0x13154a3d, "__ip_mc_dec_group" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x1985ee9e, "__dev_get_by_index" },
	{ 0x35ee1753, "rtnl_link_unregister" },
	{ 0x7e3191f6, "try_to_del_timer_sync" },
	{ 0x36242943, "switchdev_deferred_process" },
	{ 0x6c2694de, "dev_get_port_parent_id" },
	{ 0x1eb1abab, "init_net" },
	{ 0x56dd0d4e, "ipv6_stub" },
	{ 0x27fba80a, "inet_confirm_addr" },
	{ 0x1c785e13, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x48ca2416, "sysfs_remove_link" },
	{ 0x2f31fd60, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x9a1d435e, "__SCK__tp_func_br_fdb_add" },
	{ 0x8261489b, "rtnl_af_unregister" },
	{ 0x6d64c27f, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x1b31862b, "arp_send" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xae84b7c4, "dev_get_by_index_rcu" },
	{ 0x83c8e6e4, "__tracepoint_br_fdb_add" },
	{ 0x652032cb, "mac_pton" },
	{ 0xed153b93, "skb_push" },
	{ 0xdf9ceed4, "kmem_cache_free" },
	{ 0xc04213e8, "br_fdb_test_addr_hook" },
	{ 0x55b82938, "ndo_dflt_fdb_dump" },
	{ 0x5a921311, "strncmp" },
	{ 0x3465f4a, "netdev_upper_dev_unlink" },
	{ 0x68d9761d, "netif_receive_skb" },
	{ 0x8d304f20, "nla_put" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd5f1e692, "llc_mac_hdr_init" },
	{ 0x3b1b20cc, "__rtnl_register_many" },
	{ 0x209cb8eb, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x34535928, "__SCK__tp_func_fdb_delete" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x11ae8dd8, "kobject_init_and_add" },
	{ 0x5f2d64d6, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xf40bda56, "ns_capable" },
	{ 0x216a9317, "inet_select_addr" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xd2f514a4, "sysfs_create_group" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfd80cd6b, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xc461c135, "arp_create" },
	{ 0x24452933, "__ethtool_get_link_ksettings" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x2bfb14e2, "stp_proto_register" },
	{ 0x945307ab, "__tracepoint_br_fdb_update" },
	{ 0x38a7b087, "sysfs_rename_link_ns" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x74ce375f, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xcee336e0, "rht_bucket_nested_insert" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xfa10416, "kmem_cache_alloc_noprof" },
	{ 0x5d8cf8e8, "switchdev_port_obj_add" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x2b64348b, "__pskb_pull_tail" },
	{ 0x1fea6a3b, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x5dfcb6d3, "netif_rx" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x48ec14a7, "ip_mc_check_igmp" },
	{ 0x4e69b266, "__netdev_alloc_skb" },
	{ 0x77fab3d9, "rhashtable_destroy" },
	{ 0x8337a399, "__kmem_cache_create_args" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xbf9869ec, "switchdev_port_obj_del" },
	{ 0x64da6ce7, "netdev_master_upper_dev_link" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "stp,llc");


MODULE_INFO(srcversion, "0AEB558277C131C0D9082DA");

MODULE_INFO(suserelease, "SLFO-1.2");
