#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(dccp_v4_connect, "_gpl", "");
KSYMTAB_FUNC(dccp_req_err, "", "");
KSYMTAB_FUNC(dccp_v4_send_check, "_gpl", "");
KSYMTAB_FUNC(dccp_v4_request_recv_sock, "_gpl", "");
KSYMTAB_FUNC(dccp_syn_ack_timeout, "", "");
KSYMTAB_FUNC(dccp_v4_conn_request, "_gpl", "");
KSYMTAB_FUNC(dccp_v4_do_rcv, "_gpl", "");
KSYMTAB_FUNC(dccp_invalid_packet, "_gpl", "");

SYMBOL_CRC(dccp_v4_connect, 0x073cc2d1, "_gpl");
SYMBOL_CRC(dccp_req_err, 0xdae818aa, "");
SYMBOL_CRC(dccp_v4_send_check, 0x18984b6f, "_gpl");
SYMBOL_CRC(dccp_v4_request_recv_sock, 0x817a31c7, "_gpl");
SYMBOL_CRC(dccp_syn_ack_timeout, 0xcbb3f9e1, "");
SYMBOL_CRC(dccp_v4_conn_request, 0xe09b4969, "_gpl");
SYMBOL_CRC(dccp_v4_do_rcv, 0xb0c39f58, "_gpl");
SYMBOL_CRC(dccp_invalid_packet, 0xb914ee29, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd9ea6746, "dccp_rcv_state_process" },
	{ 0xd0c336bd, "dccp_reqsk_send_ack" },
	{ 0xd3c05c7d, "inet_lookup_reuseport" },
	{ 0xea816fd4, "__inet_lookup_listener" },
	{ 0x178d0f6f, "inet_csk_accept" },
	{ 0x86be7924, "dccp_packet_name" },
	{ 0xb9d9dbfb, "sock_common_getsockopt" },
	{ 0x8ed17bc, "inet_bind" },
	{ 0x5eb5a659, "__inet_inherit_port" },
	{ 0xe6f16e4d, "inet_dccp_listen" },
	{ 0xacf0102f, "security_inet_conn_request" },
	{ 0x37a0cba, "kfree" },
	{ 0x190616d7, "inet_register_protosw" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x63925040, "__xfrm_policy_check" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x90912baf, "sock_common_setsockopt" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2fceb1, "ip_route_output_flow" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x4d6105ed, "inet_csk_reqsk_queue_hash_add" },
	{ 0x4cdd391d, "dccp_feat_list_purge" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3b570e1c, "sk_error_report" },
	{ 0x8a0061d1, "register_pernet_subsys" },
	{ 0xd13e641a, "inet_ehash_nolisten" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xfcf9940a, "inet_getname" },
	{ 0xfc43aac4, "inet_stream_connect" },
	{ 0xea0c4074, "proto_unregister" },
	{ 0x3f583d98, "inet_reqsk_alloc" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3c32f786, "inet_ehashfn" },
	{ 0xa8fcbb0, "inet_twsk_purge" },
	{ 0xb1fbffe7, "dccp_done" },
	{ 0xc48d254c, "inet_release" },
	{ 0x6916cd72, "__sk_dst_check" },
	{ 0xde75f0fc, "dccp_disconnect" },
	{ 0xb86c6207, "ip_route_output_key_hash" },
	{ 0xb00bc408, "proto_register" },
	{ 0x4eaf7b12, "inet_hash" },
	{ 0xd3c7a2, "__sk_receive_skb" },
	{ 0x85c89566, "dccp_poll" },
	{ 0x81fa9f38, "inet_ctl_sock_create" },
	{ 0x224d8dae, "dccp_death_row" },
	{ 0xb859b072, "inet_csk_get_port" },
	{ 0x5b298f0e, "inet_ioctl" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xc65e4e97, "secure_dccp_sequence_number" },
	{ 0x4664786f, "inet_csk_reqsk_queue_drop_and_put" },
	{ 0xc341e9d8, "inet_accept" },
	{ 0x5f33b2b3, "dccp_sync_mss" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x13900f5f, "ip6_mtu" },
	{ 0x6d64c27f, "sk_skb_reason_drop" },
	{ 0xd75b7072, "dccp_orphan_count" },
	{ 0x32cc8897, "inet_add_protocol" },
	{ 0x689031a0, "inet_shutdown" },
	{ 0x7e5e3524, "sk_free" },
	{ 0x1eeca7b5, "dccp_close" },
	{ 0xf45b8142, "dccp_reqsk_init" },
	{ 0xce50bd18, "inet_hash_connect" },
	{ 0xdf9ceed4, "kmem_cache_free" },
	{ 0xe656961e, "inet_csk_route_child_sock" },
	{ 0x31bb933f, "inet_csk_route_req" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd873b2a6, "security_sk_classify_flow" },
	{ 0x3fc11d17, "inet_csk_update_pmtu" },
	{ 0x13408066, "dccp_getsockopt" },
	{ 0x62bf282f, "dccp_parse_options" },
	{ 0x74ce375f, "unregister_pernet_subsys" },
	{ 0x3d61d74a, "skb_checksum" },
	{ 0x77cfe8ee, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa86d7fc6, "sock_no_mmap" },
	{ 0x2b64348b, "__pskb_pull_tail" },
	{ 0xa44d47e1, "dccp_child_process" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x7fea67e7, "sock_common_recvmsg" },
	{ 0xf45f4abc, "dccp_setsockopt" },
	{ 0x80e6456e, "dccp_ioctl" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x512b36df, "inet_sk_rebuild_header" },
	{ 0xb09531f2, "inet_del_protocol" },
	{ 0x643dfe34, "ipv4_mtu" },
	{ 0x1d617050, "dccp_recvmsg" },
	{ 0x7bfbdc30, "inet_sendmsg" },
	{ 0x67df85e0, "dccp_check_req" },
	{ 0x6082b493, "dccp_create_openreq_child" },
	{ 0xab0ddb4b, "inet_csk_prepare_forced_close" },
	{ 0x9e724cfb, "security_skb_classify_flow" },
	{ 0x5bb0f74b, "sock_pfree" },
	{ 0xd01c7846, "dccp_rcv_established" },
	{ 0xd0517cf0, "dccp_send_sync" },
	{ 0x297093d2, "dst_release" },
	{ 0xad634552, "sock_release" },
	{ 0x270e0848, "dccp_make_response" },
	{ 0x9c79b410, "dccp_destroy_sock" },
	{ 0x59e70409, "dccp_ctl_make_reset" },
	{ 0xde551909, "sock_gettstamp" },
	{ 0x7db2c0f7, "sk_setup_caps" },
	{ 0xf25eebc, "ip_build_and_send_pkt" },
	{ 0x2d74301a, "dccp_sendmsg" },
	{ 0xa2bff98e, "ip_setsockopt" },
	{ 0xdb65dcd0, "dccp_hashinfo" },
	{ 0x1a023d81, "inet_twsk_put" },
	{ 0x4fc01e8a, "inet_unhash" },
	{ 0x58801200, "ip_getsockopt" },
	{ 0x89743021, "dccp_set_state" },
	{ 0x94559ad6, "dccp_init_sock" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0x59814a84, "dccp_statistics" },
	{ 0x9bd022ef, "inet_csk_reqsk_queue_drop" },
	{ 0x63badb5a, "__inet_lookup_established" },
	{ 0xc8ed0221, "inet_bhash2_reset_saddr" },
	{ 0x49f9a95c, "inet_csk_addr2sockaddr" },
	{ 0xdb9a33ce, "inet_unregister_protosw" },
	{ 0xa19068f6, "ip_queue_xmit" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xac6962d5, "dccp_shutdown" },
	{ 0x38029785, "inet_bhash2_update_saddr" },
	{ 0xf6a43d08, "dccp_connect" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "dccp");


MODULE_INFO(srcversion, "67349EA39CB2AF9FCC07215");

MODULE_INFO(suserelease, "SLFO-1.2");
