#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(dsa_devlink_param_get, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_param_set, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_params_register, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_params_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resource_register, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resources_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resource_occ_get_register, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resource_occ_get_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_region_create, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_port_region_create, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_region_destroy, "_gpl", "");
KSYMTAB_FUNC(dsa_flush_workqueue, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_find, "_gpl", "");
KSYMTAB_FUNC(dsa_register_switch, "_gpl", "");
KSYMTAB_FUNC(dsa_unregister_switch, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_shutdown, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_suspend, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_resume, "_gpl", "");
KSYMTAB_FUNC(dsa_port_from_netdev, "_gpl", "");
KSYMTAB_FUNC(dsa_fdb_present_in_other_db, "_gpl", "");
KSYMTAB_FUNC(dsa_mdb_present_in_other_db, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_drivers_register, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_drivers_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_bridge_vid, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_standalone_vid, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_rx_switch_id, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_rx_source_port, "_gpl", "");
KSYMTAB_FUNC(vid_is_dsa_8021q, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_bridge_join, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_bridge_leave, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_register, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_xmit, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_find_user, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_rcv, "_gpl", "");
KSYMTAB_FUNC(dsa_enqueue_skb, "_gpl", "");
KSYMTAB_FUNC(dsa_port_phylink_mac_change, "_gpl", "");
KSYMTAB_FUNC(dsa_user_dev_check, "_gpl", "");

SYMBOL_CRC(dsa_devlink_param_get, 0xd077e855, "_gpl");
SYMBOL_CRC(dsa_devlink_param_set, 0x6e50d33a, "_gpl");
SYMBOL_CRC(dsa_devlink_params_register, 0x410e2c8e, "_gpl");
SYMBOL_CRC(dsa_devlink_params_unregister, 0x07d6283b, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_register, 0x9f2e7db6, "_gpl");
SYMBOL_CRC(dsa_devlink_resources_unregister, 0xf03c26c2, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_occ_get_register, 0x0dc9ff5f, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_occ_get_unregister, 0x4c3c9cf7, "_gpl");
SYMBOL_CRC(dsa_devlink_region_create, 0x43574b70, "_gpl");
SYMBOL_CRC(dsa_devlink_port_region_create, 0xf91ea101, "_gpl");
SYMBOL_CRC(dsa_devlink_region_destroy, 0xc23e8d5f, "_gpl");
SYMBOL_CRC(dsa_flush_workqueue, 0x0c6039ac, "_gpl");
SYMBOL_CRC(dsa_switch_find, 0xd17a2930, "_gpl");
SYMBOL_CRC(dsa_register_switch, 0x82ee4064, "_gpl");
SYMBOL_CRC(dsa_unregister_switch, 0x18e0124f, "_gpl");
SYMBOL_CRC(dsa_switch_shutdown, 0x9927bed0, "_gpl");
SYMBOL_CRC(dsa_switch_suspend, 0xea5dcfe4, "_gpl");
SYMBOL_CRC(dsa_switch_resume, 0x01ccfd7d, "_gpl");
SYMBOL_CRC(dsa_port_from_netdev, 0x255073fa, "_gpl");
SYMBOL_CRC(dsa_fdb_present_in_other_db, 0x847f394d, "_gpl");
SYMBOL_CRC(dsa_mdb_present_in_other_db, 0x771331b4, "_gpl");
SYMBOL_CRC(dsa_tag_drivers_register, 0x07eabc98, "_gpl");
SYMBOL_CRC(dsa_tag_drivers_unregister, 0x27d5a1c0, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_vid, 0x45ca5090, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_standalone_vid, 0x8031fdb0, "_gpl");
SYMBOL_CRC(dsa_8021q_rx_switch_id, 0x417d1fed, "_gpl");
SYMBOL_CRC(dsa_8021q_rx_source_port, 0x9e59271d, "_gpl");
SYMBOL_CRC(vid_is_dsa_8021q, 0xf13e1803, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_join, 0xca2550a0, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_leave, 0xb7a80d34, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_register, 0x0679d315, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_unregister, 0x7f91ae72, "_gpl");
SYMBOL_CRC(dsa_8021q_xmit, 0x37d906a1, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_find_user, 0x7a9d11bb, "_gpl");
SYMBOL_CRC(dsa_8021q_rcv, 0x7836e8df, "_gpl");
SYMBOL_CRC(dsa_enqueue_skb, 0x35b37a23, "_gpl");
SYMBOL_CRC(dsa_port_phylink_mac_change, 0xa4fc8d88, "_gpl");
SYMBOL_CRC(dsa_user_dev_check, 0xd8e4c105, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x19d1e275, "vlan_dev_vlan_proto" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9d3d08f0, "put_device" },
	{ 0x8cd4dc62, "devlink_resource_register" },
	{ 0x5800a45e, "netdev_upper_get_next_dev_rcu" },
	{ 0xa916b694, "strnlen" },
	{ 0x6fa426d2, "phylink_ethtool_nway_reset" },
	{ 0x7af53312, "netif_device_detach" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x3cb1153e, "switchdev_bridge_port_offload" },
	{ 0xe215f75b, "netif_device_attach" },
	{ 0x73c1803d, "phylink_ethtool_get_eee" },
	{ 0x7276b73a, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xc9797ff1, "ptp_classify_raw" },
	{ 0x55f5a823, "dev_open" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0xae86ca61, "devlink_region_create" },
	{ 0x3fe724ad, "vlan_dev_real_dev" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x1985ee9e, "__dev_get_by_index" },
	{ 0x35ee1753, "rtnl_link_unregister" },
	{ 0x7ec56c70, "perf_trace_run_bpf_submit" },
	{ 0xc381aa1a, "devlink_port_unregister" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x1eb1abab, "init_net" },
	{ 0x44154845, "noop_qdisc" },
	{ 0x904dbc22, "phy_ethtool_get_strings" },
	{ 0x2f31fd60, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x7d8388c, "dcb_ieee_getapp_mask" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6d64c27f, "sk_skb_reason_drop" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x845e5fc8, "dev_remove_pack" },
	{ 0x7ff53d0f, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xc7cf219a, "gro_cells_receive" },
	{ 0x5079e1be, "switchdev_handle_port_obj_del_foreign" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xf8fe5642, "phylink_ethtool_get_pauseparam" },
	{ 0xed153b93, "skb_push" },
	{ 0x3465f4a, "netdev_upper_dev_unlink" },
	{ 0x8d304f20, "nla_put" },
	{ 0x8fab75db, "dev_mc_del" },
	{ 0x658574f4, "trace_event_reg" },
	{ 0x51240040, "br_vlan_get_info" },
	{ 0x209cb8eb, "free_netdev" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x997855fd, "mdiobus_free" },
	{ 0xd2f514a4, "sysfs_create_group" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xb8b24a8d, "devlink_resource_occ_get_register" },
	{ 0xfd80cd6b, "ethtool_op_get_link" },
	{ 0x15c4e3e2, "phylink_ethtool_set_pauseparam" },
	{ 0xc3359801, "device_find_child" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb6bcee9d, "phylink_ethtool_set_eee" },
	{ 0x8213956, "phylink_ethtool_get_wol" },
	{ 0x88af9fb2, "devlink_port_fini" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x8fb6d881, "switchdev_bridge_port_unoffload" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x808df02e, "phy_ethtool_get_stats" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xdfd8110c, "flow_block_cb_is_busy" },
	{ 0x1fea6a3b, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x5dfcb6d3, "netif_rx" },
	{ 0xf2f8d99b, "dev_mc_add" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x52d95fc, "flow_block_cb_alloc" },
	{ 0xa0e2af34, "br_vlan_get_pvid_rcu" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd62ba63d, "skb_trim" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x23709dd3, "__dynamic_netdev_dbg" },
	{ 0xd191499b, "sysfs_remove_group" },
	{ 0x7a2e9d5c, "net_selftest" },
	{ 0xcb67b626, "bpf_trace_run3" },
	{ 0xf1658560, "mdiobus_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd170e4d2, "phylink_ethtool_ksettings_set" },
	{ 0x50c31f9f, "devlink_port_init" },
	{ 0x2e9f7012, "__netpoll_setup" },
	{ 0x2c3fe335, "__dev_queue_xmit" },
	{ 0x3909ef5f, "vlan_vid_add" },
	{ 0xa140eb4b, "devlink_params_register" },
	{ 0x27a7a36e, "trace_event_buffer_reserve" },
	{ 0xec7bf0b9, "br_vlan_get_info_rcu" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x12135396, "phylink_mac_change" },
	{ 0xfef35251, "vlan_vid_del" },
	{ 0x59083148, "dev_set_allmulti" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0xecf963e3, "devlink_resources_unregister" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x21fdb80f, "netdev_master_upper_dev_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf2eabe4f, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x56e3ae84, "__vlan_find_dev_deep_rcu" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x827bee3c, "devlink_port_region_create" },
	{ 0x401878fa, "devlink_priv" },
	{ 0x1060b4b7, "skb_copy" },
	{ 0x16cb1db1, "__hw_addr_sync_dev" },
	{ 0xdd517a71, "devlink_port_register_with_ops" },
	{ 0xd7e2e849, "mdiobus_get_phy" },
	{ 0x297093d2, "dst_release" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0x3ea637d0, "__mdiobus_register" },
	{ 0xe6020f33, "phylink_ethtool_ksettings_get" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4a945626, "dev_uc_add" },
	{ 0x788b948, "vlan_dev_vlan_id" },
	{ 0x62104126, "phylink_ethtool_set_wol" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x899d9b9e, "br_mst_enabled" },
	{ 0xd2ef6a40, "phylink_mii_ioctl" },
	{ 0xe1fd547f, "phylink_of_phy_connect" },
	{ 0x754d539c, "strlen" },
	{ 0x16a57400, "dev_kfree_skb_any_reason" },
	{ 0x1042e2fb, "dcb_ieee_delapp" },
	{ 0x8e6b1a9e, "net_selftest_get_count" },
	{ 0xf9b10b1c, "device_link_add" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xceab0311, "strchrnul" },
	{ 0x28260062, "dsa_stubs" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0xc291f44, "dcb_ieee_setapp" },
	{ 0xda08eae6, "phy_ethtool_get_sset_count" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x6ea64ec5, "__skb_vlan_pop" },
	{ 0xaefc0814, "phylink_connect_phy" },
	{ 0x94366c31, "br_get_ageing_time" },
	{ 0xc310ccf6, "register_netdevice" },
	{ 0x5014b242, "mdiobus_alloc_size" },
	{ 0xd06524ba, "raw_notifier_chain_unregister" },
	{ 0xbfdc8fa8, "netdev_lower_get_next" },
	{ 0xb9ce158e, "flow_block_cb_lookup" },
	{ 0x17a9cac4, "switchdev_handle_port_obj_add_foreign" },
	{ 0x86a09e11, "devlink_resource_occ_get_unregister" },
	{ 0x407d3d12, "dev_set_mtu" },
	{ 0x270454af, "br_vlan_enabled" },
	{ 0x6db45ff8, "__skb_pad" },
	{ 0x4e5daa9a, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8552cea7, "skb_ensure_writable_head_tail" },
	{ 0x1d337321, "bpf_trace_run4" },
	{ 0x9269016d, "devlink_unregister" },
	{ 0xa65f21bc, "__nlmsg_put" },
	{ 0xa851973a, "raw_notifier_call_chain" },
	{ 0xa410a295, "devlink_region_destroy" },
	{ 0xd61ca2e4, "br_port_flag_is_set" },
	{ 0x3cb06817, "devm_kmalloc" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xea639833, "call_switchdev_notifiers" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x35e2261e, "br_port_get_stp_state" },
	{ 0x74885bdc, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x97d9aa2, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd99d7994, "is_hsr_master" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x118546ed, "__netpoll_free" },
	{ 0xa11a97c1, "trace_raw_output_prep" },
	{ 0xddff3bdb, "br_vlan_get_proto" },
	{ 0x45545ded, "br_mst_get_state" },
	{ 0x852c5aa5, "unregister_netdev" },
	{ 0xb07d43ee, "__trace_trigger_soft_disabled" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xdf4574bf, "trace_event_printf" },
	{ 0x37c7fa66, "dev_uc_del" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf9e75e9a, "netpoll_send_skb" },
	{ 0x1048e087, "rtnl_link_register" },
	{ 0x58b4645c, "dev_close_many" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x5032391f, "devlink_params_unregister" },
	{ 0xe77ea0e9, "devlink_port_attrs_set" },
	{ 0xc090c376, "net_selftest_get_strings" },
	{ 0x549dee85, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfdb33960, "devlink_alloc_ns" },
	{ 0x4086f852, "dev_set_promiscuity" },
	{ 0x12888b3d, "devlink_register" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x4a059e35, "devlink_free" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xb458ed12, "gro_cells_init" },
	{ 0xd0d9d74c, "bpf_trace_run2" },
	{ 0xe45f97ac, "netdev_warn" },
	{ 0x8a87270e, "unregister_netdevice_queue" },
	{ 0x8576e767, "get_device" },
	{ 0xa2aed561, "skb_pull_rcsum" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x3f11db9b, "ether_setup" },
	{ 0x9f49769d, "switchdev_handle_fdb_event_to_device" },
	{ 0xdc9fa232, "raw_notifier_chain_register" },
	{ 0x4424eef3, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3e512e86, "netdev_upper_dev_link" },
	{ 0xd1d47d16, "pskb_expand_head" },
	{ 0xb48a48a3, "switchdev_handle_port_attr_set" },
	{ 0x8027bbfc, "phylink_create" },
	{ 0xc68c1d4a, "vlan_for_each" },
	{ 0x47233597, "netdev_port_same_parent_id" },
	{ 0x77188b5d, "trace_event_buffer_commit" },
	{ 0x712fdcf3, "dev_addr_mod" },
	{ 0x502db1b1, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc025779, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0x778a2d32, "br_mst_get_info" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "phylink,libphy,bridge,selftests,hsr");


MODULE_INFO(srcversion, "308A046FECBC97CBC74BE99");

MODULE_INFO(suserelease, "SLFO-1.2");
