#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hsr_get_version, "", "");
KSYMTAB_FUNC(is_hsr_master, "", "");

SYMBOL_CRC(hsr_get_version, 0xd8e53e4d, "");
SYMBOL_CRC(is_hsr_master, 0xd99d7994, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xab84dc28, "genlmsg_put" },
	{ 0x3f79c7d0, "dev_uc_sync_multiple" },
	{ 0x37a0cba, "kfree" },
	{ 0x4086f852, "dev_set_promiscuity" },
	{ 0x2e4f415b, "seq_lseek" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xe45f97ac, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x8a87270e, "unregister_netdevice_queue" },
	{ 0x571b667e, "netlink_ack" },
	{ 0x86b0fff0, "__pskb_copy_fclone" },
	{ 0x45e325f0, "dev_uc_unsync" },
	{ 0x3f11db9b, "ether_setup" },
	{ 0xa0166433, "netlink_broadcast_filtered" },
	{ 0x4424eef3, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3e512e86, "netdev_upper_dev_link" },
	{ 0x712fdcf3, "dev_addr_mod" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x8d91cbf3, "netdev_rx_handler_unregister" },
	{ 0xc2a1113c, "eth_header_parse" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbe3dbdfa, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x9071ee5, "skb_copy_expand" },
	{ 0x1985ee9e, "__dev_get_by_index" },
	{ 0x35ee1753, "rtnl_link_unregister" },
	{ 0x1eb1abab, "init_net" },
	{ 0x1c785e13, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6d64c27f, "sk_skb_reason_drop" },
	{ 0xdfee9d27, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xae84b7c4, "dev_get_by_index_rcu" },
	{ 0x597f20e3, "netdev_printk" },
	{ 0xed153b93, "skb_push" },
	{ 0x6de67898, "debugfs_remove" },
	{ 0x3465f4a, "netdev_upper_dev_unlink" },
	{ 0x8d304f20, "nla_put" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xdc840c98, "netdev_set_operstate" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2b64348b, "__pskb_pull_tail" },
	{ 0x5dfcb6d3, "netif_rx" },
	{ 0x4e69b266, "__netdev_alloc_skb" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xd62ba63d, "skb_trim" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4a38d9f7, "seq_read" },
	{ 0xcf898e76, "debugfs_rename" },
	{ 0x2c3fe335, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x63de0fe4, "call_netdevice_notifiers" },
	{ 0x59083148, "dev_set_allmulti" },
	{ 0x9f7aac60, "seq_write" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf2eabe4f, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x7ad7a5cd, "seq_printf" },
	{ 0x44ea4aa5, "skb_clone" },
	{ 0x72153cc5, "netif_carrier_on" },
	{ 0x8ae718dd, "debugfs_create_file_full" },
	{ 0x2e039fab, "netdev_rx_handler_register" },
	{ 0x8d8b2fb3, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xaa328c94, "genl_unregister_family" },
	{ 0x931b86a6, "dev_disable_lro" },
	{ 0x16a57400, "dev_kfree_skb_any_reason" },
	{ 0x495b28e9, "single_open" },
	{ 0xd20f3ddd, "debugfs_create_dir" },
	{ 0xf08b864e, "dev_mc_unsync" },
	{ 0x473f6ee4, "genl_register_family" },
	{ 0x19c216c0, "netdev_core_stats_inc" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x8a9b70b, "netdev_info" },
	{ 0x53551249, "dev_mc_sync_multiple" },
	{ 0xc310ccf6, "register_netdevice" },
	{ 0x407d3d12, "dev_set_mtu" },
	{ 0x6db45ff8, "__skb_pad" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xcc3a2525, "eth_header" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x3ec4ea5, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x40854fdd, "netdev_update_features" },
	{ 0xb0e602eb, "memmove" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0x1048e087, "rtnl_link_register" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "DFE0155B192BFF436127649");

MODULE_INFO(suserelease, "SLFO-1.2");
