#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(wpan_phy_find, "", "");
KSYMTAB_FUNC(wpan_phy_for_each, "", "");
KSYMTAB_FUNC(wpan_phy_new, "", "");
KSYMTAB_FUNC(wpan_phy_register, "", "");
KSYMTAB_FUNC(wpan_phy_unregister, "", "");
KSYMTAB_FUNC(wpan_phy_free, "", "");
KSYMTAB_FUNC(ieee802154_hdr_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_mac_cmd_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_beacon_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_pull, "_gpl", "");
KSYMTAB_FUNC(ieee802154_mac_cmd_pl_pull, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek_addrs, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek, "_gpl", "");
KSYMTAB_FUNC(ieee802154_max_payload, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_event, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_started, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_done, "_gpl", "");
KSYMTAB_FUNC(nl802154_beaconing_done, "_gpl", "");
KSYMTAB_FUNC(cfg802154_device_is_parent, "_gpl", "");
KSYMTAB_FUNC(cfg802154_device_is_child, "_gpl", "");
KSYMTAB_FUNC(cfg802154_get_free_short_addr, "_gpl", "");
KSYMTAB_FUNC(cfg802154_set_max_associations, "_gpl", "");

SYMBOL_CRC(wpan_phy_find, 0x18a1d845, "");
SYMBOL_CRC(wpan_phy_for_each, 0x7dc6da67, "");
SYMBOL_CRC(wpan_phy_new, 0x979d7352, "");
SYMBOL_CRC(wpan_phy_register, 0xca960363, "");
SYMBOL_CRC(wpan_phy_unregister, 0x39767787, "");
SYMBOL_CRC(wpan_phy_free, 0x2e68cc46, "");
SYMBOL_CRC(ieee802154_hdr_push, 0xf2598067, "_gpl");
SYMBOL_CRC(ieee802154_mac_cmd_push, 0xd2fe8c60, "_gpl");
SYMBOL_CRC(ieee802154_beacon_push, 0x54b1fefb, "_gpl");
SYMBOL_CRC(ieee802154_hdr_pull, 0xc159e022, "_gpl");
SYMBOL_CRC(ieee802154_mac_cmd_pl_pull, 0xa14f75ef, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek_addrs, 0x6570ce51, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek, 0x114dc38c, "_gpl");
SYMBOL_CRC(ieee802154_max_payload, 0x87e2553b, "_gpl");
SYMBOL_CRC(nl802154_scan_event, 0x53f79450, "_gpl");
SYMBOL_CRC(nl802154_scan_started, 0x0a071d15, "_gpl");
SYMBOL_CRC(nl802154_scan_done, 0x0a2a572b, "_gpl");
SYMBOL_CRC(nl802154_beaconing_done, 0xef5d3cf7, "_gpl");
SYMBOL_CRC(cfg802154_device_is_parent, 0xae657708, "_gpl");
SYMBOL_CRC(cfg802154_device_is_child, 0x3ad5082b, "_gpl");
SYMBOL_CRC(cfg802154_get_free_short_addr, 0x386dc70a, "_gpl");
SYMBOL_CRC(cfg802154_set_max_associations, 0x4d36b172, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xed153b93, "skb_push" },
	{ 0x8d304f20, "nla_put" },
	{ 0x658574f4, "trace_event_reg" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xafc20114, "class_unregister" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x5515ad8e, "unregister_pernet_device" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x57a45346, "bpf_trace_run1" },
	{ 0x1080ce71, "device_del" },
	{ 0x288692d, "dev_set_mac_address" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0x2b64348b, "__pskb_pull_tail" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xd62ba63d, "skb_trim" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xcb67b626, "bpf_trace_run3" },
	{ 0x2cb42dd5, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xfae9a238, "get_net_ns_by_pid" },
	{ 0x27a7a36e, "trace_event_buffer_reserve" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xc28c8471, "device_match_name" },
	{ 0x2cd8bc0, "dev_get_by_name" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xaa328c94, "genl_unregister_family" },
	{ 0x754d539c, "strlen" },
	{ 0x473f6ee4, "genl_register_family" },
	{ 0x549c865c, "__dev_change_net_namespace" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xabdbfb00, "register_pernet_device" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x5abd260, "get_net_ns_by_fd" },
	{ 0xb3d2d914, "class_register" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x8e4b8288, "class_find_device" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x1d337321, "bpf_trace_run4" },
	{ 0x3ec4ea5, "skb_put" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x50707f9c, "dev_set_name" },
	{ 0xcecf8b41, "trace_output_call" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa11a97c1, "trace_raw_output_prep" },
	{ 0x2fba5c7c, "nla_put_64bit" },
	{ 0xb07d43ee, "__trace_trigger_soft_disabled" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0xdf4574bf, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4628038c, "device_initialize" },
	{ 0xab84dc28, "genlmsg_put" },
	{ 0x549dee85, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xd0d9d74c, "bpf_trace_run2" },
	{ 0x3416d62c, "prepare_to_wait_event" },
	{ 0xf6491531, "__wake_up" },
	{ 0x8576e767, "get_device" },
	{ 0xa0166433, "netlink_broadcast_filtered" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xac14972c, "device_rename" },
	{ 0x77188b5d, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9d3d08f0, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xbe3dbdfa, "__alloc_skb" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x24d06d9e, "class_for_each_device" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x1985ee9e, "__dev_get_by_index" },
	{ 0x7ec56c70, "perf_trace_run_bpf_submit" },
	{ 0x1eb1abab, "init_net" },
	{ 0x1c785e13, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x9907f28, "device_add" },
	{ 0x6d64c27f, "sk_skb_reason_drop" },
	{ 0xdfee9d27, "netlink_unicast" },
	{ 0xf785fbf2, "dev_get_by_index" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "41E7773C1AA1DB2EE13E023");

MODULE_INFO(suserelease, "SLFO-1.2");
