#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(inet_diag_msg_common_fill, "_gpl", "");
KSYMTAB_FUNC(inet_diag_msg_attrs_fill, "_gpl", "");
KSYMTAB_FUNC(inet_sk_diag_fill, "_gpl", "");
KSYMTAB_FUNC(inet_diag_find_one_icsk, "_gpl", "");
KSYMTAB_FUNC(inet_diag_dump_one_icsk, "_gpl", "");
KSYMTAB_FUNC(inet_diag_bc_sk, "_gpl", "");
KSYMTAB_FUNC(inet_diag_dump_icsk, "_gpl", "");
KSYMTAB_FUNC(inet_diag_register, "_gpl", "");
KSYMTAB_FUNC(inet_diag_unregister, "_gpl", "");

SYMBOL_CRC(inet_diag_msg_common_fill, 0xb9da38d5, "_gpl");
SYMBOL_CRC(inet_diag_msg_attrs_fill, 0x8641e21a, "_gpl");
SYMBOL_CRC(inet_sk_diag_fill, 0x387ff9d4, "_gpl");
SYMBOL_CRC(inet_diag_find_one_icsk, 0x01887b43, "_gpl");
SYMBOL_CRC(inet_diag_dump_one_icsk, 0xa33fb6b5, "_gpl");
SYMBOL_CRC(inet_diag_bc_sk, 0xe8f3bf87, "_gpl");
SYMBOL_CRC(inet_diag_dump_icsk, 0x89e6297a, "_gpl");
SYMBOL_CRC(inet_diag_register, 0xbec59993, "_gpl");
SYMBOL_CRC(inet_diag_unregister, 0x4297fdc5, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x449ad0a7, "memcmp" },
	{ 0x8e4eb451, "bpf_sk_storage_diag_free" },
	{ 0x37a0cba, "kfree" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4e5daa9a, "try_module_get" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf665f74f, "sock_load_diag_module" },
	{ 0xd1d47d16, "pskb_expand_head" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7276b73a, "module_put" },
	{ 0x3c74d0ff, "__netlink_dump_start" },
	{ 0x2fa90ef6, "sock_diag_unregister" },
	{ 0xc9802272, "sock_diag_unregister_inet_compat" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x4d63f30a, "sock_diag_register" },
	{ 0xc1cc0fcf, "sock_diag_register_inet_compat" },
	{ 0xc5ea5916, "netlink_net_capable" },
	{ 0x5d8476d3, "bpf_sk_storage_diag_alloc" },
	{ 0x2a004eaf, "inet6_lookup" },
	{ 0xf5b2cd44, "sock_diag_check_cookie" },
	{ 0x63badb5a, "__inet_lookup_established" },
	{ 0x347afee1, "sock_gen_put" },
	{ 0xea816fd4, "__inet_lookup_listener" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa65f21bc, "__nlmsg_put" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xedb6fa3e, "bpf_sk_storage_diag_put" },
	{ 0x64f6be09, "sock_diag_put_meminfo" },
	{ 0xa916b694, "strnlen" },
	{ 0x639cb360, "nla_reserve_64bit" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xbe3dbdfa, "__alloc_skb" },
	{ 0xdfee9d27, "netlink_unicast" },
	{ 0x6d64c27f, "sk_skb_reason_drop" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x7e5e3524, "sk_free" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfe09fb, "sock_diag_save_cookie" },
	{ 0x8d304f20, "nla_put" },
	{ 0x2fba5c7c, "nla_put_64bit" },
	{ 0x4dab5cf1, "sock_i_uid" },
	{ 0x49d7ffb9, "from_kuid_munged" },
	{ 0x6c9bae71, "sock_i_ino" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd62ba63d, "skb_trim" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "90F85384506243E4694C237");

MODULE_INFO(suserelease, "SLFO-1.2");
