#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ipt_alloc_initial_table, "_gpl", "");
KSYMTAB_FUNC(ipt_register_table, "", "");
KSYMTAB_FUNC(ipt_unregister_table_pre_exit, "", "");
KSYMTAB_FUNC(ipt_unregister_table_exit, "", "");
KSYMTAB_FUNC(ipt_do_table, "", "");

SYMBOL_CRC(ipt_alloc_initial_table, 0xe366a40c, "_gpl");
SYMBOL_CRC(ipt_register_table, 0xba18a27f, "");
SYMBOL_CRC(ipt_unregister_table_pre_exit, 0x26bdee58, "");
SYMBOL_CRC(ipt_unregister_table_exit, 0x3cf2fae4, "");
SYMBOL_CRC(ipt_do_table, 0x0004e547, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc7fae024, "xt_compat_calc_jump" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd547d072, "xt_proto_fini" },
	{ 0x54a98fb6, "xt_proto_init" },
	{ 0xafea89a, "nf_unregister_sockopt" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x9c995c69, "xt_percpu_counter_alloc" },
	{ 0x731a1d79, "xt_request_find_match" },
	{ 0xf20d745d, "xt_check_match" },
	{ 0x7276b73a, "module_put" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xbfacb837, "xt_percpu_counter_free" },
	{ 0xe094208b, "xt_request_find_target" },
	{ 0x589430f0, "xt_check_target" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0xb2c9b900, "xt_request_find_table_lock" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0xd46374d0, "xt_table_unlock" },
	{ 0xa7c94f1d, "xt_compat_lock" },
	{ 0xd1e246a2, "xt_compat_unlock" },
	{ 0x4e27719, "xt_compat_flush_offsets" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x807d2b2c, "xt_recseq" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xbecb423b, "xt_find_table_lock" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x2fa8d1b9, "xt_compat_match_to_user" },
	{ 0x999e8297, "vfree" },
	{ 0x69ec6958, "xt_compat_target_to_user" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0xd3fcc511, "xt_tee_enabled" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x70c52dc5, "nf_skb_duplicated" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7fe64330, "nf_log_trace" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xf40bda56, "ns_capable" },
	{ 0xddf68fc6, "xt_find_revision" },
	{ 0x6cafeb2c, "xt_match_to_user" },
	{ 0x89980e7, "xt_target_to_user" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x4c988a1c, "xt_unregister_table" },
	{ 0xe204e042, "xt_free_table_info" },
	{ 0xcb3e91cc, "xt_counters_alloc" },
	{ 0x4b2ce663, "xt_replace_table" },
	{ 0xd7f5fcd, "xt_alloc_entry_offsets" },
	{ 0xd87ae60d, "xt_check_entry_offsets" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x3bf9d084, "xt_check_table_hooks" },
	{ 0xfef779fa, "xt_find_jump_offset" },
	{ 0x977fd4bf, "xt_alloc_table_info" },
	{ 0x69acdf38, "memcpy" },
	{ 0x1ce0ee2c, "xt_register_table" },
	{ 0x25f2b2c8, "kmemdup_array" },
	{ 0xf7da6010, "nf_register_net_hooks" },
	{ 0xa25fc115, "xt_compat_check_entry_offsets" },
	{ 0xfb578fc5, "memset" },
	{ 0x95e8511b, "xt_compat_match_from_user" },
	{ 0x4b862583, "xt_compat_target_from_user" },
	{ 0xf6abeb06, "xt_copy_counters" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xde7c2634, "xt_find_table" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xc775954c, "nf_unregister_net_hooks" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8a0061d1, "register_pernet_subsys" },
	{ 0xdeecbb91, "xt_register_targets" },
	{ 0xc8f17678, "nf_register_sockopt" },
	{ 0x3ed60321, "xt_unregister_targets" },
	{ 0x74ce375f, "unregister_pernet_subsys" },
	{ 0x50873741, "xt_compat_init_offsets" },
	{ 0x390ac91, "xt_compat_match_offset" },
	{ 0xa6a765da, "xt_compat_target_offset" },
	{ 0x823edea5, "xt_compat_add_offset" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "x_tables");


MODULE_INFO(srcversion, "80D04EB8A9B6BE6649C7F2C");

MODULE_INFO(suserelease, "SLFO-1.2");
