#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ip_vs_conn_in_get_proto, "_gpl", "");
KSYMTAB_FUNC(ip_vs_conn_out_get_proto, "_gpl", "");
KSYMTAB_FUNC(register_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(unregister_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(ip_vs_proto_name, "", "");
KSYMTAB_FUNC(ip_vs_conn_new, "", "");
KSYMTAB_FUNC(ip_vs_conn_in_get, "", "");
KSYMTAB_FUNC(ip_vs_conn_out_get, "", "");
KSYMTAB_FUNC(ip_vs_tcp_conn_listen, "", "");
KSYMTAB_FUNC(ip_vs_conn_put, "", "");
KSYMTAB_FUNC(ip_vs_new_conn_out, "", "");
KSYMTAB_FUNC(ip_vs_scheduler_err, "", "");
KSYMTAB_FUNC(register_ip_vs_app, "", "");
KSYMTAB_FUNC(unregister_ip_vs_app, "", "");
KSYMTAB_FUNC(register_ip_vs_app_inc, "", "");
KSYMTAB_FUNC(ip_vs_proto_get, "", "");
KSYMTAB_FUNC(ip_vs_proto_data_get, "", "");
KSYMTAB_FUNC(register_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(unregister_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(ip_vs_nfct_expect_related, "", "");

SYMBOL_CRC(ip_vs_conn_in_get_proto, 0x83f3bd75, "_gpl");
SYMBOL_CRC(ip_vs_conn_out_get_proto, 0xea7871d2, "_gpl");
SYMBOL_CRC(register_ip_vs_scheduler, 0xe52bfccb, "");
SYMBOL_CRC(unregister_ip_vs_scheduler, 0xcd068205, "");
SYMBOL_CRC(ip_vs_proto_name, 0xd831a1a2, "");
SYMBOL_CRC(ip_vs_conn_new, 0xcdff1964, "");
SYMBOL_CRC(ip_vs_conn_in_get, 0x7b0fc0b1, "");
SYMBOL_CRC(ip_vs_conn_out_get, 0x9cbb4010, "");
SYMBOL_CRC(ip_vs_tcp_conn_listen, 0x4ef001d2, "");
SYMBOL_CRC(ip_vs_conn_put, 0x91ba329f, "");
SYMBOL_CRC(ip_vs_new_conn_out, 0xe9d398ab, "");
SYMBOL_CRC(ip_vs_scheduler_err, 0xe087ef0b, "");
SYMBOL_CRC(register_ip_vs_app, 0xe4de08da, "");
SYMBOL_CRC(unregister_ip_vs_app, 0x736b3947, "");
SYMBOL_CRC(register_ip_vs_app_inc, 0x45b6edde, "");
SYMBOL_CRC(ip_vs_proto_get, 0x4b923b77, "");
SYMBOL_CRC(ip_vs_proto_data_get, 0x8f038af4, "");
SYMBOL_CRC(register_ip_vs_pe, 0xe02dfb79, "_gpl");
SYMBOL_CRC(unregister_ip_vs_pe, 0x29408b3a, "_gpl");
SYMBOL_CRC(ip_vs_nfct_expect_related, 0xdd5d4b4e, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdb40452, "ip_route_me_harder" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xed153b93, "skb_push" },
	{ 0xdf9ceed4, "kmem_cache_free" },
	{ 0x1b408232, "set_cpus_allowed_ptr" },
	{ 0x56a719f2, "seq_putc" },
	{ 0x8d304f20, "nla_put" },
	{ 0x198ca98c, "proc_doulongvec_minmax" },
	{ 0x1d4b8c56, "nf_ct_expect_alloc" },
	{ 0x2fe8c193, "skb_ensure_writable" },
	{ 0x3029544b, "iov_iter_kvec" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x3a484d30, "ip_mc_join_group" },
	{ 0x3a432e3c, "nf_ct_expect_put" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xf40bda56, "ns_capable" },
	{ 0xc775954c, "nf_unregister_net_hooks" },
	{ 0x216a9317, "inet_select_addr" },
	{ 0x5515ad8e, "unregister_pernet_device" },
	{ 0x7bda0276, "lock_sock_nested" },
	{ 0xe3178c17, "inet_addr_type" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xad6d7e4b, "kthread_stop" },
	{ 0x9a4dbcc6, "__nf_conntrack_confirm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x74ce375f, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x943b0e8b, "kernel_connect" },
	{ 0x3d61d74a, "skb_checksum" },
	{ 0xfb578fc5, "memset" },
	{ 0xa5321a75, "ip_defrag" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xfa10416, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x2b64348b, "__pskb_pull_tail" },
	{ 0x7a334b53, "nf_ct_delete" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x8337a399, "__kmem_cache_create_args" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd62ba63d, "skb_trim" },
	{ 0xbda1ab61, "nf_hook_slow" },
	{ 0x25531590, "mutex_trylock" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd00c9875, "kthread_create_on_node" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0xd83898d5, "nf_hooks_needed" },
	{ 0xa5d4cc24, "nf_ct_deliver_cached_events" },
	{ 0x97210b38, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdad24e0a, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xd61ea15d, "__icmp_send" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x643dfe34, "ipv4_mtu" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x8e752705, "skb_set_owner_w" },
	{ 0x1632b49e, "__skb_checksum" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xb078e2d1, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x538eb2d2, "init_user_ns" },
	{ 0x97bfbd1c, "nf_ct_expect_init" },
	{ 0x9f7aac60, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6e063721, "remove_proc_entry" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x7ad7a5cd, "seq_printf" },
	{ 0xdd09f942, "sock_recvmsg" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x29fa25e4, "proc_create_net_single" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7173a807, "ipv4_update_pmtu" },
	{ 0x10425d48, "nf_defrag_ipv6_enable" },
	{ 0x297093d2, "dst_release" },
	{ 0xad634552, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x70ee1bf3, "proc_dointvec" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x64a4da03, "unregister_net_sysctl_table" },
	{ 0x2f057da6, "ip_local_out" },
	{ 0xaa328c94, "genl_unregister_family" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x61a51c6, "udp6_set_csum" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xf2203c5f, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x473f6ee4, "genl_register_family" },
	{ 0x588ec5bb, "kernel_sendmsg" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xbd82e9b0, "nf_ct_netns_put" },
	{ 0xabdbfb00, "register_pernet_device" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x8019049f, "kmem_cache_destroy" },
	{ 0xe9ee676b, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8dc6f00d, "proc_dointvec_minmax" },
	{ 0xe9df1bd7, "nf_ct_ext_add" },
	{ 0x1b015d25, "bitmap_parselist" },
	{ 0xdadad22a, "nf_conntrack_find_get" },
	{ 0x4e5daa9a, "try_module_get" },
	{ 0x4ef3b767, "__ip_select_ident" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x52a08a39, "icmp6_send" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x5adf76d8, "skb_copy_bits" },
	{ 0xb395bdc0, "xfrm_lookup" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x3007ad93, "proc_dointvec_jiffies" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xba60262d, "housekeeping_cpumask" },
	{ 0x74885bdc, "consume_skb" },
	{ 0xdfea70d0, "ip6_local_out" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x1e0a0c24, "mod_timer_pending" },
	{ 0x2c6c41c3, "ip_output" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc8f17678, "nf_register_sockopt" },
	{ 0x2fba5c7c, "nla_put_64bit" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x940b4e40, "nf_ct_netns_get" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x8e367a76, "kernel_bind" },
	{ 0xf6f69aba, "set_user_nice" },
	{ 0xab84dc28, "genlmsg_put" },
	{ 0x1b93f4a8, "udp_set_csum" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xf37a6e84, "ip6_output" },
	{ 0xb34cc9c, "ip6_route_me_harder" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x3416d62c, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x883c3a0f, "__module_get" },
	{ 0x2fceb1, "ip_route_output_flow" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x4cab31a7, "iptunnel_handle_offloads" },
	{ 0xac3201b0, "udp_flow_hashrnd" },
	{ 0x278bf4e3, "__dev_get_by_name" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xd60f8c84, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd1d47d16, "pskb_expand_head" },
	{ 0x8a0061d1, "register_pernet_subsys" },
	{ 0x1d8a5fdd, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x62faafff, "register_net_sysctl_sz" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xafea89a, "nf_unregister_sockopt" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xf7da6010, "nf_register_net_hooks" },
	{ 0x3c1147f8, "ip6_route_output_flags" },
	{ 0xa916b694, "strnlen" },
	{ 0xbe3dbdfa, "__alloc_skb" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7ade5564, "ipv6_sock_mc_join" },
	{ 0x7276b73a, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0xfac8865f, "sysctl_wmem_max" },
	{ 0xb05fc310, "sysctl_rmem_max" },
	{ 0xb7ba9313, "ipv6_dev_get_saddr" },
	{ 0xe37c1f69, "__skb_get_hash_net" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1eb1abab, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x13900f5f, "ip6_mtu" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x6d64c27f, "sk_skb_reason_drop" },
	{ 0xdfee9d27, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xebc4d468, "nf_ct_expect_related_report" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,libcrc32c,nf_defrag_ipv6");


MODULE_INFO(srcversion, "D11A3AAFA9D6EAFE06A87F9");

MODULE_INFO(suserelease, "SLFO-1.2");
