#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(nf_conntrack_locks, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_expect_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_hash, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_htable_size, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_max, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_tuplepr, "_gpl", "");
KSYMTAB_FUNC(nf_ct_invert_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_id, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_free, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy, "", "");
KSYMTAB_FUNC(nf_ct_delete, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_hash_check_insert, "_gpl", "");
KSYMTAB_FUNC(nf_ct_acct_add, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_tuple_taken, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_free, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_in, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_refresh_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_kill_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_tuple_to_nlattr, "_gpl", "");
KSYMTAB_DATA(nf_ct_port_nla_policy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_to_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_tuple_size, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_cleanup_net, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_alloc_hashtable, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_timeout, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_status, "_gpl", "");
KSYMTAB_FUNC(nf_ct_change_status_common, "_gpl", "");
KSYMTAB_FUNC(print_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_count, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hsize, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hash, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unlink_expect_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expect, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_expect_find, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expectations, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unexpect_related, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_related_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_net, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hash, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hsize, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_helper_find, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_ext_add, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_try_assign_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_name, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_symbol, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_log, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_init, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_find, "_gpl", "");
KSYMTAB_FUNC(nf_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ext_add, "", "");
KSYMTAB_FUNC(__nf_ct_ext_find, "", "");
KSYMTAB_FUNC(nf_ct_seqadj_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tcp_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_adjust, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_offset, "_gpl", "");
KSYMTAB_DATA(nf_ct_timeout_hook, "_gpl", "");
KSYMTAB_FUNC(nf_ct_untimeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_set_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_conn_pernet_ecache, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_eventmask_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_deliver_cached_events, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_register_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_unregister_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ecache_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_replace, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_get, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_add_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_skb_network_trim, "_gpl", "");
KSYMTAB_FUNC(nf_ct_handle_fragments, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_add, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_destroy, "_gpl", "");

SYMBOL_CRC(nf_conntrack_locks, 0x790f9d0e, "_gpl");
SYMBOL_CRC(nf_conntrack_expect_lock, 0x3c757025, "_gpl");
SYMBOL_CRC(nf_conntrack_hash, 0x28eff409, "_gpl");
SYMBOL_CRC(nf_conntrack_lock, 0xdc24a1e8, "_gpl");
SYMBOL_CRC(nf_conntrack_htable_size, 0x8ffe7e89, "_gpl");
SYMBOL_CRC(nf_conntrack_max, 0xf38bcdf3, "_gpl");
SYMBOL_CRC(nf_ct_get_tuplepr, 0x264b688c, "_gpl");
SYMBOL_CRC(nf_ct_invert_tuple, 0x0460ec0f, "_gpl");
SYMBOL_CRC(nf_ct_get_id, 0x6b366aea, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_alloc, 0xfda554b5, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_free, 0xe2c584a8, "_gpl");
SYMBOL_CRC(nf_ct_destroy, 0x3b08a8f0, "");
SYMBOL_CRC(nf_ct_delete, 0x7a334b53, "_gpl");
SYMBOL_CRC(nf_conntrack_find_get, 0xdadad22a, "_gpl");
SYMBOL_CRC(nf_conntrack_hash_check_insert, 0xe91d216f, "_gpl");
SYMBOL_CRC(nf_ct_acct_add, 0xcf378d66, "_gpl");
SYMBOL_CRC(__nf_conntrack_confirm, 0x9a4dbcc6, "_gpl");
SYMBOL_CRC(nf_conntrack_tuple_taken, 0xec2d4b85, "_gpl");
SYMBOL_CRC(nf_conntrack_alloc, 0xf108600a, "_gpl");
SYMBOL_CRC(nf_conntrack_free, 0xd5ba168f, "_gpl");
SYMBOL_CRC(nf_conntrack_in, 0x9ac07911, "_gpl");
SYMBOL_CRC(__nf_ct_refresh_acct, 0xb44c281c, "_gpl");
SYMBOL_CRC(nf_ct_kill_acct, 0xc413b12e, "_gpl");
SYMBOL_CRC(nf_ct_port_tuple_to_nlattr, 0x0312379a, "_gpl");
SYMBOL_CRC(nf_ct_port_nla_policy, 0xeb0ab313, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_to_tuple, 0x752f0aa2, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_tuple_size, 0xd505c3e0, "_gpl");
SYMBOL_CRC(nf_ct_iterate_cleanup_net, 0x625b0af2, "_gpl");
SYMBOL_CRC(nf_ct_iterate_destroy, 0x718ed344, "_gpl");
SYMBOL_CRC(nf_ct_alloc_hashtable, 0x289c3714, "_gpl");
SYMBOL_CRC(__nf_ct_change_timeout, 0x1f4307f8, "_gpl");
SYMBOL_CRC(__nf_ct_change_status, 0x00617716, "_gpl");
SYMBOL_CRC(nf_ct_change_status_common, 0xbc9d2e88, "_gpl");
SYMBOL_CRC(print_tuple, 0x64d09284, "_gpl");
SYMBOL_CRC(nf_conntrack_count, 0x13010213, "_gpl");
SYMBOL_CRC(nf_ct_expect_hsize, 0xc18ac88d, "_gpl");
SYMBOL_CRC(nf_ct_expect_hash, 0xec8beba6, "_gpl");
SYMBOL_CRC(nf_ct_unlink_expect_report, 0xc69ac330, "_gpl");
SYMBOL_CRC(nf_ct_remove_expect, 0x1965a30d, "_gpl");
SYMBOL_CRC(__nf_ct_expect_find, 0x253f57eb, "_gpl");
SYMBOL_CRC(nf_ct_expect_find_get, 0x18682f3d, "_gpl");
SYMBOL_CRC(nf_ct_remove_expectations, 0xb326fed3, "_gpl");
SYMBOL_CRC(nf_ct_unexpect_related, 0x66adf41c, "_gpl");
SYMBOL_CRC(nf_ct_expect_alloc, 0x1d4b8c56, "_gpl");
SYMBOL_CRC(nf_ct_expect_init, 0x97bfbd1c, "_gpl");
SYMBOL_CRC(nf_ct_expect_put, 0x3a432e3c, "_gpl");
SYMBOL_CRC(nf_ct_expect_related_report, 0xebc4d468, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_destroy, 0x9d72ccc5, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_net, 0x2a09c74c, "_gpl");
SYMBOL_CRC(nf_ct_helper_hash, 0x693c3961, "_gpl");
SYMBOL_CRC(nf_ct_helper_hsize, 0xc40f284c, "_gpl");
SYMBOL_CRC(__nf_conntrack_helper_find, 0x1a714e3e, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_try_module_get, 0x8b3556e3, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_put, 0x857ddbbe, "_gpl");
SYMBOL_CRC(nf_nat_helper_try_module_get, 0x0bc00f80, "_gpl");
SYMBOL_CRC(nf_nat_helper_put, 0x29d58f87, "_gpl");
SYMBOL_CRC(nf_ct_helper_ext_add, 0x8adcb2bd, "_gpl");
SYMBOL_CRC(__nf_ct_try_assign_helper, 0x99b2a9f0, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_register, 0x04c67117, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_unregister, 0x9ab6cb1b, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_name, 0x1e5deb3d, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_symbol, 0x4dc8149e, "_gpl");
SYMBOL_CRC(nf_ct_helper_log, 0x43bd4928, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_register, 0x071130d5, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_unregister, 0x45c1b023, "_gpl");
SYMBOL_CRC(nf_ct_helper_init, 0x187b31d5, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_register, 0xf90b1a9c, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_unregister, 0x3aa9f1dd, "_gpl");
SYMBOL_CRC(nf_nat_helper_register, 0x65abae81, "_gpl");
SYMBOL_CRC(nf_nat_helper_unregister, 0x5f25ca77, "_gpl");
SYMBOL_CRC(nf_l4proto_log_invalid, 0xf74f4bff, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_log_invalid, 0x6b778175, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_find, 0xb917b69c, "_gpl");
SYMBOL_CRC(nf_confirm, 0x694df5fa, "_gpl");
SYMBOL_CRC(nf_ct_netns_get, 0x940b4e40, "_gpl");
SYMBOL_CRC(nf_ct_netns_put, 0xbd82e9b0, "_gpl");
SYMBOL_CRC(nf_ct_bridge_register, 0xa5643ecb, "_gpl");
SYMBOL_CRC(nf_ct_bridge_unregister, 0x3c59ee2a, "_gpl");
SYMBOL_CRC(nf_ct_ext_add, 0xe9df1bd7, "");
SYMBOL_CRC(__nf_ct_ext_find, 0x89d99ee1, "");
SYMBOL_CRC(nf_ct_seqadj_init, 0xdca5a770, "_gpl");
SYMBOL_CRC(nf_ct_seqadj_set, 0x003ab8ea, "_gpl");
SYMBOL_CRC(nf_ct_tcp_seqadj_set, 0x61673e7e, "_gpl");
SYMBOL_CRC(nf_ct_seq_adjust, 0xec121dda, "_gpl");
SYMBOL_CRC(nf_ct_seq_offset, 0x6f31fcb2, "_gpl");
SYMBOL_CRC(nf_ct_timeout_hook, 0x6e710f9d, "_gpl");
SYMBOL_CRC(nf_ct_untimeout, 0xefaa9a28, "_gpl");
SYMBOL_CRC(nf_ct_set_timeout, 0xb0e41299, "_gpl");
SYMBOL_CRC(nf_ct_destroy_timeout, 0xe2602221, "_gpl");
SYMBOL_CRC(nf_conn_pernet_ecache, 0x0ed1e7f5, "_gpl");
SYMBOL_CRC(nf_conntrack_eventmask_report, 0xef514416, "_gpl");
SYMBOL_CRC(nf_ct_deliver_cached_events, 0xa5d4cc24, "_gpl");
SYMBOL_CRC(nf_conntrack_register_notifier, 0x6255aaa3, "_gpl");
SYMBOL_CRC(nf_conntrack_unregister_notifier, 0xf142eded, "_gpl");
SYMBOL_CRC(nf_ct_ecache_ext_add, 0x08a48097, "_gpl");
SYMBOL_CRC(nf_connlabels_replace, 0xa9aa8983, "_gpl");
SYMBOL_CRC(nf_connlabels_get, 0x460207f0, "_gpl");
SYMBOL_CRC(nf_connlabels_put, 0x75218066, "_gpl");
SYMBOL_CRC(nf_ct_helper, 0x5b46fb21, "_gpl");
SYMBOL_CRC(nf_ct_add_helper, 0x02066058, "_gpl");
SYMBOL_CRC(nf_ct_skb_network_trim, 0xa8933c8d, "_gpl");
SYMBOL_CRC(nf_ct_handle_fragments, 0x0fcdf6d5, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_add, 0xd1afde3a, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_destroy, 0x96d2726c, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xc299905c, "make_kuid" },
	{ 0xb5e6a3c0, "nf_defrag_ipv6_disable" },
	{ 0xe344b42c, "ipv6_skip_exthdr" },
	{ 0xf7da6010, "nf_register_net_hooks" },
	{ 0xa916b694, "strnlen" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0x7276b73a, "module_put" },
	{ 0x2f81eec7, "nf_checksum" },
	{ 0x1eb1abab, "init_net" },
	{ 0x1e7454fc, "nf_ip6_check_hbh_len" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x6d64c27f, "sk_skb_reason_drop" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xdf9ceed4, "kmem_cache_free" },
	{ 0x56a719f2, "seq_putc" },
	{ 0x8d304f20, "nla_put" },
	{ 0xd979b03, "nf_checksum_partial" },
	{ 0x2fe8c193, "skb_ensure_writable" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xc775954c, "nf_unregister_net_hooks" },
	{ 0x7bda0276, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x74ce375f, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xa5321a75, "ip_defrag" },
	{ 0x19f33626, "nf_ctnetlink_has_listener" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xfa10416, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x6e234990, "nf_log_packet" },
	{ 0x8225e746, "make_kgid" },
	{ 0x3d78118d, "nf_ip_checksum" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x8337a399, "__kmem_cache_create_args" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xf92fcc0, "register_btf_kfunc_id_set" },
	{ 0xe4262c6, "__siphash_unaligned" },
	{ 0x9184261, "nf_conn_btf_access_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9fb64856, "down_read" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x254ad00e, "nla_policy_len" },
	{ 0x2cb42dd5, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0xe17678a, "siphash_4u64" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x1632b49e, "__skb_checksum" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x5da61cb1, "proc_set_user" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9199b9f0, "param_ops_bool" },
	{ 0x61fb6b9d, "inet_proto_csum_replace4" },
	{ 0x9f7aac60, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6e063721, "remove_proc_entry" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7ad7a5cd, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x10425d48, "nf_defrag_ipv6_enable" },
	{ 0xecfea88, "btf_type_by_id" },
	{ 0x70ee1bf3, "proc_dointvec" },
	{ 0x85114164, "nf_nat_hook" },
	{ 0xf44a904a, "net_ns_barrier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x64a4da03, "unregister_net_sysctl_table" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x14ce7e09, "nf_queue_nf_hook_drop" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x86f6b99d, "synchronize_rcu_expedited" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xd9c409bc, "pskb_trim_rcsum_slow" },
	{ 0xb570b5d7, "up_read" },
	{ 0x77a686fc, "net_rwsem" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x8019049f, "kmem_cache_destroy" },
	{ 0xe9ee676b, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x639da6d, "__do_once_done" },
	{ 0x4e5daa9a, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xfb249f9a, "nf_defrag_ipv4_disable" },
	{ 0xf12f3c1a, "nf_ip6_checksum" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xd55af1db, "proc_dou8vec_minmax" },
	{ 0x5adf76d8, "skb_copy_bits" },
	{ 0xe5eb5fd0, "param_ops_uint" },
	{ 0x3007ad93, "proc_dointvec_jiffies" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc8f17678, "nf_register_sockopt" },
	{ 0x2fba5c7c, "nla_put_64bit" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0x53e8ed14, "nfct_btf_struct_access" },
	{ 0x39951ea7, "param_set_uint" },
	{ 0x3d2b0d9b, "nf_defrag_ipv4_enable" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x10cef4, "nf_ct_frag6_gather" },
	{ 0xc9d7da4d, "get_net_ns_by_id" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xda6d19, "nf_ct_hook" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xd60f8c84, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x751d2e97, "bpf_log" },
	{ 0x8a0061d1, "register_pernet_subsys" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x62faafff, "register_net_sysctl_sz" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xafea89a, "nf_unregister_sockopt" },
	{ 0x549ebd6c, "param_get_uint" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "nf_defrag_ipv6,libcrc32c,nf_defrag_ipv4");


MODULE_INFO(srcversion, "31EB3E3A8D5CDE56ADA05B2");

MODULE_INFO(suserelease, "SLFO-1.2");
