#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(synproxy_net_id, "_gpl", "");
KSYMTAB_FUNC(synproxy_parse_options, "_gpl", "");
KSYMTAB_FUNC(synproxy_init_timestamp_cookie, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack, "_gpl", "");
KSYMTAB_FUNC(ipv4_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_fini, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack_ipv6, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack_ipv6, "_gpl", "");
KSYMTAB_FUNC(ipv6_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_fini, "_gpl", "");

SYMBOL_CRC(synproxy_net_id, 0xca9fc082, "_gpl");
SYMBOL_CRC(synproxy_parse_options, 0xf9dfe4e0, "_gpl");
SYMBOL_CRC(synproxy_init_timestamp_cookie, 0x1f099794, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack, 0x08711002, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack, 0x063d4d48, "_gpl");
SYMBOL_CRC(ipv4_synproxy_hook, 0x75d35b90, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_init, 0x354c7dd2, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_fini, 0x0d5049bd, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack_ipv6, 0x645e6d02, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack_ipv6, 0xcb1591e0, "_gpl");
SYMBOL_CRC(ipv6_synproxy_hook, 0xa5a4b077, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_init, 0x22f2013c, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_fini, 0x1aee3553, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x8a0061d1, "register_pernet_subsys" },
	{ 0x74ce375f, "unregister_pernet_subsys" },
	{ 0xf7da6010, "nf_register_net_hooks" },
	{ 0x7ad7a5cd, "seq_printf" },
	{ 0x9f7aac60, "seq_write" },
	{ 0xc775954c, "nf_unregister_net_hooks" },
	{ 0x2fe8c193, "skb_ensure_writable" },
	{ 0x61fb6b9d, "inet_proto_csum_replace4" },
	{ 0xdb40452, "ip_route_me_harder" },
	{ 0x2f057da6, "ip_local_out" },
	{ 0x6d64c27f, "sk_skb_reason_drop" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x9e724cfb, "security_skb_classify_flow" },
	{ 0x309f337a, "__nf_ip6_route" },
	{ 0xb395bdc0, "xfrm_lookup" },
	{ 0xdfea70d0, "ip6_local_out" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5adf76d8, "skb_copy_bits" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x6e063721, "remove_proc_entry" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xfda554b5, "nf_ct_tmpl_alloc" },
	{ 0xe9df1bd7, "nf_ct_ext_add" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0xd60f8c84, "proc_create_net_data" },
	{ 0xe2c584a8, "nf_ct_tmpl_free" },
	{ 0x99e6780e, "__cookie_v6_check" },
	{ 0xbe3dbdfa, "__alloc_skb" },
	{ 0x3ec4ea5, "skb_put" },
	{ 0xe344b42c, "ipv6_skip_exthdr" },
	{ 0xdca5a770, "nf_ct_seqadj_init" },
	{ 0x74885bdc, "consume_skb" },
	{ 0x7ca64a0b, "__cookie_v4_init_sequence" },
	{ 0x18428692, "__cookie_v6_init_sequence" },
	{ 0x2d0143e8, "__cookie_v4_check" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "99500728F5B57851ADBDFD3");

MODULE_INFO(suserelease, "SLFO-1.2");
