#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nfc_hci_result_to_errno, "", "");
KSYMTAB_FUNC(nfc_hci_reset_pipes, "", "");
KSYMTAB_FUNC(nfc_hci_reset_pipes_per_host, "", "");
KSYMTAB_FUNC(nfc_hci_sak_to_protocol, "", "");
KSYMTAB_FUNC(nfc_hci_target_discovered, "", "");
KSYMTAB_FUNC(nfc_hci_allocate_device, "", "");
KSYMTAB_FUNC(nfc_hci_free_device, "", "");
KSYMTAB_FUNC(nfc_hci_register_device, "", "");
KSYMTAB_FUNC(nfc_hci_unregister_device, "", "");
KSYMTAB_FUNC(nfc_hci_set_clientdata, "", "");
KSYMTAB_FUNC(nfc_hci_get_clientdata, "", "");
KSYMTAB_FUNC(nfc_hci_driver_failure, "", "");
KSYMTAB_FUNC(nfc_hci_recv_frame, "", "");
KSYMTAB_FUNC(nfc_hci_send_event, "", "");
KSYMTAB_FUNC(nfc_hci_send_cmd, "", "");
KSYMTAB_FUNC(nfc_hci_send_cmd_async, "", "");
KSYMTAB_FUNC(nfc_hci_set_param, "", "");
KSYMTAB_FUNC(nfc_hci_get_param, "", "");
KSYMTAB_FUNC(nfc_hci_disconnect_gate, "", "");
KSYMTAB_FUNC(nfc_hci_disconnect_all_gates, "", "");
KSYMTAB_FUNC(nfc_hci_connect_gate, "", "");
KSYMTAB_FUNC(nfc_llc_start, "", "");
KSYMTAB_FUNC(nfc_llc_stop, "", "");

SYMBOL_CRC(nfc_hci_result_to_errno, 0x74fe3670, "");
SYMBOL_CRC(nfc_hci_reset_pipes, 0x18d8577c, "");
SYMBOL_CRC(nfc_hci_reset_pipes_per_host, 0x0ff3e215, "");
SYMBOL_CRC(nfc_hci_sak_to_protocol, 0xdd231c55, "");
SYMBOL_CRC(nfc_hci_target_discovered, 0x9f7d105a, "");
SYMBOL_CRC(nfc_hci_allocate_device, 0xc2af118c, "");
SYMBOL_CRC(nfc_hci_free_device, 0x58d4312e, "");
SYMBOL_CRC(nfc_hci_register_device, 0xd219b18b, "");
SYMBOL_CRC(nfc_hci_unregister_device, 0x7b03664a, "");
SYMBOL_CRC(nfc_hci_set_clientdata, 0x36655e75, "");
SYMBOL_CRC(nfc_hci_get_clientdata, 0x23d3d2c4, "");
SYMBOL_CRC(nfc_hci_driver_failure, 0xb8803ccd, "");
SYMBOL_CRC(nfc_hci_recv_frame, 0x09c99a89, "");
SYMBOL_CRC(nfc_hci_send_event, 0x6a6e6fae, "");
SYMBOL_CRC(nfc_hci_send_cmd, 0x3c8c925d, "");
SYMBOL_CRC(nfc_hci_send_cmd_async, 0x2c154df0, "");
SYMBOL_CRC(nfc_hci_set_param, 0x50afb48d, "");
SYMBOL_CRC(nfc_hci_get_param, 0x0ca15353, "");
SYMBOL_CRC(nfc_hci_disconnect_gate, 0xe6e16f98, "");
SYMBOL_CRC(nfc_hci_disconnect_all_gates, 0xdd7cfb55, "");
SYMBOL_CRC(nfc_hci_connect_gate, 0x2d49bd2c, "");
SYMBOL_CRC(nfc_llc_start, 0x076fcc6c, "");
SYMBOL_CRC(nfc_llc_stop, 0xf3cb1a7c, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6d64c27f, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xed153b93, "skb_push" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x9c5464bb, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd62ba63d, "skb_trim" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x47c96707, "nfc_targets_found" },
	{ 0x2653f842, "nfc_driver_failure" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x452d9014, "nfc_register_device" },
	{ 0xdefc10ec, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x3ec4ea5, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x512c59c3, "skb_dequeue" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0x9970d2fd, "nfc_unregister_device" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x3416d62c, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6491531, "__wake_up" },
	{ 0x34539f8b, "nfc_allocate_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbddffed2, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x2e8b5577, "nfc_alloc_recv_skb" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9d3d08f0, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xbe3dbdfa, "__alloc_skb" },
	{ 0xe648e7c0, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1c785e13, "skb_pull" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "nfc");


MODULE_INFO(srcversion, "04C8699622E961E39E6C61F");

MODULE_INFO(suserelease, "SLFO-1.2");
