#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(pn_sock_hash, "", "");
KSYMTAB_FUNC(pn_sock_unhash, "", "");
KSYMTAB_DATA(phonet_stream_ops, "", "");
KSYMTAB_FUNC(pn_sock_get_port, "", "");
KSYMTAB_DATA(phonet_header_ops, "", "");
KSYMTAB_FUNC(pn_skb_send, "", "");
KSYMTAB_FUNC(phonet_proto_register, "", "");
KSYMTAB_FUNC(phonet_proto_unregister, "", "");

SYMBOL_CRC(pn_sock_hash, 0xcddbdfc9, "");
SYMBOL_CRC(pn_sock_unhash, 0x675714ec, "");
SYMBOL_CRC(phonet_stream_ops, 0x3db2c2bc, "");
SYMBOL_CRC(pn_sock_get_port, 0x354ba17f, "");
SYMBOL_CRC(phonet_header_ops, 0x29d66cd4, "");
SYMBOL_CRC(pn_skb_send, 0x6b9da073, "");
SYMBOL_CRC(phonet_proto_register, 0xde0ddc92, "");
SYMBOL_CRC(phonet_proto_unregister, 0xb46fd45c, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x62faafff, "register_net_sysctl_sz" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xea0c4074, "proto_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xef731cce, "sock_register" },
	{ 0x4694aa33, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xbe3dbdfa, "__alloc_skb" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0x4cf4fe68, "netlink_capable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf250e2d4, "rt_write_unlock" },
	{ 0x96d520e5, "rtnl_set_sk_err" },
	{ 0xb00bc408, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7276b73a, "module_put" },
	{ 0xd3c7a2, "__sk_receive_skb" },
	{ 0x11666b14, "sock_no_shutdown" },
	{ 0x1985ee9e, "__dev_get_by_index" },
	{ 0x1eb1abab, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6d64c27f, "sk_skb_reason_drop" },
	{ 0x845e5fc8, "dev_remove_pack" },
	{ 0xf785fbf2, "dev_get_by_index" },
	{ 0x7e5e3524, "sk_free" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xf53c8f7d, "sock_no_accept" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xed153b93, "skb_push" },
	{ 0x963666a1, "sock_no_listen" },
	{ 0x8d304f20, "nla_put" },
	{ 0x3b1b20cc, "__rtnl_register_many" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x7bda0276, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4e203a85, "skb_copy_datagram_iter" },
	{ 0x6ed8ccba, "sk_alloc" },
	{ 0x74ce375f, "unregister_pernet_subsys" },
	{ 0x77cfe8ee, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa86d7fc6, "sock_no_mmap" },
	{ 0x2b64348b, "__pskb_pull_tail" },
	{ 0x5dfcb6d3, "netif_rx" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x7fea67e7, "sock_common_recvmsg" },
	{ 0xd62ba63d, "skb_trim" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xd66fd6b2, "sk_common_release" },
	{ 0x3ae9daab, "seq_pad" },
	{ 0x6c9bae71, "sock_i_ino" },
	{ 0x2c3fe335, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x27d6b0bb, "prepare_to_wait_exclusive" },
	{ 0x6050e65f, "skb_recv_datagram" },
	{ 0xf985c453, "sock_alloc_send_pskb" },
	{ 0x9f7aac60, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6e063721, "remove_proc_entry" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x8a938828, "rtnl_notify" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x7ad7a5cd, "seq_printf" },
	{ 0x44ea4aa5, "skb_clone" },
	{ 0x9919fd8, "rt_write_lock" },
	{ 0x44531a37, "_copy_from_iter" },
	{ 0x64a4da03, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x49d7ffb9, "from_kuid_munged" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xc86a4b4, "iov_iter_revert" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x1c2ec37f, "sock_init_data" },
	{ 0x90dd26bf, "sk_ioctl" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xe9ee676b, "release_sock" },
	{ 0x8dc6f00d, "proc_dointvec_minmax" },
	{ 0xfa4517d4, "security_sock_graft" },
	{ 0x32869bb0, "skb_free_datagram" },
	{ 0x653b116b, "sock_queue_rcv_skb_reason" },
	{ 0x4e5daa9a, "try_module_get" },
	{ 0x4dab5cf1, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xa65f21bc, "__nlmsg_put" },
	{ 0x3ec4ea5, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x74885bdc, "consume_skb" },
	{ 0x97d9aa2, "dev_add_pack" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x579e0bf5, "rtnl_unregister_all" },
	{ 0xb9d9dbfb, "sock_common_getsockopt" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x66da095c, "___pskb_trim" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xaa337b3d, "sock_no_connect" },
	{ 0x90912baf, "sock_common_setsockopt" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xd60f8c84, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd1d47d16, "pskb_expand_head" },
	{ 0x8a0061d1, "register_pernet_subsys" },
	{ 0xbddffed2, "skb_queue_purge_reason" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E4924F66FE3C12BF0274286");

MODULE_INFO(suserelease, "SLFO-1.2");
