#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ife_encode_meta_u16, "_gpl", "");
KSYMTAB_FUNC(ife_get_meta_u32, "_gpl", "");
KSYMTAB_FUNC(ife_check_meta_u32, "_gpl", "");
KSYMTAB_FUNC(ife_check_meta_u16, "_gpl", "");
KSYMTAB_FUNC(ife_encode_meta_u32, "_gpl", "");
KSYMTAB_FUNC(ife_get_meta_u16, "_gpl", "");
KSYMTAB_FUNC(ife_alloc_meta_u32, "_gpl", "");
KSYMTAB_FUNC(ife_alloc_meta_u16, "_gpl", "");
KSYMTAB_FUNC(ife_release_meta_gen, "_gpl", "");
KSYMTAB_FUNC(ife_validate_meta_u32, "_gpl", "");
KSYMTAB_FUNC(ife_validate_meta_u16, "_gpl", "");
KSYMTAB_FUNC(unregister_ife_op, "_gpl", "");
KSYMTAB_FUNC(register_ife_op, "_gpl", "");

SYMBOL_CRC(ife_encode_meta_u16, 0x4c8cfee7, "_gpl");
SYMBOL_CRC(ife_get_meta_u32, 0x5a8ff59d, "_gpl");
SYMBOL_CRC(ife_check_meta_u32, 0x5b8541ff, "_gpl");
SYMBOL_CRC(ife_check_meta_u16, 0x47d517b6, "_gpl");
SYMBOL_CRC(ife_encode_meta_u32, 0xc0b6982d, "_gpl");
SYMBOL_CRC(ife_get_meta_u16, 0x4d25c21f, "_gpl");
SYMBOL_CRC(ife_alloc_meta_u32, 0xcd2f02de, "_gpl");
SYMBOL_CRC(ife_alloc_meta_u16, 0xf3fef8ce, "_gpl");
SYMBOL_CRC(ife_release_meta_gen, 0xb8c54952, "_gpl");
SYMBOL_CRC(ife_validate_meta_u32, 0xd7a9660c, "_gpl");
SYMBOL_CRC(ife_validate_meta_u16, 0xf40f1d62, "_gpl");
SYMBOL_CRC(unregister_ife_op, 0x512614b5, "_gpl");
SYMBOL_CRC(register_ife_op, 0x947b440e, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe7888e98, "ife_tlv_meta_encode" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x37a0cba, "kfree" },
	{ 0x9919fd8, "rt_write_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf250e2d4, "rt_write_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xa7735516, "tcf_register_action" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf4e9c5cf, "tcf_idrinfo_destroy" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xedd7eb58, "rt_read_lock" },
	{ 0x4e5daa9a, "try_module_get" },
	{ 0x9ebb2bfc, "rt_read_unlock" },
	{ 0x8bab42e0, "tcf_unregister_action" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x8d304f20, "nla_put" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5365e1eb, "ife_decode" },
	{ 0x67db2029, "ife_tlv_meta_decode" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6210e871, "ife_tlv_meta_next" },
	{ 0x502db1b1, "eth_type_trans" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xed153b93, "skb_push" },
	{ 0xbe809dbd, "ife_encode" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x1c785e13, "skb_pull" },
	{ 0x92997ed8, "_printk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x7276b73a, "module_put" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x2fba5c7c, "nla_put_64bit" },
	{ 0xd62ba63d, "skb_trim" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x10f56db7, "tcf_idr_check_alloc" },
	{ 0xc44ac65d, "tcf_action_check_ctrlact" },
	{ 0x4ebf2b46, "tcf_chain_put_by_act" },
	{ 0xc4a8ea14, "tcf_idr_release" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x971cde6f, "tcf_action_set_ctrlact" },
	{ 0x1b4796a9, "tcf_idr_create" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x4c58499b, "tcf_idr_cleanup" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "ife");


MODULE_INFO(srcversion, "834F0F8255C33F2BB13D41E");

MODULE_INFO(suserelease, "SLFO-1.2");
