#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(smc_proto, "_gpl", "");
KSYMTAB_DATA(smc_proto6, "_gpl", "");
KSYMTAB_DATA(__tracepoint_smc_switch_to_fallback, "", "");
KSYMTAB_FUNC(__traceiter_smc_switch_to_fallback, "", "");
KSYMTAB_DATA(__SCK__tp_func_smc_switch_to_fallback, "", "");
KSYMTAB_FUNC(__SCT__tp_func_smc_switch_to_fallback, "", "");
KSYMTAB_DATA(__tracepoint_smc_tx_sendmsg, "", "");
KSYMTAB_FUNC(__traceiter_smc_tx_sendmsg, "", "");
KSYMTAB_DATA(__SCK__tp_func_smc_tx_sendmsg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_smc_tx_sendmsg, "", "");
KSYMTAB_DATA(__tracepoint_smc_rx_recvmsg, "", "");
KSYMTAB_FUNC(__traceiter_smc_rx_recvmsg, "", "");
KSYMTAB_DATA(__SCK__tp_func_smc_rx_recvmsg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_smc_rx_recvmsg, "", "");
KSYMTAB_DATA(__tracepoint_smcr_link_down, "", "");
KSYMTAB_FUNC(__traceiter_smcr_link_down, "", "");
KSYMTAB_DATA(__SCK__tp_func_smcr_link_down, "", "");
KSYMTAB_FUNC(__SCT__tp_func_smcr_link_down, "", "");

SYMBOL_CRC(smc_proto, 0x40f0d305, "_gpl");
SYMBOL_CRC(smc_proto6, 0x85de7ece, "_gpl");
SYMBOL_CRC(__tracepoint_smc_switch_to_fallback, 0xbe6b3479, "");
SYMBOL_CRC(__traceiter_smc_switch_to_fallback, 0xb5502674, "");
SYMBOL_CRC(__SCK__tp_func_smc_switch_to_fallback, 0x290e4032, "");
SYMBOL_CRC(__SCT__tp_func_smc_switch_to_fallback, 0x1e612b77, "");
SYMBOL_CRC(__tracepoint_smc_tx_sendmsg, 0x6c43e079, "");
SYMBOL_CRC(__traceiter_smc_tx_sendmsg, 0x56331110, "");
SYMBOL_CRC(__SCK__tp_func_smc_tx_sendmsg, 0x77bd2679, "");
SYMBOL_CRC(__SCT__tp_func_smc_tx_sendmsg, 0x87ccd0c7, "");
SYMBOL_CRC(__tracepoint_smc_rx_recvmsg, 0xeee2fd98, "");
SYMBOL_CRC(__traceiter_smc_rx_recvmsg, 0x02a82f70, "");
SYMBOL_CRC(__SCK__tp_func_smc_rx_recvmsg, 0xf51c3b98, "");
SYMBOL_CRC(__SCT__tp_func_smc_rx_recvmsg, 0x3ac4e1c7, "");
SYMBOL_CRC(__tracepoint_smcr_link_down, 0x386bfa87, "");
SYMBOL_CRC(__traceiter_smcr_link_down, 0x85433c44, "");
SYMBOL_CRC(__SCK__tp_func_smcr_link_down, 0x23953c87, "");
SYMBOL_CRC(__SCT__tp_func_smcr_link_down, 0x3bcd3bb9, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x77188b5d, "trace_event_buffer_commit" },
	{ 0xb912560d, "static_key_disable" },
	{ 0x62faafff, "register_net_sysctl_sz" },
	{ 0x1a140373, "tcp_abort" },
	{ 0x7d8f412c, "rdma_read_gid_attr_ndev_rcu" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x28ba6fe1, "dma_map_page_attrs" },
	{ 0x1a11ac70, "splice_to_pipe" },
	{ 0x92997ed8, "_printk" },
	{ 0xea0c4074, "proto_unregister" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xef731cce, "sock_register" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x9d3d08f0, "put_device" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0x159f6c2b, "ib_register_event_handler" },
	{ 0xa916b694, "strnlen" },
	{ 0xbe3dbdfa, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x6cb3aac, "__free_pages" },
	{ 0xf250e2d4, "rt_write_unlock" },
	{ 0xdb155e1d, "ib_unregister_event_handler" },
	{ 0xb00bc408, "proto_register" },
	{ 0x28a29f92, "tcp_unregister_ulp" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x7061f8f6, "__wake_up_sync_key" },
	{ 0x4fcbfa03, "ib_register_client" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xd0953608, "ib_map_mr_sg" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0x367306fd, "__dma_sync_single_for_cpu" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x7dcec1a7, "generic_pipe_buf_get" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x7ec56c70, "perf_trace_run_bpf_submit" },
	{ 0x1bbc2c5d, "ib_set_client_data" },
	{ 0xba0efd1f, "down_write" },
	{ 0x1eb1abab, "init_net" },
	{ 0x209b8854, "up_write" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6d64c27f, "sk_skb_reason_drop" },
	{ 0xdfee9d27, "netlink_unicast" },
	{ 0xa1907bde, "__SCK__tp_func_sk_data_ready" },
	{ 0xe8447127, "rdma_put_gid_attr" },
	{ 0x215a1b60, "kernel_getsockname" },
	{ 0x7e5e3524, "sk_free" },
	{ 0xfb880d8f, "sock_wake_async" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8d24a0e0, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xf43cd212, "ib_query_port" },
	{ 0x5a921311, "strncmp" },
	{ 0x8d304f20, "nla_put" },
	{ 0x658574f4, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xdb2e2a51, "proc_douintvec_minmax" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x3029544b, "iov_iter_kvec" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x7bda0276, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x481dda0e, "__put_devmap_managed_folio_refs" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x36e4b336, "__ib_create_cq" },
	{ 0x11089ac7, "_ctype" },
	{ 0x6ed8ccba, "sk_alloc" },
	{ 0xf526f9d8, "ib_destroy_qp_user" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x74ce375f, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x943b0e8b, "kernel_connect" },
	{ 0x77cfe8ee, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xee16b6ba, "sk_wait_data" },
	{ 0x8d54248e, "proc_douintvec" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x2f4bc816, "ib_alloc_mr" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa86d7fc6, "sock_no_mmap" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xb4e7c1c1, "ib_destroy_cq_user" },
	{ 0x9fb64856, "down_read" },
	{ 0xd62ba63d, "skb_trim" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xec935608, "ib_modify_qp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdf65dd25, "tcp_register_ulp" },
	{ 0xd66fd6b2, "sk_common_release" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x93f7648e, "ib_device_get_netdev" },
	{ 0xedd7eb58, "rt_read_lock" },
	{ 0x828b09d8, "kernel_listen" },
	{ 0xb3321446, "ib_dma_virt_map_sg" },
	{ 0xc131aac7, "neigh_destroy" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x27a7a36e, "trace_event_buffer_reserve" },
	{ 0x4008f1d9, "inet6_register_protosw" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xdfcc992c, "current_work" },
	{ 0xb078e2d1, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x6029628f, "__dma_sync_single_for_device" },
	{ 0xa26d9b4f, "workqueue_congested" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x64a5c687, "__folio_put" },
	{ 0x9ebb2bfc, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xdd09f942, "sock_recvmsg" },
	{ 0x415fdef, "sk_net_refcnt_upgrade" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x2cd8bc0, "dev_get_by_name" },
	{ 0x297093d2, "dst_release" },
	{ 0x907ac83b, "sk_stream_wait_connect" },
	{ 0x9919fd8, "rt_write_lock" },
	{ 0x44531a37, "_copy_from_iter" },
	{ 0xad634552, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xbd6ee8cc, "alloc_pages_noprof" },
	{ 0x32225815, "ib_create_qp_kernel" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xd6a78628, "remove_wait_queue" },
	{ 0xb9a5be73, "netdev_walk_all_lower_dev" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x788b948, "vlan_dev_vlan_id" },
	{ 0x64a4da03, "unregister_net_sysctl_table" },
	{ 0xf70609d4, "ib_dealloc_pd_user" },
	{ 0x6211424e, "rdma_get_gid_attr" },
	{ 0xc1ddd422, "dma_unmap_sg_attrs" },
	{ 0xaa328c94, "genl_unregister_family" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0xc86a4b4, "iov_iter_revert" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x473f6ee4, "genl_register_family" },
	{ 0x588ec5bb, "kernel_sendmsg" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xb570b5d7, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x1c2ec37f, "sock_init_data" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xe9ee676b, "release_sock" },
	{ 0xeebca5cd, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x8dc6f00d, "proc_dointvec_minmax" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xbfdc8fa8, "netdev_lower_get_next" },
	{ 0xfa4517d4, "security_sock_graft" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xfce089ed, "sk_send_sigurg" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x45f4e1cd, "__init_rwsem" },
	{ 0x6ddfd5e1, "ib_unregister_client" },
	{ 0x293df244, "_copy_to_iter" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa65f21bc, "__nlmsg_put" },
	{ 0xdb9a33ce, "inet_unregister_protosw" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x3007ad93, "proc_dointvec_jiffies" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x6f7382ed, "vmalloc_to_page" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x1bb51249, "tcp_have_smc" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0xa11a97c1, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0xd94330e5, "rdma_read_gid_l2_fields" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x2fba5c7c, "nla_put_64bit" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0xf8a76d1c, "__ib_alloc_pd" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x60beb2e6, "inet6_unregister_protosw" },
	{ 0xb07d43ee, "__trace_trigger_soft_disabled" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0xb51d11a4, "dma_unmap_page_attrs" },
	{ 0xdf4574bf, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4a7c8a9f, "__dma_need_sync" },
	{ 0x8e367a76, "kernel_bind" },
	{ 0xa38e6704, "add_wait_queue_exclusive" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xab84dc28, "genlmsg_put" },
	{ 0x549dee85, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x190616d7, "inet_register_protosw" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xa55b06bd, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x17a7e945, "ib_dereg_mr_user" },
	{ 0x4c906ef6, "__tracepoint_sk_data_ready" },
	{ 0xd0d9d74c, "bpf_trace_run2" },
	{ 0x3416d62c, "prepare_to_wait_event" },
	{ 0xf6491531, "__wake_up" },
	{ 0xda82a732, "kernel_accept" },
	{ 0xa512ac4c, "rdma_dev_access_netns" },
	{ 0x883c3a0f, "__module_get" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0x2fceb1, "ip_route_output_flow" },
	{ 0x8576e767, "get_device" },
	{ 0x9201acf2, "sk_stream_error" },
	{ 0xa064235d, "ib_query_qp" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xe89c89c8, "sock_alloc" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3b570e1c, "sk_error_report" },
	{ 0x8a0061d1, "register_pernet_subsys" },
	{ 0x44c339bf, "dev_driver_string" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "94B28E5DECB321B8AADBD4D");

MODULE_INFO(suserelease, "SLFO-1.2");
