#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(vsock_bind_table, "_gpl", "");
KSYMTAB_DATA(vsock_connected_table, "_gpl", "");
KSYMTAB_DATA(vsock_table_lock, "_gpl", "");
KSYMTAB_FUNC(vsock_insert_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_bound, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_find_bound_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_find_connected_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_sock, "_gpl", "");
KSYMTAB_FUNC(vsock_for_each_connected_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_add_pending, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_pending, "_gpl", "");
KSYMTAB_FUNC(vsock_enqueue_accept, "_gpl", "");
KSYMTAB_FUNC(vsock_assign_transport, "_gpl", "");
KSYMTAB_FUNC(vsock_find_cid, "_gpl", "");
KSYMTAB_FUNC(vsock_create_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_stream_has_data, "_gpl", "");
KSYMTAB_FUNC(vsock_connectible_has_data, "_gpl", "");
KSYMTAB_FUNC(vsock_stream_has_space, "_gpl", "");
KSYMTAB_FUNC(vsock_data_ready, "_gpl", "");
KSYMTAB_FUNC(vsock_dgram_recvmsg, "_gpl", "");
KSYMTAB_FUNC(vsock_connectible_recvmsg, "_gpl", "");
KSYMTAB_FUNC(vsock_core_get_transport, "_gpl", "");
KSYMTAB_FUNC(vsock_core_register, "_gpl", "");
KSYMTAB_FUNC(vsock_core_unregister, "_gpl", "");
KSYMTAB_FUNC(vsock_add_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_deliver_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_init, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_validate, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_bound, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_unbind, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_equals_addr, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_cast, "_gpl", "");

SYMBOL_CRC(vsock_bind_table, 0x284e07d8, "_gpl");
SYMBOL_CRC(vsock_connected_table, 0x9bb6fd09, "_gpl");
SYMBOL_CRC(vsock_table_lock, 0x5eed30de, "_gpl");
SYMBOL_CRC(vsock_insert_connected, 0x21abc508, "_gpl");
SYMBOL_CRC(vsock_remove_bound, 0x4fbbc6fc, "_gpl");
SYMBOL_CRC(vsock_remove_connected, 0xea3a38af, "_gpl");
SYMBOL_CRC(vsock_find_bound_socket, 0x97fbaf8a, "_gpl");
SYMBOL_CRC(vsock_find_connected_socket, 0x3c311d67, "_gpl");
SYMBOL_CRC(vsock_remove_sock, 0x61d6c9f8, "_gpl");
SYMBOL_CRC(vsock_for_each_connected_socket, 0x4a99aa60, "_gpl");
SYMBOL_CRC(vsock_add_pending, 0x3e3f24e2, "_gpl");
SYMBOL_CRC(vsock_remove_pending, 0xc18eb611, "_gpl");
SYMBOL_CRC(vsock_enqueue_accept, 0x27d4e84f, "_gpl");
SYMBOL_CRC(vsock_assign_transport, 0xafe14fcd, "_gpl");
SYMBOL_CRC(vsock_find_cid, 0x90aa8549, "_gpl");
SYMBOL_CRC(vsock_create_connected, 0x5b09a8be, "_gpl");
SYMBOL_CRC(vsock_stream_has_data, 0xaf7c726f, "_gpl");
SYMBOL_CRC(vsock_connectible_has_data, 0x21da44ae, "_gpl");
SYMBOL_CRC(vsock_stream_has_space, 0xfde3d8dd, "_gpl");
SYMBOL_CRC(vsock_data_ready, 0x056bac33, "_gpl");
SYMBOL_CRC(vsock_dgram_recvmsg, 0xc1367df0, "_gpl");
SYMBOL_CRC(vsock_connectible_recvmsg, 0x46fc6ed4, "_gpl");
SYMBOL_CRC(vsock_core_get_transport, 0x3c1d5ebd, "_gpl");
SYMBOL_CRC(vsock_core_register, 0x49c887c0, "_gpl");
SYMBOL_CRC(vsock_core_unregister, 0x73a860cc, "_gpl");
SYMBOL_CRC(vsock_add_tap, 0xbb7e907d, "_gpl");
SYMBOL_CRC(vsock_remove_tap, 0xa2653cae, "_gpl");
SYMBOL_CRC(vsock_deliver_tap, 0x356ab569, "_gpl");
SYMBOL_CRC(vsock_addr_init, 0x3d4b0fca, "_gpl");
SYMBOL_CRC(vsock_addr_validate, 0xec96eadf, "_gpl");
SYMBOL_CRC(vsock_addr_bound, 0x4b99648c, "_gpl");
SYMBOL_CRC(vsock_addr_unbind, 0x0e9bc9b6, "_gpl");
SYMBOL_CRC(vsock_addr_equals_addr, 0xaf2674b5, "_gpl");
SYMBOL_CRC(vsock_addr_cast, 0xb0d7bda7, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf891cf32, "__put_cred" },
	{ 0x3b570e1c, "sk_error_report" },
	{ 0xbddffed2, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xea0c4074, "proto_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xef731cce, "sock_register" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf250e2d4, "rt_write_unlock" },
	{ 0xb00bc408, "proto_register" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7276b73a, "module_put" },
	{ 0x7abe504d, "sk_msg_is_readable" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6d64c27f, "sk_skb_reason_drop" },
	{ 0x7e5e3524, "sk_free" },
	{ 0xf53c8f7d, "sock_no_accept" },
	{ 0xedd17b31, "sock_get_timeout" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x963666a1, "sock_no_listen" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x1f7df0bc, "sock_recv_errqueue" },
	{ 0x7bda0276, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x3edbc68d, "mutex_lock_interruptible" },
	{ 0x6ed8ccba, "sk_alloc" },
	{ 0x77cfe8ee, "sock_no_socketpair" },
	{ 0xcd467294, "misc_register" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa86d7fc6, "sock_no_mmap" },
	{ 0xa898193f, "security_sk_clone" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x5bdb7603, "sock_copy_user_timeval" },
	{ 0x2e20e6c0, "nonseekable_open" },
	{ 0x664f4076, "sk_psock_drop" },
	{ 0x2c3fe335, "__dev_queue_xmit" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x538eb2d2, "init_user_ns" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x44ea4aa5, "skb_clone" },
	{ 0x9919fd8, "rt_write_lock" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xd6a78628, "remove_wait_queue" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x6c443ba1, "sock_setsockopt" },
	{ 0x1c2ec37f, "sock_init_data" },
	{ 0xe9ee676b, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xfa4517d4, "security_sock_graft" },
	{ 0xda540c70, "sock_map_close" },
	{ 0x653b116b, "sock_queue_rcv_skb_reason" },
	{ 0x4e5daa9a, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xe651aca3, "misc_deregister" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x74885bdc, "consume_skb" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x862d1e43, "prepare_to_wait" },
	{ 0xa55b06bd, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x883c3a0f, "__module_get" },
	{ 0x9201acf2, "sk_stream_error" },
	{ 0xcfcc695, "sk_msg_recvmsg" },
	{ 0xc3bd89dc, "ns_capable_noaudit" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "88D95A29D14C245E5209D8C");

MODULE_INFO(suserelease, "SLFO-1.2");
