#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(xfrm_msg_min, "_gpl", "");
KSYMTAB_DATA(xfrma_policy, "_gpl", "");

SYMBOL_CRC(xfrm_msg_min, 0x4a0c7516, "_gpl");
SYMBOL_CRC(xfrma_policy, 0xa4f9b1a3, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x59d9fbe1, "km_policy_notify" },
	{ 0x2e069690, "xfrm_migrate" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbe3dbdfa, "__alloc_skb" },
	{ 0xa65f21bc, "__nlmsg_put" },
	{ 0xdfee9d27, "netlink_unicast" },
	{ 0x8869fcf, "xfrm_sad_getinfo" },
	{ 0xd62ba63d, "skb_trim" },
	{ 0xea72c4db, "xfrm_spd_getinfo" },
	{ 0x409a510, "xfrm_state_alloc" },
	{ 0x49ca83, "xfrm_aead_get_byname" },
	{ 0x754d539c, "strlen" },
	{ 0x37a02412, "xfrm_aalg_get_byname" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xd6f50cf7, "xfrm_ealg_get_byname" },
	{ 0xaab23340, "xfrm_calg_get_byname" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x6331ae2, "__xfrm_init_state" },
	{ 0x98c89ade, "security_xfrm_state_alloc" },
	{ 0x3e96f464, "xfrm_init_replay" },
	{ 0x8413b3df, "xfrm_dev_state_add" },
	{ 0xbe6981f7, "xfrm_state_update" },
	{ 0xfe6b20e7, "xfrm_audit_state_add" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3dee5618, "__xfrm_state_destroy" },
	{ 0xeac0a78, "xfrm_state_add" },
	{ 0x9177dce6, "xfrm_dev_state_delete" },
	{ 0xa0166433, "netlink_broadcast_filtered" },
	{ 0xb01bebf9, "xfrm_get_acqseq" },
	{ 0x1eb1abab, "init_net" },
	{ 0xd08a3057, "__fib6_flush_trees" },
	{ 0xaec3dab6, "xfrm_state_lookup_byaddr" },
	{ 0x6c45eceb, "xfrm_state_lookup" },
	{ 0xc599a772, "security_xfrm_state_delete" },
	{ 0xa6a4ef3a, "xfrm_state_delete" },
	{ 0x6b5a1865, "xfrm_audit_state_delete" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf51eb399, "km_state_expired" },
	{ 0xd3bcd50, "__xfrm_state_delete" },
	{ 0x6a92e827, "xfrm_policy_byid" },
	{ 0xb7051451, "km_policy_expired" },
	{ 0xe0b9065b, "security_xfrm_policy_alloc" },
	{ 0x6a51e446, "xfrm_policy_bysel_ctx" },
	{ 0x6455298a, "security_xfrm_policy_free" },
	{ 0x25f16d99, "xfrm_policy_destroy" },
	{ 0x4333133d, "xfrm_policy_delete" },
	{ 0xf312408e, "xfrm_audit_policy_delete" },
	{ 0x4b534722, "xfrm_dev_policy_add" },
	{ 0xc104e309, "xfrm_policy_insert" },
	{ 0xee2fbef5, "xfrm_audit_policy_add" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x37e497e8, "verify_spi_info" },
	{ 0xa5bccc5, "xfrm_find_acq_byseq" },
	{ 0x5816c217, "xfrm_find_acq" },
	{ 0xac793aa6, "xfrm_alloc_spi" },
	{ 0x19646371, "km_query" },
	{ 0xbc704fb4, "xfrm_state_free" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92997ed8, "_printk" },
	{ 0x8a0061d1, "register_pernet_subsys" },
	{ 0x1446f0e1, "xfrm_register_km" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xfb7b143, "netlink_has_listeners" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8d304f20, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbe126afa, "nla_reserve" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x2f891300, "netlink_kernel_release" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xb56b7b1a, "netlink_rcv_skb" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x664be9ed, "xfrm_policy_hash_rebuild" },
	{ 0xbdde0079, "xfrm_state_flush" },
	{ 0xdd01fbe4, "km_state_notify" },
	{ 0x404ce1f, "xfrm_policy_walk_done" },
	{ 0x640442e2, "xfrm_policy_walk" },
	{ 0xc9df055a, "xfrm_policy_walk_init" },
	{ 0xb488df7, "xfrm_state_walk_done" },
	{ 0x7be70ec1, "__netlink_kernel_create" },
	{ 0x5035257e, "xfrm_unregister_km" },
	{ 0x74ce375f, "unregister_pernet_subsys" },
	{ 0x127d83ea, "security_locked_down" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xfb578fc5, "memset" },
	{ 0x9166fada, "strncpy" },
	{ 0x2fba5c7c, "nla_put_64bit" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xc5ea5916, "netlink_net_capable" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0x3c74d0ff, "__netlink_dump_start" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x39bbbc87, "xfrm_get_translator" },
	{ 0xf45a676d, "xfrm_put_translator" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x6d64c27f, "sk_skb_reason_drop" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x2782b393, "xfrm_state_walk_init" },
	{ 0xbd49f166, "xfrm_state_walk" },
	{ 0x37a0cba, "kfree" },
	{ 0x86ac6480, "xfrm_policy_alloc" },
	{ 0xc1e8c9c5, "xfrm_policy_flush" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "xfrm_algo");


MODULE_INFO(srcversion, "98FDAED55D855B393FE88FE");

MODULE_INFO(suserelease, "SLFO-1.2");
