#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(key_type_trusted, "_gpl", "");
KSYMTAB_FUNC(TSS_authhmac, "_gpl", "");
KSYMTAB_FUNC(TSS_checkhmac1, "_gpl", "");
KSYMTAB_FUNC(trusted_tpm_send, "_gpl", "");
KSYMTAB_FUNC(oiap, "_gpl", "");

SYMBOL_CRC(key_type_trusted, 0xc35b9c6a, "_gpl");
SYMBOL_CRC(TSS_authhmac, 0x79470a2c, "_gpl");
SYMBOL_CRC(TSS_checkhmac1, 0xde6f1851, "_gpl");
SYMBOL_CRC(trusted_tpm_send, 0xc4a72936, "_gpl");
SYMBOL_CRC(oiap, 0xdfe30b74, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3d9caf96, "tee_bus_type" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xe7d10c72, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3bf66cb8, "tpm_try_get_ops" },
	{ 0x7ad02a41, "asn1_encode_tag" },
	{ 0x92997ed8, "_printk" },
	{ 0x33fad6c, "tpm_buf_append_u16" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9d3d08f0, "put_device" },
	{ 0x479cae50, "tpm_get_random" },
	{ 0xc6cbbc89, "capable" },
	{ 0x35de3c53, "tpm_buf_read_u32" },
	{ 0x18bb3e09, "tpm_buf_append_name" },
	{ 0x1eef9a5e, "tpm_default_chip" },
	{ 0xe8654fd8, "tpm_buf_init" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x7fe1c58f, "crypto_shash_setkey" },
	{ 0x58116313, "user_describe" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xd4bc1eb7, "tpm_buf_reset" },
	{ 0xebe05c67, "tpm_buf_append_hmac_session" },
	{ 0xaf4fc2b1, "tee_shm_register_kernel_buf" },
	{ 0x5a921311, "strncmp" },
	{ 0xae2ad9ba, "crypto_shash_digest" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x6b184ed6, "driver_unregister" },
	{ 0xb8d21454, "tpm_pcr_extend" },
	{ 0xdf914ea8, "hash_digest_size" },
	{ 0xc2a79e8f, "crypto_shash_update" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x178620bf, "tpm_buf_init_sized" },
	{ 0x476765da, "tpm2_start_auth_session" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x61e00f48, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6f4aacdd, "tpm2_end_auth_session" },
	{ 0xd1716922, "hash_algo_name" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc7e64fc2, "asn1_encode_integer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x84544bee, "tpm_is_tpm2" },
	{ 0xfca1d7dd, "crypto_shash_final" },
	{ 0x85df9b6c, "strsep" },
	{ 0x44e9a829, "match_token" },
	{ 0xadcc61fb, "tee_client_close_context" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x8576202, "tpm_buf_check_hmac_response" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x5deb2fec, "key_payload_reserve" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc97d5999, "tee_shm_free" },
	{ 0xf6c97759, "tpm_put_ops" },
	{ 0xe3cc3b0, "tpm_buf_append_u32" },
	{ 0x697d4548, "tpm_buf_length" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x9d14d5d0, "tee_client_open_context" },
	{ 0x754d539c, "strlen" },
	{ 0x742578a5, "wait_for_random_bytes" },
	{ 0x13ce87e8, "asn1_ber_decoder" },
	{ 0xd63960b9, "crypto_alloc_shash" },
	{ 0x2c2c8b97, "__static_call_update" },
	{ 0x91ea8726, "asn1_encode_boolean" },
	{ 0xe2a805d9, "driver_register" },
	{ 0x5ae32fa2, "tpm_buf_reset_sized" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0xee5e9c84, "tee_client_close_session" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x489276c8, "tpm_transmit_cmd" },
	{ 0x1ddbc874, "tpm_buf_fill_hmac_session" },
	{ 0xc1772bb5, "tee_client_invoke_func" },
	{ 0xa4c00324, "asn1_encode_octet_string" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x77d59315, "tpm_buf_append_u8" },
	{ 0xf05a52fe, "asn1_encode_oid" },
	{ 0x8180cede, "asn1_encode_sequence" },
	{ 0xb7668063, "look_up_OID" },
	{ 0x23f4c233, "unregister_key_type" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x110924e4, "tpm_buf_append" },
	{ 0xfc201b66, "sprint_oid" },
	{ 0xc4857f97, "tpm2_flush_context" },
	{ 0x25fd6ced, "tee_client_open_session" },
	{ 0x4c930ad7, "register_key_type" },
	{ 0x87456965, "tpm_buf_destroy" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "tee,asn1_encoder");

MODULE_ALIAS("tee:f04a0fe7-1f5d-4b9b-abf7-619b85b4ce8c*");

MODULE_INFO(srcversion, "0C0A79AC152E18CCF7D3396");

MODULE_INFO(suserelease, "SLFO-1.2");
