#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(snd_use_lock_sync_helper, "", "");
KSYMTAB_FUNC(snd_seq_client_ioctl_lock, "_gpl", "");
KSYMTAB_FUNC(snd_seq_client_ioctl_unlock, "_gpl", "");
KSYMTAB_FUNC(snd_seq_set_queue_tempo, "", "");
KSYMTAB_FUNC(snd_seq_create_kernel_client, "", "");
KSYMTAB_FUNC(snd_seq_delete_kernel_client, "", "");
KSYMTAB_FUNC(snd_seq_kernel_client_enqueue, "", "");
KSYMTAB_FUNC(snd_seq_kernel_client_dispatch, "", "");
KSYMTAB_FUNC(snd_seq_kernel_client_ctl, "", "");
KSYMTAB_FUNC(snd_seq_kernel_client_write_poll, "", "");
KSYMTAB_FUNC(snd_seq_kernel_client_get, "_gpl", "");
KSYMTAB_FUNC(snd_seq_kernel_client_put, "_gpl", "");
KSYMTAB_FUNC(snd_seq_dump_var_event, "", "");
KSYMTAB_FUNC(snd_seq_expand_var_event, "", "");
KSYMTAB_FUNC(snd_seq_expand_var_event_at, "_gpl", "");
KSYMTAB_FUNC(snd_seq_system_broadcast, "_gpl", "");
KSYMTAB_FUNC(snd_seq_event_port_attach, "", "");
KSYMTAB_FUNC(snd_seq_event_port_detach, "", "");

SYMBOL_CRC(snd_use_lock_sync_helper, 0x3061c52d, "");
SYMBOL_CRC(snd_seq_client_ioctl_lock, 0xe50413d7, "_gpl");
SYMBOL_CRC(snd_seq_client_ioctl_unlock, 0xadb51cff, "_gpl");
SYMBOL_CRC(snd_seq_set_queue_tempo, 0x3c273904, "");
SYMBOL_CRC(snd_seq_create_kernel_client, 0x772d0133, "");
SYMBOL_CRC(snd_seq_delete_kernel_client, 0x6bb71038, "");
SYMBOL_CRC(snd_seq_kernel_client_enqueue, 0xe999fcee, "");
SYMBOL_CRC(snd_seq_kernel_client_dispatch, 0x85cd59a8, "");
SYMBOL_CRC(snd_seq_kernel_client_ctl, 0x1a724fcc, "");
SYMBOL_CRC(snd_seq_kernel_client_write_poll, 0x9dbfb561, "");
SYMBOL_CRC(snd_seq_kernel_client_get, 0xe06d4439, "_gpl");
SYMBOL_CRC(snd_seq_kernel_client_put, 0x390593bb, "_gpl");
SYMBOL_CRC(snd_seq_dump_var_event, 0x23738926, "");
SYMBOL_CRC(snd_seq_expand_var_event, 0xa6e19f8e, "");
SYMBOL_CRC(snd_seq_expand_var_event_at, 0xf0c8f9fa, "_gpl");
SYMBOL_CRC(snd_seq_system_broadcast, 0xcbf9166f, "_gpl");
SYMBOL_CRC(snd_seq_event_port_attach, 0xc4218b6e, "");
SYMBOL_CRC(snd_seq_event_port_detach, 0x7b8699eb, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0x4e6e849e, "snd_timer_pause" },
	{ 0x5a921311, "strncmp" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x3971b4df, "snd_ecards_limit" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xfd8dd88b, "snd_unregister_device" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5f3b8efc, "snd_device_alloc" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x20e9da81, "snd_timer_instance_new" },
	{ 0xfb578fc5, "memset" },
	{ 0x91def1c, "snd_seq_autoload_exit" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0xd52358de, "snd_timer_instance_free" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x9fb64856, "down_read" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xedd7eb58, "rt_read_lock" },
	{ 0x167e7f9d, "__get_user_1" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x9ebb2bfc, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7ad7a5cd, "seq_printf" },
	{ 0x6339b6d0, "snd_seq_device_load_drivers" },
	{ 0x9919fd8, "rt_write_lock" },
	{ 0xd6a78628, "remove_wait_queue" },
	{ 0x2fe56e83, "stream_open" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0x26726fd4, "pid_vnr" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0xf2203c5f, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x68183a52, "snd_register_device" },
	{ 0xb570b5d7, "up_read" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x3039a8a2, "put_pid" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x4e5daa9a, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x45f4e1cd, "__init_rwsem" },
	{ 0x85d9b316, "snd_info_register" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x9bc66d6d, "snd_info_create_module_entry" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x370a0736, "snd_seq_autoload_init" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x50707f9c, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x4a3ea5c0, "snd_request_card" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0x1c137c19, "param_array_ops" },
	{ 0xf0db2b08, "snd_info_free_entry" },
	{ 0x78fc368f, "snd_seq_root" },
	{ 0x99df2d80, "snd_timer_close" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0xa55b06bd, "add_wait_queue" },
	{ 0xf6491531, "__wake_up" },
	{ 0x148653, "vsnprintf" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xecb66664, "snd_timer_open" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9d3d08f0, "put_device" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf250e2d4, "rt_write_unlock" },
	{ 0xb7d54e23, "snd_timer_start" },
	{ 0x7276b73a, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xba0efd1f, "down_write" },
	{ 0x209b8854, "up_write" },
	{ 0xde83a87a, "snd_timer_resolution" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "snd-timer,snd,snd-seq-device");


MODULE_INFO(srcversion, "18762FA06ED7B19FC8FACAC");

MODULE_INFO(suserelease, "SLFO-1.2");
