#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(snd_timer_instance_new, "", "");
KSYMTAB_FUNC(snd_timer_instance_free, "", "");
KSYMTAB_FUNC(snd_timer_open, "", "");
KSYMTAB_FUNC(snd_timer_close, "", "");
KSYMTAB_FUNC(snd_timer_resolution, "", "");
KSYMTAB_FUNC(snd_timer_start, "", "");
KSYMTAB_FUNC(snd_timer_stop, "", "");
KSYMTAB_FUNC(snd_timer_continue, "", "");
KSYMTAB_FUNC(snd_timer_pause, "", "");
KSYMTAB_FUNC(snd_timer_interrupt, "", "");
KSYMTAB_FUNC(snd_timer_new, "", "");
KSYMTAB_FUNC(snd_timer_notify, "", "");
KSYMTAB_FUNC(snd_timer_global_new, "", "");
KSYMTAB_FUNC(snd_timer_global_free, "", "");
KSYMTAB_FUNC(snd_timer_global_register, "", "");

SYMBOL_CRC(snd_timer_instance_new, 0x20e9da81, "");
SYMBOL_CRC(snd_timer_instance_free, 0xd52358de, "");
SYMBOL_CRC(snd_timer_open, 0xecb66664, "");
SYMBOL_CRC(snd_timer_close, 0x99df2d80, "");
SYMBOL_CRC(snd_timer_resolution, 0xde83a87a, "");
SYMBOL_CRC(snd_timer_start, 0xb7d54e23, "");
SYMBOL_CRC(snd_timer_stop, 0x958a04ad, "");
SYMBOL_CRC(snd_timer_continue, 0xe23a9cff, "");
SYMBOL_CRC(snd_timer_pause, 0x4e6e849e, "");
SYMBOL_CRC(snd_timer_interrupt, 0xcf1ae00b, "");
SYMBOL_CRC(snd_timer_new, 0xf3339952, "");
SYMBOL_CRC(snd_timer_notify, 0x6f29727c, "");
SYMBOL_CRC(snd_timer_global_new, 0x7805413a, "");
SYMBOL_CRC(snd_timer_global_free, 0xc87b26de, "");
SYMBOL_CRC(snd_timer_global_register, 0x88a08f4f, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3971b4df, "snd_ecards_limit" },
	{ 0x10119bb, "ida_free" },
	{ 0x8df3789f, "snd_oss_info_register" },
	{ 0xfd8dd88b, "snd_unregister_device" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x5f3b8efc, "snd_device_alloc" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xe9f31ce3, "snd_device_new" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x5af762f1, "snd_fasync_free" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7ad7a5cd, "seq_printf" },
	{ 0xd6a78628, "remove_wait_queue" },
	{ 0x2fe56e83, "stream_open" },
	{ 0xf8f2a4eb, "snd_kill_fasync" },
	{ 0xf2203c5f, "param_ops_int" },
	{ 0x68183a52, "snd_register_device" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xa2429ab9, "ida_alloc_range" },
	{ 0x4e5daa9a, "try_module_get" },
	{ 0x85d9b316, "snd_info_register" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x9bc66d6d, "snd_info_create_module_entry" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x50707f9c, "dev_set_name" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xf0db2b08, "snd_info_free_entry" },
	{ 0x37a0cba, "kfree" },
	{ 0xa55b06bd, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xb11b41c7, "snd_fasync_helper" },
	{ 0xf6491531, "__wake_up" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0x8576e767, "get_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x76a0190a, "anon_inode_getfd" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9d3d08f0, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0x7276b73a, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x5f577086, "noop_llseek" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "snd");


MODULE_INFO(srcversion, "4F8F12C5E5F069996D919D5");

MODULE_INFO(suserelease, "SLFO-1.2");
