#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(snd_major, "", "");
KSYMTAB_DATA(snd_ecards_limit, "", "");
KSYMTAB_DATA(sound_debugfs_root, "_gpl", "");
KSYMTAB_FUNC(snd_request_card, "", "");
KSYMTAB_FUNC(snd_lookup_minor_data, "", "");
KSYMTAB_FUNC(snd_register_device, "", "");
KSYMTAB_FUNC(snd_unregister_device, "", "");
KSYMTAB_DATA(snd_mixer_oss_notify_callback, "", "");
KSYMTAB_FUNC(snd_device_alloc, "_gpl", "");
KSYMTAB_FUNC(snd_card_new, "", "");
KSYMTAB_FUNC(snd_devm_card_new, "_gpl", "");
KSYMTAB_FUNC(snd_card_free_on_error, "_gpl", "");
KSYMTAB_FUNC(snd_card_ref, "_gpl", "");
KSYMTAB_FUNC(snd_card_disconnect, "", "");
KSYMTAB_FUNC(snd_card_disconnect_sync, "_gpl", "");
KSYMTAB_FUNC(snd_card_free_when_closed, "", "");
KSYMTAB_FUNC(snd_card_free, "", "");
KSYMTAB_FUNC(snd_card_set_id, "", "");
KSYMTAB_FUNC(snd_card_add_dev_attr, "_gpl", "");
KSYMTAB_FUNC(snd_card_register, "", "");
KSYMTAB_FUNC(snd_component_add, "", "");
KSYMTAB_FUNC(snd_card_file_add, "", "");
KSYMTAB_FUNC(snd_card_file_remove, "", "");
KSYMTAB_FUNC(snd_power_ref_and_wait, "_gpl", "");
KSYMTAB_FUNC(snd_power_wait, "", "");
KSYMTAB_FUNC(copy_to_user_fromio, "", "");
KSYMTAB_FUNC(copy_to_iter_fromio, "", "");
KSYMTAB_FUNC(copy_from_user_toio, "", "");
KSYMTAB_FUNC(copy_from_iter_toio, "", "");
KSYMTAB_FUNC(snd_ctl_notify, "", "");
KSYMTAB_FUNC(snd_ctl_notify_one, "", "");
KSYMTAB_FUNC(snd_ctl_new1, "", "");
KSYMTAB_FUNC(snd_ctl_free_one, "", "");
KSYMTAB_FUNC(snd_ctl_add, "", "");
KSYMTAB_FUNC(snd_ctl_replace, "", "");
KSYMTAB_FUNC(snd_ctl_remove, "", "");
KSYMTAB_FUNC(snd_ctl_remove_id, "", "");
KSYMTAB_FUNC(snd_ctl_activate_id, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_rename_id, "", "");
KSYMTAB_FUNC(snd_ctl_rename, "", "");
KSYMTAB_FUNC(snd_ctl_find_numid, "", "");
KSYMTAB_FUNC(snd_ctl_find_id, "", "");
KSYMTAB_FUNC(snd_ctl_register_ioctl, "", "");
KSYMTAB_FUNC(snd_ctl_register_ioctl_compat, "", "");
KSYMTAB_FUNC(snd_ctl_unregister_ioctl, "", "");
KSYMTAB_FUNC(snd_ctl_unregister_ioctl_compat, "", "");
KSYMTAB_FUNC(snd_ctl_get_preferred_subdevice, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_request_layer, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_register_layer, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_disconnect_layer, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_boolean_mono_info, "", "");
KSYMTAB_FUNC(snd_ctl_boolean_stereo_info, "", "");
KSYMTAB_FUNC(snd_ctl_enum_info, "", "");
KSYMTAB_FUNC(release_and_free_resource, "", "");
KSYMTAB_FUNC(snd_pci_quirk_lookup_id, "", "");
KSYMTAB_FUNC(snd_pci_quirk_lookup, "", "");
KSYMTAB_FUNC(snd_fasync_helper, "_gpl", "");
KSYMTAB_FUNC(snd_kill_fasync, "_gpl", "");
KSYMTAB_FUNC(snd_fasync_free, "_gpl", "");
KSYMTAB_FUNC(snd_device_new, "", "");
KSYMTAB_FUNC(snd_device_disconnect, "_gpl", "");
KSYMTAB_FUNC(snd_device_free, "", "");
KSYMTAB_FUNC(snd_device_register, "", "");
KSYMTAB_FUNC(snd_device_get_state, "_gpl", "");
KSYMTAB_DATA(snd_seq_root, "", "");
KSYMTAB_FUNC(snd_info_get_line, "", "");
KSYMTAB_FUNC(snd_info_get_str, "", "");
KSYMTAB_FUNC(snd_info_create_module_entry, "", "");
KSYMTAB_FUNC(snd_info_create_card_entry, "", "");
KSYMTAB_FUNC(snd_info_free_entry, "", "");
KSYMTAB_FUNC(snd_info_register, "", "");
KSYMTAB_FUNC(snd_card_rw_proc_new, "_gpl", "");
KSYMTAB_FUNC(snd_oss_info_register, "", "");
KSYMTAB_FUNC(snd_dma_program, "", "");
KSYMTAB_FUNC(snd_dma_disable, "", "");
KSYMTAB_FUNC(snd_dma_pointer, "", "");
KSYMTAB_FUNC(snd_devm_request_dma, "_gpl", "");
KSYMTAB_FUNC(snd_lookup_oss_minor_data, "", "");
KSYMTAB_FUNC(snd_register_oss_device, "", "");
KSYMTAB_FUNC(snd_unregister_oss_device, "", "");
KSYMTAB_FUNC(_snd_ctl_add_follower, "", "");
KSYMTAB_FUNC(snd_ctl_add_followers, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_make_virtual_master, "", "");
KSYMTAB_FUNC(snd_ctl_add_vmaster_hook, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_sync_vmaster, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_apply_vmaster_followers, "_gpl", "");
KSYMTAB_FUNC(snd_jack_add_new_kctl, "", "");
KSYMTAB_FUNC(snd_jack_new, "", "");
KSYMTAB_FUNC(snd_jack_set_parent, "", "");
KSYMTAB_FUNC(snd_jack_set_key, "", "");
KSYMTAB_FUNC(snd_jack_report, "", "");

SYMBOL_CRC(snd_major, 0x8f595b11, "");
SYMBOL_CRC(snd_ecards_limit, 0x3971b4df, "");
SYMBOL_CRC(sound_debugfs_root, 0x5c11eb98, "_gpl");
SYMBOL_CRC(snd_request_card, 0x4a3ea5c0, "");
SYMBOL_CRC(snd_lookup_minor_data, 0xb2e5ae4a, "");
SYMBOL_CRC(snd_register_device, 0x68183a52, "");
SYMBOL_CRC(snd_unregister_device, 0xfd8dd88b, "");
SYMBOL_CRC(snd_mixer_oss_notify_callback, 0x2bf5bf9f, "");
SYMBOL_CRC(snd_device_alloc, 0x5f3b8efc, "_gpl");
SYMBOL_CRC(snd_card_new, 0xafdb47bd, "");
SYMBOL_CRC(snd_devm_card_new, 0xd493acce, "_gpl");
SYMBOL_CRC(snd_card_free_on_error, 0xde9436d5, "_gpl");
SYMBOL_CRC(snd_card_ref, 0x4ca29a28, "_gpl");
SYMBOL_CRC(snd_card_disconnect, 0xd6b3f579, "");
SYMBOL_CRC(snd_card_disconnect_sync, 0x645459da, "_gpl");
SYMBOL_CRC(snd_card_free_when_closed, 0x0ed32fbb, "");
SYMBOL_CRC(snd_card_free, 0xbd891330, "");
SYMBOL_CRC(snd_card_set_id, 0xc65391cc, "");
SYMBOL_CRC(snd_card_add_dev_attr, 0x42c51886, "_gpl");
SYMBOL_CRC(snd_card_register, 0xcc63e15e, "");
SYMBOL_CRC(snd_component_add, 0x3476b231, "");
SYMBOL_CRC(snd_card_file_add, 0x9b87ba2b, "");
SYMBOL_CRC(snd_card_file_remove, 0x884df616, "");
SYMBOL_CRC(snd_power_ref_and_wait, 0x1e2786a3, "_gpl");
SYMBOL_CRC(snd_power_wait, 0x815b55ef, "");
SYMBOL_CRC(copy_to_user_fromio, 0x342a2354, "");
SYMBOL_CRC(copy_to_iter_fromio, 0xea89c4a6, "");
SYMBOL_CRC(copy_from_user_toio, 0xfffd89db, "");
SYMBOL_CRC(copy_from_iter_toio, 0x499b8f14, "");
SYMBOL_CRC(snd_ctl_notify, 0xa5268075, "");
SYMBOL_CRC(snd_ctl_notify_one, 0xe3621f8b, "");
SYMBOL_CRC(snd_ctl_new1, 0xed63c67b, "");
SYMBOL_CRC(snd_ctl_free_one, 0xab40a2db, "");
SYMBOL_CRC(snd_ctl_add, 0x81f7ba36, "");
SYMBOL_CRC(snd_ctl_replace, 0x88e634fa, "");
SYMBOL_CRC(snd_ctl_remove, 0xea825074, "");
SYMBOL_CRC(snd_ctl_remove_id, 0xa2996c23, "");
SYMBOL_CRC(snd_ctl_activate_id, 0xe00aad23, "_gpl");
SYMBOL_CRC(snd_ctl_rename_id, 0xc0a2dd5d, "");
SYMBOL_CRC(snd_ctl_rename, 0x2c0c897d, "");
SYMBOL_CRC(snd_ctl_find_numid, 0x43470741, "");
SYMBOL_CRC(snd_ctl_find_id, 0x1490b849, "");
SYMBOL_CRC(snd_ctl_register_ioctl, 0xe4cfa540, "");
SYMBOL_CRC(snd_ctl_register_ioctl_compat, 0x34933a73, "");
SYMBOL_CRC(snd_ctl_unregister_ioctl, 0xa11d7c55, "");
SYMBOL_CRC(snd_ctl_unregister_ioctl_compat, 0x6bbb40cb, "");
SYMBOL_CRC(snd_ctl_get_preferred_subdevice, 0x6265a4b1, "_gpl");
SYMBOL_CRC(snd_ctl_request_layer, 0xfaf598c6, "_gpl");
SYMBOL_CRC(snd_ctl_register_layer, 0x33001104, "_gpl");
SYMBOL_CRC(snd_ctl_disconnect_layer, 0xc58eea34, "_gpl");
SYMBOL_CRC(snd_ctl_boolean_mono_info, 0xaceab607, "");
SYMBOL_CRC(snd_ctl_boolean_stereo_info, 0xfe438214, "");
SYMBOL_CRC(snd_ctl_enum_info, 0xcc6a729f, "");
SYMBOL_CRC(release_and_free_resource, 0xc5a6d10b, "");
SYMBOL_CRC(snd_pci_quirk_lookup_id, 0x73076315, "");
SYMBOL_CRC(snd_pci_quirk_lookup, 0x46378bf6, "");
SYMBOL_CRC(snd_fasync_helper, 0xb11b41c7, "_gpl");
SYMBOL_CRC(snd_kill_fasync, 0xf8f2a4eb, "_gpl");
SYMBOL_CRC(snd_fasync_free, 0x5af762f1, "_gpl");
SYMBOL_CRC(snd_device_new, 0xe9f31ce3, "");
SYMBOL_CRC(snd_device_disconnect, 0xb7a510ea, "_gpl");
SYMBOL_CRC(snd_device_free, 0x19deb96e, "");
SYMBOL_CRC(snd_device_register, 0x68af9467, "");
SYMBOL_CRC(snd_device_get_state, 0xd140539c, "_gpl");
SYMBOL_CRC(snd_seq_root, 0x78fc368f, "");
SYMBOL_CRC(snd_info_get_line, 0x24a94b26, "");
SYMBOL_CRC(snd_info_get_str, 0x9e6d79f8, "");
SYMBOL_CRC(snd_info_create_module_entry, 0x9bc66d6d, "");
SYMBOL_CRC(snd_info_create_card_entry, 0x7d229e4f, "");
SYMBOL_CRC(snd_info_free_entry, 0xf0db2b08, "");
SYMBOL_CRC(snd_info_register, 0x85d9b316, "");
SYMBOL_CRC(snd_card_rw_proc_new, 0xfba13220, "_gpl");
SYMBOL_CRC(snd_oss_info_register, 0x8df3789f, "");
SYMBOL_CRC(snd_dma_program, 0x18e1683f, "");
SYMBOL_CRC(snd_dma_disable, 0x70c15ac1, "");
SYMBOL_CRC(snd_dma_pointer, 0x191e88cf, "");
SYMBOL_CRC(snd_devm_request_dma, 0xa9701a59, "_gpl");
SYMBOL_CRC(snd_lookup_oss_minor_data, 0x198788b4, "");
SYMBOL_CRC(snd_register_oss_device, 0x37d490b8, "");
SYMBOL_CRC(snd_unregister_oss_device, 0x4407709f, "");
SYMBOL_CRC(_snd_ctl_add_follower, 0x92a1c2eb, "");
SYMBOL_CRC(snd_ctl_add_followers, 0x16169f5e, "_gpl");
SYMBOL_CRC(snd_ctl_make_virtual_master, 0xf9c3527c, "");
SYMBOL_CRC(snd_ctl_add_vmaster_hook, 0x5769d57c, "_gpl");
SYMBOL_CRC(snd_ctl_sync_vmaster, 0xaa36853f, "_gpl");
SYMBOL_CRC(snd_ctl_apply_vmaster_followers, 0xa8f42627, "_gpl");
SYMBOL_CRC(snd_jack_add_new_kctl, 0x2119f2f3, "");
SYMBOL_CRC(snd_jack_new, 0xb4b8a984, "");
SYMBOL_CRC(snd_jack_set_parent, 0x76c3b9b9, "");
SYMBOL_CRC(snd_jack_set_key, 0x262af9a2, "");
SYMBOL_CRC(snd_jack_report, 0x5cd68bbd, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xba0efd1f, "down_write" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x209b8854, "up_write" },
	{ 0x9907f28, "device_add" },
	{ 0x3d45bb64, "init_uts_ns" },
	{ 0xb9b31de8, "xa_load" },
	{ 0x5f577086, "noop_llseek" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x5cdf54af, "input_set_capability" },
	{ 0x6de67898, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x19c290ca, "__devres_alloc_node" },
	{ 0x96ead314, "dma_spin_lock" },
	{ 0x10e7473e, "fasync_helper" },
	{ 0xf1e046cc, "panic" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x11089ac7, "_ctype" },
	{ 0x1080ce71, "device_del" },
	{ 0xe823ba79, "proc_mkdir" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x61e00f48, "param_ops_charp" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0xd385b1da, "input_event" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x174d4265, "proc_remove" },
	{ 0x9fb64856, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xb98fa7ed, "__xa_insert" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x918431c7, "xa_erase" },
	{ 0x4a38d9f7, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xedd7eb58, "rt_read_lock" },
	{ 0x7054a3e4, "request_dma" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0xf01d993d, "xa_destroy" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x3307606, "proc_set_size" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x7c3d6aba, "__register_chrdev" },
	{ 0x9ebb2bfc, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x3b239a4e, "kobject_set_name" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7ad7a5cd, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x9919fd8, "rt_write_lock" },
	{ 0x44531a37, "_copy_from_iter" },
	{ 0x71c72736, "downgrade_write" },
	{ 0xd6a78628, "remove_wait_queue" },
	{ 0x2fe56e83, "stream_open" },
	{ 0x8d8b2fb3, "single_release" },
	{ 0x26726fd4, "pid_vnr" },
	{ 0x22390f3b, "devres_find" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x177e48ab, "__devm_add_action" },
	{ 0xc9d893e6, "sound_class" },
	{ 0xc5e74216, "release_resource" },
	{ 0x72b243d4, "free_dma" },
	{ 0x754d539c, "strlen" },
	{ 0xaf7fe05b, "proc_symlink" },
	{ 0xf2203c5f, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x495b28e9, "single_open" },
	{ 0xd20f3ddd, "debugfs_create_dir" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xb570b5d7, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x3039a8a2, "put_pid" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xaf118a84, "input_allocate_device" },
	{ 0x4e5daa9a, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x45f4e1cd, "__init_rwsem" },
	{ 0x293df244, "_copy_to_iter" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x50707f9c, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0x3f6593e4, "kill_fasync" },
	{ 0x99c95fa5, "unregister_sound_special" },
	{ 0x516b13f2, "proc_mkdir_mode" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x4628038c, "device_initialize" },
	{ 0x1c137c19, "param_array_ops" },
	{ 0x90576ec4, "vmemdup_user" },
	{ 0x4fbd717f, "input_unregister_device" },
	{ 0x74642f3a, "xa_store_range" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x2e4f415b, "seq_lseek" },
	{ 0xa55b06bd, "add_wait_queue" },
	{ 0x2042f11c, "proc_create_data" },
	{ 0x3416d62c, "prepare_to_wait_event" },
	{ 0xf6491531, "__wake_up" },
	{ 0x5eebcb84, "devm_remove_action" },
	{ 0x75e7396f, "import_ubuf" },
	{ 0x8576e767, "get_device" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0xcee82587, "devres_add" },
	{ 0x473b5efc, "single_open_size" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x44c339bf, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x32c15a14, "input_free_device" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xf24ba071, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9d3d08f0, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf250e2d4, "rt_write_unlock" },
	{ 0x7131d0cd, "register_sound_special_device" },
	{ 0x7276b73a, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "soundcore");


MODULE_INFO(srcversion, "9C157CDD3F8ED0FF7FDE456");

MODULE_INFO(suserelease, "SLFO-1.2");
