#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(snd_fw_transaction, "", "");
KSYMTAB_FUNC(fw_iso_resources_init, "", "");
KSYMTAB_FUNC(fw_iso_resources_destroy, "", "");
KSYMTAB_FUNC(fw_iso_resources_allocate, "", "");
KSYMTAB_FUNC(fw_iso_resources_update, "", "");
KSYMTAB_FUNC(fw_iso_resources_free, "", "");
KSYMTAB_FUNC(iso_packets_buffer_init, "", "");
KSYMTAB_FUNC(iso_packets_buffer_destroy, "", "");
KSYMTAB_FUNC(avc_general_set_sig_fmt, "", "");
KSYMTAB_FUNC(avc_general_get_sig_fmt, "", "");
KSYMTAB_FUNC(avc_general_get_plug_info, "", "");
KSYMTAB_FUNC(fcp_avc_transaction, "", "");
KSYMTAB_FUNC(fcp_bus_reset, "", "");
KSYMTAB_FUNC(cmp_connection_init, "", "");
KSYMTAB_FUNC(cmp_connection_check_used, "", "");
KSYMTAB_FUNC(cmp_connection_destroy, "", "");
KSYMTAB_FUNC(cmp_connection_reserve, "", "");
KSYMTAB_FUNC(cmp_connection_release, "", "");
KSYMTAB_FUNC(cmp_connection_establish, "", "");
KSYMTAB_FUNC(cmp_connection_update, "", "");
KSYMTAB_FUNC(cmp_connection_break, "", "");
KSYMTAB_FUNC(amdtp_stream_init, "", "");
KSYMTAB_FUNC(amdtp_stream_destroy, "", "");
KSYMTAB_DATA(amdtp_syt_intervals, "", "");
KSYMTAB_DATA(amdtp_rate_table, "", "");
KSYMTAB_FUNC(amdtp_stream_add_pcm_hw_constraints, "", "");
KSYMTAB_FUNC(amdtp_stream_set_parameters, "", "");
KSYMTAB_FUNC(amdtp_stream_get_max_payload, "", "");
KSYMTAB_FUNC(amdtp_stream_pcm_prepare, "", "");
KSYMTAB_FUNC(amdtp_domain_stream_pcm_pointer, "_gpl", "");
KSYMTAB_FUNC(amdtp_domain_stream_pcm_ack, "_gpl", "");
KSYMTAB_FUNC(amdtp_stream_update, "", "");
KSYMTAB_FUNC(amdtp_stream_pcm_abort, "", "");
KSYMTAB_FUNC(amdtp_domain_init, "_gpl", "");
KSYMTAB_FUNC(amdtp_domain_destroy, "_gpl", "");
KSYMTAB_FUNC(amdtp_domain_add_stream, "_gpl", "");
KSYMTAB_FUNC(amdtp_domain_start, "_gpl", "");
KSYMTAB_FUNC(amdtp_domain_stop, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_set_parameters, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_set_pcm_position, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_set_midi_position, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_add_pcm_hw_constraints, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_midi_trigger, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_init, "_gpl", "");

SYMBOL_CRC(snd_fw_transaction, 0x0816e0c9, "");
SYMBOL_CRC(fw_iso_resources_init, 0x710eaa62, "");
SYMBOL_CRC(fw_iso_resources_destroy, 0x4edeed5e, "");
SYMBOL_CRC(fw_iso_resources_allocate, 0xf02e75df, "");
SYMBOL_CRC(fw_iso_resources_update, 0xcb9b48dd, "");
SYMBOL_CRC(fw_iso_resources_free, 0x3c1ca359, "");
SYMBOL_CRC(iso_packets_buffer_init, 0x264adcdc, "");
SYMBOL_CRC(iso_packets_buffer_destroy, 0xbcbf152b, "");
SYMBOL_CRC(avc_general_set_sig_fmt, 0x85d2f150, "");
SYMBOL_CRC(avc_general_get_sig_fmt, 0x8f7c3144, "");
SYMBOL_CRC(avc_general_get_plug_info, 0x717537d0, "");
SYMBOL_CRC(fcp_avc_transaction, 0x048edd3f, "");
SYMBOL_CRC(fcp_bus_reset, 0xbb168795, "");
SYMBOL_CRC(cmp_connection_init, 0xa8947f6b, "");
SYMBOL_CRC(cmp_connection_check_used, 0x9bafc221, "");
SYMBOL_CRC(cmp_connection_destroy, 0x806abc5b, "");
SYMBOL_CRC(cmp_connection_reserve, 0x4a883875, "");
SYMBOL_CRC(cmp_connection_release, 0x6a7ffc29, "");
SYMBOL_CRC(cmp_connection_establish, 0xee429d71, "");
SYMBOL_CRC(cmp_connection_update, 0x38de6438, "");
SYMBOL_CRC(cmp_connection_break, 0x2c4f453c, "");
SYMBOL_CRC(amdtp_stream_init, 0x6aa437b4, "");
SYMBOL_CRC(amdtp_stream_destroy, 0xa7fab283, "");
SYMBOL_CRC(amdtp_syt_intervals, 0x20254e45, "");
SYMBOL_CRC(amdtp_rate_table, 0x53ca18e8, "");
SYMBOL_CRC(amdtp_stream_add_pcm_hw_constraints, 0x50b37ef0, "");
SYMBOL_CRC(amdtp_stream_set_parameters, 0xdaa23e0d, "");
SYMBOL_CRC(amdtp_stream_get_max_payload, 0x57328ccd, "");
SYMBOL_CRC(amdtp_stream_pcm_prepare, 0x16a3c18b, "");
SYMBOL_CRC(amdtp_domain_stream_pcm_pointer, 0xecbef3bd, "_gpl");
SYMBOL_CRC(amdtp_domain_stream_pcm_ack, 0x3ea38321, "_gpl");
SYMBOL_CRC(amdtp_stream_update, 0x1f3562dc, "");
SYMBOL_CRC(amdtp_stream_pcm_abort, 0x62359c37, "");
SYMBOL_CRC(amdtp_domain_init, 0x4e3e7d89, "_gpl");
SYMBOL_CRC(amdtp_domain_destroy, 0x214faea8, "_gpl");
SYMBOL_CRC(amdtp_domain_add_stream, 0xb7c02f41, "_gpl");
SYMBOL_CRC(amdtp_domain_start, 0x248b8c09, "_gpl");
SYMBOL_CRC(amdtp_domain_stop, 0xfa2f1737, "_gpl");
SYMBOL_CRC(amdtp_am824_set_parameters, 0x39be08f6, "_gpl");
SYMBOL_CRC(amdtp_am824_set_pcm_position, 0xedb2a4a6, "_gpl");
SYMBOL_CRC(amdtp_am824_set_midi_position, 0x7549b8df, "_gpl");
SYMBOL_CRC(amdtp_am824_add_pcm_hw_constraints, 0x7b6f4c11, "_gpl");
SYMBOL_CRC(amdtp_am824_midi_trigger, 0x0837050e, "_gpl");
SYMBOL_CRC(amdtp_am824_init, 0x48c89e9e, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x549dee85, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x969162bb, "fw_iso_context_create" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x4cda566, "snd_interval_refine" },
	{ 0x51f09f25, "fw_core_remove_address_handler" },
	{ 0x3416d62c, "prepare_to_wait_event" },
	{ 0x4f841dab, "fw_iso_context_stop" },
	{ 0xf6491531, "__wake_up" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xde8d6aa0, "fw_core_add_address_handler" },
	{ 0x77188b5d, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0x9f580560, "snd_pcm_hw_rule_add" },
	{ 0x35d95456, "fw_iso_context_queue" },
	{ 0x71b12b37, "_dev_info" },
	{ 0x378d31c6, "fw_card_read_cycle_time" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x7ec56c70, "perf_trace_run_bpf_submit" },
	{ 0xc8240d31, "_dev_err" },
	{ 0xd87057ad, "fw_iso_buffer_destroy" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x86468d44, "fw_rcode_string" },
	{ 0x658574f4, "trace_event_reg" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x8837d889, "fw_iso_resource_manage" },
	{ 0x643549e2, "bpf_trace_run9" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xaac42d6e, "fw_iso_context_start" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x27a7a36e, "trace_event_buffer_reserve" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0xdfcc992c, "current_work" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xaf4e428, "snd_pcm_stop_xrun" },
	{ 0x20e107e1, "snd_pcm_hw_constraint_msbits" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xdbd55bc2, "snd_pcm_period_elapsed" },
	{ 0x30748622, "fw_iso_context_flush_completions" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xde00e853, "fw_iso_context_destroy" },
	{ 0x8df82a4c, "trace_print_array_seq" },
	{ 0x7ae2b237, "fw_run_transaction" },
	{ 0xd2038049, "snd_rawmidi_receive" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x93e0a5aa, "fw_iso_buffer_init" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x5c40861b, "snd_rawmidi_transmit" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa11a97c1, "trace_raw_output_prep" },
	{ 0xb07d43ee, "__trace_trigger_soft_disabled" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0xdf4574bf, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x345b470e, "snd_pcm_hw_constraint_minmax" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "firewire-core,snd-pcm,snd-rawmidi");


MODULE_INFO(srcversion, "74B4C99841680DC97763886");

MODULE_INFO(suserelease, "SLFO-1.2");
