#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hdac_get_device_id, "_gpl", "");
KSYMTAB_DATA(snd_hda_bus_type, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_exec_verb_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_link_up, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_link_down, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_register, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_unregister, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_set_chip_name, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_modalias, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_read, "_gpl", "");
KSYMTAB_FUNC(_snd_hdac_read_parm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_read_parm_uncached, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_override_parm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_sub_nodes, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_refresh_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_connections, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_up, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_down, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_up_pm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_down_pm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_format_bits, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_format, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_spdif_stream_format, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_query_supported_pcm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_is_supported_format, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_read, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_write, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_check_power_state, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_sync_power_state, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_add_vendor_verb, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_write_raw, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_read_raw, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_update_raw, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_update_raw_once, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_sync, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_init_cmd_io, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_stop_cmd_io, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_update_rirb, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_send_cmd, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_get_response, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_parse_capabilities, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_enter_link_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_exit_link_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_reset_link, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_init_chip, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_stop_chip, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_handle_stream_irq, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_alloc_stream_pages, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_free_stream_pages, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_link_power, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_stream_stripe_ctl, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_start, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_stop, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stop_streams, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stop_streams_and_chip, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_setup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_cleanup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_assign, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_release_locked, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_release, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_stream, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_setup_periods, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_timecounter_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_sync_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_sync, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_spbcap_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_spib, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_get_spbmaxfifo, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_drsm_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_wait_drsm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_dpibr, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_lpib, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_dsp_prepare, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_dsp_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_dsp_cleanup, "_gpl", "");
KSYMTAB_FUNC(snd_array_new, "_gpl", "");
KSYMTAB_FUNC(snd_array_free, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_print_channel_allocation, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_chmap_to_spk_mask, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_spk_to_chmap, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_setup_channel_mapping, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_active_channels, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_ch_alloc_from_ca, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_channel_allocation, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_register_chmap_ops, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_add_chmap_ctls, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_set_codec_wakeup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_display_power, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_sync_audio_rate, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_get_eld, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_register_notifier, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_i915_set_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_i915_init, "_gpl", "");

SYMBOL_CRC(hdac_get_device_id, 0x484e7dbc, "_gpl");
SYMBOL_CRC(snd_hda_bus_type, 0xf11f158e, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init, 0xe7b52e1b, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exit, 0x0d28a076, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exec_verb_unlocked, 0xe201ff0d, "_gpl");
SYMBOL_CRC(snd_hdac_codec_link_up, 0x39c0c6e6, "_gpl");
SYMBOL_CRC(snd_hdac_codec_link_down, 0x9cc0d79f, "_gpl");
SYMBOL_CRC(snd_hdac_device_init, 0xa73c84eb, "_gpl");
SYMBOL_CRC(snd_hdac_device_exit, 0x5d6a1265, "_gpl");
SYMBOL_CRC(snd_hdac_device_register, 0xe05e1dfa, "_gpl");
SYMBOL_CRC(snd_hdac_device_unregister, 0x4c1182b1, "_gpl");
SYMBOL_CRC(snd_hdac_device_set_chip_name, 0x935eb49f, "_gpl");
SYMBOL_CRC(snd_hdac_codec_modalias, 0x04ad0d90, "_gpl");
SYMBOL_CRC(snd_hdac_read, 0xb5e94690, "_gpl");
SYMBOL_CRC(_snd_hdac_read_parm, 0x68514625, "_gpl");
SYMBOL_CRC(snd_hdac_read_parm_uncached, 0x717e1224, "_gpl");
SYMBOL_CRC(snd_hdac_override_parm, 0x3996cb92, "_gpl");
SYMBOL_CRC(snd_hdac_get_sub_nodes, 0x9edc8cdb, "_gpl");
SYMBOL_CRC(snd_hdac_refresh_widgets, 0x5167a36e, "_gpl");
SYMBOL_CRC(snd_hdac_get_connections, 0xa0a38974, "_gpl");
SYMBOL_CRC(snd_hdac_power_up, 0xc0ec9fbe, "_gpl");
SYMBOL_CRC(snd_hdac_power_down, 0x6e8d6eac, "_gpl");
SYMBOL_CRC(snd_hdac_power_up_pm, 0x57687d9a, "_gpl");
SYMBOL_CRC(snd_hdac_power_down_pm, 0x7fd88b18, "_gpl");
SYMBOL_CRC(snd_hdac_stream_format_bits, 0xdfb2511b, "_gpl");
SYMBOL_CRC(snd_hdac_stream_format, 0xdcb61650, "_gpl");
SYMBOL_CRC(snd_hdac_spdif_stream_format, 0xbfc95c33, "_gpl");
SYMBOL_CRC(snd_hdac_query_supported_pcm, 0x75d8d284, "_gpl");
SYMBOL_CRC(snd_hdac_is_supported_format, 0xd32bcf44, "_gpl");
SYMBOL_CRC(snd_hdac_codec_read, 0x314a05cc, "_gpl");
SYMBOL_CRC(snd_hdac_codec_write, 0x19fc26b4, "_gpl");
SYMBOL_CRC(snd_hdac_check_power_state, 0x1944cdb7, "_gpl");
SYMBOL_CRC(snd_hdac_sync_power_state, 0xdf958b32, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_init, 0x9d08b1f4, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_exit, 0xbc361083, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_add_vendor_verb, 0x607a5239, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_write_raw, 0x572a9326, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_read_raw, 0xf46694ea, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_update_raw, 0x6105074e, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_update_raw_once, 0xd56d0790, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_sync, 0xdaaf831c, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init_cmd_io, 0xfda34788, "_gpl");
SYMBOL_CRC(snd_hdac_bus_stop_cmd_io, 0xd1f06bcf, "_gpl");
SYMBOL_CRC(snd_hdac_bus_update_rirb, 0xe1e7f29a, "_gpl");
SYMBOL_CRC(snd_hdac_bus_send_cmd, 0xb7747177, "_gpl");
SYMBOL_CRC(snd_hdac_bus_get_response, 0xd6640d65, "_gpl");
SYMBOL_CRC(snd_hdac_bus_parse_capabilities, 0xf6e16ec2, "_gpl");
SYMBOL_CRC(snd_hdac_bus_enter_link_reset, 0xa2340423, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exit_link_reset, 0x7b5d63f9, "_gpl");
SYMBOL_CRC(snd_hdac_bus_reset_link, 0x9de7355b, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init_chip, 0x1f7df315, "_gpl");
SYMBOL_CRC(snd_hdac_bus_stop_chip, 0x342bacab, "_gpl");
SYMBOL_CRC(snd_hdac_bus_handle_stream_irq, 0x040798a4, "_gpl");
SYMBOL_CRC(snd_hdac_bus_alloc_stream_pages, 0xc4fdc7b2, "_gpl");
SYMBOL_CRC(snd_hdac_bus_free_stream_pages, 0x3159c7bf, "_gpl");
SYMBOL_CRC(snd_hdac_bus_link_power, 0x1ebe2b5c, "_gpl");
SYMBOL_CRC(snd_hdac_get_stream_stripe_ctl, 0x4ba3e6db, "_gpl");
SYMBOL_CRC(snd_hdac_stream_init, 0x4d57e08b, "_gpl");
SYMBOL_CRC(snd_hdac_stream_start, 0x74bb0c84, "_gpl");
SYMBOL_CRC(snd_hdac_stream_stop, 0xd762eb59, "_gpl");
SYMBOL_CRC(snd_hdac_stop_streams, 0xb01c7955, "_gpl");
SYMBOL_CRC(snd_hdac_stop_streams_and_chip, 0xc19d156b, "_gpl");
SYMBOL_CRC(snd_hdac_stream_reset, 0x6f14784f, "_gpl");
SYMBOL_CRC(snd_hdac_stream_setup, 0x3f32b2f3, "_gpl");
SYMBOL_CRC(snd_hdac_stream_cleanup, 0xc08be343, "_gpl");
SYMBOL_CRC(snd_hdac_stream_assign, 0x9b2dab33, "_gpl");
SYMBOL_CRC(snd_hdac_stream_release_locked, 0xe4dc70b2, "_gpl");
SYMBOL_CRC(snd_hdac_stream_release, 0xb8fa23b5, "_gpl");
SYMBOL_CRC(snd_hdac_get_stream, 0x639626e3, "_gpl");
SYMBOL_CRC(snd_hdac_stream_setup_periods, 0x29c2e0d1, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_params, 0xaa2bc1ce, "_gpl");
SYMBOL_CRC(snd_hdac_stream_timecounter_init, 0x04d16615, "_gpl");
SYMBOL_CRC(snd_hdac_stream_sync_trigger, 0xc9d46ee1, "_gpl");
SYMBOL_CRC(snd_hdac_stream_sync, 0xe38138d9, "_gpl");
SYMBOL_CRC(snd_hdac_stream_spbcap_enable, 0xb1514acc, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_spib, 0xac524e9d, "_gpl");
SYMBOL_CRC(snd_hdac_stream_get_spbmaxfifo, 0xbccb8350, "_gpl");
SYMBOL_CRC(snd_hdac_stream_drsm_enable, 0x11e7d86b, "_gpl");
SYMBOL_CRC(snd_hdac_stream_wait_drsm, 0x1e5bd54d, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_dpibr, 0xb559af15, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_lpib, 0xf7770f3f, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_prepare, 0xfa2576f0, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_trigger, 0xb1c8a7fa, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_cleanup, 0x789e4e2c, "_gpl");
SYMBOL_CRC(snd_array_new, 0xbe7dd7dc, "_gpl");
SYMBOL_CRC(snd_array_free, 0x9a8e1877, "_gpl");
SYMBOL_CRC(snd_hdac_print_channel_allocation, 0xe4e07754, "_gpl");
SYMBOL_CRC(snd_hdac_chmap_to_spk_mask, 0x77c754a8, "_gpl");
SYMBOL_CRC(snd_hdac_spk_to_chmap, 0x67bfe791, "_gpl");
SYMBOL_CRC(snd_hdac_setup_channel_mapping, 0x8e9511d5, "_gpl");
SYMBOL_CRC(snd_hdac_get_active_channels, 0x3bd544c2, "_gpl");
SYMBOL_CRC(snd_hdac_get_ch_alloc_from_ca, 0x4c7ec4b6, "_gpl");
SYMBOL_CRC(snd_hdac_channel_allocation, 0x60e904c2, "_gpl");
SYMBOL_CRC(snd_hdac_register_chmap_ops, 0x190d0c27, "_gpl");
SYMBOL_CRC(snd_hdac_add_chmap_ctls, 0x428a86ce, "_gpl");
SYMBOL_CRC(snd_hdac_set_codec_wakeup, 0x5c2fa4ea, "_gpl");
SYMBOL_CRC(snd_hdac_display_power, 0xe2b7b5e1, "_gpl");
SYMBOL_CRC(snd_hdac_sync_audio_rate, 0xe9f23f09, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_get_eld, 0xe09fabbf, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_register_notifier, 0x01b8d775, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_init, 0xe6264e15, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_exit, 0x6291b742, "_gpl");
SYMBOL_CRC(snd_hdac_i915_set_bclk, 0x044a686b, "_gpl");
SYMBOL_CRC(snd_hdac_i915_init, 0xaa9829a1, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdfdce546, "snd_sgbuf_get_addr" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0x168bfa78, "snd_sgbuf_get_chunk_size" },
	{ 0xcee82587, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x77188b5d, "trace_event_buffer_commit" },
	{ 0xf224f7d5, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x478dcfc2, "__pm_runtime_set_status" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9d3d08f0, "put_device" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x71b12b37, "_dev_info" },
	{ 0x7276b73a, "module_put" },
	{ 0x3a1f8bac, "component_match_add_typed" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x7ec56c70, "perf_trace_run_bpf_submit" },
	{ 0x12cb1804, "bus_unregister" },
	{ 0xc8240d31, "_dev_err" },
	{ 0xb071253e, "kobject_add" },
	{ 0x9907f28, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x19c290ca, "__devres_alloc_node" },
	{ 0x658574f4, "trace_event_reg" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xd2f514a4, "sysfs_create_group" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xb4f09617, "__regmap_init" },
	{ 0x1080ce71, "device_del" },
	{ 0xfb578fc5, "memset" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xa9c1db69, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xd191499b, "sysfs_remove_group" },
	{ 0xcb67b626, "bpf_trace_run3" },
	{ 0x1fde17c9, "component_master_del" },
	{ 0x29f8f608, "regmap_read" },
	{ 0x27a7a36e, "trace_event_buffer_reserve" },
	{ 0xd5dcc637, "__pm_runtime_resume" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xc8284c14, "component_bind_all" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe385f704, "snd_pcm_hw_params_bits" },
	{ 0xc398603b, "kobject_uevent" },
	{ 0x62bb09bf, "clocks_calc_mult_shift" },
	{ 0x1c2342e9, "pci_match_id" },
	{ 0x22390f3b, "devres_find" },
	{ 0x2c56a64a, "regmap_update_bits_base" },
	{ 0x716b4fac, "dev_err_probe" },
	{ 0xdf0614a1, "__pm_runtime_suspend" },
	{ 0xed3996f2, "regmap_exit" },
	{ 0x754d539c, "strlen" },
	{ 0xf2203c5f, "param_ops_int" },
	{ 0x99823a7a, "component_unbind_all" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6473fad4, "pci_bus_type" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0xddbd0482, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xde021df3, "kobject_put" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x4e5daa9a, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x2c706b5c, "regcache_sync" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xf118ab39, "regmap_write" },
	{ 0xe8ee3f73, "snd_dma_alloc_dir_pages" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x50707f9c, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6ae872d3, "component_master_add_with_match" },
	{ 0xa11a97c1, "trace_raw_output_prep" },
	{ 0xb194b4ae, "snd_pcm_add_chmap_ctls" },
	{ 0xee7d22e5, "pci_dev_put" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xb07d43ee, "__trace_trigger_soft_disabled" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0x6aa30cbd, "pci_get_device" },
	{ 0xdf4574bf, "trace_event_printf" },
	{ 0x8826cd0f, "devres_destroy" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x931afc70, "pm_runtime_get_if_active" },
	{ 0x306aecb7, "kobject_init" },
	{ 0x4628038c, "device_initialize" },
	{ 0x862d1e43, "prepare_to_wait" },
	{ 0x549dee85, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0x37a0cba, "kfree" },
	{ 0x751b8711, "regcache_reg_cached" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd0d9d74c, "bpf_trace_run2" },
	{ 0xf6491531, "__wake_up" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm");


MODULE_INFO(srcversion, "5DB94B74966C5289F2EAEBD");

MODULE_INFO(suserelease, "SLFO-1.2");
