#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cs35l56_set_patch, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_mbox_send, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_firmware_shutdown, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_for_firmware_boot, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_control_port_ready, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_min_reset_pulse, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_system_reset, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_irq_request, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_irq, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_is_fw_reload_needed, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_runtime_suspend_common, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_runtime_resume_common, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_init_cs_dsp, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_calibration_controls, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_get_calibration, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_read_prot_status, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_hw_init, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_get_speaker_id, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_get_bclk_freq_id, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_fill_supply_names, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_tx_input_texts, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_tx_input_values, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_i2c, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_spi, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_sdw, "_gpl", "SND_SOC_CS35L56_SHARED");

SYMBOL_CRC(cs35l56_set_patch, 0xce790641, "_gpl");
SYMBOL_CRC(cs35l56_mbox_send, 0x4cc00829, "_gpl");
SYMBOL_CRC(cs35l56_firmware_shutdown, 0x66aa45dd, "_gpl");
SYMBOL_CRC(cs35l56_wait_for_firmware_boot, 0x41dacbea, "_gpl");
SYMBOL_CRC(cs35l56_wait_control_port_ready, 0xad591ce8, "_gpl");
SYMBOL_CRC(cs35l56_wait_min_reset_pulse, 0x810124fe, "_gpl");
SYMBOL_CRC(cs35l56_system_reset, 0xc7978915, "_gpl");
SYMBOL_CRC(cs35l56_irq_request, 0x894197ce, "_gpl");
SYMBOL_CRC(cs35l56_irq, 0x05482545, "_gpl");
SYMBOL_CRC(cs35l56_is_fw_reload_needed, 0x4c6516c9, "_gpl");
SYMBOL_CRC(cs35l56_runtime_suspend_common, 0xb5bfa5b2, "_gpl");
SYMBOL_CRC(cs35l56_runtime_resume_common, 0x4bd67ce2, "_gpl");
SYMBOL_CRC(cs35l56_init_cs_dsp, 0xee189c80, "_gpl");
SYMBOL_CRC(cs35l56_calibration_controls, 0x0fa4d22d, "_gpl");
SYMBOL_CRC(cs35l56_get_calibration, 0xc61d0a38, "_gpl");
SYMBOL_CRC(cs35l56_read_prot_status, 0xd2d84eaa, "_gpl");
SYMBOL_CRC(cs35l56_hw_init, 0x2d17ac9b, "_gpl");
SYMBOL_CRC(cs35l56_get_speaker_id, 0x1ed2c119, "_gpl");
SYMBOL_CRC(cs35l56_get_bclk_freq_id, 0x88762c92, "_gpl");
SYMBOL_CRC(cs35l56_fill_supply_names, 0x01d4878b, "_gpl");
SYMBOL_CRC(cs35l56_tx_input_texts, 0x64e759e4, "_gpl");
SYMBOL_CRC(cs35l56_tx_input_values, 0x05c2529e, "_gpl");
SYMBOL_CRC(cs35l56_regmap_i2c, 0xb4a76d23, "_gpl");
SYMBOL_CRC(cs35l56_regmap_spi, 0x02f26bfc, "_gpl");
SYMBOL_CRC(cs35l56_regmap_sdw, 0xcd9c5f8f, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf118ab39, "regmap_write" },
	{ 0xd0934899, "devm_request_threaded_irq" },
	{ 0xc3cd0d24, "cs_amp_get_efi_calibration_data" },
	{ 0x6761bb6a, "regmap_raw_read" },
	{ 0x664863f3, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4894dff5, "gpiod_get_array_optional" },
	{ 0x20d1d0c7, "spi_bus_lock" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x64580cf8, "device_property_read_u32_array" },
	{ 0x71b12b37, "_dev_info" },
	{ 0xb84cfb30, "regmap_multi_reg_write_bypassed" },
	{ 0xc8240d31, "_dev_err" },
	{ 0xe7f18d43, "gpiod_put_array" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa24e8d1e, "regmap_read_bypassed" },
	{ 0x29f8f608, "regmap_read" },
	{ 0xd5dcc637, "__pm_runtime_resume" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x51f02de0, "spi_sync_locked" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xbdbaee9d, "_dev_crit" },
	{ 0x2c56a64a, "regmap_update_bits_base" },
	{ 0x716b4fac, "dev_err_probe" },
	{ 0xdf0614a1, "__pm_runtime_suspend" },
	{ 0xc7c145c5, "regmap_register_patch" },
	{ 0x66ebde19, "__pm_runtime_idle" },
	{ 0xee22e89a, "gpiod_get_value_cansleep" },
	{ 0xd495198f, "spi_bus_unlock" },
	{ 0x4cf7e03, "regcache_cache_only" },
	{ 0x2c706b5c, "regcache_sync" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-cs-amp-lib");


MODULE_INFO(srcversion, "A03F0CDDB6749C2C60A4CF1");

MODULE_INFO(suserelease, "SLFO-1.2");
