#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cs35l56_system_suspend, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_suspend_late, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_suspend_no_irq, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume_no_irq, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume_early, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume, "_gpl", "");
KSYMTAB_FUNC(cs35l56_common_probe, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_FUNC(cs35l56_init, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_FUNC(cs35l56_remove, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_DATA(cs35l56_pm_ops_i2c_spi, "_gpl", "SND_SOC_CS35L56_CORE");

SYMBOL_CRC(cs35l56_system_suspend, 0xcc665174, "_gpl");
SYMBOL_CRC(cs35l56_system_suspend_late, 0xad9aad39, "_gpl");
SYMBOL_CRC(cs35l56_system_suspend_no_irq, 0xed3fa6d5, "_gpl");
SYMBOL_CRC(cs35l56_system_resume_no_irq, 0xd6e97477, "_gpl");
SYMBOL_CRC(cs35l56_system_resume_early, 0x6472bbc4, "_gpl");
SYMBOL_CRC(cs35l56_system_resume, 0x9db65915, "_gpl");
SYMBOL_CRC(cs35l56_common_probe, 0x1a37c944, "_gpl");
SYMBOL_CRC(cs35l56_init, 0xa299c296, "_gpl");
SYMBOL_CRC(cs35l56_remove, 0xc2ad30d3, "_gpl");
SYMBOL_CRC(cs35l56_pm_ops_i2c_spi, 0xa154a1da, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x664863f3, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc435d824, "devm_gpiod_get_optional" },
	{ 0x5891099a, "wm_adsp_stop" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc61d0a38, "cs35l56_get_calibration" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x478dcfc2, "__pm_runtime_set_status" },
	{ 0xfad49bbd, "devm_snd_soc_register_component" },
	{ 0x6241ec86, "devm_kstrdup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7a6598df, "sdw_write_no_pm" },
	{ 0xbe60732d, "devm_free_irq" },
	{ 0x6d93b33b, "pm_runtime_enable" },
	{ 0x482c4c78, "fwnode_gpiod_get_index" },
	{ 0xf8d8016b, "regulator_bulk_disable" },
	{ 0x71b12b37, "_dev_info" },
	{ 0x5abd9bca, "acpi_dev_remove_driver_gpios" },
	{ 0x8dbd3e51, "snd_soc_info_volsw" },
	{ 0xee189c80, "cs35l56_init_cs_dsp" },
	{ 0xc8954614, "wm_adsp_power_down" },
	{ 0xc8240d31, "_dev_err" },
	{ 0xf933d48, "debugfs_create_bool" },
	{ 0x866d889b, "wm_adsp_event" },
	{ 0x5c2529e, "cs35l56_tx_input_values" },
	{ 0x64e759e4, "cs35l56_tx_input_texts" },
	{ 0x20131a9f, "device_property_read_string" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xfa4d22d, "cs35l56_calibration_controls" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xb5bfa5b2, "cs35l56_runtime_suspend_common" },
	{ 0xda708d98, "sdw_read_no_pm" },
	{ 0x4cc00829, "cs35l56_mbox_send" },
	{ 0x2d17ac9b, "cs35l56_hw_init" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0x6cb3b016, "wm_adsp2_component_probe" },
	{ 0xd2d84eaa, "cs35l56_read_prot_status" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc7978915, "cs35l56_system_reset" },
	{ 0x6a675c41, "snd_soc_info_enum_double" },
	{ 0xfaf62c21, "regulator_bulk_enable" },
	{ 0xfa0ef4bc, "devm_regulator_bulk_get" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xdf108f6a, "wm_adsp2_component_remove" },
	{ 0x41dacbea, "cs35l56_wait_for_firmware_boot" },
	{ 0x792c9efe, "devm_kasprintf" },
	{ 0x943c95c4, "snd_soc_get_volsw" },
	{ 0xce790641, "cs35l56_set_patch" },
	{ 0xad591ce8, "cs35l56_wait_control_port_ready" },
	{ 0x39b37d3a, "fwnode_property_present" },
	{ 0x4c6516c9, "cs35l56_is_fw_reload_needed" },
	{ 0x29f8f608, "regmap_read" },
	{ 0xafb808, "snd_soc_put_volsw" },
	{ 0xd5dcc637, "__pm_runtime_resume" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0xc23734c1, "cs_amp_write_cal_coeffs" },
	{ 0x4256d4ca, "device_get_named_child_node" },
	{ 0xacdb3104, "pm_runtime_force_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xa1fbc05f, "sdw_stream_remove_slave" },
	{ 0x4bd67ce2, "cs35l56_runtime_resume_common" },
	{ 0x3128d5fa, "dapm_regulator_event" },
	{ 0x1ed2c119, "cs35l56_get_speaker_id" },
	{ 0x18c68260, "wm_adsp_run" },
	{ 0x2c56a64a, "regmap_update_bits_base" },
	{ 0xb5773df8, "acpi_dev_get_property" },
	{ 0x716b4fac, "dev_err_probe" },
	{ 0xdf0614a1, "__pm_runtime_suspend" },
	{ 0x1d4878b, "cs35l56_fill_supply_names" },
	{ 0x177e48ab, "__devm_add_action" },
	{ 0x7dcb8013, "snd_soc_dapm_get_enum_double" },
	{ 0x972fec3a, "__pm_runtime_use_autosuspend" },
	{ 0xcc61eaf9, "wm_halo_init" },
	{ 0xf40beb46, "__pm_runtime_disable" },
	{ 0x66aa45dd, "cs35l56_firmware_shutdown" },
	{ 0xe41ac794, "sdw_stream_add_slave" },
	{ 0x44f6e30b, "pm_runtime_force_suspend" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0xfe2fbd9d, "wm_adsp_power_up" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xd557316f, "snd_soc_dapm_put_enum_double" },
	{ 0xee22e89a, "gpiod_get_value_cansleep" },
	{ 0x4cf7e03, "regcache_cache_only" },
	{ 0x187dccfa, "is_acpi_device_node" },
	{ 0x77ec3bf9, "gpiod_put" },
	{ 0x2c706b5c, "regcache_sync" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xf118ab39, "regmap_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x810124fe, "cs35l56_wait_min_reset_pulse" },
	{ 0x88762c92, "cs35l56_get_bclk_freq_id" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf42ab0a3, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xd72a607b, "gpiod_set_value_cansleep" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xbf62c5c3, "acpi_dev_add_driver_gpios" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-wm-adsp,snd-soc-cs35l56-shared,snd-soc-core,soundwire-bus,snd-soc-cs-amp-lib,snd-pcm");


MODULE_INFO(srcversion, "D62B474544DEF6496D8466A");

MODULE_INFO(suserelease, "SLFO-1.2");
