#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cs42l42_readable_register, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_volatile_register, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_page_range, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_regmap, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_soc_component, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_pll_config, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_src_config, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_mute_stream, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_dai, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_irq_thread, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_suspend, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_resume, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_resume_restore, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_common_probe, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_init, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_common_remove, "_gpl", "SND_SOC_CS42L42_CORE");

SYMBOL_CRC(cs42l42_readable_register, 0x99eb84d4, "_gpl");
SYMBOL_CRC(cs42l42_volatile_register, 0xa2727c41, "_gpl");
SYMBOL_CRC(cs42l42_page_range, 0xc053efa9, "_gpl");
SYMBOL_CRC(cs42l42_regmap, 0x13cd5921, "_gpl");
SYMBOL_CRC(cs42l42_soc_component, 0xeda28199, "_gpl");
SYMBOL_CRC(cs42l42_pll_config, 0xf201f8b8, "_gpl");
SYMBOL_CRC(cs42l42_src_config, 0x1413ef0f, "_gpl");
SYMBOL_CRC(cs42l42_mute_stream, 0xfe6b981f, "_gpl");
SYMBOL_CRC(cs42l42_dai, 0x9321e6e3, "_gpl");
SYMBOL_CRC(cs42l42_irq_thread, 0xae4be5c4, "_gpl");
SYMBOL_CRC(cs42l42_suspend, 0x499651a4, "_gpl");
SYMBOL_CRC(cs42l42_resume, 0x993e5cc8, "_gpl");
SYMBOL_CRC(cs42l42_resume_restore, 0x36112777, "_gpl");
SYMBOL_CRC(cs42l42_common_probe, 0x099dff45, "_gpl");
SYMBOL_CRC(cs42l42_init, 0x9623d89a, "_gpl");
SYMBOL_CRC(cs42l42_common_remove, 0xbcfaa4e0, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x67bab72f, "snd_soc_jack_report" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xd72a607b, "gpiod_set_value_cansleep" },
	{ 0x345b470e, "snd_pcm_hw_constraint_minmax" },
	{ 0x1f733baa, "regcache_sync_region" },
	{ 0xefe67c8b, "snd_soc_put_enum_double" },
	{ 0x664863f3, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc435d824, "devm_gpiod_get_optional" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfad49bbd, "devm_snd_soc_register_component" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf8d8016b, "regulator_bulk_disable" },
	{ 0x64580cf8, "device_property_read_u32_array" },
	{ 0xe5721797, "snd_soc_get_enum_double" },
	{ 0x71b12b37, "_dev_info" },
	{ 0x8dbd3e51, "snd_soc_info_volsw" },
	{ 0x8d2df1e9, "regcache_drop_region" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6a675c41, "snd_soc_info_enum_double" },
	{ 0xfaf62c21, "regulator_bulk_enable" },
	{ 0xfa0ef4bc, "devm_regulator_bulk_get" },
	{ 0x943c95c4, "snd_soc_get_volsw" },
	{ 0x29f8f608, "regmap_read" },
	{ 0xafb808, "snd_soc_put_volsw" },
	{ 0xbff66168, "snd_soc_component_update_bits" },
	{ 0xd5dcc637, "__pm_runtime_resume" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x651b3fa2, "regmap_bulk_read" },
	{ 0x2c56a64a, "regmap_update_bits_base" },
	{ 0x716b4fac, "dev_err_probe" },
	{ 0x3e39abe4, "regmap_multi_reg_write" },
	{ 0xdf0614a1, "__pm_runtime_suspend" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x6c456e7b, "snd_soc_tdm_params_to_bclk" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xa4f4d556, "device_property_present" },
	{ 0x4cf7e03, "regcache_cache_only" },
	{ 0x2c706b5c, "regcache_sync" },
	{ 0xf118ab39, "regmap_write" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-pcm");


MODULE_INFO(srcversion, "03C925C7DEB10ECF436DE21");

MODULE_INFO(suserelease, "SLFO-1.2");
