#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(null_dailink_component, "_gpl", "");
KSYMTAB_DATA(snd_soc_debugfs_root, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_name_get, "_gpl", "");
KSYMTAB_FUNC(snd_soc_rtdcom_lookup, "_gpl", "");
KSYMTAB_FUNC(snd_soc_lookup_component_nolocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_lookup_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_pcm_runtime, "_gpl", "");
KSYMTAB_FUNC(snd_soc_close_delayed_work, "_gpl", "");
KSYMTAB_FUNC(snd_soc_suspend, "_gpl", "");
KSYMTAB_FUNC(snd_soc_resume, "_gpl", "");
KSYMTAB_FUNC(snd_soc_copy_dai_args, "_gpl", "");
KSYMTAB_FUNC(snd_soc_find_dai, "_gpl", "");
KSYMTAB_FUNC(snd_soc_find_dai_with_mutex, "_gpl", "");
KSYMTAB_FUNC(snd_soc_remove_pcm_runtime, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_pcm_runtimes, "_gpl", "");
KSYMTAB_FUNC(snd_soc_runtime_set_dai_fmt, "_gpl", "");
KSYMTAB_FUNC(snd_soc_set_dmi_name, "_gpl", "");
KSYMTAB_FUNC(snd_soc_poweroff, "_gpl", "");
KSYMTAB_DATA(snd_soc_pm_ops, "_gpl", "");
KSYMTAB_FUNC(snd_soc_cnew, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_component_controls, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_card_controls, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_dai_controls, "_gpl", "");
KSYMTAB_FUNC(snd_soc_register_card, "_gpl", "");
KSYMTAB_FUNC(snd_soc_unregister_card, "_gpl", "");
KSYMTAB_FUNC(snd_soc_unregister_dai, "_gpl", "");
KSYMTAB_FUNC(snd_soc_register_dai, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_initialize, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_register_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_unregister_component_by_driver, "_gpl", "");
KSYMTAB_FUNC(snd_soc_unregister_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_card_name, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_audio_simple_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_pin_switches, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_slot_mask, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_tdm_slot, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dlc_use_cpu_as_platform, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_node_prefix, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_audio_routing, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_aux_devs, "_gpl", "");
KSYMTAB_FUNC(snd_soc_daifmt_clock_provider_flipped, "_gpl", "");
KSYMTAB_FUNC(snd_soc_daifmt_clock_provider_from_bitmap, "_gpl", "");
KSYMTAB_FUNC(snd_soc_daifmt_parse_format, "_gpl", "");
KSYMTAB_FUNC(snd_soc_daifmt_parse_clock_provider_raw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_stream_cpu, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_dai_id, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_dlc, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_dlc, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_dai_name, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_dai_name, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_dai_via_args, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_put_dai_link_codecs, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_dai_link_codecs, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_put_dai_link_cpus, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_dai_link_cpus, "_gpl", "");
KSYMTAB_FUNC(dapm_mark_endpoints_dirty, "_gpl", "");
KSYMTAB_FUNC(dapm_kcontrol_get_value, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_kcontrol_widget, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_kcontrol_dapm, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_force_bias_level, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_dai_get_connected_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_dai_free_widgets, "_gpl", "");
KSYMTAB_FUNC(dapm_regulator_event, "_gpl", "");
KSYMTAB_FUNC(dapm_pinctrl_event, "_gpl", "");
KSYMTAB_FUNC(dapm_clock_event, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_mux_update_power, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_mixer_update_power, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_free_widget, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_sync_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_sync, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_update_dai, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_widget_name_cmp, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_add_routes, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_del_routes, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_weak_routes, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_new_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_get_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_put_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_get_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_put_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_info_pin_switch, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_get_pin_switch, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_put_pin_switch, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_new_control, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_new_controls, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_new_dai_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_stream_stop, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_enable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_enable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_force_enable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_force_enable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_disable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_disable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_nc_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_nc_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_get_pin_status, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_ignore_suspend, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_free, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_init, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_report, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_add_zones, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_get_type, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_add_pins, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_notifier_register, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_notifier_unregister, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_add_gpios, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_add_gpiods, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_free_gpios, "_gpl", "");
KSYMTAB_FUNC(snd_soc_calc_frame_size, "_gpl", "");
KSYMTAB_FUNC(snd_soc_params_to_frame_size, "_gpl", "");
KSYMTAB_FUNC(snd_soc_calc_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_params_to_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_tdm_params_to_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_is_dummy, "_gpl", "");
KSYMTAB_DATA(snd_soc_dummy_dlc, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_sysclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_clkdiv, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_pll, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_bclk_ratio, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_fmt, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_tdm_slot, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_channel_map, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_get_channel_map, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_tristate, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_digital_mute, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_action, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_active, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_startup, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_shutdown, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_get_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_ack, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_pointer, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_set_metadata, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_get_metadata, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_set_sysclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_set_pll, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_enable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_enable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_disable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_disable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_nc_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_nc_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_get_pin_status, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_force_enable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_force_enable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_get_kcontrol, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_notify_control, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_set_jack, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_get_jack_type, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_init_regmap, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_exit_regmap, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_open, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_free, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_get_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_get_caps, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_get_codec_caps, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_ack, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_pointer, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_copy, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_set_metadata, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_get_metadata, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_read, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_write, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_update_bits, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_update_bits_async, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_read_field, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_write_field, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_async_complete, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_test_bits, "_gpl", "");
KSYMTAB_FUNC(snd_soc_runtime_action, "_gpl", "");
KSYMTAB_FUNC(snd_soc_set_runtime_hwparams, "_gpl", "");
KSYMTAB_FUNC(snd_soc_runtime_calc_hw, "_gpl", "");
KSYMTAB_FUNC(widget_in_list, "_gpl", "");
KSYMTAB_FUNC(dpcm_end_walk_at_be, "_gpl", "");
KSYMTAB_FUNC(dpcm_be_dai_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dpcm_runtime_update, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dpcm_get_substream, "_gpl", "");
KSYMTAB_FUNC(devm_snd_soc_register_dai, "_gpl", "");
KSYMTAB_FUNC(devm_snd_soc_register_component, "_gpl", "");
KSYMTAB_FUNC(devm_snd_soc_register_card, "_gpl", "");
KSYMTAB_FUNC(devm_snd_dmaengine_pcm_register, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_volsw_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_volsw_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_volsw_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_volsw_range, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_volsw_range, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_volsw_range, "_gpl", "");
KSYMTAB_FUNC(snd_soc_limit_volume, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_info, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_get, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_put, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_info_ext, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_tlv_callback, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_xr_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_xr_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_xr_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_strobe, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_strobe, "_gpl", "");
KSYMTAB_FUNC(snd_soc_link_compr_startup, "_gpl", "");
KSYMTAB_FUNC(snd_soc_link_compr_shutdown, "_gpl", "");
KSYMTAB_FUNC(snd_soc_link_compr_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_get_kcontrol, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_jack_new, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_jack_new_pins, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_add_dai_link, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_remove_dai_link, "_gpl", "");
KSYMTAB_FUNC(snd_soc_new_compress, "_gpl", "");
KSYMTAB_FUNC(snd_soc_tplg_widget_bind_event, "_gpl", "");
KSYMTAB_FUNC(snd_soc_tplg_component_load, "_gpl", "");
KSYMTAB_FUNC(snd_soc_tplg_component_remove, "_gpl", "");
KSYMTAB_FUNC(snd_dmaengine_pcm_prepare_slave_config, "_gpl", "");
KSYMTAB_FUNC(snd_dmaengine_pcm_register, "_gpl", "");
KSYMTAB_FUNC(snd_dmaengine_pcm_unregister, "_gpl", "");

SYMBOL_CRC(null_dailink_component, 0x02525efe, "_gpl");
SYMBOL_CRC(snd_soc_debugfs_root, 0x46a38e5e, "_gpl");
SYMBOL_CRC(snd_soc_dai_name_get, 0xe187d389, "_gpl");
SYMBOL_CRC(snd_soc_rtdcom_lookup, 0xaceafd00, "_gpl");
SYMBOL_CRC(snd_soc_lookup_component_nolocked, 0xf8fe900b, "_gpl");
SYMBOL_CRC(snd_soc_lookup_component, 0xde0d9320, "_gpl");
SYMBOL_CRC(snd_soc_get_pcm_runtime, 0xdda030c8, "_gpl");
SYMBOL_CRC(snd_soc_close_delayed_work, 0x6a383096, "_gpl");
SYMBOL_CRC(snd_soc_suspend, 0x036c3e21, "_gpl");
SYMBOL_CRC(snd_soc_resume, 0xa1107622, "_gpl");
SYMBOL_CRC(snd_soc_copy_dai_args, 0x00e672a4, "_gpl");
SYMBOL_CRC(snd_soc_find_dai, 0x20adc331, "_gpl");
SYMBOL_CRC(snd_soc_find_dai_with_mutex, 0x1a856b8a, "_gpl");
SYMBOL_CRC(snd_soc_remove_pcm_runtime, 0x788cd55d, "_gpl");
SYMBOL_CRC(snd_soc_add_pcm_runtimes, 0xee4d32b9, "_gpl");
SYMBOL_CRC(snd_soc_runtime_set_dai_fmt, 0x42eaa3d2, "_gpl");
SYMBOL_CRC(snd_soc_set_dmi_name, 0x53c2f010, "_gpl");
SYMBOL_CRC(snd_soc_poweroff, 0x2da8df86, "_gpl");
SYMBOL_CRC(snd_soc_pm_ops, 0x0c039912, "_gpl");
SYMBOL_CRC(snd_soc_cnew, 0x0de2a3bb, "_gpl");
SYMBOL_CRC(snd_soc_add_component_controls, 0x9ec60dbb, "_gpl");
SYMBOL_CRC(snd_soc_add_card_controls, 0xb055533f, "_gpl");
SYMBOL_CRC(snd_soc_add_dai_controls, 0xb72386b0, "_gpl");
SYMBOL_CRC(snd_soc_register_card, 0x29aeb89e, "_gpl");
SYMBOL_CRC(snd_soc_unregister_card, 0x838417e6, "_gpl");
SYMBOL_CRC(snd_soc_unregister_dai, 0xc84ed360, "_gpl");
SYMBOL_CRC(snd_soc_register_dai, 0x10fbc687, "_gpl");
SYMBOL_CRC(snd_soc_component_initialize, 0xdaaa66c3, "_gpl");
SYMBOL_CRC(snd_soc_add_component, 0xee5e8cde, "_gpl");
SYMBOL_CRC(snd_soc_register_component, 0x0eff29f6, "_gpl");
SYMBOL_CRC(snd_soc_unregister_component_by_driver, 0x73871b54, "_gpl");
SYMBOL_CRC(snd_soc_unregister_component, 0x399effb5, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_card_name, 0x95f12821, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_audio_simple_widgets, 0xb7a78d5a, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_pin_switches, 0x2872b505, "_gpl");
SYMBOL_CRC(snd_soc_of_get_slot_mask, 0x682bfc2d, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_tdm_slot, 0x2813ff2b, "_gpl");
SYMBOL_CRC(snd_soc_dlc_use_cpu_as_platform, 0xfe156079, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_node_prefix, 0xf89542fd, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_audio_routing, 0x9275121f, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_aux_devs, 0x57886718, "_gpl");
SYMBOL_CRC(snd_soc_daifmt_clock_provider_flipped, 0xc317a15e, "_gpl");
SYMBOL_CRC(snd_soc_daifmt_clock_provider_from_bitmap, 0xf9622dd1, "_gpl");
SYMBOL_CRC(snd_soc_daifmt_parse_format, 0x10b8df93, "_gpl");
SYMBOL_CRC(snd_soc_daifmt_parse_clock_provider_raw, 0x6416c839, "_gpl");
SYMBOL_CRC(snd_soc_get_stream_cpu, 0x0afdf07c, "_gpl");
SYMBOL_CRC(snd_soc_get_dai_id, 0x78db6f14, "_gpl");
SYMBOL_CRC(snd_soc_get_dlc, 0x462d0818, "_gpl");
SYMBOL_CRC(snd_soc_of_get_dlc, 0x23137dbd, "_gpl");
SYMBOL_CRC(snd_soc_get_dai_name, 0x8b5d9569, "_gpl");
SYMBOL_CRC(snd_soc_of_get_dai_name, 0x8cf730fe, "_gpl");
SYMBOL_CRC(snd_soc_get_dai_via_args, 0xbaf807f7, "_gpl");
SYMBOL_CRC(snd_soc_of_put_dai_link_codecs, 0xdca71a8c, "_gpl");
SYMBOL_CRC(snd_soc_of_get_dai_link_codecs, 0x2a0c3aa4, "_gpl");
SYMBOL_CRC(snd_soc_of_put_dai_link_cpus, 0x9c1ee09b, "_gpl");
SYMBOL_CRC(snd_soc_of_get_dai_link_cpus, 0xa499a55f, "_gpl");
SYMBOL_CRC(dapm_mark_endpoints_dirty, 0xa747174e, "_gpl");
SYMBOL_CRC(dapm_kcontrol_get_value, 0xd054765b, "_gpl");
SYMBOL_CRC(snd_soc_dapm_kcontrol_widget, 0x86ab7995, "_gpl");
SYMBOL_CRC(snd_soc_dapm_kcontrol_dapm, 0x11d5a033, "_gpl");
SYMBOL_CRC(snd_soc_dapm_force_bias_level, 0x92776409, "_gpl");
SYMBOL_CRC(snd_soc_dapm_dai_get_connected_widgets, 0xc2cb21d1, "_gpl");
SYMBOL_CRC(snd_soc_dapm_dai_free_widgets, 0x07f3599b, "_gpl");
SYMBOL_CRC(dapm_regulator_event, 0x3128d5fa, "_gpl");
SYMBOL_CRC(dapm_pinctrl_event, 0xdd55e84e, "_gpl");
SYMBOL_CRC(dapm_clock_event, 0x36d52461, "_gpl");
SYMBOL_CRC(snd_soc_dapm_mux_update_power, 0xd2382c5d, "_gpl");
SYMBOL_CRC(snd_soc_dapm_mixer_update_power, 0x754f4b4d, "_gpl");
SYMBOL_CRC(snd_soc_dapm_free_widget, 0xa46b433a, "_gpl");
SYMBOL_CRC(snd_soc_dapm_sync_unlocked, 0x6bce9330, "_gpl");
SYMBOL_CRC(snd_soc_dapm_sync, 0x201bb9ff, "_gpl");
SYMBOL_CRC(snd_soc_dapm_update_dai, 0x7c7a9366, "_gpl");
SYMBOL_CRC(snd_soc_dapm_widget_name_cmp, 0x7821ccbc, "_gpl");
SYMBOL_CRC(snd_soc_dapm_add_routes, 0x8cb5ae90, "_gpl");
SYMBOL_CRC(snd_soc_dapm_del_routes, 0x8924a8c8, "_gpl");
SYMBOL_CRC(snd_soc_dapm_weak_routes, 0x3e1fc008, "_gpl");
SYMBOL_CRC(snd_soc_dapm_new_widgets, 0xc7a8ba1c, "_gpl");
SYMBOL_CRC(snd_soc_dapm_get_volsw, 0x75bf50c2, "_gpl");
SYMBOL_CRC(snd_soc_dapm_put_volsw, 0x097798f6, "_gpl");
SYMBOL_CRC(snd_soc_dapm_get_enum_double, 0x7dcb8013, "_gpl");
SYMBOL_CRC(snd_soc_dapm_put_enum_double, 0xd557316f, "_gpl");
SYMBOL_CRC(snd_soc_dapm_info_pin_switch, 0xe5a3e909, "_gpl");
SYMBOL_CRC(snd_soc_dapm_get_pin_switch, 0x4471cde9, "_gpl");
SYMBOL_CRC(snd_soc_dapm_put_pin_switch, 0xbf1fe444, "_gpl");
SYMBOL_CRC(snd_soc_dapm_new_control, 0x1f4ebb14, "_gpl");
SYMBOL_CRC(snd_soc_dapm_new_controls, 0x1450f62a, "_gpl");
SYMBOL_CRC(snd_soc_dapm_new_dai_widgets, 0x18f254f9, "_gpl");
SYMBOL_CRC(snd_soc_dapm_stream_stop, 0x2a70e132, "_gpl");
SYMBOL_CRC(snd_soc_dapm_enable_pin_unlocked, 0x028a7e8f, "_gpl");
SYMBOL_CRC(snd_soc_dapm_enable_pin, 0x53bc03f8, "_gpl");
SYMBOL_CRC(snd_soc_dapm_force_enable_pin_unlocked, 0xd24e3361, "_gpl");
SYMBOL_CRC(snd_soc_dapm_force_enable_pin, 0x28ee3346, "_gpl");
SYMBOL_CRC(snd_soc_dapm_disable_pin_unlocked, 0x8811fc78, "_gpl");
SYMBOL_CRC(snd_soc_dapm_disable_pin, 0x5bee298d, "_gpl");
SYMBOL_CRC(snd_soc_dapm_nc_pin_unlocked, 0x542dd6c0, "_gpl");
SYMBOL_CRC(snd_soc_dapm_nc_pin, 0xe3183186, "_gpl");
SYMBOL_CRC(snd_soc_dapm_get_pin_status, 0x78f5bd03, "_gpl");
SYMBOL_CRC(snd_soc_dapm_ignore_suspend, 0x35c76963, "_gpl");
SYMBOL_CRC(snd_soc_dapm_free, 0x9412ad0c, "_gpl");
SYMBOL_CRC(snd_soc_dapm_init, 0x2b58ab4c, "_gpl");
SYMBOL_CRC(snd_soc_jack_report, 0x67bab72f, "_gpl");
SYMBOL_CRC(snd_soc_jack_add_zones, 0x88a4e649, "_gpl");
SYMBOL_CRC(snd_soc_jack_get_type, 0x084ae271, "_gpl");
SYMBOL_CRC(snd_soc_jack_add_pins, 0x7459776d, "_gpl");
SYMBOL_CRC(snd_soc_jack_notifier_register, 0xbb5251e9, "_gpl");
SYMBOL_CRC(snd_soc_jack_notifier_unregister, 0x298eaa10, "_gpl");
SYMBOL_CRC(snd_soc_jack_add_gpios, 0xd73292e6, "_gpl");
SYMBOL_CRC(snd_soc_jack_add_gpiods, 0x47fa6634, "_gpl");
SYMBOL_CRC(snd_soc_jack_free_gpios, 0x6d86faf3, "_gpl");
SYMBOL_CRC(snd_soc_calc_frame_size, 0x2541a979, "_gpl");
SYMBOL_CRC(snd_soc_params_to_frame_size, 0xee9124b3, "_gpl");
SYMBOL_CRC(snd_soc_calc_bclk, 0x7e606130, "_gpl");
SYMBOL_CRC(snd_soc_params_to_bclk, 0x2acda8a0, "_gpl");
SYMBOL_CRC(snd_soc_tdm_params_to_bclk, 0x6c456e7b, "_gpl");
SYMBOL_CRC(snd_soc_dai_is_dummy, 0xf5d3ffb1, "_gpl");
SYMBOL_CRC(snd_soc_dummy_dlc, 0x845fdbdf, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_sysclk, 0xb844b32a, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_clkdiv, 0x55c3674b, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_pll, 0x0f868974, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_bclk_ratio, 0xd4b37280, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_fmt, 0xc0d55ed7, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_tdm_slot, 0x75af0526, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_channel_map, 0xf8c2ef8f, "_gpl");
SYMBOL_CRC(snd_soc_dai_get_channel_map, 0x2f6c0e97, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_tristate, 0x81dfc788, "_gpl");
SYMBOL_CRC(snd_soc_dai_digital_mute, 0x6335b6e5, "_gpl");
SYMBOL_CRC(snd_soc_dai_action, 0x61f0bac4, "_gpl");
SYMBOL_CRC(snd_soc_dai_active, 0x4ae553e5, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_startup, 0xc864e0d6, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_shutdown, 0xe530e80d, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_trigger, 0x0ea9d2f9, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_set_params, 0xe6c2a859, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_get_params, 0xd8641e35, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_ack, 0x3901b7b6, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_pointer, 0xc8d22d1e, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_set_metadata, 0xae76758d, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_get_metadata, 0x6631cf26, "_gpl");
SYMBOL_CRC(snd_soc_component_set_sysclk, 0x9c97cc7b, "_gpl");
SYMBOL_CRC(snd_soc_component_set_pll, 0xe6a88c66, "_gpl");
SYMBOL_CRC(snd_soc_component_enable_pin, 0xa11505cf, "_gpl");
SYMBOL_CRC(snd_soc_component_enable_pin_unlocked, 0x9391f4dc, "_gpl");
SYMBOL_CRC(snd_soc_component_disable_pin, 0xc8f5772f, "_gpl");
SYMBOL_CRC(snd_soc_component_disable_pin_unlocked, 0x6b891b5f, "_gpl");
SYMBOL_CRC(snd_soc_component_nc_pin, 0xb34e47d3, "_gpl");
SYMBOL_CRC(snd_soc_component_nc_pin_unlocked, 0xdd119ef4, "_gpl");
SYMBOL_CRC(snd_soc_component_get_pin_status, 0xf36bd6c5, "_gpl");
SYMBOL_CRC(snd_soc_component_force_enable_pin, 0x010838ff, "_gpl");
SYMBOL_CRC(snd_soc_component_force_enable_pin_unlocked, 0xbc7d9e42, "_gpl");
SYMBOL_CRC(snd_soc_component_get_kcontrol, 0x9f3cacae, "_gpl");
SYMBOL_CRC(snd_soc_component_notify_control, 0xa377de98, "_gpl");
SYMBOL_CRC(snd_soc_component_set_jack, 0x41bcef19, "_gpl");
SYMBOL_CRC(snd_soc_component_get_jack_type, 0xe7d641d5, "_gpl");
SYMBOL_CRC(snd_soc_component_init_regmap, 0x44164443, "_gpl");
SYMBOL_CRC(snd_soc_component_exit_regmap, 0x32b6d439, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_open, 0x813bf3df, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_free, 0xfabd92d4, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_trigger, 0x24e87679, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_set_params, 0x4f7c75fb, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_get_params, 0x13e287b2, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_get_caps, 0x3bd8f0ae, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_get_codec_caps, 0x7e9cf7d5, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_ack, 0x1a5a1fb9, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_pointer, 0x101b0f98, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_copy, 0xa238b399, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_set_metadata, 0xae524dfa, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_get_metadata, 0x808db95d, "_gpl");
SYMBOL_CRC(snd_soc_component_read, 0xe864417e, "_gpl");
SYMBOL_CRC(snd_soc_component_write, 0xa25fd8ac, "_gpl");
SYMBOL_CRC(snd_soc_component_update_bits, 0xbff66168, "_gpl");
SYMBOL_CRC(snd_soc_component_update_bits_async, 0x4580d1b6, "_gpl");
SYMBOL_CRC(snd_soc_component_read_field, 0x6e0130fb, "_gpl");
SYMBOL_CRC(snd_soc_component_write_field, 0xad2d9de3, "_gpl");
SYMBOL_CRC(snd_soc_component_async_complete, 0x1be36b73, "_gpl");
SYMBOL_CRC(snd_soc_component_test_bits, 0xb43bd608, "_gpl");
SYMBOL_CRC(snd_soc_runtime_action, 0xdec6395e, "_gpl");
SYMBOL_CRC(snd_soc_set_runtime_hwparams, 0xe2bb7f4a, "_gpl");
SYMBOL_CRC(snd_soc_runtime_calc_hw, 0x09325c59, "_gpl");
SYMBOL_CRC(widget_in_list, 0xc654d12a, "_gpl");
SYMBOL_CRC(dpcm_end_walk_at_be, 0x40d8235a, "_gpl");
SYMBOL_CRC(dpcm_be_dai_trigger, 0x0def8caa, "_gpl");
SYMBOL_CRC(snd_soc_dpcm_runtime_update, 0xfa034b56, "_gpl");
SYMBOL_CRC(snd_soc_dpcm_get_substream, 0x1e49aa1f, "_gpl");
SYMBOL_CRC(devm_snd_soc_register_dai, 0xec13a804, "_gpl");
SYMBOL_CRC(devm_snd_soc_register_component, 0xfad49bbd, "_gpl");
SYMBOL_CRC(devm_snd_soc_register_card, 0x8043af98, "_gpl");
SYMBOL_CRC(devm_snd_dmaengine_pcm_register, 0xadb5fdd1, "_gpl");
SYMBOL_CRC(snd_soc_info_enum_double, 0x6a675c41, "_gpl");
SYMBOL_CRC(snd_soc_get_enum_double, 0xe5721797, "_gpl");
SYMBOL_CRC(snd_soc_put_enum_double, 0xefe67c8b, "_gpl");
SYMBOL_CRC(snd_soc_info_volsw, 0x8dbd3e51, "_gpl");
SYMBOL_CRC(snd_soc_info_volsw_sx, 0xbc49d78d, "_gpl");
SYMBOL_CRC(snd_soc_get_volsw, 0x943c95c4, "_gpl");
SYMBOL_CRC(snd_soc_put_volsw, 0x00afb808, "_gpl");
SYMBOL_CRC(snd_soc_get_volsw_sx, 0x69a4d9b6, "_gpl");
SYMBOL_CRC(snd_soc_put_volsw_sx, 0xb83d2e17, "_gpl");
SYMBOL_CRC(snd_soc_info_volsw_range, 0xdd5df6b9, "_gpl");
SYMBOL_CRC(snd_soc_put_volsw_range, 0x5c373c0f, "_gpl");
SYMBOL_CRC(snd_soc_get_volsw_range, 0x56a35713, "_gpl");
SYMBOL_CRC(snd_soc_limit_volume, 0x0be1af28, "_gpl");
SYMBOL_CRC(snd_soc_bytes_info, 0x1b59590d, "_gpl");
SYMBOL_CRC(snd_soc_bytes_get, 0x3970a4bb, "_gpl");
SYMBOL_CRC(snd_soc_bytes_put, 0x24b4bb28, "_gpl");
SYMBOL_CRC(snd_soc_bytes_info_ext, 0x06406404, "_gpl");
SYMBOL_CRC(snd_soc_bytes_tlv_callback, 0x38c66d96, "_gpl");
SYMBOL_CRC(snd_soc_info_xr_sx, 0x23bf2bee, "_gpl");
SYMBOL_CRC(snd_soc_get_xr_sx, 0xcf4c39cc, "_gpl");
SYMBOL_CRC(snd_soc_put_xr_sx, 0x5bdf1400, "_gpl");
SYMBOL_CRC(snd_soc_get_strobe, 0x4cf23c1a, "_gpl");
SYMBOL_CRC(snd_soc_put_strobe, 0xdeb421ac, "_gpl");
SYMBOL_CRC(snd_soc_link_compr_startup, 0x93be5df0, "_gpl");
SYMBOL_CRC(snd_soc_link_compr_shutdown, 0xe4ca2022, "_gpl");
SYMBOL_CRC(snd_soc_link_compr_set_params, 0x9d6e0854, "_gpl");
SYMBOL_CRC(snd_soc_card_get_kcontrol, 0xfe3c6b79, "_gpl");
SYMBOL_CRC(snd_soc_card_jack_new, 0x08a72496, "_gpl");
SYMBOL_CRC(snd_soc_card_jack_new_pins, 0x5abaa5f2, "_gpl");
SYMBOL_CRC(snd_soc_card_add_dai_link, 0x1df1d17d, "_gpl");
SYMBOL_CRC(snd_soc_card_remove_dai_link, 0xc5a17953, "_gpl");
SYMBOL_CRC(snd_soc_new_compress, 0xc7b63f12, "_gpl");
SYMBOL_CRC(snd_soc_tplg_widget_bind_event, 0xf6678dd7, "_gpl");
SYMBOL_CRC(snd_soc_tplg_component_load, 0x06297ecc, "_gpl");
SYMBOL_CRC(snd_soc_tplg_component_remove, 0xd790a327, "_gpl");
SYMBOL_CRC(snd_dmaengine_pcm_prepare_slave_config, 0xefff174a, "_gpl");
SYMBOL_CRC(snd_dmaengine_pcm_register, 0xdb4a891b, "_gpl");
SYMBOL_CRC(snd_dmaengine_pcm_unregister, 0xe009a089, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd018f464, "snd_pcm_stream_unlock_irq" },
	{ 0x501d8b44, "pm_wakeup_dev_event" },
	{ 0x3168dbe4, "blocking_notifier_call_chain" },
	{ 0x6241ec86, "devm_kstrdup" },
	{ 0x37f109af, "snd_pcm_stream_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xc6565203, "debugfs_lookup_and_remove" },
	{ 0x9d3d08f0, "put_device" },
	{ 0xba8776c, "gpiod_unexport" },
	{ 0x3476b231, "snd_component_add" },
	{ 0xa916b694, "strnlen" },
	{ 0xbf30954d, "devm_regulator_get" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x287de31e, "snd_dmaengine_pcm_close" },
	{ 0x1406f5e9, "dma_get_slave_caps" },
	{ 0x71b12b37, "_dev_info" },
	{ 0x7276b73a, "module_put" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0xafdb47bd, "snd_card_new" },
	{ 0x645459da, "snd_card_disconnect_sync" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xd47e09e, "devm_kmemdup" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xb2973875, "snd_dmaengine_pcm_request_channel" },
	{ 0x7ec56c70, "perf_trace_run_bpf_submit" },
	{ 0xec083b74, "devm_kfree" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x8b024789, "pinctrl_pm_select_sleep_state" },
	{ 0x5a0f8bd0, "simple_open" },
	{ 0x3bff29eb, "snd_pcm_lib_ioctl" },
	{ 0xb8461669, "platform_device_unregister" },
	{ 0xdbdb0e8b, "request_any_context_irq" },
	{ 0xdc02eb39, "dmi_available" },
	{ 0xb4b8a984, "snd_jack_new" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x5feb1457, "snd_pcm_stream_unlock_irqrestore" },
	{ 0x2119f2f3, "snd_jack_add_new_kctl" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x14dfcb39, "dev_get_regmap" },
	{ 0x6de67898, "debugfs_remove" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0x19c290ca, "__devres_alloc_node" },
	{ 0x658574f4, "trace_event_reg" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xa5268075, "snd_ctl_notify" },
	{ 0xb5da3f8, "regulator_allow_bypass" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x7df92e9f, "snd_pcm_set_ops" },
	{ 0xac6e7472, "regmap_async_complete" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x37c81a4c, "snd_pcm_set_managed_buffer" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x20dbe639, "_snd_pcm_stream_lock_irqsave_nested" },
	{ 0x11089ac7, "_ctype" },
	{ 0xa3eb5274, "device_register" },
	{ 0x57a45346, "bpf_trace_run1" },
	{ 0x83db7d7c, "default_llseek" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb6aa6194, "debugfs_create_u32" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x5b09e057, "snd_dmaengine_pcm_open" },
	{ 0xd77bf538, "regmap_parse_val" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x6df8036a, "snd_pcm_suspend_all" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x95398e0d, "snd_dmaengine_pcm_pointer" },
	{ 0x65eccb12, "__platform_driver_register" },
	{ 0xd4cddf7, "dma_request_chan" },
	{ 0x792c9efe, "devm_kasprintf" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xfc100fa, "pinctrl_lookup_state" },
	{ 0xcb67b626, "bpf_trace_run3" },
	{ 0x4a38d9f7, "seq_read" },
	{ 0xa76e8251, "snd_compress_new" },
	{ 0x2d4ca2f4, "blocking_notifier_chain_unregister" },
	{ 0xfad5a483, "snd_hwparams_to_dma_slave_config" },
	{ 0xc6cd8757, "platform_device_register_full" },
	{ 0x29f8f608, "regmap_read" },
	{ 0x27a7a36e, "trace_event_buffer_reserve" },
	{ 0xd5dcc637, "__pm_runtime_resume" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7ad7a5cd, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xefb9f9d9, "devm_pinctrl_get" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x44531a37, "_copy_from_iter" },
	{ 0x8ae718dd, "debugfs_create_file_full" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x83841ef4, "pinctrl_select_state" },
	{ 0x815b55ef, "snd_power_wait" },
	{ 0x20e107e1, "snd_pcm_hw_constraint_msbits" },
	{ 0x8d8b2fb3, "single_release" },
	{ 0x2c56a64a, "regmap_update_bits_base" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x716b4fac, "dev_err_probe" },
	{ 0x2b61418f, "snd_dmaengine_pcm_set_config_from_dai_data" },
	{ 0x34cc4d2f, "device_add_groups" },
	{ 0xdf0614a1, "__pm_runtime_suspend" },
	{ 0xed3996f2, "regmap_exit" },
	{ 0x81188c30, "match_string" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x9a73e1e2, "regmap_raw_write" },
	{ 0x754d539c, "strlen" },
	{ 0xf2203c5f, "param_ops_int" },
	{ 0x495b28e9, "single_open" },
	{ 0xa286a234, "snd_pcm_format_name" },
	{ 0xd20f3ddd, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x815588a6, "clk_enable" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x66ebde19, "__pm_runtime_idle" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x9519e29c, "snd_dmaengine_pcm_pointer_no_residue" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0xee22e89a, "gpiod_get_value_cansleep" },
	{ 0xd2b77aba, "regulator_enable" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x4e5daa9a, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x45f4e1cd, "__init_rwsem" },
	{ 0xab8bc1a2, "snd_pcm_rate_mask_intersect" },
	{ 0x293df244, "_copy_to_iter" },
	{ 0x77ec3bf9, "gpiod_put" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xf118ab39, "regmap_write" },
	{ 0xe5eb5fd0, "param_ops_uint" },
	{ 0x3cb06817, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xf70e1a9e, "snd_pcm_hw_limit_rates" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x50707f9c, "dev_set_name" },
	{ 0x78006190, "regmap_get_val_bytes" },
	{ 0xdbe27298, "platform_driver_unregister" },
	{ 0x81f7ba36, "snd_ctl_add" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x37a64a98, "snd_dmaengine_pcm_sync_stop" },
	{ 0x90d2235a, "snd_pcm_new" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x5cd68bbd, "snd_jack_report" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa11a97c1, "trace_raw_output_prep" },
	{ 0x6761bb6a, "regmap_raw_read" },
	{ 0xcc63e15e, "snd_card_register" },
	{ 0x9668568f, "device_unregister" },
	{ 0xbd891330, "snd_card_free" },
	{ 0xb07d43ee, "__trace_trigger_soft_disabled" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xdf4574bf, "trace_event_printf" },
	{ 0x8826cd0f, "devres_destroy" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x8727616e, "gpiod_get_index" },
	{ 0x21b0950, "snd_dmaengine_pcm_trigger" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0x345b470e, "snd_pcm_hw_constraint_minmax" },
	{ 0x549dee85, "trace_event_raw_init" },
	{ 0x89e59e9, "gpiod_to_irq" },
	{ 0x2322b2c5, "gpiod_export" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0x91ba2397, "dma_release_channel" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0x2e4f415b, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0x664863f3, "regcache_mark_dirty" },
	{ 0xd0d9d74c, "bpf_trace_run2" },
	{ 0xf6491531, "__wake_up" },
	{ 0x148653, "vsnprintf" },
	{ 0x606dec10, "regulator_disable_deferred" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0xea825074, "snd_ctl_remove" },
	{ 0xab40a2db, "snd_ctl_free_one" },
	{ 0x1490b849, "snd_ctl_find_id" },
	{ 0xd0abf4d4, "devm_clk_get" },
	{ 0xcee82587, "devres_add" },
	{ 0xeb6341d4, "snd_pcm_new_internal" },
	{ 0x3db8d791, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xc465b61, "snd_dmaengine_pcm_refine_runtime_hwparams" },
	{ 0x42171b5b, "snd_dmaengine_pcm_get_chan" },
	{ 0xa9cac0a3, "pinctrl_pm_select_default_state" },
	{ 0x77188b5d, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0xed63c67b, "snd_ctl_new1" },
	{ 0x92997ed8, "_printk" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,snd,snd-pcm-dmaengine,snd-compress");


MODULE_INFO(srcversion, "B417E8FC934CA4486EAEE5A");

MODULE_INFO(suserelease, "SLFO-1.2");
