#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hda_cl_prepare, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(cl_dsp_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_cl_trigger, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_cl_cleanup, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_cl_boot_firmware_iccmax, "", "SND_SOC_SOF_INTEL_CNL");
KSYMTAB_FUNC(hda_dsp_cl_boot_firmware, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc4_load_library, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ext_man_get_cavs_config_data, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_hda_position_quirk, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_stream_hw_free, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_check_stream_irq, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_stream_threaded_handler, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_stream_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_stream_free, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_stream_get_position, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_get_stream_llp, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_get_stream_ldp, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_trace_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_trace_release, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_trace_trigger, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_get_interface_mask, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_is_chain_dma_supported, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_stall_reset, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_is_enabled, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_run, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_power_up, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_enable_core, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_reset_power_down, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_int_enable, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_int_disable, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_set_power_state_ipc3, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_set_power_state_ipc4, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_resume, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_runtime_resume, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_runtime_idle, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_runtime_suspend, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_suspend, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_shutdown_dma_flush, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_shutdown, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_set_hw_params_upon_resume, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_d0i3_work, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_get, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_common_enable_sdw_irq, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_sdw_int_enable, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_sdw_check_lcount_common, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_sdw_check_lcount_ext, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_sdw_check_lcount, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_sdw_process_wakeen, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_disable_interrupts, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_get_state, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_dump, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(__tracepoint_sof_intel_ipc_firmware_initiated, "", "");
KSYMTAB_FUNC(__traceiter_sof_intel_ipc_firmware_initiated, "", "");
KSYMTAB_DATA(__SCK__tp_func_sof_intel_ipc_firmware_initiated, "", "");
KSYMTAB_FUNC(__SCT__tp_func_sof_intel_ipc_firmware_initiated, "", "");
KSYMTAB_DATA(__tracepoint_sof_intel_ipc_firmware_response, "", "");
KSYMTAB_FUNC(__traceiter_sof_intel_ipc_firmware_response, "", "");
KSYMTAB_DATA(__SCK__tp_func_sof_intel_ipc_firmware_response, "", "");
KSYMTAB_FUNC(__SCT__tp_func_sof_intel_ipc_firmware_response, "", "");
KSYMTAB_DATA(__tracepoint_sof_intel_hda_irq_ipc_check, "", "");
KSYMTAB_FUNC(__traceiter_sof_intel_hda_irq_ipc_check, "", "");
KSYMTAB_DATA(__SCK__tp_func_sof_intel_hda_irq_ipc_check, "", "");
KSYMTAB_FUNC(__SCT__tp_func_sof_intel_hda_irq_ipc_check, "", "");
KSYMTAB_FUNC(hda_dsp_ipc_send_msg, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc4_schedule_d0i3_work, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc4_send_msg, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_get_reply, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc4_irq_thread, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_irq_thread, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_check_ipc_irq, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_get_mailbox_offset, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_get_window_offset, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc_msg_data, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_set_stream_data_offset, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc4_dsp_dump, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_check_ipc_irq, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc_irq_dump, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc_dump, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc4_dump, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc4_tx_is_busy, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ctrl_get_caps, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ctrl_ppcap_enable, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ctrl_ppcap_int_enable, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ctrl_clock_power_gating, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ctrl_init_chip, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_hw_params, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_ack, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_trigger, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_pointer, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_open, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_close, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dai_config, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sdw_hda_dai_hw_params, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sdw_hda_dai_hw_free, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sdw_hda_dai_trigger, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_set_dai_drv_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ops_free, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(skl_dai, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_hda_bus_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_hda_bus_exit, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_ipc4_intel_dump_telemetry_state, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(__tracepoint_sof_intel_hda_irq, "", "");
KSYMTAB_FUNC(__traceiter_sof_intel_hda_irq, "", "");
KSYMTAB_DATA(__SCK__tp_func_sof_intel_hda_irq, "", "");
KSYMTAB_FUNC(__SCT__tp_func_sof_intel_hda_irq, "", "");
KSYMTAB_FUNC(hda_probes_register, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_probes_unregister, "", "SND_SOC_SOF_INTEL_HDA_COMMON");

SYMBOL_CRC(hda_cl_prepare, 0x3fa13274, "");
SYMBOL_CRC(cl_dsp_init, 0x0fadfb7f, "");
SYMBOL_CRC(hda_cl_trigger, 0x1c346a2b, "");
SYMBOL_CRC(hda_cl_cleanup, 0xb23bb2a1, "");
SYMBOL_CRC(hda_dsp_cl_boot_firmware_iccmax, 0x54602439, "");
SYMBOL_CRC(hda_dsp_cl_boot_firmware, 0x13d6b0ae, "");
SYMBOL_CRC(hda_dsp_ipc4_load_library, 0x38f30b59, "");
SYMBOL_CRC(hda_dsp_ext_man_get_cavs_config_data, 0xae49c32d, "");
SYMBOL_CRC(sof_hda_position_quirk, 0xf2ce560f, "");
SYMBOL_CRC(hda_dsp_stream_hw_free, 0x8c5f46d5, "");
SYMBOL_CRC(hda_dsp_check_stream_irq, 0x9e2ada55, "");
SYMBOL_CRC(hda_dsp_stream_threaded_handler, 0x3bdcdfa9, "");
SYMBOL_CRC(hda_dsp_stream_init, 0x3b909bbb, "");
SYMBOL_CRC(hda_dsp_stream_free, 0x777fea71, "");
SYMBOL_CRC(hda_dsp_stream_get_position, 0xb367f91c, "");
SYMBOL_CRC(hda_dsp_get_stream_llp, 0x5fd4dfbf, "");
SYMBOL_CRC(hda_dsp_get_stream_ldp, 0x848a5425, "");
SYMBOL_CRC(hda_dsp_trace_init, 0x35a1c89c, "");
SYMBOL_CRC(hda_dsp_trace_release, 0x0aaed529, "");
SYMBOL_CRC(hda_dsp_trace_trigger, 0xc6f940c2, "");
SYMBOL_CRC(hda_get_interface_mask, 0x36c50b4b, "");
SYMBOL_CRC(hda_is_chain_dma_supported, 0x9bd09fa2, "");
SYMBOL_CRC(hda_dsp_core_stall_reset, 0x789d1ce7, "");
SYMBOL_CRC(hda_dsp_core_is_enabled, 0xee39cdb0, "");
SYMBOL_CRC(hda_dsp_core_run, 0xb820ebda, "");
SYMBOL_CRC(hda_dsp_core_power_up, 0x6e1270c1, "");
SYMBOL_CRC(hda_dsp_enable_core, 0x2a37db27, "");
SYMBOL_CRC(hda_dsp_core_reset_power_down, 0x29549350, "");
SYMBOL_CRC(hda_dsp_ipc_int_enable, 0xcc0d5cbc, "");
SYMBOL_CRC(hda_dsp_ipc_int_disable, 0x6e9e4fb7, "");
SYMBOL_CRC(hda_dsp_set_power_state_ipc3, 0x3affa4e2, "");
SYMBOL_CRC(hda_dsp_set_power_state_ipc4, 0xb5356f38, "");
SYMBOL_CRC(hda_dsp_resume, 0x36c571fe, "");
SYMBOL_CRC(hda_dsp_runtime_resume, 0x37ee340a, "");
SYMBOL_CRC(hda_dsp_runtime_idle, 0xdcc85e32, "");
SYMBOL_CRC(hda_dsp_runtime_suspend, 0x70515747, "");
SYMBOL_CRC(hda_dsp_suspend, 0x272cedf7, "");
SYMBOL_CRC(hda_dsp_shutdown_dma_flush, 0x676d5ced, "");
SYMBOL_CRC(hda_dsp_shutdown, 0xe61ffc73, "");
SYMBOL_CRC(hda_dsp_set_hw_params_upon_resume, 0x2e87a3d3, "");
SYMBOL_CRC(hda_dsp_d0i3_work, 0x2ad078bb, "");
SYMBOL_CRC(hda_dsp_core_get, 0x81c42754, "");
SYMBOL_CRC(hda_common_enable_sdw_irq, 0xe89d76f8, "");
SYMBOL_CRC(hda_sdw_int_enable, 0x85251693, "");
SYMBOL_CRC(hda_sdw_check_lcount_common, 0x468005bb, "");
SYMBOL_CRC(hda_sdw_check_lcount_ext, 0xf3ce69e5, "");
SYMBOL_CRC(hda_sdw_check_lcount, 0xc71b7835, "");
SYMBOL_CRC(hda_sdw_process_wakeen, 0x8c3931cf, "");
SYMBOL_CRC(hda_dsp_disable_interrupts, 0x44b15cd3, "");
SYMBOL_CRC(hda_dsp_get_state, 0x361630de, "");
SYMBOL_CRC(hda_dsp_dump, 0x6d8c0666, "");
SYMBOL_CRC(__tracepoint_sof_intel_ipc_firmware_initiated, 0x46048147, "");
SYMBOL_CRC(__traceiter_sof_intel_ipc_firmware_initiated, 0xec4f6f07, "");
SYMBOL_CRC(__SCK__tp_func_sof_intel_ipc_firmware_initiated, 0x3cdc78d6, "");
SYMBOL_CRC(__SCT__tp_func_sof_intel_ipc_firmware_initiated, 0x35e33813, "");
SYMBOL_CRC(__tracepoint_sof_intel_ipc_firmware_response, 0xea48793f, "");
SYMBOL_CRC(__traceiter_sof_intel_ipc_firmware_response, 0xe2ee644c, "");
SYMBOL_CRC(__SCK__tp_func_sof_intel_ipc_firmware_response, 0x58eb40b4, "");
SYMBOL_CRC(__SCT__tp_func_sof_intel_ipc_firmware_response, 0x16bbbb91, "");
SYMBOL_CRC(__tracepoint_sof_intel_hda_irq_ipc_check, 0x19da18e6, "");
SYMBOL_CRC(__traceiter_sof_intel_hda_irq_ipc_check, 0x16bf9689, "");
SYMBOL_CRC(__SCK__tp_func_sof_intel_hda_irq_ipc_check, 0xbd4f4355, "");
SYMBOL_CRC(__SCT__tp_func_sof_intel_hda_irq_ipc_check, 0x2b37f935, "");
SYMBOL_CRC(hda_dsp_ipc_send_msg, 0x6bbad024, "");
SYMBOL_CRC(hda_dsp_ipc4_schedule_d0i3_work, 0x0659812f, "");
SYMBOL_CRC(hda_dsp_ipc4_send_msg, 0x7cb354fb, "");
SYMBOL_CRC(hda_dsp_ipc_get_reply, 0x0d2090ef, "");
SYMBOL_CRC(hda_dsp_ipc4_irq_thread, 0x6ef62ffb, "");
SYMBOL_CRC(hda_dsp_ipc_irq_thread, 0xa457063a, "");
SYMBOL_CRC(hda_dsp_check_ipc_irq, 0x627e3201, "");
SYMBOL_CRC(hda_dsp_ipc_get_mailbox_offset, 0xd7ed4f75, "");
SYMBOL_CRC(hda_dsp_ipc_get_window_offset, 0x4d69106d, "");
SYMBOL_CRC(hda_ipc_msg_data, 0xf15e9e91, "");
SYMBOL_CRC(hda_set_stream_data_offset, 0xce6f71d9, "");
SYMBOL_CRC(hda_ipc4_dsp_dump, 0xc121a41f, "");
SYMBOL_CRC(hda_check_ipc_irq, 0xd7402219, "");
SYMBOL_CRC(hda_ipc_irq_dump, 0x40dafbeb, "");
SYMBOL_CRC(hda_ipc_dump, 0x69d6cf37, "");
SYMBOL_CRC(hda_ipc4_dump, 0x285c8033, "");
SYMBOL_CRC(hda_ipc4_tx_is_busy, 0xd823e8dd, "");
SYMBOL_CRC(hda_dsp_ctrl_get_caps, 0x12c65e1e, "");
SYMBOL_CRC(hda_dsp_ctrl_ppcap_enable, 0xabcf38e6, "");
SYMBOL_CRC(hda_dsp_ctrl_ppcap_int_enable, 0xfab05d07, "");
SYMBOL_CRC(hda_dsp_ctrl_clock_power_gating, 0x68716695, "");
SYMBOL_CRC(hda_dsp_ctrl_init_chip, 0xdb79b60e, "");
SYMBOL_CRC(hda_dsp_pcm_hw_params, 0x110f1de3, "");
SYMBOL_CRC(hda_dsp_pcm_ack, 0x2424a618, "");
SYMBOL_CRC(hda_dsp_pcm_trigger, 0x7df2498d, "");
SYMBOL_CRC(hda_dsp_pcm_pointer, 0xacb4c96c, "");
SYMBOL_CRC(hda_dsp_pcm_open, 0x1dea6cb5, "");
SYMBOL_CRC(hda_dsp_pcm_close, 0x1241157b, "");
SYMBOL_CRC(hda_dai_config, 0xc3c6a2d9, "");
SYMBOL_CRC(sdw_hda_dai_hw_params, 0xa81142dc, "");
SYMBOL_CRC(sdw_hda_dai_hw_free, 0xd20687c9, "");
SYMBOL_CRC(sdw_hda_dai_trigger, 0x57266c78, "");
SYMBOL_CRC(hda_set_dai_drv_ops, 0xdcca89d2, "");
SYMBOL_CRC(hda_ops_free, 0xc2058829, "");
SYMBOL_CRC(skl_dai, 0x6122f1c3, "");
SYMBOL_CRC(sof_hda_bus_init, 0x2cf3cc3d, "");
SYMBOL_CRC(sof_hda_bus_exit, 0x76c6867d, "");
SYMBOL_CRC(sof_ipc4_intel_dump_telemetry_state, 0x26abdd61, "");
SYMBOL_CRC(__tracepoint_sof_intel_hda_irq, 0x52c65490, "");
SYMBOL_CRC(__traceiter_sof_intel_hda_irq, 0x96da8a42, "");
SYMBOL_CRC(__SCK__tp_func_sof_intel_hda_irq, 0xe12663a3, "");
SYMBOL_CRC(__SCT__tp_func_sof_intel_hda_irq, 0x79bb115b, "");
SYMBOL_CRC(hda_probes_register, 0x7b610508, "");
SYMBOL_CRC(hda_probes_unregister, 0x954b84a3, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf6491531, "__wake_up" },
	{ 0xdfdce546, "snd_sgbuf_get_addr" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0x168bfa78, "snd_sgbuf_get_chunk_size" },
	{ 0x3e320b97, "snd_soc_hdac_hda_get_ops" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x77188b5d, "trace_event_buffer_commit" },
	{ 0xf224f7d5, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x24a28f1, "hda_codec_resume_cmd_io" },
	{ 0x4435a8d1, "sof_ipc4_find_debug_slot_offset_by_type" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xa1d7d637, "snd_hdac_ext_bus_exit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6adeb96f, "snd_hdac_ext_stream_clear" },
	{ 0x52ebaabb, "snd_sof_dsp_only_d0i3_compatible_stream_active" },
	{ 0x71b12b37, "_dev_info" },
	{ 0x95488928, "snd_hdac_ext_bus_link_power" },
	{ 0x9bec28f, "snd_sof_dsp_dbg_dump" },
	{ 0x2275a58d, "sof_mailbox_write" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x38e95abd, "sof_mailbox_read" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x7ec56c70, "perf_trace_run_bpf_submit" },
	{ 0xec083b74, "devm_kfree" },
	{ 0xc8240d31, "_dev_err" },
	{ 0xada1b974, "snd_sof_dsp_update_bits_forced" },
	{ 0xd6545396, "snd_hdac_ext_stream_release" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xc268871b, "hdac_bus_eml_sdw_map_stream_ch" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xe5843912, "sof_client_dev_register" },
	{ 0x658574f4, "trace_event_reg" },
	{ 0x1e49aa1f, "snd_soc_dpcm_get_substream" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4e859456, "intel_nhlt_free" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x2aa906cf, "snd_sof_dsp_update_bits_unlocked" },
	{ 0xf8c03b47, "sof_print_oops_and_stack" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xc76ae7c9, "hda_bus_ml_reset_losidv" },
	{ 0x9a269bf8, "snd_hdac_ext_stream_setup" },
	{ 0xff6104d0, "snd_pcm_rate_bit_to_rate" },
	{ 0xddb8d92, "snd_sof_ipc_get_reply" },
	{ 0xa46575f9, "snd_sof_dsp_update_bits" },
	{ 0x91db5656, "pci_restore_state" },
	{ 0x57798e2b, "snd_sof_pci_update_bits" },
	{ 0x4eb247ad, "hdac_bus_eml_ssp_get_hlink" },
	{ 0xb188787a, "hdac_bus_eml_dmic_get_hlink" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0xe2b7b5e1, "snd_hdac_display_power" },
	{ 0x9c3eedeb, "snd_pcm_hw_constraint_mask64" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xdfb2511b, "snd_hdac_stream_format_bits" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x25fca549, "snd_pcm_hw_constraint_integer" },
	{ 0xcb67b626, "bpf_trace_run3" },
	{ 0xc181f455, "hda_codec_rirb_status_clear" },
	{ 0x7e2ee50d, "hda_codec_suspend_cmd_io" },
	{ 0x53032fe8, "snd_sof_ipc_reply" },
	{ 0x6b4ead40, "hda_codec_init_cmd_io" },
	{ 0x65fdd4cb, "hda_codec_stop_cmd_io" },
	{ 0x10f2a388, "hda_codec_detect_mask" },
	{ 0x27a7a36e, "trace_event_buffer_reserve" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x9199b9f0, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb186382e, "sof_ipc_tx_message" },
	{ 0x32ce4a70, "snd_sof_dsp_panic" },
	{ 0x1de3cd92, "snd_hdac_ext_bus_get_hlink_by_name" },
	{ 0x171877e0, "snd_sof_suspend" },
	{ 0x2ef5f2ee, "snd_hdac_ext_bus_link_set_stream_id" },
	{ 0xdcb61650, "snd_hdac_stream_format" },
	{ 0x5372254f, "snd_pcm_hw_constraint_step" },
	{ 0x754d539c, "strlen" },
	{ 0xf2203c5f, "param_ops_int" },
	{ 0x4a28d125, "intel_nhlt_init" },
	{ 0x704c5d41, "_dev_printk" },
	{ 0x2ad43305, "sof_client_dev_unregister" },
	{ 0xbc040d78, "hda_codec_check_rirb_status" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xab7334a7, "snd_hdac_ext_stream_reset" },
	{ 0xdfa1087d, "hdac_bus_eml_get_count" },
	{ 0x96047110, "snd_hdac_ext_bus_link_clear_stream_id" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x57a61344, "sof_io_write" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x68d864bd, "snd_sof_pcm_period_elapsed" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x8797111b, "hda_codec_jack_check" },
	{ 0xe06e5124, "hda_bus_ml_suspend" },
	{ 0xb697fff3, "pci_save_state" },
	{ 0x27b83483, "sof_block_read" },
	{ 0xd1e65d36, "hda_codec_i915_display_power" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x1d337321, "bpf_trace_run4" },
	{ 0xe8ee3f73, "snd_dma_alloc_dir_pages" },
	{ 0x3cb06817, "devm_kmalloc" },
	{ 0xb7747177, "snd_hdac_bus_send_cmd" },
	{ 0xfd98ca0b, "hda_bus_ml_resume" },
	{ 0xd6640d65, "snd_hdac_bus_get_response" },
	{ 0x355fd60b, "snd_hdac_ext_stream_start" },
	{ 0xa6257a2f, "complete" },
	{ 0xa11a97c1, "trace_raw_output_prep" },
	{ 0xfd8ed9df, "hdac_bus_eml_sdw_get_hlink" },
	{ 0x7f1c87a8, "hda_codec_set_codec_wakeup" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xb07d43ee, "__trace_trigger_soft_disabled" },
	{ 0x195ac807, "snd_hdac_ext_stream_decouple_locked" },
	{ 0xdf4574bf, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x345b470e, "snd_pcm_hw_constraint_minmax" },
	{ 0xb4eeeb34, "hda_codec_jack_wake_enable" },
	{ 0x549dee85, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x5856a5dc, "snd_hdac_ext_bus_init" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0x287859b1, "sof_ipc4_set_pipeline_state" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd0d9d74c, "bpf_trace_run2" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,snd-soc-hdac-hda,snd-sof-intel-hda,snd-sof,snd-hda-ext-core,snd-sof-intel-hda-mlink,snd-soc-core,snd-intel-dspcfg,snd-hda-core");


MODULE_INFO(srcversion, "9D1D4F670714E0F8755976F");

MODULE_INFO(suserelease, "SLFO-1.2");
