#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hda_codec_jack_wake_enable, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_jack_check, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_probe_bus, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_check_for_state_change, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_detect_mask, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_init_cmd_io, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_resume_cmd_io, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_stop_cmd_io, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_suspend_cmd_io, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_rirb_status_clear, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_set_codec_wakeup, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_check_rirb_status, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_device_remove, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_i915_display_power, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC_I915");
KSYMTAB_FUNC(hda_codec_i915_init, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC_I915");
KSYMTAB_FUNC(hda_codec_i915_exit, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC_I915");

SYMBOL_CRC(hda_codec_jack_wake_enable, 0xb4eeeb34, "_gpl");
SYMBOL_CRC(hda_codec_jack_check, 0x8797111b, "_gpl");
SYMBOL_CRC(hda_codec_probe_bus, 0x6a8d2706, "_gpl");
SYMBOL_CRC(hda_codec_check_for_state_change, 0xb89f911a, "_gpl");
SYMBOL_CRC(hda_codec_detect_mask, 0x10f2a388, "_gpl");
SYMBOL_CRC(hda_codec_init_cmd_io, 0x6b4ead40, "_gpl");
SYMBOL_CRC(hda_codec_resume_cmd_io, 0x024a28f1, "_gpl");
SYMBOL_CRC(hda_codec_stop_cmd_io, 0x65fdd4cb, "_gpl");
SYMBOL_CRC(hda_codec_suspend_cmd_io, 0x7e2ee50d, "_gpl");
SYMBOL_CRC(hda_codec_rirb_status_clear, 0xc181f455, "_gpl");
SYMBOL_CRC(hda_codec_set_codec_wakeup, 0x7f1c87a8, "_gpl");
SYMBOL_CRC(hda_codec_check_rirb_status, 0xbc040d78, "_gpl");
SYMBOL_CRC(hda_codec_device_remove, 0x9307cb60, "_gpl");
SYMBOL_CRC(hda_codec_i915_display_power, 0xd1e65d36, "_gpl");
SYMBOL_CRC(hda_codec_i915_init, 0xa5a4eb35, "_gpl");
SYMBOL_CRC(hda_codec_i915_exit, 0xbdba979a, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3cb06817, "devm_kmalloc" },
	{ 0xb7747177, "snd_hdac_bus_send_cmd" },
	{ 0xd6640d65, "snd_hdac_bus_get_response" },
	{ 0xe1e7f29a, "snd_hdac_bus_update_rirb" },
	{ 0x4ad0d90, "snd_hdac_codec_modalias" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0x8f2de127, "snd_hdac_ext_bus_device_remove" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9d3d08f0, "put_device" },
	{ 0xe05e1dfa, "snd_hdac_device_register" },
	{ 0xaa9829a1, "snd_hdac_i915_init" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x4c1182b1, "snd_hdac_device_unregister" },
	{ 0xfa4fcee0, "device_attach" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xd1f06bcf, "snd_hdac_bus_stop_cmd_io" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0xe2b7b5e1, "snd_hdac_display_power" },
	{ 0x368c6727, "sof_debug_check_flag" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfda34788, "snd_hdac_bus_init_cmd_io" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x6291b742, "snd_hdac_acomp_exit" },
	{ 0xd5dcc637, "__pm_runtime_resume" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0xb9699442, "snd_hda_codec_device_init" },
	{ 0x5c2fa4ea, "snd_hdac_set_codec_wakeup" },
	{ 0xf2203c5f, "param_ops_int" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-core,snd-hda-ext-core,snd-sof,snd-hda-codec");


MODULE_INFO(srcversion, "E7D8D2FA67D7736EC539F08");

MODULE_INFO(suserelease, "SLFO-1.2");
