#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cryptd_alloc_skcipher, "_gpl", "");
KSYMTAB_FUNC(cryptd_skcipher_child, "_gpl", "");
KSYMTAB_FUNC(cryptd_skcipher_queued, "_gpl", "");
KSYMTAB_FUNC(cryptd_free_skcipher, "_gpl", "");
KSYMTAB_FUNC(cryptd_alloc_ahash, "_gpl", "");
KSYMTAB_FUNC(cryptd_ahash_child, "_gpl", "");
KSYMTAB_FUNC(cryptd_shash_desc, "_gpl", "");
KSYMTAB_FUNC(cryptd_ahash_queued, "_gpl", "");
KSYMTAB_FUNC(cryptd_free_ahash, "_gpl", "");
KSYMTAB_FUNC(cryptd_alloc_aead, "_gpl", "");
KSYMTAB_FUNC(cryptd_aead_child, "_gpl", "");
KSYMTAB_FUNC(cryptd_aead_queued, "_gpl", "");
KSYMTAB_FUNC(cryptd_free_aead, "_gpl", "");

SYMBOL_CRC(cryptd_alloc_skcipher, 0x41f064dc, "_gpl");
SYMBOL_CRC(cryptd_skcipher_child, 0x67e28757, "_gpl");
SYMBOL_CRC(cryptd_skcipher_queued, 0xa3cef600, "_gpl");
SYMBOL_CRC(cryptd_free_skcipher, 0x3a202424, "_gpl");
SYMBOL_CRC(cryptd_alloc_ahash, 0x17412be6, "_gpl");
SYMBOL_CRC(cryptd_ahash_child, 0x037549f0, "_gpl");
SYMBOL_CRC(cryptd_shash_desc, 0xca280ef5, "_gpl");
SYMBOL_CRC(cryptd_ahash_queued, 0x4e447b11, "_gpl");
SYMBOL_CRC(cryptd_free_ahash, 0x1524a73c, "_gpl");
SYMBOL_CRC(cryptd_alloc_aead, 0xcab7f3bd, "_gpl");
SYMBOL_CRC(cryptd_aead_child, 0xd5a40323, "_gpl");
SYMBOL_CRC(cryptd_aead_queued, 0xfc5ea0e2, "_gpl");
SYMBOL_CRC(cryptd_free_aead, 0xa2e959c1, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0x92997ed8, "_printk" },
	{ 0x9bf61e42, "crypto_register_template" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x2ab18faf, "crypto_enqueue_request" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0xfdbd7a17, "crypto_get_attr_type" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x9a11a0fc, "crypto_attr_alg_name" },
	{ 0x8ee8a966, "crypto_grab_aead" },
	{ 0x99bb1a2f, "crypto_grab_shash" },
	{ 0xb9202143, "shash_no_setkey" },
	{ 0x9c5da0df, "ahash_register_instance" },
	{ 0xda9df9a7, "crypto_grab_skcipher" },
	{ 0xd99cb406, "skcipher_register_instance" },
	{ 0x16f7cbb0, "aead_register_instance" },
	{ 0x3d0a9e51, "crypto_skcipher_decrypt" },
	{ 0x8e8f28ce, "crypto_skcipher_encrypt" },
	{ 0xb8c14e1c, "shash_ahash_digest" },
	{ 0x688d0a05, "shash_ahash_finup" },
	{ 0xfca1d7dd, "crypto_shash_final" },
	{ 0x29d7ddb4, "shash_ahash_update" },
	{ 0xe5eb5fd0, "param_ops_uint" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xea27ed20, "crypto_alloc_skcipher" },
	{ 0xe7d10c72, "crypto_destroy_tfm" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x60f41b16, "crypto_alloc_ahash" },
	{ 0xab250000, "crypto_alloc_aead" },
	{ 0xf149c080, "crypto_skcipher_setkey" },
	{ 0xd05b63b0, "crypto_spawn_tfm2" },
	{ 0xea86077a, "crypto_drop_spawn" },
	{ 0x37a0cba, "kfree" },
	{ 0x7fe1c58f, "crypto_shash_setkey" },
	{ 0xc64e186b, "crypto_shash_import" },
	{ 0x19bd3ba1, "crypto_shash_export" },
	{ 0x5ad6a60f, "crypto_clone_shash" },
	{ 0x9ef9a4d5, "crypto_aead_setauthsize" },
	{ 0xbbef170d, "crypto_aead_setkey" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc1e46359, "crypto_dequeue_request" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xb580af82, "crypto_unregister_template" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "CE601D458BFDA37FC7B6285");

MODULE_INFO(suserelease, "SLFO-1.2");
