#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(crypto_transfer_aead_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_akcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_hash_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_kpp_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_skcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_aead_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_akcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_hash_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_kpp_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_skcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_start, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_stop, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init_and_set, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_exit, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skciphers, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skciphers, "_gpl", "");

SYMBOL_CRC(crypto_transfer_aead_request_to_engine, 0xd1a791ae, "_gpl");
SYMBOL_CRC(crypto_transfer_akcipher_request_to_engine, 0x9bf724aa, "_gpl");
SYMBOL_CRC(crypto_transfer_hash_request_to_engine, 0xbd879122, "_gpl");
SYMBOL_CRC(crypto_transfer_kpp_request_to_engine, 0x87bd373d, "_gpl");
SYMBOL_CRC(crypto_transfer_skcipher_request_to_engine, 0xc7d0bf75, "_gpl");
SYMBOL_CRC(crypto_finalize_aead_request, 0x14c92f06, "_gpl");
SYMBOL_CRC(crypto_finalize_akcipher_request, 0x633b889d, "_gpl");
SYMBOL_CRC(crypto_finalize_hash_request, 0xaf0f9c1a, "_gpl");
SYMBOL_CRC(crypto_finalize_kpp_request, 0x055a7853, "_gpl");
SYMBOL_CRC(crypto_finalize_skcipher_request, 0x645fa52f, "_gpl");
SYMBOL_CRC(crypto_engine_start, 0xe8f84d03, "_gpl");
SYMBOL_CRC(crypto_engine_stop, 0xa2e599c1, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init_and_set, 0x1542c5ca, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init, 0x8f68b35f, "_gpl");
SYMBOL_CRC(crypto_engine_exit, 0x3efeac7f, "_gpl");
SYMBOL_CRC(crypto_engine_register_aead, 0xf2918a29, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aead, 0xd7a3ba50, "_gpl");
SYMBOL_CRC(crypto_engine_register_aeads, 0xf435f04c, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aeads, 0xc5b2d6f3, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahash, 0x7169db0d, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahash, 0x2dd8e6cc, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahashes, 0xdc19d223, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahashes, 0x8fd4b302, "_gpl");
SYMBOL_CRC(crypto_engine_register_akcipher, 0x7d456fc1, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_akcipher, 0xf59e8ba6, "_gpl");
SYMBOL_CRC(crypto_engine_register_kpp, 0xac54e60e, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_kpp, 0x23cc64ef, "_gpl");
SYMBOL_CRC(crypto_engine_register_skcipher, 0x2d6c0159, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skcipher, 0xdab51a58, "_gpl");
SYMBOL_CRC(crypto_engine_register_skciphers, 0x93780ca7, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skciphers, 0xc34ac67d, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe6412cd5, "kthread_queue_work" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf9a482f9, "msleep" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0x3cb06817, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0x51ccce7a, "kthread_create_worker" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x71b12b37, "_dev_info" },
	{ 0x57b08319, "sched_set_fifo" },
	{ 0x666b15e8, "crypto_register_aead" },
	{ 0xc851b282, "crypto_unregister_aead" },
	{ 0x4164b20a, "crypto_register_ahash" },
	{ 0x51de834a, "crypto_unregister_ahash" },
	{ 0x5708e609, "crypto_register_akcipher" },
	{ 0x29d71f5a, "crypto_unregister_akcipher" },
	{ 0x83d0aead, "crypto_register_kpp" },
	{ 0x820e59a2, "crypto_unregister_kpp" },
	{ 0x968b9b55, "crypto_register_skcipher" },
	{ 0x2b57c659, "crypto_unregister_skcipher" },
	{ 0x2ab18faf, "crypto_enqueue_request" },
	{ 0xc1e46359, "crypto_dequeue_request" },
	{ 0x111d447f, "crypto_enqueue_request_head" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x83f0edcf, "kthread_destroy_worker" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "8804DBF21A364B6BE271C7E");

MODULE_INFO(suserelease, "SLFO-1.2");
