#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ahci_platform_ops, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_phys, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_phys, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_find_clk, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_clks, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_clks, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_deassert_rsts, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_assert_rsts, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_regulators, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_regulators, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_resources, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_resources, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_get_resources, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_init_host, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_shutdown, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_suspend_host, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_resume_host, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_suspend, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_resume, "_gpl", "");

SYMBOL_CRC(ahci_platform_ops, 0x6961b132, "_gpl");
SYMBOL_CRC(ahci_platform_enable_phys, 0xef7ac82e, "_gpl");
SYMBOL_CRC(ahci_platform_disable_phys, 0x59e1dec3, "_gpl");
SYMBOL_CRC(ahci_platform_find_clk, 0x1869d288, "_gpl");
SYMBOL_CRC(ahci_platform_enable_clks, 0x4f70ac07, "_gpl");
SYMBOL_CRC(ahci_platform_disable_clks, 0xf9ebbaea, "_gpl");
SYMBOL_CRC(ahci_platform_deassert_rsts, 0x8f84c401, "_gpl");
SYMBOL_CRC(ahci_platform_assert_rsts, 0xb64fc568, "_gpl");
SYMBOL_CRC(ahci_platform_enable_regulators, 0x0f777ee2, "_gpl");
SYMBOL_CRC(ahci_platform_disable_regulators, 0xe19ff09b, "_gpl");
SYMBOL_CRC(ahci_platform_enable_resources, 0x4335024b, "_gpl");
SYMBOL_CRC(ahci_platform_disable_resources, 0xa5da5749, "_gpl");
SYMBOL_CRC(ahci_platform_get_resources, 0xe3a66909, "_gpl");
SYMBOL_CRC(ahci_platform_init_host, 0xe4040441, "_gpl");
SYMBOL_CRC(ahci_platform_shutdown, 0x9e00dfb3, "_gpl");
SYMBOL_CRC(ahci_platform_suspend_host, 0x5bf24c18, "_gpl");
SYMBOL_CRC(ahci_platform_resume_host, 0x7b920813, "_gpl");
SYMBOL_CRC(ahci_platform_suspend, 0x9a3f09dc, "_gpl");
SYMBOL_CRC(ahci_platform_resume, 0xfeaf99b1, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb4dfd3b7, "phy_set_mode_ext" },
	{ 0xaa8c325b, "phy_power_on" },
	{ 0x308c4819, "phy_init" },
	{ 0xc8a2bb32, "phy_power_off" },
	{ 0x3905f991, "phy_exit" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x39a005f4, "regulator_disable" },
	{ 0x52031f93, "regulator_put" },
	{ 0x37a0cba, "kfree" },
	{ 0x66ebde19, "__pm_runtime_idle" },
	{ 0xf40beb46, "__pm_runtime_disable" },
	{ 0x10667705, "ata_host_resume" },
	{ 0x5a5628f1, "ahci_reset_controller" },
	{ 0x47de4a2, "ahci_init_controller" },
	{ 0xd2b77aba, "regulator_enable" },
	{ 0x2ba3cbe5, "platform_get_irq" },
	{ 0x19ac30a6, "ahci_save_initial_config" },
	{ 0x3e2ec5e3, "ahci_set_em_messages" },
	{ 0x90689272, "ata_host_alloc_pinfo" },
	{ 0x1805d731, "platform_get_resource" },
	{ 0x4c313d99, "ata_port_desc" },
	{ 0x8464c7eb, "ata_dummy_port_ops" },
	{ 0xea50dad3, "ahci_ignore_sss" },
	{ 0x4a6b6aa0, "ahci_print_info" },
	{ 0x217cf3d5, "ahci_host_activate" },
	{ 0xa7524338, "dma_set_mask" },
	{ 0xaf36c569, "dma_set_coherent_mask" },
	{ 0xdceb9005, "ahci_reset_em" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x71b12b37, "_dev_info" },
	{ 0x7db593ad, "devres_open_group" },
	{ 0x19c290ca, "__devres_alloc_node" },
	{ 0xcee82587, "devres_add" },
	{ 0xfa0c47f9, "platform_get_resource_byname" },
	{ 0x9ecabb1f, "devm_platform_ioremap_resource_byname" },
	{ 0x4fc72fa9, "devm_clk_bulk_get_all" },
	{ 0xbf30954d, "devm_regulator_get" },
	{ 0x3cb06817, "devm_kmalloc" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x1639a221, "devm_of_phy_get" },
	{ 0xa5d2a8c7, "regulator_get" },
	{ 0x6d93b33b, "pm_runtime_enable" },
	{ 0xd5dcc637, "__pm_runtime_resume" },
	{ 0x542d5e88, "devres_remove_group" },
	{ 0x2d608534, "devm_platform_ioremap_resource" },
	{ 0x801bcb81, "devres_release_group" },
	{ 0x8d77def2, "devm_reset_control_array_get" },
	{ 0xb5ea1c4d, "devm_clk_get_optional" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x5d2bc42a, "reset_control_rearm" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0x479f7d4b, "clk_bulk_disable" },
	{ 0x63c08029, "clk_bulk_unprepare" },
	{ 0xead5c8e5, "clk_bulk_prepare" },
	{ 0xc7a7e770, "clk_bulk_enable" },
	{ 0xa304450b, "ata_host_suspend" },
	{ 0x478dcfc2, "__pm_runtime_set_status" },
	{ 0x84d6e54f, "ahci_ops" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "libata,libahci");


MODULE_INFO(srcversion, "991E919DFCC50B2CFECA27D");

MODULE_INFO(suserelease, "SLFO-1.2");
