#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ata_link_next, "_gpl", "");
KSYMTAB_FUNC(ata_dev_next, "_gpl", "");
KSYMTAB_FUNC(atapi_cmd_type, "_gpl", "");
KSYMTAB_FUNC(ata_pack_xfermask, "_gpl", "");
KSYMTAB_FUNC(ata_xfer_mask2mode, "_gpl", "");
KSYMTAB_FUNC(ata_xfer_mode2mask, "_gpl", "");
KSYMTAB_FUNC(ata_xfer_mode2shift, "_gpl", "");
KSYMTAB_FUNC(ata_mode_string, "_gpl", "");
KSYMTAB_FUNC(ata_dev_classify, "_gpl", "");
KSYMTAB_FUNC(ata_id_string, "_gpl", "");
KSYMTAB_FUNC(ata_id_c_string, "_gpl", "");
KSYMTAB_FUNC(ata_id_xfermask, "_gpl", "");
KSYMTAB_FUNC(ata_pio_need_iordy, "_gpl", "");
KSYMTAB_FUNC(ata_do_dev_read_id, "_gpl", "");
KSYMTAB_FUNC(ata_cable_40wire, "_gpl", "");
KSYMTAB_FUNC(ata_cable_80wire, "_gpl", "");
KSYMTAB_FUNC(ata_cable_unknown, "_gpl", "");
KSYMTAB_FUNC(ata_cable_ignore, "_gpl", "");
KSYMTAB_FUNC(ata_cable_sata, "_gpl", "");
KSYMTAB_FUNC(ata_dev_pair, "_gpl", "");
KSYMTAB_FUNC(ata_do_set_mode, "_gpl", "");
KSYMTAB_FUNC(ata_wait_after_reset, "_gpl", "");
KSYMTAB_FUNC(ata_std_prereset, "_gpl", "");
KSYMTAB_FUNC(ata_std_postreset, "_gpl", "");
KSYMTAB_FUNC(ata_dev_set_feature, "_gpl", "");
KSYMTAB_FUNC(ata_std_qc_defer, "_gpl", "");
KSYMTAB_FUNC(ata_qc_complete, "_gpl", "");
KSYMTAB_FUNC(ata_qc_get_active, "_gpl", "");
KSYMTAB_FUNC(ata_link_online, "_gpl", "");
KSYMTAB_FUNC(ata_link_offline, "_gpl", "");
KSYMTAB_FUNC(ata_sas_port_suspend, "_gpl", "");
KSYMTAB_FUNC(ata_sas_port_resume, "_gpl", "");
KSYMTAB_FUNC(ata_host_suspend, "_gpl", "");
KSYMTAB_FUNC(ata_host_resume, "_gpl", "");
KSYMTAB_FUNC(ata_port_alloc, "_gpl", "");
KSYMTAB_FUNC(ata_port_free, "_gpl", "");
KSYMTAB_FUNC(ata_host_put, "_gpl", "");
KSYMTAB_FUNC(ata_host_alloc, "_gpl", "");
KSYMTAB_FUNC(ata_host_alloc_pinfo, "_gpl", "");
KSYMTAB_FUNC(ata_host_start, "_gpl", "");
KSYMTAB_FUNC(ata_host_init, "_gpl", "");
KSYMTAB_FUNC(ata_port_probe, "_gpl", "");
KSYMTAB_FUNC(ata_host_register, "_gpl", "");
KSYMTAB_FUNC(ata_host_activate, "_gpl", "");
KSYMTAB_FUNC(ata_host_detach, "_gpl", "");
KSYMTAB_FUNC(ata_pci_remove_one, "_gpl", "");
KSYMTAB_FUNC(ata_pci_shutdown_one, "_gpl", "");
KSYMTAB_FUNC(pci_test_config_bits, "_gpl", "");
KSYMTAB_FUNC(ata_pci_device_do_suspend, "_gpl", "");
KSYMTAB_FUNC(ata_pci_device_do_resume, "_gpl", "");
KSYMTAB_FUNC(ata_pci_device_suspend, "_gpl", "");
KSYMTAB_FUNC(ata_pci_device_resume, "_gpl", "");
KSYMTAB_FUNC(ata_platform_remove_one, "_gpl", "");
KSYMTAB_FUNC(ata_ratelimit, "_gpl", "");
KSYMTAB_FUNC(ata_msleep, "_gpl", "");
KSYMTAB_FUNC(ata_wait_register, "_gpl", "");
KSYMTAB_DATA(ata_dummy_port_ops, "_gpl", "");
KSYMTAB_DATA(ata_dummy_port_info, "_gpl", "");
KSYMTAB_FUNC(ata_print_version, "", "");
KSYMTAB_DATA(__tracepoint_ata_tf_load, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ata_tf_load, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ata_tf_load, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ata_tf_load, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ata_exec_command, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ata_exec_command, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ata_exec_command, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ata_exec_command, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ata_bmdma_setup, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ata_bmdma_setup, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ata_bmdma_setup, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ata_bmdma_setup, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ata_bmdma_start, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ata_bmdma_start, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ata_bmdma_start, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ata_bmdma_start, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ata_bmdma_status, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ata_bmdma_status, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ata_bmdma_status, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ata_bmdma_status, "_gpl", "");
KSYMTAB_DATA(dev_attr_unload_heads, "_gpl", "");
KSYMTAB_DATA(ata_common_sdev_groups, "_gpl", "");
KSYMTAB_FUNC(ata_std_bios_param, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_unlock_native_capacity, "_gpl", "");
KSYMTAB_FUNC(ata_sas_scsi_ioctl, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_ioctl, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_dma_need_drain, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_sdev_init, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_sdev_configure, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_sdev_destroy, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_queuecmd, "_gpl", "");
KSYMTAB_FUNC(__ata_ehi_push_desc, "_gpl", "");
KSYMTAB_FUNC(ata_ehi_push_desc, "_gpl", "");
KSYMTAB_FUNC(ata_ehi_clear_desc, "_gpl", "");
KSYMTAB_FUNC(ata_port_desc, "_gpl", "");
KSYMTAB_FUNC(ata_port_pbar_desc, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_cmd_error_handler, "", "");
KSYMTAB_FUNC(ata_scsi_port_error_handler, "_gpl", "");
KSYMTAB_FUNC(ata_port_wait_eh, "_gpl", "");
KSYMTAB_FUNC(ata_std_sched_eh, "_gpl", "");
KSYMTAB_FUNC(ata_std_end_eh, "", "");
KSYMTAB_FUNC(ata_port_schedule_eh, "_gpl", "");
KSYMTAB_FUNC(ata_link_abort, "_gpl", "");
KSYMTAB_FUNC(ata_port_abort, "_gpl", "");
KSYMTAB_FUNC(ata_port_freeze, "_gpl", "");
KSYMTAB_FUNC(ata_eh_freeze_port, "_gpl", "");
KSYMTAB_FUNC(ata_dev_disable, "_gpl", "");
KSYMTAB_FUNC(ata_get_cmd_name, "_gpl", "");
KSYMTAB_FUNC(ata_std_error_handler, "_gpl", "");
KSYMTAB_FUNC(ata_tport_delete, "_gpl", "");
KSYMTAB_FUNC(ata_tport_add, "_gpl", "");
KSYMTAB_FUNC(ata_port_classify, "_gpl", "");
KSYMTAB_DATA(sata_deb_timing_normal, "_gpl", "");
KSYMTAB_DATA(sata_deb_timing_hotplug, "_gpl", "");
KSYMTAB_DATA(sata_deb_timing_long, "_gpl", "");
KSYMTAB_FUNC(sata_scr_valid, "_gpl", "");
KSYMTAB_FUNC(sata_scr_read, "_gpl", "");
KSYMTAB_FUNC(sata_scr_write, "_gpl", "");
KSYMTAB_FUNC(sata_scr_write_flush, "_gpl", "");
KSYMTAB_FUNC(ata_tf_to_fis, "_gpl", "");
KSYMTAB_FUNC(ata_tf_from_fis, "_gpl", "");
KSYMTAB_FUNC(sata_link_debounce, "_gpl", "");
KSYMTAB_FUNC(sata_link_resume, "_gpl", "");
KSYMTAB_FUNC(sata_link_scr_lpm, "_gpl", "");
KSYMTAB_FUNC(sata_set_spd, "_gpl", "");
KSYMTAB_FUNC(sata_link_hardreset, "_gpl", "");
KSYMTAB_FUNC(sata_std_hardreset, "_gpl", "");
KSYMTAB_FUNC(ata_qc_complete_multiple, "_gpl", "");
KSYMTAB_FUNC(ata_slave_link_init, "_gpl", "");
KSYMTAB_FUNC(sata_lpm_ignore_phy_events, "_gpl", "");
KSYMTAB_DATA(dev_attr_link_power_management_policy, "_gpl", "");
KSYMTAB_FUNC(ata_ncq_prio_supported, "_gpl", "");
KSYMTAB_DATA(dev_attr_ncq_prio_supported, "_gpl", "");
KSYMTAB_FUNC(ata_ncq_prio_enabled, "_gpl", "");
KSYMTAB_FUNC(ata_ncq_prio_enable, "_gpl", "");
KSYMTAB_DATA(dev_attr_ncq_prio_enable, "_gpl", "");
KSYMTAB_DATA(ata_ncq_sdev_groups, "_gpl", "");
KSYMTAB_DATA(dev_attr_em_message, "_gpl", "");
KSYMTAB_DATA(dev_attr_em_message_type, "_gpl", "");
KSYMTAB_DATA(dev_attr_sw_activity, "_gpl", "");
KSYMTAB_FUNC(ata_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(ata_sas_sdev_configure, "_gpl", "");
KSYMTAB_FUNC(ata_sas_queuecmd, "_gpl", "");
KSYMTAB_FUNC(sata_async_notification, "_gpl", "");
KSYMTAB_FUNC(ata_eh_analyze_ncq_error, "_gpl", "");
KSYMTAB_DATA(sata_port_ops, "_gpl", "");
KSYMTAB_DATA(ata_sff_port_ops, "_gpl", "");
KSYMTAB_FUNC(ata_sff_check_status, "_gpl", "");
KSYMTAB_FUNC(ata_sff_pause, "_gpl", "");
KSYMTAB_FUNC(ata_sff_dma_pause, "_gpl", "");
KSYMTAB_FUNC(ata_sff_wait_ready, "_gpl", "");
KSYMTAB_FUNC(ata_sff_dev_select, "_gpl", "");
KSYMTAB_FUNC(ata_sff_irq_on, "_gpl", "");
KSYMTAB_FUNC(ata_sff_tf_load, "_gpl", "");
KSYMTAB_FUNC(ata_sff_tf_read, "_gpl", "");
KSYMTAB_FUNC(ata_sff_exec_command, "_gpl", "");
KSYMTAB_FUNC(ata_sff_data_xfer, "_gpl", "");
KSYMTAB_FUNC(ata_sff_data_xfer32, "_gpl", "");
KSYMTAB_FUNC(ata_sff_hsm_move, "_gpl", "");
KSYMTAB_FUNC(ata_sff_queue_work, "_gpl", "");
KSYMTAB_FUNC(ata_sff_queue_delayed_work, "_gpl", "");
KSYMTAB_FUNC(ata_sff_queue_pio_task, "_gpl", "");
KSYMTAB_FUNC(ata_sff_qc_issue, "_gpl", "");
KSYMTAB_FUNC(ata_sff_qc_fill_rtf, "_gpl", "");
KSYMTAB_FUNC(ata_sff_port_intr, "_gpl", "");
KSYMTAB_FUNC(ata_sff_interrupt, "_gpl", "");
KSYMTAB_FUNC(ata_sff_lost_interrupt, "_gpl", "");
KSYMTAB_FUNC(ata_sff_freeze, "_gpl", "");
KSYMTAB_FUNC(ata_sff_thaw, "_gpl", "");
KSYMTAB_FUNC(ata_sff_prereset, "_gpl", "");
KSYMTAB_FUNC(ata_sff_dev_classify, "_gpl", "");
KSYMTAB_FUNC(ata_sff_wait_after_reset, "_gpl", "");
KSYMTAB_FUNC(ata_sff_softreset, "_gpl", "");
KSYMTAB_FUNC(sata_sff_hardreset, "_gpl", "");
KSYMTAB_FUNC(ata_sff_postreset, "_gpl", "");
KSYMTAB_FUNC(ata_sff_drain_fifo, "_gpl", "");
KSYMTAB_FUNC(ata_sff_error_handler, "_gpl", "");
KSYMTAB_FUNC(ata_sff_std_ports, "_gpl", "");
KSYMTAB_FUNC(ata_pci_sff_init_host, "_gpl", "");
KSYMTAB_FUNC(ata_pci_sff_prepare_host, "_gpl", "");
KSYMTAB_FUNC(ata_pci_sff_activate_host, "_gpl", "");
KSYMTAB_FUNC(ata_pci_sff_init_one, "_gpl", "");
KSYMTAB_DATA(ata_bmdma_port_ops, "_gpl", "");
KSYMTAB_DATA(ata_bmdma32_port_ops, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_qc_prep, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_dumb_qc_prep, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_qc_issue, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_port_intr, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_interrupt, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_error_handler, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_post_internal_cmd, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_irq_clear, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_setup, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_start, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_stop, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_status, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_port_start, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_port_start32, "_gpl", "");
KSYMTAB_FUNC(ata_pci_bmdma_clear_simplex, "_gpl", "");
KSYMTAB_FUNC(ata_pci_bmdma_init, "_gpl", "");
KSYMTAB_FUNC(ata_pci_bmdma_prepare_host, "_gpl", "");
KSYMTAB_FUNC(ata_pci_bmdma_init_one, "_gpl", "");
KSYMTAB_DATA(sata_pmp_port_ops, "_gpl", "");
KSYMTAB_FUNC(sata_pmp_qc_defer_cmd_switch, "_gpl", "");
KSYMTAB_FUNC(sata_pmp_error_handler, "_gpl", "");
KSYMTAB_FUNC(ata_acpi_gtm, "_gpl", "");
KSYMTAB_FUNC(ata_acpi_stm, "_gpl", "");
KSYMTAB_FUNC(ata_acpi_gtm_xfermask, "_gpl", "");
KSYMTAB_FUNC(ata_acpi_cbl_80wire, "_gpl", "");
KSYMTAB_FUNC(ata_timing_merge, "_gpl", "");
KSYMTAB_FUNC(ata_timing_find_mode, "_gpl", "");
KSYMTAB_FUNC(ata_timing_compute, "_gpl", "");

SYMBOL_CRC(ata_link_next, 0x1ca0eab8, "_gpl");
SYMBOL_CRC(ata_dev_next, 0xfe2d904a, "_gpl");
SYMBOL_CRC(atapi_cmd_type, 0x8462cb62, "_gpl");
SYMBOL_CRC(ata_pack_xfermask, 0x3a15013b, "_gpl");
SYMBOL_CRC(ata_xfer_mask2mode, 0xc2368ea5, "_gpl");
SYMBOL_CRC(ata_xfer_mode2mask, 0xe77d5ef3, "_gpl");
SYMBOL_CRC(ata_xfer_mode2shift, 0x58db1176, "_gpl");
SYMBOL_CRC(ata_mode_string, 0x6a9e90af, "_gpl");
SYMBOL_CRC(ata_dev_classify, 0x5bcc0df7, "_gpl");
SYMBOL_CRC(ata_id_string, 0xccd86806, "_gpl");
SYMBOL_CRC(ata_id_c_string, 0xafddd545, "_gpl");
SYMBOL_CRC(ata_id_xfermask, 0x030cbca2, "_gpl");
SYMBOL_CRC(ata_pio_need_iordy, 0x564940f4, "_gpl");
SYMBOL_CRC(ata_do_dev_read_id, 0x17ecf732, "_gpl");
SYMBOL_CRC(ata_cable_40wire, 0x7af6c2c0, "_gpl");
SYMBOL_CRC(ata_cable_80wire, 0xd1a2a3b0, "_gpl");
SYMBOL_CRC(ata_cable_unknown, 0xe554303c, "_gpl");
SYMBOL_CRC(ata_cable_ignore, 0x67286c39, "_gpl");
SYMBOL_CRC(ata_cable_sata, 0x6b2eadfb, "_gpl");
SYMBOL_CRC(ata_dev_pair, 0x9e14b543, "_gpl");
SYMBOL_CRC(ata_do_set_mode, 0x7dc306b5, "_gpl");
SYMBOL_CRC(ata_wait_after_reset, 0xa289d1ea, "_gpl");
SYMBOL_CRC(ata_std_prereset, 0x16a1d748, "_gpl");
SYMBOL_CRC(ata_std_postreset, 0x8ebd4101, "_gpl");
SYMBOL_CRC(ata_dev_set_feature, 0x75b20453, "_gpl");
SYMBOL_CRC(ata_std_qc_defer, 0x3b2d2477, "_gpl");
SYMBOL_CRC(ata_qc_complete, 0x63b3c0ec, "_gpl");
SYMBOL_CRC(ata_qc_get_active, 0xd675148b, "_gpl");
SYMBOL_CRC(ata_link_online, 0x0f961f7d, "_gpl");
SYMBOL_CRC(ata_link_offline, 0x9f338d49, "_gpl");
SYMBOL_CRC(ata_sas_port_suspend, 0xd03ef315, "_gpl");
SYMBOL_CRC(ata_sas_port_resume, 0xea196aae, "_gpl");
SYMBOL_CRC(ata_host_suspend, 0xa304450b, "_gpl");
SYMBOL_CRC(ata_host_resume, 0x10667705, "_gpl");
SYMBOL_CRC(ata_port_alloc, 0x9c56dfbe, "_gpl");
SYMBOL_CRC(ata_port_free, 0xc30cf9f3, "_gpl");
SYMBOL_CRC(ata_host_put, 0x608faf12, "_gpl");
SYMBOL_CRC(ata_host_alloc, 0x09c7fedf, "_gpl");
SYMBOL_CRC(ata_host_alloc_pinfo, 0x90689272, "_gpl");
SYMBOL_CRC(ata_host_start, 0x67720434, "_gpl");
SYMBOL_CRC(ata_host_init, 0xa4335c91, "_gpl");
SYMBOL_CRC(ata_port_probe, 0xda24c187, "_gpl");
SYMBOL_CRC(ata_host_register, 0xe6b7c90f, "_gpl");
SYMBOL_CRC(ata_host_activate, 0x40e13014, "_gpl");
SYMBOL_CRC(ata_host_detach, 0x2a3ad699, "_gpl");
SYMBOL_CRC(ata_pci_remove_one, 0x88e764d2, "_gpl");
SYMBOL_CRC(ata_pci_shutdown_one, 0x5f237ad0, "_gpl");
SYMBOL_CRC(pci_test_config_bits, 0xccec2f80, "_gpl");
SYMBOL_CRC(ata_pci_device_do_suspend, 0x867d65cf, "_gpl");
SYMBOL_CRC(ata_pci_device_do_resume, 0x78a3ed9b, "_gpl");
SYMBOL_CRC(ata_pci_device_suspend, 0x8d578ead, "_gpl");
SYMBOL_CRC(ata_pci_device_resume, 0x615faedf, "_gpl");
SYMBOL_CRC(ata_platform_remove_one, 0xe4dbaf74, "_gpl");
SYMBOL_CRC(ata_ratelimit, 0xf8f3a0fb, "_gpl");
SYMBOL_CRC(ata_msleep, 0x78dbec60, "_gpl");
SYMBOL_CRC(ata_wait_register, 0xefe4bae2, "_gpl");
SYMBOL_CRC(ata_dummy_port_ops, 0x8464c7eb, "_gpl");
SYMBOL_CRC(ata_dummy_port_info, 0xbd3e17e3, "_gpl");
SYMBOL_CRC(ata_print_version, 0x89bc67b9, "");
SYMBOL_CRC(__tracepoint_ata_tf_load, 0x0b18d893, "_gpl");
SYMBOL_CRC(__traceiter_ata_tf_load, 0xc796af82, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ata_tf_load, 0x0584f41b, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ata_tf_load, 0xcf2b93c8, "_gpl");
SYMBOL_CRC(__tracepoint_ata_exec_command, 0xb288d83c, "_gpl");
SYMBOL_CRC(__traceiter_ata_exec_command, 0xd1c8bbd1, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ata_exec_command, 0xb3705ff3, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ata_exec_command, 0x46047827, "_gpl");
SYMBOL_CRC(__tracepoint_ata_bmdma_setup, 0x9eaefbb2, "_gpl");
SYMBOL_CRC(__traceiter_ata_bmdma_setup, 0x4c372522, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ata_bmdma_setup, 0xbd5832f3, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ata_bmdma_setup, 0x9a2851ef, "_gpl");
SYMBOL_CRC(__tracepoint_ata_bmdma_start, 0xc5ca31ac, "_gpl");
SYMBOL_CRC(__traceiter_ata_bmdma_start, 0x27a2e64b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ata_bmdma_start, 0xe63cf8ed, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ata_bmdma_start, 0xa1c3f8a8, "_gpl");
SYMBOL_CRC(__tracepoint_ata_bmdma_status, 0x83f6d1cb, "_gpl");
SYMBOL_CRC(__traceiter_ata_bmdma_status, 0xf3f536e6, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ata_bmdma_status, 0x820e5604, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ata_bmdma_status, 0xc3e1021c, "_gpl");
SYMBOL_CRC(dev_attr_unload_heads, 0xecf514d8, "_gpl");
SYMBOL_CRC(ata_common_sdev_groups, 0x3a2b6ce4, "_gpl");
SYMBOL_CRC(ata_std_bios_param, 0x3e5248fa, "_gpl");
SYMBOL_CRC(ata_scsi_unlock_native_capacity, 0xe83f20b7, "_gpl");
SYMBOL_CRC(ata_sas_scsi_ioctl, 0xeea2b35f, "_gpl");
SYMBOL_CRC(ata_scsi_ioctl, 0xcc3d7e33, "_gpl");
SYMBOL_CRC(ata_scsi_dma_need_drain, 0x9d595934, "_gpl");
SYMBOL_CRC(ata_scsi_sdev_init, 0xa0fc26dc, "_gpl");
SYMBOL_CRC(ata_scsi_sdev_configure, 0xb97f788a, "_gpl");
SYMBOL_CRC(ata_scsi_sdev_destroy, 0x037c44f0, "_gpl");
SYMBOL_CRC(ata_scsi_queuecmd, 0x3b7eb6b8, "_gpl");
SYMBOL_CRC(__ata_ehi_push_desc, 0x5a208f38, "_gpl");
SYMBOL_CRC(ata_ehi_push_desc, 0x31dfeae0, "_gpl");
SYMBOL_CRC(ata_ehi_clear_desc, 0xf7e11e04, "_gpl");
SYMBOL_CRC(ata_port_desc, 0x4c313d99, "_gpl");
SYMBOL_CRC(ata_port_pbar_desc, 0x439e5749, "_gpl");
SYMBOL_CRC(ata_scsi_cmd_error_handler, 0xe071fee0, "");
SYMBOL_CRC(ata_scsi_port_error_handler, 0xffc5b995, "_gpl");
SYMBOL_CRC(ata_port_wait_eh, 0x99af9469, "_gpl");
SYMBOL_CRC(ata_std_sched_eh, 0xb9037705, "_gpl");
SYMBOL_CRC(ata_std_end_eh, 0x263c060f, "");
SYMBOL_CRC(ata_port_schedule_eh, 0x14284edb, "_gpl");
SYMBOL_CRC(ata_link_abort, 0x7c91884a, "_gpl");
SYMBOL_CRC(ata_port_abort, 0x334d2645, "_gpl");
SYMBOL_CRC(ata_port_freeze, 0x71f52796, "_gpl");
SYMBOL_CRC(ata_eh_freeze_port, 0x30104ba9, "_gpl");
SYMBOL_CRC(ata_dev_disable, 0x2f725012, "_gpl");
SYMBOL_CRC(ata_get_cmd_name, 0xbd06f3a9, "_gpl");
SYMBOL_CRC(ata_std_error_handler, 0x2b279df7, "_gpl");
SYMBOL_CRC(ata_tport_delete, 0xde546224, "_gpl");
SYMBOL_CRC(ata_tport_add, 0x9a1ad581, "_gpl");
SYMBOL_CRC(ata_port_classify, 0xa911069e, "_gpl");
SYMBOL_CRC(sata_deb_timing_normal, 0x9371ea58, "_gpl");
SYMBOL_CRC(sata_deb_timing_hotplug, 0xbc79eb0b, "_gpl");
SYMBOL_CRC(sata_deb_timing_long, 0x06c98647, "_gpl");
SYMBOL_CRC(sata_scr_valid, 0x06553fab, "_gpl");
SYMBOL_CRC(sata_scr_read, 0x6bd86953, "_gpl");
SYMBOL_CRC(sata_scr_write, 0x199fab02, "_gpl");
SYMBOL_CRC(sata_scr_write_flush, 0x7753d9a6, "_gpl");
SYMBOL_CRC(ata_tf_to_fis, 0xdf0c757f, "_gpl");
SYMBOL_CRC(ata_tf_from_fis, 0xa4c085f8, "_gpl");
SYMBOL_CRC(sata_link_debounce, 0xa6f573f8, "_gpl");
SYMBOL_CRC(sata_link_resume, 0x02d3c1b3, "_gpl");
SYMBOL_CRC(sata_link_scr_lpm, 0x6bfbd3cf, "_gpl");
SYMBOL_CRC(sata_set_spd, 0x6cfc5ede, "_gpl");
SYMBOL_CRC(sata_link_hardreset, 0xa03d75ea, "_gpl");
SYMBOL_CRC(sata_std_hardreset, 0x59014a46, "_gpl");
SYMBOL_CRC(ata_qc_complete_multiple, 0x2ebd2fb2, "_gpl");
SYMBOL_CRC(ata_slave_link_init, 0x9b9eaf84, "_gpl");
SYMBOL_CRC(sata_lpm_ignore_phy_events, 0x9eaf3425, "_gpl");
SYMBOL_CRC(dev_attr_link_power_management_policy, 0x6247fb30, "_gpl");
SYMBOL_CRC(ata_ncq_prio_supported, 0xf2d5c864, "_gpl");
SYMBOL_CRC(dev_attr_ncq_prio_supported, 0x5b4d7de0, "_gpl");
SYMBOL_CRC(ata_ncq_prio_enabled, 0x5e3f79e4, "_gpl");
SYMBOL_CRC(ata_ncq_prio_enable, 0xb9d3e4ba, "_gpl");
SYMBOL_CRC(dev_attr_ncq_prio_enable, 0x9f2735d8, "_gpl");
SYMBOL_CRC(ata_ncq_sdev_groups, 0x0afbd758, "_gpl");
SYMBOL_CRC(dev_attr_em_message, 0x2a05ad5d, "_gpl");
SYMBOL_CRC(dev_attr_em_message_type, 0x4704f20b, "_gpl");
SYMBOL_CRC(dev_attr_sw_activity, 0x50d3c5e9, "_gpl");
SYMBOL_CRC(ata_change_queue_depth, 0x488301dc, "_gpl");
SYMBOL_CRC(ata_scsi_change_queue_depth, 0x7d421d5a, "_gpl");
SYMBOL_CRC(ata_sas_sdev_configure, 0xba2715b7, "_gpl");
SYMBOL_CRC(ata_sas_queuecmd, 0x41982bc8, "_gpl");
SYMBOL_CRC(sata_async_notification, 0xdffe3850, "_gpl");
SYMBOL_CRC(ata_eh_analyze_ncq_error, 0x1733cab0, "_gpl");
SYMBOL_CRC(sata_port_ops, 0x7c3069df, "_gpl");
SYMBOL_CRC(ata_sff_port_ops, 0xc6c2f4cb, "_gpl");
SYMBOL_CRC(ata_sff_check_status, 0xb36a86f4, "_gpl");
SYMBOL_CRC(ata_sff_pause, 0x59af839b, "_gpl");
SYMBOL_CRC(ata_sff_dma_pause, 0x8169e462, "_gpl");
SYMBOL_CRC(ata_sff_wait_ready, 0xc823550c, "_gpl");
SYMBOL_CRC(ata_sff_dev_select, 0x08b2bb3a, "_gpl");
SYMBOL_CRC(ata_sff_irq_on, 0xa700d2fa, "_gpl");
SYMBOL_CRC(ata_sff_tf_load, 0x2da617e2, "_gpl");
SYMBOL_CRC(ata_sff_tf_read, 0x33556cc1, "_gpl");
SYMBOL_CRC(ata_sff_exec_command, 0xbb032d2f, "_gpl");
SYMBOL_CRC(ata_sff_data_xfer, 0xdf501a9b, "_gpl");
SYMBOL_CRC(ata_sff_data_xfer32, 0x4095f896, "_gpl");
SYMBOL_CRC(ata_sff_hsm_move, 0x446c353b, "_gpl");
SYMBOL_CRC(ata_sff_queue_work, 0xa6b06f65, "_gpl");
SYMBOL_CRC(ata_sff_queue_delayed_work, 0x4e17c613, "_gpl");
SYMBOL_CRC(ata_sff_queue_pio_task, 0xaf78eefd, "_gpl");
SYMBOL_CRC(ata_sff_qc_issue, 0x4ca511a7, "_gpl");
SYMBOL_CRC(ata_sff_qc_fill_rtf, 0x36803847, "_gpl");
SYMBOL_CRC(ata_sff_port_intr, 0x452a3f91, "_gpl");
SYMBOL_CRC(ata_sff_interrupt, 0x3a4f6a32, "_gpl");
SYMBOL_CRC(ata_sff_lost_interrupt, 0xbac16d41, "_gpl");
SYMBOL_CRC(ata_sff_freeze, 0x2c6c0398, "_gpl");
SYMBOL_CRC(ata_sff_thaw, 0x23eb54b4, "_gpl");
SYMBOL_CRC(ata_sff_prereset, 0x31ba3d16, "_gpl");
SYMBOL_CRC(ata_sff_dev_classify, 0xfd7dd4c0, "_gpl");
SYMBOL_CRC(ata_sff_wait_after_reset, 0xe703ad45, "_gpl");
SYMBOL_CRC(ata_sff_softreset, 0xebec3b85, "_gpl");
SYMBOL_CRC(sata_sff_hardreset, 0xfbe64f83, "_gpl");
SYMBOL_CRC(ata_sff_postreset, 0x9c013224, "_gpl");
SYMBOL_CRC(ata_sff_drain_fifo, 0x51f161be, "_gpl");
SYMBOL_CRC(ata_sff_error_handler, 0x77653d2b, "_gpl");
SYMBOL_CRC(ata_sff_std_ports, 0x73a48b4a, "_gpl");
SYMBOL_CRC(ata_pci_sff_init_host, 0xdc9f1761, "_gpl");
SYMBOL_CRC(ata_pci_sff_prepare_host, 0x1af6c0f1, "_gpl");
SYMBOL_CRC(ata_pci_sff_activate_host, 0xffe6bd04, "_gpl");
SYMBOL_CRC(ata_pci_sff_init_one, 0xbf519315, "_gpl");
SYMBOL_CRC(ata_bmdma_port_ops, 0x3ca1cc54, "_gpl");
SYMBOL_CRC(ata_bmdma32_port_ops, 0x0491e04a, "_gpl");
SYMBOL_CRC(ata_bmdma_qc_prep, 0xac536555, "_gpl");
SYMBOL_CRC(ata_bmdma_dumb_qc_prep, 0x37fe1a0b, "_gpl");
SYMBOL_CRC(ata_bmdma_qc_issue, 0x8e1d1d3f, "_gpl");
SYMBOL_CRC(ata_bmdma_port_intr, 0x7dfdf1ea, "_gpl");
SYMBOL_CRC(ata_bmdma_interrupt, 0xe818b32b, "_gpl");
SYMBOL_CRC(ata_bmdma_error_handler, 0xb5888e60, "_gpl");
SYMBOL_CRC(ata_bmdma_post_internal_cmd, 0x473ff7f9, "_gpl");
SYMBOL_CRC(ata_bmdma_irq_clear, 0x9f7daf55, "_gpl");
SYMBOL_CRC(ata_bmdma_setup, 0x63073e6f, "_gpl");
SYMBOL_CRC(ata_bmdma_start, 0x7c5f60c2, "_gpl");
SYMBOL_CRC(ata_bmdma_stop, 0x46890387, "_gpl");
SYMBOL_CRC(ata_bmdma_status, 0xf44cb0d8, "_gpl");
SYMBOL_CRC(ata_bmdma_port_start, 0xe500fd19, "_gpl");
SYMBOL_CRC(ata_bmdma_port_start32, 0x0a8d40d7, "_gpl");
SYMBOL_CRC(ata_pci_bmdma_clear_simplex, 0x95367784, "_gpl");
SYMBOL_CRC(ata_pci_bmdma_init, 0xc95c3435, "_gpl");
SYMBOL_CRC(ata_pci_bmdma_prepare_host, 0xcccb1462, "_gpl");
SYMBOL_CRC(ata_pci_bmdma_init_one, 0xc42d2d5a, "_gpl");
SYMBOL_CRC(sata_pmp_port_ops, 0xfe277fad, "_gpl");
SYMBOL_CRC(sata_pmp_qc_defer_cmd_switch, 0xc0dfbe70, "_gpl");
SYMBOL_CRC(sata_pmp_error_handler, 0xef2f9ee0, "_gpl");
SYMBOL_CRC(ata_acpi_gtm, 0x131f90d8, "_gpl");
SYMBOL_CRC(ata_acpi_stm, 0x933dc09e, "_gpl");
SYMBOL_CRC(ata_acpi_gtm_xfermask, 0xec5a3afc, "_gpl");
SYMBOL_CRC(ata_acpi_cbl_80wire, 0x91e81176, "_gpl");
SYMBOL_CRC(ata_timing_merge, 0xf6e874f5, "_gpl");
SYMBOL_CRC(ata_timing_find_mode, 0xd2b10a05, "_gpl");
SYMBOL_CRC(ata_timing_compute, 0xb3bd7e58, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4be3d59f, "scsi_device_set_state" },
	{ 0x44c339bf, "dev_driver_string" },
	{ 0x3ab7b1cc, "scsi_set_sense_field_pointer" },
	{ 0x77188b5d, "trace_event_buffer_commit" },
	{ 0x127572c3, "pci_read_config_dword" },
	{ 0x24c1e392, "transport_setup_device" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x478dcfc2, "__pm_runtime_set_status" },
	{ 0xf5f370e0, "async_schedule_node" },
	{ 0x5566284a, "trace_seq_putc" },
	{ 0x92997ed8, "_printk" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x848d372e, "iowrite8" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x245dccd0, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x9d3d08f0, "put_device" },
	{ 0xbe60732d, "devm_free_irq" },
	{ 0x6d93b33b, "pm_runtime_enable" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x5009c71d, "glob_match" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x89e5a541, "scsi_eh_finish_cmd" },
	{ 0xc6cbbc89, "capable" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xb8888eda, "scsi_device_put" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xf811e69d, "scsi_eh_flush_done_q" },
	{ 0xddc90776, "pcim_iomap_regions" },
	{ 0xe4b703db, "kobject_uevent_env" },
	{ 0x604cf6ce, "sg_miter_next" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x7ec56c70, "perf_trace_run_bpf_submit" },
	{ 0x49608959, "migrate_disable" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x884883a4, "scsi_host_put" },
	{ 0x699de54e, "transport_class_unregister" },
	{ 0x9907f28, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x24d273d1, "add_timer" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x217c03fd, "sdev_enable_disk_events" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xc08db2d4, "attribute_container_register" },
	{ 0x6e1341a1, "pci_read_config_word" },
	{ 0x5a921311, "strncmp" },
	{ 0x19c290ca, "__devres_alloc_node" },
	{ 0x2ca41212, "sg_miter_stop" },
	{ 0x658574f4, "trace_event_reg" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x846b2641, "device_link_remove" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x10119bb, "ida_free" },
	{ 0x13f42152, "system_entering_hibernation" },
	{ 0xa080840d, "transport_configure_device" },
	{ 0x7db593ad, "devres_open_group" },
	{ 0xf8eff0a6, "scsi_resume_device" },
	{ 0x334da4e, "scsi_command_size_tbl" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x12aef8ed, "pcim_pin_device" },
	{ 0x62448607, "transport_add_device" },
	{ 0xf3e2f234, "sg_miter_start" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x93022ba6, "__scsi_format_command" },
	{ 0x91db5656, "pci_restore_state" },
	{ 0x57a45346, "bpf_trace_run1" },
	{ 0x1080ce71, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xb19b445, "ioread8" },
	{ 0x56de7e38, "scsi_rescan_device" },
	{ 0xfb578fc5, "memset" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x83358fe5, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0xbfc177bc, "iowrite32_rep" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x8b18d2b2, "param_ops_string" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9f4f2aa3, "acpi_gbl_FADT" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcb733bf2, "acpi_bus_set_power" },
	{ 0xaf36c569, "dma_set_coherent_mask" },
	{ 0x792c9efe, "devm_kasprintf" },
	{ 0xcb67b626, "bpf_trace_run3" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0x2f4347e8, "pm_runtime_forbid" },
	{ 0x27a7a36e, "trace_event_buffer_reserve" },
	{ 0xd5dcc637, "__pm_runtime_resume" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x19bebf97, "attribute_container_unregister" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x12955c3b, "scsi_execute_cmd" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x23391e4d, "transport_destroy_device" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x6cc09945, "ioread32_rep" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0xee640c73, "acpi_initialize_hp_context" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x8112b3d2, "scsi_build_sense_buffer" },
	{ 0xfb5af384, "pci_disable_device" },
	{ 0x2c61eac8, "scsi_done" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0xa7524338, "dma_set_mask" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xc1ddd422, "dma_unmap_sg_attrs" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0xfb11973c, "pcim_iomap_table" },
	{ 0x63d93919, "scsi_remove_device" },
	{ 0xb008105d, "blk_abort_request" },
	{ 0x2a42ad7e, "scsi_add_host_with_dma" },
	{ 0xbda93190, "set_primary_fwnode" },
	{ 0x6847eb4d, "pci_read_config_byte" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x754d539c, "strlen" },
	{ 0xf2203c5f, "param_ops_int" },
	{ 0x704c5d41, "_dev_printk" },
	{ 0xe6532223, "dev_pm_qos_expose_flags" },
	{ 0x701c7b05, "pcim_enable_device" },
	{ 0x4999a165, "scsi_host_alloc" },
	{ 0x349cba85, "strchr" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x11012266, "__scsi_add_device" },
	{ 0xf9b10b1c, "device_link_add" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x6600b9e, "scsi_change_queue_depth" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x19065ff1, "acpi_pm_set_device_wakeup" },
	{ 0x6473fad4, "pci_bus_type" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xeebca5cd, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf377a92b, "transport_class_register" },
	{ 0xb697fff3, "pci_save_state" },
	{ 0xa2429ab9, "ida_alloc_range" },
	{ 0x7a81541b, "async_synchronize_cookie" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0x8f346fa4, "acpi_pm_device_sleep_state" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x187dccfa, "is_acpi_device_node" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x801bcb81, "devres_release_group" },
	{ 0xd0934899, "devm_request_threaded_irq" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xecc6fa9b, "scsi_device_get" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0x50707f9c, "dev_set_name" },
	{ 0xfe13a601, "trace_seq_printf" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x542d5e88, "devres_remove_group" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6781e848, "dmam_alloc_attrs" },
	{ 0xa11a97c1, "trace_raw_output_prep" },
	{ 0xa5bbdd31, "scsi_remove_host" },
	{ 0xc1b3081f, "transport_remove_device" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xb07d43ee, "__trace_trigger_soft_disabled" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0xce22a490, "scsi_build_sense" },
	{ 0x37a6efd0, "scsi_schedule_eh" },
	{ 0x842c8e9d, "ioread16" },
	{ 0xdf4574bf, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x3815f35, "ledtrig_disk_activity" },
	{ 0xf7370f56, "system_state" },
	{ 0xac10fd0f, "scsi_check_sense" },
	{ 0x4628038c, "device_initialize" },
	{ 0x862d1e43, "prepare_to_wait" },
	{ 0x5edbd58d, "sdev_evt_send_simple" },
	{ 0x549dee85, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x10d9f885, "scsi_sense_desc_find" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x818416e1, "scsi_set_sense_information" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd0d9d74c, "bpf_trace_run2" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x70ecfbe8, "pci_set_power_state" },
	{ 0xf6491531, "__wake_up" },
	{ 0xdb245820, "sdev_disable_disk_events" },
	{ 0xcee82587, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod,scsi_common");


MODULE_INFO(srcversion, "734FB3ECF5BF2AF1E3F0596");

MODULE_INFO(suserelease, "SLFO-1.2");
