#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(btmtk_fw_get_filename, "_gpl", "");
KSYMTAB_FUNC(btmtk_setup_firmware_79xx, "_gpl", "");
KSYMTAB_FUNC(btmtk_setup_firmware, "_gpl", "");
KSYMTAB_FUNC(btmtk_set_bdaddr, "_gpl", "");
KSYMTAB_FUNC(btmtk_reset_sync, "_gpl", "");
KSYMTAB_FUNC(btmtk_register_coredump, "_gpl", "");
KSYMTAB_FUNC(btmtk_process_coredump, "_gpl", "");
KSYMTAB_FUNC(btmtk_usb_subsys_reset, "_gpl", "");
KSYMTAB_FUNC(btmtk_usb_recv_acl, "_gpl", "");
KSYMTAB_FUNC(alloc_mtk_intr_urb, "_gpl", "");
KSYMTAB_FUNC(btmtk_usb_resume, "_gpl", "");
KSYMTAB_FUNC(btmtk_usb_suspend, "_gpl", "");
KSYMTAB_FUNC(btmtk_usb_setup, "_gpl", "");
KSYMTAB_FUNC(btmtk_usb_shutdown, "_gpl", "");

SYMBOL_CRC(btmtk_fw_get_filename, 0xbc8bf0c0, "_gpl");
SYMBOL_CRC(btmtk_setup_firmware_79xx, 0x64fcd5e5, "_gpl");
SYMBOL_CRC(btmtk_setup_firmware, 0x5a75e97f, "_gpl");
SYMBOL_CRC(btmtk_set_bdaddr, 0x5010f0b2, "_gpl");
SYMBOL_CRC(btmtk_reset_sync, 0x45963e5e, "_gpl");
SYMBOL_CRC(btmtk_register_coredump, 0xc2ce030a, "_gpl");
SYMBOL_CRC(btmtk_process_coredump, 0x5b5b69e9, "_gpl");
SYMBOL_CRC(btmtk_usb_subsys_reset, 0xbaba8451, "_gpl");
SYMBOL_CRC(btmtk_usb_recv_acl, 0x80b91567, "_gpl");
SYMBOL_CRC(alloc_mtk_intr_urb, 0x60b1c18d, "_gpl");
SYMBOL_CRC(btmtk_usb_resume, 0x427e81b7, "_gpl");
SYMBOL_CRC(btmtk_usb_suspend, 0xb63c392e, "_gpl");
SYMBOL_CRC(btmtk_usb_setup, 0x04da6730, "_gpl");
SYMBOL_CRC(btmtk_usb_shutdown, 0xc9dac504, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xacf7e913, "request_firmware" },
	{ 0x718b8b7, "bt_info" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xf9a482f9, "msleep" },
	{ 0x7b8c32f1, "bt_err" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x65bce73, "__hci_cmd_sync" },
	{ 0x6d64c27f, "sk_skb_reason_drop" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x2c71fa81, "hci_cmd_sync_queue" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x39281ff, "hci_devcd_register" },
	{ 0x21ee3c03, "__hci_cmd_send" },
	{ 0x4ed62146, "usb_alloc_urb" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xbfc27fe0, "usb_anchor_urb" },
	{ 0x71b5bbcc, "usb_submit_urb" },
	{ 0x55a2d436, "usb_free_urb" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4e5a5e57, "usb_unanchor_urb" },
	{ 0x68a8fb2c, "usb_kill_anchored_urbs" },
	{ 0x69acdf38, "memcpy" },
	{ 0x4dc8debc, "usb_autopm_get_interface" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x625c9d82, "usb_autopm_put_interface" },
	{ 0x37a0cba, "kfree" },
	{ 0x29dd4a3c, "bit_wait_timeout" },
	{ 0xcec4fb63, "out_of_line_wait_on_bit_timeout" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xc817eb29, "hci_devcd_append" },
	{ 0xadba74ea, "hci_devcd_complete" },
	{ 0x71130f50, "hci_devcd_init" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x1fe0f76b, "usb_disable_autosuspend" },
	{ 0x44ea4aa5, "skb_clone" },
	{ 0x17ea0205, "hci_recv_diag" },
	{ 0xe0f5411c, "hci_recv_frame" },
	{ 0x6db45ff8, "__skb_pad" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xbe3dbdfa, "__alloc_skb" },
	{ 0x3ec4ea5, "skb_put" },
	{ 0xb93ba240, "wake_up_bit" },
	{ 0x72b0d970, "usb_control_msg" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0x6760fa75, "usb_set_interface" },
	{ 0x206139d1, "hci_cmd_sync_cancel" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xa916b694, "strnlen" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "bluetooth,usbcore");


MODULE_INFO(srcversion, "A2E48580738E69E4D175029");

MODULE_INFO(suserelease, "SLFO-1.2");
