#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ccp_present, "_gpl", "");
KSYMTAB_FUNC(ccp_version, "_gpl", "");
KSYMTAB_FUNC(ccp_enqueue_cmd, "_gpl", "");
KSYMTAB_FUNC(snp_alloc_firmware_page, "_gpl", "");
KSYMTAB_FUNC(snp_free_firmware_page, "_gpl", "");
KSYMTAB_FUNC(sev_do_cmd, "_gpl", "");
KSYMTAB_FUNC(sev_platform_init, "_gpl", "");
KSYMTAB_FUNC(psp_copy_user_blob, "_gpl", "");
KSYMTAB_FUNC(sev_platform_status, "_gpl", "");
KSYMTAB_FUNC(sev_guest_deactivate, "_gpl", "");
KSYMTAB_FUNC(sev_guest_activate, "_gpl", "");
KSYMTAB_FUNC(sev_guest_decommission, "_gpl", "");
KSYMTAB_FUNC(sev_guest_df_flush, "_gpl", "");
KSYMTAB_FUNC(sev_issue_cmd_external_user, "_gpl", "");
KSYMTAB_FUNC(psp_tee_process_cmd, "", "");
KSYMTAB_FUNC(psp_check_tee_status, "", "");
KSYMTAB_FUNC(psp_check_platform_access_status, "", "");
KSYMTAB_FUNC(psp_send_platform_access_msg, "_gpl", "");
KSYMTAB_FUNC(psp_ring_platform_doorbell, "_gpl", "");

SYMBOL_CRC(ccp_present, 0x04773b60, "_gpl");
SYMBOL_CRC(ccp_version, 0x3a1a3979, "_gpl");
SYMBOL_CRC(ccp_enqueue_cmd, 0x4936fd62, "_gpl");
SYMBOL_CRC(snp_alloc_firmware_page, 0x832640c7, "_gpl");
SYMBOL_CRC(snp_free_firmware_page, 0x6da19b50, "_gpl");
SYMBOL_CRC(sev_do_cmd, 0x3e3b5766, "_gpl");
SYMBOL_CRC(sev_platform_init, 0x72f6bfcf, "_gpl");
SYMBOL_CRC(psp_copy_user_blob, 0x2e6a6147, "_gpl");
SYMBOL_CRC(sev_platform_status, 0x91722dce, "_gpl");
SYMBOL_CRC(sev_guest_deactivate, 0x4073e924, "_gpl");
SYMBOL_CRC(sev_guest_activate, 0x3e059f28, "_gpl");
SYMBOL_CRC(sev_guest_decommission, 0x843d6541, "_gpl");
SYMBOL_CRC(sev_guest_df_flush, 0x8fac14a2, "_gpl");
SYMBOL_CRC(sev_issue_cmd_external_user, 0x5a08c483, "_gpl");
SYMBOL_CRC(psp_tee_process_cmd, 0xaa04056c, "");
SYMBOL_CRC(psp_check_tee_status, 0x47d3c97f, "");
SYMBOL_CRC(psp_check_platform_access_status, 0x4a937398, "");
SYMBOL_CRC(psp_send_platform_access_msg, 0x8123d41a, "_gpl");
SYMBOL_CRC(psp_ring_platform_doorbell, 0x6ea40704, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xec083b74, "devm_kfree" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0xea8985b0, "rmp_make_shared" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xdf9ceed4, "kmem_cache_free" },
	{ 0xbac8aeea, "sg_nents_for_len" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xad6d7e4b, "kthread_stop" },
	{ 0xb6a71e62, "devm_get_free_pages" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0x3db41acf, "__tracepoint_write_msr" },
	{ 0xfb578fc5, "memset" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0xcd467294, "misc_register" },
	{ 0x83358fe5, "pci_set_master" },
	{ 0x61e00f48, "param_ops_charp" },
	{ 0x847b5d13, "kernel_read" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xe8460128, "dmaengine_unmap_put" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfa10416, "kmem_cache_alloc_noprof" },
	{ 0x8eb4d9e, "acpi_match_device" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x30a9d030, "dma_async_device_register" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0xc805f93, "clflush_cache_range" },
	{ 0x8337a399, "__kmem_cache_create_args" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x65eccb12, "__platform_driver_register" },
	{ 0xd00c9875, "kthread_create_on_node" },
	{ 0xaf36c569, "dma_set_coherent_mask" },
	{ 0x792c9efe, "devm_kasprintf" },
	{ 0xe950f713, "override_creds" },
	{ 0xc62611e1, "scatterwalk_map_and_copy" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xe5f70b80, "_dev_notice" },
	{ 0xe074978f, "path_get" },
	{ 0xedd7eb58, "rt_read_lock" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xbd6995e5, "atomic_notifier_chain_unregister" },
	{ 0x1fa1d95c, "sha256_zero_message_hash" },
	{ 0x78228340, "vfs_fsync" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x9199b9f0, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x5864e269, "rmp_make_private" },
	{ 0x5df807ef, "dma_async_tx_descriptor_init" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x10a19b3c, "filp_close" },
	{ 0x25db1577, "do_trace_write_msr" },
	{ 0x9ebb2bfc, "rt_read_unlock" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9919fd8, "rt_write_lock" },
	{ 0xd0d89ed1, "pci_disable_msix" },
	{ 0xbd6ee8cc, "alloc_pages_noprof" },
	{ 0x250337ee, "boot_cpu_data" },
	{ 0xa7524338, "dma_set_mask" },
	{ 0x8f2703b7, "wbinvd_on_all_cpus" },
	{ 0xc1ddd422, "dma_unmap_sg_attrs" },
	{ 0xfb11973c, "pcim_iomap_table" },
	{ 0xf2203c5f, "param_ops_int" },
	{ 0x701c7b05, "pcim_enable_device" },
	{ 0x2158c3cc, "amd_iommu_snp_disable" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x53a61fba, "cc_platform_has" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x80a095d8, "scatterwalk_ffwd" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xf81aba14, "kernel_write" },
	{ 0x8019049f, "kmem_cache_destroy" },
	{ 0xeebca5cd, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x2d608534, "devm_platform_ioremap_resource" },
	{ 0x52fc6068, "revert_creds" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xe651aca3, "misc_deregister" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xc6d9f098, "dma_pool_create" },
	{ 0xe5eb5fd0, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x3cb06817, "devm_kmalloc" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xd0fd7085, "hwrng_unregister" },
	{ 0x9b20e596, "firmware_request_nowarn" },
	{ 0xdbe27298, "platform_driver_unregister" },
	{ 0x63f835ba, "on_each_cpu_cond_mask" },
	{ 0xd986b6ee, "dma_async_device_unregister" },
	{ 0x2ba3cbe5, "platform_get_irq" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6781e848, "dmam_alloc_attrs" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0xb51d11a4, "dma_unmap_page_attrs" },
	{ 0xb0455e84, "snp_leak_pages" },
	{ 0xd1ffe315, "__pci_register_driver" },
	{ 0xcf93977b, "pci_disable_msi" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x91ba2397, "dma_release_channel" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3416d62c, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xf6491531, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0x4cbfc3cd, "path_put" },
	{ 0xb6e3c8cb, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x1d8a5fdd, "wake_up_process" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xe0c4e14d, "hwrng_register" },
	{ 0x44c339bf, "dev_driver_string" },
	{ 0x5499eddc, "devm_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x28ba6fe1, "dma_map_page_attrs" },
	{ 0xc5aca355, "panic_notifier_list" },
	{ 0x92997ed8, "_printk" },
	{ 0x7b5a4926, "sha1_zero_message_hash" },
	{ 0x946dd559, "sha224_zero_message_hash" },
	{ 0x1a16592c, "platform_irq_count" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdd46b7e0, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcc935375, "walk_iomem_res_desc" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x143c549a, "pci_enable_msix_range" },
	{ 0xa1a25bf7, "file_open_root" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x6cb3aac, "__free_pages" },
	{ 0xf250e2d4, "rt_write_unlock" },
	{ 0x71b12b37, "_dev_info" },
	{ 0x6a3b8d1c, "init_task" },
	{ 0x4963dacd, "pci_select_bars" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xe9b695cb, "dma_run_dependencies" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x2085dbc6, "device_get_dma_attr" },
	{ 0xddc90776, "pcim_iomap_regions" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xdd71e346, "prepare_creds" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa9da7092, "pci_enable_msi" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Camd,ccp-seattle-v1a");
MODULE_ALIAS("of:N*T*Camd,ccp-seattle-v1aC*");
MODULE_ALIAS("acpi*:AMDI0C00:*");
MODULE_ALIAS("pci:v00001022d00001537sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d00001456sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d00001468sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d00001486sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d000015DFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d000014CAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d000015C7sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d00001649sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d00001134sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d000017E0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d0000156Esv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "CFD3E7470C53FE3D45F9549");

MODULE_INFO(suserelease, "SLFO-1.2");
