#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(to_cxl_root_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_endpoint_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_root_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_switch_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_endpoint_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_switch_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_port, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_port, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_port, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_root, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_port_to_pci_bus, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_register_pci_bus, "_gpl", "CXL");
KSYMTAB_FUNC(find_cxl_root, "_gpl", "CXL");
KSYMTAB_FUNC(put_cxl_root, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_dport, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_rch_dport, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_autoremove, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_enumerate_ports, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_pci_find_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_find_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_root_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_switch_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_add_locked, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_add, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_autoremove, "_gpl", "CXL");
KSYMTAB_FUNC(__cxl_driver_register, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_driver_unregister, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_bus_rescan, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_bus_drain, "_gpl", "CXL");
KSYMTAB_FUNC(schedule_cxl_memdev_detach, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_get_perf_coordinates, "_gpl", "CXL");
KSYMTAB_DATA(cxl_bus_type, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_debugfs_create_dir, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_probe_component_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_probe_device_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_component_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_device_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_regblock_instance, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_regblock, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_count_regblock, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_pmu_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_setup_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dport_map_rcd_linkcap, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_rcd_component_reg_phys, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_trigger_poison_list, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_inject_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_clear_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_memdev_update_perf, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_memdev, "_gpl", "CXL");
KSYMTAB_FUNC(set_exclusive_cxl_commands, "_gpl", "CXL");
KSYMTAB_FUNC(clear_exclusive_cxl_commands, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_setup_fw_upload, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_memdev, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_sanitize_setup_notifier, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_internal_send_cmd, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_enumerate_cmds, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_event_trace_record, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_get_event_records, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dev_state_identify, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_create_range_info, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_set_timestamp, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_get_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_poison_state_init, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mailbox_init, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_memdev_state_create, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_port_enumerate_dports, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_await_media_ready, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dvsec_rr_decode, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_hdm_decode_init, "_gpl", "CXL");
KSYMTAB_FUNC(read_cdat_data, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dport_init_ras_reporting, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_cor_error_detected, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_error_detected, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_decoder_reset_detected, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_passthrough_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_setup_hdm, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dpa_debug, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_dpa_reserve, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_port_commit_reap, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_enumerate_decoders, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_pmu_add, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_parse_cdat, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_switch_parse_cdat, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_region, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_pmem_region, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_pmem_region, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_dax_region, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_add_to_region, "_gpl", "CXL");

SYMBOL_CRC(to_cxl_root_decoder, 0xbdba781a, "_gpl");
SYMBOL_CRC(is_endpoint_decoder, 0x1cbbf744, "_gpl");
SYMBOL_CRC(is_root_decoder, 0x1654b4e3, "_gpl");
SYMBOL_CRC(is_switch_decoder, 0xcf0496c0, "_gpl");
SYMBOL_CRC(to_cxl_decoder, 0x183c3634, "_gpl");
SYMBOL_CRC(to_cxl_endpoint_decoder, 0xc5d5cd1c, "_gpl");
SYMBOL_CRC(to_cxl_switch_decoder, 0x28904bd1, "_gpl");
SYMBOL_CRC(is_cxl_port, 0xaf8d71a6, "_gpl");
SYMBOL_CRC(to_cxl_port, 0xc297b234, "_gpl");
SYMBOL_CRC(devm_cxl_add_port, 0x909d2004, "_gpl");
SYMBOL_CRC(devm_cxl_add_root, 0x27eb1650, "_gpl");
SYMBOL_CRC(cxl_port_to_pci_bus, 0x5ae57bc9, "_gpl");
SYMBOL_CRC(devm_cxl_register_pci_bus, 0x80f01106, "_gpl");
SYMBOL_CRC(find_cxl_root, 0x071a0db0, "_gpl");
SYMBOL_CRC(put_cxl_root, 0x6dfd1175, "_gpl");
SYMBOL_CRC(devm_cxl_add_dport, 0xe27cd304, "_gpl");
SYMBOL_CRC(devm_cxl_add_rch_dport, 0xf24dae65, "_gpl");
SYMBOL_CRC(cxl_endpoint_autoremove, 0x1d3cff0c, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_ports, 0xe3da738e, "_gpl");
SYMBOL_CRC(cxl_pci_find_port, 0xe27bf1b5, "_gpl");
SYMBOL_CRC(cxl_mem_find_port, 0x551ff761, "_gpl");
SYMBOL_CRC(cxl_root_decoder_alloc, 0x6912ccab, "_gpl");
SYMBOL_CRC(cxl_switch_decoder_alloc, 0x4f8eb86f, "_gpl");
SYMBOL_CRC(cxl_endpoint_decoder_alloc, 0x08d4459a, "_gpl");
SYMBOL_CRC(cxl_decoder_add_locked, 0xd87bcc91, "_gpl");
SYMBOL_CRC(cxl_decoder_add, 0xdf872cd7, "_gpl");
SYMBOL_CRC(cxl_decoder_autoremove, 0x6dc535bd, "_gpl");
SYMBOL_CRC(__cxl_driver_register, 0x3b4a3e19, "_gpl");
SYMBOL_CRC(cxl_driver_unregister, 0xfde9cba8, "_gpl");
SYMBOL_CRC(cxl_bus_rescan, 0x701bbaad, "_gpl");
SYMBOL_CRC(cxl_bus_drain, 0x98628ac8, "_gpl");
SYMBOL_CRC(schedule_cxl_memdev_detach, 0x9cb53137, "_gpl");
SYMBOL_CRC(cxl_endpoint_get_perf_coordinates, 0xa07732fb, "_gpl");
SYMBOL_CRC(cxl_bus_type, 0x242f0e65, "_gpl");
SYMBOL_CRC(cxl_debugfs_create_dir, 0x01de6ff9, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm_bridge, 0x99f0242f, "_gpl");
SYMBOL_CRC(cxl_find_nvdimm_bridge, 0x990a7b86, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm_bridge, 0x6828b6a7, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm, 0xa97e8d95, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm, 0xf5e55dec, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm, 0x79787750, "_gpl");
SYMBOL_CRC(cxl_probe_component_regs, 0x281d6456, "_gpl");
SYMBOL_CRC(cxl_probe_device_regs, 0x7debff19, "_gpl");
SYMBOL_CRC(cxl_map_component_regs, 0x934ede9d, "_gpl");
SYMBOL_CRC(cxl_map_device_regs, 0x3ec9ead2, "_gpl");
SYMBOL_CRC(cxl_find_regblock_instance, 0xa60992ff, "_gpl");
SYMBOL_CRC(cxl_find_regblock, 0x729c1e30, "_gpl");
SYMBOL_CRC(cxl_count_regblock, 0xd6c61747, "_gpl");
SYMBOL_CRC(cxl_map_pmu_regs, 0x5583ee78, "_gpl");
SYMBOL_CRC(cxl_setup_regs, 0x378ab737, "_gpl");
SYMBOL_CRC(cxl_dport_map_rcd_linkcap, 0xc07af76a, "_gpl");
SYMBOL_CRC(cxl_rcd_component_reg_phys, 0x3d13c422, "_gpl");
SYMBOL_CRC(cxl_trigger_poison_list, 0xfea5624b, "_gpl");
SYMBOL_CRC(cxl_inject_poison, 0x81ff0838, "_gpl");
SYMBOL_CRC(cxl_clear_poison, 0xe7c8150d, "_gpl");
SYMBOL_CRC(cxl_memdev_update_perf, 0xfd4490f9, "_gpl");
SYMBOL_CRC(is_cxl_memdev, 0xe54415dc, "_gpl");
SYMBOL_CRC(set_exclusive_cxl_commands, 0xc4492113, "_gpl");
SYMBOL_CRC(clear_exclusive_cxl_commands, 0x570ea7a9, "_gpl");
SYMBOL_CRC(devm_cxl_setup_fw_upload, 0xb79acd86, "_gpl");
SYMBOL_CRC(devm_cxl_add_memdev, 0xbe91ad11, "_gpl");
SYMBOL_CRC(devm_cxl_sanitize_setup_notifier, 0xe826a7c9, "_gpl");
SYMBOL_CRC(cxl_internal_send_cmd, 0x452617e5, "_gpl");
SYMBOL_CRC(cxl_enumerate_cmds, 0x1f82015e, "_gpl");
SYMBOL_CRC(cxl_event_trace_record, 0xc9a88384, "_gpl");
SYMBOL_CRC(cxl_mem_get_event_records, 0xe74a92ba, "_gpl");
SYMBOL_CRC(cxl_dev_state_identify, 0x1a2ffb71, "_gpl");
SYMBOL_CRC(cxl_mem_create_range_info, 0xd88aa380, "_gpl");
SYMBOL_CRC(cxl_set_timestamp, 0x8cbd41bd, "_gpl");
SYMBOL_CRC(cxl_mem_get_poison, 0xdd36dc6d, "_gpl");
SYMBOL_CRC(cxl_poison_state_init, 0x75786a61, "_gpl");
SYMBOL_CRC(cxl_mailbox_init, 0x954a89fc, "_gpl");
SYMBOL_CRC(cxl_memdev_state_create, 0xa3916d58, "_gpl");
SYMBOL_CRC(devm_cxl_port_enumerate_dports, 0x90c6e4f2, "_gpl");
SYMBOL_CRC(cxl_await_media_ready, 0x05b46d49, "_gpl");
SYMBOL_CRC(cxl_dvsec_rr_decode, 0x3bff3fe8, "_gpl");
SYMBOL_CRC(cxl_hdm_decode_init, 0xd9a76640, "_gpl");
SYMBOL_CRC(read_cdat_data, 0xe84d8e34, "_gpl");
SYMBOL_CRC(cxl_dport_init_ras_reporting, 0xce1fbd18, "_gpl");
SYMBOL_CRC(cxl_cor_error_detected, 0x26389150, "_gpl");
SYMBOL_CRC(cxl_error_detected, 0x1df206d3, "_gpl");
SYMBOL_CRC(cxl_endpoint_decoder_reset_detected, 0x4834b422, "_gpl");
SYMBOL_CRC(devm_cxl_add_passthrough_decoder, 0x98a7742c, "_gpl");
SYMBOL_CRC(devm_cxl_setup_hdm, 0x3e124ee0, "_gpl");
SYMBOL_CRC(cxl_dpa_debug, 0xb47204e2, "_gpl");
SYMBOL_CRC(devm_cxl_dpa_reserve, 0xd50f304c, "_gpl");
SYMBOL_CRC(cxl_port_commit_reap, 0xc12f1be0, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_decoders, 0x75cceadf, "_gpl");
SYMBOL_CRC(devm_cxl_pmu_add, 0xf281fcad, "_gpl");
SYMBOL_CRC(cxl_endpoint_parse_cdat, 0xe19054e2, "_gpl");
SYMBOL_CRC(cxl_switch_parse_cdat, 0x5891bd58, "_gpl");
SYMBOL_CRC(is_cxl_region, 0x9ab1dd77, "_gpl");
SYMBOL_CRC(is_cxl_pmem_region, 0xcda074b3, "_gpl");
SYMBOL_CRC(to_cxl_pmem_region, 0x4b3f4cc9, "_gpl");
SYMBOL_CRC(to_cxl_dax_region, 0x95230901, "_gpl");
SYMBOL_CRC(cxl_add_to_region, 0x45963cde, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcb67b626, "bpf_trace_run3" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xcfeca4a2, "pci_find_doe_mailbox" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x27a7a36e, "trace_event_buffer_reserve" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x6420e3d1, "down_write_killable" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xf01d993d, "xa_destroy" },
	{ 0xfea41449, "xa_find" },
	{ 0xade594b0, "kernfs_put" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x180b1bbb, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7ad7a5cd, "seq_printf" },
	{ 0xe534dea0, "xa_store" },
	{ 0xc28c8471, "device_match_name" },
	{ 0x2ad0d44, "register_mt_adistance_algorithm" },
	{ 0x26e298e0, "unregister_memory_notifier" },
	{ 0xd8178163, "pci_walk_bus" },
	{ 0xa256d729, "xa_find_after" },
	{ 0xaa42da56, "node_set_perf_attrs" },
	{ 0x177e48ab, "__devm_add_action" },
	{ 0x24c4c501, "pci_find_dvsec_capability" },
	{ 0x4de9bdf6, "device_find_child_by_name" },
	{ 0x7dc6af90, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xc01defd9, "pci_write_config_word" },
	{ 0xd20f3ddd, "debugfs_create_dir" },
	{ 0x24e113b, "pcie_bandwidth_available" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xb570b5d7, "up_read" },
	{ 0xe2a805d9, "driver_register" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xda59c8d, "cdev_init" },
	{ 0x6473fad4, "pci_bus_type" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xddbd0482, "bus_register" },
	{ 0x9934bbf4, "firmware_upload_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xa2429ab9, "ida_alloc_range" },
	{ 0xe859e1a6, "pcie_capability_read_word" },
	{ 0xced92fe7, "mt_perf_to_adistance" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xe7d7653f, "device_match_type" },
	{ 0x13110126, "request_resource" },
	{ 0xd6551b9c, "cpu_cache_has_invalidate_memregion" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x1d337321, "bpf_trace_run4" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x3cb06817, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x50707f9c, "dev_set_name" },
	{ 0x8e251c49, "param_ops_ushort" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa11a97c1, "trace_raw_output_prep" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x59a754ae, "cdev_device_del" },
	{ 0xa5040375, "bpf_trace_run6" },
	{ 0x730a37ff, "pci_doe" },
	{ 0x9668568f, "device_unregister" },
	{ 0xb07d43ee, "__trace_trigger_soft_disabled" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xdf4574bf, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x5c8f81ef, "devm_ioremap" },
	{ 0xedc03953, "iounmap" },
	{ 0x4628038c, "device_initialize" },
	{ 0x549dee85, "trace_event_raw_init" },
	{ 0x90576ec4, "vmemdup_user" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xefb18d5e, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd0d9d74c, "bpf_trace_run2" },
	{ 0xaab33bc6, "phys_to_target_node" },
	{ 0xae8ac792, "hmat_update_target_coordinates" },
	{ 0x5eebcb84, "devm_remove_action" },
	{ 0x9856fd7b, "acpi_node_backed_by_real_pxm" },
	{ 0x8576e767, "get_device" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0x5e651d9f, "trace_print_hex_seq" },
	{ 0xa770832, "register_memory_notifier" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x5c3752b0, "platform_bus" },
	{ 0x44c339bf, "dev_driver_string" },
	{ 0x77188b5d, "trace_event_buffer_commit" },
	{ 0x127572c3, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2eeeb852, "__devm_request_region" },
	{ 0x6822de1a, "firmware_upload_unregister" },
	{ 0x92997ed8, "_printk" },
	{ 0x4494c65a, "cdev_device_add" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcc935375, "walk_iomem_res_desc" },
	{ 0x9d3d08f0, "put_device" },
	{ 0xd4625fc8, "cdat_table_parse" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xcd68c58, "bus_for_each_dev" },
	{ 0xe06a823e, "sysfs_create_link" },
	{ 0xb2db2d5, "remove_resource" },
	{ 0x7228ccc9, "compat_ptr_ioctl" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x60991ad, "unregister_mt_adistance_algorithm" },
	{ 0x7ec56c70, "perf_trace_run_bpf_submit" },
	{ 0x25bcb541, "sysfs_update_group" },
	{ 0x12cb1804, "bus_unregister" },
	{ 0xba0efd1f, "down_write" },
	{ 0xec083b74, "devm_kfree" },
	{ 0x3c804b25, "cpu_cache_invalidate_memregion" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x209b8854, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0xf933d48, "debugfs_create_bool" },
	{ 0xc864bff6, "bus_find_device" },
	{ 0x9907f28, "device_add" },
	{ 0x48ca2416, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xb9b31de8, "xa_load" },
	{ 0x5f577086, "noop_llseek" },
	{ 0xfa4fcee0, "device_attach" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xcdb30b2c, "hmat_get_extended_linear_cache_size" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xb0814716, "kernfs_find_and_get_ns" },
	{ 0x6de67898, "debugfs_remove" },
	{ 0x6e1341a1, "pci_read_config_word" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x658574f4, "trace_event_reg" },
	{ 0x10119bb, "ida_free" },
	{ 0x6b184ed6, "driver_unregister" },
	{ 0xa41ff2f4, "pcie_link_speed_mbps" },
	{ 0xde80cd09, "ioremap" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xc3359801, "device_find_child" },
	{ 0x3edbc68d, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xb3118b7e, "devm_release_action" },
	{ 0x1080ce71, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x7e20253d, "down_read_interruptible" },
	{ 0x7fa19cc4, "alloc_free_mem_region" },
	{ 0xc3699809, "pci_print_aer" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x5f23e3fa, "insert_resource" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc5b9e325, "device_for_each_child_reverse_from" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x9fb64856, "down_read" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xb98fa7ed, "__xa_insert" },
	{ 0x918431c7, "xa_erase" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1A686164BC61EB8EB2A8ADA");

MODULE_INFO(suserelease, "SLFO-1.2");
