#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(idxd_wq_alloc_resources, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_wq_free_resources, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_wq_init_percpu_ref, "_gpl", "IDXD");
KSYMTAB_FUNC(__idxd_wq_quiesce, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_wq_quiesce, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_drv_enable_wq, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_drv_disable_wq, "_gpl", "IDXD");
KSYMTAB_DATA(idxd_drv, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_alloc_desc, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_free_desc, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_submit_desc, "_gpl", "IDXD");
KSYMTAB_DATA(idxd_dmaengine_drv, "_gpl", "IDXD");
KSYMTAB_DATA(idxd_user_drv, "_gpl", "IDXD");

SYMBOL_CRC(idxd_wq_alloc_resources, 0x58e23ed5, "_gpl");
SYMBOL_CRC(idxd_wq_free_resources, 0x29a9ee87, "_gpl");
SYMBOL_CRC(idxd_wq_init_percpu_ref, 0xe58c9286, "_gpl");
SYMBOL_CRC(__idxd_wq_quiesce, 0x33140fe8, "_gpl");
SYMBOL_CRC(idxd_wq_quiesce, 0xb61a6406, "_gpl");
SYMBOL_CRC(idxd_drv_enable_wq, 0x4cdc7f9c, "_gpl");
SYMBOL_CRC(idxd_drv_disable_wq, 0x75bacd20, "_gpl");
SYMBOL_CRC(idxd_drv, 0x3c719243, "_gpl");
SYMBOL_CRC(idxd_alloc_desc, 0x7d02d603, "_gpl");
SYMBOL_CRC(idxd_free_desc, 0x2615a427, "_gpl");
SYMBOL_CRC(idxd_submit_desc, 0x71353d88, "_gpl");
SYMBOL_CRC(idxd_dmaengine_drv, 0x91f492d3, "_gpl");
SYMBOL_CRC(idxd_user_drv, 0x076bd43f, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x6935585e, "pci_iounmap" },
	{ 0x91db5656, "pci_restore_state" },
	{ 0x1080ce71, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x834ae182, "iommu_sva_get_pasid" },
	{ 0xfb578fc5, "memset" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0x36d1cc54, "__kmalloc_cache_node_noprof" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x83358fe5, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xe8460128, "dmaengine_unmap_put" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfa10416, "kmem_cache_alloc_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x30a9d030, "dma_async_device_register" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x8337a399, "__kmem_cache_create_args" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x8f279820, "pci_reset_function" },
	{ 0x80b8d3e, "iommu_attach_device_pasid" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xc119e274, "__xa_cmpxchg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xaf36c569, "dma_set_coherent_mask" },
	{ 0xb98fa7ed, "__xa_insert" },
	{ 0x4a38d9f7, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf4334299, "dma_free_attrs" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xd4d2fe48, "sbitmap_finish_wait" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x78531d73, "dma_async_device_channel_register" },
	{ 0x9199b9f0, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf01d993d, "xa_destroy" },
	{ 0x5df807ef, "dma_async_tx_descriptor_init" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x7ad7a5cd, "seq_printf" },
	{ 0xc28c8471, "device_match_name" },
	{ 0xb97220ff, "bitmap_parse" },
	{ 0x8ae718dd, "debugfs_create_file_full" },
	{ 0xfb5af384, "pci_disable_device" },
	{ 0x250337ee, "boot_cpu_data" },
	{ 0x8d8b2fb3, "single_release" },
	{ 0xa7524338, "dma_set_mask" },
	{ 0x62f9cba7, "kthread_unuse_mm" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0x7dc6af90, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xcc0c994, "__vma_start_write" },
	{ 0x495b28e9, "single_open" },
	{ 0xd20f3ddd, "debugfs_create_dir" },
	{ 0x975de6b2, "__sbitmap_queue_get" },
	{ 0xd6336f23, "pci_free_irq_vectors" },
	{ 0xe31ae625, "idxd_driver_unregister" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xfa13f45f, "iommu_free_global_pasid" },
	{ 0xda59c8d, "cdev_init" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x8019049f, "kmem_cache_destroy" },
	{ 0xe914e41e, "strcpy" },
	{ 0xb697fff3, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xa2429ab9, "ida_alloc_range" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7dd6c90e, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xfda82e3b, "pci_msix_vec_count" },
	{ 0xbd12925f, "pci_enable_device" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x77bc13a0, "strim" },
	{ 0x50707f9c, "dev_set_name" },
	{ 0x6b9a2b93, "pci_iomap" },
	{ 0xb0e602eb, "memmove" },
	{ 0xd986b6ee, "dma_async_device_unregister" },
	{ 0x6c2c44a0, "pci_alloc_irq_vectors" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4433c07d, "device_driver_attach" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0x335990ce, "devm_iounmap" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x59a754ae, "cdev_device_del" },
	{ 0xd21c5139, "iowrite64_lo_hi" },
	{ 0x9668568f, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0xe80f8d0d, "__kmalloc_node_noprof" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xd1ffe315, "__pci_register_driver" },
	{ 0x5c8f81ef, "devm_ioremap" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x4628038c, "device_initialize" },
	{ 0x357b8132, "dsa_bus_type" },
	{ 0x8afa8d05, "iommu_dev_disable_feature" },
	{ 0x69acdf38, "memcpy" },
	{ 0x2c493cf2, "remap_pfn_range" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0x2e4f415b, "seq_lseek" },
	{ 0x7b0e078, "iommu_sva_bind_device" },
	{ 0x23ba13da, "iommu_detach_device_pasid" },
	{ 0x3416d62c, "prepare_to_wait_event" },
	{ 0xf6491531, "__wake_up" },
	{ 0xe885bad5, "pci_irq_vector" },
	{ 0x8576e767, "get_device" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0x716265c7, "debugfs_initialized" },
	{ 0xb6e3c8cb, "pci_unregister_driver" },
	{ 0xe36ff5c6, "kthread_use_mm" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xad4adb2b, "sbitmap_queue_init_node" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x84a0ca4d, "bitmap_zalloc_node" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8282b602, "sbitmap_prepare_to_wait" },
	{ 0x4494c65a, "cdev_device_add" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9d3d08f0, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xd7293ffc, "percpu_ref_reinit" },
	{ 0xa9902fe0, "iommu_dev_enable_feature" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x71b12b37, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xd0fdd35f, "__idxd_driver_register" },
	{ 0x6702c702, "iommu_get_domain_for_dev" },
	{ 0x2b676bfc, "perf_pmu_register" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0xc8240d31, "_dev_err" },
	{ 0xc864bff6, "bus_find_device" },
	{ 0x9907f28, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb9b31de8, "xa_load" },
	{ 0xfe052363, "ioread64_lo_hi" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0xdf9ceed4, "kmem_cache_free" },
	{ 0x18595920, "dma_alloc_attrs" },
	{ 0x6de67898, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x3a035fa8, "dma_async_device_channel_unregister" },
	{ 0x56a719f2, "seq_putc" },
	{ 0x9780ae03, "iommu_sva_unbind_device" },
	{ 0xee672802, "sbitmap_queue_clear" },
	{ 0x10119bb, "ida_free" },
	{ 0x3988e871, "iommu_alloc_global_pasid" },
	{ 0x7451b829, "perf_pmu_unregister" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "idxd_bus");

MODULE_ALIAS("pci:v00008086d00000B25sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000011FBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001212sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000CFEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001216sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "52C579B39FD63E065B534AB");

MODULE_INFO(suserelease, "SLFO-1.2");
