#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(__tracepoint_isoc_inbound_single_completions, "_gpl", "");
KSYMTAB_FUNC(__traceiter_isoc_inbound_single_completions, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_isoc_inbound_single_completions, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_isoc_inbound_single_completions, "_gpl", "");
KSYMTAB_DATA(__tracepoint_isoc_inbound_multiple_completions, "_gpl", "");
KSYMTAB_FUNC(__traceiter_isoc_inbound_multiple_completions, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_isoc_inbound_multiple_completions, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_isoc_inbound_multiple_completions, "_gpl", "");
KSYMTAB_DATA(__tracepoint_isoc_outbound_completions, "_gpl", "");
KSYMTAB_FUNC(__traceiter_isoc_outbound_completions, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_isoc_outbound_completions, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_isoc_outbound_completions, "_gpl", "");
KSYMTAB_FUNC(fw_core_add_descriptor, "", "");
KSYMTAB_FUNC(fw_core_remove_descriptor, "", "");
KSYMTAB_FUNC(fw_schedule_bus_reset, "", "");
KSYMTAB_FUNC(fw_card_initialize, "", "");
KSYMTAB_FUNC(fw_card_add, "", "");
KSYMTAB_FUNC(fw_card_release, "_gpl", "");
KSYMTAB_FUNC(fw_core_remove_card, "", "");
KSYMTAB_FUNC(fw_card_read_cycle_time, "_gpl", "");
KSYMTAB_FUNC(fw_csr_iterator_init, "", "");
KSYMTAB_FUNC(fw_csr_iterator_next, "", "");
KSYMTAB_FUNC(fw_csr_string, "", "");
KSYMTAB_DATA(fw_bus_type, "", "");
KSYMTAB_FUNC(fw_device_enable_phys_dma, "", "");
KSYMTAB_DATA(fw_workqueue, "", "");
KSYMTAB_FUNC(fw_iso_buffer_init, "", "");
KSYMTAB_FUNC(fw_iso_buffer_destroy, "", "");
KSYMTAB_FUNC(fw_iso_context_create, "", "");
KSYMTAB_FUNC(fw_iso_context_destroy, "", "");
KSYMTAB_FUNC(fw_iso_context_start, "", "");
KSYMTAB_FUNC(fw_iso_context_queue, "", "");
KSYMTAB_FUNC(fw_iso_context_queue_flush, "", "");
KSYMTAB_FUNC(fw_iso_context_flush_completions, "", "");
KSYMTAB_FUNC(fw_iso_context_stop, "", "");
KSYMTAB_FUNC(fw_iso_resource_manage, "", "");
KSYMTAB_FUNC(fw_core_handle_bus_reset, "", "");
KSYMTAB_FUNC(fw_cancel_transaction, "", "");
KSYMTAB_FUNC(__fw_send_request, "_gpl", "");
KSYMTAB_FUNC(fw_run_transaction, "", "");
KSYMTAB_DATA(fw_high_memory_region, "", "");
KSYMTAB_FUNC(fw_core_add_address_handler, "", "");
KSYMTAB_FUNC(fw_core_remove_address_handler, "", "");
KSYMTAB_FUNC(fw_fill_response, "", "");
KSYMTAB_FUNC(fw_send_response, "", "");
KSYMTAB_FUNC(fw_get_request_speed, "", "");
KSYMTAB_FUNC(fw_request_get_timestamp, "_gpl", "");
KSYMTAB_FUNC(fw_core_handle_request, "", "");
KSYMTAB_FUNC(fw_core_handle_response, "", "");
KSYMTAB_FUNC(fw_rcode_string, "", "");

SYMBOL_CRC(__tracepoint_isoc_inbound_single_completions, 0x6912738f, "_gpl");
SYMBOL_CRC(__traceiter_isoc_inbound_single_completions, 0xc251f9a2, "_gpl");
SYMBOL_CRC(__SCK__tp_func_isoc_inbound_single_completions, 0xdc1db8fa, "_gpl");
SYMBOL_CRC(__SCT__tp_func_isoc_inbound_single_completions, 0x5509028e, "_gpl");
SYMBOL_CRC(__tracepoint_isoc_inbound_multiple_completions, 0x54e71162, "_gpl");
SYMBOL_CRC(__traceiter_isoc_inbound_multiple_completions, 0x1c421a86, "_gpl");
SYMBOL_CRC(__SCK__tp_func_isoc_inbound_multiple_completions, 0x0a1932e6, "_gpl");
SYMBOL_CRC(__SCT__tp_func_isoc_inbound_multiple_completions, 0x911b18c0, "_gpl");
SYMBOL_CRC(__tracepoint_isoc_outbound_completions, 0x0fafe0b8, "_gpl");
SYMBOL_CRC(__traceiter_isoc_outbound_completions, 0xae0ad0de, "_gpl");
SYMBOL_CRC(__SCK__tp_func_isoc_outbound_completions, 0x9888abfd, "_gpl");
SYMBOL_CRC(__SCT__tp_func_isoc_outbound_completions, 0x37573b5f, "_gpl");
SYMBOL_CRC(fw_core_add_descriptor, 0x3a771e39, "");
SYMBOL_CRC(fw_core_remove_descriptor, 0x0bc6094c, "");
SYMBOL_CRC(fw_schedule_bus_reset, 0x8c04ee50, "");
SYMBOL_CRC(fw_card_initialize, 0x9966b6d5, "");
SYMBOL_CRC(fw_card_add, 0x4f2cc2a4, "");
SYMBOL_CRC(fw_card_release, 0xe86fb5c7, "_gpl");
SYMBOL_CRC(fw_core_remove_card, 0xfa3ec12d, "");
SYMBOL_CRC(fw_card_read_cycle_time, 0x378d31c6, "_gpl");
SYMBOL_CRC(fw_csr_iterator_init, 0xe80e5087, "");
SYMBOL_CRC(fw_csr_iterator_next, 0xe3fde125, "");
SYMBOL_CRC(fw_csr_string, 0x6dc50487, "");
SYMBOL_CRC(fw_bus_type, 0x223d110a, "");
SYMBOL_CRC(fw_device_enable_phys_dma, 0xee76b85c, "");
SYMBOL_CRC(fw_workqueue, 0x3c56ef91, "");
SYMBOL_CRC(fw_iso_buffer_init, 0x93e0a5aa, "");
SYMBOL_CRC(fw_iso_buffer_destroy, 0xd87057ad, "");
SYMBOL_CRC(fw_iso_context_create, 0x969162bb, "");
SYMBOL_CRC(fw_iso_context_destroy, 0xde00e853, "");
SYMBOL_CRC(fw_iso_context_start, 0xaac42d6e, "");
SYMBOL_CRC(fw_iso_context_queue, 0x35d95456, "");
SYMBOL_CRC(fw_iso_context_queue_flush, 0x1d50da97, "");
SYMBOL_CRC(fw_iso_context_flush_completions, 0x30748622, "");
SYMBOL_CRC(fw_iso_context_stop, 0x4f841dab, "");
SYMBOL_CRC(fw_iso_resource_manage, 0x8837d889, "");
SYMBOL_CRC(fw_core_handle_bus_reset, 0x1b55baff, "");
SYMBOL_CRC(fw_cancel_transaction, 0xc39723cf, "");
SYMBOL_CRC(__fw_send_request, 0x82fb7204, "_gpl");
SYMBOL_CRC(fw_run_transaction, 0x7ae2b237, "");
SYMBOL_CRC(fw_high_memory_region, 0xaedf84ce, "");
SYMBOL_CRC(fw_core_add_address_handler, 0xde8d6aa0, "");
SYMBOL_CRC(fw_core_remove_address_handler, 0x51f09f25, "");
SYMBOL_CRC(fw_fill_response, 0x039ae560, "");
SYMBOL_CRC(fw_send_response, 0x2fbbe131, "");
SYMBOL_CRC(fw_get_request_speed, 0x2885fec5, "");
SYMBOL_CRC(fw_request_get_timestamp, 0xabb5547d, "_gpl");
SYMBOL_CRC(fw_core_handle_request, 0xafb5f25d, "");
SYMBOL_CRC(fw_core_handle_response, 0xb3d690bf, "");
SYMBOL_CRC(fw_rcode_string, 0x86468d44, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc3359801, "device_find_child" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x11089ac7, "_ctype" },
	{ 0xa3eb5274, "device_register" },
	{ 0x57a45346, "bpf_trace_run1" },
	{ 0x643549e2, "bpf_trace_run9" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x9fb64856, "down_read" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2e20e6c0, "nonseekable_open" },
	{ 0x918431c7, "xa_erase" },
	{ 0xcb67b626, "bpf_trace_run3" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x27a7a36e, "trace_event_buffer_reserve" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0xdfcc992c, "current_work" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf01d993d, "xa_destroy" },
	{ 0xfea41449, "xa_find" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x7c3d6aba, "__register_chrdev" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc398603b, "kobject_uevent" },
	{ 0xbd6ee8cc, "alloc_pages_noprof" },
	{ 0xa256d729, "xa_find_after" },
	{ 0x9a34a2b, "crc_itu_t" },
	{ 0xac3d9895, "bpf_trace_run7" },
	{ 0x2fcd39bf, "vm_map_pages_zero" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xb570b5d7, "up_read" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xddbd0482, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x8df82a4c, "trace_print_array_seq" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x1d337321, "bpf_trace_run4" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x2f3a5d87, "enable_work" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x50707f9c, "dev_set_name" },
	{ 0xcecf8b41, "trace_output_call" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xa11a97c1, "trace_raw_output_prep" },
	{ 0xa5040375, "bpf_trace_run6" },
	{ 0x9668568f, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xb07d43ee, "__trace_trigger_soft_disabled" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0xb51d11a4, "dma_unmap_page_attrs" },
	{ 0xdf4574bf, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4628038c, "device_initialize" },
	{ 0x549dee85, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xefb18d5e, "device_for_each_child" },
	{ 0xd0d9d74c, "bpf_trace_run2" },
	{ 0x3416d62c, "prepare_to_wait_event" },
	{ 0xf6491531, "__wake_up" },
	{ 0x8576e767, "get_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x77188b5d, "trace_event_buffer_commit" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x28ba6fe1, "dma_map_page_attrs" },
	{ 0xd66c8184, "add_device_randomness" },
	{ 0x92997ed8, "_printk" },
	{ 0x176e4952, "disable_work_sync" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x9d3d08f0, "put_device" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0x6cb3aac, "__free_pages" },
	{ 0x7228ccc9, "compat_ptr_ioctl" },
	{ 0x75a54147, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x7ec56c70, "perf_trace_run_bpf_submit" },
	{ 0x12cb1804, "bus_unregister" },
	{ 0xba0efd1f, "down_write" },
	{ 0x209b8854, "up_write" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x9907f28, "device_add" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xb9b31de8, "xa_load" },
	{ 0x7ff53d0f, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x658574f4, "trace_event_reg" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "crc-itu-t");


MODULE_INFO(srcversion, "7AE200516850BF99B79363F");

MODULE_INFO(suserelease, "SLFO-1.2");
