#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cs_dsp_mem_region_name, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_init_debugfs, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_cleanup_debugfs, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_write_acked_control, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_write_ctrl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_lock_and_write_ctrl, "_gpl", "");
KSYMTAB_FUNC(cs_dsp_coeff_read_ctrl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_lock_and_read_ctrl, "_gpl", "");
KSYMTAB_FUNC(cs_dsp_get_ctl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_find_alg_region, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_power_up, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_power_down, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_set_dspclk, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_power_up, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_power_down, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_run, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_stop, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp2_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_remove, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_read_raw_data_block, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_read_data_word, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_write_data_word, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_remove_padding, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp2_bus_error, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_bus_error, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_wdt_expire, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_write, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_flush, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_read, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_wseq_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_wseq_write, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_wseq_multi_write, "_gpl", "FW_CS_DSP");

SYMBOL_CRC(cs_dsp_mem_region_name, 0x144d6986, "_gpl");
SYMBOL_CRC(cs_dsp_init_debugfs, 0x8cb1cf16, "_gpl");
SYMBOL_CRC(cs_dsp_cleanup_debugfs, 0x7a5abfec, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_write_acked_control, 0x0daf0159, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_write_ctrl, 0x3f0b2f2f, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_lock_and_write_ctrl, 0xa883f0b6, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_read_ctrl, 0x4d0baa72, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_lock_and_read_ctrl, 0xee692f69, "_gpl");
SYMBOL_CRC(cs_dsp_get_ctl, 0x0b2116e9, "_gpl");
SYMBOL_CRC(cs_dsp_find_alg_region, 0x6e25f403, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_init, 0xa0edbf7d, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_power_up, 0x112a861a, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_power_down, 0xcfa49f27, "_gpl");
SYMBOL_CRC(cs_dsp_set_dspclk, 0x76023ac6, "_gpl");
SYMBOL_CRC(cs_dsp_power_up, 0xa718d017, "_gpl");
SYMBOL_CRC(cs_dsp_power_down, 0x1e143911, "_gpl");
SYMBOL_CRC(cs_dsp_run, 0xbe50d96d, "_gpl");
SYMBOL_CRC(cs_dsp_stop, 0x1f5a7c00, "_gpl");
SYMBOL_CRC(cs_dsp_adsp2_init, 0x879b0969, "_gpl");
SYMBOL_CRC(cs_dsp_halo_init, 0xdf0d66e9, "_gpl");
SYMBOL_CRC(cs_dsp_remove, 0x5868d5b0, "_gpl");
SYMBOL_CRC(cs_dsp_read_raw_data_block, 0x762c7212, "_gpl");
SYMBOL_CRC(cs_dsp_read_data_word, 0x8c1aef7d, "_gpl");
SYMBOL_CRC(cs_dsp_write_data_word, 0x3163cc7f, "_gpl");
SYMBOL_CRC(cs_dsp_remove_padding, 0x4e5562f8, "_gpl");
SYMBOL_CRC(cs_dsp_adsp2_bus_error, 0xf989afa9, "_gpl");
SYMBOL_CRC(cs_dsp_halo_bus_error, 0xd84c60ba, "_gpl");
SYMBOL_CRC(cs_dsp_halo_wdt_expire, 0x342f73f8, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_write, 0x6e0cce2d, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_flush, 0x9e324cb0, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_read, 0xb6c0d9e7, "_gpl");
SYMBOL_CRC(cs_dsp_wseq_init, 0x16139d08, "_gpl");
SYMBOL_CRC(cs_dsp_wseq_write, 0xb052423d, "_gpl");
SYMBOL_CRC(cs_dsp_wseq_multi_write, 0x70e580fb, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0x9a73e1e2, "regmap_raw_write" },
	{ 0x6761bb6a, "regmap_raw_read" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x37a0cba, "kfree" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x69acdf38, "memcpy" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5a921311, "strncmp" },
	{ 0x29f8f608, "regmap_read" },
	{ 0x71b12b37, "_dev_info" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x2c56a64a, "regmap_update_bits_base" },
	{ 0xf118ab39, "regmap_write" },
	{ 0x3e39abe4, "regmap_multi_reg_write" },
	{ 0x651b3fa2, "regmap_bulk_read" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x792c9efe, "devm_kasprintf" },
	{ 0xa916b694, "strnlen" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x6de67898, "debugfs_remove" },
	{ 0x999e8297, "vfree" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x3cb06817, "devm_kmalloc" },
	{ 0xec083b74, "devm_kfree" },
	{ 0x2e4f415b, "seq_lseek" },
	{ 0x4a38d9f7, "seq_read" },
	{ 0x8d8b2fb3, "single_release" },
	{ 0x5a0f8bd0, "simple_open" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd20f3ddd, "debugfs_create_dir" },
	{ 0xf933d48, "debugfs_create_bool" },
	{ 0x1a223d87, "debugfs_create_x32" },
	{ 0x8ae718dd, "debugfs_create_file_full" },
	{ 0x495b28e9, "single_open" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x7ad7a5cd, "seq_printf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x754d539c, "strlen" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "ADA90915DF3710A0C45C3EA");

MODULE_INFO(suserelease, "SLFO-1.2");
