#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(fpga_image_info_alloc, "_gpl", "");
KSYMTAB_FUNC(fpga_image_info_free, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_load, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_get, "_gpl", "");
KSYMTAB_FUNC(of_fpga_mgr_get, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_put, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_lock, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_unlock, "_gpl", "");
KSYMTAB_FUNC(__fpga_mgr_register_full, "_gpl", "");
KSYMTAB_FUNC(__fpga_mgr_register, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_unregister, "_gpl", "");
KSYMTAB_FUNC(__devm_fpga_mgr_register_full, "_gpl", "");
KSYMTAB_FUNC(__devm_fpga_mgr_register, "_gpl", "");

SYMBOL_CRC(fpga_image_info_alloc, 0xa6a3d11f, "_gpl");
SYMBOL_CRC(fpga_image_info_free, 0xaff35385, "_gpl");
SYMBOL_CRC(fpga_mgr_load, 0x3de9b208, "_gpl");
SYMBOL_CRC(fpga_mgr_get, 0x4a80fd38, "_gpl");
SYMBOL_CRC(of_fpga_mgr_get, 0x735d4316, "_gpl");
SYMBOL_CRC(fpga_mgr_put, 0x788a4d8d, "_gpl");
SYMBOL_CRC(fpga_mgr_lock, 0x164a5995, "_gpl");
SYMBOL_CRC(fpga_mgr_unlock, 0xe1052e52, "_gpl");
SYMBOL_CRC(__fpga_mgr_register_full, 0xbf44cfdb, "_gpl");
SYMBOL_CRC(__fpga_mgr_register, 0x8468ebd7, "_gpl");
SYMBOL_CRC(fpga_mgr_unregister, 0x305df6d4, "_gpl");
SYMBOL_CRC(__devm_fpga_mgr_register_full, 0xc8d59804, "_gpl");
SYMBOL_CRC(__devm_fpga_mgr_register, 0xbbbabfe8, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8576e767, "get_device" },
	{ 0x3cb06817, "devm_kmalloc" },
	{ 0x9d3d08f0, "put_device" },
	{ 0xec083b74, "devm_kfree" },
	{ 0xf3e2f234, "sg_miter_start" },
	{ 0x604cf6ce, "sg_miter_next" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2ca41212, "sg_miter_stop" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc8240d31, "_dev_err" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0x37a0cba, "kfree" },
	{ 0x10119bb, "ida_free" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4668e7ed, "device_match_of_node" },
	{ 0x8e4b8288, "class_find_device" },
	{ 0x4e5daa9a, "try_module_get" },
	{ 0x7276b73a, "module_put" },
	{ 0x25531590, "mutex_trylock" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x71b12b37, "_dev_info" },
	{ 0x9668568f, "device_unregister" },
	{ 0x92997ed8, "_printk" },
	{ 0xb3d2d914, "class_register" },
	{ 0xafc20114, "class_unregister" },
	{ 0x7dd6c90e, "ida_destroy" },
	{ 0x754d539c, "strlen" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xa2429ab9, "ida_alloc_range" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x50707f9c, "dev_set_name" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xa3eb5274, "device_register" },
	{ 0x19c290ca, "__devres_alloc_node" },
	{ 0xcee82587, "devres_add" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x3455a707, "sg_miter_skip" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x6f7382ed, "vmalloc_to_page" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x9978f9c1, "sg_alloc_table_from_pages_segment" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xacf7e913, "request_firmware" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "BFF17D5F207ADE6D0FB5855");

MODULE_INFO(suserelease, "SLFO-1.2");
