#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(analogix_dp_probe, "_gpl", "");
KSYMTAB_FUNC(analogix_dp_suspend, "_gpl", "");
KSYMTAB_FUNC(analogix_dp_resume, "_gpl", "");
KSYMTAB_FUNC(analogix_dp_bind, "_gpl", "");
KSYMTAB_FUNC(analogix_dp_unbind, "_gpl", "");
KSYMTAB_FUNC(analogix_dp_start_crc, "_gpl", "");
KSYMTAB_FUNC(analogix_dp_stop_crc, "_gpl", "");
KSYMTAB_FUNC(anx_dp_aux_transfer, "_gpl", "");

SYMBOL_CRC(analogix_dp_probe, 0x92a8d043, "_gpl");
SYMBOL_CRC(analogix_dp_suspend, 0xd1031fa8, "_gpl");
SYMBOL_CRC(analogix_dp_resume, 0x9e62dc3a, "_gpl");
SYMBOL_CRC(analogix_dp_bind, 0x206bb4d8, "_gpl");
SYMBOL_CRC(analogix_dp_unbind, 0x31cbd552, "_gpl");
SYMBOL_CRC(analogix_dp_start_crc, 0x92178e59, "_gpl");
SYMBOL_CRC(analogix_dp_stop_crc, 0xa9f5814d, "_gpl");
SYMBOL_CRC(anx_dp_aux_transfer, 0x3ee0dd60, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x397c3d27, "drm_edid_free" },
	{ 0x89e59e9, "gpiod_to_irq" },
	{ 0xc0d9d76c, "drm_helper_hpd_irq_event" },
	{ 0x1dc20c25, "drm_atomic_get_old_connector_for_encoder" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x7c1ce3e5, "gpiod_get_value" },
	{ 0xc435d824, "devm_gpiod_get_optional" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0xd0abf4d4, "devm_clk_get" },
	{ 0xff00a2d6, "drm_atomic_helper_bridge_reset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc3041150, "drm_connector_attach_encoder" },
	{ 0x9cb34e32, "drm_atomic_get_new_connector_for_encoder" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xb6212414, "drm_edid_connector_update" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6d93b33b, "pm_runtime_enable" },
	{ 0x362076f1, "drm_atomic_helper_connector_destroy_state" },
	{ 0x2a095cd9, "drm_dev_printk" },
	{ 0x6d0bfa28, "drm_dp_stop_crc" },
	{ 0xd78e61e7, "drm_panel_disable" },
	{ 0x30a06481, "drm_connector_init" },
	{ 0xc8240d31, "_dev_err" },
	{ 0xb325dee5, "drm_dp_aux_unregister" },
	{ 0x7540a8a6, "drm_edid_connector_add_modes" },
	{ 0x1805d731, "platform_get_resource" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xaa8c325b, "phy_power_on" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf4ba863, "drm_atomic_helper_connector_duplicate_state" },
	{ 0xc8a2bb32, "phy_power_off" },
	{ 0x2b84c75, "drm_connector_cleanup" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x29f8f608, "regmap_read" },
	{ 0xf9cb5625, "regmap_bulk_write" },
	{ 0x1068323d, "drm_atomic_helper_bridge_destroy_state" },
	{ 0xd5dcc637, "__pm_runtime_resume" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x733722d0, "devm_ioremap_resource" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x651b3fa2, "regmap_bulk_read" },
	{ 0xc82c2d8f, "drm_helper_probe_single_connector_modes" },
	{ 0x824dc22f, "drm_panel_prepare" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x54966ce9, "drm_match_cea_mode" },
	{ 0x3f92ddf6, "drm_bridge_attach" },
	{ 0x2c56a64a, "regmap_update_bits_base" },
	{ 0x463912c, "drm_atomic_helper_connector_reset" },
	{ 0xdf0614a1, "__pm_runtime_suspend" },
	{ 0x972fec3a, "__pm_runtime_use_autosuspend" },
	{ 0x35b3d65, "devm_phy_get" },
	{ 0x79804b56, "drm_atomic_helper_bridge_duplicate_state" },
	{ 0xf40beb46, "__pm_runtime_disable" },
	{ 0x815588a6, "clk_enable" },
	{ 0x5106cdda, "drm_dp_dpcd_write" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0xfaca062e, "drm_panel_unprepare" },
	{ 0x66ebde19, "__pm_runtime_idle" },
	{ 0x42b30e79, "drm_edid_read_ddc" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xa6cdbd94, "drm_dp_start_crc" },
	{ 0xa996b48a, "drm_panel_get_modes" },
	{ 0xf118ab39, "regmap_write" },
	{ 0xd0934899, "devm_request_threaded_irq" },
	{ 0xbcebfbe5, "drm_dp_aux_register" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x3cb06817, "devm_kmalloc" },
	{ 0x1f42ba1f, "drm_dp_dpcd_read" },
	{ 0xd4bec6a1, "drm_panel_enable" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x2ba3cbe5, "platform_get_irq" },
	{ 0xf42ab0a3, "pm_runtime_set_autosuspend_delay" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "drm_display_helper");


MODULE_INFO(srcversion, "C91821136827AFD0A14DC63");

MODULE_INFO(suserelease, "SLFO-1.2");
