#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drm_dp_dual_mode_read, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_write, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_detect, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_max_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_get_tmds_output, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_set_tmds_output, "", "");
KSYMTAB_FUNC(drm_dp_get_dual_mode_type_name, "", "");
KSYMTAB_FUNC(drm_lspcon_get_mode, "", "");
KSYMTAB_FUNC(drm_lspcon_set_mode, "", "");
KSYMTAB_FUNC(drm_dp_channel_eq_ok, "", "");
KSYMTAB_FUNC(drm_dp_clock_recovery_ok, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_request_voltage, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_request_pre_emphasis, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_tx_ffe_preset, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_lane_channel_eq_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_lane_symbol_locked, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_eq_interlane_align_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_cds_interlane_align_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_link_training_failed, "", "");
KSYMTAB_FUNC(drm_dp_read_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_read_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_read_aux_rd_interval, "", "");
KSYMTAB_FUNC(drm_dp_link_train_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_link_train_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_phy_name, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_link_train_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_link_train_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_link_rate_to_bw_code, "", "");
KSYMTAB_FUNC(drm_dp_bw_code_to_link_rate, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_probe, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_set_powered, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_write, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read_link_status, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read_phy_link_status, "", "");
KSYMTAB_FUNC(drm_dp_downstream_is_type, "", "");
KSYMTAB_FUNC(drm_dp_downstream_is_tmds, "", "");
KSYMTAB_FUNC(drm_dp_send_real_edid_checksum, "", "");
KSYMTAB_FUNC(drm_dp_read_dpcd_caps, "", "");
KSYMTAB_FUNC(drm_dp_read_downstream_info, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_dotclock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_min_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_bpc, "", "");
KSYMTAB_FUNC(drm_dp_downstream_420_passthrough, "", "");
KSYMTAB_FUNC(drm_dp_downstream_444_to_420_conversion, "", "");
KSYMTAB_FUNC(drm_dp_downstream_rgb_to_ycbcr_conversion, "", "");
KSYMTAB_FUNC(drm_dp_downstream_mode, "", "");
KSYMTAB_FUNC(drm_dp_downstream_id, "", "");
KSYMTAB_FUNC(drm_dp_downstream_debug, "", "");
KSYMTAB_FUNC(drm_dp_subconnector_type, "", "");
KSYMTAB_FUNC(drm_dp_set_subconnector_property, "", "");
KSYMTAB_FUNC(drm_dp_read_sink_count_cap, "", "");
KSYMTAB_FUNC(drm_dp_read_sink_count, "", "");
KSYMTAB_FUNC(drm_dp_remote_aux_init, "", "");
KSYMTAB_FUNC(drm_dp_aux_init, "", "");
KSYMTAB_FUNC(drm_dp_aux_register, "", "");
KSYMTAB_FUNC(drm_dp_aux_unregister, "", "");
KSYMTAB_FUNC(drm_dp_psr_setup_time, "", "");
KSYMTAB_FUNC(drm_dp_start_crc, "", "");
KSYMTAB_FUNC(drm_dp_stop_crc, "", "");
KSYMTAB_FUNC(drm_dp_read_desc, "", "");
KSYMTAB_FUNC(drm_dp_dump_lttpr_desc, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_bpp_incr, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_max_slice_count, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_line_buf_depth, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_supported_input_bpcs, "", "");
KSYMTAB_FUNC(drm_dp_read_lttpr_common_caps, "", "");
KSYMTAB_FUNC(drm_dp_read_lttpr_phy_caps, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_count, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_max_link_rate, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_max_lane_count, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_voltage_swing_level_3_supported, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_pre_emphasis_level_3_supported, "", "");
KSYMTAB_FUNC(drm_dp_get_phy_test_pattern, "", "");
KSYMTAB_FUNC(drm_dp_set_phy_test_pattern, "", "");
KSYMTAB_FUNC(drm_dp_vsc_sdp_log, "", "");
KSYMTAB_FUNC(drm_dp_as_sdp_log, "", "");
KSYMTAB_FUNC(drm_dp_as_sdp_supported, "", "");
KSYMTAB_FUNC(drm_dp_vsc_sdp_supported, "", "");
KSYMTAB_FUNC(drm_dp_vsc_sdp_pack, "", "");
KSYMTAB_FUNC(drm_dp_get_pcon_max_frl_bw, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_prepare, "", "");
KSYMTAB_FUNC(drm_dp_pcon_is_frl_ready, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_configure_1, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_configure_2, "", "");
KSYMTAB_FUNC(drm_dp_pcon_reset_frl_config, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_enable, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_link_active, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_link_mode, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_frl_link_error_count, "", "");
KSYMTAB_FUNC(drm_dp_pcon_enc_is_dsc_1_2, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_max_slices, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_max_slice_width, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_bpp_incr, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_default, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_override_buf, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_override_param, "", "");
KSYMTAB_FUNC(drm_dp_pcon_convert_rgb_to_ycbcr, "", "");
KSYMTAB_FUNC(drm_edp_backlight_set_level, "", "");
KSYMTAB_FUNC(drm_edp_backlight_enable, "", "");
KSYMTAB_FUNC(drm_edp_backlight_disable, "", "");
KSYMTAB_FUNC(drm_edp_backlight_init, "", "");
KSYMTAB_FUNC(drm_panel_dp_aux_backlight, "", "");
KSYMTAB_FUNC(drm_dp_bw_overhead, "", "");
KSYMTAB_FUNC(drm_dp_bw_channel_coding_efficiency, "", "");
KSYMTAB_FUNC(drm_dp_max_dprx_data_rate, "", "");
KSYMTAB_FUNC(drm_dp_mst_get_port_malloc, "", "");
KSYMTAB_FUNC(drm_dp_mst_put_port_malloc, "", "");
KSYMTAB_FUNC(drm_atomic_get_mst_payload_state, "", "");
KSYMTAB_FUNC(drm_dp_mst_connector_late_register, "", "");
KSYMTAB_FUNC(drm_dp_mst_connector_early_unregister, "", "");
KSYMTAB_FUNC(drm_dp_send_power_updown_phy, "", "");
KSYMTAB_FUNC(drm_dp_send_query_stream_enc_status, "", "");
KSYMTAB_FUNC(drm_dp_add_payload_part1, "", "");
KSYMTAB_FUNC(drm_dp_remove_payload_part1, "", "");
KSYMTAB_FUNC(drm_dp_remove_payload_part2, "", "");
KSYMTAB_FUNC(drm_dp_add_payload_part2, "", "");
KSYMTAB_FUNC(drm_dp_get_vc_payload_bw, "", "");
KSYMTAB_FUNC(drm_dp_read_mst_cap, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_set_mst, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_queue_probe, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_suspend, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_resume, "", "");
KSYMTAB_FUNC(drm_dp_mst_hpd_irq_handle_event, "", "");
KSYMTAB_FUNC(drm_dp_mst_hpd_irq_send_new_request, "", "");
KSYMTAB_FUNC(drm_dp_mst_detect_port, "", "");
KSYMTAB_FUNC(drm_dp_mst_edid_read, "", "");
KSYMTAB_FUNC(drm_dp_mst_get_edid, "", "");
KSYMTAB_FUNC(drm_dp_atomic_find_time_slots, "", "");
KSYMTAB_FUNC(drm_dp_atomic_release_time_slots, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_setup_commit, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_dp_mst_root_conn_atomic_check, "", "");
KSYMTAB_FUNC(drm_dp_mst_update_slots, "", "");
KSYMTAB_FUNC(drm_dp_check_act_status, "", "");
KSYMTAB_FUNC(drm_dp_calc_pbn_mode, "", "");
KSYMTAB_FUNC(drm_dp_mst_dump_topology, "", "");
KSYMTAB_FUNC(drm_dp_mst_port_downstream_of_parent, "", "");
KSYMTAB_FUNC(drm_dp_mst_add_affected_dsc_crtcs, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_enable_dsc, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_check_mgr, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_check, "", "");
KSYMTAB_DATA(drm_dp_mst_topology_state_funcs, "", "");
KSYMTAB_FUNC(drm_atomic_get_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_init, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_destroy, "", "");
KSYMTAB_FUNC(drm_dp_mst_aux_for_parent, "", "");
KSYMTAB_FUNC(drm_dp_mst_dsc_aux_for_port, "", "");
KSYMTAB_FUNC(drm_dsc_dp_pps_header_init, "", "");
KSYMTAB_FUNC(drm_dsc_dp_rc_buffer_size, "", "");
KSYMTAB_FUNC(drm_dsc_pps_payload_pack, "", "");
KSYMTAB_FUNC(drm_dsc_set_const_params, "", "");
KSYMTAB_FUNC(drm_dsc_set_rc_buf_thresh, "", "");
KSYMTAB_FUNC(drm_dsc_setup_rc_params, "", "");
KSYMTAB_FUNC(drm_dsc_compute_rc_parameters, "", "");
KSYMTAB_FUNC(drm_dsc_get_bpp_int, "", "");
KSYMTAB_FUNC(drm_dsc_initial_scale_value, "", "");
KSYMTAB_FUNC(drm_dsc_flatness_det_thresh, "", "");
KSYMTAB_FUNC(drm_dsc_dump_config, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_name, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_get, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_put, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_set_io_error, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_detect, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_destroy, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_enable_bw_alloc, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_disable_bw_alloc, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_bw_alloc_is_enabled, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_alloc_bw, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_get_allocated_bw, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_update_state, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_handle_irq, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_max_dprx_rate, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_max_dprx_lane_count, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_available_bw, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_atomic_get_state, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_atomic_get_old_state, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_atomic_get_new_state, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_atomic_set_stream_bw, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_atomic_get_required_bw, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_atomic_get_group_streams_in_state, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_atomic_check_stream_bws, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_mgr_create, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_mgr_destroy, "", "");
KSYMTAB_FUNC(drm_hdcp_check_ksvs_revoked, "_gpl", "");
KSYMTAB_FUNC(drm_connector_attach_content_protection_property, "", "");
KSYMTAB_FUNC(drm_hdcp_update_content_protection, "", "");
KSYMTAB_FUNC(drm_hdmi_infoframe_set_hdr_metadata, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_colorimetry, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_bars, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_content_type, "", "");
KSYMTAB_FUNC(drm_hdmi_compute_mode_clock, "", "");
KSYMTAB_FUNC(drm_scdc_read, "", "");
KSYMTAB_FUNC(drm_scdc_write, "", "");
KSYMTAB_FUNC(drm_scdc_get_scrambling_status, "", "");
KSYMTAB_FUNC(drm_scdc_set_scrambling, "", "");
KSYMTAB_FUNC(drm_scdc_set_high_tmds_clock_ratio, "", "");
KSYMTAB_FUNC(drm_dp_cec_irq, "", "");
KSYMTAB_FUNC(drm_dp_cec_attach, "", "");
KSYMTAB_FUNC(drm_dp_cec_set_edid, "", "");
KSYMTAB_FUNC(drm_dp_cec_unset_edid, "", "");
KSYMTAB_FUNC(drm_dp_cec_register_connector, "", "");
KSYMTAB_FUNC(drm_dp_cec_unregister_connector, "", "");

SYMBOL_CRC(drm_dp_dual_mode_read, 0x2281cf0c, "");
SYMBOL_CRC(drm_dp_dual_mode_write, 0x1c859c41, "");
SYMBOL_CRC(drm_dp_dual_mode_detect, 0x7ff77592, "");
SYMBOL_CRC(drm_dp_dual_mode_max_tmds_clock, 0x6527c16c, "");
SYMBOL_CRC(drm_dp_dual_mode_get_tmds_output, 0xc59b255d, "");
SYMBOL_CRC(drm_dp_dual_mode_set_tmds_output, 0xc834e468, "");
SYMBOL_CRC(drm_dp_get_dual_mode_type_name, 0x5407ae9e, "");
SYMBOL_CRC(drm_lspcon_get_mode, 0x7ce5aea3, "");
SYMBOL_CRC(drm_lspcon_set_mode, 0x511bd26f, "");
SYMBOL_CRC(drm_dp_channel_eq_ok, 0xedcf81ce, "");
SYMBOL_CRC(drm_dp_clock_recovery_ok, 0x8d701329, "");
SYMBOL_CRC(drm_dp_get_adjust_request_voltage, 0xc5c99a79, "");
SYMBOL_CRC(drm_dp_get_adjust_request_pre_emphasis, 0x582f248e, "");
SYMBOL_CRC(drm_dp_get_adjust_tx_ffe_preset, 0xccf54d5e, "");
SYMBOL_CRC(drm_dp_128b132b_lane_channel_eq_done, 0xc8b6a8ae, "");
SYMBOL_CRC(drm_dp_128b132b_lane_symbol_locked, 0xd5a95eae, "");
SYMBOL_CRC(drm_dp_128b132b_eq_interlane_align_done, 0x6a4df8c5, "");
SYMBOL_CRC(drm_dp_128b132b_cds_interlane_align_done, 0x92b9835e, "");
SYMBOL_CRC(drm_dp_128b132b_link_training_failed, 0x6aacee47, "");
SYMBOL_CRC(drm_dp_read_clock_recovery_delay, 0xa6f55422, "");
SYMBOL_CRC(drm_dp_read_channel_eq_delay, 0x2a6feb1d, "");
SYMBOL_CRC(drm_dp_128b132b_read_aux_rd_interval, 0xad49126e, "");
SYMBOL_CRC(drm_dp_link_train_clock_recovery_delay, 0x55d8fc39, "");
SYMBOL_CRC(drm_dp_link_train_channel_eq_delay, 0x2bb979c7, "");
SYMBOL_CRC(drm_dp_phy_name, 0x5a86f411, "");
SYMBOL_CRC(drm_dp_lttpr_link_train_clock_recovery_delay, 0x1709ddcf, "");
SYMBOL_CRC(drm_dp_lttpr_link_train_channel_eq_delay, 0x083699a6, "");
SYMBOL_CRC(drm_dp_link_rate_to_bw_code, 0x26815dbc, "");
SYMBOL_CRC(drm_dp_bw_code_to_link_rate, 0x73011db0, "");
SYMBOL_CRC(drm_dp_dpcd_probe, 0x38f55cec, "");
SYMBOL_CRC(drm_dp_dpcd_set_powered, 0x6ab4fce9, "");
SYMBOL_CRC(drm_dp_dpcd_read, 0x1f42ba1f, "");
SYMBOL_CRC(drm_dp_dpcd_write, 0x5106cdda, "");
SYMBOL_CRC(drm_dp_dpcd_read_link_status, 0x12de98d7, "");
SYMBOL_CRC(drm_dp_dpcd_read_phy_link_status, 0x7988554d, "");
SYMBOL_CRC(drm_dp_downstream_is_type, 0xc79ecffb, "");
SYMBOL_CRC(drm_dp_downstream_is_tmds, 0x10beff8d, "");
SYMBOL_CRC(drm_dp_send_real_edid_checksum, 0x86d66795, "");
SYMBOL_CRC(drm_dp_read_dpcd_caps, 0xebd0698f, "");
SYMBOL_CRC(drm_dp_read_downstream_info, 0x5cf116f4, "");
SYMBOL_CRC(drm_dp_downstream_max_dotclock, 0x392a838b, "");
SYMBOL_CRC(drm_dp_downstream_max_tmds_clock, 0x58b909f2, "");
SYMBOL_CRC(drm_dp_downstream_min_tmds_clock, 0x4dd8bc97, "");
SYMBOL_CRC(drm_dp_downstream_max_bpc, 0xe53574d3, "");
SYMBOL_CRC(drm_dp_downstream_420_passthrough, 0xf689ad25, "");
SYMBOL_CRC(drm_dp_downstream_444_to_420_conversion, 0x2fa94ef2, "");
SYMBOL_CRC(drm_dp_downstream_rgb_to_ycbcr_conversion, 0xfb1a7a5a, "");
SYMBOL_CRC(drm_dp_downstream_mode, 0x10bc319b, "");
SYMBOL_CRC(drm_dp_downstream_id, 0x242b9ff8, "");
SYMBOL_CRC(drm_dp_downstream_debug, 0x5b63f178, "");
SYMBOL_CRC(drm_dp_subconnector_type, 0xf68741fb, "");
SYMBOL_CRC(drm_dp_set_subconnector_property, 0x7ee29f6b, "");
SYMBOL_CRC(drm_dp_read_sink_count_cap, 0x83a6ddb7, "");
SYMBOL_CRC(drm_dp_read_sink_count, 0x0d87a93b, "");
SYMBOL_CRC(drm_dp_remote_aux_init, 0x64a5f683, "");
SYMBOL_CRC(drm_dp_aux_init, 0xe1b34f88, "");
SYMBOL_CRC(drm_dp_aux_register, 0xbcebfbe5, "");
SYMBOL_CRC(drm_dp_aux_unregister, 0xb325dee5, "");
SYMBOL_CRC(drm_dp_psr_setup_time, 0xa1fefe6a, "");
SYMBOL_CRC(drm_dp_start_crc, 0xa6cdbd94, "");
SYMBOL_CRC(drm_dp_stop_crc, 0x6d0bfa28, "");
SYMBOL_CRC(drm_dp_read_desc, 0xecaa04b9, "");
SYMBOL_CRC(drm_dp_dump_lttpr_desc, 0x88f6c61a, "");
SYMBOL_CRC(drm_dp_dsc_sink_bpp_incr, 0xf48bbedf, "");
SYMBOL_CRC(drm_dp_dsc_sink_max_slice_count, 0x829b6048, "");
SYMBOL_CRC(drm_dp_dsc_sink_line_buf_depth, 0x56a663e9, "");
SYMBOL_CRC(drm_dp_dsc_sink_supported_input_bpcs, 0xa843606e, "");
SYMBOL_CRC(drm_dp_read_lttpr_common_caps, 0x9b3c6c4c, "");
SYMBOL_CRC(drm_dp_read_lttpr_phy_caps, 0x2a17aef2, "");
SYMBOL_CRC(drm_dp_lttpr_count, 0xaf267620, "");
SYMBOL_CRC(drm_dp_lttpr_max_link_rate, 0x01c4bba9, "");
SYMBOL_CRC(drm_dp_lttpr_max_lane_count, 0x1605d0ed, "");
SYMBOL_CRC(drm_dp_lttpr_voltage_swing_level_3_supported, 0x1b0a1fdc, "");
SYMBOL_CRC(drm_dp_lttpr_pre_emphasis_level_3_supported, 0x76ff6644, "");
SYMBOL_CRC(drm_dp_get_phy_test_pattern, 0xee639a39, "");
SYMBOL_CRC(drm_dp_set_phy_test_pattern, 0x11674f7d, "");
SYMBOL_CRC(drm_dp_vsc_sdp_log, 0xf013835a, "");
SYMBOL_CRC(drm_dp_as_sdp_log, 0x6c847acf, "");
SYMBOL_CRC(drm_dp_as_sdp_supported, 0x76bdf4a9, "");
SYMBOL_CRC(drm_dp_vsc_sdp_supported, 0x3c043d68, "");
SYMBOL_CRC(drm_dp_vsc_sdp_pack, 0xb9234c4d, "");
SYMBOL_CRC(drm_dp_get_pcon_max_frl_bw, 0x7053fa72, "");
SYMBOL_CRC(drm_dp_pcon_frl_prepare, 0x47f38de5, "");
SYMBOL_CRC(drm_dp_pcon_is_frl_ready, 0xc52ee503, "");
SYMBOL_CRC(drm_dp_pcon_frl_configure_1, 0xa6c81b2e, "");
SYMBOL_CRC(drm_dp_pcon_frl_configure_2, 0xd4b7d3c1, "");
SYMBOL_CRC(drm_dp_pcon_reset_frl_config, 0xd9b29688, "");
SYMBOL_CRC(drm_dp_pcon_frl_enable, 0xa4951ff9, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_link_active, 0x18573c57, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_link_mode, 0xf1f4d9fe, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_frl_link_error_count, 0x3f262dda, "");
SYMBOL_CRC(drm_dp_pcon_enc_is_dsc_1_2, 0x59f27ed7, "");
SYMBOL_CRC(drm_dp_pcon_dsc_max_slices, 0xe5360b84, "");
SYMBOL_CRC(drm_dp_pcon_dsc_max_slice_width, 0xc020c0c1, "");
SYMBOL_CRC(drm_dp_pcon_dsc_bpp_incr, 0x4603c416, "");
SYMBOL_CRC(drm_dp_pcon_pps_default, 0x6cbd2b25, "");
SYMBOL_CRC(drm_dp_pcon_pps_override_buf, 0x79d546b9, "");
SYMBOL_CRC(drm_dp_pcon_pps_override_param, 0xba031ace, "");
SYMBOL_CRC(drm_dp_pcon_convert_rgb_to_ycbcr, 0x2f3e417a, "");
SYMBOL_CRC(drm_edp_backlight_set_level, 0x53e98820, "");
SYMBOL_CRC(drm_edp_backlight_enable, 0x6a53693b, "");
SYMBOL_CRC(drm_edp_backlight_disable, 0xce17131d, "");
SYMBOL_CRC(drm_edp_backlight_init, 0x44075665, "");
SYMBOL_CRC(drm_panel_dp_aux_backlight, 0x7681bfbb, "");
SYMBOL_CRC(drm_dp_bw_overhead, 0x3dc887bf, "");
SYMBOL_CRC(drm_dp_bw_channel_coding_efficiency, 0x0504c682, "");
SYMBOL_CRC(drm_dp_max_dprx_data_rate, 0x0f6b8a63, "");
SYMBOL_CRC(drm_dp_mst_get_port_malloc, 0x19907ff5, "");
SYMBOL_CRC(drm_dp_mst_put_port_malloc, 0x1261e526, "");
SYMBOL_CRC(drm_atomic_get_mst_payload_state, 0x8b11a782, "");
SYMBOL_CRC(drm_dp_mst_connector_late_register, 0xc8e06497, "");
SYMBOL_CRC(drm_dp_mst_connector_early_unregister, 0xdda1ccea, "");
SYMBOL_CRC(drm_dp_send_power_updown_phy, 0xb054ca08, "");
SYMBOL_CRC(drm_dp_send_query_stream_enc_status, 0x7311faf9, "");
SYMBOL_CRC(drm_dp_add_payload_part1, 0x631bff14, "");
SYMBOL_CRC(drm_dp_remove_payload_part1, 0x8675daba, "");
SYMBOL_CRC(drm_dp_remove_payload_part2, 0xca584402, "");
SYMBOL_CRC(drm_dp_add_payload_part2, 0xb3ccba6a, "");
SYMBOL_CRC(drm_dp_get_vc_payload_bw, 0x018676d9, "");
SYMBOL_CRC(drm_dp_read_mst_cap, 0x31e25760, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_set_mst, 0x482c6f8d, "");
SYMBOL_CRC(drm_dp_mst_topology_queue_probe, 0xbb63d421, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_suspend, 0xea85b004, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_resume, 0xa6304269, "");
SYMBOL_CRC(drm_dp_mst_hpd_irq_handle_event, 0x6a3ac688, "");
SYMBOL_CRC(drm_dp_mst_hpd_irq_send_new_request, 0xb044a97e, "");
SYMBOL_CRC(drm_dp_mst_detect_port, 0xd7345952, "");
SYMBOL_CRC(drm_dp_mst_edid_read, 0x4b94a34c, "");
SYMBOL_CRC(drm_dp_mst_get_edid, 0xeb3d3b7d, "");
SYMBOL_CRC(drm_dp_atomic_find_time_slots, 0x01ce3b7d, "");
SYMBOL_CRC(drm_dp_atomic_release_time_slots, 0x7276e6c3, "");
SYMBOL_CRC(drm_dp_mst_atomic_setup_commit, 0xd838f591, "");
SYMBOL_CRC(drm_dp_mst_atomic_wait_for_dependencies, 0xb4d1679b, "");
SYMBOL_CRC(drm_dp_mst_root_conn_atomic_check, 0xb08939c1, "");
SYMBOL_CRC(drm_dp_mst_update_slots, 0x613c20bf, "");
SYMBOL_CRC(drm_dp_check_act_status, 0x96378f61, "");
SYMBOL_CRC(drm_dp_calc_pbn_mode, 0xa47826e4, "");
SYMBOL_CRC(drm_dp_mst_dump_topology, 0x91cdbcc2, "");
SYMBOL_CRC(drm_dp_mst_port_downstream_of_parent, 0x63aa9381, "");
SYMBOL_CRC(drm_dp_mst_add_affected_dsc_crtcs, 0xedb46875, "");
SYMBOL_CRC(drm_dp_mst_atomic_enable_dsc, 0x4fd745a9, "");
SYMBOL_CRC(drm_dp_mst_atomic_check_mgr, 0xcf371655, "");
SYMBOL_CRC(drm_dp_mst_atomic_check, 0x25a26e86, "");
SYMBOL_CRC(drm_dp_mst_topology_state_funcs, 0xa0890551, "");
SYMBOL_CRC(drm_atomic_get_mst_topology_state, 0xdec4aa6d, "");
SYMBOL_CRC(drm_atomic_get_old_mst_topology_state, 0x7c052e88, "");
SYMBOL_CRC(drm_atomic_get_new_mst_topology_state, 0x8021f7d1, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_init, 0x398b72f9, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_destroy, 0x8a5662fb, "");
SYMBOL_CRC(drm_dp_mst_aux_for_parent, 0x720465e1, "");
SYMBOL_CRC(drm_dp_mst_dsc_aux_for_port, 0x2659b590, "");
SYMBOL_CRC(drm_dsc_dp_pps_header_init, 0x648d953b, "");
SYMBOL_CRC(drm_dsc_dp_rc_buffer_size, 0x1a5bf3ca, "");
SYMBOL_CRC(drm_dsc_pps_payload_pack, 0x58d8fcaa, "");
SYMBOL_CRC(drm_dsc_set_const_params, 0x627ba04b, "");
SYMBOL_CRC(drm_dsc_set_rc_buf_thresh, 0x24ada755, "");
SYMBOL_CRC(drm_dsc_setup_rc_params, 0x79008c7e, "");
SYMBOL_CRC(drm_dsc_compute_rc_parameters, 0xfe12bcb9, "");
SYMBOL_CRC(drm_dsc_get_bpp_int, 0xd0e95456, "");
SYMBOL_CRC(drm_dsc_initial_scale_value, 0x95883bb4, "");
SYMBOL_CRC(drm_dsc_flatness_det_thresh, 0xe2468a48, "");
SYMBOL_CRC(drm_dsc_dump_config, 0xeb13b66e, "");
SYMBOL_CRC(drm_dp_tunnel_name, 0x4dcbe65a, "");
SYMBOL_CRC(drm_dp_tunnel_get, 0x2251bc99, "");
SYMBOL_CRC(drm_dp_tunnel_put, 0x64ed053c, "");
SYMBOL_CRC(drm_dp_tunnel_set_io_error, 0x59fd5d64, "");
SYMBOL_CRC(drm_dp_tunnel_detect, 0x3340fc8a, "");
SYMBOL_CRC(drm_dp_tunnel_destroy, 0xc3e313ce, "");
SYMBOL_CRC(drm_dp_tunnel_enable_bw_alloc, 0x9b94e482, "");
SYMBOL_CRC(drm_dp_tunnel_disable_bw_alloc, 0x33dc9f9e, "");
SYMBOL_CRC(drm_dp_tunnel_bw_alloc_is_enabled, 0x12a7a127, "");
SYMBOL_CRC(drm_dp_tunnel_alloc_bw, 0xe23ec5be, "");
SYMBOL_CRC(drm_dp_tunnel_get_allocated_bw, 0x2be568a2, "");
SYMBOL_CRC(drm_dp_tunnel_update_state, 0x12c52ff9, "");
SYMBOL_CRC(drm_dp_tunnel_handle_irq, 0x246260b8, "");
SYMBOL_CRC(drm_dp_tunnel_max_dprx_rate, 0xe239de10, "");
SYMBOL_CRC(drm_dp_tunnel_max_dprx_lane_count, 0x848588fb, "");
SYMBOL_CRC(drm_dp_tunnel_available_bw, 0x5a08e995, "");
SYMBOL_CRC(drm_dp_tunnel_atomic_get_state, 0x5b1110e3, "");
SYMBOL_CRC(drm_dp_tunnel_atomic_get_old_state, 0x71ce97f9, "");
SYMBOL_CRC(drm_dp_tunnel_atomic_get_new_state, 0x6e47215a, "");
SYMBOL_CRC(drm_dp_tunnel_atomic_set_stream_bw, 0xa7360630, "");
SYMBOL_CRC(drm_dp_tunnel_atomic_get_required_bw, 0xf0022b0c, "");
SYMBOL_CRC(drm_dp_tunnel_atomic_get_group_streams_in_state, 0x2be9aa67, "");
SYMBOL_CRC(drm_dp_tunnel_atomic_check_stream_bws, 0xc4ad0500, "");
SYMBOL_CRC(drm_dp_tunnel_mgr_create, 0x4f553851, "");
SYMBOL_CRC(drm_dp_tunnel_mgr_destroy, 0xf792853b, "");
SYMBOL_CRC(drm_hdcp_check_ksvs_revoked, 0x5182aa3c, "_gpl");
SYMBOL_CRC(drm_connector_attach_content_protection_property, 0x17c1f48f, "");
SYMBOL_CRC(drm_hdcp_update_content_protection, 0xaed7d296, "");
SYMBOL_CRC(drm_hdmi_infoframe_set_hdr_metadata, 0x887482ef, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_colorimetry, 0x9654609a, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_bars, 0x7f413e35, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_content_type, 0x6e68bab5, "");
SYMBOL_CRC(drm_hdmi_compute_mode_clock, 0x1d170e9e, "");
SYMBOL_CRC(drm_scdc_read, 0xed6551c5, "");
SYMBOL_CRC(drm_scdc_write, 0x0bbb1e38, "");
SYMBOL_CRC(drm_scdc_get_scrambling_status, 0x24370f4f, "");
SYMBOL_CRC(drm_scdc_set_scrambling, 0xb27762c2, "");
SYMBOL_CRC(drm_scdc_set_high_tmds_clock_ratio, 0xc76b2030, "");
SYMBOL_CRC(drm_dp_cec_irq, 0xfb21d964, "");
SYMBOL_CRC(drm_dp_cec_attach, 0xc6d005f4, "");
SYMBOL_CRC(drm_dp_cec_set_edid, 0x8f4382cf, "");
SYMBOL_CRC(drm_dp_cec_unset_edid, 0x04bb2cb4, "");
SYMBOL_CRC(drm_dp_cec_register_connector, 0xee5049ae, "");
SYMBOL_CRC(drm_dp_cec_unregister_connector, 0xdd2f63cb, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x44c339bf, "dev_driver_string" },
	{ 0x8df9dd10, "guid_null" },
	{ 0x1888415a, "request_firmware_direct" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x69353664, "__drm_debug" },
	{ 0xe39521c3, "__drm_atomic_helper_private_obj_duplicate_state" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa92452b5, "drm_atomic_private_obj_fini" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0xed0bc201, "idr_get_next" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0x331929dc, "drm_property_create_enum" },
	{ 0x681549bc, "init_wait_var_entry" },
	{ 0x2a095cd9, "drm_dev_printk" },
	{ 0x35c41ef8, "i2c_del_adapter" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x76db097a, "__var_waitqueue" },
	{ 0x681a3659, "drm_atomic_get_crtc_state" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xbee776f0, "drm_crtc_wait_one_vblank" },
	{ 0xb9a85f0c, "idr_remove" },
	{ 0xd46b58a7, "drm_modeset_lock" },
	{ 0x97f11ef2, "drm_modeset_unlock" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x9820f51a, "idr_alloc" },
	{ 0x5fe6934f, "device_create" },
	{ 0x79c9acec, "class_create" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8e081ddc, "drm_modeset_lock_single_interruptible" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x3392d6b5, "fixed_size_llseek" },
	{ 0x56a719f2, "seq_putc" },
	{ 0x4c3e369f, "drm_crtc_commit_wait" },
	{ 0x50a3b69f, "drm_atomic_get_new_private_obj_state" },
	{ 0xb212dc3e, "drm_edid_dup" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x80a5e531, "cec_unregister_adapter" },
	{ 0x9570797b, "drm_object_attach_property" },
	{ 0xea593f6, "hdmi_drm_infoframe_init" },
	{ 0xd1d2f488, "drm_atomic_get_old_private_obj_state" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xbecc0f5, "__drm_dev_dbg" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xbe4de675, "cec_get_edid_phys_addr" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0x98fed39f, "drm_edid_raw" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x25531590, "mutex_trylock" },
	{ 0x58c69b21, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x293c417e, "cec_allocate_adapter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd7eeaea8, "drm_object_property_set_value" },
	{ 0xbc0d826d, "drm_printf" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x9d4bca1e, "drm_kms_helper_hotplug_event" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x7c3d6aba, "__register_chrdev" },
	{ 0x9f7aac60, "seq_write" },
	{ 0xb3fa17d1, "device_destroy" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7ad7a5cd, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x44531a37, "_copy_from_iter" },
	{ 0x25efb3ec, "i2c_transfer" },
	{ 0xd0408f92, "drm_display_mode_from_cea_vic" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xd6a78628, "remove_wait_queue" },
	{ 0x54966ce9, "drm_match_cea_mode" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xbbe20eaa, "cec_fill_conn_info_from_drm" },
	{ 0x9abc9084, "drm_sysfs_connector_property_event" },
	{ 0x75ba9f29, "cec_received_msg_ts" },
	{ 0xf2203c5f, "param_ops_int" },
	{ 0xc86a4b4, "iov_iter_revert" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0xce75137b, "devm_backlight_device_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x21b3c92e, "drm_atomic_get_connector_state" },
	{ 0x5e5128bf, "drm_edid_get_monitor_name" },
	{ 0x42b30e79, "drm_edid_read_ddc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7c3648c9, "cec_register_adapter" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xd99b7bff, "drm_crtc_add_crc_entry" },
	{ 0x8c056d63, "cec_delete_adapter" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x293df244, "_copy_to_iter" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x333051c0, "idr_find" },
	{ 0xf7f4faa9, "drm_connector_register" },
	{ 0x77ed0f1a, "cec_transmit_attempt_done_ts" },
	{ 0xe5eb5fd0, "param_ops_uint" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x3cb06817, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5ad0a41e, "drm_atomic_get_private_obj_state" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5fafb06f, "__drm_printfn_dbg" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0x6c3f70e0, "guid_gen" },
	{ 0xd09aad49, "drm_atomic_private_obj_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x39da668b, "class_destroy" },
	{ 0xad7f7483, "cec_s_phys_addr" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0x25312da3, "cec_s_conn_info" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x5f7137ba, "drm_edid_duplicate" },
	{ 0xa55b06bd, "add_wait_queue" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3416d62c, "prepare_to_wait_event" },
	{ 0xa3dfb4c8, "drm_connector_unregister" },
	{ 0xf6491531, "__wake_up" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc65552cc, "drm_mode_object_put" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "cec");


MODULE_INFO(srcversion, "ED2B0EC287352CAAC483E30");

MODULE_INFO(suserelease, "SLFO-1.2");
