#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drm_gpuvm_range_valid, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_resv_object_alloc, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_init, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_put, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prepare_vm, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prepare_objects, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prepare_range, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_exec_lock, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_exec_lock_array, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_exec_lock_range, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_validate, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_resv_add_fence, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_put, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_find, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_obtain, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_obtain_prealloc, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_extobj_add, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_evict, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_insert, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_remove, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_link, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_unlink, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_first, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_prev, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_next, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_interval_empty, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_map, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_remap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_unmap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_map, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_unmap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_map_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_unmap_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prefetch_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_unmap_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_ops_free, "_gpl", "");

SYMBOL_CRC(drm_gpuvm_range_valid, 0x9b5e0e71, "_gpl");
SYMBOL_CRC(drm_gpuvm_resv_object_alloc, 0xfcfa12ca, "_gpl");
SYMBOL_CRC(drm_gpuvm_init, 0x769c0688, "_gpl");
SYMBOL_CRC(drm_gpuvm_put, 0x859281a0, "_gpl");
SYMBOL_CRC(drm_gpuvm_prepare_vm, 0x1b4012be, "_gpl");
SYMBOL_CRC(drm_gpuvm_prepare_objects, 0x67a6fa9f, "_gpl");
SYMBOL_CRC(drm_gpuvm_prepare_range, 0x95bbc678, "_gpl");
SYMBOL_CRC(drm_gpuvm_exec_lock, 0x46e59ca9, "_gpl");
SYMBOL_CRC(drm_gpuvm_exec_lock_array, 0x710a4a18, "_gpl");
SYMBOL_CRC(drm_gpuvm_exec_lock_range, 0xa5ce6e4c, "_gpl");
SYMBOL_CRC(drm_gpuvm_validate, 0x93bf3b09, "_gpl");
SYMBOL_CRC(drm_gpuvm_resv_add_fence, 0x6fe2ffb8, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_create, 0x86ac5cd1, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_put, 0xf4ea8f3a, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_find, 0xdf89db38, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_obtain, 0xef062c0e, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_obtain_prealloc, 0x87feb6de, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_extobj_add, 0xeeb7c153, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_evict, 0x4577e6f3, "_gpl");
SYMBOL_CRC(drm_gpuva_insert, 0x1ffcdba1, "_gpl");
SYMBOL_CRC(drm_gpuva_remove, 0xd369cb1d, "_gpl");
SYMBOL_CRC(drm_gpuva_link, 0xb05ed9a7, "_gpl");
SYMBOL_CRC(drm_gpuva_unlink, 0x1a4cf012, "_gpl");
SYMBOL_CRC(drm_gpuva_find_first, 0x0094026b, "_gpl");
SYMBOL_CRC(drm_gpuva_find, 0x73bcc195, "_gpl");
SYMBOL_CRC(drm_gpuva_find_prev, 0xda21f60a, "_gpl");
SYMBOL_CRC(drm_gpuva_find_next, 0xe13de318, "_gpl");
SYMBOL_CRC(drm_gpuvm_interval_empty, 0x971d9c2d, "_gpl");
SYMBOL_CRC(drm_gpuva_map, 0x8b069a81, "_gpl");
SYMBOL_CRC(drm_gpuva_remap, 0x2475b7b5, "_gpl");
SYMBOL_CRC(drm_gpuva_unmap, 0x22e33d15, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_map, 0xd7c80a8f, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_unmap, 0x7d567abd, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_map_ops_create, 0x4945cf14, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_unmap_ops_create, 0x86d943de, "_gpl");
SYMBOL_CRC(drm_gpuvm_prefetch_ops_create, 0x990d4a72, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_unmap_ops_create, 0x092cc4b9, "_gpl");
SYMBOL_CRC(drm_gpuva_ops_free, 0xa67a6cb6, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x50d1e762, "drm_gem_object_release" },
	{ 0x37a0cba, "kfree" },
	{ 0x7722cb6a, "drm_exec_prepare_array" },
	{ 0x1bdfd5e2, "dma_resv_add_fence" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x751aa8d8, "drm_gem_private_object_init" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0xca9360b5, "rb_next" },
	{ 0x136a9e6f, "drm_exec_prepare_obj" },
	{ 0xd4d4644c, "drm_exec_lock_obj" },
	{ 0x97aad7a9, "drm_exec_init" },
	{ 0x9f715e02, "drm_exec_cleanup" },
	{ 0x45f92b51, "drm_exec_fini" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0xf82ec573, "rb_prev" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x44c339bf, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "drm_exec");


MODULE_INFO(srcversion, "AE6034294DD56076A1A429C");

MODULE_INFO(suserelease, "SLFO-1.2");
