#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drm_gem_vram_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_put, "", "");
KSYMTAB_FUNC(drm_gem_vram_offset, "", "");
KSYMTAB_FUNC(drm_gem_vram_pin, "", "");
KSYMTAB_FUNC(drm_gem_vram_unpin, "", "");
KSYMTAB_FUNC(drm_gem_vram_vmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_fill_create_dumb, "", "");
KSYMTAB_FUNC(drm_gem_vram_driver_dumb_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_vram_mm_debugfs_init, "", "");
KSYMTAB_FUNC(drmm_vram_helper_init, "", "");
KSYMTAB_FUNC(drm_vram_helper_mode_valid, "", "");

SYMBOL_CRC(drm_gem_vram_create, 0xe5286b3e, "");
SYMBOL_CRC(drm_gem_vram_put, 0xa8656a07, "");
SYMBOL_CRC(drm_gem_vram_offset, 0xb8445e0c, "");
SYMBOL_CRC(drm_gem_vram_pin, 0x6f9a7a3c, "");
SYMBOL_CRC(drm_gem_vram_unpin, 0x0a63f89e, "");
SYMBOL_CRC(drm_gem_vram_vmap, 0x9974de4f, "");
SYMBOL_CRC(drm_gem_vram_vunmap, 0x19c5a65e, "");
SYMBOL_CRC(drm_gem_vram_fill_create_dumb, 0x35abed40, "");
SYMBOL_CRC(drm_gem_vram_driver_dumb_create, 0x068a3e2a, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_prepare_fb, 0x9a9980d6, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_cleanup_fb, 0x1e9ca49b, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_prepare_fb, 0x5c855381, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_cleanup_fb, 0xbea566a2, "");
SYMBOL_CRC(drm_vram_mm_debugfs_init, 0x6ad15f69, "");
SYMBOL_CRC(drmm_vram_helper_init, 0xab14fe8d, "");
SYMBOL_CRC(drm_vram_helper_mode_valid, 0xd82f7374, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xaa93b6f5, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf082eb2e, "ttm_bo_vunmap" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x50d1e762, "drm_gem_object_release" },
	{ 0x7557d335, "ttm_tt_init" },
	{ 0xa0df7a9, "drm_gem_handle_create" },
	{ 0x2d795c98, "drm_gem_fb_get_obj" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7b09b82f, "ttm_bo_unpin" },
	{ 0x25b1a326, "__drm_puts_seq_file" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x6c7f148a, "drm_debugfs_add_files" },
	{ 0xc1969142, "ttm_bo_init_validate" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8726a03d, "ttm_device_init" },
	{ 0xf07017b2, "ttm_bo_validate" },
	{ 0x39cdbed8, "ttm_bo_move_to_lru_tail" },
	{ 0x69e53ce6, "ttm_bo_vmap" },
	{ 0x50e320ad, "ttm_bo_put" },
	{ 0xa2933357, "ttm_resource_free" },
	{ 0x44247cfb, "ttm_bo_move_memcpy" },
	{ 0xfd06e45f, "ttm_tt_fini" },
	{ 0xc9edab94, "ttm_device_fini" },
	{ 0xc8cf75a4, "drm_gem_plane_helper_prepare_fb" },
	{ 0xf8f3bb1b, "ttm_bo_eviction_valuable" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xf13b02c9, "drm_gem_ttm_print_info" },
	{ 0xfbf48527, "ttm_range_man_init_nocheck" },
	{ 0x9425c3d9, "ww_mutex_lock_interruptible" },
	{ 0xc956adbc, "ttm_resource_manager_debug" },
	{ 0x90cfa281, "ww_mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0x37fea73, "ttm_range_man_fini_nocheck" },
	{ 0x74f34eb3, "drm_gem_object_init" },
	{ 0x2140e8a1, "__drm_printfn_seq_file" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1e572b19, "ttm_bo_pin" },
	{ 0x44c339bf, "dev_driver_string" },
	{ 0x4c290216, "drm_gem_ttm_mmap" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "ttm,drm_ttm_helper");


MODULE_INFO(srcversion, "45A49E51DAFAA14BA8045FA");

MODULE_INFO(suserelease, "SLFO-1.2");
