#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drm_sched_tdr_queue_imm, "", "");
KSYMTAB_FUNC(drm_sched_fault, "", "");
KSYMTAB_FUNC(drm_sched_suspend_timeout, "", "");
KSYMTAB_FUNC(drm_sched_resume_timeout, "", "");
KSYMTAB_FUNC(drm_sched_stop, "", "");
KSYMTAB_FUNC(drm_sched_start, "", "");
KSYMTAB_FUNC(drm_sched_resubmit_jobs, "", "");
KSYMTAB_FUNC(drm_sched_job_init, "", "");
KSYMTAB_FUNC(drm_sched_job_arm, "", "");
KSYMTAB_FUNC(drm_sched_job_add_dependency, "", "");
KSYMTAB_FUNC(drm_sched_job_add_syncobj_dependency, "", "");
KSYMTAB_FUNC(drm_sched_job_add_resv_dependencies, "", "");
KSYMTAB_FUNC(drm_sched_job_add_implicit_dependencies, "", "");
KSYMTAB_FUNC(drm_sched_job_cleanup, "", "");
KSYMTAB_FUNC(drm_sched_pick_best, "", "");
KSYMTAB_FUNC(drm_sched_init, "", "");
KSYMTAB_FUNC(drm_sched_fini, "", "");
KSYMTAB_FUNC(drm_sched_increase_karma, "", "");
KSYMTAB_FUNC(drm_sched_wqueue_ready, "", "");
KSYMTAB_FUNC(drm_sched_wqueue_stop, "", "");
KSYMTAB_FUNC(drm_sched_wqueue_start, "", "");
KSYMTAB_FUNC(to_drm_sched_fence, "", "");
KSYMTAB_FUNC(drm_sched_entity_init, "", "");
KSYMTAB_FUNC(drm_sched_entity_modify_sched, "", "");
KSYMTAB_FUNC(drm_sched_entity_error, "", "");
KSYMTAB_FUNC(drm_sched_entity_flush, "", "");
KSYMTAB_FUNC(drm_sched_entity_fini, "", "");
KSYMTAB_FUNC(drm_sched_entity_destroy, "", "");
KSYMTAB_FUNC(drm_sched_entity_set_priority, "", "");
KSYMTAB_FUNC(drm_sched_entity_push_job, "", "");

SYMBOL_CRC(drm_sched_tdr_queue_imm, 0x9d34e10f, "");
SYMBOL_CRC(drm_sched_fault, 0xdca66977, "");
SYMBOL_CRC(drm_sched_suspend_timeout, 0xa7fcc6f4, "");
SYMBOL_CRC(drm_sched_resume_timeout, 0x451b3c22, "");
SYMBOL_CRC(drm_sched_stop, 0xabea5887, "");
SYMBOL_CRC(drm_sched_start, 0xffe2576a, "");
SYMBOL_CRC(drm_sched_resubmit_jobs, 0x3b6df5f6, "");
SYMBOL_CRC(drm_sched_job_init, 0xbd05f1d4, "");
SYMBOL_CRC(drm_sched_job_arm, 0xc7d6e0db, "");
SYMBOL_CRC(drm_sched_job_add_dependency, 0xc72dce12, "");
SYMBOL_CRC(drm_sched_job_add_syncobj_dependency, 0x6722ae77, "");
SYMBOL_CRC(drm_sched_job_add_resv_dependencies, 0x234d54d9, "");
SYMBOL_CRC(drm_sched_job_add_implicit_dependencies, 0x573031ce, "");
SYMBOL_CRC(drm_sched_job_cleanup, 0x58c1b1f1, "");
SYMBOL_CRC(drm_sched_pick_best, 0x2844cf49, "");
SYMBOL_CRC(drm_sched_init, 0x9f051f23, "");
SYMBOL_CRC(drm_sched_fini, 0xc53de6df, "");
SYMBOL_CRC(drm_sched_increase_karma, 0x2d2a85d2, "");
SYMBOL_CRC(drm_sched_wqueue_ready, 0x576cdc8f, "");
SYMBOL_CRC(drm_sched_wqueue_stop, 0x1fd65473, "");
SYMBOL_CRC(drm_sched_wqueue_start, 0x12192753, "");
SYMBOL_CRC(to_drm_sched_fence, 0x755181ea, "");
SYMBOL_CRC(drm_sched_entity_init, 0x755052f6, "");
SYMBOL_CRC(drm_sched_entity_modify_sched, 0x349449fc, "");
SYMBOL_CRC(drm_sched_entity_error, 0xe9962c12, "");
SYMBOL_CRC(drm_sched_entity_flush, 0x307d02ec, "");
SYMBOL_CRC(drm_sched_entity_fini, 0x911f8433, "");
SYMBOL_CRC(drm_sched_entity_destroy, 0xbd8f29d7, "");
SYMBOL_CRC(drm_sched_entity_set_priority, 0xc658bc4d, "");
SYMBOL_CRC(drm_sched_entity_push_job, 0x364d72e0, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x549dee85, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xd0d9d74c, "bpf_trace_run2" },
	{ 0x3416d62c, "prepare_to_wait_event" },
	{ 0xf6491531, "__wake_up" },
	{ 0x14ac571e, "dma_fence_add_callback" },
	{ 0xf4a7c78f, "dma_fence_set_deadline" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xbe3586f6, "dma_fence_wait_timeout" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x44c339bf, "dev_driver_string" },
	{ 0x77188b5d, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd5dd9f09, "dma_resv_iter_next" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x79ef5529, "dma_fence_remove_callback" },
	{ 0x2a095cd9, "drm_dev_printk" },
	{ 0x75a54147, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x7ec56c70, "perf_trace_run_bpf_submit" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb9b31de8, "xa_load" },
	{ 0xaff268c7, "dma_fence_signal" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xdf9ceed4, "kmem_cache_free" },
	{ 0x658574f4, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x499c23b, "dma_fence_init" },
	{ 0x57a45346, "bpf_trace_run1" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfa10416, "kmem_cache_alloc_noprof" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x8337a399, "__kmem_cache_create_args" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x918431c7, "xa_erase" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x27a7a36e, "trace_event_buffer_reserve" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf01d993d, "xa_destroy" },
	{ 0xfea41449, "xa_find" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe534dea0, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x957fe3bb, "dma_resv_iter_first" },
	{ 0xa256d729, "xa_find_after" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x754d539c, "strlen" },
	{ 0xf2203c5f, "param_ops_int" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x8019049f, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x256d92d1, "drm_syncobj_find_fence" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa11a97c1, "trace_raw_output_prep" },
	{ 0xca9360b5, "rb_next" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xb07d43ee, "__trace_trigger_soft_disabled" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0xdf4574bf, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "D3CC6CF4456C80247AF8380");

MODULE_INFO(suserelease, "SLFO-1.2");
