#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa4638582, "drm_crtc_helper_mode_valid_fixed" },
	{ 0x39ef47ae, "drm_connector_helper_get_modes_fixed" },
	{ 0x6b184ed6, "driver_unregister" },
	{ 0x1e715c1c, "device_get_match_data" },
	{ 0xa7524338, "dma_set_mask" },
	{ 0xaf36c569, "dma_set_coherent_mask" },
	{ 0xd4de967e, "__devm_drm_dev_alloc" },
	{ 0x8966d3dd, "drmm_mode_config_init" },
	{ 0x104a6356, "devm_gpiod_get" },
	{ 0x20131a9f, "device_property_read_string" },
	{ 0x3cb06817, "devm_kmalloc" },
	{ 0x30a06481, "drm_connector_init" },
	{ 0x26eabc9f, "drm_simple_display_pipe_init" },
	{ 0xcbfe506a, "drm_mode_config_reset" },
	{ 0xd32ccca3, "drm_dev_register" },
	{ 0xbecc0f5, "__drm_dev_dbg" },
	{ 0xc7eeb201, "drm_fbdev_dma_setup" },
	{ 0x3a9a5a93, "thermal_zone_get_zone_by_name" },
	{ 0x2a095cd9, "drm_dev_printk" },
	{ 0xe4408873, "spi_get_device_id" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0xd72a607b, "gpiod_set_value_cansleep" },
	{ 0xf9a482f9, "msleep" },
	{ 0x7ac1254b, "local_clock" },
	{ 0x34ae28ba, "drm_atomic_helper_damage_merged" },
	{ 0x24e99aa5, "drm_format_conv_state_release" },
	{ 0xbbf05048, "drm_fb_dma_get_gem_obj" },
	{ 0x49232ee1, "drm_dev_enter" },
	{ 0xc8252d6a, "thermal_zone_get_temp" },
	{ 0xbbdf503, "drm_gem_fb_begin_cpu_access" },
	{ 0xa55ab25, "drm_fb_xrgb8888_to_mono" },
	{ 0x4c0b84b5, "drm_gem_fb_end_cpu_access" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xee22e89a, "gpiod_get_value_cansleep" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x20f6224e, "drm_gem_dma_prime_import_sg_table_vmap" },
	{ 0x2f95e69, "drm_gem_dma_dumb_create" },
	{ 0x5f577086, "noop_llseek" },
	{ 0x95f41205, "drm_read" },
	{ 0x4524c255, "drm_poll" },
	{ 0x8afdb048, "drm_ioctl" },
	{ 0x412b413c, "drm_compat_ioctl" },
	{ 0xfc2a4198, "drm_gem_mmap" },
	{ 0x472682ee, "drm_open" },
	{ 0x9c479f23, "drm_release" },
	{ 0x39952705, "drm_gem_fb_create_with_dirty" },
	{ 0x6eb6ada3, "drm_atomic_helper_check" },
	{ 0x7db378a7, "drm_atomic_helper_commit" },
	{ 0x463912c, "drm_atomic_helper_connector_reset" },
	{ 0xc82c2d8f, "drm_helper_probe_single_connector_modes" },
	{ 0x2b84c75, "drm_connector_cleanup" },
	{ 0xf4ba863, "drm_atomic_helper_connector_duplicate_state" },
	{ 0x362076f1, "drm_atomic_helper_connector_destroy_state" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe7916c3b, "__spi_register_driver" },
	{ 0xb970df70, "drm_atomic_helper_shutdown" },
	{ 0x7be0eefb, "drm_dev_unplug" },
	{ 0xc2e1873d, "spi_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "drm_dma_helper");

MODULE_ALIAS("spi:e1144cs021");
MODULE_ALIAS("spi:e1190cs021");
MODULE_ALIAS("spi:e2200cs021");
MODULE_ALIAS("spi:e2271cs021");
MODULE_ALIAS("of:N*T*Cpervasive,e1144cs021");
MODULE_ALIAS("of:N*T*Cpervasive,e1144cs021C*");
MODULE_ALIAS("of:N*T*Cpervasive,e1190cs021");
MODULE_ALIAS("of:N*T*Cpervasive,e1190cs021C*");
MODULE_ALIAS("of:N*T*Cpervasive,e2200cs021");
MODULE_ALIAS("of:N*T*Cpervasive,e2200cs021C*");
MODULE_ALIAS("of:N*T*Cpervasive,e2271cs021");
MODULE_ALIAS("of:N*T*Cpervasive,e2271cs021C*");

MODULE_INFO(srcversion, "5E7BC670BF196237558320A");

MODULE_INFO(suserelease, "SLFO-1.2");
