#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ishtp_device_init, "", "");
KSYMTAB_FUNC(ishtp_start, "", "");
KSYMTAB_FUNC(ishtp_send_suspend, "", "");
KSYMTAB_FUNC(ishtp_send_resume, "", "");
KSYMTAB_FUNC(ishtp_cl_get_tx_free_buffer_size, "", "");
KSYMTAB_FUNC(ishtp_cl_get_tx_free_rings, "", "");
KSYMTAB_FUNC(ishtp_cl_flush_queues, "", "");
KSYMTAB_FUNC(ishtp_cl_allocate, "", "");
KSYMTAB_FUNC(ishtp_cl_free, "", "");
KSYMTAB_FUNC(ishtp_cl_link, "", "");
KSYMTAB_FUNC(ishtp_cl_unlink, "", "");
KSYMTAB_FUNC(ishtp_cl_disconnect, "", "");
KSYMTAB_FUNC(ishtp_cl_connect, "", "");
KSYMTAB_FUNC(ishtp_cl_establish_connection, "", "");
KSYMTAB_FUNC(ishtp_cl_destroy_connection, "", "");
KSYMTAB_FUNC(ishtp_cl_send, "", "");
KSYMTAB_FUNC(ishtp_get_client_data, "", "");
KSYMTAB_FUNC(ishtp_set_client_data, "", "");
KSYMTAB_FUNC(ishtp_get_ishtp_device, "", "");
KSYMTAB_FUNC(ishtp_set_tx_ring_size, "", "");
KSYMTAB_FUNC(ishtp_set_rx_ring_size, "", "");
KSYMTAB_FUNC(ishtp_set_connection_state, "", "");
KSYMTAB_FUNC(ishtp_cl_set_fw_client_id, "", "");
KSYMTAB_FUNC(ishtp_recv, "", "");
KSYMTAB_FUNC(ishtp_fw_cl_by_uuid, "", "");
KSYMTAB_FUNC(ishtp_fw_cl_get_client, "", "");
KSYMTAB_FUNC(ishtp_get_fw_client_id, "", "");
KSYMTAB_FUNC(ishtp_cl_driver_register, "", "");
KSYMTAB_FUNC(ishtp_cl_driver_unregister, "", "");
KSYMTAB_FUNC(ishtp_register_event_cb, "", "");
KSYMTAB_FUNC(ishtp_get_device, "", "");
KSYMTAB_FUNC(ishtp_put_device, "", "");
KSYMTAB_FUNC(ishtp_set_drvdata, "", "");
KSYMTAB_FUNC(ishtp_get_drvdata, "", "");
KSYMTAB_FUNC(ishtp_dev_to_cl_device, "", "");
KSYMTAB_FUNC(ishtp_bus_remove_all_clients, "", "");
KSYMTAB_FUNC(ishtp_reset_handler, "", "");
KSYMTAB_FUNC(ishtp_reset_compl_handler, "", "");
KSYMTAB_FUNC(ishtp_device, "", "");
KSYMTAB_FUNC(ishtp_wait_resume, "_gpl", "");
KSYMTAB_FUNC(ishtp_get_pci_device, "", "");
KSYMTAB_FUNC(ishtp_trace_callback, "", "");
KSYMTAB_FUNC(ish_hw_reset, "", "");
KSYMTAB_FUNC(ishtp_cl_io_rb_recycle, "", "");
KSYMTAB_FUNC(ishtp_cl_tx_empty, "", "");
KSYMTAB_FUNC(ishtp_cl_rx_get_rb, "", "");

SYMBOL_CRC(ishtp_device_init, 0x9092041a, "");
SYMBOL_CRC(ishtp_start, 0xb9f06ae3, "");
SYMBOL_CRC(ishtp_send_suspend, 0x64ac3033, "");
SYMBOL_CRC(ishtp_send_resume, 0x6cb7b046, "");
SYMBOL_CRC(ishtp_cl_get_tx_free_buffer_size, 0x67dcae9d, "");
SYMBOL_CRC(ishtp_cl_get_tx_free_rings, 0x6c307e3b, "");
SYMBOL_CRC(ishtp_cl_flush_queues, 0xde221ac0, "");
SYMBOL_CRC(ishtp_cl_allocate, 0x52265c68, "");
SYMBOL_CRC(ishtp_cl_free, 0x8c704209, "");
SYMBOL_CRC(ishtp_cl_link, 0x6e77acc1, "");
SYMBOL_CRC(ishtp_cl_unlink, 0x49ad3a8c, "");
SYMBOL_CRC(ishtp_cl_disconnect, 0x54e4c75f, "");
SYMBOL_CRC(ishtp_cl_connect, 0x319a01ac, "");
SYMBOL_CRC(ishtp_cl_establish_connection, 0x6d838ce6, "");
SYMBOL_CRC(ishtp_cl_destroy_connection, 0x08f895d2, "");
SYMBOL_CRC(ishtp_cl_send, 0x5b9d9e7d, "");
SYMBOL_CRC(ishtp_get_client_data, 0xfb798c66, "");
SYMBOL_CRC(ishtp_set_client_data, 0xd0c691db, "");
SYMBOL_CRC(ishtp_get_ishtp_device, 0x8affbff6, "");
SYMBOL_CRC(ishtp_set_tx_ring_size, 0x67b975e5, "");
SYMBOL_CRC(ishtp_set_rx_ring_size, 0x4955bda1, "");
SYMBOL_CRC(ishtp_set_connection_state, 0xc32dcce8, "");
SYMBOL_CRC(ishtp_cl_set_fw_client_id, 0x246b1325, "");
SYMBOL_CRC(ishtp_recv, 0x2bc53b92, "");
SYMBOL_CRC(ishtp_fw_cl_by_uuid, 0xfb42270e, "");
SYMBOL_CRC(ishtp_fw_cl_get_client, 0x32ace6e5, "");
SYMBOL_CRC(ishtp_get_fw_client_id, 0x5f9b0501, "");
SYMBOL_CRC(ishtp_cl_driver_register, 0x16c483fa, "");
SYMBOL_CRC(ishtp_cl_driver_unregister, 0x281b258c, "");
SYMBOL_CRC(ishtp_register_event_cb, 0xb35e68a6, "");
SYMBOL_CRC(ishtp_get_device, 0x84231c0b, "");
SYMBOL_CRC(ishtp_put_device, 0xd61e3652, "");
SYMBOL_CRC(ishtp_set_drvdata, 0xea14d793, "");
SYMBOL_CRC(ishtp_get_drvdata, 0xf375005f, "");
SYMBOL_CRC(ishtp_dev_to_cl_device, 0x97fe7df0, "");
SYMBOL_CRC(ishtp_bus_remove_all_clients, 0x047c3786, "");
SYMBOL_CRC(ishtp_reset_handler, 0xe011346a, "");
SYMBOL_CRC(ishtp_reset_compl_handler, 0xc8579731, "");
SYMBOL_CRC(ishtp_device, 0x4b575a19, "");
SYMBOL_CRC(ishtp_wait_resume, 0xdc18d1bb, "_gpl");
SYMBOL_CRC(ishtp_get_pci_device, 0xbc3f108c, "");
SYMBOL_CRC(ishtp_trace_callback, 0xa7fb7bfb, "");
SYMBOL_CRC(ish_hw_reset, 0x40424794, "");
SYMBOL_CRC(ishtp_cl_io_rb_recycle, 0x605d5c7b, "");
SYMBOL_CRC(ishtp_cl_tx_empty, 0x4c990e6a, "");
SYMBOL_CRC(ishtp_cl_rx_get_rb, 0xdebd3406, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd6f5e390, "finish_wait" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x3416d62c, "prepare_to_wait_event" },
	{ 0xf6491531, "__wake_up" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9d3d08f0, "put_device" },
	{ 0x71b12b37, "_dev_info" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x12cb1804, "bus_unregister" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x18595920, "dma_alloc_attrs" },
	{ 0x6b184ed6, "driver_unregister" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xa3eb5274, "device_register" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0xc805f93, "clflush_cache_range" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xf4334299, "dma_free_attrs" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x716b4fac, "dev_err_probe" },
	{ 0x177e48ab, "__devm_add_action" },
	{ 0x754d539c, "strlen" },
	{ 0xf2203c5f, "param_ops_int" },
	{ 0xe2a805d9, "driver_register" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xddbd0482, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x9b20e596, "firmware_request_nowarn" },
	{ 0x50707f9c, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9668568f, "device_unregister" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F5B162B01BB4560149CAE69");

MODULE_INFO(suserelease, "SLFO-1.2");
