#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hid_is_usb, "_gpl", "");
KSYMTAB_FUNC(hiddev_hid_event, "_gpl", "");
KSYMTAB_FUNC(hid_pidff_init_with_quirks, "_gpl", "");

SYMBOL_CRC(hid_is_usb, 0xf6b634fd, "_gpl");
SYMBOL_CRC(hiddev_hid_event, 0x9081df9e, "_gpl");
SYMBOL_CRC(hid_pidff_init_with_quirks, 0xac2563bf, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf77274f9, "hid_alloc_report_buf" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x7228ccc9, "compat_ptr_ioctl" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xc8240d31, "_dev_err" },
	{ 0xe06bd8, "usb_free_coherent" },
	{ 0x25171743, "hid_set_field" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x5f577086, "noop_llseek" },
	{ 0x6626afca, "down" },
	{ 0x56b79e06, "hid_hw_request" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xf0a9ba0d, "hid_hw_open" },
	{ 0x72b0d970, "usb_control_msg" },
	{ 0x1ac573a7, "usb_register_dev" },
	{ 0x7558d255, "hid_check_keys_pressed" },
	{ 0x10e7473e, "fasync_helper" },
	{ 0xb625cd58, "usb_unpoison_urb" },
	{ 0x6aeeda58, "usb_autopm_put_interface_async" },
	{ 0xc3b6f2a, "hid_hw_close" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x19d52f1f, "hid_quirks_exit" },
	{ 0x3edbc68d, "mutex_lock_interruptible" },
	{ 0x8d842521, "usb_deregister" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x350adbe3, "usb_string" },
	{ 0xfb578fc5, "memset" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0x61e00f48, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0xc1ab7ea7, "usb_block_urb" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x2a22dac8, "hid_input_report" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x46fb9385, "usb_unlink_urb" },
	{ 0xe5f70b80, "_dev_notice" },
	{ 0x999e8297, "vfree" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x4dc8debc, "usb_autopm_get_interface" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2674b0d6, "input_ff_create" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xa6ed6995, "usb_deregister_dev" },
	{ 0x6323482b, "usb_kill_urb" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x2e71bc8d, "hid_parse_report" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x754d539c, "strlen" },
	{ 0xfa355613, "hid_quirks_init" },
	{ 0xd36760ef, "__usb_get_extra_descriptor" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6a55e78c, "__dev_fwnode" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x18be47d, "hid_add_device" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6c4a3ba3, "hid_output_report" },
	{ 0xc7b8cd7e, "hid_lookup_quirk" },
	{ 0x4ed62146, "usb_alloc_urb" },
	{ 0x77c7a4b1, "device_set_wakeup_enable" },
	{ 0x625c9d82, "usb_autopm_put_interface" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x55a2d436, "usb_free_urb" },
	{ 0xe5eb5fd0, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x2f4a334c, "usb_alloc_coherent" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x265a3c9e, "hid_driver_suspend" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0x3f6593e4, "kill_fasync" },
	{ 0xa7a38b4e, "usb_register_driver" },
	{ 0x82d52c55, "hid_driver_reset_resume" },
	{ 0xcf2a6966, "up" },
	{ 0x1c137c19, "param_array_ops" },
	{ 0x862d1e43, "prepare_to_wait" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x33e1c4bc, "hidinput_count_leds" },
	{ 0x35036bb4, "usb_autopm_put_interface_no_suspend" },
	{ 0xe90796e8, "hid_driver_resume" },
	{ 0x3990e791, "usb_autopm_get_interface_no_resume" },
	{ 0x3416d62c, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6491531, "__wake_up" },
	{ 0xf570fd3f, "hid_allocate_device" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0xb8e77bf, "hid_destroy_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa6a148c8, "usb_interrupt_msg" },
	{ 0xe90b2903, "usb_find_interface" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x37d443ec, "device_set_node" },
	{ 0x92997ed8, "_printk" },
	{ 0x67c49a03, "usb_clear_halt" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x4afee932, "usb_autopm_get_interface_async" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0x71b5bbcc, "usb_submit_urb" },
	{ 0x71b12b37, "_dev_info" },
	{ 0x2abd08ed, "usb_queue_reset_device" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "usbcore");

MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic03isc*ip*in*");

MODULE_INFO(srcversion, "A0B6C2351143B8E02B72C51");

MODULE_INFO(suserelease, "SLFO-1.2");
