#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(stm_register_protocol, "_gpl", "");
KSYMTAB_FUNC(stm_unregister_protocol, "_gpl", "");
KSYMTAB_FUNC(stm_data_write, "_gpl", "");
KSYMTAB_FUNC(stm_register_device, "_gpl", "");
KSYMTAB_FUNC(stm_unregister_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_register_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_unregister_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_write, "_gpl", "");
KSYMTAB_FUNC(to_pdrv_policy_node, "_gpl", "");

SYMBOL_CRC(stm_register_protocol, 0x153d6d9c, "_gpl");
SYMBOL_CRC(stm_unregister_protocol, 0xd7f7bbb1, "_gpl");
SYMBOL_CRC(stm_data_write, 0xa2261b58, "_gpl");
SYMBOL_CRC(stm_register_device, 0xeaefc675, "_gpl");
SYMBOL_CRC(stm_unregister_device, 0x6885a72e, "_gpl");
SYMBOL_CRC(stm_source_register_device, 0xe22b45db, "_gpl");
SYMBOL_CRC(stm_source_unregister_device, 0x44f889e6, "_gpl");
SYMBOL_CRC(stm_source_write, 0x42706f52, "_gpl");
SYMBOL_CRC(to_pdrv_policy_node, 0x55b67d9c, "_gpl");

MODULE_INFO(supported, "external");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0x9f984513, "strrchr" },
	{ 0x7276b73a, "module_put" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x7228ccc9, "compat_ptr_ioctl" },
	{ 0xa1b18a95, "init_srcu_struct" },
	{ 0x3e5a5fb3, "configfs_register_subsystem" },
	{ 0x9907f28, "device_add" },
	{ 0xd1b94d8a, "__srcu_read_lock" },
	{ 0x23da8e76, "config_group_init_type_name" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xafc20114, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x8039c7c3, "cleanup_srcu_struct" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x55302844, "__get_task_comm" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xe85370b, "pm_runtime_no_callbacks" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x2e20e6c0, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x2f4347e8, "pm_runtime_forbid" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xd5dcc637, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x1c9173ee, "config_item_put" },
	{ 0x7c3d6aba, "__register_chrdev" },
	{ 0x3b239a4e, "kobject_set_name" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0xc28c8471, "device_match_name" },
	{ 0xab0a4180, "__srcu_read_unlock" },
	{ 0x250337ee, "boot_cpu_data" },
	{ 0xdf0614a1, "__pm_runtime_suspend" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0x972fec3a, "__pm_runtime_use_autosuspend" },
	{ 0xcc0c994, "__vma_start_write" },
	{ 0xf40beb46, "__pm_runtime_disable" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0xb3d2d914, "class_register" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x8e4b8288, "class_find_device" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x4e5daa9a, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x2dc5600c, "config_group_init" },
	{ 0xd64ed259, "__memcat_p" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x9668568f, "device_unregister" },
	{ 0xf42ab0a3, "pm_runtime_set_autosuspend_delay" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0x575efac9, "vm_iomap_memory" },
	{ 0xaa4647fd, "config_item_get" },
	{ 0x4628038c, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0xe8704392, "synchronize_srcu" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa3c48948, "configfs_unregister_subsystem" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x478dcfc2, "__pm_runtime_set_status" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9d3d08f0, "put_device" },
	{ 0x6d93b33b, "pm_runtime_enable" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "configfs");


MODULE_INFO(srcversion, "A80A2091E20FB9827EE187E");

MODULE_INFO(suserelease, "SLFO-1.2");
