#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(i3c_device_do_priv_xfers, "_gpl", "");
KSYMTAB_FUNC(i3c_device_do_setdasa, "_gpl", "");
KSYMTAB_FUNC(i3c_device_get_info, "_gpl", "");
KSYMTAB_FUNC(i3c_device_disable_ibi, "_gpl", "");
KSYMTAB_FUNC(i3c_device_enable_ibi, "_gpl", "");
KSYMTAB_FUNC(i3c_device_request_ibi, "_gpl", "");
KSYMTAB_FUNC(i3c_device_free_ibi, "_gpl", "");
KSYMTAB_FUNC(i3cdev_to_dev, "_gpl", "");
KSYMTAB_FUNC(i3c_device_match_id, "_gpl", "");
KSYMTAB_FUNC(i3c_driver_register_with_owner, "_gpl", "");
KSYMTAB_FUNC(i3c_driver_unregister, "_gpl", "");
KSYMTAB_DATA(i3c_bus_type, "_gpl", "");
KSYMTAB_FUNC(i3c_for_each_bus_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_register_notifier, "_gpl", "");
KSYMTAB_FUNC(i3c_unregister_notifier, "_gpl", "");
KSYMTAB_FUNC(i3c_master_enable_hotjoin, "_gpl", "");
KSYMTAB_FUNC(i3c_master_disable_hotjoin, "_gpl", "");
KSYMTAB_FUNC(i3c_master_get_free_addr, "_gpl", "");
KSYMTAB_FUNC(i3c_master_entdaa_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_disec_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_enec_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_defslvs_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_do_daa, "_gpl", "");
KSYMTAB_FUNC(i3c_master_set_info, "_gpl", "");
KSYMTAB_FUNC(i3c_master_add_i3c_dev_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_queue_ibi, "_gpl", "");
KSYMTAB_FUNC(i3c_generic_ibi_free_pool, "_gpl", "");
KSYMTAB_FUNC(i3c_generic_ibi_alloc_pool, "_gpl", "");
KSYMTAB_FUNC(i3c_generic_ibi_get_free_slot, "_gpl", "");
KSYMTAB_FUNC(i3c_generic_ibi_recycle_slot, "_gpl", "");
KSYMTAB_FUNC(i3c_master_register, "_gpl", "");
KSYMTAB_FUNC(i3c_master_unregister, "_gpl", "");

SYMBOL_CRC(i3c_device_do_priv_xfers, 0x3b657e39, "_gpl");
SYMBOL_CRC(i3c_device_do_setdasa, 0x99d26a73, "_gpl");
SYMBOL_CRC(i3c_device_get_info, 0x164d77cd, "_gpl");
SYMBOL_CRC(i3c_device_disable_ibi, 0x2f1119ce, "_gpl");
SYMBOL_CRC(i3c_device_enable_ibi, 0xfb0033d3, "_gpl");
SYMBOL_CRC(i3c_device_request_ibi, 0xe28b7174, "_gpl");
SYMBOL_CRC(i3c_device_free_ibi, 0xc5911d5e, "_gpl");
SYMBOL_CRC(i3cdev_to_dev, 0x466f4ee6, "_gpl");
SYMBOL_CRC(i3c_device_match_id, 0x306935ca, "_gpl");
SYMBOL_CRC(i3c_driver_register_with_owner, 0x69734af0, "_gpl");
SYMBOL_CRC(i3c_driver_unregister, 0xcf208051, "_gpl");
SYMBOL_CRC(i3c_bus_type, 0x167ccc13, "_gpl");
SYMBOL_CRC(i3c_for_each_bus_locked, 0x6869dad4, "_gpl");
SYMBOL_CRC(i3c_register_notifier, 0xaa91f3f5, "_gpl");
SYMBOL_CRC(i3c_unregister_notifier, 0x2305c897, "_gpl");
SYMBOL_CRC(i3c_master_enable_hotjoin, 0xb6e49904, "_gpl");
SYMBOL_CRC(i3c_master_disable_hotjoin, 0xe73e1b17, "_gpl");
SYMBOL_CRC(i3c_master_get_free_addr, 0x296374a0, "_gpl");
SYMBOL_CRC(i3c_master_entdaa_locked, 0x33c67989, "_gpl");
SYMBOL_CRC(i3c_master_disec_locked, 0x740562a3, "_gpl");
SYMBOL_CRC(i3c_master_enec_locked, 0xc1bf5e1c, "_gpl");
SYMBOL_CRC(i3c_master_defslvs_locked, 0x1f21af15, "_gpl");
SYMBOL_CRC(i3c_master_do_daa, 0xd1221d62, "_gpl");
SYMBOL_CRC(i3c_master_set_info, 0x2d889ce1, "_gpl");
SYMBOL_CRC(i3c_master_add_i3c_dev_locked, 0x52e16683, "_gpl");
SYMBOL_CRC(i3c_master_queue_ibi, 0x55cf4a98, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_free_pool, 0x76fe3e05, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_alloc_pool, 0x77a124ae, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_get_free_slot, 0xbe20b2d4, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_recycle_slot, 0x8b3d8abf, "_gpl");
SYMBOL_CRC(i3c_master_register, 0x7262d80c, "_gpl");
SYMBOL_CRC(i3c_master_unregister, 0xa921c518, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa916b694, "strnlen" },
	{ 0x8b35699b, "bus_register_notifier" },
	{ 0xed0bc201, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x35c41ef8, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xb9a85f0c, "idr_remove" },
	{ 0x12cb1804, "bus_unregister" },
	{ 0xba0efd1f, "down_write" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x209b8854, "up_write" },
	{ 0x9907f28, "device_add" },
	{ 0x9820f51a, "idr_alloc" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x6b184ed6, "driver_unregister" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xc08558d4, "i2c_new_client_device" },
	{ 0x25e5be94, "i2c_bus_type" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xa3eb5274, "device_register" },
	{ 0x1080ce71, "device_del" },
	{ 0x4d470eb0, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xe85370b, "pm_runtime_no_callbacks" },
	{ 0x9fb64856, "down_read" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x58c69b21, "i2c_add_adapter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x2d4ca2f4, "blocking_notifier_chain_unregister" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xf40beb46, "__pm_runtime_disable" },
	{ 0xb570b5d7, "up_read" },
	{ 0xe2a805d9, "driver_register" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xddbd0482, "bus_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x45f4e1cd, "__init_rwsem" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x31731993, "bus_unregister_notifier" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x50707f9c, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x68d87d6, "i2c_client_type" },
	{ 0x9668568f, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0x4628038c, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0x3db8d791, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x3168dbe4, "blocking_notifier_call_chain" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9d3d08f0, "put_device" },
	{ 0x6d93b33b, "pm_runtime_enable" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9B46586097E0FAF033FE497");

MODULE_INFO(suserelease, "SLFO-1.2");
