#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(bmc150_regmap_conf, "_gpl", "IIO_BMC150");
KSYMTAB_FUNC(bmc150_accel_core_probe, "_gpl", "IIO_BMC150");
KSYMTAB_FUNC(bmc150_accel_core_remove, "_gpl", "IIO_BMC150");
KSYMTAB_DATA(bmc150_accel_pm_ops, "_gpl", "IIO_BMC150");

SYMBOL_CRC(bmc150_regmap_conf, 0xbc948ed9, "_gpl");
SYMBOL_CRC(bmc150_accel_core_probe, 0xacac2bba, "_gpl");
SYMBOL_CRC(bmc150_accel_core_remove, 0x62aa329f, "_gpl");
SYMBOL_CRC(bmc150_accel_pm_ops, 0x8adfe274, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf40beb46, "__pm_runtime_disable" },
	{ 0x478dcfc2, "__pm_runtime_set_status" },
	{ 0x3e4cc6dc, "iio_trigger_unregister" },
	{ 0x282d9304, "iio_triggered_buffer_cleanup" },
	{ 0xf8d8016b, "regulator_bulk_disable" },
	{ 0x73022cdc, "devm_iio_device_alloc" },
	{ 0x187dccfa, "is_acpi_device_node" },
	{ 0xd30197d, "iio_read_mount_matrix" },
	{ 0xfa0ef4bc, "devm_regulator_bulk_get" },
	{ 0xfaf62c21, "regulator_bulk_enable" },
	{ 0xf9a482f9, "msleep" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0xdf76bbeb, "iio_pollfunc_store_time" },
	{ 0x973f94f6, "iio_triggered_buffer_setup_ext" },
	{ 0xd0934899, "devm_request_threaded_irq" },
	{ 0xd64c1398, "iio_device_id" },
	{ 0x8fe25e36, "__devm_iio_trigger_alloc" },
	{ 0xdd9b1f87, "iio_trigger_register" },
	{ 0x6d93b33b, "pm_runtime_enable" },
	{ 0xf42ab0a3, "pm_runtime_set_autosuspend_delay" },
	{ 0x972fec3a, "__pm_runtime_use_autosuspend" },
	{ 0x14e5848d, "__iio_device_register" },
	{ 0xa298fc0c, "acpi_device_hid" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0x976b0b8a, "iio_read_acpi_mount_matrix" },
	{ 0x716b4fac, "dev_err_probe" },
	{ 0x6a55e78c, "__dev_fwnode" },
	{ 0xe4ae5ed, "fwnode_irq_get_byname" },
	{ 0x1ab3c1f0, "iio_read_const_attr" },
	{ 0xdadf2426, "iio_show_mount_matrix" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf118ab39, "regmap_write" },
	{ 0x6c100ef8, "regmap_get_device" },
	{ 0xc8240d31, "_dev_err" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0xb1cb6610, "iio_get_time_ns" },
	{ 0x473bf988, "iio_trigger_poll" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x2c56a64a, "regmap_update_bits_base" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd5dcc637, "__pm_runtime_resume" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xdf0614a1, "__pm_runtime_suspend" },
	{ 0x29f8f608, "regmap_read" },
	{ 0xb394f52c, "iio_buffer_enabled" },
	{ 0x651b3fa2, "regmap_bulk_read" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf7f728a, "iio_device_get_current_mode" },
	{ 0x6761bb6a, "regmap_raw_read" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x49e32fee, "iio_push_to_buffers" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xbdb41dc8, "iio_push_event" },
	{ 0x3e960a19, "iio_trigger_notify_done" },
	{ 0x1a1d0b1f, "iio_device_unregister" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "industrialio,industrialio-triggered-buffer");


MODULE_INFO(srcversion, "74230F3F4E0A46EB7A272AD");

MODULE_INFO(suserelease, "SLFO-1.2");
