#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(iio_bus_type, "", "");
KSYMTAB_FUNC(iio_device_id, "_gpl", "");
KSYMTAB_FUNC(iio_buffer_enabled, "_gpl", "");
KSYMTAB_FUNC(iio_get_debugfs_dentry, "_gpl", "");
KSYMTAB_FUNC(iio_read_const_attr, "", "");
KSYMTAB_FUNC(iio_device_set_clock, "", "");
KSYMTAB_FUNC(iio_device_get_clock, "", "");
KSYMTAB_FUNC(iio_get_time_ns, "", "");
KSYMTAB_FUNC(iio_enum_available_read, "_gpl", "");
KSYMTAB_FUNC(iio_enum_read, "_gpl", "");
KSYMTAB_FUNC(iio_enum_write, "_gpl", "");
KSYMTAB_FUNC(iio_show_mount_matrix, "_gpl", "");
KSYMTAB_FUNC(iio_read_mount_matrix, "", "");
KSYMTAB_FUNC(iio_format_value, "_gpl", "");
KSYMTAB_FUNC(iio_str_to_fixpoint, "_gpl", "");
KSYMTAB_FUNC(iio_device_alloc, "", "");
KSYMTAB_FUNC(iio_device_free, "", "");
KSYMTAB_FUNC(devm_iio_device_alloc, "_gpl", "");
KSYMTAB_FUNC(iio_active_scan_mask_index, "_gpl", "");
KSYMTAB_FUNC(__iio_device_register, "", "");
KSYMTAB_FUNC(iio_device_unregister, "", "");
KSYMTAB_FUNC(__devm_iio_device_register, "_gpl", "");
KSYMTAB_FUNC(iio_device_claim_direct_mode, "_gpl", "");
KSYMTAB_FUNC(iio_device_release_direct_mode, "_gpl", "");
KSYMTAB_FUNC(iio_device_claim_buffer_mode, "_gpl", "");
KSYMTAB_FUNC(iio_device_release_buffer_mode, "_gpl", "");
KSYMTAB_FUNC(iio_device_get_current_mode, "_gpl", "");
KSYMTAB_FUNC(iio_push_event, "", "");
KSYMTAB_FUNC(iio_map_array_register, "_gpl", "");
KSYMTAB_FUNC(iio_map_array_unregister, "_gpl", "");
KSYMTAB_FUNC(devm_iio_map_array_register, "_gpl", "");
KSYMTAB_FUNC(fwnode_iio_channel_get_by_name, "_gpl", "");
KSYMTAB_FUNC(iio_channel_get, "_gpl", "");
KSYMTAB_FUNC(iio_channel_release, "_gpl", "");
KSYMTAB_FUNC(devm_iio_channel_get, "_gpl", "");
KSYMTAB_FUNC(devm_fwnode_iio_channel_get_by_name, "_gpl", "");
KSYMTAB_FUNC(iio_channel_get_all, "_gpl", "");
KSYMTAB_FUNC(iio_channel_release_all, "_gpl", "");
KSYMTAB_FUNC(devm_iio_channel_get_all, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_raw, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_average_raw, "_gpl", "");
KSYMTAB_FUNC(iio_convert_raw_to_processed, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_attribute, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_offset, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_processed_scale, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_processed, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_scale, "_gpl", "");
KSYMTAB_FUNC(iio_read_avail_channel_attribute, "_gpl", "");
KSYMTAB_FUNC(iio_read_avail_channel_raw, "_gpl", "");
KSYMTAB_FUNC(iio_read_max_channel_raw, "_gpl", "");
KSYMTAB_FUNC(iio_read_min_channel_raw, "_gpl", "");
KSYMTAB_FUNC(iio_get_channel_type, "_gpl", "");
KSYMTAB_FUNC(iio_write_channel_attribute, "_gpl", "");
KSYMTAB_FUNC(iio_write_channel_raw, "_gpl", "");
KSYMTAB_FUNC(iio_get_channel_ext_info_count, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_ext_info, "_gpl", "");
KSYMTAB_FUNC(iio_write_channel_ext_info, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_label, "_gpl", "");
KSYMTAB_FUNC(iio_pop_from_buffer, "_gpl", "");
KSYMTAB_FUNC(iio_buffer_init, "", "");
KSYMTAB_FUNC(iio_update_buffers, "_gpl", "");
KSYMTAB_FUNC(iio_buffer_signal_dmabuf_done, "_gpl", "");
KSYMTAB_FUNC(iio_validate_scan_mask_onehot, "_gpl", "");
KSYMTAB_FUNC(iio_push_to_buffers, "_gpl", "");
KSYMTAB_FUNC(iio_push_to_buffers_with_ts_unaligned, "_gpl", "");
KSYMTAB_FUNC(iio_buffer_get, "_gpl", "");
KSYMTAB_FUNC(iio_buffer_put, "_gpl", "");
KSYMTAB_FUNC(iio_device_attach_buffer, "_gpl", "");
KSYMTAB_FUNC(iio_trigger_register, "", "");
KSYMTAB_FUNC(iio_trigger_unregister, "", "");
KSYMTAB_FUNC(iio_trigger_set_immutable, "", "");
KSYMTAB_FUNC(iio_trigger_poll, "", "");
KSYMTAB_FUNC(iio_trigger_generic_data_rdy_poll, "", "");
KSYMTAB_FUNC(iio_trigger_poll_nested, "", "");
KSYMTAB_FUNC(iio_trigger_notify_done, "", "");
KSYMTAB_FUNC(iio_pollfunc_store_time, "", "");
KSYMTAB_FUNC(iio_alloc_pollfunc, "_gpl", "");
KSYMTAB_FUNC(iio_dealloc_pollfunc, "_gpl", "");
KSYMTAB_FUNC(__iio_trigger_alloc, "", "");
KSYMTAB_FUNC(iio_trigger_free, "", "");
KSYMTAB_FUNC(__devm_iio_trigger_alloc, "_gpl", "");
KSYMTAB_FUNC(devm_iio_trigger_register, "_gpl", "");
KSYMTAB_FUNC(iio_trigger_using_own, "", "");
KSYMTAB_FUNC(iio_validate_own_trigger, "_gpl", "");
KSYMTAB_FUNC(iio_trigger_validate_own_device, "", "");
KSYMTAB_FUNC(iio_device_suspend_triggering, "", "");
KSYMTAB_FUNC(iio_device_resume_triggering, "", "");
KSYMTAB_FUNC(iio_read_acpi_mount_matrix, "_gpl", "");

SYMBOL_CRC(iio_bus_type, 0x2c7cc782, "");
SYMBOL_CRC(iio_device_id, 0xd64c1398, "_gpl");
SYMBOL_CRC(iio_buffer_enabled, 0xb394f52c, "_gpl");
SYMBOL_CRC(iio_get_debugfs_dentry, 0x7c0b8b08, "_gpl");
SYMBOL_CRC(iio_read_const_attr, 0x1ab3c1f0, "");
SYMBOL_CRC(iio_device_set_clock, 0x53ae01cd, "");
SYMBOL_CRC(iio_device_get_clock, 0xe1ff33c7, "");
SYMBOL_CRC(iio_get_time_ns, 0xb1cb6610, "");
SYMBOL_CRC(iio_enum_available_read, 0x7f837f30, "_gpl");
SYMBOL_CRC(iio_enum_read, 0x0932ebdd, "_gpl");
SYMBOL_CRC(iio_enum_write, 0x1ce0d22e, "_gpl");
SYMBOL_CRC(iio_show_mount_matrix, 0xdadf2426, "_gpl");
SYMBOL_CRC(iio_read_mount_matrix, 0x0d30197d, "");
SYMBOL_CRC(iio_format_value, 0x4dce7dd4, "_gpl");
SYMBOL_CRC(iio_str_to_fixpoint, 0x26f6b499, "_gpl");
SYMBOL_CRC(iio_device_alloc, 0x86adf5ca, "");
SYMBOL_CRC(iio_device_free, 0xe41fccb8, "");
SYMBOL_CRC(devm_iio_device_alloc, 0x73022cdc, "_gpl");
SYMBOL_CRC(iio_active_scan_mask_index, 0x35d82857, "_gpl");
SYMBOL_CRC(__iio_device_register, 0x14e5848d, "");
SYMBOL_CRC(iio_device_unregister, 0x1a1d0b1f, "");
SYMBOL_CRC(__devm_iio_device_register, 0xf6d88cc9, "_gpl");
SYMBOL_CRC(iio_device_claim_direct_mode, 0x960c1694, "_gpl");
SYMBOL_CRC(iio_device_release_direct_mode, 0x99f36ba4, "_gpl");
SYMBOL_CRC(iio_device_claim_buffer_mode, 0x956c247e, "_gpl");
SYMBOL_CRC(iio_device_release_buffer_mode, 0x9a93594e, "_gpl");
SYMBOL_CRC(iio_device_get_current_mode, 0x0f7f728a, "_gpl");
SYMBOL_CRC(iio_push_event, 0xbdb41dc8, "");
SYMBOL_CRC(iio_map_array_register, 0xbb84485a, "_gpl");
SYMBOL_CRC(iio_map_array_unregister, 0x2811f35e, "_gpl");
SYMBOL_CRC(devm_iio_map_array_register, 0xee55d128, "_gpl");
SYMBOL_CRC(fwnode_iio_channel_get_by_name, 0xaec17960, "_gpl");
SYMBOL_CRC(iio_channel_get, 0x71a7f42d, "_gpl");
SYMBOL_CRC(iio_channel_release, 0x0a51fb9a, "_gpl");
SYMBOL_CRC(devm_iio_channel_get, 0x81ba446e, "_gpl");
SYMBOL_CRC(devm_fwnode_iio_channel_get_by_name, 0x18f344e4, "_gpl");
SYMBOL_CRC(iio_channel_get_all, 0x934de9d8, "_gpl");
SYMBOL_CRC(iio_channel_release_all, 0xf34284be, "_gpl");
SYMBOL_CRC(devm_iio_channel_get_all, 0x8a32ca49, "_gpl");
SYMBOL_CRC(iio_read_channel_raw, 0x4250f14b, "_gpl");
SYMBOL_CRC(iio_read_channel_average_raw, 0xdb0c144e, "_gpl");
SYMBOL_CRC(iio_convert_raw_to_processed, 0x9bcded12, "_gpl");
SYMBOL_CRC(iio_read_channel_attribute, 0x46b5f1b1, "_gpl");
SYMBOL_CRC(iio_read_channel_offset, 0xc3a3373a, "_gpl");
SYMBOL_CRC(iio_read_channel_processed_scale, 0x79098f83, "_gpl");
SYMBOL_CRC(iio_read_channel_processed, 0x5164f803, "_gpl");
SYMBOL_CRC(iio_read_channel_scale, 0xdcfa7b73, "_gpl");
SYMBOL_CRC(iio_read_avail_channel_attribute, 0x634cb826, "_gpl");
SYMBOL_CRC(iio_read_avail_channel_raw, 0x45ece991, "_gpl");
SYMBOL_CRC(iio_read_max_channel_raw, 0x0109eeec, "_gpl");
SYMBOL_CRC(iio_read_min_channel_raw, 0x409caa08, "_gpl");
SYMBOL_CRC(iio_get_channel_type, 0x3ecdfef6, "_gpl");
SYMBOL_CRC(iio_write_channel_attribute, 0xcf28e6ad, "_gpl");
SYMBOL_CRC(iio_write_channel_raw, 0xc9c28b53, "_gpl");
SYMBOL_CRC(iio_get_channel_ext_info_count, 0x6d4d3d25, "_gpl");
SYMBOL_CRC(iio_read_channel_ext_info, 0x57cabc97, "_gpl");
SYMBOL_CRC(iio_write_channel_ext_info, 0xed3e57b1, "_gpl");
SYMBOL_CRC(iio_read_channel_label, 0x74f15e05, "_gpl");
SYMBOL_CRC(iio_pop_from_buffer, 0x1b88fc3f, "_gpl");
SYMBOL_CRC(iio_buffer_init, 0x4c715c57, "");
SYMBOL_CRC(iio_update_buffers, 0x0b58aa15, "_gpl");
SYMBOL_CRC(iio_buffer_signal_dmabuf_done, 0x49464a3f, "_gpl");
SYMBOL_CRC(iio_validate_scan_mask_onehot, 0xae00a431, "_gpl");
SYMBOL_CRC(iio_push_to_buffers, 0x49e32fee, "_gpl");
SYMBOL_CRC(iio_push_to_buffers_with_ts_unaligned, 0xff2c8fa6, "_gpl");
SYMBOL_CRC(iio_buffer_get, 0xaf11a917, "_gpl");
SYMBOL_CRC(iio_buffer_put, 0x7ba695a3, "_gpl");
SYMBOL_CRC(iio_device_attach_buffer, 0x73e1da56, "_gpl");
SYMBOL_CRC(iio_trigger_register, 0xdd9b1f87, "");
SYMBOL_CRC(iio_trigger_unregister, 0x3e4cc6dc, "");
SYMBOL_CRC(iio_trigger_set_immutable, 0x230cac44, "");
SYMBOL_CRC(iio_trigger_poll, 0x473bf988, "");
SYMBOL_CRC(iio_trigger_generic_data_rdy_poll, 0x2d6bcdcb, "");
SYMBOL_CRC(iio_trigger_poll_nested, 0x720c5ed1, "");
SYMBOL_CRC(iio_trigger_notify_done, 0x3e960a19, "");
SYMBOL_CRC(iio_pollfunc_store_time, 0xdf76bbeb, "");
SYMBOL_CRC(iio_alloc_pollfunc, 0xeefc2e24, "_gpl");
SYMBOL_CRC(iio_dealloc_pollfunc, 0xf5c18000, "_gpl");
SYMBOL_CRC(__iio_trigger_alloc, 0xd854ef7e, "");
SYMBOL_CRC(iio_trigger_free, 0x2f2db79f, "");
SYMBOL_CRC(__devm_iio_trigger_alloc, 0x8fe25e36, "_gpl");
SYMBOL_CRC(devm_iio_trigger_register, 0x713a1907, "_gpl");
SYMBOL_CRC(iio_trigger_using_own, 0xddba80f2, "");
SYMBOL_CRC(iio_validate_own_trigger, 0x7e74ec5c, "_gpl");
SYMBOL_CRC(iio_trigger_validate_own_device, 0x7c27fb74, "");
SYMBOL_CRC(iio_device_suspend_triggering, 0x5fbba47e, "");
SYMBOL_CRC(iio_device_resume_triggering, 0xeeaefe39, "");
SYMBOL_CRC(iio_read_acpi_mount_matrix, 0x976b0b8a, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4494c65a, "cdev_device_add" },
	{ 0x6f23b3ba, "ww_mutex_trylock" },
	{ 0x1000e51, "schedule" },
	{ 0x76a0190a, "anon_inode_getfd" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9d3d08f0, "put_device" },
	{ 0x20dbf27, "bitmap_alloc" },
	{ 0x20046f33, "dma_buf_map_attachment" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0x1c5b1f28, "irq_free_descs" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xfeb5504f, "handle_simple_irq" },
	{ 0x71b12b37, "_dev_info" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x7276b73a, "module_put" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x7228ccc9, "compat_ptr_ioctl" },
	{ 0xf5e7ea40, "ktime_get_coarse_ts64" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x12cb1804, "bus_unregister" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x5a0f8bd0, "simple_open" },
	{ 0xb2cf0d, "dma_buf_unmap_attachment" },
	{ 0xc864bff6, "bus_find_device" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0x9907f28, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x587b0954, "kvasprintf" },
	{ 0x5f577086, "noop_llseek" },
	{ 0xaff268c7, "dma_fence_signal" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x7ae845f3, "dma_buf_get" },
	{ 0x6de67898, "debugfs_remove" },
	{ 0x6325765, "device_property_read_string_array" },
	{ 0x19c290ca, "__devres_alloc_node" },
	{ 0xefafcb0b, "ww_mutex_lock" },
	{ 0xb41ff610, "dma_buf_put" },
	{ 0x10119bb, "ida_free" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x499c23b, "dma_fence_init" },
	{ 0x3edbc68d, "mutex_lock_interruptible" },
	{ 0x4578f528, "__kfifo_to_user" },
	{ 0x1080ce71, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0x549525ef, "handle_nested_irq" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xa3a4319b, "__irq_alloc_descs" },
	{ 0xf122d883, "fwnode_property_read_string" },
	{ 0x39b37d3a, "fwnode_property_present" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0xc2689a4b, "fwnode_get_next_parent" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x8ae718dd, "debugfs_create_file_full" },
	{ 0x1b8d77be, "dma_buf_detach" },
	{ 0x59c280e5, "devm_krealloc" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xd6a78628, "remove_wait_queue" },
	{ 0x7c22f348, "__irq_set_handler" },
	{ 0x177e48ab, "__devm_add_action" },
	{ 0x2d774a89, "irq_set_chip" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xd20f3ddd, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xda59c8d, "cdev_init" },
	{ 0x6a55e78c, "__dev_fwnode" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0xddbd0482, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x9714e0bb, "ktime_get_raw" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xa2429ab9, "ida_alloc_range" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9425c3d9, "ww_mutex_lock_interruptible" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0x187dccfa, "is_acpi_device_node" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xfe0cae17, "dma_resv_reserve_fences" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xbcc15e75, "ktime_get_coarse_with_offset" },
	{ 0x50707f9c, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8b3be13e, "dma_resv_wait_timeout" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x59a754ae, "cdev_device_del" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0x90cfa281, "ww_mutex_unlock" },
	{ 0x4628038c, "device_initialize" },
	{ 0x69acdf38, "memcpy" },
	{ 0x1bdfd5e2, "dma_resv_add_fence" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x7ceaf0d5, "generic_handle_irq" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xa55b06bd, "add_wait_queue" },
	{ 0x6f3b6e24, "fwnode_property_get_reference_args" },
	{ 0x3416d62c, "prepare_to_wait_event" },
	{ 0xf6491531, "__wake_up" },
	{ 0x883c3a0f, "__module_get" },
	{ 0x8576e767, "get_device" },
	{ 0xf7309697, "dma_buf_attach" },
	{ 0xcfd60960, "fwnode_property_match_string" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0x33d5ddc6, "fwnode_get_parent" },
	{ 0xcee82587, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x78f542b4, "device_match_fwnode" },
	{ 0x37d443ec, "device_set_node" },
	{ 0x92997ed8, "_printk" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6BD55988EA91331F0C4E4EC");

MODULE_INFO(suserelease, "SLFO-1.2");
