#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(iwcm_reject_msg, "", "");
KSYMTAB_FUNC(iw_create_cm_id, "", "");
KSYMTAB_FUNC(iw_cm_disconnect, "", "");
KSYMTAB_FUNC(iw_destroy_cm_id, "", "");
KSYMTAB_FUNC(iw_cm_listen, "", "");
KSYMTAB_FUNC(iw_cm_reject, "", "");
KSYMTAB_FUNC(iw_cm_accept, "", "");
KSYMTAB_FUNC(iw_cm_connect, "", "");
KSYMTAB_FUNC(iw_cm_init_qp_attr, "", "");

SYMBOL_CRC(iwcm_reject_msg, 0xf3df871f, "");
SYMBOL_CRC(iw_create_cm_id, 0xc191da18, "");
SYMBOL_CRC(iw_cm_disconnect, 0x740df9c0, "");
SYMBOL_CRC(iw_destroy_cm_id, 0x12445786, "");
SYMBOL_CRC(iw_cm_listen, 0xf63a91a5, "");
SYMBOL_CRC(iw_cm_reject, 0x1e2143e8, "");
SYMBOL_CRC(iw_cm_accept, 0x104280f6, "");
SYMBOL_CRC(iw_cm_connect, 0x3c17710a, "");
SYMBOL_CRC(iw_cm_init_qp_attr, 0xb9b4ad33, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0xcf2a6966, "up" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x3416d62c, "prepare_to_wait_event" },
	{ 0xf6491531, "__wake_up" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x62faafff, "register_net_sysctl_sz" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa916b694, "strnlen" },
	{ 0xb0e1ef77, "rdma_nl_unicast" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x75a729a0, "rdma_nl_unregister" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x91f1a6a7, "rdma_nl_multicast" },
	{ 0x1eb1abab, "init_net" },
	{ 0x6626afca, "down" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x44ffc940, "ibnl_put_attr" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0x4e69b266, "__netdev_alloc_skb" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xec935608, "ib_modify_qp" },
	{ 0xb2c6a57b, "rdma_nl_unicast_wait" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x70ee1bf3, "proc_dointvec" },
	{ 0x64a4da03, "unregister_net_sysctl_table" },
	{ 0x754d539c, "strlen" },
	{ 0x16a57400, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x30ffa014, "rdma_nl_register" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x92e683f5, "down_timeout" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x85fde220, "ibnl_put_msg" },
	{ 0x74885bdc, "consume_skb" },
	{ 0x3d1059ea, "__nla_validate" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "E0F7EC9813D87E74172DB24");

MODULE_INFO(suserelease, "SLFO-1.2");
