#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rdma_event_msg, "", "");
KSYMTAB_FUNC(rdma_reject_msg, "", "");
KSYMTAB_FUNC(rdma_consumer_reject_data, "", "");
KSYMTAB_FUNC(rdma_iw_cm_id, "", "");
KSYMTAB_FUNC(rdma_res_to_id, "", "");
KSYMTAB_FUNC(__rdma_create_kernel_id, "", "");
KSYMTAB_FUNC(rdma_create_user_id, "", "");
KSYMTAB_FUNC(rdma_create_qp, "", "");
KSYMTAB_FUNC(rdma_destroy_qp, "", "");
KSYMTAB_FUNC(rdma_init_qp_attr, "", "");
KSYMTAB_FUNC(rdma_destroy_id, "", "");
KSYMTAB_FUNC(rdma_get_service_id, "", "");
KSYMTAB_FUNC(rdma_read_gids, "", "");
KSYMTAB_FUNC(rdma_set_service_type, "", "");
KSYMTAB_FUNC(rdma_set_ack_timeout, "", "");
KSYMTAB_FUNC(rdma_set_min_rnr_timer, "", "");
KSYMTAB_FUNC(rdma_set_ib_path, "", "");
KSYMTAB_FUNC(rdma_resolve_route, "", "");
KSYMTAB_FUNC(rdma_set_reuseaddr, "", "");
KSYMTAB_FUNC(rdma_set_afonly, "", "");
KSYMTAB_FUNC(rdma_listen, "", "");
KSYMTAB_FUNC(rdma_resolve_addr, "", "");
KSYMTAB_FUNC(rdma_bind_addr, "", "");
KSYMTAB_FUNC(rdma_connect_locked, "", "");
KSYMTAB_FUNC(rdma_connect, "", "");
KSYMTAB_FUNC(rdma_connect_ece, "", "");
KSYMTAB_FUNC(rdma_accept, "", "");
KSYMTAB_FUNC(rdma_accept_ece, "", "");
KSYMTAB_FUNC(rdma_lock_handler, "", "");
KSYMTAB_FUNC(rdma_unlock_handler, "", "");
KSYMTAB_FUNC(rdma_notify, "", "");
KSYMTAB_FUNC(rdma_reject, "", "");
KSYMTAB_FUNC(rdma_disconnect, "", "");
KSYMTAB_FUNC(rdma_join_multicast, "", "");
KSYMTAB_FUNC(rdma_leave_multicast, "", "");

SYMBOL_CRC(rdma_event_msg, 0x907df803, "");
SYMBOL_CRC(rdma_reject_msg, 0xe7157985, "");
SYMBOL_CRC(rdma_consumer_reject_data, 0xa5a09a88, "");
SYMBOL_CRC(rdma_iw_cm_id, 0x5de5f90c, "");
SYMBOL_CRC(rdma_res_to_id, 0x4ba114e6, "");
SYMBOL_CRC(__rdma_create_kernel_id, 0xbe2ef868, "");
SYMBOL_CRC(rdma_create_user_id, 0xbbcf9a24, "");
SYMBOL_CRC(rdma_create_qp, 0x3210f3c7, "");
SYMBOL_CRC(rdma_destroy_qp, 0xb244cdff, "");
SYMBOL_CRC(rdma_init_qp_attr, 0xceedf336, "");
SYMBOL_CRC(rdma_destroy_id, 0xb2fff61c, "");
SYMBOL_CRC(rdma_get_service_id, 0x8d2b2b78, "");
SYMBOL_CRC(rdma_read_gids, 0x630adca4, "");
SYMBOL_CRC(rdma_set_service_type, 0x9b29d596, "");
SYMBOL_CRC(rdma_set_ack_timeout, 0xe846f089, "");
SYMBOL_CRC(rdma_set_min_rnr_timer, 0x44fcf59c, "");
SYMBOL_CRC(rdma_set_ib_path, 0x6b93cd5e, "");
SYMBOL_CRC(rdma_resolve_route, 0xefc4d418, "");
SYMBOL_CRC(rdma_set_reuseaddr, 0x6a84db2e, "");
SYMBOL_CRC(rdma_set_afonly, 0xb9a5fac0, "");
SYMBOL_CRC(rdma_listen, 0xb7cb2678, "");
SYMBOL_CRC(rdma_resolve_addr, 0xe826bee4, "");
SYMBOL_CRC(rdma_bind_addr, 0x64362284, "");
SYMBOL_CRC(rdma_connect_locked, 0x01682aed, "");
SYMBOL_CRC(rdma_connect, 0xc76b686c, "");
SYMBOL_CRC(rdma_connect_ece, 0xa76c6b36, "");
SYMBOL_CRC(rdma_accept, 0x7ade67cf, "");
SYMBOL_CRC(rdma_accept_ece, 0xd441d3f9, "");
SYMBOL_CRC(rdma_lock_handler, 0x4377c83d, "");
SYMBOL_CRC(rdma_unlock_handler, 0x647ea674, "");
SYMBOL_CRC(rdma_notify, 0xf371e118, "");
SYMBOL_CRC(rdma_reject, 0xd07bbeb6, "");
SYMBOL_CRC(rdma_disconnect, 0xaaa03c66, "");
SYMBOL_CRC(rdma_join_multicast, 0xd9984988, "");
SYMBOL_CRC(rdma_leave_multicast, 0xd3fcd9f3, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3c17710a, "iw_cm_connect" },
	{ 0xb2a7623e, "rdma_restrack_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8aa79670, "rdma_addr_cancel" },
	{ 0x3ec59fd9, "ib_cm_notify" },
	{ 0xa916b694, "strnlen" },
	{ 0x1df6f19f, "ib_sa_get_mcmember_rec" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0xc6cbbc89, "capable" },
	{ 0xda0d50ec, "ib_sa_cancel_query" },
	{ 0x4fcbfa03, "ib_register_client" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x3d297878, "ib_sa_path_rec_get" },
	{ 0x81c2042f, "ib_create_cm_id" },
	{ 0x13154a3d, "__ip_mc_dec_group" },
	{ 0x3fe724ad, "vlan_dev_real_dev" },
	{ 0x439ce33c, "ib_sa_unregister_client" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x7ec56c70, "perf_trace_run_bpf_submit" },
	{ 0xd32b62bc, "ib_init_ah_from_mcmember" },
	{ 0xceb288fc, "rdma_destroy_ah_attr" },
	{ 0x1bbc2c5d, "ib_set_client_data" },
	{ 0x1eb1abab, "init_net" },
	{ 0x4ca329bb, "ib_get_cached_pkey" },
	{ 0x3e5a5fb3, "configfs_register_subsystem" },
	{ 0x4d7ea968, "configfs_remove_default_groups" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb9b31de8, "xa_load" },
	{ 0xe8447127, "rdma_put_gid_attr" },
	{ 0x23da8e76, "config_group_init_type_name" },
	{ 0xf785fbf2, "dev_get_by_index" },
	{ 0x12445786, "iw_destroy_cm_id" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xae84b7c4, "dev_get_by_index_rcu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0xee6b5ae7, "ib_send_cm_rep" },
	{ 0x658574f4, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x90e807c7, "ib_cache_gid_parse_type_str" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x740df9c0, "iw_cm_disconnect" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xf3df871f, "iwcm_reject_msg" },
	{ 0x57a45346, "bpf_trace_run1" },
	{ 0xf526f9d8, "ib_destroy_qp_user" },
	{ 0x74ce375f, "unregister_pernet_subsys" },
	{ 0x64de48d, "ib_cm_init_qp_attr" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0xda1361e2, "ib_send_cm_drep" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x603b4d7c, "rdma_restrack_set_name" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x66a9bf7d, "ib_get_net_dev_by_params" },
	{ 0x4e90435c, "ib_sa_free_multicast" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x5e302573, "ib_get_cached_port_state" },
	{ 0xd1caea08, "ib_send_cm_mra" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xcaa36db9, "rdma_restrack_del" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xec935608, "ib_modify_qp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xb98fa7ed, "__xa_insert" },
	{ 0x918431c7, "xa_erase" },
	{ 0xcb67b626, "bpf_trace_run3" },
	{ 0x2cb42dd5, "__put_net" },
	{ 0xfa037324, "rdma_restrack_parent_name" },
	{ 0x104280f6, "iw_cm_accept" },
	{ 0x27a7a36e, "trace_event_buffer_reserve" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x1c9173ee, "config_item_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1e2143e8, "iw_cm_reject" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x69824a14, "ibcm_reject_msg" },
	{ 0xb9b4ad33, "iw_cm_init_qp_attr" },
	{ 0x297093d2, "dst_release" },
	{ 0x19a28fd, "ib_send_cm_rtu" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x7e567644, "ib_send_cm_dreq" },
	{ 0x3a40479b, "ib_send_cm_req" },
	{ 0x32225815, "ib_create_qp_kernel" },
	{ 0xe1ceac00, "ib_sa_join_multicast" },
	{ 0x520a9312, "roce_gid_type_mask_support" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x6211424e, "rdma_get_gid_attr" },
	{ 0x80a161bc, "rdma_restrack_new" },
	{ 0x86e76d62, "__fib_lookup" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0xf63a91a5, "iw_cm_listen" },
	{ 0xd86c554f, "ib_send_cm_rej" },
	{ 0xbd53567e, "rdma_copy_src_l2_addr" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x341287f, "rdma_resolve_ip" },
	{ 0x4178d8cd, "ib_send_cm_sidr_req" },
	{ 0x55bb02f3, "ib_cache_gid_type_str" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc191da18, "iw_create_cm_id" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x6ddfd5e1, "ib_unregister_client" },
	{ 0xeb5dfd30, "netdev_walk_all_lower_dev_rcu" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xdc530eb8, "ib_send_cm_sidr_rep" },
	{ 0x1d337321, "bpf_trace_run4" },
	{ 0x2dc5600c, "config_group_init" },
	{ 0xa3c04c39, "ib_init_ah_attr_from_path" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x10ee9153, "rdma_find_gid_by_port" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa11a97c1, "trace_raw_output_prep" },
	{ 0x6534c81e, "ib_cm_insert_listen" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xb07d43ee, "__trace_trigger_soft_disabled" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xdf4574bf, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc86f5cb, "ib_sa_register_client" },
	{ 0x549dee85, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfe351107, "rdma_query_gid" },
	{ 0xd7dd3a15, "rt6_lookup" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xd3eafb6d, "rdma_translate_ip" },
	{ 0xd0d9d74c, "bpf_trace_run2" },
	{ 0xa512ac4c, "rdma_dev_access_netns" },
	{ 0xf2943aee, "fib_table_lookup" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x70807834, "rdma_addr_size" },
	{ 0x4bf9b0e6, "ib_destroy_cm_id" },
	{ 0xf5dedb30, "rdma_node_get_transport" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa3c48948, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x8a0061d1, "register_pernet_subsys" },
	{ 0x77188b5d, "trace_event_buffer_commit" },
	{ 0xdc56587b, "ip_mc_inc_group" },
	{ 0x7d8f412c, "rdma_read_gid_attr_ndev_rcu" },
	{ 0x9ce4eecd, "ib_find_cached_pkey" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1fbd16da, "ip_tos2prio" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "iw_cm,ib_core,ib_cm,configfs");


MODULE_INFO(srcversion, "33687F450EB7128D7AB4B60");

MODULE_INFO(suserelease, "SLFO-1.2");
