#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rvt_alloc_device, "", "");
KSYMTAB_FUNC(rvt_dealloc_device, "", "");
KSYMTAB_FUNC(rvt_register_device, "", "");
KSYMTAB_FUNC(rvt_unregister_device, "", "");
KSYMTAB_FUNC(rvt_init_port, "", "");
KSYMTAB_FUNC(rvt_check_ah, "", "");
KSYMTAB_FUNC(rvt_cq_enter, "", "");
KSYMTAB_FUNC(rvt_mcast_find, "", "");
KSYMTAB_FUNC(rvt_fast_reg_mr, "", "");
KSYMTAB_FUNC(rvt_invalidate_rkey, "", "");
KSYMTAB_FUNC(rvt_lkey_ok, "", "");
KSYMTAB_FUNC(rvt_rkey_ok, "", "");
KSYMTAB_DATA(ib_rvt_state_ops, "", "");
KSYMTAB_FUNC(rvt_error_qp, "", "");
KSYMTAB_FUNC(rvt_get_rwqe, "", "");
KSYMTAB_FUNC(rvt_comm_est, "", "");
KSYMTAB_FUNC(rvt_rc_error, "", "");
KSYMTAB_FUNC(rvt_rnr_tbl_to_usec, "", "");
KSYMTAB_FUNC(rvt_add_retry_timer_ext, "", "");
KSYMTAB_FUNC(rvt_add_rnr_timer, "", "");
KSYMTAB_FUNC(rvt_stop_rc_timers, "", "");
KSYMTAB_FUNC(rvt_del_timers_sync, "", "");
KSYMTAB_FUNC(rvt_rc_rnr_retry, "", "");
KSYMTAB_FUNC(rvt_qp_iter_init, "", "");
KSYMTAB_FUNC(rvt_qp_iter_next, "", "");
KSYMTAB_FUNC(rvt_qp_iter, "", "");
KSYMTAB_FUNC(rvt_send_complete, "", "");
KSYMTAB_FUNC(rvt_copy_sge, "", "");
KSYMTAB_FUNC(rvt_ruc_loopback, "", "");
KSYMTAB_FUNC(rvt_compute_aeth, "", "");
KSYMTAB_FUNC(rvt_get_credit, "", "");
KSYMTAB_FUNC(rvt_restart_sge, "", "");

SYMBOL_CRC(rvt_alloc_device, 0x2e60c98e, "");
SYMBOL_CRC(rvt_dealloc_device, 0xa2fbc719, "");
SYMBOL_CRC(rvt_register_device, 0x88c50d72, "");
SYMBOL_CRC(rvt_unregister_device, 0x6c810757, "");
SYMBOL_CRC(rvt_init_port, 0x8ed0b754, "");
SYMBOL_CRC(rvt_check_ah, 0xf0a7eaf6, "");
SYMBOL_CRC(rvt_cq_enter, 0x60cc8c13, "");
SYMBOL_CRC(rvt_mcast_find, 0x2389bd76, "");
SYMBOL_CRC(rvt_fast_reg_mr, 0x2a30fc9d, "");
SYMBOL_CRC(rvt_invalidate_rkey, 0xda505097, "");
SYMBOL_CRC(rvt_lkey_ok, 0x7320e906, "");
SYMBOL_CRC(rvt_rkey_ok, 0x5f65ca53, "");
SYMBOL_CRC(ib_rvt_state_ops, 0x0e385842, "");
SYMBOL_CRC(rvt_error_qp, 0x9bfb567f, "");
SYMBOL_CRC(rvt_get_rwqe, 0x949721bd, "");
SYMBOL_CRC(rvt_comm_est, 0x31a10136, "");
SYMBOL_CRC(rvt_rc_error, 0x679794cf, "");
SYMBOL_CRC(rvt_rnr_tbl_to_usec, 0xe9cf3e43, "");
SYMBOL_CRC(rvt_add_retry_timer_ext, 0xd9e8a13c, "");
SYMBOL_CRC(rvt_add_rnr_timer, 0x3f99eb9f, "");
SYMBOL_CRC(rvt_stop_rc_timers, 0x0c15a5a4, "");
SYMBOL_CRC(rvt_del_timers_sync, 0x41659b3b, "");
SYMBOL_CRC(rvt_rc_rnr_retry, 0x44b5d0c0, "");
SYMBOL_CRC(rvt_qp_iter_init, 0xc0c8d1f4, "");
SYMBOL_CRC(rvt_qp_iter_next, 0x21e111ac, "");
SYMBOL_CRC(rvt_qp_iter, 0xbb717eaa, "");
SYMBOL_CRC(rvt_send_complete, 0x3e79ec6a, "");
SYMBOL_CRC(rvt_copy_sge, 0x1f85b8a8, "");
SYMBOL_CRC(rvt_ruc_loopback, 0xb61a3022, "");
SYMBOL_CRC(rvt_compute_aeth, 0x921a9e28, "");
SYMBOL_CRC(rvt_get_credit, 0xe5afeacd, "");
SYMBOL_CRC(rvt_restart_sge, 0xe4976c8e, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd0d9d74c, "bpf_trace_run2" },
	{ 0x3416d62c, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6491531, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xf99fe34b, "vmalloc_user_noprof" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x2939f1fe, "_ib_alloc_device" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x77188b5d, "trace_event_buffer_commit" },
	{ 0xa3227705, "ib_unregister_device" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x4b780112, "ib_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x71b12b37, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x4eaa5515, "ib_unregister_mad_agent" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x7ec56c70, "perf_trace_run_bpf_submit" },
	{ 0xceb288fc, "rdma_destroy_ah_attr" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7ff53d0f, "bpf_trace_run5" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1f5423b1, "ib_umem_get" },
	{ 0x7ef4bddc, "__sg_page_iter_next" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xf43cd212, "ib_query_port" },
	{ 0x658574f4, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0x3a5797c9, "hrtimer_start_range_ns" },
	{ 0x36d1cc54, "__kmalloc_cache_node_noprof" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0x86c3a855, "rdma_destroy_ah_user" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x7db8cec4, "ib_dealloc_device" },
	{ 0x5880fdb9, "ib_free_send_mad" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcb67b626, "bpf_trace_run3" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x999e8297, "vfree" },
	{ 0x27a7a36e, "trace_event_buffer_reserve" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x562dc30, "__sg_page_iter_start" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5402ada3, "hrtimer_cancel" },
	{ 0x250337ee, "boot_cpu_data" },
	{ 0x8979616a, "ib_register_mad_agent" },
	{ 0x3b423410, "__copy_user_nocache" },
	{ 0xacdfbb2, "remap_vmalloc_range" },
	{ 0x754d539c, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x7763f15b, "rdma_replace_ah_attr" },
	{ 0x45d246da, "node_to_cpumask_map" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xa1968886, "ib_set_device_ops" },
	{ 0x6c183078, "ib_rate_to_mbps" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xa6de9e81, "rdma_copy_ah_attr" },
	{ 0x279d0ad7, "vzalloc_node_noprof" },
	{ 0x6d8cbbe4, "ib_umem_release" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0xa11a97c1, "trace_raw_output_prep" },
	{ 0x23587977, "hrtimer_try_to_cancel" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xb07d43ee, "__trace_trigger_soft_disabled" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0xe80f8d0d, "__kmalloc_node_noprof" },
	{ 0x838eb641, "vmalloc_node_noprof" },
	{ 0xdf4574bf, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xab62888d, "ib_modify_qp_is_ok" },
	{ 0x8b773ecd, "hrtimer_init" },
	{ 0x549dee85, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x76ad00e0, "ib_sg_to_pages" },
	{ 0x37a0cba, "kfree" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "ib_core,ib_uverbs");


MODULE_INFO(srcversion, "9E670BCFE4FDD873CE92ABD");

MODULE_INFO(suserelease, "SLFO-1.2");
