#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rtrs_clt_get_permit, "", "");
KSYMTAB_FUNC(rtrs_clt_put_permit, "", "");
KSYMTAB_FUNC(rtrs_clt_open, "", "");
KSYMTAB_FUNC(rtrs_clt_close, "", "");
KSYMTAB_FUNC(rtrs_clt_request, "", "");
KSYMTAB_FUNC(rtrs_clt_rdma_cq_direct, "", "");
KSYMTAB_FUNC(rtrs_clt_query, "", "");

SYMBOL_CRC(rtrs_clt_get_permit, 0x2866987c, "");
SYMBOL_CRC(rtrs_clt_put_permit, 0xc5c8d904, "");
SYMBOL_CRC(rtrs_clt_open, 0x3794ece7, "");
SYMBOL_CRC(rtrs_clt_close, 0xc3097dff, "");
SYMBOL_CRC(rtrs_clt_request, 0x883a1ec7, "");
SYMBOL_CRC(rtrs_clt_rdma_cq_direct, 0xd510964a, "");
SYMBOL_CRC(rtrs_clt_query, 0xd2d10082, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x96b29254, "strncasecmp" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x6475d1c3, "rtrs_ib_dev_find_or_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbe2ef868, "__rdma_create_kernel_id" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x9d3d08f0, "put_device" },
	{ 0x35aaea3e, "rtrs_rdma_dev_pd_deinit" },
	{ 0x159f6c2b, "ib_register_event_handler" },
	{ 0xa916b694, "strnlen" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0xefc4d418, "rdma_resolve_route" },
	{ 0xdb155e1d, "ib_unregister_event_handler" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x97f49671, "rtrs_iu_free" },
	{ 0xd0953608, "ib_map_mr_sg" },
	{ 0x367306fd, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x7ec56c70, "perf_trace_run_bpf_submit" },
	{ 0x1eb1abab, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x9907f28, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xfe39e07c, "__wake_up_locked" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9e3e4146, "kobj_sysfs_ops" },
	{ 0x7e9fc7c5, "rtrs_cq_qp_destroy" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0x658574f4, "trace_event_reg" },
	{ 0x3029544b, "iov_iter_kvec" },
	{ 0x7c0ca2a5, "rtrs_iu_post_recv" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x11ae8dd8, "kobject_init_and_add" },
	{ 0xafc20114, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xd2f514a4, "sysfs_create_group" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x825ae1d, "sysfs_remove_file_self" },
	{ 0x57a45346, "bpf_trace_run1" },
	{ 0x1080ce71, "device_del" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x2f4bc816, "ib_alloc_mr" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0x1682aed, "rdma_connect_locked" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x6a84db2e, "rdma_set_reuseaddr" },
	{ 0xa9c1db69, "kobject_create_and_add" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xe15357ef, "sockaddr_to_str" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xd191499b, "sysfs_remove_group" },
	{ 0xe5840ec6, "ib_wc_status_msg" },
	{ 0xb3321446, "ib_dma_virt_map_sg" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0xc55d9811, "kobject_del" },
	{ 0x27a7a36e, "trace_event_buffer_reserve" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb2fff61c, "rdma_destroy_id" },
	{ 0x6029628f, "__dma_sync_single_for_device" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9af0caf2, "rtrs_start_hb" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc398603b, "kobject_uevent" },
	{ 0x44531a37, "_copy_from_iter" },
	{ 0xd1a5b75f, "ib_drain_qp" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xc1ddd422, "dma_unmap_sg_attrs" },
	{ 0xc7483e97, "rtrs_cq_qp_create" },
	{ 0x2f5f2248, "rtrs_ib_dev_put" },
	{ 0x754d539c, "strlen" },
	{ 0x95526a10, "rtrs_init_hb" },
	{ 0xa5a09a88, "rdma_consumer_reject_data" },
	{ 0xeb59846, "rtrs_stop_hb" },
	{ 0x349cba85, "strchr" },
	{ 0x2a44f4dc, "rtrs_send_hb_ack" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x74f57ec6, "rtrs_iu_alloc" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0xb3d2d914, "class_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xeebca5cd, "dma_map_sg_attrs" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xde021df3, "kobject_put" },
	{ 0x242a8646, "rtrs_addr_to_str" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xe7157985, "rdma_reject_msg" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x907df803, "rdma_event_msg" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x50707f9c, "dev_set_name" },
	{ 0x887302f3, "rtrs_addr_to_sockaddr" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa11a97c1, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x9668568f, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xb07d43ee, "__trace_trigger_soft_disabled" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0xdf4574bf, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xe826bee4, "rdma_resolve_addr" },
	{ 0x4628038c, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x862d1e43, "prepare_to_wait" },
	{ 0x549dee85, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x801d9c64, "rtrs_post_recv_empty" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x17a7e945, "ib_dereg_mr_user" },
	{ 0xddff06e6, "ib_process_cq_direct" },
	{ 0x3416d62c, "prepare_to_wait_event" },
	{ 0x210a9c95, "rtrs_iu_post_rdma_write_imm" },
	{ 0xcf08b239, "rtrs_iu_post_send" },
	{ 0xf6491531, "__wake_up" },
	{ 0xf6ed3334, "ib_event_msg" },
	{ 0x70807834, "rdma_addr_size" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xaaa03c66, "rdma_disconnect" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x77188b5d, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdf46811b, "rtrs_rdma_dev_pd_init" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "rtrs-core,rdma_cm,ib_core");


MODULE_INFO(srcversion, "B526B836AB82D195650C8B9");

MODULE_INFO(suserelease, "SLFO-1.2");
