#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rmi_dbg, "_gpl", "");
KSYMTAB_FUNC(rmi_register_transport_device, "_gpl", "");
KSYMTAB_FUNC(rmi_unregister_transport_device, "", "");
KSYMTAB_FUNC(__rmi_register_function_handler, "_gpl", "");
KSYMTAB_FUNC(rmi_unregister_function_handler, "_gpl", "");
KSYMTAB_FUNC(rmi_of_property_read_u32, "_gpl", "");
KSYMTAB_FUNC(rmi_set_attn_data, "_gpl", "");
KSYMTAB_FUNC(rmi_driver_suspend, "_gpl", "");
KSYMTAB_FUNC(rmi_driver_resume, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_abs_process, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_abs_report, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_rel_report, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_configure_input, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_of_probe, "_gpl", "");

SYMBOL_CRC(rmi_dbg, 0xf6139e95, "_gpl");
SYMBOL_CRC(rmi_register_transport_device, 0xb664cafe, "_gpl");
SYMBOL_CRC(rmi_unregister_transport_device, 0xb92596f2, "");
SYMBOL_CRC(__rmi_register_function_handler, 0xb9ecc72e, "_gpl");
SYMBOL_CRC(rmi_unregister_function_handler, 0x509718c7, "_gpl");
SYMBOL_CRC(rmi_of_property_read_u32, 0xe8802f13, "_gpl");
SYMBOL_CRC(rmi_set_attn_data, 0xce850d66, "_gpl");
SYMBOL_CRC(rmi_driver_suspend, 0x05340e27, "_gpl");
SYMBOL_CRC(rmi_driver_resume, 0x1a0002c7, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_abs_process, 0xb198fdf5, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_abs_report, 0xd60bd239, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_rel_report, 0x9a46a2f7, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_configure_input, 0x2372e36e, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_of_probe, 0x848051e6, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x71b12b37, "_dev_info" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xeb78877b, "vb2_ioctl_dqbuf" },
	{ 0x12cb1804, "bus_unregister" },
	{ 0xec083b74, "devm_kfree" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x4f1066ef, "vb2_ioctl_create_bufs" },
	{ 0x9907f28, "device_add" },
	{ 0xdf33bab2, "input_mt_init_slots" },
	{ 0x5cf6961e, "irq_get_irq_data" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x5cdf54af, "input_set_capability" },
	{ 0x693c61fc, "vb2_buffer_done" },
	{ 0x6b184ed6, "driver_unregister" },
	{ 0x578f5239, "vb2_plane_vaddr" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x8c8bef1d, "video_unregister_device" },
	{ 0xd2f514a4, "sysfs_create_group" },
	{ 0xd39a11cd, "vb2_ioctl_qbuf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x7dee4b4a, "vb2_fop_mmap" },
	{ 0x1080ce71, "device_del" },
	{ 0x6b60f81c, "__irq_resolve_mapping" },
	{ 0x549525ef, "handle_nested_irq" },
	{ 0x2158800e, "vb2_vmalloc_memops" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xc44cf5ba, "serio_unregister_port" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xd385b1da, "input_event" },
	{ 0x71e0094c, "vb2_fop_read" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x7ad94f1a, "v4l2_device_register" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xac8902a3, "input_set_abs_params" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x792c9efe, "devm_kasprintf" },
	{ 0xd191499b, "sysfs_remove_group" },
	{ 0x78decef2, "serio_interrupt" },
	{ 0x82ce4479, "irq_domain_instantiate" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb6a00423, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe4f67b2b, "vb2_ops_wait_prepare" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8ce36b51, "irq_create_mapping_affinity" },
	{ 0x9af3361b, "vb2_ioctl_streamon" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x65b14190, "input_alloc_absinfo" },
	{ 0x3f17c9e0, "vb2_fop_poll" },
	{ 0xb86e788f, "v4l2_device_unregister" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xf2203c5f, "param_ops_int" },
	{ 0x704c5d41, "_dev_printk" },
	{ 0x89e28b1f, "video_device_release_empty" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xe2a805d9, "driver_register" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xddbd0482, "bus_register" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x15b689a9, "vb2_ioctl_reqbufs" },
	{ 0x55e09d79, "vb2_queue_init" },
	{ 0x94b9a7de, "input_mt_assign_slots" },
	{ 0xb57510a, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0934899, "devm_request_threaded_irq" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x3cb06817, "devm_kmalloc" },
	{ 0xf2df7514, "vb2_ioctl_streamoff" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x50707f9c, "dev_set_name" },
	{ 0xb3907464, "vb2_ioctl_expbuf" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xb90883c4, "input_mt_sync_frame" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0x6a92fbc8, "irq_domain_remove" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0x1db8dfbb, "vb2_ops_wait_finish" },
	{ 0xacf7e913, "request_firmware" },
	{ 0x901d4986, "input_mt_report_slot_state" },
	{ 0x4628038c, "device_initialize" },
	{ 0xdde289cb, "devm_input_allocate_device" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xd7b251f4, "vb2_ioctl_querybuf" },
	{ 0xccb8ecd2, "__serio_register_port" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x78c9d6ef, "v4l2_fh_open" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x44c339bf, "dev_driver_string" },
	{ 0x54be067a, "irq_domain_simple_ops" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xf24ba071, "input_register_device" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xbd03b5cd, "video_devdata" },
	{ 0xf766437, "irq_set_chip_and_handler_name" },
	{ 0x9d3d08f0, "put_device" },
	{ 0x7bd98e9f, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xfeb5504f, "handle_simple_irq" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,videobuf2-common,videodev,videobuf2-vmalloc");


MODULE_INFO(srcversion, "E0A76EE3EE8F7C55D88A847");

MODULE_INFO(suserelease, "SLFO-1.2");
