#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ipack_bus_register, "_gpl", "");
KSYMTAB_FUNC(ipack_bus_unregister, "_gpl", "");
KSYMTAB_FUNC(ipack_driver_register, "_gpl", "");
KSYMTAB_FUNC(ipack_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(ipack_device_init, "_gpl", "");
KSYMTAB_FUNC(ipack_device_add, "_gpl", "");
KSYMTAB_FUNC(ipack_device_del, "_gpl", "");
KSYMTAB_FUNC(ipack_get_device, "_gpl", "");
KSYMTAB_FUNC(ipack_put_device, "_gpl", "");

SYMBOL_CRC(ipack_bus_register, 0x4897679c, "_gpl");
SYMBOL_CRC(ipack_bus_unregister, 0xcbf76797, "_gpl");
SYMBOL_CRC(ipack_driver_register, 0xfe480e57, "_gpl");
SYMBOL_CRC(ipack_driver_unregister, 0xf4b3cddf, "_gpl");
SYMBOL_CRC(ipack_device_init, 0xe42ca488, "_gpl");
SYMBOL_CRC(ipack_device_add, 0xd4c4fbfa, "_gpl");
SYMBOL_CRC(ipack_device_del, 0x26d82289, "_gpl");
SYMBOL_CRC(ipack_get_device, 0x3eb9fa33, "_gpl");
SYMBOL_CRC(ipack_put_device, 0x5fe113dd, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcd68c58, "bus_for_each_dev" },
	{ 0x10119bb, "ida_free" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe2a805d9, "driver_register" },
	{ 0x6b184ed6, "driver_unregister" },
	{ 0x9907f28, "device_add" },
	{ 0x8576e767, "get_device" },
	{ 0x9d3d08f0, "put_device" },
	{ 0x1080ce71, "device_del" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xddbd0482, "bus_register" },
	{ 0x12cb1804, "bus_unregister" },
	{ 0x7dd6c90e, "ida_destroy" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xa2429ab9, "ida_alloc_range" },
	{ 0x50707f9c, "dev_set_name" },
	{ 0x4628038c, "device_initialize" },
	{ 0xde80cd09, "ioremap" },
	{ 0xb19b445, "ioread8" },
	{ 0xedc03953, "iounmap" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xa71d2e2c, "ioread16be" },
	{ 0xc8240d31, "_dev_err" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x37a0cba, "kfree" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9CA833E1B0681ECBDB0529F");

MODULE_INFO(suserelease, "SLFO-1.2");
