#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4f841dab, "fw_iso_context_stop" },
	{ 0xf6491531, "__wake_up" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0xc19a3bcd, "dvb_register_adapter" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xde8d6aa0, "fw_core_add_address_handler" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x32c15a14, "input_free_device" },
	{ 0x92997ed8, "_printk" },
	{ 0xa6048660, "dvb_generic_open" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf24ba071, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x21aa8211, "dvb_dmx_swfilter_packets" },
	{ 0xadb0948f, "dvb_generic_ioctl" },
	{ 0xa916b694, "strnlen" },
	{ 0x35d95456, "fw_iso_context_queue" },
	{ 0x71b12b37, "_dev_info" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x2329c298, "dvb_dmx_release" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x23d2ffe2, "dvb_unregister_device" },
	{ 0xd87057ad, "fw_iso_buffer_destroy" },
	{ 0x5f577086, "noop_llseek" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0x7e4298a2, "dvb_generic_release" },
	{ 0x6b184ed6, "driver_unregister" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5da7f0f5, "dvb_net_init" },
	{ 0x3edbc68d, "mutex_lock_interruptible" },
	{ 0x26205f8b, "dvb_dmxdev_release" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xe685bfe4, "param_ops_short" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0xd385b1da, "input_event" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x1d50da97, "fw_iso_context_queue_flush" },
	{ 0xaac42d6e, "fw_iso_context_start" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xfebd5103, "dvb_net_release" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0xfccace80, "dvb_unregister_frontend" },
	{ 0x223d110a, "fw_bus_type" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x36eba228, "dvb_register_device" },
	{ 0x5098fb73, "dvb_register_frontend" },
	{ 0x6dc50487, "fw_csr_string" },
	{ 0x754d539c, "strlen" },
	{ 0x1788ff8c, "dvb_unregister_adapter" },
	{ 0x6e7d33dc, "dvb_dmx_init" },
	{ 0xf2203c5f, "param_ops_int" },
	{ 0xe2a805d9, "driver_register" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xaf118a84, "input_allocate_device" },
	{ 0x9be40c22, "dvb_dmxdev_init" },
	{ 0xde00e853, "fw_iso_context_destroy" },
	{ 0x7ae2b237, "fw_run_transaction" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x93e0a5aa, "fw_iso_buffer_init" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0x1c137c19, "param_array_ops" },
	{ 0x4df02057, "crc32_be" },
	{ 0x4fbd717f, "input_unregister_device" },
	{ 0x69acdf38, "memcpy" },
	{ 0x969162bb, "fw_iso_context_create" },
	{ 0x37a0cba, "kfree" },
	{ 0x51f09f25, "fw_core_remove_address_handler" },
	{ 0x3416d62c, "prepare_to_wait_event" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "firewire-core,dvb-core");

MODULE_ALIAS("ieee1394:ven00001287mo00000024sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00001287mo00000025sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00001287mo00000026sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00001287mo00000034sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00001287mo00000035sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00001287mo00000036sp0000A02Dver00010001*");

MODULE_INFO(srcversion, "033DA7A571340092C8BD23E");

MODULE_INFO(suserelease, "SLFO-1.2");
