#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(media_device_register_entity, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister_entity, "_gpl", "");
KSYMTAB_FUNC(media_device_init, "_gpl", "");
KSYMTAB_FUNC(media_device_cleanup, "_gpl", "");
KSYMTAB_FUNC(__media_device_register, "_gpl", "");
KSYMTAB_FUNC(media_device_register_entity_notify, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister_entity_notify, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister, "_gpl", "");
KSYMTAB_FUNC(media_device_pci_init, "_gpl", "");
KSYMTAB_FUNC(__media_device_usb_init, "_gpl", "");
KSYMTAB_FUNC(media_entity_enum_init, "_gpl", "");
KSYMTAB_FUNC(media_entity_enum_cleanup, "_gpl", "");
KSYMTAB_FUNC(media_entity_pads_init, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_init, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_cleanup, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_start, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_next, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_alloc_start, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_pad_iter_next, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_entity_iter_init, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_entity_iter_cleanup, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_entity_iter_next, "_gpl", "");
KSYMTAB_FUNC(media_get_pad_index, "_gpl", "");
KSYMTAB_FUNC(media_create_pad_link, "_gpl", "");
KSYMTAB_FUNC(media_create_pad_links, "_gpl", "");
KSYMTAB_FUNC(__media_entity_remove_links, "_gpl", "");
KSYMTAB_FUNC(media_entity_remove_links, "_gpl", "");
KSYMTAB_FUNC(__media_entity_setup_link, "_gpl", "");
KSYMTAB_FUNC(media_entity_setup_link, "_gpl", "");
KSYMTAB_FUNC(media_entity_find_link, "_gpl", "");
KSYMTAB_FUNC(media_pad_remote_pad_first, "_gpl", "");
KSYMTAB_FUNC(media_entity_remote_pad_unique, "_gpl", "");
KSYMTAB_FUNC(media_pad_remote_pad_unique, "_gpl", "");
KSYMTAB_FUNC(media_entity_get_fwnode_pad, "_gpl", "");
KSYMTAB_FUNC(media_entity_pipeline, "_gpl", "");
KSYMTAB_FUNC(media_pad_pipeline, "_gpl", "");
KSYMTAB_FUNC(media_devnode_create, "_gpl", "");
KSYMTAB_FUNC(media_devnode_remove, "_gpl", "");
KSYMTAB_FUNC(media_create_intf_link, "_gpl", "");
KSYMTAB_FUNC(__media_remove_intf_link, "_gpl", "");
KSYMTAB_FUNC(media_remove_intf_link, "_gpl", "");
KSYMTAB_FUNC(__media_remove_intf_links, "_gpl", "");
KSYMTAB_FUNC(media_remove_intf_links, "_gpl", "");
KSYMTAB_FUNC(media_create_ancillary_link, "_gpl", "");
KSYMTAB_FUNC(__media_entity_next_link, "_gpl", "");
KSYMTAB_FUNC(media_request_put, "_gpl", "");
KSYMTAB_FUNC(media_request_get_by_fd, "_gpl", "");
KSYMTAB_FUNC(media_request_object_find, "_gpl", "");
KSYMTAB_FUNC(media_request_object_put, "_gpl", "");
KSYMTAB_FUNC(media_request_object_init, "_gpl", "");
KSYMTAB_FUNC(media_request_object_bind, "_gpl", "");
KSYMTAB_FUNC(media_request_object_unbind, "_gpl", "");
KSYMTAB_FUNC(media_request_object_complete, "_gpl", "");
KSYMTAB_FUNC(media_device_usb_allocate, "_gpl", "");
KSYMTAB_FUNC(media_device_delete, "_gpl", "");

SYMBOL_CRC(media_device_register_entity, 0xc25b2603, "_gpl");
SYMBOL_CRC(media_device_unregister_entity, 0x78b40b1e, "_gpl");
SYMBOL_CRC(media_device_init, 0xe517924a, "_gpl");
SYMBOL_CRC(media_device_cleanup, 0x2995a67f, "_gpl");
SYMBOL_CRC(__media_device_register, 0x070b7a00, "_gpl");
SYMBOL_CRC(media_device_register_entity_notify, 0x88c6a112, "_gpl");
SYMBOL_CRC(media_device_unregister_entity_notify, 0xec02941e, "_gpl");
SYMBOL_CRC(media_device_unregister, 0xacdb8d2b, "_gpl");
SYMBOL_CRC(media_device_pci_init, 0x92c0b0cc, "_gpl");
SYMBOL_CRC(__media_device_usb_init, 0xe575cc1f, "_gpl");
SYMBOL_CRC(media_entity_enum_init, 0xde7c2ef6, "_gpl");
SYMBOL_CRC(media_entity_enum_cleanup, 0xe5ceecd6, "_gpl");
SYMBOL_CRC(media_entity_pads_init, 0xaa5b042c, "_gpl");
SYMBOL_CRC(media_graph_walk_init, 0x229cd952, "_gpl");
SYMBOL_CRC(media_graph_walk_cleanup, 0xc0b5e8dc, "_gpl");
SYMBOL_CRC(media_graph_walk_start, 0x750dd02f, "_gpl");
SYMBOL_CRC(media_graph_walk_next, 0xd4b37a87, "_gpl");
SYMBOL_CRC(__media_pipeline_start, 0x14fb3c94, "_gpl");
SYMBOL_CRC(media_pipeline_start, 0x7e54d6db, "_gpl");
SYMBOL_CRC(__media_pipeline_stop, 0x810b3ee2, "_gpl");
SYMBOL_CRC(media_pipeline_stop, 0x14aec973, "_gpl");
SYMBOL_CRC(media_pipeline_alloc_start, 0xf6813c77, "_gpl");
SYMBOL_CRC(__media_pipeline_pad_iter_next, 0xa998b762, "_gpl");
SYMBOL_CRC(media_pipeline_entity_iter_init, 0xa4baf7fa, "_gpl");
SYMBOL_CRC(media_pipeline_entity_iter_cleanup, 0x65dd67e0, "_gpl");
SYMBOL_CRC(__media_pipeline_entity_iter_next, 0x93e0f5ba, "_gpl");
SYMBOL_CRC(media_get_pad_index, 0xdf3134b1, "_gpl");
SYMBOL_CRC(media_create_pad_link, 0x4504dcd0, "_gpl");
SYMBOL_CRC(media_create_pad_links, 0x2ced2226, "_gpl");
SYMBOL_CRC(__media_entity_remove_links, 0x4d4ecd59, "_gpl");
SYMBOL_CRC(media_entity_remove_links, 0x3d36fd4e, "_gpl");
SYMBOL_CRC(__media_entity_setup_link, 0xe99c2b9f, "_gpl");
SYMBOL_CRC(media_entity_setup_link, 0x25cd0e8a, "_gpl");
SYMBOL_CRC(media_entity_find_link, 0x4bd68a20, "_gpl");
SYMBOL_CRC(media_pad_remote_pad_first, 0x51e8ca62, "_gpl");
SYMBOL_CRC(media_entity_remote_pad_unique, 0xe15513a8, "_gpl");
SYMBOL_CRC(media_pad_remote_pad_unique, 0xd3f3ac6a, "_gpl");
SYMBOL_CRC(media_entity_get_fwnode_pad, 0xebde35a7, "_gpl");
SYMBOL_CRC(media_entity_pipeline, 0x078940ee, "_gpl");
SYMBOL_CRC(media_pad_pipeline, 0x01be9e36, "_gpl");
SYMBOL_CRC(media_devnode_create, 0x291261df, "_gpl");
SYMBOL_CRC(media_devnode_remove, 0x3685b22e, "_gpl");
SYMBOL_CRC(media_create_intf_link, 0x412747a4, "_gpl");
SYMBOL_CRC(__media_remove_intf_link, 0x81c968cc, "_gpl");
SYMBOL_CRC(media_remove_intf_link, 0x67aba43f, "_gpl");
SYMBOL_CRC(__media_remove_intf_links, 0xe4323ca4, "_gpl");
SYMBOL_CRC(media_remove_intf_links, 0x6791c153, "_gpl");
SYMBOL_CRC(media_create_ancillary_link, 0x2f8df935, "_gpl");
SYMBOL_CRC(__media_entity_next_link, 0x75c6f8a4, "_gpl");
SYMBOL_CRC(media_request_put, 0xcc8ceac3, "_gpl");
SYMBOL_CRC(media_request_get_by_fd, 0x427d79dd, "_gpl");
SYMBOL_CRC(media_request_object_find, 0x6c24c224, "_gpl");
SYMBOL_CRC(media_request_object_put, 0x047202a9, "_gpl");
SYMBOL_CRC(media_request_object_init, 0x4f049036, "_gpl");
SYMBOL_CRC(media_request_object_bind, 0x407dbb66, "_gpl");
SYMBOL_CRC(media_request_object_unbind, 0x0b6ca2eb, "_gpl");
SYMBOL_CRC(media_request_object_complete, 0xc8379982, "_gpl");
SYMBOL_CRC(media_device_usb_allocate, 0xf5920ff2, "_gpl");
SYMBOL_CRC(media_device_delete, 0x360e614c, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x4494c65a, "cdev_device_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9d3d08f0, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x306c6290, "fwnode_graph_parse_endpoint" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7276b73a, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x3cd2a400, "device_create_file" },
	{ 0x12cb1804, "bus_unregister" },
	{ 0xa8caa2e, "fput" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x10119bb, "ida_free" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xfb578fc5, "memset" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7230beea, "fdget" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x180b1bbb, "platform_bus_type" },
	{ 0x3b239a4e, "kobject_set_name" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0xda59c8d, "cdev_init" },
	{ 0x6473fad4, "pci_bus_type" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x35729f61, "device_remove_file" },
	{ 0xddbd0482, "bus_register" },
	{ 0xa2429ab9, "ida_alloc_range" },
	{ 0x4e5daa9a, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x30314de0, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x7dd6c90e, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x50707f9c, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x59a754ae, "cdev_device_del" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x4628038c, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x6f1ae887, "fd_install" },
	{ 0x37a0cba, "kfree" },
	{ 0xf6491531, "__wake_up" },
	{ 0x8576e767, "get_device" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "21B94BF6E3BCC15A005A0EB");

MODULE_INFO(suserelease, "SLFO-1.2");
