#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(bttv_get_pcidev, "", "");
KSYMTAB_FUNC(bttv_gpio_enable, "", "");
KSYMTAB_FUNC(bttv_read_gpio, "", "");
KSYMTAB_FUNC(bttv_write_gpio, "", "");
KSYMTAB_FUNC(bttv_sub_register, "", "");
KSYMTAB_FUNC(bttv_sub_unregister, "", "");

SYMBOL_CRC(bttv_get_pcidev, 0x93ac0eaf, "");
SYMBOL_CRC(bttv_gpio_enable, 0x11dc4b6d, "");
SYMBOL_CRC(bttv_read_gpio, 0xbcf2d2fb, "");
SYMBOL_CRC(bttv_write_gpio, 0x8ecf4acc, "");
SYMBOL_CRC(bttv_sub_register, 0x3baeffba, "");
SYMBOL_CRC(bttv_sub_unregister, 0x8a2e83d8, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x25077f45, "snd_tea575x_enum_freq_bands" },
	{ 0x693c61fc, "vb2_buffer_done" },
	{ 0x6b184ed6, "driver_unregister" },
	{ 0x578f5239, "vb2_plane_vaddr" },
	{ 0x49234b27, "v4l2_ctrl_subscribe_event" },
	{ 0x31f3839c, "snd_tea575x_s_hw_freq_seek" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0x8c8bef1d, "video_unregister_device" },
	{ 0x8685c742, "snd_tea575x_set_freq" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xc08558d4, "i2c_new_client_device" },
	{ 0xd39a11cd, "vb2_ioctl_qbuf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x7dee4b4a, "vb2_fop_mmap" },
	{ 0xa3eb5274, "device_register" },
	{ 0x57650739, "rc_free_device" },
	{ 0x83358fe5, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0x71e0094c, "vb2_fop_read" },
	{ 0x7ad94f1a, "v4l2_device_register" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x58c69b21, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7b9c613b, "rc_allocate_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf4334299, "dma_free_attrs" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4aebaeac, "snd_tea575x_hw_init" },
	{ 0xb6a00423, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x94e7fe73, "pci_write_config_byte" },
	{ 0xe4f67b2b, "vb2_ops_wait_prepare" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x9af3361b, "vb2_ioctl_streamon" },
	{ 0x3f17c9e0, "vb2_fop_poll" },
	{ 0x735f7b08, "v4l2_ctrl_new_std" },
	{ 0xf2a353ac, "v4l2_i2c_tuner_addrs" },
	{ 0xbaac4c5d, "v4l2_ctrl_handler_free" },
	{ 0xb86e788f, "v4l2_device_unregister" },
	{ 0xfb5af384, "pci_disable_device" },
	{ 0xda04fbcf, "vb2_wait_for_all_buffers" },
	{ 0xa7524338, "dma_set_mask" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0x5c514ed8, "v4l2_subdev_call_wrappers" },
	{ 0x614dd5a, "v4l2_video_std_frame_period" },
	{ 0xcb5db900, "v4l2_i2c_new_subdev" },
	{ 0x6847eb4d, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0xf2203c5f, "param_ops_int" },
	{ 0x20eadeb6, "ip_compute_csum" },
	{ 0x89e28b1f, "video_device_release_empty" },
	{ 0xe2a805d9, "driver_register" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xa8a487e5, "rc_unregister_device" },
	{ 0xd6f88a87, "v4l2_event_unsubscribe" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xddbd0482, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x15b689a9, "vb2_ioctl_reqbufs" },
	{ 0x55e09d79, "vb2_queue_init" },
	{ 0xbee8f67, "snd_tea575x_g_tuner" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xedb6223d, "vb2_dma_sg_memops" },
	{ 0x6ac74692, "v4l2_ctrl_poll" },
	{ 0xb57510a, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xbd12925f, "pci_enable_device" },
	{ 0xf2df7514, "vb2_ioctl_streamoff" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xdcebb145, "v4l2_ctrl_radio_filter" },
	{ 0x50707f9c, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3bfe406a, "i2c_bit_add_bus" },
	{ 0xfd091b5e, "v4l2_ctrl_add_handler" },
	{ 0x9668568f, "device_unregister" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0x6aa30cbd, "pci_get_device" },
	{ 0xacf7e913, "request_firmware" },
	{ 0x1db8dfbb, "vb2_ops_wait_finish" },
	{ 0xd1ffe315, "__pci_register_driver" },
	{ 0x99899174, "v4l2_ctrl_handler_init_class" },
	{ 0xedc03953, "iounmap" },
	{ 0x1c137c19, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0xd7b251f4, "vb2_ioctl_querybuf" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x40fb811b, "i2c_transfer_buffer_flags" },
	{ 0xdc14eda7, "pci_pci_problems" },
	{ 0x3416d62c, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6491531, "__wake_up" },
	{ 0x78c9d6ef, "v4l2_fh_open" },
	{ 0xb6e3c8cb, "pci_unregister_driver" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0xfd94a33c, "v4l2_ctrl_handler_log_status" },
	{ 0x5f1034e4, "v4l2_ctrl_handler_setup" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbd03b5cd, "video_devdata" },
	{ 0x9d3d08f0, "put_device" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x7bd98e9f, "vb2_fop_release" },
	{ 0x28a28988, "i2c_new_scanned_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x74e7ea10, "v4l2_ctrl_find" },
	{ 0x35c41ef8, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xabf456f3, "__v4l2_ctrl_s_ctrl" },
	{ 0xe22ef8e0, "vb2_plane_cookie" },
	{ 0x3cd2a400, "device_create_file" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1481bf4a, "rc_keyup" },
	{ 0xeb78877b, "vb2_ioctl_dqbuf" },
	{ 0x12cb1804, "bus_unregister" },
	{ 0x4f1066ef, "vb2_ioctl_create_bufs" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x1089e6ea, "tveeprom_read" },
	{ 0x636ea197, "v4l2_ctrl_new_custom" },
	{ 0xb6d5efa9, "rc_keydown_notimeout" },
	{ 0x24d273d1, "add_timer" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xd02a4877, "v4l2_fh_release" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x8b8c186, "rc_register_device" },
	{ 0x18595920, "dma_alloc_attrs" },
	{ 0x5a921311, "strncmp" },
	{ 0xe77e31aa, "rc_keydown" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "tea575x,videobuf2-common,videodev,videobuf2-v4l2,rc-core,tveeprom,videobuf2-dma-sg,i2c-algo-bit");

MODULE_ALIAS("pci:v0000109Ed00000350sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000109Ed00000351sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000109Ed0000036Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000109Ed0000036Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000109Ed0000036Csv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "37E27DBB880D5C37827DABE");

MODULE_INFO(suserelease, "SLFO-1.2");
