#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cx88_tuner_callback, "", "");
KSYMTAB_FUNC(cx88_setup_xc3028, "_gpl", "");
KSYMTAB_FUNC(cx88_risc_buffer, "", "");
KSYMTAB_FUNC(cx88_risc_databuffer, "", "");
KSYMTAB_DATA(cx88_sram_channels, "", "");
KSYMTAB_FUNC(cx88_sram_channel_setup, "", "");
KSYMTAB_FUNC(cx88_sram_channel_dump, "", "");
KSYMTAB_FUNC(cx88_print_irqbits, "", "");
KSYMTAB_FUNC(cx88_core_irq, "", "");
KSYMTAB_FUNC(cx88_wakeup, "", "");
KSYMTAB_FUNC(cx88_shutdown, "", "");
KSYMTAB_FUNC(cx88_reset, "", "");
KSYMTAB_FUNC(cx88_set_scale, "", "");
KSYMTAB_FUNC(cx88_set_tvnorm, "", "");
KSYMTAB_FUNC(cx88_vdev_init, "", "");
KSYMTAB_FUNC(cx88_core_get, "", "");
KSYMTAB_FUNC(cx88_core_put, "", "");
KSYMTAB_FUNC(cx88_set_tvaudio, "", "");
KSYMTAB_FUNC(cx88_newstation, "", "");
KSYMTAB_FUNC(cx88_get_stereo, "", "");
KSYMTAB_FUNC(cx88_set_stereo, "", "");
KSYMTAB_FUNC(cx88_audio_thread, "", "");
KSYMTAB_FUNC(cx88_dsp_detect_stereo_sap, "", "");
KSYMTAB_FUNC(cx88_ir_start, "", "");
KSYMTAB_FUNC(cx88_ir_stop, "", "");

SYMBOL_CRC(cx88_tuner_callback, 0x6141c8c5, "");
SYMBOL_CRC(cx88_setup_xc3028, 0xfa1fc52d, "_gpl");
SYMBOL_CRC(cx88_risc_buffer, 0xf2dcb431, "");
SYMBOL_CRC(cx88_risc_databuffer, 0xf13016f5, "");
SYMBOL_CRC(cx88_sram_channels, 0x8d88137a, "");
SYMBOL_CRC(cx88_sram_channel_setup, 0xa94679cf, "");
SYMBOL_CRC(cx88_sram_channel_dump, 0x08ad1621, "");
SYMBOL_CRC(cx88_print_irqbits, 0x5edb7ae5, "");
SYMBOL_CRC(cx88_core_irq, 0x2cf4450f, "");
SYMBOL_CRC(cx88_wakeup, 0xbf35e303, "");
SYMBOL_CRC(cx88_shutdown, 0xac52be7b, "");
SYMBOL_CRC(cx88_reset, 0x97a0a047, "");
SYMBOL_CRC(cx88_set_scale, 0x8abccd81, "");
SYMBOL_CRC(cx88_set_tvnorm, 0x2f87a81f, "");
SYMBOL_CRC(cx88_vdev_init, 0x1b7601ee, "");
SYMBOL_CRC(cx88_core_get, 0xc716d45a, "");
SYMBOL_CRC(cx88_core_put, 0x267e699f, "");
SYMBOL_CRC(cx88_set_tvaudio, 0xcf8838a3, "");
SYMBOL_CRC(cx88_newstation, 0x229c5b06, "");
SYMBOL_CRC(cx88_get_stereo, 0x71108708, "");
SYMBOL_CRC(cx88_set_stereo, 0xc2200669, "");
SYMBOL_CRC(cx88_audio_thread, 0x904b8696, "");
SYMBOL_CRC(cx88_dsp_detect_stereo_sap, 0xb6b4f652, "");
SYMBOL_CRC(cx88_ir_start, 0x01db8945, "");
SYMBOL_CRC(cx88_ir_stop, 0x45cedb28, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0x40fb811b, "i2c_transfer_buffer_flags" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xdc14eda7, "pci_pci_problems" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb678366f, "int_sqrt" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa916b694, "strnlen" },
	{ 0x267fd114, "i2c_smbus_xfer" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0x35c41ef8, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x1481bf4a, "rc_keyup" },
	{ 0x63d393c8, "__v4l2_ctrl_grab" },
	{ 0xfa2a95, "i2c_unregister_device" },
	{ 0x1089e6ea, "tveeprom_read" },
	{ 0xb6d5efa9, "rc_keydown_notimeout" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x8b8c186, "rc_register_device" },
	{ 0x18595920, "dma_alloc_attrs" },
	{ 0xe77e31aa, "rc_keydown" },
	{ 0x693c61fc, "vb2_buffer_done" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0xc08558d4, "i2c_new_client_device" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x249f1331, "freezing_slow_path" },
	{ 0x57650739, "rc_free_device" },
	{ 0x3a5797c9, "hrtimer_start_range_ns" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7ad94f1a, "v4l2_device_register" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7b9c613b, "rc_allocate_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x94e7fe73, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf2a353ac, "v4l2_i2c_tuner_addrs" },
	{ 0xbaac4c5d, "v4l2_ctrl_handler_free" },
	{ 0x25efb3ec, "i2c_transfer" },
	{ 0x5402ada3, "hrtimer_cancel" },
	{ 0xb86e788f, "v4l2_device_unregister" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0x2dafe17, "hrtimer_forward" },
	{ 0xcb5db900, "v4l2_i2c_new_subdev" },
	{ 0x6847eb4d, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0xf2203c5f, "param_ops_int" },
	{ 0xb44bcd3, "ir_raw_event_store_with_filter" },
	{ 0xd30d0413, "i2c_smbus_read_byte_data" },
	{ 0x89e28b1f, "video_device_release_empty" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xa8a487e5, "rc_unregister_device" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xf3251e7b, "v4l2_norm_to_name" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x832af33c, "ir_raw_event_handle" },
	{ 0xe5eb5fd0, "param_ops_uint" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3bfe406a, "i2c_bit_add_bus" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0x99899174, "v4l2_ctrl_handler_init_class" },
	{ 0xedc03953, "iounmap" },
	{ 0x8b773ecd, "hrtimer_init" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x1c137c19, "param_array_ops" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "rc-core,videodev,tveeprom,videobuf2-common,i2c-algo-bit");


MODULE_INFO(srcversion, "589AC743322CBC1653CD124");

MODULE_INFO(suserelease, "SLFO-1.2");
