#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ipu_bridge_parse_ssdb, "_gpl", "INTEL_IPU_BRIDGE");
KSYMTAB_FUNC(ipu_bridge_instantiate_vcm, "_gpl", "INTEL_IPU_BRIDGE");
KSYMTAB_FUNC(ipu_bridge_init, "_gpl", "INTEL_IPU_BRIDGE");

SYMBOL_CRC(ipu_bridge_parse_ssdb, 0x588dc5ef, "_gpl");
SYMBOL_CRC(ipu_bridge_instantiate_vcm, 0x57f328ef, "_gpl");
SYMBOL_CRC(ipu_bridge_init, 0x65bf76d9, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6edd67fb, "acpi_dev_get_next_consumer_dev" },
	{ 0x3c0df7d8, "acpi_dev_get_next_match_dev" },
	{ 0x9d3d08f0, "put_device" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x180b1bbb, "platform_bus_type" },
	{ 0xc864bff6, "bus_find_device" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x4de9bdf6, "device_find_child_by_name" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x187dccfa, "is_acpi_device_node" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8fc12788, "software_node_unregister_node_group" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x37a0cba, "kfree" },
	{ 0x1d1abdf0, "acpi_get_physical_device_location" },
	{ 0xc8240d31, "_dev_err" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0xd5dcc637, "__pm_runtime_resume" },
	{ 0x1a015a30, "i2c_acpi_new_device_by_fwnode" },
	{ 0xf9b10b1c, "device_link_add" },
	{ 0x71b12b37, "_dev_info" },
	{ 0x66ebde19, "__pm_runtime_idle" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6a55e78c, "__dev_fwnode" },
	{ 0x13a69d2e, "fwnode_find_reference" },
	{ 0x250d9c6d, "i2c_find_device_by_fwnode" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x8576e767, "get_device" },
	{ 0xceab0311, "strchrnul" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x916bb03b, "fwnode_graph_get_next_endpoint" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xb48f0638, "software_node_register" },
	{ 0xa298fc0c, "acpi_device_hid" },
	{ 0x7a9e4c23, "software_node_register_node_group" },
	{ 0x3d1ce66a, "software_node_fwnode" },
	{ 0xe071cfed, "set_secondary_fwnode" },
	{ 0xcbe3ee2, "software_node_unregister" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x57f70a27, "acpi_dev_get_first_match_dev" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "DD00931DA7B32CC86328B9D");

MODULE_INFO(suserelease, "SLFO-1.2");
