#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ipu6_configure_spc, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_dma_sync_single, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_dma_sync_sg, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_dma_sync_sgtable, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_dma_alloc, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_dma_free, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_dma_unmap_sg, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_dma_map_sg, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_dma_map_sgtable, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_dma_unmap_sgtable, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_mmu_hw_init, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_mmu_hw_cleanup, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_buttress_auth_done, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_buttress_map_fw_image, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_buttress_unmap_fw_image, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_buttress_start_tsc_sync, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_buttress_tsc_read, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_buttress_tsc_ticks_to_ns, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_cpd_create_pkg_dir, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_cpd_free_pkg_dir, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_fw_com_prepare, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_fw_com_open, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_fw_com_close, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_fw_com_release, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_fw_com_ready, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_send_get_token, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_send_put_token, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_recv_get_token, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_recv_put_token, "_gpl", "INTEL_IPU6");

SYMBOL_CRC(ipu6_configure_spc, 0x9f9102e7, "_gpl");
SYMBOL_CRC(ipu6_dma_sync_single, 0x426382d8, "_gpl");
SYMBOL_CRC(ipu6_dma_sync_sg, 0x5d741c20, "_gpl");
SYMBOL_CRC(ipu6_dma_sync_sgtable, 0xa5f27556, "_gpl");
SYMBOL_CRC(ipu6_dma_alloc, 0x5d0b4dc8, "_gpl");
SYMBOL_CRC(ipu6_dma_free, 0xea14629a, "_gpl");
SYMBOL_CRC(ipu6_dma_unmap_sg, 0xbf62f6c9, "_gpl");
SYMBOL_CRC(ipu6_dma_map_sg, 0x90b2296e, "_gpl");
SYMBOL_CRC(ipu6_dma_map_sgtable, 0x05325d73, "_gpl");
SYMBOL_CRC(ipu6_dma_unmap_sgtable, 0xebf575f6, "_gpl");
SYMBOL_CRC(ipu6_mmu_hw_init, 0x438bc61a, "_gpl");
SYMBOL_CRC(ipu6_mmu_hw_cleanup, 0xd87f3e9d, "_gpl");
SYMBOL_CRC(ipu6_buttress_auth_done, 0xc552f05f, "_gpl");
SYMBOL_CRC(ipu6_buttress_map_fw_image, 0x89944f67, "_gpl");
SYMBOL_CRC(ipu6_buttress_unmap_fw_image, 0xe6a8eb0f, "_gpl");
SYMBOL_CRC(ipu6_buttress_start_tsc_sync, 0xb198a5ec, "_gpl");
SYMBOL_CRC(ipu6_buttress_tsc_read, 0xe20c1f75, "_gpl");
SYMBOL_CRC(ipu6_buttress_tsc_ticks_to_ns, 0x6ba0b5a2, "_gpl");
SYMBOL_CRC(ipu6_cpd_create_pkg_dir, 0xe33ab58d, "_gpl");
SYMBOL_CRC(ipu6_cpd_free_pkg_dir, 0x0231ae9a, "_gpl");
SYMBOL_CRC(ipu6_fw_com_prepare, 0xc9489c2b, "_gpl");
SYMBOL_CRC(ipu6_fw_com_open, 0xe4173880, "_gpl");
SYMBOL_CRC(ipu6_fw_com_close, 0xa4ea9101, "_gpl");
SYMBOL_CRC(ipu6_fw_com_release, 0x246154f7, "_gpl");
SYMBOL_CRC(ipu6_fw_com_ready, 0x543b7d9f, "_gpl");
SYMBOL_CRC(ipu6_send_get_token, 0xdd435b9b, "_gpl");
SYMBOL_CRC(ipu6_send_put_token, 0x093c1399, "_gpl");
SYMBOL_CRC(ipu6_recv_get_token, 0x42507517, "_gpl");
SYMBOL_CRC(ipu6_recv_put_token, 0x962f3d15, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc8c85086, "sg_free_table" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x635d18b7, "pci_ats_supported" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xb51d11a4, "dma_unmap_page_attrs" },
	{ 0xacf7e913, "request_firmware" },
	{ 0xd1ffe315, "__pci_register_driver" },
	{ 0x931afc70, "pm_runtime_get_if_active" },
	{ 0xc7061ef3, "iova_cache_put" },
	{ 0xcf93977b, "pci_disable_msi" },
	{ 0x69acdf38, "memcpy" },
	{ 0x94961283, "vunmap" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x65bf76d9, "ipu_bridge_init" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0xb6e3c8cb, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6ca7652b, "__free_iova" },
	{ 0x44c339bf, "dev_driver_string" },
	{ 0xf15ff66e, "pm_generic_runtime_resume" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x28ba6fe1, "dma_map_page_attrs" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9d3d08f0, "put_device" },
	{ 0xbe60732d, "devm_free_irq" },
	{ 0x6d93b33b, "pm_runtime_enable" },
	{ 0x4b94f78, "alloc_iova" },
	{ 0x6cb3aac, "__free_pages" },
	{ 0x71b12b37, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0xf10cf5c5, "split_page" },
	{ 0x9cf38e20, "pm_generic_runtime_suspend" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xddc90776, "pcim_iomap_regions" },
	{ 0xd25cc594, "vm_insert_page" },
	{ 0xd47e09e, "devm_kmemdup" },
	{ 0xebe4231a, "put_iova_domain" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x75a1618c, "__auxiliary_device_add" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xe7adf183, "vmap" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x1080ce71, "device_del" },
	{ 0x9978f9c1, "sg_alloc_table_from_pages_segment" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0x83358fe5, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x588dc5ef, "ipu_bridge_parse_ssdb" },
	{ 0xc805f93, "clflush_cache_range" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xaf36c569, "dma_set_coherent_mask" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x2f4347e8, "pm_runtime_forbid" },
	{ 0x999e8297, "vfree" },
	{ 0x75dc832a, "pm_runtime_allow" },
	{ 0xd5dcc637, "__pm_runtime_resume" },
	{ 0xa95beedf, "dma_map_sgtable" },
	{ 0x547e0351, "init_iova_domain" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0xbd6ee8cc, "alloc_pages_noprof" },
	{ 0x250337ee, "boot_cpu_data" },
	{ 0xa7524338, "dma_set_mask" },
	{ 0x716b4fac, "dev_err_probe" },
	{ 0xc1ddd422, "dma_unmap_sg_attrs" },
	{ 0xfb11973c, "pcim_iomap_table" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x701c7b05, "pcim_enable_device" },
	{ 0xf40beb46, "__pm_runtime_disable" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x4d34e991, "find_iova" },
	{ 0x66ebde19, "__pm_runtime_idle" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x438d8df2, "iova_cache_get" },
	{ 0xd0934899, "devm_request_threaded_irq" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x3cb06817, "devm_kmalloc" },
	{ 0x9c0dadaf, "pci_disable_ats" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x3bc953ae, "auxiliary_device_init" },
	{ 0x6f7382ed, "vmalloc_to_page" },
	{ 0x6c2c44a0, "pci_alloc_irq_vectors" },
	{ 0xa6257a2f, "complete" },
	{ 0xf6040079, "dev_pm_domain_set" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "ipu-bridge");

MODULE_ALIAS("pci:v00008086d00009A19sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004E19sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000465Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000462Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A75Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007D19sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "68B28DCB224788B9507C16A");

MODULE_INFO(suserelease, "SLFO-1.2");
