#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mantis_get_mac, "_gpl", "");
KSYMTAB_FUNC(mantis_gpio_set_bits, "_gpl", "");
KSYMTAB_FUNC(mantis_stream_control, "_gpl", "");
KSYMTAB_FUNC(mantis_uart_init, "_gpl", "");
KSYMTAB_FUNC(mantis_uart_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_dma_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_dma_init, "_gpl", "");
KSYMTAB_FUNC(mantis_pci_init, "_gpl", "");
KSYMTAB_FUNC(mantis_pci_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_i2c_init, "_gpl", "");
KSYMTAB_FUNC(mantis_i2c_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_frontend_power, "_gpl", "");
KSYMTAB_FUNC(mantis_frontend_soft_reset, "_gpl", "");
KSYMTAB_FUNC(mantis_dvb_init, "_gpl", "");
KSYMTAB_FUNC(mantis_dvb_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_ca_init, "_gpl", "");
KSYMTAB_FUNC(mantis_ca_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_input_init, "_gpl", "");
KSYMTAB_FUNC(mantis_input_exit, "_gpl", "");

SYMBOL_CRC(mantis_get_mac, 0x8c407714, "_gpl");
SYMBOL_CRC(mantis_gpio_set_bits, 0x7e9a05e4, "_gpl");
SYMBOL_CRC(mantis_stream_control, 0x08dd06d5, "_gpl");
SYMBOL_CRC(mantis_uart_init, 0xd8985f19, "_gpl");
SYMBOL_CRC(mantis_uart_exit, 0x2b5c7618, "_gpl");
SYMBOL_CRC(mantis_dma_exit, 0x7a13ea8a, "_gpl");
SYMBOL_CRC(mantis_dma_init, 0x61b3393e, "_gpl");
SYMBOL_CRC(mantis_pci_init, 0xa9612933, "_gpl");
SYMBOL_CRC(mantis_pci_exit, 0x643207b7, "_gpl");
SYMBOL_CRC(mantis_i2c_init, 0xaeab13ca, "_gpl");
SYMBOL_CRC(mantis_i2c_exit, 0x6cbb38d1, "_gpl");
SYMBOL_CRC(mantis_frontend_power, 0xae8cece2, "_gpl");
SYMBOL_CRC(mantis_frontend_soft_reset, 0x4895cab6, "_gpl");
SYMBOL_CRC(mantis_dvb_init, 0x3f8a249c, "_gpl");
SYMBOL_CRC(mantis_dvb_exit, 0xfd9a0f87, "_gpl");
SYMBOL_CRC(mantis_ca_init, 0x73160de0, "_gpl");
SYMBOL_CRC(mantis_ca_exit, 0xedc58d0f, "_gpl");
SYMBOL_CRC(mantis_input_init, 0x4761150f, "_gpl");
SYMBOL_CRC(mantis_input_exit, 0xf5bd1b15, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0x3416d62c, "prepare_to_wait_event" },
	{ 0xf6491531, "__wake_up" },
	{ 0xc19a3bcd, "dvb_register_adapter" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x176e4952, "disable_work_sync" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x35c41ef8, "i2c_del_adapter" },
	{ 0x7ec00888, "dvb_dmx_swfilter_204" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x2329c298, "dvb_dmx_release" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x84978b27, "dvb_ca_en50221_release" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x8b8c186, "rc_register_device" },
	{ 0x18595920, "dma_alloc_attrs" },
	{ 0xe77e31aa, "rc_keydown" },
	{ 0x5da7f0f5, "dvb_net_init" },
	{ 0xde80cd09, "ioremap" },
	{ 0x760ebda, "dvb_dmx_swfilter" },
	{ 0x26205f8b, "dvb_dmxdev_release" },
	{ 0xe685bfe4, "param_ops_short" },
	{ 0x57650739, "rc_free_device" },
	{ 0x83358fe5, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xc151dc95, "dvb_frontend_detach" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x58c69b21, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xaf36c569, "dma_set_coherent_mask" },
	{ 0xfebd5103, "dvb_net_release" },
	{ 0xdfd0af5a, "dvb_ca_en50221_camready_irq" },
	{ 0x7b9c613b, "rc_allocate_device" },
	{ 0xf4334299, "dma_free_attrs" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xfccace80, "dvb_unregister_frontend" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xb2e606f, "dvb_ca_en50221_camchange_irq" },
	{ 0x25efb3ec, "i2c_transfer" },
	{ 0xfb5af384, "pci_disable_device" },
	{ 0x5098fb73, "dvb_register_frontend" },
	{ 0x6847eb4d, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0x1788ff8c, "dvb_unregister_adapter" },
	{ 0x6e7d33dc, "dvb_dmx_init" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xa8a487e5, "rc_unregister_device" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x9be40c22, "dvb_dmxdev_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x2f3a5d87, "enable_work" },
	{ 0xbd12925f, "pci_enable_device" },
	{ 0x23b80222, "dvb_ca_en50221_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd8e99ff5, "system_bh_wq" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0xedc03953, "iounmap" },
	{ 0x1c137c19, "param_array_ops" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "dvb-core,rc-core");


MODULE_INFO(srcversion, "39A45134D16E0E2F54BD6EA");

MODULE_INFO(suserelease, "SLFO-1.2");
