#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rc_map_get, "_gpl", "");
KSYMTAB_FUNC(rc_map_register, "_gpl", "");
KSYMTAB_FUNC(rc_map_unregister, "_gpl", "");
KSYMTAB_FUNC(rc_g_keycode_from_table, "_gpl", "");
KSYMTAB_FUNC(rc_keyup, "_gpl", "");
KSYMTAB_FUNC(rc_repeat, "_gpl", "");
KSYMTAB_FUNC(rc_keydown, "_gpl", "");
KSYMTAB_FUNC(rc_keydown_notimeout, "_gpl", "");
KSYMTAB_FUNC(rc_allocate_device, "_gpl", "");
KSYMTAB_FUNC(rc_free_device, "_gpl", "");
KSYMTAB_FUNC(devm_rc_allocate_device, "_gpl", "");
KSYMTAB_FUNC(rc_register_device, "_gpl", "");
KSYMTAB_FUNC(devm_rc_register_device, "_gpl", "");
KSYMTAB_FUNC(rc_unregister_device, "_gpl", "");
KSYMTAB_FUNC(ir_raw_event_store, "_gpl", "");
KSYMTAB_FUNC(ir_raw_event_store_edge, "_gpl", "");
KSYMTAB_FUNC(ir_raw_event_store_with_timeout, "_gpl", "");
KSYMTAB_FUNC(ir_raw_event_store_with_filter, "_gpl", "");
KSYMTAB_FUNC(ir_raw_event_set_idle, "_gpl", "");
KSYMTAB_FUNC(ir_raw_event_handle, "_gpl", "");
KSYMTAB_FUNC(ir_raw_gen_manchester, "", "");
KSYMTAB_FUNC(ir_raw_gen_pd, "", "");
KSYMTAB_FUNC(ir_raw_gen_pl, "", "");
KSYMTAB_FUNC(ir_raw_encode_scancode, "", "");
KSYMTAB_FUNC(ir_raw_encode_carrier, "", "");
KSYMTAB_FUNC(ir_raw_handler_register, "", "");
KSYMTAB_FUNC(ir_raw_handler_unregister, "", "");
KSYMTAB_FUNC(lirc_scancode_event, "_gpl", "");

SYMBOL_CRC(rc_map_get, 0xfe74466d, "_gpl");
SYMBOL_CRC(rc_map_register, 0x2e28bee4, "_gpl");
SYMBOL_CRC(rc_map_unregister, 0x10bf6a94, "_gpl");
SYMBOL_CRC(rc_g_keycode_from_table, 0x07482266, "_gpl");
SYMBOL_CRC(rc_keyup, 0x1481bf4a, "_gpl");
SYMBOL_CRC(rc_repeat, 0x846a09ff, "_gpl");
SYMBOL_CRC(rc_keydown, 0xe77e31aa, "_gpl");
SYMBOL_CRC(rc_keydown_notimeout, 0xb6d5efa9, "_gpl");
SYMBOL_CRC(rc_allocate_device, 0x7b9c613b, "_gpl");
SYMBOL_CRC(rc_free_device, 0x57650739, "_gpl");
SYMBOL_CRC(devm_rc_allocate_device, 0x31b2e23e, "_gpl");
SYMBOL_CRC(rc_register_device, 0x08b8c186, "_gpl");
SYMBOL_CRC(devm_rc_register_device, 0xfc80a5df, "_gpl");
SYMBOL_CRC(rc_unregister_device, 0xa8a487e5, "_gpl");
SYMBOL_CRC(ir_raw_event_store, 0xc2370adb, "_gpl");
SYMBOL_CRC(ir_raw_event_store_edge, 0xe723bac7, "_gpl");
SYMBOL_CRC(ir_raw_event_store_with_timeout, 0x2f7947ad, "_gpl");
SYMBOL_CRC(ir_raw_event_store_with_filter, 0x0b44bcd3, "_gpl");
SYMBOL_CRC(ir_raw_event_set_idle, 0xfbc2487e, "_gpl");
SYMBOL_CRC(ir_raw_event_handle, 0x832af33c, "_gpl");
SYMBOL_CRC(ir_raw_gen_manchester, 0xce3696f3, "");
SYMBOL_CRC(ir_raw_gen_pd, 0x2fe55cf5, "");
SYMBOL_CRC(ir_raw_gen_pl, 0x7a02ee87, "");
SYMBOL_CRC(ir_raw_encode_scancode, 0x01098f88, "");
SYMBOL_CRC(ir_raw_encode_carrier, 0xb5516017, "");
SYMBOL_CRC(ir_raw_handler_register, 0xf90c4a39, "");
SYMBOL_CRC(ir_raw_handler_unregister, 0x3a865348, "");
SYMBOL_CRC(lirc_scancode_event, 0xeb9ec1b5, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3416d62c, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x482597ff, "led_trigger_unregister_simple" },
	{ 0xf6491531, "__wake_up" },
	{ 0x883c3a0f, "__module_get" },
	{ 0x8576e767, "get_device" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0xcee82587, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1d8a5fdd, "wake_up_process" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x32c15a14, "input_free_device" },
	{ 0x92997ed8, "_printk" },
	{ 0x4494c65a, "cdev_device_add" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf24ba071, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9d3d08f0, "put_device" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x71b12b37, "_dev_info" },
	{ 0x7276b73a, "module_put" },
	{ 0x7228ccc9, "compat_ptr_ioctl" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa8caa2e, "fput" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x9907f28, "device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x19c290ca, "__devres_alloc_node" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x10119bb, "ida_free" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xafc20114, "class_unregister" },
	{ 0xad6d7e4b, "kthread_stop" },
	{ 0x3edbc68d, "mutex_lock_interruptible" },
	{ 0x4578f528, "__kfifo_to_user" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x1080ce71, "device_del" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0xd385b1da, "input_event" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd00c9875, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7230beea, "fdget" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x85df9b6c, "strsep" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x2fe56e83, "stream_open" },
	{ 0xdb132d87, "led_trigger_event" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0xb3d2d914, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xda59c8d, "cdev_init" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xaf118a84, "input_allocate_device" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xa2429ab9, "ida_alloc_range" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x50707f9c, "dev_set_name" },
	{ 0xb0e602eb, "memmove" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x59a754ae, "cdev_device_del" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0x697c5007, "led_trigger_register_simple" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x1057a279, "bsearch" },
	{ 0x4628038c, "device_initialize" },
	{ 0x4fbd717f, "input_unregister_device" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x61a43e39, "kobject_get_path" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "044656005F022B7ED24E637");

MODULE_INFO(suserelease, "SLFO-1.2");
