#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(dvb_usbv2_probe, "", "");
KSYMTAB_FUNC(dvb_usbv2_disconnect, "", "");
KSYMTAB_FUNC(dvb_usbv2_suspend, "", "");
KSYMTAB_FUNC(dvb_usbv2_resume, "", "");
KSYMTAB_FUNC(dvb_usbv2_reset_resume, "", "");
KSYMTAB_FUNC(dvb_usbv2_generic_rw, "", "");
KSYMTAB_FUNC(dvb_usbv2_generic_write, "", "");
KSYMTAB_FUNC(dvb_usbv2_generic_rw_locked, "", "");
KSYMTAB_FUNC(dvb_usbv2_generic_write_locked, "", "");

SYMBOL_CRC(dvb_usbv2_probe, 0xce015f4e, "");
SYMBOL_CRC(dvb_usbv2_disconnect, 0x72a807d6, "");
SYMBOL_CRC(dvb_usbv2_suspend, 0xaa410e3e, "");
SYMBOL_CRC(dvb_usbv2_resume, 0xe921de71, "");
SYMBOL_CRC(dvb_usbv2_reset_resume, 0xb05a5577, "");
SYMBOL_CRC(dvb_usbv2_generic_rw, 0xbbb9b04b, "");
SYMBOL_CRC(dvb_usbv2_generic_write, 0x732df626, "");
SYMBOL_CRC(dvb_usbv2_generic_rw_locked, 0x8f6e51d9, "");
SYMBOL_CRC(dvb_usbv2_generic_write_locked, 0xf27309ee, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3a375ec6, "out_of_line_wait_on_bit" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0xc19a3bcd, "dvb_register_adapter" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x46097989, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x71b5bbcc, "usb_submit_urb" },
	{ 0x71b12b37, "_dev_info" },
	{ 0xfbcb0b03, "bit_wait" },
	{ 0x35c41ef8, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x2995a67f, "media_device_cleanup" },
	{ 0x7ec00888, "dvb_dmx_swfilter_204" },
	{ 0x2329c298, "dvb_dmx_release" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x8b8c186, "rc_register_device" },
	{ 0x5da7f0f5, "dvb_net_init" },
	{ 0x760ebda, "dvb_dmx_swfilter" },
	{ 0x26205f8b, "dvb_dmxdev_release" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x57650739, "rc_free_device" },
	{ 0x11593832, "dvb_dmx_swfilter_raw" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc151dc95, "dvb_frontend_detach" },
	{ 0x58c69b21, "i2c_add_adapter" },
	{ 0xfebd5103, "dvb_net_release" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x7b9c613b, "rc_allocate_device" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfccace80, "dvb_unregister_frontend" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x6323482b, "usb_kill_urb" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xe575cc1f, "__media_device_usb_init" },
	{ 0x685426da, "dvb_frontend_resume" },
	{ 0x5098fb73, "dvb_register_frontend" },
	{ 0x95b50b2b, "dvb_frontend_suspend" },
	{ 0x70b65b56, "dvb_create_media_graph" },
	{ 0x1788ff8c, "dvb_unregister_adapter" },
	{ 0xb93ba240, "wake_up_bit" },
	{ 0x6e7d33dc, "dvb_dmx_init" },
	{ 0xf2203c5f, "param_ops_int" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0xa8a487e5, "rc_unregister_device" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x9be40c22, "dvb_dmxdev_init" },
	{ 0x4ed62146, "usb_alloc_urb" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xacdb8d2b, "media_device_unregister" },
	{ 0x55a2d436, "usb_free_urb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xacf7e913, "request_firmware" },
	{ 0x37a0cba, "kfree" },
	{ 0x70b7a00, "__media_device_register" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "dvb-core,usbcore,mc,rc-core");


MODULE_INFO(srcversion, "9926F3EE0FC2A72E4FE49C0");

MODULE_INFO(suserelease, "SLFO-1.2");
