#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(gspca_debug, "", "");
KSYMTAB_FUNC(gspca_frame_add, "", "");
KSYMTAB_FUNC(gspca_dev_probe2, "", "");
KSYMTAB_FUNC(gspca_dev_probe, "", "");
KSYMTAB_FUNC(gspca_disconnect, "", "");
KSYMTAB_FUNC(gspca_suspend, "", "");
KSYMTAB_FUNC(gspca_resume, "", "");
KSYMTAB_FUNC(gspca_expo_autogain, "", "");
KSYMTAB_FUNC(gspca_coarse_grained_expo_autogain, "", "");

SYMBOL_CRC(gspca_debug, 0x9670af2c, "");
SYMBOL_CRC(gspca_frame_add, 0xc8367339, "");
SYMBOL_CRC(gspca_dev_probe2, 0x68fbdb7a, "");
SYMBOL_CRC(gspca_dev_probe, 0x82b08e3b, "");
SYMBOL_CRC(gspca_disconnect, 0x790314fe, "");
SYMBOL_CRC(gspca_suspend, 0x5ba2e8fc, "");
SYMBOL_CRC(gspca_resume, 0x45410a73, "");
SYMBOL_CRC(gspca_expo_autogain, 0x06eccfb1, "");
SYMBOL_CRC(gspca_coarse_grained_expo_autogain, 0x8774e11a, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7bd98e9f, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x71b5bbcc, "usb_submit_urb" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xabf456f3, "__v4l2_ctrl_s_ctrl" },
	{ 0xeb78877b, "vb2_ioctl_dqbuf" },
	{ 0xe06bd8, "usb_free_coherent" },
	{ 0x4f1066ef, "vb2_ioctl_create_bufs" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x693c61fc, "vb2_buffer_done" },
	{ 0x578f5239, "vb2_plane_vaddr" },
	{ 0x49234b27, "v4l2_ctrl_subscribe_event" },
	{ 0x6760fa75, "usb_set_interface" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x8c8bef1d, "video_unregister_device" },
	{ 0xd39a11cd, "vb2_ioctl_qbuf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x7dee4b4a, "vb2_fop_mmap" },
	{ 0x2158800e, "vb2_vmalloc_memops" },
	{ 0xf6f8fc73, "v4l2_device_disconnect" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0x71e0094c, "vb2_fop_read" },
	{ 0x7ad94f1a, "v4l2_device_register" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0xb6a00423, "__video_register_device" },
	{ 0xe4f67b2b, "vb2_ops_wait_prepare" },
	{ 0x6323482b, "usb_kill_urb" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x9af3361b, "vb2_ioctl_streamon" },
	{ 0x3f17c9e0, "vb2_fop_poll" },
	{ 0xb85c8bcc, "v4l2_ctrl_g_ctrl" },
	{ 0xbaac4c5d, "v4l2_ctrl_handler_free" },
	{ 0xb86e788f, "v4l2_device_unregister" },
	{ 0xf2203c5f, "param_ops_int" },
	{ 0x89e28b1f, "video_device_release_empty" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xd6f88a87, "v4l2_event_unsubscribe" },
	{ 0x15b689a9, "vb2_ioctl_reqbufs" },
	{ 0x55e09d79, "vb2_queue_init" },
	{ 0xaf118a84, "input_allocate_device" },
	{ 0x4ed62146, "usb_alloc_urb" },
	{ 0xb57510a, "video_ioctl2" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x55a2d436, "usb_free_urb" },
	{ 0xe2219370, "v4l2_device_put" },
	{ 0xf2df7514, "vb2_ioctl_streamoff" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x2f4a334c, "usb_alloc_coherent" },
	{ 0xb3907464, "vb2_ioctl_expbuf" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x7078478d, "usb_ifnum_to_if" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0x1db8dfbb, "vb2_ops_wait_finish" },
	{ 0x4fbd717f, "input_unregister_device" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xd7b251f4, "vb2_ioctl_querybuf" },
	{ 0x78c9d6ef, "v4l2_fh_open" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x32c15a14, "input_free_device" },
	{ 0x92997ed8, "_printk" },
	{ 0x67c49a03, "usb_clear_halt" },
	{ 0x5f1034e4, "v4l2_ctrl_handler_setup" },
	{ 0xf24ba071, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbd03b5cd, "video_devdata" },
	{ 0xc4081fc3, "vb2_queue_error" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,usbcore,videodev,videobuf2-common,videobuf2-vmalloc");


MODULE_INFO(srcversion, "97CC365C5DA7A87CE46A265");

MODULE_INFO(suserelease, "SLFO-1.2");
