#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(v4l2_async_nf_init, "", "");
KSYMTAB_FUNC(v4l2_async_subdev_nf_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_nf_register, "", "");
KSYMTAB_FUNC(v4l2_async_nf_unregister, "", "");
KSYMTAB_FUNC(v4l2_async_nf_cleanup, "_gpl", "");
KSYMTAB_FUNC(__v4l2_async_nf_add_fwnode, "_gpl", "");
KSYMTAB_FUNC(__v4l2_async_nf_add_fwnode_remote, "_gpl", "");
KSYMTAB_FUNC(__v4l2_async_nf_add_i2c, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_subdev_endpoint_add, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_connection_unique, "_gpl", "");
KSYMTAB_FUNC(__v4l2_async_register_subdev, "", "");
KSYMTAB_FUNC(v4l2_async_unregister_subdev, "", "");

SYMBOL_CRC(v4l2_async_nf_init, 0x04fc7700, "");
SYMBOL_CRC(v4l2_async_subdev_nf_init, 0x745d5f69, "_gpl");
SYMBOL_CRC(v4l2_async_nf_register, 0x7e7cf4cf, "");
SYMBOL_CRC(v4l2_async_nf_unregister, 0x486d94e3, "");
SYMBOL_CRC(v4l2_async_nf_cleanup, 0xf755460f, "_gpl");
SYMBOL_CRC(__v4l2_async_nf_add_fwnode, 0xd0814e59, "_gpl");
SYMBOL_CRC(__v4l2_async_nf_add_fwnode_remote, 0x004190db, "_gpl");
SYMBOL_CRC(__v4l2_async_nf_add_i2c, 0x4e231495, "_gpl");
SYMBOL_CRC(v4l2_async_subdev_endpoint_add, 0x5845731d, "_gpl");
SYMBOL_CRC(v4l2_async_connection_unique, 0x404655f9, "_gpl");
SYMBOL_CRC(__v4l2_async_register_subdev, 0x8f4715df, "");
SYMBOL_CRC(v4l2_async_unregister_subdev, 0x20afcf53, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9f8e1394, "i2c_verify_client" },
	{ 0xd20f3ddd, "debugfs_create_dir" },
	{ 0x8ae718dd, "debugfs_create_file_full" },
	{ 0x495b28e9, "single_open" },
	{ 0x6de67898, "debugfs_remove" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x7ad7a5cd, "seq_printf" },
	{ 0x39b37d3a, "fwnode_property_present" },
	{ 0xdd141e7d, "fwnode_graph_get_port_parent" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x24ffb65c, "fwnode_handle_get" },
	{ 0x37a0cba, "kfree" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x1c0b0adc, "v4l2_device_unregister_subdev" },
	{ 0xe927c09e, "v4l2_subdev_put_privacy_led" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xa88ec377, "fwnode_graph_get_remote_endpoint" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0x6a55e78c, "__dev_fwnode" },
	{ 0xfc87affb, "__v4l2_device_register_subdev" },
	{ 0x2f8df935, "media_create_ancillary_link" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x2e4f415b, "seq_lseek" },
	{ 0x4a38d9f7, "seq_read" },
	{ 0x8d8b2fb3, "single_release" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "videodev,mc");


MODULE_INFO(srcversion, "5BA6B5B7A07FBD1A4525A8B");

MODULE_INFO(suserelease, "SLFO-1.2");
