#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rtsx_pci_start_run, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_write_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_read_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_write_phy_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_read_phy_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_stop_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_add_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_send_cmd_no_wait, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_send_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_transfer_data, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_dma_map_sg, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_dma_unmap_sg, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_dma_transfer, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_read_ppbuf, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_write_ppbuf, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_pull_ctl_enable, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_pull_ctl_disable, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_switch_clock, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_power_on, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_power_off, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_exclusive_check, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_switch_output_voltage, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_exist, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_complete_unfinished_transfer, "_gpl", "");

SYMBOL_CRC(rtsx_pci_start_run, 0x9354d553, "_gpl");
SYMBOL_CRC(rtsx_pci_write_register, 0x7eab1c10, "_gpl");
SYMBOL_CRC(rtsx_pci_read_register, 0xde0cb616, "_gpl");
SYMBOL_CRC(rtsx_pci_write_phy_register, 0xa1b07663, "_gpl");
SYMBOL_CRC(rtsx_pci_read_phy_register, 0xa39b1583, "_gpl");
SYMBOL_CRC(rtsx_pci_stop_cmd, 0x32cf29a7, "_gpl");
SYMBOL_CRC(rtsx_pci_add_cmd, 0x7c798861, "_gpl");
SYMBOL_CRC(rtsx_pci_send_cmd_no_wait, 0xee539bae, "_gpl");
SYMBOL_CRC(rtsx_pci_send_cmd, 0x6d2fb40b, "_gpl");
SYMBOL_CRC(rtsx_pci_transfer_data, 0x64b70ced, "_gpl");
SYMBOL_CRC(rtsx_pci_dma_map_sg, 0x9bbe21ab, "_gpl");
SYMBOL_CRC(rtsx_pci_dma_unmap_sg, 0x9d73ce61, "_gpl");
SYMBOL_CRC(rtsx_pci_dma_transfer, 0xe6465373, "_gpl");
SYMBOL_CRC(rtsx_pci_read_ppbuf, 0x3a87a99a, "_gpl");
SYMBOL_CRC(rtsx_pci_write_ppbuf, 0x69182725, "_gpl");
SYMBOL_CRC(rtsx_pci_card_pull_ctl_enable, 0x1e90138d, "_gpl");
SYMBOL_CRC(rtsx_pci_card_pull_ctl_disable, 0xaabad255, "_gpl");
SYMBOL_CRC(rtsx_pci_switch_clock, 0xe3d12433, "_gpl");
SYMBOL_CRC(rtsx_pci_card_power_on, 0xc8c82f4d, "_gpl");
SYMBOL_CRC(rtsx_pci_card_power_off, 0x0e156a7c, "_gpl");
SYMBOL_CRC(rtsx_pci_card_exclusive_check, 0xf34eb8f0, "_gpl");
SYMBOL_CRC(rtsx_pci_switch_output_voltage, 0xcb6a09be, "_gpl");
SYMBOL_CRC(rtsx_pci_card_exist, 0xabe3b152, "_gpl");
SYMBOL_CRC(rtsx_pci_complete_unfinished_transfer, 0x189232ab, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xa6257a2f, "complete" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xd1ffe315, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xcf93977b, "pci_disable_msi" },
	{ 0x18b00c43, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0xb6e3c8cb, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x127572c3, "pci_read_config_dword" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x573ac88f, "pm_schedule_suspend" },
	{ 0xf1499a98, "pci_intx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb9a85f0c, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xa9da7092, "pci_enable_msi" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x9820f51a, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x9f592af3, "radix_tree_preloads" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x954f099c, "idr_preload" },
	{ 0xde25a102, "pcie_capability_clear_and_set_word_locked" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x18595920, "dma_alloc_attrs" },
	{ 0x6cbbdae3, "mfd_add_devices" },
	{ 0xde80cd09, "ioremap" },
	{ 0xb19b445, "ioread8" },
	{ 0x83358fe5, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x2f4347e8, "pm_runtime_forbid" },
	{ 0xf4334299, "dma_free_attrs" },
	{ 0x75dc832a, "pm_runtime_allow" },
	{ 0xd5dcc637, "__pm_runtime_resume" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9199b9f0, "param_ops_bool" },
	{ 0x34344af2, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x94e7fe73, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xfb5af384, "pci_disable_device" },
	{ 0x9243d700, "mfd_remove_devices" },
	{ 0xa7524338, "dma_set_mask" },
	{ 0xc1ddd422, "dma_unmap_sg_attrs" },
	{ 0x6847eb4d, "pci_read_config_byte" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x66ebde19, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x18b6678f, "pci_write_config_dword" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xeebca5cd, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xe859e1a6, "pcie_capability_read_word" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xd152e531, "pci_find_ext_capability" },
	{ 0xbd12925f, "pci_enable_device" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "mfd-core");

MODULE_ALIAS("pci:v000010ECd00005209sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005229sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005289sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005227sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd0000522Asv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005249sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005287sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005286sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd0000524Asv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd0000525Asv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005260sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005261sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005228sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005264sv*sd*bcFFsc*i*");

MODULE_INFO(srcversion, "C84F85E7544A89EC63E766C");

MODULE_INFO(suserelease, "SLFO-1.2");
