#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rtsx_usb_transfer_data, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_read_ppbuf, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_write_ppbuf, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_ep0_write_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_ep0_read_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_add_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_send_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_get_rsp, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_get_card_status, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_write_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_read_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_switch_clock, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_card_exclusive_check, "_gpl", "");

SYMBOL_CRC(rtsx_usb_transfer_data, 0x448251c8, "_gpl");
SYMBOL_CRC(rtsx_usb_read_ppbuf, 0x71e95879, "_gpl");
SYMBOL_CRC(rtsx_usb_write_ppbuf, 0x84ec9f02, "_gpl");
SYMBOL_CRC(rtsx_usb_ep0_write_register, 0xfa4a4579, "_gpl");
SYMBOL_CRC(rtsx_usb_ep0_read_register, 0xa5189ce4, "_gpl");
SYMBOL_CRC(rtsx_usb_add_cmd, 0x2c9913ed, "_gpl");
SYMBOL_CRC(rtsx_usb_send_cmd, 0x1175f833, "_gpl");
SYMBOL_CRC(rtsx_usb_get_rsp, 0xc20aa310, "_gpl");
SYMBOL_CRC(rtsx_usb_get_card_status, 0x66916a89, "_gpl");
SYMBOL_CRC(rtsx_usb_write_register, 0x3aa74677, "_gpl");
SYMBOL_CRC(rtsx_usb_read_register, 0x8a5e362e, "_gpl");
SYMBOL_CRC(rtsx_usb_switch_clock, 0x65391da0, "_gpl");
SYMBOL_CRC(rtsx_usb_card_exclusive_check, 0x814aaf42, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x46097989, "usb_bulk_msg" },
	{ 0x9e452f08, "usb_sg_init" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x24d273d1, "add_timer" },
	{ 0x8e3005dd, "usb_sg_wait" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0x72b0d970, "usb_control_msg" },
	{ 0xa7a38b4e, "usb_register_driver" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xefb18d5e, "device_for_each_child" },
	{ 0xd5dcc637, "__pm_runtime_resume" },
	{ 0x9243d700, "mfd_remove_devices" },
	{ 0x37a0cba, "kfree" },
	{ 0x8152c60a, "usb_sg_cancel" },
	{ 0x8d842521, "usb_deregister" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x25531590, "mutex_trylock" },
	{ 0x3cb06817, "devm_kmalloc" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x6cbbdae3, "mfd_add_devices" },
	{ 0xbdafd8be, "usb_enable_autosuspend" },
	{ 0xf2203c5f, "param_ops_int" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "usbcore,mfd-core");

MODULE_ALIAS("usb:v0BDAp0129d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BDAp0139d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BDAp0140d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "8B54AA5A59BA0DE59F004C7");

MODULE_INFO(suserelease, "SLFO-1.2");
