#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sdhci_dumpregs, "_gpl", "");
KSYMTAB_FUNC(sdhci_enable_v4_mode, "_gpl", "");
KSYMTAB_FUNC(sdhci_reset, "_gpl", "");
KSYMTAB_FUNC(sdhci_adma_write_desc, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_data_timeout_irq, "_gpl", "");
KSYMTAB_FUNC(__sdhci_set_timeout, "_gpl", "");
KSYMTAB_FUNC(sdhci_switch_external_dma, "_gpl", "");
KSYMTAB_FUNC(sdhci_calc_clk, "_gpl", "");
KSYMTAB_FUNC(sdhci_enable_clk, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_clock, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_power_noreg, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_power, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_power_and_bus_voltage, "_gpl", "");
KSYMTAB_FUNC(sdhci_request, "_gpl", "");
KSYMTAB_FUNC(sdhci_request_atomic, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_bus_width, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_uhs_signaling, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_ios, "_gpl", "");
KSYMTAB_FUNC(sdhci_get_cd_nogpio, "_gpl", "");
KSYMTAB_FUNC(sdhci_get_ro, "_gpl", "");
KSYMTAB_FUNC(sdhci_enable_sdio_irq, "_gpl", "");
KSYMTAB_FUNC(sdhci_start_signal_voltage_switch, "_gpl", "");
KSYMTAB_FUNC(sdhci_start_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_end_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_reset_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_abort_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_send_tuning, "_gpl", "");
KSYMTAB_FUNC(__sdhci_execute_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_execute_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_suspend_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_resume_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_runtime_suspend_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_runtime_resume_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_cqe_enable, "_gpl", "");
KSYMTAB_FUNC(sdhci_cqe_disable, "_gpl", "");
KSYMTAB_FUNC(sdhci_cqe_irq, "_gpl", "");
KSYMTAB_FUNC(sdhci_alloc_host, "_gpl", "");
KSYMTAB_FUNC(__sdhci_read_caps, "_gpl", "");
KSYMTAB_FUNC(sdhci_setup_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_cleanup_host, "_gpl", "");
KSYMTAB_FUNC(__sdhci_add_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_add_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_remove_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_free_host, "_gpl", "");

SYMBOL_CRC(sdhci_dumpregs, 0x45a6d8b6, "_gpl");
SYMBOL_CRC(sdhci_enable_v4_mode, 0xe39943f1, "_gpl");
SYMBOL_CRC(sdhci_reset, 0x07f7f13a, "_gpl");
SYMBOL_CRC(sdhci_adma_write_desc, 0x3ec19e2b, "_gpl");
SYMBOL_CRC(sdhci_set_data_timeout_irq, 0x1ab8a626, "_gpl");
SYMBOL_CRC(__sdhci_set_timeout, 0xe7aaf9fa, "_gpl");
SYMBOL_CRC(sdhci_switch_external_dma, 0x2414982d, "_gpl");
SYMBOL_CRC(sdhci_calc_clk, 0x0fc3f548, "_gpl");
SYMBOL_CRC(sdhci_enable_clk, 0xa857d350, "_gpl");
SYMBOL_CRC(sdhci_set_clock, 0x0709eded, "_gpl");
SYMBOL_CRC(sdhci_set_power_noreg, 0x365fdf06, "_gpl");
SYMBOL_CRC(sdhci_set_power, 0xdc3025e4, "_gpl");
SYMBOL_CRC(sdhci_set_power_and_bus_voltage, 0xc2533bfd, "_gpl");
SYMBOL_CRC(sdhci_request, 0xab2d096f, "_gpl");
SYMBOL_CRC(sdhci_request_atomic, 0x0d91ca46, "_gpl");
SYMBOL_CRC(sdhci_set_bus_width, 0x216911ef, "_gpl");
SYMBOL_CRC(sdhci_set_uhs_signaling, 0xff990c26, "_gpl");
SYMBOL_CRC(sdhci_set_ios, 0x82c6e934, "_gpl");
SYMBOL_CRC(sdhci_get_cd_nogpio, 0xb1d04bc0, "_gpl");
SYMBOL_CRC(sdhci_get_ro, 0x36ff6233, "_gpl");
SYMBOL_CRC(sdhci_enable_sdio_irq, 0x5421135b, "_gpl");
SYMBOL_CRC(sdhci_start_signal_voltage_switch, 0x2bdf4967, "_gpl");
SYMBOL_CRC(sdhci_start_tuning, 0x94c109c8, "_gpl");
SYMBOL_CRC(sdhci_end_tuning, 0x46e147eb, "_gpl");
SYMBOL_CRC(sdhci_reset_tuning, 0xc44b075b, "_gpl");
SYMBOL_CRC(sdhci_abort_tuning, 0x116014d9, "_gpl");
SYMBOL_CRC(sdhci_send_tuning, 0x60322492, "_gpl");
SYMBOL_CRC(__sdhci_execute_tuning, 0x98164559, "_gpl");
SYMBOL_CRC(sdhci_execute_tuning, 0x24ac32f5, "_gpl");
SYMBOL_CRC(sdhci_suspend_host, 0xbf272e60, "_gpl");
SYMBOL_CRC(sdhci_resume_host, 0x83cc48de, "_gpl");
SYMBOL_CRC(sdhci_runtime_suspend_host, 0xa2dbabac, "_gpl");
SYMBOL_CRC(sdhci_runtime_resume_host, 0x796cc9ba, "_gpl");
SYMBOL_CRC(sdhci_cqe_enable, 0x1fb19953, "_gpl");
SYMBOL_CRC(sdhci_cqe_disable, 0x65336873, "_gpl");
SYMBOL_CRC(sdhci_cqe_irq, 0x4465ded4, "_gpl");
SYMBOL_CRC(sdhci_alloc_host, 0x05f45396, "_gpl");
SYMBOL_CRC(__sdhci_read_caps, 0x98bf77fb, "_gpl");
SYMBOL_CRC(sdhci_setup_host, 0xb09dff2e, "_gpl");
SYMBOL_CRC(sdhci_cleanup_host, 0x64e1eed1, "_gpl");
SYMBOL_CRC(__sdhci_add_host, 0x43d287aa, "_gpl");
SYMBOL_CRC(sdhci_add_host, 0x24faaa84, "_gpl");
SYMBOL_CRC(sdhci_remove_host, 0x9be519d7, "_gpl");
SYMBOL_CRC(sdhci_free_host, 0x8f838e4c, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92997ed8, "_printk" },
	{ 0xeebca5cd, "dma_map_sg_attrs" },
	{ 0x6029628f, "__dma_sync_single_for_device" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xc1ddd422, "dma_unmap_sg_attrs" },
	{ 0x2f1f64bc, "mmc_alloc_host" },
	{ 0xf4334299, "dma_free_attrs" },
	{ 0x39a005f4, "regulator_disable" },
	{ 0x4775e6e, "mmc_free_host" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd11f4254, "mmc_retune_timer_stop" },
	{ 0xaa309cf, "synchronize_hardirq" },
	{ 0xb6759a32, "mmc_send_abort_tuning" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xba9346a1, "mmc_regulator_set_ocr" },
	{ 0xcc1dd97a, "mmc_request_done" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0x367306fd, "__dma_sync_single_for_cpu" },
	{ 0x1a225e00, "mmc_gpio_get_cd" },
	{ 0x26a4a313, "mmc_can_gpio_cd" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd0e19135, "led_classdev_register_ext" },
	{ 0x843eed7e, "mmc_add_host" },
	{ 0x10dc7c41, "led_classdev_unregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x5ad81e71, "mmc_remove_host" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x2b332614, "mmc_can_gpio_ro" },
	{ 0x11794450, "mmc_gpio_get_ro" },
	{ 0xed51a11b, "mmc_regulator_set_vqmmc" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x60b878dd, "device_property_read_u64_array" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x31c35b27, "regulator_is_supported_voltage" },
	{ 0x4d63d2e2, "regulator_get_current_limit" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xd2b77aba, "regulator_enable" },
	{ 0x18595920, "dma_alloc_attrs" },
	{ 0x3cb06817, "devm_kmalloc" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x28ba6fe1, "dma_map_page_attrs" },
	{ 0xec083b74, "devm_kfree" },
	{ 0xa1470c98, "mmc_regulator_get_supply" },
	{ 0xd6bd1441, "dma_max_mapping_size" },
	{ 0xa7524338, "dma_set_mask" },
	{ 0xaf36c569, "dma_set_coherent_mask" },
	{ 0x44c339bf, "dev_driver_string" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x47b0f9e2, "mmc_detect_change" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xf3e2f234, "sg_miter_start" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x8a9d2f61, "__dma_sync_sg_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x3416d62c, "prepare_to_wait_event" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x9afee789, "sdio_signal_irq" },
	{ 0x1af80f37, "mmc_command_done" },
	{ 0x604cf6ce, "sg_miter_next" },
	{ 0x2ca41212, "sg_miter_stop" },
	{ 0xf6491531, "__wake_up" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xe5eb5fd0, "param_ops_uint" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "mmc_core");


MODULE_INFO(srcversion, "267D74B6086A2A1CB7AF74F");

MODULE_INFO(suserelease, "SLFO-1.2");
