#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(felix_register_switch, "_gpl", "");
KSYMTAB_FUNC(felix_port_to_netdev, "_gpl", "");
KSYMTAB_FUNC(felix_netdev_to_port, "_gpl", "");

SYMBOL_CRC(felix_register_switch, 0x34b9f5d2, "_gpl");
SYMBOL_CRC(felix_port_to_netdev, 0xec8128bf, "_gpl");
SYMBOL_CRC(felix_netdev_to_port, 0xa532512d, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x3f8d036f, "ocelot_sb_port_pool_set" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbdc57964, "ocelot_port_pre_bridge_flags" },
	{ 0xc63345aa, "ocelot_port_del_dscp_prio" },
	{ 0xa562e9b0, "ocelot_mrp_del_ring_role" },
	{ 0x593642b2, "ocelot_sb_tc_pool_bind_set" },
	{ 0x847f394d, "dsa_fdb_present_in_other_db" },
	{ 0xd8280ae9, "ocelot_unlock_xtr_grp" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x771331b4, "dsa_mdb_present_in_other_db" },
	{ 0x78226e82, "ocelot_vcap_filter_add" },
	{ 0x585fc9ea, "ocelot_sb_port_pool_get" },
	{ 0xbc607a4, "ocelot_port_setup_dsa_8021q_cpu" },
	{ 0xfcf91971, "ocelot_port_teardown_dsa_8021q_cpu" },
	{ 0x1d9e0692, "ocelot_port_inject_frame" },
	{ 0x716b4fac, "dev_err_probe" },
	{ 0xb7a1d632, "ocelot_mrp_add" },
	{ 0xef0a9ce6, "ocelot_sb_occ_port_pool_get" },
	{ 0x9685f2e5, "ocelot_sb_pool_set" },
	{ 0xe21277a3, "ocelot_lag_fdb_del" },
	{ 0x54c373ca, "ocelot_vcap_filter_del" },
	{ 0x87dc99f3, "ocelot_cls_flower_stats" },
	{ 0x9e357623, "ocelot_lock_inj_grp" },
	{ 0x13e42bf9, "ocelot_lock_xtr_grp_bh" },
	{ 0x4fdc556a, "ocelot_sb_pool_get" },
	{ 0xd83696b9, "ocelot_lock_xtr_grp" },
	{ 0x6e25b377, "ocelot_phylink_mac_link_up" },
	{ 0x2c7c6db3, "ocelot_deinit_port" },
	{ 0x853ede6c, "ocelot_can_inject" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x2ee163cd, "ocelot_port_mirror_add" },
	{ 0x1f3367a, "ocelot_fdb_dump" },
	{ 0xc6cf2fe2, "ocelot_vlan_prepare" },
	{ 0x7f91ae72, "dsa_tag_8021q_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x6a51add8, "ocelot_set_ageing_time" },
	{ 0xa3ddabeb, "__ocelot_rmw_ix" },
	{ 0x3cb06817, "devm_kmalloc" },
	{ 0x8864c251, "ocelot_hwstamp_set" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xf18737ab, "ocelot_port_policer_del" },
	{ 0xcbf6cc1d, "ocelot_port_lag_change" },
	{ 0x74885bdc, "consume_skb" },
	{ 0x2934ffb6, "ocelot_port_policer_add" },
	{ 0xb1f6fe1, "ocelot_port_mdb_add" },
	{ 0xc59e6725, "ocelot_vlan_add" },
	{ 0x2cbab59c, "ocelot_sb_tc_pool_bind_get" },
	{ 0x243b1a3d, "ocelot_port_bridge_flags" },
	{ 0xa2ae1670, "ocelot_devlink_sb_unregister" },
	{ 0x3d9ed9c6, "ocelot_port_bridge_leave" },
	{ 0x2d1b93b5, "ocelot_port_set_maxlen" },
	{ 0x8ba642f4, "ocelot_vcap_filter_replace" },
	{ 0xee893dbf, "ocelot_get_max_mtu" },
	{ 0x45bc554, "regmap_fields_update_bits_base" },
	{ 0x5cae5c97, "ocelot_sb_occ_snapshot" },
	{ 0x33af8582, "ocelot_get_ts_info" },
	{ 0x2f201540, "ocelot_sb_occ_max_clear" },
	{ 0x3403ef6f, "ocelot_port_get_mm" },
	{ 0x2e9af800, "ocelot_ptp_gettime64" },
	{ 0x9e2bea73, "ocelot_unlock_inj_grp" },
	{ 0x7e4cd27b, "ocelot_get_strings" },
	{ 0x82ee4064, "dsa_register_switch" },
	{ 0x37a0cba, "kfree" },
	{ 0x23823145, "ocelot_sb_occ_tc_port_bind_get" },
	{ 0x58a3fd3c, "ocelot_unlock_xtr_grp_bh" },
	{ 0xbe6b0d44, "ocelot_port_add_dscp_prio" },
	{ 0x7671f4f9, "ocelot_drain_cpu_queue" },
	{ 0x635da9a5, "ocelot_port_mirror_del" },
	{ 0xe1c1be67, "ocelot_vcap_block_find_filter_by_id" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x83c55427, "__ocelot_read_ix" },
	{ 0x7ef1fa7, "ocelot_port_get_pause_stats" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x255073fa, "dsa_port_from_netdev" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa7c79584, "ocelot_get_sset_count" },
	{ 0x490aa672, "ocelot_migrate_mdbs" },
	{ 0x7337e333, "ocelot_hwstamp_get" },
	{ 0x2691083d, "ocelot_port_txtstamp_request" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x33c3b097, "ocelot_port_bridge_join" },
	{ 0x584816f5, "ocelot_fdb_add" },
	{ 0x4f04430d, "ocelot_port_unassign_dsa_8021q_cpu" },
	{ 0x12d1cc7f, "ocelot_xtr_poll_frame" },
	{ 0xb914e725, "ocelot_port_get_default_prio" },
	{ 0xc9797ff1, "ptp_classify_raw" },
	{ 0x2c51f8d0, "ocelot_port_set_default_prio" },
	{ 0x679d315, "dsa_tag_8021q_register" },
	{ 0xb2745ca2, "ocelot_port_get_mm_stats" },
	{ 0xc9558b40, "ocelot_deinit" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x60dd006f, "ocelot_vlan_del" },
	{ 0x6d64c27f, "sk_skb_reason_drop" },
	{ 0x68cd59fe, "ocelot_bond_get_id" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4b0ce402, "ocelot_get_ethtool_stats" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x5fd8057, "ocelot_cls_flower_destroy" },
	{ 0xdb06871a, "ocelot_port_vlan_filtering" },
	{ 0xf67b3561, "ocelot_port_get_rmon_stats" },
	{ 0x80880d2d, "ocelot_port_assign_dsa_8021q_cpu" },
	{ 0xbcfb74e9, "ocelot_lag_fdb_add" },
	{ 0x9ac729c9, "ocelot_bridge_stp_state_set" },
	{ 0xa274c70e, "__ocelot_write_ix" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5dfcb6d3, "netif_rx" },
	{ 0x42c0a979, "ocelot_port_get_eth_ctrl_stats" },
	{ 0x186b610, "ocelot_fdb_del" },
	{ 0xe6fc2f37, "ocelot_phylink_mac_link_down" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x9844234a, "ocelot_port_lag_join" },
	{ 0xf33b72f7, "ocelot_port_get_eth_phy_stats" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x2c21ffb9, "ocelot_port_lag_leave" },
	{ 0xc5b9a170, "ocelot_mrp_add_ring_role" },
	{ 0x5a16f556, "ocelot_port_set_mm" },
	{ 0x9f9d7b7e, "ocelot_deinit_timestamp" },
	{ 0xef968315, "ocelot_cls_flower_replace" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x4ff85092, "ocelot_port_get_stats64" },
	{ 0x7d512dbb, "ocelot_port_get_dscp_prio" },
	{ 0xe711d259, "ocelot_port_mdb_del" },
	{ 0xba8c8718, "ocelot_port_get_eth_mac_stats" },
	{ 0x872fa97d, "ocelot_mact_flush" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "mscc_ocelot_switch_lib,dsa_core");


MODULE_INFO(srcversion, "44787D8C09EEB2936783AC0");

MODULE_INFO(suserelease, "SLFO-1.2");
