#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0x23709dd3, "__dynamic_netdev_dbg" },
	{ 0xea639833, "call_switchdev_notifiers" },
	{ 0xe648e7c0, "skb_queue_tail" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe4408873, "spi_get_device_id" },
	{ 0x3cb06817, "devm_kmalloc" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0xa4f4d556, "device_property_present" },
	{ 0xc435d824, "devm_gpiod_get_optional" },
	{ 0x20d1d0c7, "spi_bus_lock" },
	{ 0x6a10bb05, "gpiod_set_value" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf9a482f9, "msleep" },
	{ 0xd495198f, "spi_bus_unlock" },
	{ 0xdc58ae4c, "devm_mdiobus_alloc_size" },
	{ 0x97a3873e, "__devm_mdiobus_register" },
	{ 0xb4feca4b, "devm_alloc_etherdev_mqs" },
	{ 0xd18c3ca6, "device_get_ethdev_address" },
	{ 0xf2eabe4f, "netif_carrier_off" },
	{ 0xf5ce00e7, "get_phy_device" },
	{ 0x2cdc2cf9, "phy_connect" },
	{ 0x177e48ab, "__devm_add_action" },
	{ 0xaa8106bc, "crc8_populate_msb" },
	{ 0xd0934899, "devm_request_threaded_irq" },
	{ 0xeb4d76ba, "devm_register_netdev" },
	{ 0x4424eef3, "netdev_err" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x8be8cd38, "netif_tx_wake_queue" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x3f2fd4ff, "phy_stop" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x712fdcf3, "dev_addr_mod" },
	{ 0xdb032ae, "eth_prepare_mac_addr_change" },
	{ 0x1b142e78, "phy_start" },
	{ 0xfd80cd6b, "ethtool_op_get_link" },
	{ 0xb0957541, "phy_ethtool_get_link_ksettings" },
	{ 0x26adfe07, "phy_ethtool_set_link_ksettings" },
	{ 0x3b2e7a22, "eth_validate_addr" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xdf7bd239, "phy_disconnect" },
	{ 0xaa6deb88, "phy_print_status" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x69acdf38, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3bced5a, "phy_do_ioctl" },
	{ 0xb48a48a3, "switchdev_handle_port_attr_set" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0xe7916c3b, "__spi_register_driver" },
	{ 0x6b184ed6, "driver_unregister" },
	{ 0xc2e1873d, "spi_sync" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x9c5d5b94, "crc8" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x4e69b266, "__netdev_alloc_skb" },
	{ 0x3ec4ea5, "skb_put" },
	{ 0x1c785e13, "skb_pull" },
	{ 0x502db1b1, "eth_type_trans" },
	{ 0x5dfcb6d3, "netif_rx" },
	{ 0x6d64c27f, "sk_skb_reason_drop" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x74885bdc, "consume_skb" },
	{ 0x512c59c3, "skb_dequeue" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "mdio_devres,libphy,crc8");

MODULE_ALIAS("spi:adin1110");
MODULE_ALIAS("spi:adin2111");
MODULE_ALIAS("of:N*T*Cadi,adin1110");
MODULE_ALIAS("of:N*T*Cadi,adin1110C*");
MODULE_ALIAS("of:N*T*Cadi,adin2111");
MODULE_ALIAS("of:N*T*Cadi,adin2111C*");

MODULE_INFO(srcversion, "458E69A5B1D3479444DCC45");

MODULE_INFO(suserelease, "SLFO-1.2");
