#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(fun_submit_admin_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(fun_get_res_count, "_gpl", "");
KSYMTAB_FUNC(fun_res_destroy, "_gpl", "");
KSYMTAB_FUNC(fun_bind, "_gpl", "");
KSYMTAB_FUNC(fun_reserve_irqs, "", "");
KSYMTAB_FUNC(fun_release_irqs, "", "");
KSYMTAB_FUNC(fun_serv_stop, "_gpl", "");
KSYMTAB_FUNC(fun_serv_restart, "_gpl", "");
KSYMTAB_FUNC(fun_serv_sched, "_gpl", "");
KSYMTAB_FUNC(fun_dev_disable, "", "");
KSYMTAB_FUNC(fun_dev_enable, "", "");
KSYMTAB_FUNC(fun_alloc_ring_mem, "_gpl", "");
KSYMTAB_FUNC(fun_free_ring_mem, "_gpl", "");
KSYMTAB_FUNC(fun_sq_create, "_gpl", "");
KSYMTAB_FUNC(fun_cq_create, "_gpl", "");

SYMBOL_CRC(fun_submit_admin_sync_cmd, 0x9391691f, "_gpl");
SYMBOL_CRC(fun_get_res_count, 0x4f9f0b2f, "_gpl");
SYMBOL_CRC(fun_res_destroy, 0x0fd29717, "_gpl");
SYMBOL_CRC(fun_bind, 0xd9fe94e8, "_gpl");
SYMBOL_CRC(fun_reserve_irqs, 0x6325a88e, "");
SYMBOL_CRC(fun_release_irqs, 0xff6f7c23, "");
SYMBOL_CRC(fun_serv_stop, 0x07d6a865, "_gpl");
SYMBOL_CRC(fun_serv_restart, 0xc18d88c8, "_gpl");
SYMBOL_CRC(fun_serv_sched, 0x7cc4db9e, "_gpl");
SYMBOL_CRC(fun_dev_disable, 0xdfad2fee, "");
SYMBOL_CRC(fun_dev_enable, 0x3a288c78, "");
SYMBOL_CRC(fun_alloc_ring_mem, 0xca968e02, "_gpl");
SYMBOL_CRC(fun_free_ring_mem, 0x7c0ddf3b, "_gpl");
SYMBOL_CRC(fun_sq_create, 0xc8fed931, "_gpl");
SYMBOL_CRC(fun_cq_create, 0x0d9f978e, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x87449e3e, "pci_release_selected_regions" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xd9de95f, "pci_enable_device_mem" },
	{ 0x6c2c44a0, "pci_alloc_irq_vectors" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xb51d11a4, "dma_unmap_page_attrs" },
	{ 0xedc03953, "iounmap" },
	{ 0x87eb9974, "sbitmap_queue_wake_all" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0xe885bad5, "pci_irq_vector" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0xbc698ef8, "pci_ioremap_bar" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xad4adb2b, "sbitmap_queue_init_node" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x28ba6fe1, "dma_map_page_attrs" },
	{ 0x148330d6, "__alloc_pages_noprof" },
	{ 0x8282b602, "sbitmap_prepare_to_wait" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x618911fc, "numa_node" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0x71b12b37, "_dev_info" },
	{ 0x4963dacd, "pci_select_bars" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x367306fd, "__dma_sync_single_for_cpu" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x18595920, "dma_alloc_attrs" },
	{ 0xee672802, "sbitmap_queue_clear" },
	{ 0x481dda0e, "__put_devmap_managed_folio_refs" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x83358fe5, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xaf36c569, "dma_set_coherent_mask" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xf4334299, "dma_free_attrs" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xd4d2fe48, "sbitmap_finish_wait" },
	{ 0x6029628f, "__dma_sync_single_for_device" },
	{ 0x4fb321aa, "pcie_print_link_status" },
	{ 0x64a5c687, "__folio_put" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xfb5af384, "pci_disable_device" },
	{ 0xa7524338, "dma_set_mask" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x975de6b2, "__sbitmap_queue_get" },
	{ 0xd6336f23, "pci_free_irq_vectors" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xf9a482f9, "msleep" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xb697fff3, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xfda82e3b, "pci_msix_vec_count" },
	{ 0xcf9a2c0, "pci_request_selected_regions" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "95B697930470BE54ACB93ED");

MODULE_INFO(suserelease, "SLFO-1.2");
