#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(prestera_device_register, "", "");
KSYMTAB_FUNC(prestera_device_unregister, "", "");

SYMBOL_CRC(prestera_device_register, 0xbb093305, "");
SYMBOL_CRC(prestera_device_unregister, 0x2ad0e8d1, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x502db1b1, "eth_type_trans" },
	{ 0xe46a8a82, "flow_rule_match_icmp" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x28ba6fe1, "dma_map_page_attrs" },
	{ 0x95b46469, "napi_complete_done" },
	{ 0x3f395610, "switchdev_handle_port_obj_del" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x9e534e6a, "priv_to_devlink" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x670db660, "__napi_schedule" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xbe3dbdfa, "__alloc_skb" },
	{ 0x3cb1153e, "switchdev_bridge_port_offload" },
	{ 0xf250e2d4, "rt_write_unlock" },
	{ 0xa0ef15fc, "flow_block_cb_incref" },
	{ 0xbaa74c7a, "flow_rule_match_ports_range" },
	{ 0x71b12b37, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xdc8c2aec, "free_fib_info" },
	{ 0xc8e8a43d, "flow_rule_match_basic" },
	{ 0xb9a85f0c, "idr_remove" },
	{ 0x3fe724ad, "vlan_dev_real_dev" },
	{ 0x1985ee9e, "__dev_get_by_index" },
	{ 0xc381aa1a, "devlink_port_unregister" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x1eb1abab, "init_net" },
	{ 0x1c785e13, "skb_pull" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x6d64c27f, "sk_skb_reason_drop" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xebe882b8, "flow_block_cb_decref" },
	{ 0xed153b93, "skb_push" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0xb70ca8ae, "napi_enable" },
	{ 0xc10e4626, "register_netdev" },
	{ 0xeb503c75, "unregister_fib_notifier" },
	{ 0x209cb8eb, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0x194470a2, "rhashtable_walk_start_check" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfd80cd6b, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xc05bb6a, "rhashtable_walk_stop" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xc98007b0, "idr_alloc_cyclic" },
	{ 0x4d470eb0, "idr_destroy" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x60337536, "rhashtable_free_and_destroy" },
	{ 0x8fb6d881, "switchdev_bridge_port_unoffload" },
	{ 0xfb578fc5, "memset" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0xcd6c9b80, "flow_rule_match_ports" },
	{ 0xcee336e0, "rht_bucket_nested_insert" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x2b64348b, "__pskb_pull_tail" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x77fab3d9, "rhashtable_destroy" },
	{ 0x8dcbdf77, "devlink_trap_report" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x312a716, "__neigh_event_send" },
	{ 0x52d95fc, "flow_block_cb_alloc" },
	{ 0x23c27ee3, "switchdev_handle_port_obj_add" },
	{ 0x12d6a663, "fib_alias_hw_flags_set" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x6d343d90, "__netif_napi_del_locked" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdb4bc512, "phylink_pcs_change" },
	{ 0x62c58e86, "__neigh_create" },
	{ 0x65df862, "netdev_walk_all_upper_dev_rcu" },
	{ 0xa0cf4391, "rhashtable_insert_slow" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xd170e4d2, "phylink_ethtool_ksettings_set" },
	{ 0xedd7eb58, "rt_read_lock" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe7f5881c, "alloc_netdev_dummy" },
	{ 0xc131aac7, "neigh_destroy" },
	{ 0x8d1224dc, "rhashtable_init_noprof" },
	{ 0xf1d8f2c3, "br_multicast_enabled" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x6029628f, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6dee496d, "flow_rule_match_vlan" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x595b5d, "netdev_master_upper_dev_get_rcu" },
	{ 0xecaf9005, "devlink_traps_register" },
	{ 0x9ebb2bfc, "rt_read_unlock" },
	{ 0x7f5b4f8d, "radix_tree_tagged" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x21fdb80f, "netdev_master_upper_dev_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf2eabe4f, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x1f89ae02, "flow_rule_match_meta" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x401878fa, "devlink_priv" },
	{ 0xdd517a71, "devlink_port_register_with_ops" },
	{ 0x72153cc5, "netif_carrier_on" },
	{ 0x66bf74cd, "netdev_has_any_upper_dev" },
	{ 0x9919fd8, "rt_write_lock" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0x5a1fbd9e, "devlink_trap_groups_register" },
	{ 0x68147d69, "arp_tbl" },
	{ 0xe6020f33, "phylink_ethtool_ksettings_get" },
	{ 0xbfe22422, "vlan_uses_dev" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb9a5be73, "netdev_walk_all_lower_dev" },
	{ 0x24baed7, "rhashtable_walk_next" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xf21d30b1, "napi_schedule_prep" },
	{ 0x86e76d62, "__fib_lookup" },
	{ 0x664821c4, "napi_disable" },
	{ 0x16a57400, "dev_kfree_skb_any_reason" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0x7a2c2cd6, "devlink_trap_groups_unregister" },
	{ 0x680994f8, "flow_rule_match_control" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x2ba8bbc8, "rhashtable_walk_exit" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0xb8071f4d, "neigh_lookup" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x18689cd6, "alloc_etherdev_mqs" },
	{ 0xbfdc8fa8, "netdev_lower_get_next" },
	{ 0xb9ce158e, "flow_block_cb_lookup" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x270454af, "br_vlan_enabled" },
	{ 0x6db45ff8, "__skb_pad" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x9269016d, "devlink_unregister" },
	{ 0xc6d9f098, "dma_pool_create" },
	{ 0x3ec4ea5, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xea639833, "call_switchdev_notifiers" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x3ec5c8c3, "register_fib_notifier" },
	{ 0x8aa11c28, "l3mdev_fib_table_rcu" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7501fbbb, "idr_alloc_u32" },
	{ 0x6b8bf149, "netif_receive_skb_list" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x852c5aa5, "unregister_netdev" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xb51d11a4, "dma_unmap_page_attrs" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xad0a2118, "flow_rule_match_eth_addrs" },
	{ 0xe77ea0e9, "devlink_port_attrs_set" },
	{ 0x53a0a196, "flow_block_cb_priv" },
	{ 0x6a3bdb82, "flow_block_cb_free" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfdb33960, "devlink_alloc_ns" },
	{ 0x12888b3d, "devlink_register" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0x4a059e35, "devlink_free" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x7651a0b5, "netif_napi_add_weight_locked" },
	{ 0xe45f97ac, "netdev_warn" },
	{ 0x553f85cc, "flow_rule_match_ipv4_addrs" },
	{ 0x7f472c24, "rhashtable_walk_enter" },
	{ 0xf2943aee, "fib_table_lookup" },
	{ 0xa2aed561, "skb_pull_rcsum" },
	{ 0x4424eef3, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd1d47d16, "pskb_expand_head" },
	{ 0xb48a48a3, "switchdev_handle_port_attr_set" },
	{ 0x7758e62b, "devlink_traps_unregister" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x44c339bf, "dev_driver_string" },
	{ 0x712fdcf3, "dev_addr_mod" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "phylink,bridge");


MODULE_INFO(srcversion, "DEE6411BEDB481D2499FF15");

MODULE_INFO(suserelease, "SLFO-1.2");
