#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ipvlan_count_rx, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_new, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_delete, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_setup, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_register, "_gpl", "");

SYMBOL_CRC(ipvlan_count_rx, 0x21686d54, "_gpl");
SYMBOL_CRC(ipvlan_link_new, 0x0c175493, "_gpl");
SYMBOL_CRC(ipvlan_link_delete, 0xffaf4885, "_gpl");
SYMBOL_CRC(ipvlan_link_setup, 0x44874fcb, "_gpl");
SYMBOL_CRC(ipvlan_link_register, 0x2aac9bec, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xc2a1113c, "eth_header_parse" },
	{ 0x8d91cbf3, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9b1a2ebb, "eth_header_cache_update" },
	{ 0xf7da6010, "nf_register_net_hooks" },
	{ 0x3c1147f8, "ip6_route_output_flags" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x37904b3a, "ip_route_input_noref" },
	{ 0x1985ee9e, "__dev_get_by_index" },
	{ 0x35ee1753, "rtnl_link_unregister" },
	{ 0x1c785e13, "skb_pull" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6d64c27f, "sk_skb_reason_drop" },
	{ 0x14a4bbc8, "netif_stacked_transfer_operstate" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x3465f4a, "netdev_upper_dev_unlink" },
	{ 0x8d304f20, "nla_put" },
	{ 0x10119bb, "ida_free" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xf40bda56, "ns_capable" },
	{ 0xc775954c, "nf_unregister_net_hooks" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfd80cd6b, "ethtool_op_get_link" },
	{ 0x24452933, "__ethtool_get_link_ksettings" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x74ce375f, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2b64348b, "__pskb_pull_tail" },
	{ 0x5dfcb6d3, "netif_rx" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xfb617719, "skb_scrub_packet" },
	{ 0x47c65bfc, "unregister_inet6addr_validator_notifier" },
	{ 0x2c3fe335, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3909ef5f, "vlan_vid_add" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x63de0fe4, "call_netdevice_notifiers" },
	{ 0xfef35251, "vlan_vid_del" },
	{ 0x59083148, "dev_set_allmulti" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x44ea4aa5, "skb_clone" },
	{ 0x297093d2, "dst_release" },
	{ 0x2e039fab, "netdev_rx_handler_register" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2f057da6, "ip_local_out" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x64201df8, "eth_header_parse_protocol" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0xf08b864e, "dev_mc_unsync" },
	{ 0x3d482479, "dev_change_flags" },
	{ 0x19c216c0, "netdev_core_stats_inc" },
	{ 0x26201c16, "dev_forward_skb" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xa77bfd29, "register_inet6addr_validator_notifier" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc310ccf6, "register_netdevice" },
	{ 0x639da6d, "__do_once_done" },
	{ 0x5b81fd72, "ip6_route_input_lookup" },
	{ 0xa2429ab9, "ida_alloc_range" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xdac80b07, "dev_pre_changeaddr_notify" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x59966362, "dev_mc_sync" },
	{ 0x7dd6c90e, "ida_destroy" },
	{ 0x83dba264, "netdev_is_rx_handler_busy" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x40854fdd, "netdev_update_features" },
	{ 0x74885bdc, "consume_skb" },
	{ 0xdfea70d0, "ip6_local_out" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0x88bcd155, "dev_uc_sync" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x1048e087, "rtnl_link_register" },
	{ 0x2f62b625, "netif_inherit_tso_max" },
	{ 0x338edc7f, "eth_header_cache" },
	{ 0x37a0cba, "kfree" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x2fceb1, "ip_route_output_flow" },
	{ 0x8a87270e, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x45e325f0, "dev_uc_unsync" },
	{ 0x3f11db9b, "ether_setup" },
	{ 0x4424eef3, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3e512e86, "netdev_upper_dev_link" },
	{ 0x8a0061d1, "register_pernet_subsys" },
	{ 0x712fdcf3, "dev_addr_mod" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "33846DB8E431A76C7071D99");

MODULE_INFO(suserelease, "SLFO-1.2");
