#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(macsec_pn_wrapped, "_gpl", "");
KSYMTAB_FUNC(macsec_get_real_dev, "_gpl", "");
KSYMTAB_FUNC(macsec_netdev_is_offloaded, "_gpl", "");

SYMBOL_CRC(macsec_pn_wrapped, 0x24d1e79a, "_gpl");
SYMBOL_CRC(macsec_get_real_dev, 0xcd74f38e, "_gpl");
SYMBOL_CRC(macsec_netdev_is_offloaded, 0xdab972be, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2e039fab, "netdev_rx_handler_register" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x8552cea7, "skb_ensure_writable_head_tail" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb458ed12, "gro_cells_init" },
	{ 0x712fdcf3, "dev_addr_mod" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1060b4b7, "skb_copy" },
	{ 0x74885bdc, "consume_skb" },
	{ 0xed153b93, "skb_push" },
	{ 0x3ec4ea5, "skb_put" },
	{ 0xe2f57ce4, "skb_cow_data" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf66e3d78, "skb_to_sgvec" },
	{ 0xa110e9ab, "crypto_aead_encrypt" },
	{ 0x9071ee5, "skb_copy_expand" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x44ea4aa5, "skb_clone" },
	{ 0x473d4802, "__netif_rx" },
	{ 0xfec65053, "crypto_aead_decrypt" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2b64348b, "__pskb_pull_tail" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x8d91cbf3, "netdev_rx_handler_unregister" },
	{ 0x407d3d12, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xf2eabe4f, "netif_carrier_off" },
	{ 0xf08b864e, "dev_mc_unsync" },
	{ 0x45e325f0, "dev_uc_unsync" },
	{ 0x37c7fa66, "dev_uc_del" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x4a945626, "dev_uc_add" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x72153cc5, "netif_carrier_on" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfb578fc5, "memset" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xab84dc28, "genlmsg_put" },
	{ 0xd62ba63d, "skb_trim" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x92997ed8, "_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x1048e087, "rtnl_link_register" },
	{ 0x473f6ee4, "genl_register_family" },
	{ 0x35ee1753, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x37a0cba, "kfree" },
	{ 0xe7d10c72, "crypto_destroy_tfm" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xab250000, "crypto_alloc_aead" },
	{ 0xbbef170d, "crypto_aead_setkey" },
	{ 0x9ef9a4d5, "crypto_aead_setauthsize" },
	{ 0x2fba5c7c, "nla_put_64bit" },
	{ 0x8d304f20, "nla_put" },
	{ 0xb0e602eb, "memmove" },
	{ 0x1c785e13, "skb_pull" },
	{ 0x66da095c, "___pskb_trim" },
	{ 0x3f11db9b, "ether_setup" },
	{ 0x297093d2, "dst_release" },
	{ 0x8fa5a6ee, "dev_fetch_sw_netstats" },
	{ 0x59966362, "dev_mc_sync" },
	{ 0x88bcd155, "dev_uc_sync" },
	{ 0x59083148, "dev_set_allmulti" },
	{ 0x4086f852, "dev_set_promiscuity" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xaa328c94, "genl_unregister_family" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x2c3fe335, "__dev_queue_xmit" },
	{ 0x502db1b1, "eth_type_trans" },
	{ 0xc7cf219a, "gro_cells_receive" },
	{ 0x6d64c27f, "sk_skb_reason_drop" },
	{ 0x1985ee9e, "__dev_get_by_index" },
	{ 0xc310ccf6, "register_netdevice" },
	{ 0x3e512e86, "netdev_upper_dev_link" },
	{ 0x3465f4a, "netdev_upper_dev_unlink" },
	{ 0x8a87270e, "unregister_netdevice_queue" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9001d2a5, "metadata_dst_alloc" },
	{ 0x14a4bbc8, "netif_stacked_transfer_operstate" },
	{ 0x6610c895, "linkwatch_fire_event" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C78414ACA870AFB19B161BC");

MODULE_INFO(suserelease, "SLFO-1.2");
