#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(xpcs_get_an_mode, "_gpl", "");
KSYMTAB_FUNC(xpcs_get_interfaces, "_gpl", "");
KSYMTAB_FUNC(xpcs_config_eee, "_gpl", "");
KSYMTAB_FUNC(xpcs_do_config, "_gpl", "");
KSYMTAB_FUNC(xpcs_link_up, "_gpl", "");
KSYMTAB_FUNC(xpcs_create_mdiodev, "_gpl", "");
KSYMTAB_FUNC(xpcs_create_fwnode, "_gpl", "");
KSYMTAB_FUNC(xpcs_destroy, "_gpl", "");

SYMBOL_CRC(xpcs_get_an_mode, 0xc083359c, "_gpl");
SYMBOL_CRC(xpcs_get_interfaces, 0x46970f40, "_gpl");
SYMBOL_CRC(xpcs_config_eee, 0xfa7c62ca, "_gpl");
SYMBOL_CRC(xpcs_do_config, 0x10a7b9b6, "_gpl");
SYMBOL_CRC(xpcs_link_up, 0xc91ab124, "_gpl");
SYMBOL_CRC(xpcs_create_mdiodev, 0x45fd45f8, "_gpl");
SYMBOL_CRC(xpcs_create_fwnode, 0xdb7680dc, "_gpl");
SYMBOL_CRC(xpcs_destroy, 0xc77a8f3b, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xde6bbd4a, "mdiobus_c45_write" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x478dcfc2, "__pm_runtime_set_status" },
	{ 0x37d443ec, "device_set_node" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x64580cf8, "device_property_read_u32_array" },
	{ 0x4cdfd3d9, "mdio_device_register" },
	{ 0xef29fcdd, "clk_bulk_put" },
	{ 0xc7a7e770, "clk_bulk_enable" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xb9c5007, "phylink_mii_c45_pcs_get_state" },
	{ 0xa68e540, "mdio_device_create" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0x1e715c1c, "device_get_match_data" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x24ffb65c, "fwnode_handle_get" },
	{ 0xc0632f95, "phylink_mii_c22_pcs_encode_advertisement" },
	{ 0xdc58ae4c, "devm_mdiobus_alloc_size" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x65eccb12, "__platform_driver_register" },
	{ 0xed17b2ea, "fwnode_device_is_available" },
	{ 0xd5dcc637, "__pm_runtime_resume" },
	{ 0x733722d0, "devm_ioremap_resource" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xd6a698f4, "clk_bulk_get_optional" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x8264c293, "phylink_mii_c22_pcs_decode_state" },
	{ 0x97a3873e, "__devm_mdiobus_register" },
	{ 0xead5c8e5, "clk_bulk_prepare" },
	{ 0x716b4fac, "dev_err_probe" },
	{ 0x3d425e71, "mdio_device_free" },
	{ 0x815588a6, "clk_enable" },
	{ 0x66ebde19, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6a55e78c, "__dev_fwnode" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xc88c241f, "mdiobus_c45_modify_changed" },
	{ 0x331c211b, "mdiobus_c45_read" },
	{ 0x3cb06817, "devm_kmalloc" },
	{ 0x8164fd79, "devm_pm_runtime_enable" },
	{ 0xdbe27298, "platform_driver_unregister" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x479f7d4b, "clk_bulk_disable" },
	{ 0xc8ad4615, "phylink_resolve_c73" },
	{ 0x37a0cba, "kfree" },
	{ 0x63c08029, "clk_bulk_unprepare" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xfa0c47f9, "platform_get_resource_byname" },
	{ 0x8576e767, "get_device" },
	{ 0x108680bd, "fwnode_mdio_find_device" },
	{ 0xd0abf4d4, "devm_clk_get" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "libphy,phylink,mdio_devres");

MODULE_ALIAS("of:N*T*Csnps,dw-xpcs");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcsC*");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen1-3g");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen1-3gC*");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen2-3g");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen2-3gC*");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen2-6g");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen2-6gC*");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen4-3g");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen4-3gC*");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen4-6g");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen4-6gC*");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen5-10g");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen5-10gC*");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen5-12g");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen5-12gC*");

MODULE_INFO(srcversion, "AC790F5A8CE6E48436D0D6B");

MODULE_INFO(suserelease, "SLFO-1.2");
