#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ppp_register_net_channel, "", "");
KSYMTAB_FUNC(ppp_register_channel, "", "");
KSYMTAB_FUNC(ppp_unregister_channel, "", "");
KSYMTAB_FUNC(ppp_channel_index, "", "");
KSYMTAB_FUNC(ppp_unit_number, "", "");
KSYMTAB_FUNC(ppp_dev_name, "", "");
KSYMTAB_FUNC(ppp_input, "", "");
KSYMTAB_FUNC(ppp_input_error, "", "");
KSYMTAB_FUNC(ppp_output_wakeup, "", "");
KSYMTAB_FUNC(ppp_register_compressor, "", "");
KSYMTAB_FUNC(ppp_unregister_compressor, "", "");

SYMBOL_CRC(ppp_register_net_channel, 0x63082670, "");
SYMBOL_CRC(ppp_register_channel, 0x0cbcdbd6, "");
SYMBOL_CRC(ppp_unregister_channel, 0xd58a9ef6, "");
SYMBOL_CRC(ppp_channel_index, 0x826e20ad, "");
SYMBOL_CRC(ppp_unit_number, 0xb4e3e046, "");
SYMBOL_CRC(ppp_dev_name, 0xaa7fadea, "");
SYMBOL_CRC(ppp_input, 0xa76ad92a, "");
SYMBOL_CRC(ppp_input_error, 0xe91948ce, "");
SYMBOL_CRC(ppp_output_wakeup, 0x9c8dac0d, "");
SYMBOL_CRC(ppp_register_compressor, 0x4fe0c3bd, "");
SYMBOL_CRC(ppp_unregister_compressor, 0xc2dfb23e, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xed0bc201, "idr_get_next" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x4d470eb0, "idr_destroy" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x92997ed8, "_printk" },
	{ 0xabdbfb00, "register_pernet_device" },
	{ 0x7c3d6aba, "__register_chrdev" },
	{ 0xb3d2d914, "class_register" },
	{ 0x1048e087, "rtnl_link_register" },
	{ 0xafc20114, "class_unregister" },
	{ 0x5fe6934f, "device_create" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x5515ad8e, "unregister_pernet_device" },
	{ 0x35ee1753, "rtnl_link_unregister" },
	{ 0xb3fa17d1, "device_destroy" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x2c8142da, "bpf_prog_create" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xa55b06bd, "add_wait_queue" },
	{ 0x1000e51, "schedule" },
	{ 0x512c59c3, "skb_dequeue" },
	{ 0xd6a78628, "remove_wait_queue" },
	{ 0xdda2164, "iov_iter_init" },
	{ 0x4e203a85, "skb_copy_datagram_iter" },
	{ 0xedd7eb58, "rt_read_lock" },
	{ 0x9ebb2bfc, "rt_read_unlock" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xb9a85f0c, "idr_remove" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0xf6491531, "__wake_up" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x333051c0, "idr_find" },
	{ 0x9820f51a, "idr_alloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xdae2ff7f, "netdev_name_in_use" },
	{ 0xc310ccf6, "register_netdevice" },
	{ 0x488376f2, "fget" },
	{ 0x25531590, "mutex_trylock" },
	{ 0xa8caa2e, "fput" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x2cb42dd5, "__put_net" },
	{ 0x9919fd8, "rt_write_lock" },
	{ 0xf250e2d4, "rt_write_unlock" },
	{ 0x45f4e1cd, "__init_rwsem" },
	{ 0x2b64348b, "__pskb_pull_tail" },
	{ 0x4e69b266, "__netdev_alloc_skb" },
	{ 0x5adf76d8, "skb_copy_bits" },
	{ 0x74885bdc, "consume_skb" },
	{ 0xf36f42a9, "slhc_uncompress" },
	{ 0xd1d47d16, "pskb_expand_head" },
	{ 0x74b8e674, "slhc_toss" },
	{ 0x43f9ebc8, "slhc_remember" },
	{ 0xed153b93, "skb_push" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xa2aed561, "skb_pull_rcsum" },
	{ 0xfb617719, "skb_scrub_packet" },
	{ 0x5dfcb6d3, "netif_rx" },
	{ 0x1c785e13, "skb_pull" },
	{ 0xd62ba63d, "skb_trim" },
	{ 0x597f20e3, "netdev_printk" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xdcdc0040, "slhc_compress" },
	{ 0x8be8cd38, "netif_tx_wake_queue" },
	{ 0xdefc10ec, "skb_queue_head" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xba0efd1f, "down_write" },
	{ 0x209b8854, "up_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc025779, "alloc_netdev_mqs" },
	{ 0x15f90688, "slhc_init" },
	{ 0x9fb64856, "down_read" },
	{ 0xb570b5d7, "up_read" },
	{ 0x9199b9f0, "param_ops_bool" },
	{ 0x5f577086, "noop_llseek" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x7276b73a, "module_put" },
	{ 0x2a928918, "slhc_free" },
	{ 0xbddffed2, "skb_queue_purge_reason" },
	{ 0x20926f78, "bpf_prog_destroy" },
	{ 0x6d64c27f, "sk_skb_reason_drop" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x209cb8eb, "free_netdev" },
	{ 0x4424eef3, "netdev_err" },
	{ 0x37a0cba, "kfree" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xbe3dbdfa, "__alloc_skb" },
	{ 0x3ec4ea5, "skb_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0xe648e7c0, "skb_queue_tail" },
	{ 0x8a87270e, "unregister_netdevice_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf40bda56, "ns_capable" },
	{ 0x4e5daa9a, "try_module_get" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "slhc");


MODULE_INFO(srcversion, "7084C0DC5294FAA38A533DA");

MODULE_INFO(suserelease, "SLFO-1.2");
