#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(tap_del_queues, "_gpl", "");
KSYMTAB_FUNC(tap_handle_frame, "_gpl", "");
KSYMTAB_FUNC(tap_get_minor, "_gpl", "");
KSYMTAB_FUNC(tap_free_minor, "_gpl", "");
KSYMTAB_FUNC(tap_get_socket, "_gpl", "");
KSYMTAB_FUNC(tap_get_ptr_ring, "_gpl", "");
KSYMTAB_FUNC(tap_queue_resize, "_gpl", "");
KSYMTAB_FUNC(tap_create_cdev, "_gpl", "");
KSYMTAB_FUNC(tap_destroy_cdev, "_gpl", "");

SYMBOL_CRC(tap_del_queues, 0x9d163a7a, "_gpl");
SYMBOL_CRC(tap_handle_frame, 0x950306d3, "_gpl");
SYMBOL_CRC(tap_get_minor, 0x93e9d57e, "_gpl");
SYMBOL_CRC(tap_free_minor, 0x9a5ba233, "_gpl");
SYMBOL_CRC(tap_get_socket, 0xd85bdc3c, "_gpl");
SYMBOL_CRC(tap_get_ptr_ring, 0xc7c0093f, "_gpl");
SYMBOL_CRC(tap_queue_resize, 0x57321cfd, "_gpl");
SYMBOL_CRC(tap_create_cdev, 0x84c203ca, "_gpl");
SYMBOL_CRC(tap_destroy_cdev, 0xeae3b3e3, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x9820f51a, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4424eef3, "netdev_err" },
	{ 0xb9a85f0c, "idr_remove" },
	{ 0xf6491531, "__wake_up" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x333051c0, "idr_find" },
	{ 0x6ed8ccba, "sk_alloc" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0x1ac5d9d9, "sock_init_data_uid" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7e5e3524, "sk_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xda59c8d, "cdev_init" },
	{ 0x1193a9ac, "cdev_add" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xd2bda80d, "cdev_del" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4fe37c63, "dev_set_mac_address_user" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x97d326b7, "dev_get_mac_address" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x4e203a85, "skb_copy_datagram_iter" },
	{ 0x293df244, "_copy_to_iter" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0x74885bdc, "consume_skb" },
	{ 0x1000e51, "schedule" },
	{ 0x862d1e43, "prepare_to_wait" },
	{ 0xc29724a2, "iov_iter_advance" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xed153b93, "skb_push" },
	{ 0xa047d01a, "__skb_gso_segment" },
	{ 0xc540492e, "skb_checksum_help" },
	{ 0x2031c0ce, "kfree_skb_list_reason" },
	{ 0xe37c1f69, "__skb_get_hash_net" },
	{ 0x4d470eb0, "idr_destroy" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x37a0cba, "kfree" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0xd4b5fc50, "__skb_flow_dissect" },
	{ 0xcb54d555, "skb_partial_csum_set" },
	{ 0x2b64348b, "__pskb_pull_tail" },
	{ 0x4f851c29, "iov_iter_npages" },
	{ 0xf985c453, "sock_alloc_send_pskb" },
	{ 0x3ec4ea5, "skb_put" },
	{ 0x46c646e6, "zerocopy_sg_from_iter" },
	{ 0x2c3fe335, "__dev_queue_xmit" },
	{ 0x44531a37, "_copy_from_iter" },
	{ 0x3616064, "skb_copy_datagram_from_iter" },
	{ 0xc86a4b4, "iov_iter_revert" },
	{ 0x5adf76d8, "skb_copy_bits" },
	{ 0x320c0cae, "build_skb" },
	{ 0x7228ccc9, "compat_ptr_ioctl" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6d64c27f, "sk_skb_reason_drop" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "93134EA5D8F9469F2B75E51");

MODULE_INFO(suserelease, "SLFO-1.2");
