#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(team_modeop_port_enter, "", "");
KSYMTAB_FUNC(team_modeop_port_change_dev_addr, "", "");
KSYMTAB_FUNC(team_options_register, "", "");
KSYMTAB_FUNC(team_options_unregister, "", "");
KSYMTAB_FUNC(team_option_inst_set_change, "", "");
KSYMTAB_FUNC(team_options_change_check, "", "");
KSYMTAB_FUNC(team_mode_register, "", "");
KSYMTAB_FUNC(team_mode_unregister, "", "");

SYMBOL_CRC(team_modeop_port_enter, 0x76e64784, "");
SYMBOL_CRC(team_modeop_port_change_dev_addr, 0x3f18c7e5, "");
SYMBOL_CRC(team_options_register, 0x2965c287, "");
SYMBOL_CRC(team_options_unregister, 0x67d3988d, "");
SYMBOL_CRC(team_option_inst_set_change, 0xa16778bb, "");
SYMBOL_CRC(team_options_change_check, 0xc150aaf1, "");
SYMBOL_CRC(team_mode_register, 0x3fa9f6e8, "");
SYMBOL_CRC(team_mode_unregister, 0x2f293929, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x3123394c, "netdev_has_upper_dev" },
	{ 0xd9c401c, "netdev_change_features" },
	{ 0x799264b0, "netdev_lower_state_changed" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x64da6ce7, "netdev_master_upper_dev_link" },
	{ 0x6fc5bce0, "vlan_vids_add_by_dev" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd62ba63d, "skb_trim" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x23709dd3, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xda982167, "vlan_vids_del_by_dev" },
	{ 0x2e9f7012, "__netpoll_setup" },
	{ 0x2c3fe335, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3909ef5f, "vlan_vid_add" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x63de0fe4, "call_netdevice_notifiers" },
	{ 0xfef35251, "vlan_vid_del" },
	{ 0x59083148, "dev_set_allmulti" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf2eabe4f, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x44ea4aa5, "skb_clone" },
	{ 0x72153cc5, "netif_carrier_on" },
	{ 0xbfe22422, "vlan_uses_dev" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x2e039fab, "netdev_rx_handler_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xaa328c94, "genl_unregister_family" },
	{ 0x931b86a6, "dev_disable_lro" },
	{ 0x754d539c, "strlen" },
	{ 0x16a57400, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xf08b864e, "dev_mc_unsync" },
	{ 0x473f6ee4, "genl_register_family" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x8a9b70b, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x53551249, "dev_mc_sync_multiple" },
	{ 0xc310ccf6, "register_netdevice" },
	{ 0x407d3d12, "dev_set_mtu" },
	{ 0x4e5daa9a, "try_module_get" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xa65f21bc, "__nlmsg_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x74885bdc, "consume_skb" },
	{ 0x118546ed, "__netpoll_free" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf9e75e9a, "netpoll_send_skb" },
	{ 0x1048e087, "rtnl_link_register" },
	{ 0xab84dc28, "genlmsg_put" },
	{ 0x3f79c7d0, "dev_uc_sync_multiple" },
	{ 0x37a0cba, "kfree" },
	{ 0x4086f852, "dev_set_promiscuity" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xe45f97ac, "netdev_warn" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x45e325f0, "dev_uc_unsync" },
	{ 0x3f11db9b, "ether_setup" },
	{ 0xa0166433, "netlink_broadcast_filtered" },
	{ 0x4424eef3, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x712fdcf3, "dev_addr_mod" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3ffcce75, "passthru_features_check" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x8d91cbf3, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xbe3dbdfa, "__alloc_skb" },
	{ 0x7276b73a, "module_put" },
	{ 0xe114c8a2, "dev_uc_flush" },
	{ 0x55f5a823, "dev_open" },
	{ 0x35ee1753, "rtnl_link_unregister" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1a39ee24, "dev_mc_flush" },
	{ 0x6d64c27f, "sk_skb_reason_drop" },
	{ 0xdfee9d27, "netlink_unicast" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xf785fbf2, "dev_get_by_index" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xb5abb145, "dev_close" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x3465f4a, "netdev_upper_dev_unlink" },
	{ 0x8d304f20, "nla_put" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfd80cd6b, "ethtool_op_get_link" },
	{ 0x24452933, "__ethtool_get_link_ksettings" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x11089ac7, "_ctype" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x288692d, "dev_set_mac_address" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "789E142B402BF6F70AE8AD9");

MODULE_INFO(suserelease, "SLFO-1.2");
