#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cdc_ncm_change_mtu, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_bind_common, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_unbind, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_select_altsetting, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_fill_tx_frame, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_tx_fixup, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_nth16, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_nth32, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_ndp16, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_ndp32, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_fixup, "_gpl", "");

SYMBOL_CRC(cdc_ncm_change_mtu, 0xbb7da5b9, "_gpl");
SYMBOL_CRC(cdc_ncm_bind_common, 0x35bd5ee3, "_gpl");
SYMBOL_CRC(cdc_ncm_unbind, 0x539008c3, "_gpl");
SYMBOL_CRC(cdc_ncm_select_altsetting, 0x951b9df1, "_gpl");
SYMBOL_CRC(cdc_ncm_fill_tx_frame, 0x0116d275, "_gpl");
SYMBOL_CRC(cdc_ncm_tx_fixup, 0x6df49f50, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_nth16, 0x4d855f4e, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_nth32, 0xf4e6fa1d, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_ndp16, 0xb2d77f02, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_ndp32, 0x317f0f4a, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_fixup, 0x279914ac, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x71512ce7, "usbnet_update_max_qlen" },
	{ 0x3711fd46, "usbnet_unlink_rx_urbs" },
	{ 0x88e01e6d, "netif_tx_lock" },
	{ 0xb3d13efe, "usbnet_start_xmit" },
	{ 0x8481068f, "netif_tx_unlock" },
	{ 0x71b12b37, "_dev_info" },
	{ 0x759bad9f, "usbnet_write_cmd" },
	{ 0x3dc51337, "hrtimer_active" },
	{ 0x3a5797c9, "hrtimer_start_range_ns" },
	{ 0x41ef1e12, "usbnet_read_cmd" },
	{ 0x4e69b266, "__netdev_alloc_skb" },
	{ 0x3ec4ea5, "skb_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0x90cdb339, "usbnet_skb_return" },
	{ 0xfb578fc5, "memset" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x8b773ecd, "hrtimer_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xcc7b9eaf, "cdc_parse_cdc_header" },
	{ 0x7078478d, "usb_ifnum_to_if" },
	{ 0xc74054b6, "usb_driver_claim_interface" },
	{ 0x6760fa75, "usb_set_interface" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc42b69de, "usbnet_get_ethernet_addr" },
	{ 0xc8240d31, "_dev_err" },
	{ 0xbe3dbdfa, "__alloc_skb" },
	{ 0xde99d897, "usbnet_manage_power" },
	{ 0x5a4d93ff, "usbnet_cdc_update_filter" },
	{ 0x371e48cc, "usbnet_open" },
	{ 0xfce3fccb, "usbnet_stop" },
	{ 0x59141e9e, "usbnet_set_rx_mode" },
	{ 0xcce54922, "eth_mac_addr" },
	{ 0x3b2e7a22, "eth_validate_addr" },
	{ 0x3c5af674, "usbnet_tx_timeout" },
	{ 0x1fea6a3b, "dev_get_tstats64" },
	{ 0x5254fa63, "usbnet_get_drvinfo" },
	{ 0x75e38112, "usbnet_get_msglevel" },
	{ 0x583be220, "usbnet_set_msglevel" },
	{ 0x15c8f960, "usbnet_nway_reset" },
	{ 0xdaf6f7d9, "usbnet_get_link" },
	{ 0x76a04f00, "ethtool_op_get_ts_info" },
	{ 0xe260075d, "usbnet_get_link_ksettings_internal" },
	{ 0x7270ac1d, "usbnet_probe" },
	{ 0x58de666b, "usbnet_disconnect" },
	{ 0x1191b3e1, "usbnet_suspend" },
	{ 0x8bc541c2, "usbnet_resume" },
	{ 0x9199b9f0, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x16a57400, "dev_kfree_skb_any_reason" },
	{ 0x37a0cba, "kfree" },
	{ 0x5402ada3, "hrtimer_cancel" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xccc86df5, "usb_driver_release_interface" },
	{ 0x7ac0c374, "usb_altnum_to_altsetting" },
	{ 0x23709dd3, "__dynamic_netdev_dbg" },
	{ 0xa7a38b4e, "usb_register_driver" },
	{ 0x8d842521, "usb_deregister" },
	{ 0x2476c83b, "usbnet_link_change" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "usbnet,usbcore,cdc_ether");

MODULE_ALIAS("usb:v05ACp12A8d*dc*dsc*dp*ic*isc*ip*in02*");
MODULE_ALIAS("usb:v05ACp12A8d*dc*dsc*dp*ic*isc*ip*in04*");
MODULE_ALIAS("usb:v05ACp12ABd*dc*dsc*dp*ic*isc*ip*in02*");
MODULE_ALIAS("usb:v05ACp12ABd*dc*dsc*dp*ic*isc*ip*in04*");
MODULE_ALIAS("usb:v0BDBp*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1BC7p0036d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp81BBd*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp81BCd*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v0930p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1519p0443d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1546p1010d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v17E9p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc0Dip00in*");

MODULE_INFO(srcversion, "D3DE83AE5D5E875CFE14D00");

MODULE_INFO(suserelease, "SLFO-1.2");
