#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0xa3ac53f6, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0xee27683e, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0xa1511e89, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0x1498d96e, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x7bda0276, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfd80cd6b, "ethtool_op_get_link" },
	{ 0xf46924de, "nexthop_find_by_id" },
	{ 0xc461c135, "arp_create" },
	{ 0x24452933, "__ethtool_get_link_ksettings" },
	{ 0xb374d903, "netdev_adjacent_change_prepare" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x74ce375f, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x60337536, "rhashtable_free_and_destroy" },
	{ 0xcee336e0, "rht_bucket_nested_insert" },
	{ 0xd4682d5, "netdev_adjacent_change_abort" },
	{ 0xa680331f, "udp_tunnel_sock_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x306ef298, "udp_tunnel6_dst_lookup" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x46aa94d9, "__iptunnel_pull_header" },
	{ 0x2b64348b, "__pskb_pull_tail" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x5dfcb6d3, "netif_rx" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x77fab3d9, "rhashtable_destroy" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xa0cf8676, "setup_udp_tunnel_sock" },
	{ 0x63bc45b3, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd62ba63d, "skb_trim" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x23709dd3, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfb617719, "skb_scrub_packet" },
	{ 0xfff34bb2, "nexthop_select_path" },
	{ 0xa0cf4391, "rhashtable_insert_slow" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xd6b46cfe, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc131aac7, "neigh_destroy" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x8d1224dc, "rhashtable_init_noprof" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9199b9f0, "param_ops_bool" },
	{ 0x66428031, "udp_tun_rx_dst" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x8a938828, "rtnl_notify" },
	{ 0x4f0287a4, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x473d4802, "__netif_rx" },
	{ 0x44ea4aa5, "skb_clone" },
	{ 0x9001d2a5, "metadata_dst_alloc" },
	{ 0x297093d2, "dst_release" },
	{ 0x68147d69, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0x1351705a, "udp_tunnel_notify_del_rx_port" },
	{ 0xdfb5e80e, "register_nexthop_notifier" },
	{ 0xd3a9be78, "ip_mc_leave_group" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x7e94f354, "__rtnl_unregister_many" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xdddbe0b1, "gro_find_receive_by_type" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x19c216c0, "netdev_core_stats_inc" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x8a9b70b, "netdev_info" },
	{ 0xb8071f4d, "neigh_lookup" },
	{ 0xe9ee676b, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xc310ccf6, "register_netdevice" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x45d8e7d8, "__skb_checksum_complete" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x5adf76d8, "skb_copy_bits" },
	{ 0xa65f21bc, "__nlmsg_put" },
	{ 0x974ff734, "netdev_adjacent_change_commit" },
	{ 0xcce54922, "eth_mac_addr" },
	{ 0x3ec4ea5, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xea639833, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x75e20d86, "ip6_dst_hoplimit" },
	{ 0x8e251c49, "param_ops_ushort" },
	{ 0x74885bdc, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x2fba5c7c, "nla_put_64bit" },
	{ 0x1416467b, "udp_sock_create4" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xd0ba53ac, "udp_tunnel6_xmit_skb" },
	{ 0x1048e087, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x2e179c24, "__unregister_nexthop_notifier" },
	{ 0x2f62b625, "netif_inherit_tso_max" },
	{ 0x37a0cba, "kfree" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0x3b2e7a22, "eth_validate_addr" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xb458ed12, "gro_cells_init" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xdf21fe9a, "rtnl_create_link" },
	{ 0x8a87270e, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x4cab31a7, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x3f11db9b, "ether_setup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x785341d5, "udp_tunnel_drop_rx_port" },
	{ 0x3e512e86, "netdev_upper_dev_link" },
	{ 0xd1d47d16, "pskb_expand_head" },
	{ 0x8a0061d1, "register_pernet_subsys" },
	{ 0x712fdcf3, "dev_addr_mod" },
	{ 0x502db1b1, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x86b355fc, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0xbe3dbdfa, "__alloc_skb" },
	{ 0xa6d4cfe2, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xb3ce2edd, "eth_gro_complete" },
	{ 0x96d520e5, "rtnl_set_sk_err" },
	{ 0xd1158712, "eth_gro_receive" },
	{ 0x17d77c39, "rtnl_configure_link" },
	{ 0xfd64312d, "skb_tunnel_check_pmtu" },
	{ 0xb676585c, "udp_tunnel_dst_lookup" },
	{ 0x3180d31d, "rtnl_unicast" },
	{ 0xe6ac0f15, "peernet2id" },
	{ 0xe37c1f69, "__skb_get_hash_net" },
	{ 0x24f6e4b6, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x1985ee9e, "__dev_get_by_index" },
	{ 0x35ee1753, "rtnl_link_unregister" },
	{ 0x56dd0d4e, "ipv6_stub" },
	{ 0x1c785e13, "skb_pull" },
	{ 0xeefa76dc, "gro_find_complete_by_type" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6d64c27f, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xae84b7c4, "dev_get_by_index_rcu" },
	{ 0xc7cf219a, "gro_cells_receive" },
	{ 0xed153b93, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0x3465f4a, "netdev_upper_dev_unlink" },
	{ 0x8d304f20, "nla_put" },
	{ 0x3b1b20cc, "__rtnl_register_many" },
	{ 0x209cb8eb, "free_netdev" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x3a484d30, "ip_mc_join_group" },
	{ 0x4db08f5b, "udp_tunnel_push_rx_port" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "04AE75AAC605EAD9D49AE02");

MODULE_INFO(suserelease, "SLFO-1.2");
