#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mwifiex_queue_main_work, "_gpl", "");
KSYMTAB_FUNC(mwifiex_main_process, "_gpl", "");
KSYMTAB_FUNC(mwifiex_multi_chan_resync, "_gpl", "");
KSYMTAB_FUNC(mwifiex_upload_device_dump, "_gpl", "");
KSYMTAB_FUNC(mwifiex_drv_info_dump, "_gpl", "");
KSYMTAB_FUNC(mwifiex_prepare_fw_dump_info, "_gpl", "");
KSYMTAB_FUNC(mwifiex_shutdown_sw, "_gpl", "");
KSYMTAB_FUNC(mwifiex_reinit_sw, "_gpl", "");
KSYMTAB_FUNC(mwifiex_add_card, "_gpl", "");
KSYMTAB_FUNC(mwifiex_remove_card, "_gpl", "");
KSYMTAB_FUNC(_mwifiex_dbg, "_gpl", "");
KSYMTAB_FUNC(mwifiex_dnld_fw, "_gpl", "");
KSYMTAB_FUNC(mwifiex_process_hs_config, "_gpl", "");
KSYMTAB_FUNC(mwifiex_process_sleep_confirm_resp, "_gpl", "");
KSYMTAB_FUNC(mwifiex_init_shutdown_fw, "_gpl", "");
KSYMTAB_FUNC(mwifiex_alloc_dma_align_buf, "_gpl", "");
KSYMTAB_FUNC(mwifiex_fw_dump_event, "_gpl", "");
KSYMTAB_FUNC(mwifiex_handle_rx_packet, "_gpl", "");
KSYMTAB_FUNC(mwifiex_write_data_complete, "_gpl", "");
KSYMTAB_FUNC(mwifiex_deauthenticate_all, "_gpl", "");
KSYMTAB_FUNC(mwifiex_cancel_hs, "_gpl", "");
KSYMTAB_FUNC(mwifiex_enable_hs, "_gpl", "");
KSYMTAB_FUNC(mwifiex_disable_auto_ds, "_gpl", "");
KSYMTAB_FUNC(mwifiex_add_virtual_intf, "_gpl", "");
KSYMTAB_FUNC(mwifiex_del_virtual_intf, "_gpl", "");

SYMBOL_CRC(mwifiex_queue_main_work, 0xa0c76b94, "_gpl");
SYMBOL_CRC(mwifiex_main_process, 0x87a6b1eb, "_gpl");
SYMBOL_CRC(mwifiex_multi_chan_resync, 0xf2b52473, "_gpl");
SYMBOL_CRC(mwifiex_upload_device_dump, 0xc318e0a4, "_gpl");
SYMBOL_CRC(mwifiex_drv_info_dump, 0x200caeda, "_gpl");
SYMBOL_CRC(mwifiex_prepare_fw_dump_info, 0x8746a45e, "_gpl");
SYMBOL_CRC(mwifiex_shutdown_sw, 0xc577d0b2, "_gpl");
SYMBOL_CRC(mwifiex_reinit_sw, 0x89ff8fcc, "_gpl");
SYMBOL_CRC(mwifiex_add_card, 0x618bee47, "_gpl");
SYMBOL_CRC(mwifiex_remove_card, 0xa42c38a8, "_gpl");
SYMBOL_CRC(_mwifiex_dbg, 0x71fb4fc3, "_gpl");
SYMBOL_CRC(mwifiex_dnld_fw, 0x057e4e42, "_gpl");
SYMBOL_CRC(mwifiex_process_hs_config, 0x60bcbf24, "_gpl");
SYMBOL_CRC(mwifiex_process_sleep_confirm_resp, 0x8b15d762, "_gpl");
SYMBOL_CRC(mwifiex_init_shutdown_fw, 0x7d9a33a4, "_gpl");
SYMBOL_CRC(mwifiex_alloc_dma_align_buf, 0xd4dad9f3, "_gpl");
SYMBOL_CRC(mwifiex_fw_dump_event, 0x267c8dbf, "_gpl");
SYMBOL_CRC(mwifiex_handle_rx_packet, 0x986bf5a7, "_gpl");
SYMBOL_CRC(mwifiex_write_data_complete, 0xd8814d66, "_gpl");
SYMBOL_CRC(mwifiex_deauthenticate_all, 0x91f779a1, "_gpl");
SYMBOL_CRC(mwifiex_cancel_hs, 0x95c37a19, "_gpl");
SYMBOL_CRC(mwifiex_enable_hs, 0xfeafe50c, "_gpl");
SYMBOL_CRC(mwifiex_disable_auto_ds, 0x70de20fd, "_gpl");
SYMBOL_CRC(mwifiex_add_virtual_intf, 0xe5c98328, "_gpl");
SYMBOL_CRC(mwifiex_del_virtual_intf, 0xbef98166, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92997ed8, "_printk" },
	{ 0x9d47a1b0, "cfg80211_ready_on_channel" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xca0333c3, "cfg80211_classify8021d" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x978a1c9f, "cfg80211_rx_mlme_mgmt" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x90ab2d87, "wiphy_register" },
	{ 0xa916b694, "strnlen" },
	{ 0xc2def520, "cfg80211_put_bss" },
	{ 0x7af53312, "netif_device_detach" },
	{ 0x3fd938bf, "cfg80211_ch_switch_notify" },
	{ 0x71b12b37, "_dev_info" },
	{ 0xe215f75b, "netif_device_attach" },
	{ 0x47cfd825, "kstrtouint_from_user" },
	{ 0xe648e7c0, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xa2ab3be2, "ieee80211_get_channel_khz" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x9e559766, "__cfg80211_radar_event" },
	{ 0xc4b14ad3, "cfg80211_tdls_oper_request" },
	{ 0xaf547080, "device_wakeup_disable" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0xb9a85f0c, "idr_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xd47e09e, "devm_kmemdup" },
	{ 0xc8240d31, "_dev_err" },
	{ 0xfac36b26, "cfg80211_ibss_joined" },
	{ 0xd2a350e5, "request_firmware_nowait" },
	{ 0x5a0f8bd0, "simple_open" },
	{ 0x1c785e13, "skb_pull" },
	{ 0x9820f51a, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6d64c27f, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x5602be5b, "wiphy_apply_custom_regulatory" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x734a7a1d, "cfg80211_michael_mic_failure" },
	{ 0xb5abb145, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xed153b93, "skb_push" },
	{ 0x6de67898, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x95e4142, "cfg80211_del_sta_sinfo" },
	{ 0x8b61898a, "wiphy_unregister" },
	{ 0x209cb8eb, "free_netdev" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x582e3b4d, "dev_coredumpv" },
	{ 0x3edbc68d, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x11089ac7, "_ctype" },
	{ 0xca71e691, "netif_tx_stop_all_queues" },
	{ 0x8be8cd38, "netif_tx_wake_queue" },
	{ 0x4d470eb0, "idr_destroy" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x61e00f48, "param_ops_charp" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0x5dfcb6d3, "netif_rx" },
	{ 0x4e69b266, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd62ba63d, "skb_trim" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xbf2cd263, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb27314e4, "cfg80211_sched_scan_stopped_locked" },
	{ 0x97210b38, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x41229c10, "idr_for_each" },
	{ 0x290a0458, "cfg80211_unregister_wdev" },
	{ 0x999e8297, "vfree" },
	{ 0xa565ba1a, "cfg80211_rx_mgmt_ext" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9199b9f0, "param_ops_bool" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf2eabe4f, "netif_carrier_off" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x1060b4b7, "skb_copy" },
	{ 0x44ea4aa5, "skb_clone" },
	{ 0x72153cc5, "netif_carrier_on" },
	{ 0x8ae718dd, "debugfs_create_file_full" },
	{ 0x23026b4b, "cfg80211_chandef_create" },
	{ 0x27b88458, "cfg80211_report_wowlan_wakeup" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xda62621, "cfg80211_inform_bss_data" },
	{ 0x754d539c, "strlen" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0x16a57400, "dev_kfree_skb_any_reason" },
	{ 0x5cba2be4, "ieee80211_bss_get_elem" },
	{ 0xf2203c5f, "param_ops_int" },
	{ 0xd20f3ddd, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xa2a74bd3, "cfg80211_connect_done" },
	{ 0x5a4b19b2, "__cfg80211_get_bss" },
	{ 0xce8398f4, "wiphy_free" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x43001a5a, "cfg80211_cqm_rssi_notify" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xdefc10ec, "skb_queue_head" },
	{ 0xcc4d4c12, "cfg80211_sched_scan_results" },
	{ 0x56d9c7cb, "skb_complete_wifi_ack" },
	{ 0xb55c460c, "cfg80211_mgmt_tx_status_ext" },
	{ 0x77c7a4b1, "device_set_wakeup_enable" },
	{ 0x6f01da14, "cfg80211_rx_assoc_resp" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xe0d5814e, "device_set_wakeup_capable" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xe5eb5fd0, "param_ops_uint" },
	{ 0x3ec4ea5, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x502851c9, "cfg80211_chandef_dfs_required" },
	{ 0xf86c494b, "cfg80211_scan_done" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x888be500, "cfg80211_sched_scan_stopped" },
	{ 0x8e251c49, "param_ops_ushort" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x320f7f2a, "cfg80211_remain_on_channel_expired" },
	{ 0x5cb7527f, "cfg80211_cac_event" },
	{ 0x512c59c3, "skb_dequeue" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0x64c65fc6, "cfg80211_register_netdevice" },
	{ 0xacf7e913, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x7c10311e, "ieee80211_amsdu_to_8023s" },
	{ 0xb3440d04, "cfg80211_ref_bss" },
	{ 0x69acdf38, "memcpy" },
	{ 0x4f3980ac, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x3b2e7a22, "eth_validate_addr" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3416d62c, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6491531, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x538f32f2, "cfg80211_chandef_valid" },
	{ 0xfca522f8, "cfg80211_new_sta" },
	{ 0x248efd3, "kstrtobool_from_user" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0x7184f27f, "cfg80211_disconnected" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x3f11db9b, "ether_setup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x712fdcf3, "dev_addr_mod" },
	{ 0x502db1b1, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc025779, "alloc_netdev_mqs" },
	{ 0x9c104d4f, "wiphy_new_nm" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "cfg80211");


MODULE_INFO(srcversion, "C8D43078F7C0AE3278BA3D4");

MODULE_INFO(suserelease, "SLFO-1.2");
