#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt76_set_irq_mask, "_gpl", "");
KSYMTAB_FUNC(mt76_mmio_init, "_gpl", "");
KSYMTAB_FUNC(__mt76_poll, "_gpl", "");
KSYMTAB_FUNC(____mt76_poll_msec, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_alloc, "_gpl", "");
KSYMTAB_FUNC(mt76_get_min_avg_rssi, "_gpl", "");
KSYMTAB_FUNC(__mt76_worker_fn, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mac_txdone, "_gpl", "");
KSYMTAB_FUNC(__traceiter_mac_txdone, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_mac_txdone, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_mac_txdone, "_gpl", "");
KSYMTAB_DATA(__tracepoint_dev_irq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_dev_irq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_dev_irq, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_dev_irq, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_put_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76_put_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_free_pending_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_rx_poll, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_attach, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_cleanup, "_gpl", "");
KSYMTAB_DATA(mt76_rates, "_gpl", "");
KSYMTAB_FUNC(mt76_set_stream_caps, "_gpl", "");
KSYMTAB_FUNC(mt76_alloc_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_register_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_unregister_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_create_page_pool, "_gpl", "");
KSYMTAB_FUNC(mt76_alloc_device, "_gpl", "");
KSYMTAB_FUNC(mt76_register_device, "_gpl", "");
KSYMTAB_FUNC(mt76_unregister_device, "_gpl", "");
KSYMTAB_FUNC(mt76_free_device, "_gpl", "");
KSYMTAB_FUNC(mt76_rx, "_gpl", "");
KSYMTAB_FUNC(mt76_has_tx_pending, "_gpl", "");
KSYMTAB_FUNC(mt76_update_survey_active_time, "_gpl", "");
KSYMTAB_FUNC(mt76_update_survey, "_gpl", "");
KSYMTAB_FUNC(mt76_update_channel, "_gpl", "");
KSYMTAB_FUNC(mt76_get_survey, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_key_setup, "", "");
KSYMTAB_FUNC(mt76_rx_signal, "", "");
KSYMTAB_FUNC(mt76_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(__mt76_sta_remove, "_gpl", "");
KSYMTAB_FUNC(mt76_sta_state, "_gpl", "");
KSYMTAB_FUNC(mt76_sta_pre_rcu_remove, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_init, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_cleanup, "_gpl", "");
KSYMTAB_FUNC(mt76_get_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76_init_sar_power, "_gpl", "");
KSYMTAB_FUNC(mt76_get_sar_power, "_gpl", "");
KSYMTAB_FUNC(mt76_csa_finish, "_gpl", "");
KSYMTAB_FUNC(mt76_csa_check, "_gpl", "");
KSYMTAB_FUNC(mt76_set_tim, "_gpl", "");
KSYMTAB_FUNC(mt76_insert_ccmp_hdr, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_sw_scan, "_gpl", "");
KSYMTAB_FUNC(mt76_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(mt76_get_antenna, "_gpl", "");
KSYMTAB_FUNC(mt76_init_queue, "_gpl", "");
KSYMTAB_FUNC(mt76_calculate_default_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_ethtool_worker, "_gpl", "");
KSYMTAB_FUNC(mt76_ethtool_page_pool_stats, "_gpl", "");
KSYMTAB_FUNC(mt76_phy_dfs_state, "_gpl", "");
KSYMTAB_FUNC(mt76_queues_read, "_gpl", "");
KSYMTAB_FUNC(mt76_seq_puts_array, "_gpl", "");
KSYMTAB_FUNC(mt76_register_debugfs_fops, "_gpl", "");
KSYMTAB_FUNC(mt76_get_of_data_from_mtd, "_gpl", "");
KSYMTAB_FUNC(mt76_get_of_data_from_nvmem, "_gpl", "");
KSYMTAB_FUNC(mt76_eeprom_override, "_gpl", "");
KSYMTAB_FUNC(mt76_find_power_limits_node, "_gpl", "");
KSYMTAB_FUNC(mt76_find_channel_node, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rate_power_limits, "_gpl", "");
KSYMTAB_FUNC(mt76_eeprom_init, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_check_agg_ssn, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_lock, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_unlock, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_done, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_add, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_get, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_check, "_gpl", "");
KSYMTAB_FUNC(__mt76_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_tx, "_gpl", "");
KSYMTAB_FUNC(mt76_release_buffered_frames, "_gpl", "");
KSYMTAB_FUNC(mt76_txq_schedule, "_gpl", "");
KSYMTAB_FUNC(mt76_txq_schedule_all, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_worker_run, "_gpl", "");
KSYMTAB_FUNC(mt76_stop_tx_queues, "_gpl", "");
KSYMTAB_FUNC(mt76_wake_tx_queue, "_gpl", "");
KSYMTAB_FUNC(mt76_ac_to_hwq, "_gpl", "");
KSYMTAB_FUNC(mt76_skb_adjust_pad, "_gpl", "");
KSYMTAB_FUNC(mt76_queue_tx_complete, "_gpl", "");
KSYMTAB_FUNC(__mt76_set_tx_blocked, "_gpl", "");
KSYMTAB_FUNC(mt76_token_consume, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_token_consume, "_gpl", "");
KSYMTAB_FUNC(mt76_token_release, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_token_release, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_aggr_start, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_aggr_stop, "_gpl", "");
KSYMTAB_FUNC(__mt76_mcu_msg_alloc, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_get_response, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_rx_event, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_send_and_get_msg, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_skb_send_and_get_msg, "_gpl", "");
KSYMTAB_FUNC(__mt76_mcu_send_firmware, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_release_rx_buf, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_offload_disable, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_reset_complete, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_net_setup_tc, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_dma_reset, "_gpl", "");
KSYMTAB_FUNC(mt76_pci_disable_aspm, "_gpl", "");
KSYMTAB_FUNC(mt76_pci_aspm_supported, "_gpl", "");

SYMBOL_CRC(mt76_set_irq_mask, 0x2dd5b563, "_gpl");
SYMBOL_CRC(mt76_mmio_init, 0xf2dd324f, "_gpl");
SYMBOL_CRC(__mt76_poll, 0x2475b9b3, "_gpl");
SYMBOL_CRC(____mt76_poll_msec, 0x57a720c3, "_gpl");
SYMBOL_CRC(mt76_wcid_alloc, 0xe40b66ef, "_gpl");
SYMBOL_CRC(mt76_get_min_avg_rssi, 0x3e2a5bbe, "_gpl");
SYMBOL_CRC(__mt76_worker_fn, 0x1ec57b4f, "_gpl");
SYMBOL_CRC(__tracepoint_mac_txdone, 0x7d0aaacc, "_gpl");
SYMBOL_CRC(__traceiter_mac_txdone, 0x018aa2fc, "_gpl");
SYMBOL_CRC(__SCK__tp_func_mac_txdone, 0xd512fa1e, "_gpl");
SYMBOL_CRC(__SCT__tp_func_mac_txdone, 0xbb31a266, "_gpl");
SYMBOL_CRC(__tracepoint_dev_irq, 0x3e543dfd, "_gpl");
SYMBOL_CRC(__traceiter_dev_irq, 0x1c115cbe, "_gpl");
SYMBOL_CRC(__SCK__tp_func_dev_irq, 0x61fc7c30, "_gpl");
SYMBOL_CRC(__SCT__tp_func_dev_irq, 0xe45628cb, "_gpl");
SYMBOL_CRC(mt76_get_rxwi, 0xc5bfdcc5, "_gpl");
SYMBOL_CRC(mt76_put_txwi, 0x55d4edf1, "_gpl");
SYMBOL_CRC(mt76_put_rxwi, 0xdec0c71e, "_gpl");
SYMBOL_CRC(mt76_free_pending_rxwi, 0x2b474a4f, "_gpl");
SYMBOL_CRC(mt76_dma_rx_poll, 0x03886c6f, "_gpl");
SYMBOL_CRC(mt76_dma_attach, 0x2ad5dad4, "_gpl");
SYMBOL_CRC(mt76_dma_cleanup, 0xea390f03, "_gpl");
SYMBOL_CRC(mt76_rates, 0x17f568e9, "_gpl");
SYMBOL_CRC(mt76_set_stream_caps, 0xc220f038, "_gpl");
SYMBOL_CRC(mt76_alloc_phy, 0xa3876069, "_gpl");
SYMBOL_CRC(mt76_register_phy, 0xe19a7eb7, "_gpl");
SYMBOL_CRC(mt76_unregister_phy, 0x2811e80e, "_gpl");
SYMBOL_CRC(mt76_create_page_pool, 0xe410cdfc, "_gpl");
SYMBOL_CRC(mt76_alloc_device, 0x5548c4c5, "_gpl");
SYMBOL_CRC(mt76_register_device, 0xa1184c59, "_gpl");
SYMBOL_CRC(mt76_unregister_device, 0xceefe935, "_gpl");
SYMBOL_CRC(mt76_free_device, 0x39558327, "_gpl");
SYMBOL_CRC(mt76_rx, 0xd180d8ad, "_gpl");
SYMBOL_CRC(mt76_has_tx_pending, 0x25cc3aea, "_gpl");
SYMBOL_CRC(mt76_update_survey_active_time, 0x608c7ad7, "_gpl");
SYMBOL_CRC(mt76_update_survey, 0x62c57dcc, "_gpl");
SYMBOL_CRC(mt76_update_channel, 0x6b9aa8a5, "_gpl");
SYMBOL_CRC(mt76_get_survey, 0x806fc4f0, "_gpl");
SYMBOL_CRC(mt76_wcid_key_setup, 0x57b1a108, "");
SYMBOL_CRC(mt76_rx_signal, 0x327a9822, "");
SYMBOL_CRC(mt76_rx_poll_complete, 0xbc54b604, "_gpl");
SYMBOL_CRC(__mt76_sta_remove, 0x4b3d6a64, "_gpl");
SYMBOL_CRC(mt76_sta_state, 0xb689721c, "_gpl");
SYMBOL_CRC(mt76_sta_pre_rcu_remove, 0x71a08b52, "_gpl");
SYMBOL_CRC(mt76_wcid_init, 0xca093b4c, "_gpl");
SYMBOL_CRC(mt76_wcid_cleanup, 0xd912a77e, "_gpl");
SYMBOL_CRC(mt76_get_txpower, 0x0349edcf, "_gpl");
SYMBOL_CRC(mt76_init_sar_power, 0xf2a2ec5c, "_gpl");
SYMBOL_CRC(mt76_get_sar_power, 0x1ba97731, "_gpl");
SYMBOL_CRC(mt76_csa_finish, 0xac3eb94b, "_gpl");
SYMBOL_CRC(mt76_csa_check, 0xfa60a6f9, "_gpl");
SYMBOL_CRC(mt76_set_tim, 0xa6953932, "_gpl");
SYMBOL_CRC(mt76_insert_ccmp_hdr, 0xcec63af6, "_gpl");
SYMBOL_CRC(mt76_get_rate, 0x8e82456b, "_gpl");
SYMBOL_CRC(mt76_sw_scan, 0xc1ddce26, "_gpl");
SYMBOL_CRC(mt76_sw_scan_complete, 0xcaf569ed, "_gpl");
SYMBOL_CRC(mt76_get_antenna, 0x3984e227, "_gpl");
SYMBOL_CRC(mt76_init_queue, 0x1af538f3, "_gpl");
SYMBOL_CRC(mt76_calculate_default_rate, 0x2d8dd1ec, "_gpl");
SYMBOL_CRC(mt76_ethtool_worker, 0xab9d88b8, "_gpl");
SYMBOL_CRC(mt76_ethtool_page_pool_stats, 0xcac79597, "_gpl");
SYMBOL_CRC(mt76_phy_dfs_state, 0xe6bd261a, "_gpl");
SYMBOL_CRC(mt76_queues_read, 0x1588e353, "_gpl");
SYMBOL_CRC(mt76_seq_puts_array, 0xef8ac040, "_gpl");
SYMBOL_CRC(mt76_register_debugfs_fops, 0x7c2d88ce, "_gpl");
SYMBOL_CRC(mt76_get_of_data_from_mtd, 0x65fa0f32, "_gpl");
SYMBOL_CRC(mt76_get_of_data_from_nvmem, 0xe3eb0709, "_gpl");
SYMBOL_CRC(mt76_eeprom_override, 0xc2e31baa, "_gpl");
SYMBOL_CRC(mt76_find_power_limits_node, 0x16d50857, "_gpl");
SYMBOL_CRC(mt76_find_channel_node, 0xa97748ce, "_gpl");
SYMBOL_CRC(mt76_get_rate_power_limits, 0xdd1f4671, "_gpl");
SYMBOL_CRC(mt76_eeprom_init, 0x10e5c809, "_gpl");
SYMBOL_CRC(mt76_tx_check_agg_ssn, 0xff82c511, "_gpl");
SYMBOL_CRC(mt76_tx_status_lock, 0x24be6334, "_gpl");
SYMBOL_CRC(mt76_tx_status_unlock, 0x6fc6da0f, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_done, 0xe2b639fa, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_add, 0x79d08c19, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_get, 0x96a8bef9, "_gpl");
SYMBOL_CRC(mt76_tx_status_check, 0x68e24c8a, "_gpl");
SYMBOL_CRC(__mt76_tx_complete_skb, 0xc7f2b633, "_gpl");
SYMBOL_CRC(mt76_tx, 0xbda07565, "_gpl");
SYMBOL_CRC(mt76_release_buffered_frames, 0xe1ad7498, "_gpl");
SYMBOL_CRC(mt76_txq_schedule, 0xc68615ac, "_gpl");
SYMBOL_CRC(mt76_txq_schedule_all, 0x046463fe, "_gpl");
SYMBOL_CRC(mt76_tx_worker_run, 0xcdb7bd83, "_gpl");
SYMBOL_CRC(mt76_stop_tx_queues, 0x840bf8e6, "_gpl");
SYMBOL_CRC(mt76_wake_tx_queue, 0xd703fa47, "_gpl");
SYMBOL_CRC(mt76_ac_to_hwq, 0xc6634315, "_gpl");
SYMBOL_CRC(mt76_skb_adjust_pad, 0xc71b2b37, "_gpl");
SYMBOL_CRC(mt76_queue_tx_complete, 0x6eac0afc, "_gpl");
SYMBOL_CRC(__mt76_set_tx_blocked, 0x35f86764, "_gpl");
SYMBOL_CRC(mt76_token_consume, 0x51232519, "_gpl");
SYMBOL_CRC(mt76_rx_token_consume, 0x8ca61980, "_gpl");
SYMBOL_CRC(mt76_token_release, 0x8b863a95, "_gpl");
SYMBOL_CRC(mt76_rx_token_release, 0xacad8fc5, "_gpl");
SYMBOL_CRC(mt76_rx_aggr_start, 0x66128225, "_gpl");
SYMBOL_CRC(mt76_rx_aggr_stop, 0xa2e35f98, "_gpl");
SYMBOL_CRC(__mt76_mcu_msg_alloc, 0x18085bd2, "_gpl");
SYMBOL_CRC(mt76_mcu_get_response, 0x8896065c, "_gpl");
SYMBOL_CRC(mt76_mcu_rx_event, 0x00053bca, "_gpl");
SYMBOL_CRC(mt76_mcu_send_and_get_msg, 0xdf4bb8a0, "_gpl");
SYMBOL_CRC(mt76_mcu_skb_send_and_get_msg, 0x02affe8c, "_gpl");
SYMBOL_CRC(__mt76_mcu_send_firmware, 0xdb81211f, "_gpl");
SYMBOL_CRC(mt76_wed_release_rx_buf, 0x2a310631, "_gpl");
SYMBOL_CRC(mt76_wed_offload_disable, 0xda4fd8c4, "_gpl");
SYMBOL_CRC(mt76_wed_reset_complete, 0x4958cfc1, "_gpl");
SYMBOL_CRC(mt76_wed_net_setup_tc, 0x10fc482f, "_gpl");
SYMBOL_CRC(mt76_wed_dma_reset, 0x6daa995a, "_gpl");
SYMBOL_CRC(mt76_pci_disable_aspm, 0xb2236ae0, "_gpl");
SYMBOL_CRC(mt76_pci_aspm_supported, 0xe0098a86, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x74bdbf9e, "ieee80211_tx_status_ext" },
	{ 0x4c26909b, "debugfs_create_blob" },
	{ 0x549dee85, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0x4eb2e8fa, "page_pool_destroy" },
	{ 0x787b24e9, "ieee80211_register_hw" },
	{ 0x10dc7c41, "led_classdev_unregister" },
	{ 0x879aa10c, "__ieee80211_create_tpt_led_trigger" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x7651a0b5, "netif_napi_add_weight_locked" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3416d62c, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x5b67576f, "ieee80211_sta_eosp" },
	{ 0x5ddafdf5, "ieee80211_get_hdrlen_from_skb" },
	{ 0xf6491531, "__wake_up" },
	{ 0x2d25d452, "kthread_park" },
	{ 0x321e2d9, "sched_set_fifo_low" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1d8a5fdd, "wake_up_process" },
	{ 0x44c339bf, "dev_driver_string" },
	{ 0x77188b5d, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x28ba6fe1, "dma_map_page_attrs" },
	{ 0x95b46469, "napi_complete_done" },
	{ 0xbb90cf61, "ieee80211_get_tx_rates" },
	{ 0xf6060c12, "ieee80211_send_bar" },
	{ 0x50a9c240, "cfg80211_reg_check_beaconing" },
	{ 0xaeb9a917, "ieee80211_get_key_rx_seq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x1569940e, "ieee80211_sta_uapsd_trigger" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3ca9c896, "debugfs_create_devm_seqfile" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa916b694, "strnlen" },
	{ 0xbe3dbdfa, "__alloc_skb" },
	{ 0xed0bc201, "idr_get_next" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0x7396d79, "pci_disable_link_state" },
	{ 0x71b12b37, "_dev_info" },
	{ 0x1b9e240a, "napi_gro_receive" },
	{ 0x23f1d7a6, "page_pool_ethtool_stats_get_count" },
	{ 0xe648e7c0, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x73c90389, "page_pool_ethtool_stats_get" },
	{ 0xac3df5d0, "kthread_unpark" },
	{ 0x3bb86d75, "dev_set_threaded" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xb9a85f0c, "idr_remove" },
	{ 0x75929dff, "debugfs_attr_read" },
	{ 0x367306fd, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xcc4586b, "ieee80211_queue_delayed_work" },
	{ 0xd47e09e, "devm_kmemdup" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x7ec56c70, "perf_trace_run_bpf_submit" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x1be4b2d1, "debugfs_create_file_unsafe" },
	{ 0x9820f51a, "idr_alloc" },
	{ 0x1dde4200, "simple_attr_release" },
	{ 0x8ed3486, "ieee80211_calc_rx_airtime" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xfb969b03, "ieee80211_find_sta_by_ifaddr" },
	{ 0x1dd7538e, "ieee80211_next_txq" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xde25a102, "pcie_capability_clear_and_set_word_locked" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xed153b93, "skb_push" },
	{ 0xb70ca8ae, "napi_enable" },
	{ 0x13c0013, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0x56a719f2, "seq_putc" },
	{ 0x658574f4, "trace_event_reg" },
	{ 0xc3858fb3, "ieee80211_sta_pspoll" },
	{ 0x209cb8eb, "free_netdev" },
	{ 0x3801776b, "__ioread32_copy" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x692425ba, "page_pool_put_unrefed_netmem" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xad6d7e4b, "kthread_stop" },
	{ 0x72c8f65a, "ieee80211_free_txskb" },
	{ 0xd0e19135, "led_classdev_register_ext" },
	{ 0x11f16b6f, "ieee80211_alloc_hw_nm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x4d470eb0, "idr_destroy" },
	{ 0x6cdd6829, "ieee80211_tx_dequeue" },
	{ 0x41f3c648, "ieee80211_rx_list" },
	{ 0x68fbc5de, "page_pool_create" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb6aa6194, "debugfs_create_u32" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x6d343d90, "__netif_napi_del_locked" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd00c9875, "kthread_create_on_node" },
	{ 0xcb67b626, "bpf_trace_run3" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe7f5881c, "alloc_netdev_dummy" },
	{ 0x27a7a36e, "trace_event_buffer_reserve" },
	{ 0xa3272c2, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x6029628f, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd553fef9, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x705e1200, "napi_build_skb" },
	{ 0x9f7aac60, "seq_write" },
	{ 0x7f5b4f8d, "radix_tree_tagged" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7ad7a5cd, "seq_printf" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x1e7da134, "skb_add_rx_frag_netmem" },
	{ 0x42c9a3f7, "ieee80211_sta_ps_transition" },
	{ 0x1685522b, "debugfs_create_u8" },
	{ 0xd20f3ddd, "debugfs_create_dir" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xd9eb2768, "ieee80211_csa_finish" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x4ae8caa7, "ieee80211_sta_register_airtime" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe859e1a6, "pcie_capability_read_word" },
	{ 0x6db45ff8, "__skb_pad" },
	{ 0x7f168ab8, "page_pool_get_stats" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xdc2f1a09, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8b5a981d, "__ieee80211_schedule_txq" },
	{ 0x76b3852f, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x3cb06817, "devm_kmalloc" },
	{ 0x3ec4ea5, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x822f040b, "page_pool_alloc_frag" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x74885bdc, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x6781e848, "dmam_alloc_attrs" },
	{ 0xa11a97c1, "trace_raw_output_prep" },
	{ 0x6b8bf149, "netif_receive_skb_list" },
	{ 0x512c59c3, "skb_dequeue" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xb07d43ee, "__trace_trigger_soft_disabled" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0x49e1ab4f, "ieee80211_free_hw" },
	{ 0xb51d11a4, "dma_unmap_page_attrs" },
	{ 0xd465687c, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xdf4574bf, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "DCE2FE88560D01AA0775AA1");

MODULE_INFO(suserelease, "SLFO-1.2");
