#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt76x02u_mcu_fw_reset, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_mcu_fw_send_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_init_mcu, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_mac_start, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_init_beacon_config, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_exit_beacon_config, "_gpl", "");

SYMBOL_CRC(mt76x02u_mcu_fw_reset, 0xf80bc699, "_gpl");
SYMBOL_CRC(mt76x02u_mcu_fw_send_data, 0xe629650f, "_gpl");
SYMBOL_CRC(mt76x02u_init_mcu, 0x2a684e0a, "_gpl");
SYMBOL_CRC(mt76x02u_tx_complete_skb, 0xc9a1b709, "_gpl");
SYMBOL_CRC(mt76x02u_mac_start, 0x12058aa2, "_gpl");
SYMBOL_CRC(mt76x02u_tx_prepare_skb, 0xc9730c10, "_gpl");
SYMBOL_CRC(mt76x02u_init_beacon_config, 0xf02a7381, "_gpl");
SYMBOL_CRC(mt76x02u_exit_beacon_config, 0xf1dac4fa, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe73fed9d, "mt76x02_mcu_parse_response" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xfa60a6f9, "mt76_csa_check" },
	{ 0x79d08c19, "mt76_tx_status_skb_add" },
	{ 0x8b773ecd, "hrtimer_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4e29fa1e, "mt76u_single_wr" },
	{ 0xc7f2b633, "__mt76_tx_complete_skb" },
	{ 0xa72dd1c8, "mt76x02_mac_reset_counters" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5ddafdf5, "ieee80211_get_hdrlen_from_skb" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x46097989, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xac3eb94b, "mt76_csa_finish" },
	{ 0xbe3dbdfa, "__alloc_skb" },
	{ 0xb9a85f0c, "idr_remove" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x1c785e13, "skb_pull" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xed153b93, "skb_push" },
	{ 0x28979a23, "mt76x02_init_beacon_config" },
	{ 0x18085bd2, "__mt76_mcu_msg_alloc" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x80e333b8, "mt76x02_mac_write_txwi" },
	{ 0x3a5797c9, "hrtimer_start_range_ns" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa3272c2, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x804718ec, "mt76u_vendor_request" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xc71b2b37, "mt76_skb_adjust_pad" },
	{ 0x5402ada3, "hrtimer_cancel" },
	{ 0xaceb63df, "mt76x02_mac_set_beacon" },
	{ 0x3dc51337, "hrtimer_active" },
	{ 0x2475b9b3, "__mt76_poll" },
	{ 0x291a65c2, "mt76x02_update_beacon_iter" },
	{ 0x8889cc03, "mt76x02_enqueue_buffered_bc" },
	{ 0x2a1baf00, "mt76x02_remove_hdr_pad" },
	{ 0x3ec4ea5, "skb_put" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x74885bdc, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x2569eb47, "mt76x02_resync_beacon_timer" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "mt76x02-lib,mt76,mt76-usb,cfg80211,usbcore,mac80211");


MODULE_INFO(srcversion, "7EECC67EA3A9302BA4B9124");

MODULE_INFO(suserelease, "SLFO-1.2");
