#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt76x2_read_rx_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x2_get_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x2_get_power_info, "_gpl", "");
KSYMTAB_FUNC(mt76x2_get_temp_comp, "_gpl", "");
KSYMTAB_FUNC(mt76x2_eeprom_init, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mac_stop, "_gpl", "");
KSYMTAB_FUNC(mt76x2_set_sar_specs, "_gpl", "");
KSYMTAB_FUNC(mt76x2_reset_wlan, "_gpl", "");
KSYMTAB_FUNC(mt76_write_mac_initvals, "_gpl", "");
KSYMTAB_FUNC(mt76x2_init_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76x2_apply_gain_adj, "_gpl", "");
KSYMTAB_FUNC(mt76x2_phy_set_txpower_regs, "_gpl", "");
KSYMTAB_FUNC(mt76x2_phy_set_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76x2_configure_tx_delay, "_gpl", "");
KSYMTAB_FUNC(mt76x2_phy_tssi_compensate, "_gpl", "");
KSYMTAB_FUNC(mt76x2_phy_update_channel_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mcu_set_channel, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mcu_load_cr, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mcu_init_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mcu_tssi_comp, "_gpl", "");

SYMBOL_CRC(mt76x2_read_rx_gain, 0x2f6473a5, "_gpl");
SYMBOL_CRC(mt76x2_get_rate_power, 0x5352460d, "_gpl");
SYMBOL_CRC(mt76x2_get_power_info, 0xd8744161, "_gpl");
SYMBOL_CRC(mt76x2_get_temp_comp, 0x680ee22c, "_gpl");
SYMBOL_CRC(mt76x2_eeprom_init, 0x55103f74, "_gpl");
SYMBOL_CRC(mt76x2_mac_stop, 0x675cdbe7, "_gpl");
SYMBOL_CRC(mt76x2_set_sar_specs, 0xc5e567d6, "_gpl");
SYMBOL_CRC(mt76x2_reset_wlan, 0x0d53fff6, "_gpl");
SYMBOL_CRC(mt76_write_mac_initvals, 0x83afe411, "_gpl");
SYMBOL_CRC(mt76x2_init_txpower, 0xf0088418, "_gpl");
SYMBOL_CRC(mt76x2_apply_gain_adj, 0x430fd374, "_gpl");
SYMBOL_CRC(mt76x2_phy_set_txpower_regs, 0x3f5aa8e0, "_gpl");
SYMBOL_CRC(mt76x2_phy_set_txpower, 0x119a01f6, "_gpl");
SYMBOL_CRC(mt76x2_configure_tx_delay, 0xc11bd639, "_gpl");
SYMBOL_CRC(mt76x2_phy_tssi_compensate, 0x557e8d4f, "_gpl");
SYMBOL_CRC(mt76x2_phy_update_channel_gain, 0x2b5e5820, "_gpl");
SYMBOL_CRC(mt76x2_mcu_set_channel, 0x770c688e, "_gpl");
SYMBOL_CRC(mt76x2_mcu_load_cr, 0x74469bd6, "_gpl");
SYMBOL_CRC(mt76x2_mcu_init_gain, 0xfe060e8c, "_gpl");
SYMBOL_CRC(mt76x2_mcu_tssi_comp, 0xc3844f8d, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x538f32f2, "cfg80211_chandef_valid" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb01e3f2f, "mt76x02_ext_pa_enabled" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3cbe00f7, "mt76x02_get_efuse_data" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd7fb4fba, "mt76x02_get_rx_gain" },
	{ 0x75fef85d, "mt76x02_add_rate_power_offset" },
	{ 0x10e5c809, "mt76_eeprom_init" },
	{ 0xc8240d31, "_dev_err" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xe0dccb47, "mt76x02_eeprom_parse_hw_cap" },
	{ 0xdf4bb8a0, "mt76_mcu_send_and_get_msg" },
	{ 0xc2e31baa, "mt76_eeprom_override" },
	{ 0xc55e72d6, "mt76x02_get_lna_gain" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x1ba97731, "mt76_get_sar_power" },
	{ 0x7b199277, "mt76x02_eeprom_copy" },
	{ 0x842750f, "mt76x02_mcu_calibrate" },
	{ 0xd5f6a0de, "mt76x02_phy_set_txpower" },
	{ 0xad5d3ba8, "mt76x02_get_max_rate_power" },
	{ 0x93c479bc, "mt76x02_limit_rate_power" },
	{ 0x3e2a5bbe, "mt76_get_min_avg_rssi" },
	{ 0xf2a2ec5c, "mt76_init_sar_power" },
	{ 0xd1334782, "mt76x02_phy_adjust_vga_gain" },
	{ 0x2c758e92, "mt76x02_phy_dfs_adjust_agc" },
	{ 0x3cb06817, "devm_kmalloc" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,mt76x02-lib,mt76");


MODULE_INFO(srcversion, "539D28121D9F13BE1DFE0F3");

MODULE_INFO(suserelease, "SLFO-1.2");
