#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5f932f7d, "rt2x00usb_disconnect" },
	{ 0x3d158b05, "rt2x00usb_suspend" },
	{ 0xe38a3934, "rt2x00usb_resume" },
	{ 0x550fe7c3, "rt2x00usb_initialize" },
	{ 0xcd30be5c, "rt2x00usb_uninitialize" },
	{ 0xce6d0670, "rt2x00usb_clear_entry" },
	{ 0x44bf7a3a, "rt2x00usb_watchdog" },
	{ 0x44b70a0d, "rt2x00usb_kick_queue" },
	{ 0x2efd4a, "rt2x00usb_flush_queue" },
	{ 0x6257b0a8, "rt2x00mac_tx" },
	{ 0x218eaf86, "rt2x00mac_start" },
	{ 0x97525bc1, "rt2x00mac_stop" },
	{ 0xbdd0557a, "rt2x00mac_add_interface" },
	{ 0x1a0204c9, "rt2x00mac_remove_interface" },
	{ 0x4bba5477, "rt2x00mac_config" },
	{ 0x8def771e, "rt2x00mac_bss_info_changed" },
	{ 0xac0d4ee5, "rt2x00mac_configure_filter" },
	{ 0x346a606c, "rt2x00mac_set_tim" },
	{ 0xef89f9cf, "rt2x00mac_set_key" },
	{ 0xe03c0c3d, "rt2x00mac_sw_scan_start" },
	{ 0xb0752704, "rt2x00mac_sw_scan_complete" },
	{ 0xb2f06d34, "rt2x00mac_get_stats" },
	{ 0xd9d0cdfe, "rt2x00mac_conf_tx" },
	{ 0xfdd567dd, "rt2x00mac_rfkill_poll" },
	{ 0x596f7c5a, "rt2x00mac_flush" },
	{ 0xed46820d, "rt2x00mac_set_antenna" },
	{ 0x22eead8c, "rt2x00mac_get_antenna" },
	{ 0xc584e6b9, "rt2x00mac_get_ringparam" },
	{ 0x8c806852, "rt2x00mac_tx_frames_pending" },
	{ 0x52d94878, "ieee80211_emulate_add_chanctx" },
	{ 0xf0f65626, "ieee80211_emulate_remove_chanctx" },
	{ 0x71c19537, "ieee80211_emulate_change_chanctx" },
	{ 0x5fc7a529, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x7511adf6, "ieee80211_handle_wake_tx_queue" },
	{ 0x9199b9f0, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa7a38b4e, "usb_register_driver" },
	{ 0xab0e0996, "rt2x00usb_probe" },
	{ 0xd62ba63d, "skb_trim" },
	{ 0x74885bdc, "consume_skb" },
	{ 0x71b5bbcc, "usb_submit_urb" },
	{ 0x8d842521, "usb_deregister" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x5bf94a7b, "rt2x00usb_vendor_req_buff_lock" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc8240d31, "_dev_err" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x51632654, "rt2x00usb_vendor_request_buff" },
	{ 0xed153b93, "skb_push" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfafc7a3e, "rt2x00usb_vendor_request" },
	{ 0xcc8f9d3b, "rt2x00lib_set_mac_address" },
	{ 0x71b12b37, "_dev_info" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xf9a482f9, "msleep" },
	{ 0x88686197, "rt2x00usb_disable_radio" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "rt2x00usb,rt2x00lib,mac80211,usbcore");

MODULE_ALIAS("usb:v0B05p1706d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p1707d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp7050d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp7051d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p000Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p0011d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p001Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v14B2p3C02d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3C00d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1044p8001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1044p8007d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06F8pE000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p005Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0066d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0067d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p008Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0097d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6861d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6865d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6869d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp1706d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp2570d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp9020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v079Bp004Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0681p3C06d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0707pEE13d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v114Bp0110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0769p11F3d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0EB0p9020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0F88p3012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v5A57p0260d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "0234C22C669DF15F609D12B");

MODULE_INFO(suserelease, "SLFO-1.2");
