#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rt2800_mcu_request, "_gpl", "");
KSYMTAB_FUNC(rt2800_wait_csr_ready, "_gpl", "");
KSYMTAB_FUNC(rt2800_wait_wpdma_ready, "_gpl", "");
KSYMTAB_FUNC(rt2800_disable_wpdma, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_txwi_rxwi_size, "_gpl", "");
KSYMTAB_FUNC(rt2800_check_firmware, "_gpl", "");
KSYMTAB_FUNC(rt2800_load_firmware, "_gpl", "");
KSYMTAB_FUNC(rt2800_write_tx_data, "_gpl", "");
KSYMTAB_FUNC(rt2800_process_rxwi, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone_entry, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone, "_gpl", "");
KSYMTAB_FUNC(rt2800_txstatus_timeout, "_gpl", "");
KSYMTAB_FUNC(rt2800_txstatus_pending, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone_nostatus, "_gpl", "");
KSYMTAB_FUNC(rt2800_watchdog, "_gpl", "");
KSYMTAB_FUNC(rt2800_write_beacon, "_gpl", "");
KSYMTAB_FUNC(rt2800_clear_beacon, "_gpl", "");
KSYMTAB_FUNC(rt2800_rfkill_poll, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_shared_key, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_pairwise_key, "_gpl", "");
KSYMTAB_FUNC(rt2800_sta_add, "_gpl", "");
KSYMTAB_FUNC(rt2800_sta_remove, "_gpl", "");
KSYMTAB_FUNC(rt2800_pre_reset_hw, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_filter, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_intf, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_erp, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_ant, "_gpl", "");
KSYMTAB_FUNC(rt2800_gain_calibration, "_gpl", "");
KSYMTAB_FUNC(rt2800_vco_calibration, "_gpl", "");
KSYMTAB_FUNC(rt2800_config, "_gpl", "");
KSYMTAB_FUNC(rt2800_link_stats, "_gpl", "");
KSYMTAB_FUNC(rt2800_reset_tuner, "_gpl", "");
KSYMTAB_FUNC(rt2800_link_tuner, "_gpl", "");
KSYMTAB_FUNC(rt2800_enable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800_disable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800_efuse_detect, "_gpl", "");
KSYMTAB_FUNC(rt2800_read_eeprom_efuse, "_gpl", "");
KSYMTAB_FUNC(rt2800_probe_hw, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_key_seq, "_gpl", "");
KSYMTAB_FUNC(rt2800_set_rts_threshold, "_gpl", "");
KSYMTAB_FUNC(rt2800_conf_tx, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_tsf, "_gpl", "");
KSYMTAB_FUNC(rt2800_ampdu_action, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_survey, "_gpl", "");

SYMBOL_CRC(rt2800_mcu_request, 0xe0c7cea0, "_gpl");
SYMBOL_CRC(rt2800_wait_csr_ready, 0xa182fdbe, "_gpl");
SYMBOL_CRC(rt2800_wait_wpdma_ready, 0x517b3471, "_gpl");
SYMBOL_CRC(rt2800_disable_wpdma, 0x97a0a69e, "_gpl");
SYMBOL_CRC(rt2800_get_txwi_rxwi_size, 0x11768cd8, "_gpl");
SYMBOL_CRC(rt2800_check_firmware, 0xe7680849, "_gpl");
SYMBOL_CRC(rt2800_load_firmware, 0x15e4b014, "_gpl");
SYMBOL_CRC(rt2800_write_tx_data, 0xd4e4417a, "_gpl");
SYMBOL_CRC(rt2800_process_rxwi, 0x3df39b66, "_gpl");
SYMBOL_CRC(rt2800_txdone_entry, 0x43210a8d, "_gpl");
SYMBOL_CRC(rt2800_txdone, 0xa05a7b14, "_gpl");
SYMBOL_CRC(rt2800_txstatus_timeout, 0xf5de5657, "_gpl");
SYMBOL_CRC(rt2800_txstatus_pending, 0x0fc6c813, "_gpl");
SYMBOL_CRC(rt2800_txdone_nostatus, 0x50cebfa2, "_gpl");
SYMBOL_CRC(rt2800_watchdog, 0x18c442cf, "_gpl");
SYMBOL_CRC(rt2800_write_beacon, 0xac0674b9, "_gpl");
SYMBOL_CRC(rt2800_clear_beacon, 0xc6f9291c, "_gpl");
SYMBOL_CRC(rt2800_rfkill_poll, 0x08137274, "_gpl");
SYMBOL_CRC(rt2800_config_shared_key, 0xf3b77b63, "_gpl");
SYMBOL_CRC(rt2800_config_pairwise_key, 0x4c7e9a57, "_gpl");
SYMBOL_CRC(rt2800_sta_add, 0x0d28f1f4, "_gpl");
SYMBOL_CRC(rt2800_sta_remove, 0xd0ca3e0e, "_gpl");
SYMBOL_CRC(rt2800_pre_reset_hw, 0x54ec39ee, "_gpl");
SYMBOL_CRC(rt2800_config_filter, 0xeecedea0, "_gpl");
SYMBOL_CRC(rt2800_config_intf, 0x5a6cf2f7, "_gpl");
SYMBOL_CRC(rt2800_config_erp, 0x0955da7e, "_gpl");
SYMBOL_CRC(rt2800_config_ant, 0x07a215c8, "_gpl");
SYMBOL_CRC(rt2800_gain_calibration, 0xa1a3c76c, "_gpl");
SYMBOL_CRC(rt2800_vco_calibration, 0x7046d706, "_gpl");
SYMBOL_CRC(rt2800_config, 0x140f007a, "_gpl");
SYMBOL_CRC(rt2800_link_stats, 0x9492a3d3, "_gpl");
SYMBOL_CRC(rt2800_reset_tuner, 0xd6254d39, "_gpl");
SYMBOL_CRC(rt2800_link_tuner, 0x5e4a820f, "_gpl");
SYMBOL_CRC(rt2800_enable_radio, 0x7b2c1650, "_gpl");
SYMBOL_CRC(rt2800_disable_radio, 0x7389fb1d, "_gpl");
SYMBOL_CRC(rt2800_efuse_detect, 0x6a51977a, "_gpl");
SYMBOL_CRC(rt2800_read_eeprom_efuse, 0x2ca1903d, "_gpl");
SYMBOL_CRC(rt2800_probe_hw, 0xb68200ca, "_gpl");
SYMBOL_CRC(rt2800_get_key_seq, 0x9f36d287, "_gpl");
SYMBOL_CRC(rt2800_set_rts_threshold, 0x2bebdb58, "_gpl");
SYMBOL_CRC(rt2800_conf_tx, 0x2a4fa495, "_gpl");
SYMBOL_CRC(rt2800_get_tsf, 0x986e5fc1, "_gpl");
SYMBOL_CRC(rt2800_ampdu_action, 0xdebf5bc0, "_gpl");
SYMBOL_CRC(rt2800_get_survey, 0xf2e07df1, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaeb98a5e, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xed153b93, "skb_push" },
	{ 0x16a57400, "dev_kfree_skb_any_reason" },
	{ 0x6db45ff8, "__skb_pad" },
	{ 0x6a419201, "rt2x00lib_txdone_noinfo" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x317221f1, "ieee80211_restart_hw" },
	{ 0x1c785e13, "skb_pull" },
	{ 0x71b12b37, "_dev_info" },
	{ 0xcc8f9d3b, "rt2x00lib_set_mac_address" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x37a0cba, "kfree" },
	{ 0xec4d9e3a, "clk_get_sys" },
	{ 0x2e1ca751, "clk_put" },
	{ 0xe5eb5fd0, "param_ops_uint" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf9a482f9, "msleep" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x52ecbc75, "crc_ccitt" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x9479b1da, "rt2x00lib_txdone_nomatch" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x59b56ebb, "rt2x00lib_txdone" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0xabcb5a35, "rt2x00queue_get_entry" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x633aed42, "rt2x00lib_get_bssidx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd9d0cdfe, "rt2x00mac_conf_tx" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "mac80211,rt2x00lib");


MODULE_INFO(srcversion, "9E1A111AF9AF06F91AEF468");

MODULE_INFO(suserelease, "SLFO-1.2");
