#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rt2800mmio_get_dma_done, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_get_txwi, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_write_tx_desc, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_fill_rxdone, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_pretbtt_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_tbtt_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_rxdone_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_autowake_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_txstatus_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_interrupt, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_toggle_irq, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_start_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_kick_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_flush_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_stop_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_queue_init, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_get_entry_state, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_clear_entry, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_init_queues, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_init_registers, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_enable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_probe_hw, "_gpl", "");

SYMBOL_CRC(rt2800mmio_get_dma_done, 0x60942179, "_gpl");
SYMBOL_CRC(rt2800mmio_get_txwi, 0x40007dee, "_gpl");
SYMBOL_CRC(rt2800mmio_write_tx_desc, 0x7622f7f0, "_gpl");
SYMBOL_CRC(rt2800mmio_fill_rxdone, 0xaef6d5da, "_gpl");
SYMBOL_CRC(rt2800mmio_pretbtt_tasklet, 0x3d741c87, "_gpl");
SYMBOL_CRC(rt2800mmio_tbtt_tasklet, 0x5028bbb2, "_gpl");
SYMBOL_CRC(rt2800mmio_rxdone_tasklet, 0x32ac3645, "_gpl");
SYMBOL_CRC(rt2800mmio_autowake_tasklet, 0x97e3c029, "_gpl");
SYMBOL_CRC(rt2800mmio_txstatus_tasklet, 0x9f3c8921, "_gpl");
SYMBOL_CRC(rt2800mmio_interrupt, 0x5fa4db64, "_gpl");
SYMBOL_CRC(rt2800mmio_toggle_irq, 0x6132ffcb, "_gpl");
SYMBOL_CRC(rt2800mmio_start_queue, 0x6dbe6507, "_gpl");
SYMBOL_CRC(rt2800mmio_kick_queue, 0x3c812816, "_gpl");
SYMBOL_CRC(rt2800mmio_flush_queue, 0x625cb73c, "_gpl");
SYMBOL_CRC(rt2800mmio_stop_queue, 0x97c6035c, "_gpl");
SYMBOL_CRC(rt2800mmio_queue_init, 0xdbf3c0e4, "_gpl");
SYMBOL_CRC(rt2800mmio_get_entry_state, 0x146f77ba, "_gpl");
SYMBOL_CRC(rt2800mmio_clear_entry, 0xb23bf438, "_gpl");
SYMBOL_CRC(rt2800mmio_init_queues, 0x2119862f, "_gpl");
SYMBOL_CRC(rt2800mmio_init_registers, 0xcfcdb487, "_gpl");
SYMBOL_CRC(rt2800mmio_enable_radio, 0xe31b11f6, "_gpl");
SYMBOL_CRC(rt2800mmio_probe_hw, 0xf5d8e1f0, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xabcb5a35, "rt2x00queue_get_entry" },
	{ 0x3df39b66, "rt2800_process_rxwi" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xea7e3582, "rt2x00lib_beacondone" },
	{ 0x140f007a, "rt2800_config" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x3a5797c9, "hrtimer_start_range_ns" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x11768cd8, "rt2800_get_txwi_rxwi_size" },
	{ 0x5402ada3, "hrtimer_cancel" },
	{ 0x97a0a69e, "rt2800_disable_wpdma" },
	{ 0x517b3471, "rt2800_wait_wpdma_ready" },
	{ 0x7b2c1650, "rt2800_enable_radio" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xa05a7b14, "rt2800_txdone" },
	{ 0x50cebfa2, "rt2800_txdone_nostatus" },
	{ 0xf5de5657, "rt2800_txstatus_timeout" },
	{ 0xfc6c813, "rt2800_txstatus_pending" },
	{ 0xb68200ca, "rt2800_probe_hw" },
	{ 0x3264d763, "rt2x00lib_pretbtt" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xf3301e50, "rt2x00mmio_rxdone" },
	{ 0x3e3bad0a, "__tasklet_hi_schedule" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "rt2x00lib,rt2800lib,rt2x00mmio");


MODULE_INFO(srcversion, "C1A4D577C93752B32ED7651");

MODULE_INFO(suserelease, "SLFO-1.2");
