#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc8240d31, "_dev_err" },
	{ 0xe0c7cea0, "rt2800_mcu_request" },
	{ 0x6132ffcb, "rt2800mmio_toggle_irq" },
	{ 0xe31b11f6, "rt2800mmio_enable_radio" },
	{ 0x2fa151d7, "rt2x00pci_remove" },
	{ 0x58affd67, "rt2x00pci_pm_ops" },
	{ 0xdbf3c0e4, "rt2800mmio_queue_init" },
	{ 0x5fa4db64, "rt2800mmio_interrupt" },
	{ 0x9f3c8921, "rt2800mmio_txstatus_tasklet" },
	{ 0x3d741c87, "rt2800mmio_pretbtt_tasklet" },
	{ 0x5028bbb2, "rt2800mmio_tbtt_tasklet" },
	{ 0x32ac3645, "rt2800mmio_rxdone_tasklet" },
	{ 0x97e3c029, "rt2800mmio_autowake_tasklet" },
	{ 0xf5d8e1f0, "rt2800mmio_probe_hw" },
	{ 0xe7680849, "rt2800_check_firmware" },
	{ 0x15e4b014, "rt2800_load_firmware" },
	{ 0xa3ed0ae2, "rt2x00mmio_initialize" },
	{ 0xe5645a20, "rt2x00mmio_uninitialize" },
	{ 0x146f77ba, "rt2800mmio_get_entry_state" },
	{ 0xb23bf438, "rt2800mmio_clear_entry" },
	{ 0x8137274, "rt2800_rfkill_poll" },
	{ 0x9492a3d3, "rt2800_link_stats" },
	{ 0xd6254d39, "rt2800_reset_tuner" },
	{ 0x5e4a820f, "rt2800_link_tuner" },
	{ 0xa1a3c76c, "rt2800_gain_calibration" },
	{ 0x7046d706, "rt2800_vco_calibration" },
	{ 0x18c442cf, "rt2800_watchdog" },
	{ 0x6dbe6507, "rt2800mmio_start_queue" },
	{ 0x3c812816, "rt2800mmio_kick_queue" },
	{ 0x97c6035c, "rt2800mmio_stop_queue" },
	{ 0x625cb73c, "rt2800mmio_flush_queue" },
	{ 0x7622f7f0, "rt2800mmio_write_tx_desc" },
	{ 0xd4e4417a, "rt2800_write_tx_data" },
	{ 0xac0674b9, "rt2800_write_beacon" },
	{ 0xc6f9291c, "rt2800_clear_beacon" },
	{ 0xaef6d5da, "rt2800mmio_fill_rxdone" },
	{ 0xf3b77b63, "rt2800_config_shared_key" },
	{ 0x4c7e9a57, "rt2800_config_pairwise_key" },
	{ 0xeecedea0, "rt2800_config_filter" },
	{ 0x5a6cf2f7, "rt2800_config_intf" },
	{ 0x955da7e, "rt2800_config_erp" },
	{ 0x7a215c8, "rt2800_config_ant" },
	{ 0x140f007a, "rt2800_config" },
	{ 0x54ec39ee, "rt2800_pre_reset_hw" },
	{ 0xc852298e, "rt2x00mmio_regbusy_read" },
	{ 0xcfcdb487, "rt2800mmio_init_registers" },
	{ 0x40007dee, "rt2800mmio_get_txwi" },
	{ 0x60942179, "rt2800mmio_get_dma_done" },
	{ 0x6257b0a8, "rt2x00mac_tx" },
	{ 0x218eaf86, "rt2x00mac_start" },
	{ 0x97525bc1, "rt2x00mac_stop" },
	{ 0xbdd0557a, "rt2x00mac_add_interface" },
	{ 0x1a0204c9, "rt2x00mac_remove_interface" },
	{ 0x4bba5477, "rt2x00mac_config" },
	{ 0x8def771e, "rt2x00mac_bss_info_changed" },
	{ 0xac0d4ee5, "rt2x00mac_configure_filter" },
	{ 0xef89f9cf, "rt2x00mac_set_key" },
	{ 0xe03c0c3d, "rt2x00mac_sw_scan_start" },
	{ 0xb0752704, "rt2x00mac_sw_scan_complete" },
	{ 0xb2f06d34, "rt2x00mac_get_stats" },
	{ 0x9f36d287, "rt2800_get_key_seq" },
	{ 0x2bebdb58, "rt2800_set_rts_threshold" },
	{ 0xd28f1f4, "rt2800_sta_add" },
	{ 0xd0ca3e0e, "rt2800_sta_remove" },
	{ 0x2a4fa495, "rt2800_conf_tx" },
	{ 0x986e5fc1, "rt2800_get_tsf" },
	{ 0xdebf5bc0, "rt2800_ampdu_action" },
	{ 0xf2e07df1, "rt2800_get_survey" },
	{ 0xfdd567dd, "rt2x00mac_rfkill_poll" },
	{ 0x596f7c5a, "rt2x00mac_flush" },
	{ 0xc584e6b9, "rt2x00mac_get_ringparam" },
	{ 0x8c806852, "rt2x00mac_tx_frames_pending" },
	{ 0x52d94878, "ieee80211_emulate_add_chanctx" },
	{ 0xf0f65626, "ieee80211_emulate_remove_chanctx" },
	{ 0x71c19537, "ieee80211_emulate_change_chanctx" },
	{ 0x5fc7a529, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x83f2f63f, "rt2x00mac_reconfig_complete" },
	{ 0x7511adf6, "ieee80211_handle_wake_tx_queue" },
	{ 0x9199b9f0, "param_ops_bool" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd1ffe315, "__pci_register_driver" },
	{ 0x18c3c724, "rt2x00pci_probe" },
	{ 0x6a51977a, "rt2800_efuse_detect" },
	{ 0x2ca1903d, "rt2800_read_eeprom_efuse" },
	{ 0x4b0b05dc, "eeprom_93cx6_multiread" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xb6e3c8cb, "pci_unregister_driver" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "rt2800lib,rt2800mmio,rt2x00pci,rt2x00mmio,rt2x00lib,mac80211,eeprom_93cx6");

MODULE_ALIAS("pci:v00001814d00000601sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000681sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000701sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000781sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003090sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003091sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003092sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007708sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007727sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007728sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007738sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007748sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007758sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007768sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001462d0000891Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001A3Bd00001059sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003290sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003390sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007711sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007722sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003060sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003062sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003562sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003592sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003593sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000359Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005360sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005362sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005390sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005392sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Fsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "51B0FD4BC07C079C81C35A2");

MODULE_INFO(suserelease, "SLFO-1.2");
