#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rt2x00usb_vendor_request, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_vendor_req_buff_lock, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_vendor_request_buff, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_regbusy_read, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_register_read_async, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_kick_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_flush_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_watchdog, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_disable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_clear_entry, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_initialize, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_uninitialize, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_probe, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_disconnect, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_suspend, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_resume, "_gpl", "");

SYMBOL_CRC(rt2x00usb_vendor_request, 0xfafc7a3e, "_gpl");
SYMBOL_CRC(rt2x00usb_vendor_req_buff_lock, 0x5bf94a7b, "_gpl");
SYMBOL_CRC(rt2x00usb_vendor_request_buff, 0x51632654, "_gpl");
SYMBOL_CRC(rt2x00usb_regbusy_read, 0xd0153723, "_gpl");
SYMBOL_CRC(rt2x00usb_register_read_async, 0x0fb25d53, "_gpl");
SYMBOL_CRC(rt2x00usb_kick_queue, 0x44b70a0d, "_gpl");
SYMBOL_CRC(rt2x00usb_flush_queue, 0x002efd4a, "_gpl");
SYMBOL_CRC(rt2x00usb_watchdog, 0x44bf7a3a, "_gpl");
SYMBOL_CRC(rt2x00usb_disable_radio, 0x88686197, "_gpl");
SYMBOL_CRC(rt2x00usb_clear_entry, 0xce6d0670, "_gpl");
SYMBOL_CRC(rt2x00usb_initialize, 0x550fe7c3, "_gpl");
SYMBOL_CRC(rt2x00usb_uninitialize, 0xcd30be5c, "_gpl");
SYMBOL_CRC(rt2x00usb_probe, 0xab0e0996, "_gpl");
SYMBOL_CRC(rt2x00usb_disconnect, 0x5f932f7d, "_gpl");
SYMBOL_CRC(rt2x00usb_suspend, 0x3d158b05, "_gpl");
SYMBOL_CRC(rt2x00usb_resume, 0xe38a3934, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x72b0d970, "usb_control_msg" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xc8240d31, "_dev_err" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xbfc27fe0, "usb_anchor_urb" },
	{ 0x71b5bbcc, "usb_submit_urb" },
	{ 0x37a0cba, "kfree" },
	{ 0x4e5a5e57, "usb_unanchor_urb" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x4ed62146, "usb_alloc_urb" },
	{ 0x55a2d436, "usb_free_urb" },
	{ 0x1cf6138c, "rt2x00lib_dmastart" },
	{ 0x67552959, "rt2x00lib_dmadone" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6db45ff8, "__skb_pad" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0xf9a482f9, "msleep" },
	{ 0x9233473f, "rt2x00queue_for_each_entry" },
	{ 0x6323482b, "usb_kill_urb" },
	{ 0xabcb5a35, "rt2x00queue_get_entry" },
	{ 0x65540ce8, "rt2x00queue_stop_queue" },
	{ 0xa4f2abfd, "rt2x00queue_flush_queue" },
	{ 0xa140809d, "rt2x00queue_start_queue" },
	{ 0x6a419201, "rt2x00lib_txdone_noinfo" },
	{ 0x5cbf7584, "rt2x00lib_rxdone" },
	{ 0x90d0b9d8, "rt2x00lib_suspend" },
	{ 0x40370b22, "rt2x00lib_resume" },
	{ 0x68a8fb2c, "usb_kill_anchored_urbs" },
	{ 0x5402ada3, "hrtimer_cancel" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x227bd647, "rt2x00lib_remove_dev" },
	{ 0x49e1ab4f, "ieee80211_free_hw" },
	{ 0xf213bb4a, "usb_put_dev" },
	{ 0x12a2d815, "usb_get_dev" },
	{ 0xfb63dcc2, "usb_reset_device" },
	{ 0x11f16b6f, "ieee80211_alloc_hw_nm" },
	{ 0x8b773ecd, "hrtimer_init" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x3cb06817, "devm_kmalloc" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0x29984055, "rt2x00lib_probe_dev" },
	{ 0x92997ed8, "_printk" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "usbcore,rt2x00lib,mac80211");


MODULE_INFO(srcversion, "67421242C6BCF3999A68E20");

MODULE_INFO(suserelease, "SLFO-1.2");
