#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rtw89_core_fill_txdesc, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_v1, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_v2, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_fwcmd_v1, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_fwcmd_v2, "", "");
KSYMTAB_FUNC(rtw89_core_query_rxdesc, "", "");
KSYMTAB_FUNC(rtw89_core_query_rxdesc_v2, "", "");
KSYMTAB_FUNC(rtw89_core_rx, "", "");
KSYMTAB_FUNC(rtw89_core_napi_start, "", "");
KSYMTAB_FUNC(rtw89_core_napi_stop, "", "");
KSYMTAB_FUNC(rtw89_core_napi_init, "", "");
KSYMTAB_FUNC(rtw89_core_napi_deinit, "", "");
KSYMTAB_FUNC(rtw89_check_quirks, "", "");
KSYMTAB_FUNC(rtw89_core_init, "", "");
KSYMTAB_FUNC(rtw89_core_deinit, "", "");
KSYMTAB_FUNC(rtw89_chip_info_setup, "", "");
KSYMTAB_FUNC(rtw89_core_register, "", "");
KSYMTAB_FUNC(rtw89_core_unregister, "", "");
KSYMTAB_FUNC(rtw89_alloc_ieee80211_hw, "", "");
KSYMTAB_FUNC(rtw89_free_ieee80211_hw, "", "");
KSYMTAB_DATA(rtw89_ops, "", "");
KSYMTAB_FUNC(rtw89_mac_get_err_status, "", "");
KSYMTAB_FUNC(rtw89_mac_set_err_status, "", "");
KSYMTAB_DATA(rtw89_mac_size, "", "");
KSYMTAB_FUNC(rtw89_mac_stop_sch_tx, "", "");
KSYMTAB_FUNC(rtw89_mac_stop_sch_tx_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_resume_sch_tx, "", "");
KSYMTAB_FUNC(rtw89_mac_resume_sch_tx_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_enable_bb_rf, "", "");
KSYMTAB_FUNC(rtw89_mac_disable_bb_rf, "", "");
KSYMTAB_FUNC(rtw89_mac_coex_init, "", "");
KSYMTAB_FUNC(rtw89_mac_coex_init_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_gnt, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_gnt_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ctrl_path, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ctrl_path_v1, "", "");
KSYMTAB_DATA(rtw89_mac_gen_ax, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_gnt_v2, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ctrl_path_v2, "", "");
KSYMTAB_FUNC(rtw89_mac_stop_sch_tx_v2, "", "");
KSYMTAB_FUNC(rtw89_mac_resume_sch_tx_v2, "", "");
KSYMTAB_DATA(rtw89_mac_gen_be, "", "");
KSYMTAB_FUNC(rtw89_phy_get_txsc, "", "");
KSYMTAB_FUNC(rtw89_phy_get_txsb, "", "");
KSYMTAB_FUNC(rtw89_phy_read_rf, "", "");
KSYMTAB_FUNC(rtw89_phy_read_rf_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_read_rf_v2, "", "");
KSYMTAB_FUNC(rtw89_phy_write_rf, "", "");
KSYMTAB_FUNC(rtw89_phy_write_rf_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_write_rf_v2, "", "");
KSYMTAB_FUNC(rtw89_phy_config_rf_reg_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_write32_idx, "", "");
KSYMTAB_FUNC(rtw89_phy_read32_idx, "", "");
KSYMTAB_FUNC(rtw89_phy_set_phy_regs, "", "");
KSYMTAB_FUNC(rtw89_phy_write_reg3_tbl, "", "");
KSYMTAB_FUNC(rtw89_phy_load_txpwr_byrate, "", "");
KSYMTAB_FUNC(rtw89_phy_read_txpwr_limit, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_pre_ntfy_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_tssi_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_iqk_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_dpk_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_txgapk_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_dack_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_rxdck_and_wait, "", "");
KSYMTAB_FUNC(rtw89_rfk_chan_lookup, "", "");
KSYMTAB_FUNC(rtw89_rfk_parser, "", "");
KSYMTAB_FUNC(rtw89_phy_tssi_ctrl_set_bandedge_cfg, "", "");
KSYMTAB_FUNC(rtw89_encode_chan_idx, "", "");
KSYMTAB_FUNC(rtw89_decode_chan_idx, "", "");
KSYMTAB_FUNC(rtw89_phy_get_kpath, "", "");
KSYMTAB_FUNC(rtw89_phy_get_syn_sel, "", "");
KSYMTAB_DATA(rtw89_phy_gen_ax, "", "");
KSYMTAB_DATA(rtw89_phy_gen_be, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_dctl_sec_cam_v1, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_dctl_sec_cam_v2, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_default_dmac_tbl_v2, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_ba_cam, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_ba_cam_v1, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_default_cmac_tbl, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_default_cmac_tbl_g7, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_assoc_cmac_tbl, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_assoc_cmac_tbl_g7, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_ampdu_cmac_tbl_g7, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_update_beacon, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_update_beacon_be, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_rf_ntfy_mcc, "", "");
KSYMTAB_FUNC(rtw89_read_efuse_ver, "", "");
KSYMTAB_FUNC(rtw89_efuse_read_fw_secure_be, "", "");
KSYMTAB_FUNC(rtw89_btc_set_policy, "", "");
KSYMTAB_FUNC(rtw89_btc_set_policy_v1, "", "");
KSYMTAB_FUNC(rtw89_btc_ntfy_wl_rfk, "", "");
KSYMTAB_FUNC(__rtw89_mgnt_chan_get, "", "");
KSYMTAB_FUNC(rtw89_ser_notify, "", "");
KSYMTAB_FUNC(rtw89_linear_2_db, "", "");
KSYMTAB_FUNC(rtw89_db_2_linear, "", "");

SYMBOL_CRC(rtw89_core_fill_txdesc, 0x0200495c, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_v1, 0x7219e4f8, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_v2, 0xc70b4413, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_fwcmd_v1, 0xbb176cc8, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_fwcmd_v2, 0x0e05cc23, "");
SYMBOL_CRC(rtw89_core_query_rxdesc, 0x5b210048, "");
SYMBOL_CRC(rtw89_core_query_rxdesc_v2, 0xeaff8355, "");
SYMBOL_CRC(rtw89_core_rx, 0x4a6064ab, "");
SYMBOL_CRC(rtw89_core_napi_start, 0xd92fc93d, "");
SYMBOL_CRC(rtw89_core_napi_stop, 0x36224d89, "");
SYMBOL_CRC(rtw89_core_napi_init, 0x8b779e33, "");
SYMBOL_CRC(rtw89_core_napi_deinit, 0x084da7b0, "");
SYMBOL_CRC(rtw89_check_quirks, 0x9538dafe, "");
SYMBOL_CRC(rtw89_core_init, 0x346b82de, "");
SYMBOL_CRC(rtw89_core_deinit, 0x4b714a1d, "");
SYMBOL_CRC(rtw89_chip_info_setup, 0x1f9b74c2, "");
SYMBOL_CRC(rtw89_core_register, 0xb9443935, "");
SYMBOL_CRC(rtw89_core_unregister, 0x907ed0a1, "");
SYMBOL_CRC(rtw89_alloc_ieee80211_hw, 0xb8ddcf4f, "");
SYMBOL_CRC(rtw89_free_ieee80211_hw, 0x41a87e5f, "");
SYMBOL_CRC(rtw89_ops, 0x820094f0, "");
SYMBOL_CRC(rtw89_mac_get_err_status, 0xa52e9b76, "");
SYMBOL_CRC(rtw89_mac_set_err_status, 0x2da73151, "");
SYMBOL_CRC(rtw89_mac_size, 0x8042eefb, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx, 0xc69543a3, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx_v1, 0xef90816c, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx, 0xa51a67c9, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx_v1, 0x975147e5, "");
SYMBOL_CRC(rtw89_mac_enable_bb_rf, 0xc71a92e5, "");
SYMBOL_CRC(rtw89_mac_disable_bb_rf, 0x97f1471b, "");
SYMBOL_CRC(rtw89_mac_coex_init, 0x9f5ea1ee, "");
SYMBOL_CRC(rtw89_mac_coex_init_v1, 0xc82126bc, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt, 0x4d51d0bd, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt_v1, 0x9736e34a, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path, 0x19ce46a7, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path_v1, 0x4bc50c1b, "");
SYMBOL_CRC(rtw89_mac_gen_ax, 0xe003db60, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt_v2, 0x3eb11542, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path_v2, 0x0f21e5ac, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx_v2, 0xa2b169c0, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx_v2, 0x1813e064, "");
SYMBOL_CRC(rtw89_mac_gen_be, 0x8d2e8148, "");
SYMBOL_CRC(rtw89_phy_get_txsc, 0x052f54df, "");
SYMBOL_CRC(rtw89_phy_get_txsb, 0xfed12dee, "");
SYMBOL_CRC(rtw89_phy_read_rf, 0x401a7562, "");
SYMBOL_CRC(rtw89_phy_read_rf_v1, 0x062799bf, "");
SYMBOL_CRC(rtw89_phy_read_rf_v2, 0x8a5fcae4, "");
SYMBOL_CRC(rtw89_phy_write_rf, 0xc813ea0d, "");
SYMBOL_CRC(rtw89_phy_write_rf_v1, 0xc90d1cf2, "");
SYMBOL_CRC(rtw89_phy_write_rf_v2, 0x51be002f, "");
SYMBOL_CRC(rtw89_phy_config_rf_reg_v1, 0x42ad53a0, "");
SYMBOL_CRC(rtw89_phy_write32_idx, 0x87fd9127, "");
SYMBOL_CRC(rtw89_phy_read32_idx, 0xca452449, "");
SYMBOL_CRC(rtw89_phy_set_phy_regs, 0x2951b73d, "");
SYMBOL_CRC(rtw89_phy_write_reg3_tbl, 0x5a9a6dcf, "");
SYMBOL_CRC(rtw89_phy_load_txpwr_byrate, 0x4c7e3441, "");
SYMBOL_CRC(rtw89_phy_read_txpwr_limit, 0xd99e291c, "");
SYMBOL_CRC(rtw89_phy_rfk_pre_ntfy_and_wait, 0x8a4c4b81, "");
SYMBOL_CRC(rtw89_phy_rfk_tssi_and_wait, 0xca6f789e, "");
SYMBOL_CRC(rtw89_phy_rfk_iqk_and_wait, 0x48965a2c, "");
SYMBOL_CRC(rtw89_phy_rfk_dpk_and_wait, 0x31671337, "");
SYMBOL_CRC(rtw89_phy_rfk_txgapk_and_wait, 0x4cf44223, "");
SYMBOL_CRC(rtw89_phy_rfk_dack_and_wait, 0x3af8e653, "");
SYMBOL_CRC(rtw89_phy_rfk_rxdck_and_wait, 0xb307e516, "");
SYMBOL_CRC(rtw89_rfk_chan_lookup, 0x0b54a095, "");
SYMBOL_CRC(rtw89_rfk_parser, 0x540f108a, "");
SYMBOL_CRC(rtw89_phy_tssi_ctrl_set_bandedge_cfg, 0xf474d965, "");
SYMBOL_CRC(rtw89_encode_chan_idx, 0x23fe6a3e, "");
SYMBOL_CRC(rtw89_decode_chan_idx, 0x1109fb1f, "");
SYMBOL_CRC(rtw89_phy_get_kpath, 0xfba27077, "");
SYMBOL_CRC(rtw89_phy_get_syn_sel, 0xf78ef55c, "");
SYMBOL_CRC(rtw89_phy_gen_ax, 0xb0a886e3, "");
SYMBOL_CRC(rtw89_phy_gen_be, 0x6dc7d71c, "");
SYMBOL_CRC(rtw89_fw_h2c_dctl_sec_cam_v1, 0xf0ea9300, "");
SYMBOL_CRC(rtw89_fw_h2c_dctl_sec_cam_v2, 0x1a8add04, "");
SYMBOL_CRC(rtw89_fw_h2c_default_dmac_tbl_v2, 0xc819b549, "");
SYMBOL_CRC(rtw89_fw_h2c_ba_cam, 0x8f182279, "");
SYMBOL_CRC(rtw89_fw_h2c_ba_cam_v1, 0x1c1bc204, "");
SYMBOL_CRC(rtw89_fw_h2c_default_cmac_tbl, 0xad297c8c, "");
SYMBOL_CRC(rtw89_fw_h2c_default_cmac_tbl_g7, 0x47339ec7, "");
SYMBOL_CRC(rtw89_fw_h2c_assoc_cmac_tbl, 0x431a57ea, "");
SYMBOL_CRC(rtw89_fw_h2c_assoc_cmac_tbl_g7, 0xc2c9b5c4, "");
SYMBOL_CRC(rtw89_fw_h2c_ampdu_cmac_tbl_g7, 0x4621a782, "");
SYMBOL_CRC(rtw89_fw_h2c_update_beacon, 0x64223b65, "");
SYMBOL_CRC(rtw89_fw_h2c_update_beacon_be, 0x6b844375, "");
SYMBOL_CRC(rtw89_fw_h2c_rf_ntfy_mcc, 0x7bd9d64b, "");
SYMBOL_CRC(rtw89_read_efuse_ver, 0x38ece035, "");
SYMBOL_CRC(rtw89_efuse_read_fw_secure_be, 0xbd10ba1e, "");
SYMBOL_CRC(rtw89_btc_set_policy, 0xd0139d4f, "");
SYMBOL_CRC(rtw89_btc_set_policy_v1, 0xa6ab8e1a, "");
SYMBOL_CRC(rtw89_btc_ntfy_wl_rfk, 0xd45d5b97, "");
SYMBOL_CRC(__rtw89_mgnt_chan_get, 0xac823b7b, "");
SYMBOL_CRC(rtw89_ser_notify, 0xeb88c396, "");
SYMBOL_CRC(rtw89_linear_2_db, 0x8b2996f1, "");
SYMBOL_CRC(rtw89_db_2_linear, 0xe44a7282, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x52d94878, "ieee80211_emulate_add_chanctx" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x5fc7a529, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x4e69b266, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x589e015f, "ieee80211_ready_on_channel" },
	{ 0xccfb1856, "ieee80211_stop_queues" },
	{ 0xd62ba63d, "skb_trim" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xbf2cd263, "skb_unlink" },
	{ 0x6d343d90, "__netif_napi_del_locked" },
	{ 0x1681e216, "wiphy_rfkill_set_hw_state_reason" },
	{ 0xd875c97e, "wiphy_rfkill_start_polling" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe7f5881c, "alloc_netdev_dummy" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xdf342800, "ieee80211_scan_completed" },
	{ 0xa3272c2, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9199b9f0, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd553fef9, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x9f7aac60, "seq_write" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7ad7a5cd, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xdb3eca82, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x1060b4b7, "skb_copy" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x23026b4b, "cfg80211_chandef_create" },
	{ 0x686a6862, "ieee80211_cqm_rssi_notify" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x8a323a52, "ieee80211_queue_work" },
	{ 0xf21d30b1, "napi_schedule_prep" },
	{ 0x754d539c, "strlen" },
	{ 0x664821c4, "napi_disable" },
	{ 0x16a57400, "dev_kfree_skb_any_reason" },
	{ 0xf0f65626, "ieee80211_emulate_remove_chanctx" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x4a9de351, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xf18d82ec, "ieee80211_stop_tx_ba_session" },
	{ 0xe91f9b82, "ieee80211_gtk_rekey_notify" },
	{ 0x77c7a4b1, "device_set_wakeup_enable" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xad68421f, "ieee80211_connection_loss" },
	{ 0x4365e3a8, "ieee80211_report_wowlan_wakeup" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x187dccfa, "is_acpi_device_node" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8b5a981d, "__ieee80211_schedule_txq" },
	{ 0xdca0f8b3, "ieee80211_txq_get_depth" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xe83843fd, "cfg80211_bss_iter" },
	{ 0x3ec4ea5, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x74885bdc, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0x49e1ab4f, "ieee80211_free_hw" },
	{ 0xa5c821e, "ieee80211_probereq_get" },
	{ 0xd465687c, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xacf7e913, "request_firmware" },
	{ 0x9257c716, "ieee80211_iterate_stations_atomic" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xaf9e534c, "ieee80211_start_tx_ba_session" },
	{ 0x69acdf38, "memcpy" },
	{ 0x4f3980ac, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x76f38b4, "ieee80211_nullfunc_get" },
	{ 0x71bfb04b, "ieee80211_pspoll_get" },
	{ 0x787b24e9, "ieee80211_register_hw" },
	{ 0x71c19537, "ieee80211_emulate_change_chanctx" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x7651a0b5, "netif_napi_add_weight_locked" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x317221f1, "ieee80211_restart_hw" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd1d47d16, "pskb_expand_head" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x69509299, "ieee80211_find_sta" },
	{ 0xaeb9a917, "ieee80211_get_key_rx_seq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x670db660, "__napi_schedule" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x1dab0efe, "ieee80211_set_key_rx_seq" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x71b12b37, "_dev_info" },
	{ 0xe648e7c0, "skb_queue_tail" },
	{ 0xaeb98a5e, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x7417e46f, "wiphy_to_ieee80211_hw" },
	{ 0xe9238966, "ieee80211_gtk_rekey_add" },
	{ 0xcc4586b, "ieee80211_queue_delayed_work" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x3df22d16, "ieee80211_proberesp_get" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x3939f8f0, "rfkill_pause_polling" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6d64c27f, "sk_skb_reason_drop" },
	{ 0x1dd7538e, "ieee80211_next_txq" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xc051ceae, "ieee80211_remain_on_channel_expired" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xed153b93, "skb_push" },
	{ 0xb70ca8ae, "napi_enable" },
	{ 0x56a719f2, "seq_putc" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x7ea80766, "ieee80211_wake_queues" },
	{ 0x209cb8eb, "free_netdev" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xeb6ee81c, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x72c8f65a, "ieee80211_free_txskb" },
	{ 0x582e3b4d, "dev_coredumpv" },
	{ 0x11f16b6f, "ieee80211_alloc_hw_nm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x6cdd6829, "ieee80211_tx_dequeue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,mac80211,rfkill");


MODULE_INFO(srcversion, "C95E2CB8B34610B884E4A05");

MODULE_INFO(suserelease, "SLFO-1.2");
