#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rtw89_pci_recognize_intrs, "", "");
KSYMTAB_FUNC(rtw89_pci_recognize_intrs_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_recognize_intrs_v2, "", "");
KSYMTAB_FUNC(rtw89_pci_enable_intr, "", "");
KSYMTAB_FUNC(rtw89_pci_disable_intr, "", "");
KSYMTAB_FUNC(rtw89_pci_enable_intr_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_disable_intr_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_enable_intr_v2, "", "");
KSYMTAB_FUNC(rtw89_pci_disable_intr_v2, "", "");
KSYMTAB_DATA(rtw89_pci_ch_dma_addr_set, "", "");
KSYMTAB_DATA(rtw89_pci_ch_dma_addr_set_v1, "", "");
KSYMTAB_DATA(rtw89_pci_ch_dma_addr_set_be, "", "");
KSYMTAB_FUNC(rtw89_pci_fill_txaddr_info, "", "");
KSYMTAB_FUNC(rtw89_pci_fill_txaddr_info_v1, "", "");
KSYMTAB_DATA(rtw89_bd_ram_table_dual, "", "");
KSYMTAB_DATA(rtw89_bd_ram_table_single, "", "");
KSYMTAB_FUNC(rtw89_pci_ltr_set, "", "");
KSYMTAB_FUNC(rtw89_pci_ltr_set_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_config_intr_mask, "", "");
KSYMTAB_FUNC(rtw89_pci_config_intr_mask_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_config_intr_mask_v2, "", "");
KSYMTAB_DATA(rtw89_pm_ops, "", "");
KSYMTAB_DATA(rtw89_pci_gen_ax, "", "");
KSYMTAB_FUNC(rtw89_pci_probe, "", "");
KSYMTAB_FUNC(rtw89_pci_remove, "", "");
KSYMTAB_FUNC(rtw89_pci_ltr_set_v2, "", "");
KSYMTAB_DATA(rtw89_pm_ops_be, "", "");
KSYMTAB_DATA(rtw89_pci_gen_be, "", "");

SYMBOL_CRC(rtw89_pci_recognize_intrs, 0x96835bb9, "");
SYMBOL_CRC(rtw89_pci_recognize_intrs_v1, 0x0e6baf99, "");
SYMBOL_CRC(rtw89_pci_recognize_intrs_v2, 0x9ccea0ef, "");
SYMBOL_CRC(rtw89_pci_enable_intr, 0x160425d0, "");
SYMBOL_CRC(rtw89_pci_disable_intr, 0x189f5680, "");
SYMBOL_CRC(rtw89_pci_enable_intr_v1, 0xf5ca56d5, "");
SYMBOL_CRC(rtw89_pci_disable_intr_v1, 0xfab91892, "");
SYMBOL_CRC(rtw89_pci_enable_intr_v2, 0x9c745c92, "");
SYMBOL_CRC(rtw89_pci_disable_intr_v2, 0x930712d5, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set, 0x9ce0961b, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set_v1, 0xf630d9a9, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set_be, 0x33c84a55, "");
SYMBOL_CRC(rtw89_pci_fill_txaddr_info, 0xcc614f45, "");
SYMBOL_CRC(rtw89_pci_fill_txaddr_info_v1, 0x5c024302, "");
SYMBOL_CRC(rtw89_bd_ram_table_dual, 0x6efd9f2c, "");
SYMBOL_CRC(rtw89_bd_ram_table_single, 0x71162055, "");
SYMBOL_CRC(rtw89_pci_ltr_set, 0x0d02e32b, "");
SYMBOL_CRC(rtw89_pci_ltr_set_v1, 0x084b2302, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask, 0x7ae5ad39, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask_v1, 0x3c12ab09, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask_v2, 0x33aab47c, "");
SYMBOL_CRC(rtw89_pm_ops, 0x9e464b9e, "");
SYMBOL_CRC(rtw89_pci_gen_ax, 0xb83bce14, "");
SYMBOL_CRC(rtw89_pci_probe, 0xc32ea790, "");
SYMBOL_CRC(rtw89_pci_remove, 0xa2d46766, "");
SYMBOL_CRC(rtw89_pci_ltr_set_v2, 0x3c4f3f43, "");
SYMBOL_CRC(rtw89_pm_ops_be, 0xdf152eb3, "");
SYMBOL_CRC(rtw89_pci_gen_be, 0x45111c51, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4a6064ab, "rtw89_core_rx" },
	{ 0x9199b9f0, "param_ops_bool" },
	{ 0x34344af2, "pci_release_regions" },
	{ 0x6029628f, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x4b714a1d, "rtw89_core_deinit" },
	{ 0x94e7fe73, "pci_write_config_byte" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xfb5af384, "pci_disable_device" },
	{ 0xa7524338, "dma_set_mask" },
	{ 0xf21d30b1, "napi_schedule_prep" },
	{ 0x6847eb4d, "pci_read_config_byte" },
	{ 0x16a57400, "dev_kfree_skb_any_reason" },
	{ 0xd6336f23, "pci_free_irq_vectors" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf9a482f9, "msleep" },
	{ 0x36224d89, "rtw89_core_napi_stop" },
	{ 0x1f9b74c2, "rtw89_chip_info_setup" },
	{ 0xa52e9b76, "rtw89_mac_get_err_status" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe859e1a6, "pcie_capability_read_word" },
	{ 0xd152e531, "pci_find_ext_capability" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xb8ddcf4f, "rtw89_alloc_ieee80211_hw" },
	{ 0xd0934899, "devm_request_threaded_irq" },
	{ 0xbd12925f, "pci_enable_device" },
	{ 0x3ec4ea5, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x74885bdc, "consume_skb" },
	{ 0x6b9a2b93, "pci_iomap" },
	{ 0x6c2c44a0, "pci_alloc_irq_vectors" },
	{ 0xa6257a2f, "complete" },
	{ 0x512c59c3, "skb_dequeue" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xb51d11a4, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x18b00c43, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8b779e33, "rtw89_core_napi_init" },
	{ 0x907ed0a1, "rtw89_core_unregister" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x44c339bf, "dev_driver_string" },
	{ 0xe9965b30, "ieee80211_tx_status_skb" },
	{ 0x127572c3, "pci_read_config_dword" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x28ba6fe1, "dma_map_page_attrs" },
	{ 0x95b46469, "napi_complete_done" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbe60732d, "devm_free_irq" },
	{ 0x670db660, "__napi_schedule" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x71b12b37, "_dev_info" },
	{ 0xe648e7c0, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x346b82de, "rtw89_core_init" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x367306fd, "__dma_sync_single_for_cpu" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x9538dafe, "rtw89_check_quirks" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x84da7b0, "rtw89_core_napi_deinit" },
	{ 0xed153b93, "skb_push" },
	{ 0x18595920, "dma_alloc_attrs" },
	{ 0x41a87e5f, "rtw89_free_ieee80211_hw" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xd92fc93d, "rtw89_core_napi_start" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x6935585e, "pci_iounmap" },
	{ 0xfb578fc5, "memset" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0x83358fe5, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xeb88c396, "rtw89_ser_notify" },
	{ 0x4e69b266, "__netdev_alloc_skb" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xbf2cd263, "skb_unlink" },
	{ 0xaf36c569, "dma_set_coherent_mask" },
	{ 0xb9443935, "rtw89_core_register" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xf4334299, "dma_free_attrs" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "rtw89_core,mac80211");


MODULE_INFO(srcversion, "8673123C05F0FCD13445539");

MODULE_INFO(suserelease, "SLFO-1.2");
