#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(wlcore_set_key, "_gpl", "");
KSYMTAB_FUNC(wlcore_alloc_hw, "_gpl", "");
KSYMTAB_FUNC(wlcore_free_hw, "_gpl", "");
KSYMTAB_FUNC(wlcore_probe, "_gpl", "");
KSYMTAB_FUNC(wlcore_remove, "_gpl", "");
KSYMTAB_DATA(wl12xx_debug_level, "_gpl", "");
KSYMTAB_FUNC(wl1271_cmd_send, "_gpl", "");
KSYMTAB_FUNC(wlcore_cmd_wait_for_event_or_timeout, "_gpl", "");
KSYMTAB_FUNC(wlcore_get_native_channel_type, "_gpl", "");
KSYMTAB_FUNC(wl1271_cmd_test, "_gpl", "");
KSYMTAB_FUNC(wl1271_cmd_configure, "_gpl", "");
KSYMTAB_FUNC(wl1271_cmd_data_path, "_gpl", "");
KSYMTAB_FUNC(wl12xx_cmd_build_probe_req, "_gpl", "");
KSYMTAB_FUNC(wlcore_cmd_generic_cfg, "_gpl", "");
KSYMTAB_FUNC(wlcore_disable_interrupts, "_gpl", "");
KSYMTAB_FUNC(wlcore_disable_interrupts_nosync, "_gpl", "");
KSYMTAB_FUNC(wlcore_enable_interrupts, "_gpl", "");
KSYMTAB_FUNC(wlcore_synchronize_interrupts, "_gpl", "");
KSYMTAB_FUNC(wlcore_translate_addr, "_gpl", "");
KSYMTAB_FUNC(wlcore_set_partition, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_fw_logger, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_rssi_trigger, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_soft_gemini_sense, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_sched_scan_completed, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_ba_rx_constraint, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_channel_switch, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_dummy_packet, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_max_tx_failure, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_inactive_sta, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_roc_complete, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_beacon_loss, "_gpl", "");
KSYMTAB_FUNC(wl1271_free_tx_id, "", "");
KSYMTAB_FUNC(wl12xx_is_dummy_packet, "", "");
KSYMTAB_FUNC(wlcore_calc_packet_alignment, "", "");
KSYMTAB_FUNC(wlcore_tx_complete, "", "");
KSYMTAB_FUNC(wl1271_tx_flush, "_gpl", "");
KSYMTAB_FUNC(wl1271_tx_min_rate_get, "_gpl", "");
KSYMTAB_FUNC(wl1271_acx_sleep_auth, "_gpl", "");
KSYMTAB_FUNC(wl12xx_acx_mem_cfg, "_gpl", "");
KSYMTAB_FUNC(wl1271_acx_init_mem_config, "_gpl", "");
KSYMTAB_FUNC(wl1271_acx_pm_config, "_gpl", "");
KSYMTAB_FUNC(wl1271_acx_set_ht_capabilities, "_gpl", "");
KSYMTAB_FUNC(wlcore_boot_upload_firmware, "_gpl", "");
KSYMTAB_FUNC(wlcore_boot_upload_nvs, "_gpl", "");
KSYMTAB_FUNC(wlcore_boot_run_firmware, "_gpl", "");
KSYMTAB_FUNC(wl1271_format_buffer, "_gpl", "");
KSYMTAB_FUNC(wl1271_debugfs_update_stats, "_gpl", "");
KSYMTAB_FUNC(wlcore_set_scan_chan_params, "_gpl", "");
KSYMTAB_FUNC(wlcore_scan_sched_scan_ssid_list, "_gpl", "");
KSYMTAB_FUNC(wlcore_scan_sched_scan_results, "_gpl", "");

SYMBOL_CRC(wlcore_set_key, 0x928e8334, "_gpl");
SYMBOL_CRC(wlcore_alloc_hw, 0xa5047886, "_gpl");
SYMBOL_CRC(wlcore_free_hw, 0x3fbb192b, "_gpl");
SYMBOL_CRC(wlcore_probe, 0x65aa5a9c, "_gpl");
SYMBOL_CRC(wlcore_remove, 0x52d3568a, "_gpl");
SYMBOL_CRC(wl12xx_debug_level, 0x06d3b27e, "_gpl");
SYMBOL_CRC(wl1271_cmd_send, 0xeb9fea77, "_gpl");
SYMBOL_CRC(wlcore_cmd_wait_for_event_or_timeout, 0xf7c2b156, "_gpl");
SYMBOL_CRC(wlcore_get_native_channel_type, 0x20351125, "_gpl");
SYMBOL_CRC(wl1271_cmd_test, 0x9f94918b, "_gpl");
SYMBOL_CRC(wl1271_cmd_configure, 0xf4a416cc, "_gpl");
SYMBOL_CRC(wl1271_cmd_data_path, 0xcf351289, "_gpl");
SYMBOL_CRC(wl12xx_cmd_build_probe_req, 0xfedaf38e, "_gpl");
SYMBOL_CRC(wlcore_cmd_generic_cfg, 0xe503e569, "_gpl");
SYMBOL_CRC(wlcore_disable_interrupts, 0xfd9302c4, "_gpl");
SYMBOL_CRC(wlcore_disable_interrupts_nosync, 0x26becace, "_gpl");
SYMBOL_CRC(wlcore_enable_interrupts, 0x34f6d350, "_gpl");
SYMBOL_CRC(wlcore_synchronize_interrupts, 0xdead770e, "_gpl");
SYMBOL_CRC(wlcore_translate_addr, 0xc0d4f8b5, "_gpl");
SYMBOL_CRC(wlcore_set_partition, 0x6440bcfb, "_gpl");
SYMBOL_CRC(wlcore_event_fw_logger, 0xd308636b, "_gpl");
SYMBOL_CRC(wlcore_event_rssi_trigger, 0x53096e9f, "_gpl");
SYMBOL_CRC(wlcore_event_soft_gemini_sense, 0x84628d18, "_gpl");
SYMBOL_CRC(wlcore_event_sched_scan_completed, 0x29c86240, "_gpl");
SYMBOL_CRC(wlcore_event_ba_rx_constraint, 0x1788a527, "_gpl");
SYMBOL_CRC(wlcore_event_channel_switch, 0xaf5cdf55, "_gpl");
SYMBOL_CRC(wlcore_event_dummy_packet, 0x5c5cb124, "_gpl");
SYMBOL_CRC(wlcore_event_max_tx_failure, 0x5b5a2063, "_gpl");
SYMBOL_CRC(wlcore_event_inactive_sta, 0x29e18da2, "_gpl");
SYMBOL_CRC(wlcore_event_roc_complete, 0x8855bc12, "_gpl");
SYMBOL_CRC(wlcore_event_beacon_loss, 0x5a74e8b8, "_gpl");
SYMBOL_CRC(wl1271_free_tx_id, 0x75519ee4, "");
SYMBOL_CRC(wl12xx_is_dummy_packet, 0xe4c1a1a3, "");
SYMBOL_CRC(wlcore_calc_packet_alignment, 0xbce35318, "");
SYMBOL_CRC(wlcore_tx_complete, 0x0acccce4, "");
SYMBOL_CRC(wl1271_tx_flush, 0x34dda36d, "_gpl");
SYMBOL_CRC(wl1271_tx_min_rate_get, 0xd702d444, "_gpl");
SYMBOL_CRC(wl1271_acx_sleep_auth, 0xa85e08e0, "_gpl");
SYMBOL_CRC(wl12xx_acx_mem_cfg, 0x75a1e4fd, "_gpl");
SYMBOL_CRC(wl1271_acx_init_mem_config, 0xf9c3a5ff, "_gpl");
SYMBOL_CRC(wl1271_acx_pm_config, 0x78eeab6d, "_gpl");
SYMBOL_CRC(wl1271_acx_set_ht_capabilities, 0x6f14c62c, "_gpl");
SYMBOL_CRC(wlcore_boot_upload_firmware, 0xe925edca, "_gpl");
SYMBOL_CRC(wlcore_boot_upload_nvs, 0x37bb5c50, "_gpl");
SYMBOL_CRC(wlcore_boot_run_firmware, 0x4e66f814, "_gpl");
SYMBOL_CRC(wl1271_format_buffer, 0x85498cd1, "_gpl");
SYMBOL_CRC(wl1271_debugfs_update_stats, 0x1a524180, "_gpl");
SYMBOL_CRC(wlcore_set_scan_chan_params, 0x85055b92, "_gpl");
SYMBOL_CRC(wlcore_scan_sched_scan_ssid_list, 0xda127d8f, "_gpl");
SYMBOL_CRC(wlcore_scan_sched_scan_results, 0x51adb964, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf7d31de9, "kstrtoul_from_user" },
	{ 0xe648e7c0, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xaf547080, "device_wakeup_disable" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x3cd2a400, "device_create_file" },
	{ 0x7417e46f, "wiphy_to_ieee80211_hw" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xcc4586b, "ieee80211_queue_delayed_work" },
	{ 0x3df22d16, "ieee80211_proberesp_get" },
	{ 0xc9840f54, "device_wakeup_enable" },
	{ 0xd2a350e5, "request_firmware_nowait" },
	{ 0x5a0f8bd0, "simple_open" },
	{ 0x1c785e13, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x1805d731, "platform_get_resource" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xc051ceae, "ieee80211_remain_on_channel_expired" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xed153b93, "skb_push" },
	{ 0x6de67898, "debugfs_remove" },
	{ 0x80360986, "no_seek_end_llseek" },
	{ 0x7ea80766, "ieee80211_wake_queues" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x32219693, "ieee80211_report_low_ack" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x72c8f65a, "ieee80211_free_txskb" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x3edbc68d, "mutex_lock_interruptible" },
	{ 0x11f16b6f, "ieee80211_alloc_hw_nm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x83db7d7c, "default_llseek" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x61e00f48, "param_ops_charp" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x88813a7a, "ieee80211_stop_queue" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x4e69b266, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x589e015f, "ieee80211_ready_on_channel" },
	{ 0xccfb1856, "ieee80211_stop_queues" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd62ba63d, "skb_trim" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x48d60e37, "ieee80211_cqm_beacon_loss_notify" },
	{ 0x999e8297, "vfree" },
	{ 0x521e32e, "ieee80211_sched_scan_results" },
	{ 0xd5dcc637, "__pm_runtime_resume" },
	{ 0xdf342800, "ieee80211_scan_completed" },
	{ 0xa3272c2, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x4a4265ba, "dev_pm_clear_wake_irq" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xacdb3104, "pm_runtime_force_resume" },
	{ 0xd553fef9, "ieee80211_unregister_hw" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xdb3eca82, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x8ae718dd, "debugfs_create_file_full" },
	{ 0x686a6862, "ieee80211_cqm_rssi_notify" },
	{ 0xdf0614a1, "__pm_runtime_suspend" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x8a323a52, "ieee80211_queue_work" },
	{ 0x972fec3a, "__pm_runtime_use_autosuspend" },
	{ 0x42c9a3f7, "ieee80211_sta_ps_transition" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xf2203c5f, "param_ops_int" },
	{ 0xf40beb46, "__pm_runtime_disable" },
	{ 0xd20f3ddd, "debugfs_create_dir" },
	{ 0x17c07a93, "generic_file_llseek" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x44f6e30b, "pm_runtime_force_suspend" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x66ebde19, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xba34a2f0, "device_remove_bin_file" },
	{ 0x35729f61, "device_remove_file" },
	{ 0xd9eb2768, "ieee80211_csa_finish" },
	{ 0xdefc10ec, "skb_queue_head" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x4a9de351, "ieee80211_rx_napi" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xad68421f, "ieee80211_connection_loss" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xe0d5814e, "device_set_wakeup_capable" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x893791e0, "ieee80211_iterate_interfaces" },
	{ 0x3362485e, "ieee80211_sched_scan_stopped" },
	{ 0xe5eb5fd0, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x610d1850, "ieee80211_chswitch_done" },
	{ 0x3ec4ea5, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x74885bdc, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x512c59c3, "skb_dequeue" },
	{ 0xf42ab0a3, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0x49e1ab4f, "ieee80211_free_hw" },
	{ 0xa5c821e, "ieee80211_probereq_get" },
	{ 0xacf7e913, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x66ffab8a, "ieee80211_ap_probereq_get" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x76f38b4, "ieee80211_nullfunc_get" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x71bfb04b, "ieee80211_pspoll_get" },
	{ 0x787b24e9, "ieee80211_register_hw" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x317221f1, "ieee80211_restart_hw" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x5ddafdf5, "ieee80211_get_hdrlen_from_skb" },
	{ 0xdc4d62e9, "dev_pm_set_dedicated_wake_irq" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xe8560198, "ieee80211_stop_rx_ba_session" },
	{ 0x99d399e6, "ieee80211_wake_queue" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x4cdc0f97, "device_create_bin_file" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xe9965b30, "ieee80211_tx_status_skb" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x69509299, "ieee80211_find_sta" },
	{ 0x7511adf6, "ieee80211_handle_wake_tx_queue" },
	{ 0x92997ed8, "_printk" },
	{ 0x501d8b44, "pm_wakeup_dev_event" },
	{ 0xbd786910, "rt_spin_trylock" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0x6d93b33b, "pm_runtime_enable" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,mac80211");


MODULE_INFO(srcversion, "410B59115579F5E51122B43");

MODULE_INFO(suserelease, "SLFO-1.2");
