#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(st21nfca_hci_probe, "", "");
KSYMTAB_FUNC(st21nfca_hci_remove, "", "");
KSYMTAB_FUNC(st21nfca_tm_send_dep_res, "", "");
KSYMTAB_FUNC(st21nfca_dep_event_received, "", "");
KSYMTAB_FUNC(st21nfca_im_send_atr_req, "", "");
KSYMTAB_FUNC(st21nfca_im_send_dep_req, "", "");
KSYMTAB_FUNC(st21nfca_dep_init, "", "");
KSYMTAB_FUNC(st21nfca_dep_deinit, "", "");
KSYMTAB_FUNC(st21nfca_hci_discover_se, "", "");
KSYMTAB_FUNC(st21nfca_hci_enable_se, "", "");
KSYMTAB_FUNC(st21nfca_hci_disable_se, "", "");
KSYMTAB_FUNC(st21nfca_hci_se_io, "", "");
KSYMTAB_FUNC(st21nfca_connectivity_event_received, "", "");
KSYMTAB_FUNC(st21nfca_apdu_reader_event_received, "", "");
KSYMTAB_FUNC(st21nfca_se_init, "", "");
KSYMTAB_FUNC(st21nfca_se_deinit, "", "");
KSYMTAB_FUNC(st21nfca_hci_loopback_event_received, "", "");
KSYMTAB_FUNC(st21nfca_vendor_cmds_init, "", "");

SYMBOL_CRC(st21nfca_hci_probe, 0xad05a194, "");
SYMBOL_CRC(st21nfca_hci_remove, 0x06f04abb, "");
SYMBOL_CRC(st21nfca_tm_send_dep_res, 0x86a7dbc8, "");
SYMBOL_CRC(st21nfca_dep_event_received, 0x498e8431, "");
SYMBOL_CRC(st21nfca_im_send_atr_req, 0xf6cded2c, "");
SYMBOL_CRC(st21nfca_im_send_dep_req, 0xc028e220, "");
SYMBOL_CRC(st21nfca_dep_init, 0x33dce8db, "");
SYMBOL_CRC(st21nfca_dep_deinit, 0x9e8ff2fd, "");
SYMBOL_CRC(st21nfca_hci_discover_se, 0x083fd0f6, "");
SYMBOL_CRC(st21nfca_hci_enable_se, 0x16dd3775, "");
SYMBOL_CRC(st21nfca_hci_disable_se, 0x9d2519ea, "");
SYMBOL_CRC(st21nfca_hci_se_io, 0xd00308e7, "");
SYMBOL_CRC(st21nfca_connectivity_event_received, 0x5419c536, "");
SYMBOL_CRC(st21nfca_apdu_reader_event_received, 0x80475b6c, "");
SYMBOL_CRC(st21nfca_se_init, 0x52ade9aa, "");
SYMBOL_CRC(st21nfca_se_deinit, 0xdfacebad, "");
SYMBOL_CRC(st21nfca_hci_loopback_event_received, 0xda1c0fb5, "");
SYMBOL_CRC(st21nfca_vendor_cmds_init, 0xfb58fb9e, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x58d4312e, "nfc_hci_free_device" },
	{ 0xc42dd63d, "nfc_se_transaction" },
	{ 0xfe1ead4b, "nfc_get_local_general_bytes" },
	{ 0xd219b18b, "nfc_hci_register_device" },
	{ 0x4b4bdcf, "nfc_set_remote_general_bytes" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x1c785e13, "skb_pull" },
	{ 0x6d64c27f, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xed153b93, "skb_push" },
	{ 0x8d304f20, "nla_put" },
	{ 0x3c8c925d, "nfc_hci_send_cmd" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x23d3d2c4, "nfc_hci_get_clientdata" },
	{ 0x14635cbe, "nfc_tm_activated" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc2af118c, "nfc_hci_allocate_device" },
	{ 0xd62ba63d, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdc186bd8, "nfc_se_connectivity" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x1fe1805d, "nfc_vendor_cmd_reply" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x50afb48d, "nfc_hci_set_param" },
	{ 0x35689ce5, "nfc_dep_link_is_up" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x6a6e6fae, "nfc_hci_send_event" },
	{ 0xdd7cfb55, "nfc_hci_disconnect_all_gates" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0xe6e16f98, "nfc_hci_disconnect_gate" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x36655e75, "nfc_hci_set_clientdata" },
	{ 0x3cb06817, "devm_kmalloc" },
	{ 0x55c732c5, "__nfc_alloc_vendor_cmd_reply_skb" },
	{ 0x3ec4ea5, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xca15353, "nfc_hci_get_param" },
	{ 0x2c154df0, "nfc_hci_send_cmd_async" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x74b74b1a, "nfc_add_se" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0x96848186, "scnprintf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf3cb1a7c, "nfc_llc_stop" },
	{ 0x2d49bd2c, "nfc_hci_connect_gate" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x92786d66, "nfc_tm_data_received" },
	{ 0xca8d6340, "nfc_remove_se" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x7b03664a, "nfc_hci_unregister_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdd231c55, "nfc_hci_sak_to_protocol" },
	{ 0xbe3dbdfa, "__alloc_skb" },
	{ 0x76fcc6c, "nfc_llc_start" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "hci,nfc");


MODULE_INFO(srcversion, "5EBB7B3E4FC40AA7D0FC977");

MODULE_INFO(suserelease, "SLFO-1.2");
