#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nvdimm_namespace_attach_btt, "", "");
KSYMTAB_FUNC(nvdimm_namespace_detach_btt, "", "");

SYMBOL_CRC(nvdimm_namespace_attach_btt, 0xbe97eeac, "");
SYMBOL_CRC(nvdimm_namespace_detach_btt, 0x0339b294, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0x499f0ecf, "nd_sb_checksum" },
	{ 0x48aa3d07, "nd_btt_arena_is_valid" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0x69566a8f, "bio_end_io_acct_remapped" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x44c339bf, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0xa8ff6f9d, "put_disk" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb122dfaa, "debugfs_create_x64" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xcced8cc5, "nd_dev_to_uuid" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0x71b12b37, "_dev_info" },
	{ 0xdf07f4aa, "bio_start_io_acct" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x212f6629, "bio_endio" },
	{ 0x1e58f1f4, "nd_region_release_lane" },
	{ 0x49608959, "migrate_disable" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x26a72223, "set_capacity" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x6de67898, "debugfs_remove" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x3f80e6bf, "del_gendisk" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x612bfd89, "errno_to_blk_status" },
	{ 0x4ed5be6d, "to_nd_btt" },
	{ 0x9217ae06, "nd_region_acquire_lane" },
	{ 0xfb578fc5, "memset" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb6aa6194, "debugfs_create_u32" },
	{ 0x824c4c67, "nvdimm_namespace_disk_name" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x1a223d87, "debugfs_create_x32" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0xc2910379, "nvdimm_namespace_capacity" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xec5017b8, "nvdimm_check_and_set_ro" },
	{ 0x21279983, "badblocks_check" },
	{ 0xa882e28f, "nd_btt_version" },
	{ 0xd20f3ddd, "debugfs_create_dir" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x31ab32ad, "bio_integrity_prep" },
	{ 0xd3d07eec, "__blk_alloc_disk" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x3cb06817, "devm_kmalloc" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x96cc29a2, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xb573ef48, "devm_namespace_enable" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xfa0a8321, "debugfs_create_u16" },
	{ 0x189b98c8, "to_nd_region" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "libnvdimm");


MODULE_INFO(srcversion, "806BB1C85795060480D6B52");

MODULE_INFO(suserelease, "SLFO-1.2");
