#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(admin_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_io_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_wq, "_gpl", "");
KSYMTAB_DATA(nvme_reset_wq, "_gpl", "");
KSYMTAB_DATA(nvme_delete_wq, "_gpl", "");
KSYMTAB_FUNC(nvme_try_sched_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_reset_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_delete_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_rq, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_batch_req, "_gpl", "");
KSYMTAB_FUNC(nvme_host_path_error, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_request, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_admin_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_change_ctrl_state, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_put_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_init_request, "_gpl", "");
KSYMTAB_FUNC(nvme_fail_nonready_command, "_gpl", "");
KSYMTAB_FUNC(__nvme_check_ready, "_gpl", "");
KSYMTAB_FUNC(nvme_cleanup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_setup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_execute_rq, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(__nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_command_effects, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_start, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_end, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_keep_alive_work_period, "_gpl", "");
KSYMTAB_FUNC(nvme_stop_keep_alive, "_gpl", "");
KSYMTAB_FUNC(nvme_set_features, "_gpl", "");
KSYMTAB_FUNC(nvme_get_features, "_gpl", "");
KSYMTAB_FUNC(nvme_set_queue_count, "_gpl", "");
KSYMTAB_FUNC(nvme_disable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_enable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl_finish, "_gpl", "");
KSYMTAB_FUNC(nvme_find_get_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_remove_namespaces, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_async_event, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_stop_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_start_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_uninit_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_add_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_mark_namespaces_dead, "_gpl", "");
KSYMTAB_FUNC(nvme_unfreeze, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze_timeout, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_start_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_ctrl_from_file, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_DATA(nvme_dev_attrs_group, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nvme_sq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(nvme_mpath_start_request, "_gpl", "");
KSYMTAB_FUNC(nvme_should_fail, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_revoke_tls_key, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_negotiate, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_wait, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_stop, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_free, "_gpl", "");

SYMBOL_CRC(admin_timeout, 0xd45434ee, "_gpl");
SYMBOL_CRC(nvme_io_timeout, 0x813cf212, "_gpl");
SYMBOL_CRC(nvme_wq, 0x64b62862, "_gpl");
SYMBOL_CRC(nvme_reset_wq, 0x49224181, "_gpl");
SYMBOL_CRC(nvme_delete_wq, 0xd58bbbcb, "_gpl");
SYMBOL_CRC(nvme_try_sched_reset, 0xfc57d11d, "_gpl");
SYMBOL_CRC(nvme_reset_ctrl, 0x88273b37, "_gpl");
SYMBOL_CRC(nvme_delete_ctrl, 0x51846269, "_gpl");
SYMBOL_CRC(nvme_complete_rq, 0xc0644a48, "_gpl");
SYMBOL_CRC(nvme_complete_batch_req, 0x37c63fea, "_gpl");
SYMBOL_CRC(nvme_host_path_error, 0xa97a34b8, "_gpl");
SYMBOL_CRC(nvme_cancel_request, 0x46613aa7, "_gpl");
SYMBOL_CRC(nvme_cancel_tagset, 0x32719995, "_gpl");
SYMBOL_CRC(nvme_cancel_admin_tagset, 0xa91c1cc6, "_gpl");
SYMBOL_CRC(nvme_change_ctrl_state, 0x2faafca2, "_gpl");
SYMBOL_CRC(nvme_wait_reset, 0x59614ac2, "_gpl");
SYMBOL_CRC(nvme_put_ns, 0x45d5657e, "_gpl");
SYMBOL_CRC(nvme_init_request, 0x99658cc8, "_gpl");
SYMBOL_CRC(nvme_fail_nonready_command, 0x0cdda736, "_gpl");
SYMBOL_CRC(__nvme_check_ready, 0x8ce573a6, "_gpl");
SYMBOL_CRC(nvme_cleanup_cmd, 0x2116b8fe, "_gpl");
SYMBOL_CRC(nvme_setup_cmd, 0x02964987, "_gpl");
SYMBOL_CRC(nvme_execute_rq, 0x15769d3a, "_gpl");
SYMBOL_CRC(__nvme_submit_sync_cmd, 0x32444c6c, "_gpl");
SYMBOL_CRC(nvme_submit_sync_cmd, 0xa0e76835, "_gpl");
SYMBOL_CRC(nvme_command_effects, 0x6d6fcce0, "_gpl");
SYMBOL_CRC(nvme_passthru_start, 0x3fb0d668, "_gpl");
SYMBOL_CRC(nvme_passthru_end, 0x5132808a, "_gpl");
SYMBOL_CRC(nvme_keep_alive_work_period, 0xf7dc9ff9, "_gpl");
SYMBOL_CRC(nvme_stop_keep_alive, 0xb031f58f, "_gpl");
SYMBOL_CRC(nvme_set_features, 0xad42b094, "_gpl");
SYMBOL_CRC(nvme_get_features, 0x8e1232d4, "_gpl");
SYMBOL_CRC(nvme_set_queue_count, 0xe5ce868a, "_gpl");
SYMBOL_CRC(nvme_disable_ctrl, 0xb3dbd6a2, "_gpl");
SYMBOL_CRC(nvme_enable_ctrl, 0x1ab476f6, "_gpl");
SYMBOL_CRC(nvme_init_ctrl_finish, 0xdd9ba298, "_gpl");
SYMBOL_CRC(nvme_find_get_ns, 0xca765e93, "_gpl");
SYMBOL_CRC(nvme_remove_namespaces, 0x1569eb2e, "_gpl");
SYMBOL_CRC(nvme_complete_async_event, 0x9b2b2dfb, "_gpl");
SYMBOL_CRC(nvme_alloc_admin_tag_set, 0x68f010f0, "_gpl");
SYMBOL_CRC(nvme_remove_admin_tag_set, 0x3ecfb1d2, "_gpl");
SYMBOL_CRC(nvme_alloc_io_tag_set, 0xb4387d4b, "_gpl");
SYMBOL_CRC(nvme_remove_io_tag_set, 0xa1eac4b9, "_gpl");
SYMBOL_CRC(nvme_stop_ctrl, 0xde316d0c, "_gpl");
SYMBOL_CRC(nvme_start_ctrl, 0x53afe233, "_gpl");
SYMBOL_CRC(nvme_uninit_ctrl, 0xa9a38cbb, "_gpl");
SYMBOL_CRC(nvme_init_ctrl, 0x35b65b38, "_gpl");
SYMBOL_CRC(nvme_add_ctrl, 0xe9207bab, "_gpl");
SYMBOL_CRC(nvme_mark_namespaces_dead, 0x4672d50f, "_gpl");
SYMBOL_CRC(nvme_unfreeze, 0x378e4271, "_gpl");
SYMBOL_CRC(nvme_wait_freeze_timeout, 0x1283adc2, "_gpl");
SYMBOL_CRC(nvme_wait_freeze, 0x8bdbf79b, "_gpl");
SYMBOL_CRC(nvme_start_freeze, 0xee41c830, "_gpl");
SYMBOL_CRC(nvme_quiesce_io_queues, 0xd68b2298, "_gpl");
SYMBOL_CRC(nvme_unquiesce_io_queues, 0x665edd7f, "_gpl");
SYMBOL_CRC(nvme_quiesce_admin_queue, 0x96a47d75, "_gpl");
SYMBOL_CRC(nvme_unquiesce_admin_queue, 0xaa994706, "_gpl");
SYMBOL_CRC(nvme_sync_io_queues, 0xa744fd08, "_gpl");
SYMBOL_CRC(nvme_sync_queues, 0x2312924a, "_gpl");
SYMBOL_CRC(nvme_ctrl_from_file, 0xfbb887e7, "_gpl");
SYMBOL_CRC(nvme_dev_attrs_group, 0x0e99533b, "_gpl");
SYMBOL_CRC(__tracepoint_nvme_sq, 0x856755f3, "_gpl");
SYMBOL_CRC(__traceiter_nvme_sq, 0x265f4f9f, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nvme_sq, 0xe9e8bc22, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nvme_sq, 0x3bf2393a, "_gpl");
SYMBOL_CRC(nvme_mpath_start_request, 0x3cdfc96e, "_gpl");
SYMBOL_CRC(nvme_should_fail, 0x3a30a243, "_gpl");
SYMBOL_CRC(nvme_auth_revoke_tls_key, 0x85c75620, "_gpl");
SYMBOL_CRC(nvme_auth_negotiate, 0x274875f0, "_gpl");
SYMBOL_CRC(nvme_auth_wait, 0x6e0e2756, "_gpl");
SYMBOL_CRC(nvme_auth_init_ctrl, 0xa242c824, "_gpl");
SYMBOL_CRC(nvme_auth_stop, 0xe7448b50, "_gpl");
SYMBOL_CRC(nvme_auth_free, 0x23dc242c, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6aab1d02, "mempool_alloc_noprof" },
	{ 0xccf4c95, "key_put" },
	{ 0xe4b703db, "kobject_uevent_env" },
	{ 0x212f6629, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xa1b18a95, "init_srcu_struct" },
	{ 0x7ec56c70, "perf_trace_run_bpf_submit" },
	{ 0x1e5d8958, "__SCK__tp_func_block_bio_remap" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x9167dcf8, "blk_revalidate_disk_zones" },
	{ 0xf933d48, "debugfs_create_bool" },
	{ 0x7fe1c58f, "crypto_shash_setkey" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x9907f28, "device_add" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x5cb45e69, "blk_rq_map_user_io" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x48ca2416, "sysfs_remove_link" },
	{ 0xb3637825, "blk_execute_rq_nowait" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xd1b94d8a, "__srcu_read_lock" },
	{ 0x789fd343, "hwmon_device_register_with_info" },
	{ 0x2dbd3e75, "blk_mq_unfreeze_queue_nomemrestore" },
	{ 0x26a72223, "set_capacity" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xbf23e759, "submit_bio_noacct" },
	{ 0xb9b31de8, "xa_load" },
	{ 0xb03a3eca, "nvme_auth_generate_psk" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x501f4089, "blk_sync_queue" },
	{ 0xf8bb3e19, "bdev_start_io_acct" },
	{ 0x6de67898, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xf9429ea1, "__SCK__tp_func_block_bio_complete" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x674c5bc1, "nvme_auth_hmac_name" },
	{ 0x658574f4, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x416bbf53, "blk_mq_alloc_request_hctx" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x3700ea63, "__io_uring_cmd_do_in_task" },
	{ 0xb907334e, "blk_mq_alloc_request" },
	{ 0x10119bb, "ida_free" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xc2a79e8f, "crypto_shash_update" },
	{ 0xafc20114, "class_unregister" },
	{ 0x71b7d4c1, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x3f80e6bf, "del_gendisk" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x8039c7c3, "cleanup_srcu_struct" },
	{ 0xc441eace, "blk_freeze_queue_start_non_owner" },
	{ 0x51641162, "opal_unlock_from_suspend" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x22e5d1de, "nvme_auth_augmented_challenge" },
	{ 0x90bc3ba, "blk_set_stacking_limits" },
	{ 0x3e5b1755, "blk_mq_freeze_queue_wait_timeout" },
	{ 0xaea73f41, "blk_put_queue" },
	{ 0x57a45346, "bpf_trace_run1" },
	{ 0x1080ce71, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x815fda83, "sed_ioctl" },
	{ 0xfb578fc5, "memset" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0x36d1cc54, "__kmalloc_cache_node_noprof" },
	{ 0x2c4f2e35, "__vmalloc_noprof" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x87ffe4f5, "blk_mq_wait_quiesce_done" },
	{ 0x8d271594, "key_revoke" },
	{ 0x61e00f48, "param_ops_charp" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x51873876, "nvme_auth_get_seqnum" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0x5682df32, "debugfs_create_x16" },
	{ 0x8337a399, "__kmem_cache_create_args" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xec4428a0, "io_uring_cmd_done" },
	{ 0x4a41f790, "blk_rq_unmap_user" },
	{ 0x426cf481, "blk_mq_unfreeze_queue_non_owner" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x9133dab5, "bdev_disk_changed" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xcbfb33e4, "init_opal_dev" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x28da7fd0, "nvme_auth_generate_key" },
	{ 0x918431c7, "xa_erase" },
	{ 0xcb67b626, "bpf_trace_run3" },
	{ 0xc9bb48ac, "nvme_auth_dhgroup_name" },
	{ 0xcde77bcc, "free_opal_dev" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x2d5f90d0, "blk_mq_complete_request" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x27a7a36e, "trace_event_buffer_reserve" },
	{ 0xfca1d7dd, "crypto_shash_final" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x450c6df2, "mempool_create_node_noprof" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9199b9f0, "param_ops_bool" },
	{ 0x7c357306, "blk_mq_destroy_queue" },
	{ 0xf01d993d, "xa_destroy" },
	{ 0xe337f991, "blk_freeze_queue_start" },
	{ 0x39265da7, "dev_pm_qos_hide_latency_tolerance" },
	{ 0xfea41449, "xa_find" },
	{ 0x4b4ba5f4, "disk_live" },
	{ 0x843d3d6a, "mempool_destroy" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xfbe3d297, "blk_mq_alloc_queue" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfc444842, "__tracepoint_block_bio_complete" },
	{ 0xe534dea0, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0xab0a4180, "__srcu_read_unlock" },
	{ 0xec40b8cc, "sysfs_add_link_to_group" },
	{ 0x635b6c2d, "hwmon_device_unregister" },
	{ 0x83be3cb3, "__tracepoint_block_bio_remap" },
	{ 0xbd6ee8cc, "alloc_pages_noprof" },
	{ 0xc0edfdf0, "blk_mq_tagset_busy_iter" },
	{ 0xf0ccf2d4, "nvme_auth_dhgroup_kpp" },
	{ 0xcffe6425, "queue_limits_commit_update" },
	{ 0xa5876e9c, "blkdev_compat_ptr_ioctl" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2f71c261, "blk_rq_map_user_iov" },
	{ 0x4dec0fca, "setup_fault_attr" },
	{ 0xa256d729, "xa_find_after" },
	{ 0xc7a08dd5, "blk_mark_disk_dead" },
	{ 0x754d539c, "strlen" },
	{ 0xd6309b83, "blk_mq_freeze_queue_nomemsave" },
	{ 0x54e9e182, "io_uring_cmd_import_fixed" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd63960b9, "crypto_alloc_shash" },
	{ 0xa94d51b5, "blk_mq_freeze_queue_wait" },
	{ 0xd20f3ddd, "debugfs_create_dir" },
	{ 0x6b72e94b, "nvme_auth_gen_privkey" },
	{ 0xab251b2c, "fault_create_debugfs_attr" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xd063fc9f, "blk_mq_requeue_request" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0xb3d2d914, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xda59c8d, "cdev_init" },
	{ 0x32c02208, "bdev_end_io_acct" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x4e144a54, "__SCT__tp_func_block_bio_complete" },
	{ 0x6cfb3c63, "blk_steal_bios" },
	{ 0x8019049f, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xaeee72f3, "set_capacity_and_notify" },
	{ 0x2803af87, "bio_associate_blkg" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc6d08030, "set_disk_ro" },
	{ 0xd3d07eec, "__blk_alloc_disk" },
	{ 0xa2429ab9, "ida_alloc_range" },
	{ 0x4e5daa9a, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x28d4f2f2, "blk_rq_integrity_map_user" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7dd6c90e, "ida_destroy" },
	{ 0xaccb3cba, "device_remove_file_self" },
	{ 0xe5eb5fd0, "param_ops_uint" },
	{ 0xb18fe1bf, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x50707f9c, "dev_set_name" },
	{ 0xfea15844, "bio_split_to_limits" },
	{ 0xfe13a601, "trace_seq_printf" },
	{ 0xda0fc437, "dev_pm_qos_expose_latency_tolerance" },
	{ 0x96cc29a2, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa11a97c1, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x3178d0b4, "blk_mq_tagset_wait_completed_request" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x59a754ae, "cdev_device_del" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xb07d43ee, "__trace_trigger_soft_disabled" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0xe03b725b, "queue_limits_stack_bdev" },
	{ 0xdf4574bf, "trace_event_printf" },
	{ 0xf9edc603, "nvme_auth_transform_key" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7213ecbc, "should_fail" },
	{ 0x4628038c, "device_initialize" },
	{ 0x816e4546, "blk_mq_unquiesce_queue" },
	{ 0x41c45d50, "blk_mq_quiesce_queue" },
	{ 0x549dee85, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf5e6fcc4, "nvme_auth_gen_shared_secret" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xa8694ecd, "kblockd_schedule_work" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd0d9d74c, "bpf_trace_run2" },
	{ 0x3416d62c, "prepare_to_wait_event" },
	{ 0x84f4e89c, "nvme_auth_generate_digest" },
	{ 0xdc614863, "disk_uevent" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6491531, "__wake_up" },
	{ 0xe8704392, "synchronize_srcu" },
	{ 0x255a466b, "param_ops_byte" },
	{ 0x8576e767, "get_device" },
	{ 0x1e8cb060, "blk_mq_end_request" },
	{ 0xfa9f54a0, "__blk_mq_alloc_disk" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0x4591e46f, "mempool_free" },
	{ 0x9493fc86, "node_states" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5968a512, "blk_mq_delay_kick_requeue_list" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x725a7b70, "blk_mq_alloc_tag_set" },
	{ 0x84612b60, "blk_rq_is_poll" },
	{ 0x77188b5d, "trace_event_buffer_commit" },
	{ 0xe7d10c72, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5566284a, "trace_seq_putc" },
	{ 0x92997ed8, "_printk" },
	{ 0xa8ff6f9d, "put_disk" },
	{ 0x2f38c46, "crypto_alloc_kpp" },
	{ 0x4494c65a, "cdev_device_add" },
	{ 0x2dfe60a1, "dev_pm_qos_update_user_latency_tolerance" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8fe50355, "nvme_auth_free_key" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x26aa502f, "blk_execute_rq" },
	{ 0x9d3d08f0, "put_device" },
	{ 0x60fcc2b, "blk_mq_unquiesce_tagset" },
	{ 0xa916b694, "strnlen" },
	{ 0x7a665459, "nvme_tls_psk_refresh" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x9620364b, "blk_mq_free_request" },
	{ 0xb1d34d40, "nvme_auth_derive_tls_psk" },
	{ 0x618911fc, "numa_node" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0x6cb3aac, "__free_pages" },
	{ 0x71b12b37, "_dev_info" },
	{ 0xbc013177, "blk_rq_map_kern" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7276b73a, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xe06a823e, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x3613921f, "nvme_auth_gen_pubkey" },
	{ 0x7228ccc9, "compat_ptr_ioctl" },
	{ 0x4cafcd3e, "sysfs_remove_link_from_group" },
	{ 0x6f62a6f, "blk_rq_poll" },
	{ 0x46c47fb6, "__node_distance" },
	{ 0x9fb2100, "blk_mq_quiesce_tagset" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "nvme-auth,nvme-keyring");


MODULE_INFO(srcversion, "88A9CBDA1A9902F02E257A2");

MODULE_INFO(suserelease, "SLFO-1.2");
