#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nvmf_get_address, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_read32, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_read64, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_write32, "_gpl", "");
KSYMTAB_FUNC(nvmf_subsystem_reset, "_gpl", "");
KSYMTAB_FUNC(nvmf_connect_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvmf_connect_io_queue, "_gpl", "");
KSYMTAB_FUNC(nvmf_should_reconnect, "_gpl", "");
KSYMTAB_FUNC(nvmf_register_transport, "_gpl", "");
KSYMTAB_FUNC(nvmf_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(nvmf_set_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvmf_map_queues, "_gpl", "");
KSYMTAB_FUNC(nvmf_ip_options_match, "_gpl", "");
KSYMTAB_FUNC(nvmf_free_options, "_gpl", "");

SYMBOL_CRC(nvmf_get_address, 0x49e85752, "_gpl");
SYMBOL_CRC(nvmf_reg_read32, 0xc33d35ee, "_gpl");
SYMBOL_CRC(nvmf_reg_read64, 0x26bd91ca, "_gpl");
SYMBOL_CRC(nvmf_reg_write32, 0xac7785f8, "_gpl");
SYMBOL_CRC(nvmf_subsystem_reset, 0xe5df4dda, "_gpl");
SYMBOL_CRC(nvmf_connect_admin_queue, 0xba07b10b, "_gpl");
SYMBOL_CRC(nvmf_connect_io_queue, 0x38c14655, "_gpl");
SYMBOL_CRC(nvmf_should_reconnect, 0xa1678c7d, "_gpl");
SYMBOL_CRC(nvmf_register_transport, 0xa98f7e19, "_gpl");
SYMBOL_CRC(nvmf_unregister_transport, 0x23145a75, "_gpl");
SYMBOL_CRC(nvmf_set_io_queues, 0x5889f211, "_gpl");
SYMBOL_CRC(nvmf_map_queues, 0x94901f95, "_gpl");
SYMBOL_CRC(nvmf_ip_options_match, 0xcd86ef2e, "_gpl");
SYMBOL_CRC(nvmf_free_options, 0x8dabda41, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9d3d08f0, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x71b12b37, "_dev_info" },
	{ 0x7276b73a, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xccf4c95, "key_put" },
	{ 0x69e683de, "uuid_gen" },
	{ 0xba0efd1f, "down_write" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x209b8854, "up_write" },
	{ 0x4e3567f7, "match_int" },
	{ 0x5fe6934f, "device_create" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0x56a719f2, "seq_putc" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xafc20114, "class_unregister" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x32444c6c, "__nvme_submit_sync_cmd" },
	{ 0xfc57d11d, "nvme_try_sched_reset" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0xcd467294, "misc_register" },
	{ 0x6e0e2756, "nvme_auth_wait" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x9fb64856, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x4a38d9f7, "seq_read" },
	{ 0x85df9b6c, "strsep" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x9f7aac60, "seq_write" },
	{ 0x44e9a829, "match_token" },
	{ 0xb3fa17d1, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x7ad7a5cd, "seq_printf" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xacf4d843, "match_strdup" },
	{ 0x8d8b2fb3, "single_release" },
	{ 0x59614ac2, "nvme_wait_reset" },
	{ 0x38a684cd, "__seq_puts" },
	{ 0x754d539c, "strlen" },
	{ 0x495b28e9, "single_open" },
	{ 0xb570b5d7, "up_read" },
	{ 0xb3d2d914, "class_register" },
	{ 0xce97b70a, "nvme_tls_key_lookup" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x274875f0, "nvme_auth_negotiate" },
	{ 0x4e5daa9a, "try_module_get" },
	{ 0xe651aca3, "misc_deregister" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-keyring");


MODULE_INFO(srcversion, "8A41DC7F87A2DE3EB77DF41");

MODULE_INFO(suserelease, "SLFO-1.2");
