#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(nvmet_wq, "_gpl", "");
KSYMTAB_FUNC(nvmet_register_transport, "_gpl", "");
KSYMTAB_FUNC(nvmet_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_complete, "_gpl", "");
KSYMTAB_FUNC(nvmet_cq_create, "_gpl", "");
KSYMTAB_FUNC(nvmet_sq_create, "_gpl", "");
KSYMTAB_FUNC(nvmet_sq_destroy, "_gpl", "");
KSYMTAB_FUNC(nvmet_sq_init, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_init, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_uninit, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_transfer_len, "_gpl", "");
KSYMTAB_FUNC(nvmet_check_transfer_len, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_alloc_sgls, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_free_sgls, "_gpl", "");
KSYMTAB_FUNC(nvmet_update_cc, "_gpl", "");
KSYMTAB_FUNC(nvmet_alloc_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvmet_ctrl_put, "_gpl", "");
KSYMTAB_FUNC(nvmet_ctrl_fatal_error, "_gpl", "");

SYMBOL_CRC(nvmet_wq, 0x3e0ef07a, "_gpl");
SYMBOL_CRC(nvmet_register_transport, 0x5dd09a9a, "_gpl");
SYMBOL_CRC(nvmet_unregister_transport, 0x27924fdc, "_gpl");
SYMBOL_CRC(nvmet_req_complete, 0xec59bc35, "_gpl");
SYMBOL_CRC(nvmet_cq_create, 0x93de2355, "_gpl");
SYMBOL_CRC(nvmet_sq_create, 0xc06bef50, "_gpl");
SYMBOL_CRC(nvmet_sq_destroy, 0xda499f4c, "_gpl");
SYMBOL_CRC(nvmet_sq_init, 0x3b90743e, "_gpl");
SYMBOL_CRC(nvmet_req_init, 0x5295c461, "_gpl");
SYMBOL_CRC(nvmet_req_uninit, 0x02e50045, "_gpl");
SYMBOL_CRC(nvmet_req_transfer_len, 0x8359873e, "_gpl");
SYMBOL_CRC(nvmet_check_transfer_len, 0xa4fc93fa, "_gpl");
SYMBOL_CRC(nvmet_req_alloc_sgls, 0x3ae0fc50, "_gpl");
SYMBOL_CRC(nvmet_req_free_sgls, 0xc9de5dc3, "_gpl");
SYMBOL_CRC(nvmet_update_cc, 0x403b0102, "_gpl");
SYMBOL_CRC(nvmet_alloc_ctrl, 0x0142571d, "_gpl");
SYMBOL_CRC(nvmet_ctrl_put, 0x5d57a4c5, "_gpl");
SYMBOL_CRC(nvmet_ctrl_fatal_error, 0x98f960c4, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6626afca, "down" },
	{ 0xb03a3eca, "nvme_auth_generate_psk" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x7ab78bcb, "bio_integrity_add_page" },
	{ 0x5a921311, "strncmp" },
	{ 0x2ca41212, "sg_miter_stop" },
	{ 0x674c5bc1, "nvme_auth_hmac_name" },
	{ 0x658574f4, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xbb6ef7e7, "bio_chain" },
	{ 0xb907334e, "blk_mq_alloc_request" },
	{ 0x10119bb, "ida_free" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xac428728, "pci_p2pdma_enable_store" },
	{ 0xad58c1e3, "pci_p2pmem_alloc_sgl" },
	{ 0x760896d1, "bio_add_page" },
	{ 0xc2a79e8f, "crypto_shash_update" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xca765e93, "nvme_find_get_ns" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xa695056d, "bio_integrity_alloc" },
	{ 0xf3e2f234, "sg_miter_start" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x22e5d1de, "nvme_auth_augmented_challenge" },
	{ 0xe76d53ca, "xa_clear_mark" },
	{ 0x11089ac7, "_ctype" },
	{ 0x57a45346, "bpf_trace_run1" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x9221262c, "bio_init" },
	{ 0xfb578fc5, "memset" },
	{ 0xfdcb4422, "iov_iter_bvec" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x51873876, "nvme_auth_get_seqnum" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x8337a399, "__kmem_cache_create_args" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x3fb0d668, "nvme_passthru_start" },
	{ 0xc38d772, "pci_p2pdma_enable_show" },
	{ 0x9fb64856, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xc119e274, "__xa_cmpxchg" },
	{ 0xb98fa7ed, "__xa_insert" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x918431c7, "xa_erase" },
	{ 0xc9bb48ac, "nvme_auth_dhgroup_name" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1ac5d3cb, "strcspn" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x10b89330, "crypto_has_shash" },
	{ 0x27a7a36e, "trace_event_buffer_reserve" },
	{ 0xfca1d7dd, "crypto_shash_final" },
	{ 0x78228340, "vfs_fsync" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x450c6df2, "mempool_create_node_noprof" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf01d993d, "xa_destroy" },
	{ 0xfea41449, "xa_find" },
	{ 0xfe1c9ea5, "sg_pcopy_from_buffer" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x10a19b3c, "filp_close" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x7f8e49f, "pci_dev_get" },
	{ 0x843d3d6a, "mempool_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0xda872c65, "blkdev_issue_flush" },
	{ 0xf0ccf2d4, "nvme_auth_dhgroup_kpp" },
	{ 0xfbb887e7, "nvme_ctrl_from_file" },
	{ 0x51885769, "file_bdev" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa256d729, "xa_find_after" },
	{ 0x99658cc8, "nvme_init_request" },
	{ 0xe1f11f7, "xa_set_mark" },
	{ 0x754d539c, "strlen" },
	{ 0x15769d3a, "nvme_execute_rq" },
	{ 0x5cf555d1, "key_lookup" },
	{ 0x45d5657e, "nvme_put_ns" },
	{ 0x6b926a7f, "pci_p2pmem_find_many" },
	{ 0xd63960b9, "crypto_alloc_shash" },
	{ 0x6b72e94b, "nvme_auth_gen_privkey" },
	{ 0x2ad9f91a, "bio_alloc_bioset" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xb570b5d7, "up_read" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x95b48515, "__blkdev_issue_zeroout" },
	{ 0x7f62eaa4, "sgl_free" },
	{ 0x8e1232d4, "nvme_get_features" },
	{ 0x11b1af8f, "submit_bio_wait" },
	{ 0xf4093645, "blkdev_report_zones" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0x93f44a0c, "__blkdev_issue_discard" },
	{ 0x38d19a, "fs_bio_set" },
	{ 0xef2d6e85, "blk_next_bio" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x8019049f, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x725dfeb1, "filp_open" },
	{ 0xa2429ab9, "ida_alloc_range" },
	{ 0x46491e88, "bdev_file_open_by_path" },
	{ 0x4e5daa9a, "try_module_get" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x574b006b, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7dd6c90e, "ida_destroy" },
	{ 0x2dc5600c, "config_group_init" },
	{ 0x59860803, "radix_tree_insert" },
	{ 0xcb39603c, "nvme_auth_hmac_id" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0xea56ebe5, "nvme_auth_extract_key" },
	{ 0xfe13a601, "trace_seq_printf" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0xa11a97c1, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xee7d22e5, "pci_dev_put" },
	{ 0x4d6d026a, "blk_rq_append_bio" },
	{ 0xf3a09fe7, "crypto_has_kpp" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xb07d43ee, "__trace_trigger_soft_disabled" },
	{ 0xee8cabfe, "radix_tree_lookup" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xe80f8d0d, "__kmalloc_node_noprof" },
	{ 0xdf4574bf, "trace_event_printf" },
	{ 0xf9edc603, "nvme_auth_transform_key" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xcf2a6966, "up" },
	{ 0x549dee85, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf5e6fcc4, "nvme_auth_gen_shared_secret" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x6d6fcce0, "nvme_command_effects" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xd0d9d74c, "bpf_trace_run2" },
	{ 0x84f4e89c, "nvme_auth_generate_digest" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x883c3a0f, "__module_get" },
	{ 0xb094683d, "pci_p2pmem_free_sgl" },
	{ 0x8576e767, "get_device" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x4591e46f, "mempool_free" },
	{ 0x3b4f593f, "nvme_keyring_id" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa3c48948, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x5132808a, "nvme_passthru_end" },
	{ 0x77188b5d, "trace_event_buffer_commit" },
	{ 0xe7d10c72, "crypto_destroy_tfm" },
	{ 0xb49601a1, "sg_zero_buffer" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5566284a, "trace_seq_putc" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0x2f38c46, "crypto_alloc_kpp" },
	{ 0xfb9b28ed, "vfs_fallocate" },
	{ 0x3a24fb2f, "percpu_ref_resurrect" },
	{ 0x3f96339, "blkdev_zone_mgmt" },
	{ 0x8fe50355, "nvme_auth_free_key" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x9d3d08f0, "put_device" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0x7a665459, "nvme_tls_psk_refresh" },
	{ 0x5e934fc7, "sgl_alloc" },
	{ 0x9620364b, "blk_mq_free_request" },
	{ 0xb1d34d40, "nvme_auth_derive_tls_psk" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x4e3f5723, "blk_finish_plug" },
	{ 0x780989d1, "nvme_auth_dhgroup_id" },
	{ 0x399d9ac8, "nvme_auth_hmac_hash_len" },
	{ 0x42cf356, "submit_bio" },
	{ 0x7276b73a, "module_put" },
	{ 0xe6c1c20f, "pci_p2pdma_distance_many" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x3613921f, "nvme_auth_gen_pubkey" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x6aab1d02, "mempool_alloc_noprof" },
	{ 0xccf4c95, "key_put" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0x305f1ba6, "bio_put" },
	{ 0x181f0077, "radix_tree_delete" },
	{ 0x212f6629, "bio_endio" },
	{ 0x604cf6ce, "sg_miter_next" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x7ec56c70, "perf_trace_run_bpf_submit" },
	{ 0xa8caa2e, "fput" },
	{ 0xba0efd1f, "down_write" },
	{ 0x209b8854, "up_write" },
	{ 0x7fe1c58f, "crypto_shash_setkey" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x3e5a5fb3, "configfs_register_subsystem" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xe8aa03e5, "radix_tree_next_chunk" },
	{ 0xb3637825, "blk_execute_rq_nowait" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xb9b31de8, "xa_load" },
	{ 0x23da8e76, "config_group_init_type_name" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "nvme-auth,nvme-core,configfs,nvme-keyring");


MODULE_INFO(srcversion, "E6C9DCAD3F4C554AD98ADA9");

MODULE_INFO(suserelease, "SLFO-1.2");
