#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(__parport_register_driver, "", "");
KSYMTAB_FUNC(parport_unregister_driver, "", "");
KSYMTAB_FUNC(parport_get_port, "", "");
KSYMTAB_FUNC(parport_del_port, "", "");
KSYMTAB_FUNC(parport_put_port, "", "");
KSYMTAB_FUNC(parport_register_port, "", "");
KSYMTAB_FUNC(parport_announce_port, "", "");
KSYMTAB_FUNC(parport_remove_port, "", "");
KSYMTAB_FUNC(parport_register_dev_model, "", "");
KSYMTAB_FUNC(parport_unregister_device, "", "");
KSYMTAB_FUNC(parport_find_number, "", "");
KSYMTAB_FUNC(parport_find_base, "", "");
KSYMTAB_FUNC(parport_claim, "", "");
KSYMTAB_FUNC(parport_claim_or_block, "", "");
KSYMTAB_FUNC(parport_release, "", "");
KSYMTAB_FUNC(parport_irq_handler, "", "");
KSYMTAB_FUNC(parport_negotiate, "", "");
KSYMTAB_FUNC(parport_write, "", "");
KSYMTAB_FUNC(parport_read, "", "");
KSYMTAB_FUNC(parport_wait_peripheral, "", "");
KSYMTAB_FUNC(parport_wait_event, "", "");
KSYMTAB_FUNC(parport_set_timeout, "", "");
KSYMTAB_FUNC(parport_ieee1284_interrupt, "", "");
KSYMTAB_FUNC(parport_ieee1284_ecp_write_data, "", "");
KSYMTAB_FUNC(parport_ieee1284_ecp_read_data, "", "");
KSYMTAB_FUNC(parport_ieee1284_ecp_write_addr, "", "");
KSYMTAB_FUNC(parport_ieee1284_write_compat, "", "");
KSYMTAB_FUNC(parport_ieee1284_read_nibble, "", "");
KSYMTAB_FUNC(parport_ieee1284_read_byte, "", "");
KSYMTAB_FUNC(parport_ieee1284_epp_write_data, "", "");
KSYMTAB_FUNC(parport_ieee1284_epp_read_data, "", "");
KSYMTAB_FUNC(parport_ieee1284_epp_write_addr, "", "");
KSYMTAB_FUNC(parport_ieee1284_epp_read_addr, "", "");

SYMBOL_CRC(__parport_register_driver, 0x3b2adec6, "");
SYMBOL_CRC(parport_unregister_driver, 0x59d89651, "");
SYMBOL_CRC(parport_get_port, 0x2f587f29, "");
SYMBOL_CRC(parport_del_port, 0x81bcd8f8, "");
SYMBOL_CRC(parport_put_port, 0x70bf358c, "");
SYMBOL_CRC(parport_register_port, 0x83b84558, "");
SYMBOL_CRC(parport_announce_port, 0x68ca39d2, "");
SYMBOL_CRC(parport_remove_port, 0xc839e34b, "");
SYMBOL_CRC(parport_register_dev_model, 0x2fa54cde, "");
SYMBOL_CRC(parport_unregister_device, 0x6fb696dd, "");
SYMBOL_CRC(parport_find_number, 0xb8dfc1fe, "");
SYMBOL_CRC(parport_find_base, 0x03fa1c18, "");
SYMBOL_CRC(parport_claim, 0xd1ba79fb, "");
SYMBOL_CRC(parport_claim_or_block, 0x39009ecd, "");
SYMBOL_CRC(parport_release, 0x5da205ca, "");
SYMBOL_CRC(parport_irq_handler, 0x5e3a3912, "");
SYMBOL_CRC(parport_negotiate, 0x24cff8bd, "");
SYMBOL_CRC(parport_write, 0x117dfd07, "");
SYMBOL_CRC(parport_read, 0x56ab45be, "");
SYMBOL_CRC(parport_wait_peripheral, 0x0f8baa36, "");
SYMBOL_CRC(parport_wait_event, 0x31ff36a3, "");
SYMBOL_CRC(parport_set_timeout, 0xd651e960, "");
SYMBOL_CRC(parport_ieee1284_interrupt, 0x4d2a941b, "");
SYMBOL_CRC(parport_ieee1284_ecp_write_data, 0x99629fe9, "");
SYMBOL_CRC(parport_ieee1284_ecp_read_data, 0xc0c61609, "");
SYMBOL_CRC(parport_ieee1284_ecp_write_addr, 0x4dda3861, "");
SYMBOL_CRC(parport_ieee1284_write_compat, 0xe5103f35, "");
SYMBOL_CRC(parport_ieee1284_read_nibble, 0x22d8421b, "");
SYMBOL_CRC(parport_ieee1284_read_byte, 0xc9309bb2, "");
SYMBOL_CRC(parport_ieee1284_epp_write_data, 0x7a42b566, "");
SYMBOL_CRC(parport_ieee1284_epp_read_data, 0xc45986b2, "");
SYMBOL_CRC(parport_ieee1284_epp_write_addr, 0xaefa12ee, "");
SYMBOL_CRC(parport_ieee1284_epp_read_addr, 0xdab0c2f3, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6491531, "__wake_up" },
	{ 0x8576e767, "get_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xecc81759, "unregister_sysctl_table" },
	{ 0x9d3d08f0, "put_device" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf250e2d4, "rt_write_unlock" },
	{ 0xcd68c58, "bus_for_each_dev" },
	{ 0x7276b73a, "module_put" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x12cb1804, "bus_unregister" },
	{ 0x2ed42a27, "proc_doulongvec_ms_jiffies_minmax" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x6b184ed6, "driver_unregister" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x11089ac7, "_ctype" },
	{ 0xa3eb5274, "device_register" },
	{ 0x1bf344ac, "register_sysctl_sz" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xedd7eb58, "rt_read_lock" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x9ebb2bfc, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0x9919fd8, "rt_write_lock" },
	{ 0x754d539c, "strlen" },
	{ 0x349cba85, "strchr" },
	{ 0xe2a805d9, "driver_register" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xddbd0482, "bus_register" },
	{ 0x8dc6f00d, "proc_dointvec_minmax" },
	{ 0x4e5daa9a, "try_module_get" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x50707f9c, "dev_set_name" },
	{ 0x9668568f, "device_unregister" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0x96848186, "scnprintf" },
	{ 0xcf2a6966, "up" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xf4aad5d7, "bus_for_each_drv" },
	{ 0x3416d62c, "prepare_to_wait_event" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "482C362B8A63CF6111B9305");

MODULE_INFO(suserelease, "SLFO-1.2");
