#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(parport_pc_probe_port, "", "");
KSYMTAB_FUNC(parport_pc_unregister_port, "", "");

SYMBOL_CRC(parport_pc_probe_port, 0x8972a8b6, "");
SYMBOL_CRC(parport_pc_unregister_port, 0x435bd165, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x44c339bf, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf8baa36, "parport_wait_peripheral" },
	{ 0x99629fe9, "parport_ieee1284_ecp_write_data" },
	{ 0xe5103f35, "parport_ieee1284_write_compat" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x83b84558, "parport_register_port" },
	{ 0xc6cd8757, "platform_device_register_full" },
	{ 0xa7524338, "dma_set_mask" },
	{ 0xaf36c569, "dma_set_coherent_mask" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x5e3a3912, "parport_irq_handler" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x68ca39d2, "parport_announce_port" },
	{ 0x7054a3e4, "request_dma" },
	{ 0x18595920, "dma_alloc_attrs" },
	{ 0xbd12925f, "pci_enable_device" },
	{ 0x8ada8ef3, "pnp_get_resource" },
	{ 0x71b12b37, "_dev_info" },
	{ 0x18b6678f, "pci_write_config_dword" },
	{ 0x6847eb4d, "pci_read_config_byte" },
	{ 0x127572c3, "pci_read_config_dword" },
	{ 0x94e7fe73, "pci_write_config_byte" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x65eccb12, "__platform_driver_register" },
	{ 0x6aa30cbd, "pci_get_device" },
	{ 0x1c2342e9, "pci_match_id" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x5b24304, "pnp_register_driver" },
	{ 0xd1ffe315, "__pci_register_driver" },
	{ 0x61e00f48, "param_ops_charp" },
	{ 0xf2203c5f, "param_ops_int" },
	{ 0x1c137c19, "param_array_ops" },
	{ 0x7a42b566, "parport_ieee1284_epp_write_data" },
	{ 0xc45986b2, "parport_ieee1284_epp_read_data" },
	{ 0xaefa12ee, "parport_ieee1284_epp_write_addr" },
	{ 0xdab0c2f3, "parport_ieee1284_epp_read_addr" },
	{ 0xc0c61609, "parport_ieee1284_ecp_read_data" },
	{ 0x4dda3861, "parport_ieee1284_ecp_write_addr" },
	{ 0x22d8421b, "parport_ieee1284_read_nibble" },
	{ 0xc9309bb2, "parport_ieee1284_read_byte" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x92997ed8, "_printk" },
	{ 0xdbdf6c92, "ioport_resource" },
	{ 0x85bd1608, "__request_region" },
	{ 0x1035c7c2, "__release_region" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc839e34b, "parport_remove_port" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x72b243d4, "free_dma" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xf4334299, "dma_free_attrs" },
	{ 0x37a0cba, "kfree" },
	{ 0x81bcd8f8, "parport_del_port" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xb6e3c8cb, "pci_unregister_driver" },
	{ 0x1f7afa0c, "pnp_unregister_driver" },
	{ 0xdbe27298, "platform_driver_unregister" },
	{ 0x180b1bbb, "platform_bus_type" },
	{ 0xb8461669, "platform_device_unregister" },
	{ 0x5a921311, "strncmp" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb121390a, "probe_irq_on" },
	{ 0xab600421, "probe_irq_off" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x53a61fba, "cc_platform_has" },
	{ 0x31ff36a3, "parport_wait_event" },
	{ 0x1000e51, "schedule" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x28ba6fe1, "dma_map_page_attrs" },
	{ 0x69acdf38, "memcpy" },
	{ 0x96ead314, "dma_spin_lock" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xb51d11a4, "dma_unmap_page_attrs" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "parport");

MODULE_ALIAS("pnp:dPNP0400*");
MODULE_ALIAS("acpi*:PNP0400:*");
MODULE_ALIAS("pnp:dPNP0401*");
MODULE_ALIAS("acpi*:PNP0401:*");
MODULE_ALIAS("pci:v00001106d00000686sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001106d00008231sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001283d00008872sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000131Fd00001020sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000131Fd00001021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000131Fd00002020sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000131Fd00002021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001407d00008000sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001407d00008002sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001407d00008003sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001407d00008800sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010B5d00009050sv0000D84Dsd00004014bc*sc*i*");
MODULE_ALIAS("pci:v00001409d00007268sv00001409sd00000101bc*sc*i*");
MODULE_ALIAS("pci:v00001409d00007268sv00001409sd00000102bc*sc*i*");
MODULE_ALIAS("pci:v00001409d00007268sv00001409sd00000103bc*sc*i*");
MODULE_ALIAS("pci:v00001409d00007268sv00001409sd00000104bc*sc*i*");
MODULE_ALIAS("pci:v00001409d00007268sv00001409sd00009018bc*sc*i*");
MODULE_ALIAS("pci:v00001592d00000782sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001592d00000783sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014D2d00008001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014DBd00002120sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014DBd00002121sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d00009523sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d00009513sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d00008403sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d0000C000sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d0000C004sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d0000C100sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d0000C104sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d0000C110sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d0000C114sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d0000C118sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d0000C11Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000416Cd00000100sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014F2d00000121sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00009710d00009900sv0000A000sd00002000bc*sc*i*");
MODULE_ALIAS("pci:v00009710d00009705sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00009710d00009715sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00009710d00009755sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00009710d00009805sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00009710d00009815sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00009710d00009901sv0000A000sd00002000bc*sc*i*");
MODULE_ALIAS("pci:v00009710d00009865sv0000A000sd00001000bc*sc*i*");
MODULE_ALIAS("pci:v00009710d00009865sv0000A000sd00002000bc*sc*i*");
MODULE_ALIAS("pci:v0000125Bd00009100sv0000A000sd00002000bc*sc*i*");
MODULE_ALIAS("pci:v0000135Cd00000278sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001C00d00003050sv00001C00sd00003050bc*sc*i*");
MODULE_ALIAS("pci:v0000135Ad0000402Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000135Ad00000BE1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000135Ad00000BE2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000135Ad0000401Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000135Ad00004007sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000135Ad0000401Fsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "7C6BF636F086679C04EF1B0");

MODULE_INFO(suserelease, "SLFO-1.2");
