#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ssam_get_controller, "_gpl", "");
KSYMTAB_FUNC(ssam_client_link, "_gpl", "");
KSYMTAB_FUNC(ssam_client_bind, "_gpl", "");
KSYMTAB_FUNC(ssh_packet_get, "_gpl", "");
KSYMTAB_FUNC(ssh_packet_put, "_gpl", "");
KSYMTAB_DATA(ssam_device_type, "_gpl", "");
KSYMTAB_FUNC(ssam_device_alloc, "_gpl", "");
KSYMTAB_FUNC(ssam_device_add, "_gpl", "");
KSYMTAB_FUNC(ssam_device_remove, "_gpl", "");
KSYMTAB_FUNC(ssam_device_id_match, "_gpl", "");
KSYMTAB_FUNC(ssam_device_get_match, "_gpl", "");
KSYMTAB_FUNC(ssam_device_get_match_data, "_gpl", "");
KSYMTAB_FUNC(__ssam_device_driver_register, "_gpl", "");
KSYMTAB_FUNC(ssam_device_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(__ssam_register_clients, "_gpl", "");
KSYMTAB_FUNC(ssam_remove_clients, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_device, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_get, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_put, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_statelock, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_stateunlock, "_gpl", "");
KSYMTAB_FUNC(ssam_request_write_data, "_gpl", "");
KSYMTAB_FUNC(ssam_request_sync_alloc, "_gpl", "");
KSYMTAB_FUNC(ssam_request_sync_free, "_gpl", "");
KSYMTAB_FUNC(ssam_request_sync_init, "_gpl", "");
KSYMTAB_FUNC(ssam_request_sync_submit, "_gpl", "");
KSYMTAB_FUNC(ssam_request_do_sync, "_gpl", "");
KSYMTAB_FUNC(ssam_request_do_sync_with_buffer, "_gpl", "");
KSYMTAB_FUNC(ssam_notifier_register, "_gpl", "");
KSYMTAB_FUNC(__ssam_notifier_unregister, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_event_enable, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_event_disable, "_gpl", "");

SYMBOL_CRC(ssam_get_controller, 0x3a4f012c, "_gpl");
SYMBOL_CRC(ssam_client_link, 0x24fe4a0a, "_gpl");
SYMBOL_CRC(ssam_client_bind, 0x36e0641f, "_gpl");
SYMBOL_CRC(ssh_packet_get, 0x057eda02, "_gpl");
SYMBOL_CRC(ssh_packet_put, 0x7b3ca71f, "_gpl");
SYMBOL_CRC(ssam_device_type, 0x482d4aa7, "_gpl");
SYMBOL_CRC(ssam_device_alloc, 0x6e653962, "_gpl");
SYMBOL_CRC(ssam_device_add, 0x83c0fe9a, "_gpl");
SYMBOL_CRC(ssam_device_remove, 0x66810a6c, "_gpl");
SYMBOL_CRC(ssam_device_id_match, 0xc2bd582d, "_gpl");
SYMBOL_CRC(ssam_device_get_match, 0xb7927462, "_gpl");
SYMBOL_CRC(ssam_device_get_match_data, 0xebc1c90a, "_gpl");
SYMBOL_CRC(__ssam_device_driver_register, 0xe10b78ea, "_gpl");
SYMBOL_CRC(ssam_device_driver_unregister, 0x12a9113a, "_gpl");
SYMBOL_CRC(__ssam_register_clients, 0xa4f75a74, "_gpl");
SYMBOL_CRC(ssam_remove_clients, 0x673b3e14, "_gpl");
SYMBOL_CRC(ssam_controller_device, 0x4c27799c, "_gpl");
SYMBOL_CRC(ssam_controller_get, 0xd1f17237, "_gpl");
SYMBOL_CRC(ssam_controller_put, 0xae78ea60, "_gpl");
SYMBOL_CRC(ssam_controller_statelock, 0xe5ef7c4c, "_gpl");
SYMBOL_CRC(ssam_controller_stateunlock, 0xf4b3817c, "_gpl");
SYMBOL_CRC(ssam_request_write_data, 0xdafa74b0, "_gpl");
SYMBOL_CRC(ssam_request_sync_alloc, 0x08f7eb63, "_gpl");
SYMBOL_CRC(ssam_request_sync_free, 0x28e86b32, "_gpl");
SYMBOL_CRC(ssam_request_sync_init, 0x788f1275, "_gpl");
SYMBOL_CRC(ssam_request_sync_submit, 0xa5b35e55, "_gpl");
SYMBOL_CRC(ssam_request_do_sync, 0xb928b1dd, "_gpl");
SYMBOL_CRC(ssam_request_do_sync_with_buffer, 0xc1eff673, "_gpl");
SYMBOL_CRC(ssam_notifier_register, 0x37cbabaf, "_gpl");
SYMBOL_CRC(__ssam_notifier_unregister, 0x263f1da0, "_gpl");
SYMBOL_CRC(ssam_controller_event_enable, 0x3a239ebd, "_gpl");
SYMBOL_CRC(ssam_controller_event_disable, 0x2f960c3a, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x1d8a5fdd, "wake_up_process" },
	{ 0x77188b5d, "trace_event_buffer_commit" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9d3d08f0, "put_device" },
	{ 0xf82ec573, "rb_prev" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x790a361f, "device_for_each_child_reverse" },
	{ 0x71b12b37, "_dev_info" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x5dacf095, "fwnode_get_name" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xa1b18a95, "init_srcu_struct" },
	{ 0x7ec56c70, "perf_trace_run_bpf_submit" },
	{ 0x4e7c3cb8, "devm_acpi_dev_add_driver_gpios" },
	{ 0x12cb1804, "bus_unregister" },
	{ 0xba0efd1f, "down_write" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x209b8854, "up_write" },
	{ 0x9907f28, "device_add" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xd1b94d8a, "__srcu_read_lock" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xdf9ceed4, "kmem_cache_free" },
	{ 0x5a921311, "strncmp" },
	{ 0x658574f4, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x6b184ed6, "driver_unregister" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x8039c7c3, "cleanup_srcu_struct" },
	{ 0xd2f514a4, "sysfs_create_group" },
	{ 0xad6d7e4b, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x8c89701c, "serdev_device_wait_until_sent" },
	{ 0xfe057bfc, "__serdev_device_driver_register" },
	{ 0x57a45346, "bpf_trace_run1" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0x9d010b93, "acpi_dev_clear_dependencies" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfa10416, "kmem_cache_alloc_noprof" },
	{ 0x24ffb65c, "fwnode_handle_get" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x8337a399, "__kmem_cache_create_args" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x9097978f, "serdev_device_write_buf" },
	{ 0x9fb64856, "down_read" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xd00c9875, "kthread_create_on_node" },
	{ 0xd191499b, "sysfs_remove_group" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0xc6cd8757, "platform_device_register_full" },
	{ 0x27a7a36e, "trace_event_buffer_reserve" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe3dd11c8, "serdev_device_close" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xab0a4180, "__srcu_read_unlock" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0x716b4fac, "dev_err_probe" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x9a34a2b, "crc_itu_t" },
	{ 0xf9b10b1c, "device_link_add" },
	{ 0x87eceac5, "fwnode_irq_get" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xb570b5d7, "up_read" },
	{ 0xe2a805d9, "driver_register" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x6a55e78c, "__dev_fwnode" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xddbd0482, "bus_register" },
	{ 0x8019049f, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2e0a637d, "acpi_walk_resources" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x9c46b7e3, "gpiod_get" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x45f4e1cd, "__init_rwsem" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0x187dccfa, "is_acpi_device_node" },
	{ 0x77ec3bf9, "gpiod_put" },
	{ 0xe0d5814e, "device_set_wakeup_capable" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x746b66e4, "serdev_device_set_baudrate" },
	{ 0xbcc15e75, "ktime_get_coarse_with_offset" },
	{ 0x50707f9c, "dev_set_name" },
	{ 0xb0e602eb, "memmove" },
	{ 0xa92180ac, "gpiod_count" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa11a97c1, "trace_raw_output_prep" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x9668568f, "device_unregister" },
	{ 0xca9360b5, "rb_next" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xb07d43ee, "__trace_trigger_soft_disabled" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0xdf4574bf, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xea312c8c, "serdev_acpi_get_uart_resource" },
	{ 0x4628038c, "device_initialize" },
	{ 0x55e01a59, "serdev_device_set_flow_control" },
	{ 0x549dee85, "trace_event_raw_init" },
	{ 0x89e59e9, "gpiod_to_irq" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe4df23d, "serdev_device_open" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x81d7bf85, "fwnode_get_next_child_node" },
	{ 0xd0d9d74c, "bpf_trace_run2" },
	{ 0x3416d62c, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xf6491531, "__wake_up" },
	{ 0xe8704392, "synchronize_srcu" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0xbe399d93, "serdev_device_set_parity" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "crc-itu-t");

MODULE_ALIAS("acpi*:MSHW0084:*");

MODULE_INFO(srcversion, "8F52398202C36736FCD8942");

MODULE_INFO(suserelease, "SLFO-1.2");
