#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ideapad_laptop_register_notifier, "_gpl", "IDEAPAD_LAPTOP");
KSYMTAB_FUNC(ideapad_laptop_unregister_notifier, "_gpl", "IDEAPAD_LAPTOP");
KSYMTAB_FUNC(ideapad_laptop_call_notifier, "_gpl", "IDEAPAD_LAPTOP");

SYMBOL_CRC(ideapad_laptop_register_notifier, 0xcae1d210, "_gpl");
SYMBOL_CRC(ideapad_laptop_unregister_notifier, 0x4c65bf10, "_gpl");
SYMBOL_CRC(ideapad_laptop_call_notifier, 0x98c23494, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1000e51, "schedule" },
	{ 0xd8df08ac, "acpi_handle_printk" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x67927a0d, "platform_profile_notify" },
	{ 0x3edbc68d, "mutex_lock_interruptible" },
	{ 0xfcd01236, "rfkill_set_hw_state_reason" },
	{ 0x4fdee897, "i8042_command" },
	{ 0x79381862, "sysfs_notify" },
	{ 0xe1083442, "platform_profile_cycle" },
	{ 0x45feb136, "backlight_force_update" },
	{ 0x71b12b37, "_dev_info" },
	{ 0x187dccfa, "is_acpi_device_node" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0x34cc4d2f, "device_add_groups" },
	{ 0xd20f3ddd, "debugfs_create_dir" },
	{ 0x8ae718dd, "debugfs_create_file_full" },
	{ 0xaf118a84, "input_allocate_device" },
	{ 0xaeeae7d8, "sparse_keymap_setup" },
	{ 0xf24ba071, "input_register_device" },
	{ 0xd0e19135, "led_classdev_register_ext" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xcac33cd4, "platform_profile_register" },
	{ 0x3b7235aa, "__acpi_video_get_backlight_type" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x5d444bfb, "rfkill_alloc" },
	{ 0xaad6d92f, "rfkill_init_sw_state" },
	{ 0xff282521, "rfkill_register" },
	{ 0xbdaf021f, "backlight_device_register" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x32c15a14, "input_free_device" },
	{ 0x2e4f415b, "seq_lseek" },
	{ 0x4a38d9f7, "seq_read" },
	{ 0x8d8b2fb3, "single_release" },
	{ 0x9199b9f0, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3db8d791, "blocking_notifier_chain_register" },
	{ 0x2d4ca2f4, "blocking_notifier_chain_unregister" },
	{ 0x3168dbe4, "blocking_notifier_call_chain" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xb4043948, "acpi_execute_simple_method" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3cb06817, "devm_kmalloc" },
	{ 0x495b28e9, "single_open" },
	{ 0x7ad7a5cd, "seq_printf" },
	{ 0x9f7aac60, "seq_write" },
	{ 0x56a719f2, "seq_putc" },
	{ 0x32b94606, "__wmi_driver_register" },
	{ 0x65eccb12, "__platform_driver_register" },
	{ 0x8ba8c1bc, "wmi_driver_unregister" },
	{ 0xdbe27298, "platform_driver_unregister" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0xfc49ce22, "backlight_device_unregister" },
	{ 0xbfe36436, "platform_profile_remove" },
	{ 0x37a0cba, "kfree" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x10dc7c41, "led_classdev_unregister" },
	{ 0x4fbd717f, "input_unregister_device" },
	{ 0x6de67898, "debugfs_remove" },
	{ 0xc28a99a7, "device_remove_groups" },
	{ 0xbaee33c0, "led_classdev_notify_brightness_hw_changed" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0xb5e13c9, "sparse_keymap_report_event" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "platform_profile,rfkill,sparse-keymap,video,wmi");

MODULE_ALIAS("acpi*:VPC2004:*");
MODULE_ALIAS("wmi:26CAB2E5-5CF1-46AE-AAC3-4A12B6BA50E6");
MODULE_ALIAS("wmi:56322276-8493-4CE8-A783-98C991274F5E");
MODULE_ALIAS("wmi:8FC0DE0C-B4E4-43FD-B0F3-8871711C1294");

MODULE_INFO(srcversion, "4BB10CE9BE3E40C0D2CAF35");

MODULE_INFO(suserelease, "SLFO-1.2");
