#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(tpmi_get_platform_data, "_gpl", "INTEL_TPMI");
KSYMTAB_FUNC(tpmi_get_resource_count, "_gpl", "INTEL_TPMI");
KSYMTAB_FUNC(tpmi_get_resource_at_index, "_gpl", "INTEL_TPMI");
KSYMTAB_FUNC(tpmi_get_feature_status, "_gpl", "INTEL_TPMI");
KSYMTAB_FUNC(tpmi_get_debugfs_dir, "_gpl", "INTEL_TPMI");

SYMBOL_CRC(tpmi_get_platform_data, 0xb7b420c4, "_gpl");
SYMBOL_CRC(tpmi_get_resource_count, 0xf061759f, "_gpl");
SYMBOL_CRC(tpmi_get_resource_at_index, 0x3b8d1ea5, "_gpl");
SYMBOL_CRC(tpmi_get_feature_status, 0x6fce7869, "_gpl");
SYMBOL_CRC(tpmi_get_debugfs_dir, 0x229656ca, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd10b03ea, "auxiliary_driver_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x127d83ea, "security_locked_down" },
	{ 0xc6cbbc89, "capable" },
	{ 0x9c9aa3b9, "parse_int_array_user" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x6de67898, "debugfs_remove" },
	{ 0xde80cd09, "ioremap" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4a38d9f7, "seq_read" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x9f7aac60, "seq_write" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x7ad7a5cd, "seq_printf" },
	{ 0x8ae718dd, "debugfs_create_file_full" },
	{ 0x8d8b2fb3, "single_release" },
	{ 0x7fd53ce0, "__auxiliary_driver_register" },
	{ 0x495b28e9, "single_open" },
	{ 0xd20f3ddd, "debugfs_create_dir" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x3cb06817, "devm_kmalloc" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x5c8f81ef, "devm_ioremap" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x3b0e9838, "seq_hex_dump" },
	{ 0x2e4f415b, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc56a3a55, "intel_vsec_add_aux" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "intel_vsec");

MODULE_ALIAS("auxiliary:intel_vsec.tpmi");

MODULE_INFO(srcversion, "D770822DFF128711B2FCAC0");

MODULE_INFO(suserelease, "SLFO-1.2");
