#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sas_register_ha, "_gpl", "");
KSYMTAB_FUNC(sas_unregister_ha, "_gpl", "");
KSYMTAB_FUNC(sas_phy_enable, "_gpl", "");
KSYMTAB_FUNC(sas_phy_reset, "_gpl", "");
KSYMTAB_FUNC(sas_prep_resume_ha, "", "");
KSYMTAB_FUNC(sas_resume_ha, "", "");
KSYMTAB_FUNC(sas_resume_ha_no_sync, "", "");
KSYMTAB_FUNC(sas_suspend_ha, "", "");
KSYMTAB_DATA(dev_attr_phy_event_threshold, "_gpl", "");
KSYMTAB_FUNC(sas_domain_attach_transport, "_gpl", "");
KSYMTAB_FUNC(sas_drain_work, "_gpl", "");
KSYMTAB_FUNC(sas_notify_port_event, "_gpl", "");
KSYMTAB_FUNC(sas_notify_phy_event, "_gpl", "");
KSYMTAB_FUNC(sas_find_attached_phy_id, "_gpl", "");
KSYMTAB_FUNC(sas_queuecommand, "_gpl", "");
KSYMTAB_FUNC(sas_get_local_phy, "_gpl", "");
KSYMTAB_FUNC(sas_eh_abort_handler, "_gpl", "");
KSYMTAB_FUNC(sas_eh_device_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_eh_target_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_ioctl, "_gpl", "");
KSYMTAB_FUNC(sas_target_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_sdev_configure, "_gpl", "");
KSYMTAB_FUNC(sas_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(sas_bios_param, "_gpl", "");
KSYMTAB_FUNC(sas_execute_internal_abort_single, "_gpl", "");
KSYMTAB_FUNC(sas_execute_internal_abort_dev, "_gpl", "");
KSYMTAB_FUNC(sas_abort_task_set, "_gpl", "");
KSYMTAB_FUNC(sas_clear_task_set, "_gpl", "");
KSYMTAB_FUNC(sas_lu_reset, "_gpl", "");
KSYMTAB_FUNC(sas_query_task, "_gpl", "");
KSYMTAB_FUNC(sas_abort_task, "_gpl", "");
KSYMTAB_FUNC(sas_task_abort, "_gpl", "");
KSYMTAB_FUNC(sas_sdev_init, "_gpl", "");
KSYMTAB_FUNC(sas_target_destroy, "_gpl", "");
KSYMTAB_FUNC(sas_request_addr, "_gpl", "");
KSYMTAB_FUNC(sas_ssp_task_response, "_gpl", "");
KSYMTAB_FUNC(smp_ata_check_ready_type, "_gpl", "");
KSYMTAB_FUNC(sas_ata_schedule_reset, "_gpl", "");
KSYMTAB_FUNC(sas_ata_device_link_abort, "_gpl", "");
KSYMTAB_FUNC(sas_execute_ata_cmd, "_gpl", "");
KSYMTAB_DATA(sas_ata_sdev_attr_group, "_gpl", "");
KSYMTAB_FUNC(try_test_sas_gpio_gp_bit, "", "");

SYMBOL_CRC(sas_register_ha, 0x87d3d6e2, "_gpl");
SYMBOL_CRC(sas_unregister_ha, 0xe2001034, "_gpl");
SYMBOL_CRC(sas_phy_enable, 0xf6dbfbe9, "_gpl");
SYMBOL_CRC(sas_phy_reset, 0xf2686295, "_gpl");
SYMBOL_CRC(sas_prep_resume_ha, 0x3206c358, "");
SYMBOL_CRC(sas_resume_ha, 0xb6d26a67, "");
SYMBOL_CRC(sas_resume_ha_no_sync, 0x2f1c9bc7, "");
SYMBOL_CRC(sas_suspend_ha, 0x9c6c97b4, "");
SYMBOL_CRC(dev_attr_phy_event_threshold, 0x8c995818, "_gpl");
SYMBOL_CRC(sas_domain_attach_transport, 0x7b87db23, "_gpl");
SYMBOL_CRC(sas_drain_work, 0xde7e3b49, "_gpl");
SYMBOL_CRC(sas_notify_port_event, 0x409dab55, "_gpl");
SYMBOL_CRC(sas_notify_phy_event, 0x5027506d, "_gpl");
SYMBOL_CRC(sas_find_attached_phy_id, 0xa1131bbd, "_gpl");
SYMBOL_CRC(sas_queuecommand, 0x0fa38594, "_gpl");
SYMBOL_CRC(sas_get_local_phy, 0x9e6c337a, "_gpl");
SYMBOL_CRC(sas_eh_abort_handler, 0x3159eb6e, "_gpl");
SYMBOL_CRC(sas_eh_device_reset_handler, 0xfaa203d0, "_gpl");
SYMBOL_CRC(sas_eh_target_reset_handler, 0xc9d17744, "_gpl");
SYMBOL_CRC(sas_ioctl, 0x4bb1c8b5, "_gpl");
SYMBOL_CRC(sas_target_alloc, 0x00a65fad, "_gpl");
SYMBOL_CRC(sas_sdev_configure, 0x300204a6, "_gpl");
SYMBOL_CRC(sas_change_queue_depth, 0x28a942ed, "_gpl");
SYMBOL_CRC(sas_bios_param, 0x74e2f6f4, "_gpl");
SYMBOL_CRC(sas_execute_internal_abort_single, 0x1f2a283c, "_gpl");
SYMBOL_CRC(sas_execute_internal_abort_dev, 0x5fa90638, "_gpl");
SYMBOL_CRC(sas_abort_task_set, 0x710c8fc6, "_gpl");
SYMBOL_CRC(sas_clear_task_set, 0x9bb86dba, "_gpl");
SYMBOL_CRC(sas_lu_reset, 0x05b7a180, "_gpl");
SYMBOL_CRC(sas_query_task, 0x62ad2cc0, "_gpl");
SYMBOL_CRC(sas_abort_task, 0x04791165, "_gpl");
SYMBOL_CRC(sas_task_abort, 0xdf7ee2b5, "_gpl");
SYMBOL_CRC(sas_sdev_init, 0x00198a39, "_gpl");
SYMBOL_CRC(sas_target_destroy, 0x24e3184d, "_gpl");
SYMBOL_CRC(sas_request_addr, 0x408eb2e0, "_gpl");
SYMBOL_CRC(sas_ssp_task_response, 0x00d6cc19, "_gpl");
SYMBOL_CRC(smp_ata_check_ready_type, 0x845a80ee, "_gpl");
SYMBOL_CRC(sas_ata_schedule_reset, 0x0c8b8221, "_gpl");
SYMBOL_CRC(sas_ata_device_link_abort, 0x4d4ee935, "_gpl");
SYMBOL_CRC(sas_execute_ata_cmd, 0x249c5ffc, "_gpl");
SYMBOL_CRC(sas_ata_sdev_attr_group, 0xda1d429c, "_gpl");
SYMBOL_CRC(try_test_sas_gpio_gp_bit, 0x4a8e3d34, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9d3d08f0, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5bcc0df7, "ata_dev_classify" },
	{ 0x71b12b37, "_dev_info" },
	{ 0x288faf58, "sas_phy_free" },
	{ 0x89e5a541, "scsi_eh_finish_cmd" },
	{ 0x14284edb, "ata_port_schedule_eh" },
	{ 0xde546224, "ata_tport_delete" },
	{ 0xf811e69d, "scsi_eh_flush_done_q" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x24d273d1, "add_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6ca3eb62, "sas_port_add" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x41ca5ecf, "sas_port_mark_backlink" },
	{ 0xdf9ceed4, "kmem_cache_free" },
	{ 0x7c91884a, "ata_link_abort" },
	{ 0x3b2d2477, "ata_std_qc_defer" },
	{ 0xffc5b995, "ata_scsi_port_error_handler" },
	{ 0x488301dc, "ata_change_queue_depth" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xda24c187, "ata_port_probe" },
	{ 0x2b279df7, "ata_std_error_handler" },
	{ 0xc30cf9f3, "ata_port_free" },
	{ 0x6ce91110, "sas_end_device_alloc" },
	{ 0x3edbc68d, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xc9504c6, "sas_read_port_mode_page" },
	{ 0x305ab617, "sas_expander_alloc" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0xbc33f58f, "sas_rphy_delete" },
	{ 0xd4de697d, "scsi_is_host_device" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xfc4ebed5, "sas_attach_transport" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfa10416, "kmem_cache_alloc_noprof" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0x8337a399, "__kmem_cache_create_args" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x709b374e, "scsi_host_busy" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xd09b3656, "sas_port_delete" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd03ef315, "ata_sas_port_suspend" },
	{ 0x6b1f7b5d, "sas_rphy_add" },
	{ 0xd5dcc637, "__pm_runtime_resume" },
	{ 0xa52b8219, "sas_port_delete_phy" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x80bed367, "sas_rphy_free" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe6d3f48b, "sas_port_add_phy" },
	{ 0xe071fee0, "ata_scsi_cmd_error_handler" },
	{ 0xb9d3e4ba, "ata_ncq_prio_enable" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0xba2715b7, "ata_sas_sdev_configure" },
	{ 0xc0edfdf0, "blk_mq_tagset_busy_iter" },
	{ 0x2c61eac8, "scsi_done" },
	{ 0x1b5a5416, "scsi_unblock_requests" },
	{ 0x7da56e80, "sas_phy_add" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0x608faf12, "ata_host_put" },
	{ 0x696dca75, "sas_port_free" },
	{ 0xb9037705, "ata_std_sched_eh" },
	{ 0x9c56dfbe, "ata_port_alloc" },
	{ 0xe7a64932, "scsi_block_requests" },
	{ 0xb008105d, "blk_abort_request" },
	{ 0xf2d5c864, "ata_ncq_prio_supported" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x58542600, "sas_remove_children" },
	{ 0x6600b9e, "scsi_change_queue_depth" },
	{ 0x66ebde19, "__pm_runtime_idle" },
	{ 0x99af9469, "ata_port_wait_eh" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x8019049f, "kmem_cache_destroy" },
	{ 0x63b3c0ec, "ata_qc_complete" },
	{ 0xeea2b35f, "ata_sas_scsi_ioctl" },
	{ 0x9a1ad581, "ata_tport_add" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x66fd7928, "sas_rphy_remove" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x1fcca9f4, "bsg_job_done" },
	{ 0x41982bc8, "ata_sas_queuecmd" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x90de95de, "sas_rphy_unlink" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0x37a6efd0, "scsi_schedule_eh" },
	{ 0xacf7e913, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x5e3f79e4, "ata_ncq_prio_enabled" },
	{ 0xa4335c91, "ata_host_init" },
	{ 0xf5926b58, "sas_port_alloc" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0xe00c3c8c, "scsi_eh_ready_devs" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xc5779911, "sas_port_get_phy" },
	{ 0xea196aae, "ata_sas_port_resume" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x3416d62c, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6491531, "__wake_up" },
	{ 0x26c90ea4, "scsi_eh_get_sense" },
	{ 0x8576e767, "get_device" },
	{ 0xa289d1ea, "ata_wait_after_reset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x9a3521f2, "sas_phy_alloc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "libata,scsi_transport_sas,scsi_mod,scsi_common");


MODULE_INFO(srcversion, "D980F626497B4DA9B4BB593");

MODULE_INFO(suserelease, "SLFO-1.2");
