#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(scsi_logging_level, "", "");
KSYMTAB_FUNC(scsi_change_queue_depth, "", "");
KSYMTAB_FUNC(scsi_track_queue_full, "", "");
KSYMTAB_FUNC(scsi_get_vpd_page, "_gpl", "");
KSYMTAB_FUNC(scsi_report_opcode, "", "");
KSYMTAB_FUNC(scsi_device_get, "", "");
KSYMTAB_FUNC(scsi_device_put, "", "");
KSYMTAB_FUNC(__scsi_iterate_devices, "", "");
KSYMTAB_FUNC(starget_for_each_device, "", "");
KSYMTAB_FUNC(__starget_for_each_device, "", "");
KSYMTAB_FUNC(__scsi_device_lookup_by_target, "", "");
KSYMTAB_FUNC(scsi_device_lookup_by_target, "", "");
KSYMTAB_FUNC(__scsi_device_lookup, "", "");
KSYMTAB_FUNC(scsi_device_lookup, "", "");
KSYMTAB_FUNC(scsi_remove_host, "", "");
KSYMTAB_FUNC(scsi_add_host_with_dma, "", "");
KSYMTAB_FUNC(scsi_host_alloc, "", "");
KSYMTAB_FUNC(scsi_host_lookup, "", "");
KSYMTAB_FUNC(scsi_host_get, "", "");
KSYMTAB_FUNC(scsi_host_busy, "", "");
KSYMTAB_FUNC(scsi_host_put, "", "");
KSYMTAB_FUNC(scsi_is_host_device, "", "");
KSYMTAB_FUNC(scsi_queue_work, "_gpl", "");
KSYMTAB_FUNC(scsi_flush_work, "_gpl", "");
KSYMTAB_FUNC(scsi_host_complete_all_commands, "_gpl", "");
KSYMTAB_FUNC(scsi_host_busy_iter, "_gpl", "");
KSYMTAB_FUNC(scsi_set_medium_removal, "", "");
KSYMTAB_FUNC(scsi_cmd_allowed, "", "");
KSYMTAB_FUNC(sg_io, "", "");
KSYMTAB_FUNC(put_sg_io_hdr, "", "");
KSYMTAB_FUNC(get_sg_io_hdr, "", "");
KSYMTAB_FUNC(scsi_ioctl, "", "");
KSYMTAB_FUNC(scsi_ioctl_block_when_processing_errors, "_gpl", "");
KSYMTAB_FUNC(scsi_bios_ptable, "", "");
KSYMTAB_FUNC(scsi_partsize, "", "");
KSYMTAB_FUNC(scsicam_bios_param, "", "");
KSYMTAB_FUNC(scsi_schedule_eh, "_gpl", "");
KSYMTAB_FUNC(scsi_block_when_processing_errors, "", "");
KSYMTAB_FUNC(scsi_check_sense, "_gpl", "");
KSYMTAB_FUNC(scsi_eh_prep_cmnd, "", "");
KSYMTAB_FUNC(scsi_eh_restore_cmnd, "", "");
KSYMTAB_FUNC(scsi_eh_finish_cmd, "", "");
KSYMTAB_FUNC(scsi_eh_get_sense, "_gpl", "");
KSYMTAB_FUNC(scsi_eh_ready_devs, "_gpl", "");
KSYMTAB_FUNC(scsi_eh_flush_done_q, "", "");
KSYMTAB_FUNC(scsi_report_bus_reset, "", "");
KSYMTAB_FUNC(scsi_report_device_reset, "", "");
KSYMTAB_FUNC(scsi_command_normalize_sense, "", "");
KSYMTAB_FUNC(scsi_get_sense_info_fld, "", "");
KSYMTAB_FUNC(scsi_failures_reset_retries, "_gpl", "");
KSYMTAB_FUNC(scsi_execute_cmd, "", "");
KSYMTAB_FUNC(scsi_free_sgtables, "_gpl", "");
KSYMTAB_FUNC(scsi_alloc_sgtables, "", "");
KSYMTAB_FUNC(scsi_alloc_request, "_gpl", "");
KSYMTAB_FUNC(scsi_done, "", "");
KSYMTAB_FUNC(scsi_done_direct, "", "");
KSYMTAB_FUNC(scsi_init_limits, "_gpl", "");
KSYMTAB_FUNC(scsi_device_from_queue, "_gpl", "");
KSYMTAB_FUNC(scsi_block_requests, "", "");
KSYMTAB_FUNC(scsi_unblock_requests, "", "");
KSYMTAB_FUNC(scsi_mode_select, "_gpl", "");
KSYMTAB_FUNC(scsi_mode_sense, "", "");
KSYMTAB_FUNC(scsi_test_unit_ready, "", "");
KSYMTAB_FUNC(scsi_device_set_state, "", "");
KSYMTAB_FUNC(sdev_evt_send, "_gpl", "");
KSYMTAB_FUNC(sdev_evt_alloc, "_gpl", "");
KSYMTAB_FUNC(sdev_evt_send_simple, "_gpl", "");
KSYMTAB_FUNC(scsi_device_quiesce, "", "");
KSYMTAB_FUNC(scsi_device_resume, "", "");
KSYMTAB_FUNC(scsi_target_quiesce, "", "");
KSYMTAB_FUNC(scsi_target_resume, "", "");
KSYMTAB_FUNC(scsi_internal_device_block_nowait, "_gpl", "");
KSYMTAB_FUNC(scsi_internal_device_unblock_nowait, "_gpl", "");
KSYMTAB_FUNC(scsi_block_targets, "_gpl", "");
KSYMTAB_FUNC(scsi_target_unblock, "_gpl", "");
KSYMTAB_FUNC(scsi_host_block, "_gpl", "");
KSYMTAB_FUNC(scsi_host_unblock, "_gpl", "");
KSYMTAB_FUNC(scsi_kmap_atomic_sg, "", "");
KSYMTAB_FUNC(scsi_kunmap_atomic_sg, "", "");
KSYMTAB_FUNC(sdev_disable_disk_events, "", "");
KSYMTAB_FUNC(sdev_enable_disk_events, "", "");
KSYMTAB_FUNC(scsi_vpd_lun_id, "", "");
KSYMTAB_FUNC(scsi_vpd_tpg_id, "", "");
KSYMTAB_FUNC(scsi_build_sense, "_gpl", "");
KSYMTAB_FUNC(scsi_sense_key_string, "", "");
KSYMTAB_FUNC(scsi_extd_sense_format, "", "");
KSYMTAB_FUNC(scsi_hostbyte_string, "", "");
KSYMTAB_FUNC(scsi_mlreturn_string, "", "");
KSYMTAB_FUNC(scsi_dma_map, "", "");
KSYMTAB_FUNC(scsi_dma_unmap, "", "");
KSYMTAB_FUNC(scsi_is_target_device, "", "");
KSYMTAB_FUNC(scsi_sanitize_inquiry_string, "", "");
KSYMTAB_FUNC(__scsi_add_device, "", "");
KSYMTAB_FUNC(scsi_add_device, "", "");
KSYMTAB_FUNC(scsi_resume_device, "", "");
KSYMTAB_FUNC(scsi_rescan_device, "", "");
KSYMTAB_FUNC(scsi_scan_target, "", "");
KSYMTAB_FUNC(scsi_scan_host, "", "");
KSYMTAB_FUNC(scsi_remove_device, "", "");
KSYMTAB_FUNC(scsi_remove_target, "", "");
KSYMTAB_FUNC(__scsi_register_driver, "", "");
KSYMTAB_FUNC(scsi_register_interface, "", "");
KSYMTAB_FUNC(scsi_is_sdev_device, "", "");
KSYMTAB_FUNC(scsi_dev_info_list_add_keyed, "", "");
KSYMTAB_FUNC(scsi_dev_info_list_del_keyed, "", "");
KSYMTAB_FUNC(scsi_get_device_flags_keyed, "", "");
KSYMTAB_FUNC(scsi_dev_info_add_list, "", "");
KSYMTAB_FUNC(scsi_dev_info_remove_list, "", "");
KSYMTAB_DATA(scsi_nl_sock, "_gpl", "");
KSYMTAB_FUNC(scsi_template_proc_dir, "_gpl", "");
KSYMTAB_FUNC(sdev_prefix_printk, "", "");
KSYMTAB_FUNC(scmd_printk, "", "");
KSYMTAB_FUNC(__scsi_format_command, "", "");
KSYMTAB_FUNC(scsi_print_command, "", "");
KSYMTAB_FUNC(scsi_print_sense_hdr, "", "");
KSYMTAB_FUNC(__scsi_print_sense, "", "");
KSYMTAB_FUNC(scsi_print_sense, "", "");
KSYMTAB_FUNC(scsi_print_result, "", "");
KSYMTAB_FUNC(scsi_autopm_get_device, "_gpl", "");
KSYMTAB_FUNC(scsi_autopm_put_device, "_gpl", "");
KSYMTAB_FUNC(scsi_register_device_handler, "_gpl", "");
KSYMTAB_FUNC(scsi_unregister_device_handler, "_gpl", "");
KSYMTAB_FUNC(scsi_dh_activate, "_gpl", "");
KSYMTAB_FUNC(scsi_dh_set_params, "_gpl", "");
KSYMTAB_FUNC(scsi_dh_attach, "_gpl", "");
KSYMTAB_FUNC(scsi_dh_attached_handler_name, "_gpl", "");

SYMBOL_CRC(scsi_logging_level, 0xaf3dd7dc, "");
SYMBOL_CRC(scsi_change_queue_depth, 0x06600b9e, "");
SYMBOL_CRC(scsi_track_queue_full, 0xb8f90e1b, "");
SYMBOL_CRC(scsi_get_vpd_page, 0xdb8f4d0e, "_gpl");
SYMBOL_CRC(scsi_report_opcode, 0x6b09a539, "");
SYMBOL_CRC(scsi_device_get, 0xecc6fa9b, "");
SYMBOL_CRC(scsi_device_put, 0xb8888eda, "");
SYMBOL_CRC(__scsi_iterate_devices, 0x34335c46, "");
SYMBOL_CRC(starget_for_each_device, 0xfadf50ab, "");
SYMBOL_CRC(__starget_for_each_device, 0x7a609f76, "");
SYMBOL_CRC(__scsi_device_lookup_by_target, 0x4387612a, "");
SYMBOL_CRC(scsi_device_lookup_by_target, 0x9ee992f6, "");
SYMBOL_CRC(__scsi_device_lookup, 0xac0ccf9c, "");
SYMBOL_CRC(scsi_device_lookup, 0x860ebed4, "");
SYMBOL_CRC(scsi_remove_host, 0xa5bbdd31, "");
SYMBOL_CRC(scsi_add_host_with_dma, 0x2a42ad7e, "");
SYMBOL_CRC(scsi_host_alloc, 0x4999a165, "");
SYMBOL_CRC(scsi_host_lookup, 0x6b3cca58, "");
SYMBOL_CRC(scsi_host_get, 0xec9e0f02, "");
SYMBOL_CRC(scsi_host_busy, 0x709b374e, "");
SYMBOL_CRC(scsi_host_put, 0x884883a4, "");
SYMBOL_CRC(scsi_is_host_device, 0xd4de697d, "");
SYMBOL_CRC(scsi_queue_work, 0xb73b2105, "_gpl");
SYMBOL_CRC(scsi_flush_work, 0xd6df9b26, "_gpl");
SYMBOL_CRC(scsi_host_complete_all_commands, 0xfbee57da, "_gpl");
SYMBOL_CRC(scsi_host_busy_iter, 0x96a5f3dc, "_gpl");
SYMBOL_CRC(scsi_set_medium_removal, 0x19fb8ed9, "");
SYMBOL_CRC(scsi_cmd_allowed, 0xeda2e038, "");
SYMBOL_CRC(sg_io, 0x2e0bb391, "");
SYMBOL_CRC(put_sg_io_hdr, 0x5ec4aee6, "");
SYMBOL_CRC(get_sg_io_hdr, 0x1de4ccb2, "");
SYMBOL_CRC(scsi_ioctl, 0x8b989e31, "");
SYMBOL_CRC(scsi_ioctl_block_when_processing_errors, 0x5841c334, "_gpl");
SYMBOL_CRC(scsi_bios_ptable, 0x010bc442, "");
SYMBOL_CRC(scsi_partsize, 0xb7553b4f, "");
SYMBOL_CRC(scsicam_bios_param, 0xd39df7e1, "");
SYMBOL_CRC(scsi_schedule_eh, 0x37a6efd0, "_gpl");
SYMBOL_CRC(scsi_block_when_processing_errors, 0xd15c9928, "");
SYMBOL_CRC(scsi_check_sense, 0xac10fd0f, "_gpl");
SYMBOL_CRC(scsi_eh_prep_cmnd, 0xedad269b, "");
SYMBOL_CRC(scsi_eh_restore_cmnd, 0xddba8cd7, "");
SYMBOL_CRC(scsi_eh_finish_cmd, 0x89e5a541, "");
SYMBOL_CRC(scsi_eh_get_sense, 0x26c90ea4, "_gpl");
SYMBOL_CRC(scsi_eh_ready_devs, 0xe00c3c8c, "_gpl");
SYMBOL_CRC(scsi_eh_flush_done_q, 0xf811e69d, "");
SYMBOL_CRC(scsi_report_bus_reset, 0x78d8c7b6, "");
SYMBOL_CRC(scsi_report_device_reset, 0x314c6fef, "");
SYMBOL_CRC(scsi_command_normalize_sense, 0x11510830, "");
SYMBOL_CRC(scsi_get_sense_info_fld, 0xdd849d51, "");
SYMBOL_CRC(scsi_failures_reset_retries, 0x7ee9199d, "_gpl");
SYMBOL_CRC(scsi_execute_cmd, 0x12955c3b, "");
SYMBOL_CRC(scsi_free_sgtables, 0x8d9ecd6a, "_gpl");
SYMBOL_CRC(scsi_alloc_sgtables, 0xa71eaada, "");
SYMBOL_CRC(scsi_alloc_request, 0x0220463d, "_gpl");
SYMBOL_CRC(scsi_done, 0x2c61eac8, "");
SYMBOL_CRC(scsi_done_direct, 0x3a5ed991, "");
SYMBOL_CRC(scsi_init_limits, 0x2df3634e, "_gpl");
SYMBOL_CRC(scsi_device_from_queue, 0xe28593d6, "_gpl");
SYMBOL_CRC(scsi_block_requests, 0xe7a64932, "");
SYMBOL_CRC(scsi_unblock_requests, 0x1b5a5416, "");
SYMBOL_CRC(scsi_mode_select, 0xcd34a35c, "_gpl");
SYMBOL_CRC(scsi_mode_sense, 0xaf12ab6c, "");
SYMBOL_CRC(scsi_test_unit_ready, 0x6ff6b222, "");
SYMBOL_CRC(scsi_device_set_state, 0x4be3d59f, "");
SYMBOL_CRC(sdev_evt_send, 0x9ba0bc44, "_gpl");
SYMBOL_CRC(sdev_evt_alloc, 0x13ed8784, "_gpl");
SYMBOL_CRC(sdev_evt_send_simple, 0x5edbd58d, "_gpl");
SYMBOL_CRC(scsi_device_quiesce, 0x3178864c, "");
SYMBOL_CRC(scsi_device_resume, 0x014bb893, "");
SYMBOL_CRC(scsi_target_quiesce, 0xf6c69454, "");
SYMBOL_CRC(scsi_target_resume, 0x5fa3de90, "");
SYMBOL_CRC(scsi_internal_device_block_nowait, 0x45aa328c, "_gpl");
SYMBOL_CRC(scsi_internal_device_unblock_nowait, 0x7235dbbe, "_gpl");
SYMBOL_CRC(scsi_block_targets, 0xe3b120ba, "_gpl");
SYMBOL_CRC(scsi_target_unblock, 0xd6ee9610, "_gpl");
SYMBOL_CRC(scsi_host_block, 0x6d0f06dc, "_gpl");
SYMBOL_CRC(scsi_host_unblock, 0xabab8c66, "_gpl");
SYMBOL_CRC(scsi_kmap_atomic_sg, 0xae66472b, "");
SYMBOL_CRC(scsi_kunmap_atomic_sg, 0x56c8799d, "");
SYMBOL_CRC(sdev_disable_disk_events, 0xdb245820, "");
SYMBOL_CRC(sdev_enable_disk_events, 0x217c03fd, "");
SYMBOL_CRC(scsi_vpd_lun_id, 0xf2844974, "");
SYMBOL_CRC(scsi_vpd_tpg_id, 0xaf3a2462, "");
SYMBOL_CRC(scsi_build_sense, 0xce22a490, "_gpl");
SYMBOL_CRC(scsi_sense_key_string, 0x96cd2b04, "");
SYMBOL_CRC(scsi_extd_sense_format, 0xd8a994eb, "");
SYMBOL_CRC(scsi_hostbyte_string, 0xb3d2c76d, "");
SYMBOL_CRC(scsi_mlreturn_string, 0xd1d87e92, "");
SYMBOL_CRC(scsi_dma_map, 0xd6967e87, "");
SYMBOL_CRC(scsi_dma_unmap, 0xe6271619, "");
SYMBOL_CRC(scsi_is_target_device, 0xbe4a432c, "");
SYMBOL_CRC(scsi_sanitize_inquiry_string, 0x27756bc8, "");
SYMBOL_CRC(__scsi_add_device, 0x11012266, "");
SYMBOL_CRC(scsi_add_device, 0x43ea6f41, "");
SYMBOL_CRC(scsi_resume_device, 0xf8eff0a6, "");
SYMBOL_CRC(scsi_rescan_device, 0x56de7e38, "");
SYMBOL_CRC(scsi_scan_target, 0x0adeb723, "");
SYMBOL_CRC(scsi_scan_host, 0xc884c36e, "");
SYMBOL_CRC(scsi_remove_device, 0x63d93919, "");
SYMBOL_CRC(scsi_remove_target, 0x1e3b2f4e, "");
SYMBOL_CRC(__scsi_register_driver, 0xa523071c, "");
SYMBOL_CRC(scsi_register_interface, 0x873be6ea, "");
SYMBOL_CRC(scsi_is_sdev_device, 0x4915c9e7, "");
SYMBOL_CRC(scsi_dev_info_list_add_keyed, 0x2733eaf7, "");
SYMBOL_CRC(scsi_dev_info_list_del_keyed, 0xccfd2ebc, "");
SYMBOL_CRC(scsi_get_device_flags_keyed, 0xf7dc8e03, "");
SYMBOL_CRC(scsi_dev_info_add_list, 0x204c5067, "");
SYMBOL_CRC(scsi_dev_info_remove_list, 0x97bdfa60, "");
SYMBOL_CRC(scsi_nl_sock, 0xd01897e1, "_gpl");
SYMBOL_CRC(scsi_template_proc_dir, 0x230db0c1, "_gpl");
SYMBOL_CRC(sdev_prefix_printk, 0xb41f7c6d, "");
SYMBOL_CRC(scmd_printk, 0x891ee507, "");
SYMBOL_CRC(__scsi_format_command, 0x93022ba6, "");
SYMBOL_CRC(scsi_print_command, 0x16a2c1bc, "");
SYMBOL_CRC(scsi_print_sense_hdr, 0x58c2fe29, "");
SYMBOL_CRC(__scsi_print_sense, 0x841c411e, "");
SYMBOL_CRC(scsi_print_sense, 0x6c82c80b, "");
SYMBOL_CRC(scsi_print_result, 0x8d9b8602, "");
SYMBOL_CRC(scsi_autopm_get_device, 0x640111b5, "_gpl");
SYMBOL_CRC(scsi_autopm_put_device, 0x4ab7fb55, "_gpl");
SYMBOL_CRC(scsi_register_device_handler, 0xb52df493, "_gpl");
SYMBOL_CRC(scsi_unregister_device_handler, 0xbd0f7d56, "_gpl");
SYMBOL_CRC(scsi_dh_activate, 0x8e86c794, "_gpl");
SYMBOL_CRC(scsi_dh_set_params, 0x9ffe7ba0, "_gpl");
SYMBOL_CRC(scsi_dh_attach, 0x70ee38b2, "_gpl");
SYMBOL_CRC(scsi_dh_attached_handler_name, 0x9c3167de, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7276b73a, "module_put" },
	{ 0x3528fcef, "blk_get_queue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xe4b703db, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x1eb3add6, "blk_rq_map_user" },
	{ 0x7ec56c70, "perf_trace_run_bpf_submit" },
	{ 0x12cb1804, "bus_unregister" },
	{ 0x49608959, "migrate_disable" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x1eb1abab, "init_net" },
	{ 0xa8905084, "blk_update_request" },
	{ 0x1c785e13, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc864bff6, "bus_find_device" },
	{ 0x9907f28, "device_add" },
	{ 0x5cb45e69, "blk_rq_map_user_io" },
	{ 0xb3637825, "blk_execute_rq_nowait" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x2dbd3e75, "blk_mq_unfreeze_queue_nomemrestore" },
	{ 0x140a25b1, "blk_mq_delay_run_hw_queues" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xdf9ceed4, "kmem_cache_free" },
	{ 0x65e0d6d7, "memory_read_from_buffer" },
	{ 0x5a921311, "strncmp" },
	{ 0x56a719f2, "seq_putc" },
	{ 0x314643c9, "__blk_rq_map_sg" },
	{ 0x658574f4, "trace_event_reg" },
	{ 0xb907334e, "blk_mq_alloc_request" },
	{ 0x10119bb, "ida_free" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0xa080840d, "transport_configure_device" },
	{ 0xe1f5823d, "bsg_register_queue" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x2f891300, "netlink_kernel_release" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xafc20114, "class_unregister" },
	{ 0x71b7d4c1, "blk_mq_free_tag_set" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x334da4e, "scsi_command_size_tbl" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x1143cb6b, "class_interface_register" },
	{ 0x72ea7b2d, "scsi_device_type" },
	{ 0xad6d7e4b, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x62448607, "transport_add_device" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xaea73f41, "blk_put_queue" },
	{ 0x57a45346, "bpf_trace_run1" },
	{ 0x1080ce71, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xe823ba79, "proc_mkdir" },
	{ 0x1bf344ac, "register_sysctl_sz" },
	{ 0xfb578fc5, "memset" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x87ffe4f5, "blk_mq_wait_quiesce_done" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0x1278f489, "blk_post_runtime_resume" },
	{ 0x8337a399, "__kmem_cache_create_args" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x4a41f790, "blk_rq_unmap_user" },
	{ 0x8b18d2b2, "param_ops_string" },
	{ 0x52416139, "blk_clear_pm_only" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd00c9875, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x4a38d9f7, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x2d5f90d0, "blk_mq_complete_request" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x2f4347e8, "pm_runtime_forbid" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x167e7f9d, "__get_user_1" },
	{ 0x27a7a36e, "trace_event_buffer_reserve" },
	{ 0xea3c8e4e, "scsilun_to_int" },
	{ 0xd5dcc637, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x7c357306, "blk_mq_destroy_queue" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xf32c7899, "sysfs_break_active_protection" },
	{ 0x9f7aac60, "seq_write" },
	{ 0x64a5c687, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xb156b2f1, "blk_rq_map_integrity_sg" },
	{ 0x23391e4d, "transport_destroy_device" },
	{ 0x6e063721, "remove_proc_entry" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xfbe3d297, "blk_mq_alloc_queue" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7ad7a5cd, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x8112b3d2, "scsi_build_sense_buffer" },
	{ 0x242af46d, "device_match_any" },
	{ 0x40414b70, "blk_mq_start_request" },
	{ 0xc0edfdf0, "blk_mq_tagset_busy_iter" },
	{ 0xcffe6425, "queue_limits_commit_update" },
	{ 0x70ee1bf3, "proc_dointvec" },
	{ 0x8d8b2fb3, "single_release" },
	{ 0xb4805d13, "blk_mq_quiesce_queue_nowait" },
	{ 0x233622c7, "sbitmap_weight" },
	{ 0xc1ddd422, "dma_unmap_sg_attrs" },
	{ 0xf1fc404a, "seq_open" },
	{ 0x38a684cd, "__seq_puts" },
	{ 0xe27b54a3, "blk_pre_runtime_suspend" },
	{ 0xdf0614a1, "__pm_runtime_suspend" },
	{ 0x36395b68, "kmem_cache_alloc_node_noprof" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0xd6309b83, "blk_mq_freeze_queue_nomemsave" },
	{ 0xf2203c5f, "param_ops_int" },
	{ 0x704c5d41, "_dev_printk" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xff69d7e8, "blk_mq_run_hw_queues" },
	{ 0xfbad3cf0, "scsi_normalize_sense" },
	{ 0xf40beb46, "__pm_runtime_disable" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xeafa5113, "sbitmap_get" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xb40d9e9f, "blk_post_runtime_suspend" },
	{ 0xd063fc9f, "blk_mq_requeue_request" },
	{ 0xe2a805d9, "driver_register" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0xb3d2d914, "class_register" },
	{ 0x66ebde19, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x48d2e868, "blk_queue_rq_timeout" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x35729f61, "device_remove_file" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xddbd0482, "bus_register" },
	{ 0x8019049f, "kmem_cache_destroy" },
	{ 0xeebca5cd, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8e4b8288, "class_find_device" },
	{ 0x662eb954, "__blk_mq_end_request" },
	{ 0x61b7b126, "simple_strtoull" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xfdf61141, "param_ops_ullong" },
	{ 0xa2429ab9, "ida_alloc_range" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0x4e5daa9a, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4526431, "add_disk_randomness" },
	{ 0x7dd6c90e, "ida_destroy" },
	{ 0xe5eb5fd0, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x50707f9c, "dev_set_name" },
	{ 0x24ec9086, "sbitmap_resize" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x6843570f, "proc_create" },
	{ 0xfe13a601, "trace_seq_printf" },
	{ 0xe6c8800b, "seq_release" },
	{ 0xa6fffa64, "blk_pre_runtime_resume" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa11a97c1, "trace_raw_output_prep" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xc1b3081f, "transport_remove_device" },
	{ 0x9668568f, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xb07d43ee, "__trace_trigger_soft_disabled" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0xdf4574bf, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x9610ce49, "read_cache_folio" },
	{ 0xf9088f91, "sysfs_unbreak_active_protection" },
	{ 0x4628038c, "device_initialize" },
	{ 0x816e4546, "blk_mq_unquiesce_queue" },
	{ 0x463c3e3b, "sbitmap_init_node" },
	{ 0x549dee85, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x10d9f885, "scsi_sense_desc_find" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x2e4f415b, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x7be70ec1, "__netlink_kernel_create" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0x8021b7a9, "blk_mq_kick_requeue_list" },
	{ 0x2042f11c, "proc_create_data" },
	{ 0xa8694ecd, "kblockd_schedule_work" },
	{ 0xefb18d5e, "device_for_each_child" },
	{ 0xd0d9d74c, "bpf_trace_run2" },
	{ 0x3416d62c, "prepare_to_wait_event" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xf6491531, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x8576e767, "get_device" },
	{ 0xa28b09b3, "blk_set_queue_depth" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0x5e651d9f, "trace_print_hex_seq" },
	{ 0x571b667e, "netlink_ack" },
	{ 0x473b5efc, "single_open_size" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5968a512, "blk_mq_delay_kick_requeue_list" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x5c3752b0, "platform_bus" },
	{ 0x725a7b70, "blk_mq_alloc_tag_set" },
	{ 0x1d8a5fdd, "wake_up_process" },
	{ 0x23c37ad3, "trace_seq_puts" },
	{ 0x77188b5d, "trace_event_buffer_commit" },
	{ 0xef7c88b8, "blk_rq_init" },
	{ 0x41b9a6e6, "bsg_unregister_queue" },
	{ 0x24c1e392, "transport_setup_device" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x478dcfc2, "__pm_runtime_set_status" },
	{ 0xf5f370e0, "async_schedule_node" },
	{ 0x5566284a, "trace_seq_putc" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x26aa502f, "blk_execute_rq" },
	{ 0xecc81759, "unregister_sysctl_table" },
	{ 0x80daae33, "blk_set_pm_only" },
	{ 0xd6bd1441, "dma_max_mapping_size" },
	{ 0x9d3d08f0, "put_device" },
	{ 0x6d93b33b, "pm_runtime_enable" },
	{ 0xfe916dc6, "hex_dump_to_buffer" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x9620364b, "blk_mq_free_request" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0x4cf4fe68, "netlink_capable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xbc013177, "blk_rq_map_kern" },
	{ 0xc6cbbc89, "capable" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "scsi_common");


MODULE_INFO(srcversion, "603364D9805BF2122309C62");

MODULE_INFO(suserelease, "SLFO-1.2");
