#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(fc_get_event_number, "", "");
KSYMTAB_FUNC(fc_host_post_fc_event, "", "");
KSYMTAB_FUNC(fc_host_post_event, "", "");
KSYMTAB_FUNC(fc_host_post_vendor_event, "", "");
KSYMTAB_FUNC(fc_find_rport_by_wwpn, "", "");
KSYMTAB_FUNC(fc_host_fpin_rcv, "", "");
KSYMTAB_FUNC(scsi_is_fc_rport, "", "");
KSYMTAB_FUNC(fc_eh_timed_out, "", "");
KSYMTAB_FUNC(fc_attach_transport, "", "");
KSYMTAB_FUNC(fc_release_transport, "", "");
KSYMTAB_FUNC(fc_remove_host, "", "");
KSYMTAB_FUNC(fc_remote_port_add, "", "");
KSYMTAB_FUNC(fc_remote_port_delete, "", "");
KSYMTAB_FUNC(fc_remote_port_rolechg, "", "");
KSYMTAB_FUNC(fc_block_rport, "", "");
KSYMTAB_FUNC(fc_block_scsi_eh, "", "");
KSYMTAB_FUNC(fc_eh_should_retry_cmd, "_gpl", "");
KSYMTAB_FUNC(fc_vport_create, "", "");
KSYMTAB_FUNC(fc_vport_terminate, "", "");

SYMBOL_CRC(fc_get_event_number, 0x375f8bbd, "");
SYMBOL_CRC(fc_host_post_fc_event, 0xc6f4ac7c, "");
SYMBOL_CRC(fc_host_post_event, 0x8f71aa34, "");
SYMBOL_CRC(fc_host_post_vendor_event, 0x046eaf8b, "");
SYMBOL_CRC(fc_find_rport_by_wwpn, 0x05204b9c, "");
SYMBOL_CRC(fc_host_fpin_rcv, 0xe1c647d2, "");
SYMBOL_CRC(scsi_is_fc_rport, 0xf13667bf, "");
SYMBOL_CRC(fc_eh_timed_out, 0xfde9cc64, "");
SYMBOL_CRC(fc_attach_transport, 0xf05e00b0, "");
SYMBOL_CRC(fc_release_transport, 0xaa0337ec, "");
SYMBOL_CRC(fc_remove_host, 0xf562e918, "");
SYMBOL_CRC(fc_remote_port_add, 0x5f882576, "");
SYMBOL_CRC(fc_remote_port_delete, 0x6bb0c042, "");
SYMBOL_CRC(fc_remote_port_rolechg, 0x437bd25f, "");
SYMBOL_CRC(fc_block_rport, 0x181a4f92, "");
SYMBOL_CRC(fc_block_scsi_eh, 0xad65b673, "");
SYMBOL_CRC(fc_eh_should_retry_cmd, 0xd99750f5, "_gpl");
SYMBOL_CRC(fc_vport_create, 0x0c9f7fc1, "");
SYMBOL_CRC(fc_vport_terminate, 0x90e5c56f, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4628038c, "device_initialize" },
	{ 0x8576e767, "get_device" },
	{ 0x50707f9c, "dev_set_name" },
	{ 0x24c1e392, "transport_setup_device" },
	{ 0x9907f28, "device_add" },
	{ 0x62448607, "transport_add_device" },
	{ 0xa080840d, "transport_configure_device" },
	{ 0xe06a823e, "sysfs_create_link" },
	{ 0x704c5d41, "_dev_printk" },
	{ 0xc1b3081f, "transport_remove_device" },
	{ 0x1080ce71, "device_del" },
	{ 0x23391e4d, "transport_destroy_device" },
	{ 0x884883a4, "scsi_host_put" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xc08db2d4, "attribute_container_register" },
	{ 0xd6df9b26, "scsi_flush_work" },
	{ 0x48ca2416, "sysfs_remove_link" },
	{ 0xb0d507b, "bsg_remove_queue" },
	{ 0xd6ee9610, "scsi_target_unblock" },
	{ 0x1e3b2f4e, "scsi_remove_target" },
	{ 0xf9a482f9, "msleep" },
	{ 0xbe4a432c, "scsi_is_target_device" },
	{ 0xe3b120ba, "scsi_block_targets" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xb73b2105, "scsi_queue_work" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xd2df6346, "bsg_job_get" },
	{ 0x1e8cb060, "blk_mq_end_request" },
	{ 0x237a8f97, "bsg_job_put" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xff69d7e8, "blk_mq_run_hw_queues" },
	{ 0x1fcca9f4, "bsg_job_done" },
	{ 0xe5eb5fd0, "param_ops_uint" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x9d3d08f0, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5a921311, "strncmp" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xadeb723, "scsi_scan_target" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x92997ed8, "_printk" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0xf377a92b, "transport_class_register" },
	{ 0x699de54e, "transport_class_unregister" },
	{ 0xd01897e1, "scsi_nl_sock" },
	{ 0xbe3dbdfa, "__alloc_skb" },
	{ 0xa65f21bc, "__nlmsg_put" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfb578fc5, "memset" },
	{ 0xa0166433, "netlink_broadcast_filtered" },
	{ 0x6d64c27f, "sk_skb_reason_drop" },
	{ 0x2df3634e, "scsi_init_limits" },
	{ 0x9a25bd99, "bsg_setup_queue" },
	{ 0x48d2e868, "blk_queue_rq_timeout" },
	{ 0xc8240d31, "_dev_err" },
	{ 0xd4de697d, "scsi_is_host_device" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x19bebf97, "attribute_container_unregister" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xec9e0f02, "scsi_host_get" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "FD1C5C62001CAEB8AFAA692");

MODULE_INFO(suserelease, "SLFO-1.2");
