#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sas_remove_children, "", "");
KSYMTAB_FUNC(sas_remove_host, "", "");
KSYMTAB_FUNC(sas_get_address, "", "");
KSYMTAB_FUNC(sas_tlr_supported, "_gpl", "");
KSYMTAB_FUNC(sas_disable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_enable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_is_tlr_enabled, "_gpl", "");
KSYMTAB_FUNC(sas_ata_ncq_prio_supported, "_gpl", "");
KSYMTAB_FUNC(sas_phy_alloc, "", "");
KSYMTAB_FUNC(sas_phy_add, "", "");
KSYMTAB_FUNC(sas_phy_free, "", "");
KSYMTAB_FUNC(sas_phy_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_phy, "", "");
KSYMTAB_FUNC(sas_port_alloc, "", "");
KSYMTAB_FUNC(sas_port_alloc_num, "", "");
KSYMTAB_FUNC(sas_port_add, "", "");
KSYMTAB_FUNC(sas_port_free, "", "");
KSYMTAB_FUNC(sas_port_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_port, "", "");
KSYMTAB_FUNC(sas_port_get_phy, "", "");
KSYMTAB_FUNC(sas_port_add_phy, "", "");
KSYMTAB_FUNC(sas_port_delete_phy, "", "");
KSYMTAB_FUNC(sas_port_mark_backlink, "", "");
KSYMTAB_FUNC(sas_read_port_mode_page, "", "");
KSYMTAB_FUNC(sas_end_device_alloc, "", "");
KSYMTAB_FUNC(sas_expander_alloc, "", "");
KSYMTAB_FUNC(sas_rphy_add, "", "");
KSYMTAB_FUNC(sas_rphy_free, "", "");
KSYMTAB_FUNC(sas_rphy_delete, "", "");
KSYMTAB_FUNC(sas_rphy_unlink, "", "");
KSYMTAB_FUNC(sas_rphy_remove, "", "");
KSYMTAB_FUNC(scsi_is_sas_rphy, "", "");
KSYMTAB_FUNC(sas_attach_transport, "", "");
KSYMTAB_FUNC(sas_release_transport, "", "");

SYMBOL_CRC(sas_remove_children, 0x58542600, "");
SYMBOL_CRC(sas_remove_host, 0xd855cb46, "");
SYMBOL_CRC(sas_get_address, 0xb1d89708, "");
SYMBOL_CRC(sas_tlr_supported, 0x29a8cd37, "_gpl");
SYMBOL_CRC(sas_disable_tlr, 0x2dc07be4, "_gpl");
SYMBOL_CRC(sas_enable_tlr, 0x50de872f, "_gpl");
SYMBOL_CRC(sas_is_tlr_enabled, 0x329608e7, "_gpl");
SYMBOL_CRC(sas_ata_ncq_prio_supported, 0xbc581470, "_gpl");
SYMBOL_CRC(sas_phy_alloc, 0x9a3521f2, "");
SYMBOL_CRC(sas_phy_add, 0x7da56e80, "");
SYMBOL_CRC(sas_phy_free, 0x288faf58, "");
SYMBOL_CRC(sas_phy_delete, 0xa9daaab1, "");
SYMBOL_CRC(scsi_is_sas_phy, 0xf9c365b9, "");
SYMBOL_CRC(sas_port_alloc, 0xf5926b58, "");
SYMBOL_CRC(sas_port_alloc_num, 0x0a02e9ae, "");
SYMBOL_CRC(sas_port_add, 0x6ca3eb62, "");
SYMBOL_CRC(sas_port_free, 0x696dca75, "");
SYMBOL_CRC(sas_port_delete, 0xd09b3656, "");
SYMBOL_CRC(scsi_is_sas_port, 0x2b6b9d60, "");
SYMBOL_CRC(sas_port_get_phy, 0xc5779911, "");
SYMBOL_CRC(sas_port_add_phy, 0xe6d3f48b, "");
SYMBOL_CRC(sas_port_delete_phy, 0xa52b8219, "");
SYMBOL_CRC(sas_port_mark_backlink, 0x41ca5ecf, "");
SYMBOL_CRC(sas_read_port_mode_page, 0x0c9504c6, "");
SYMBOL_CRC(sas_end_device_alloc, 0x6ce91110, "");
SYMBOL_CRC(sas_expander_alloc, 0x305ab617, "");
SYMBOL_CRC(sas_rphy_add, 0x6b1f7b5d, "");
SYMBOL_CRC(sas_rphy_free, 0x80bed367, "");
SYMBOL_CRC(sas_rphy_delete, 0xbc33f58f, "");
SYMBOL_CRC(sas_rphy_unlink, 0x90de95de, "");
SYMBOL_CRC(sas_rphy_remove, 0x66fd7928, "");
SYMBOL_CRC(scsi_is_sas_rphy, 0x54c86c09, "");
SYMBOL_CRC(sas_attach_transport, 0xfc4ebed5, "");
SYMBOL_CRC(sas_release_transport, 0xdb019899, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xc08db2d4, "attribute_container_register" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x704c5d41, "_dev_printk" },
	{ 0x19bebf97, "attribute_container_unregister" },
	{ 0xdb8f4d0e, "scsi_get_vpd_page" },
	{ 0xaf12ab6c, "scsi_mode_sense" },
	{ 0xa5bbdd31, "scsi_remove_host" },
	{ 0xb0d507b, "bsg_remove_queue" },
	{ 0x1e3b2f4e, "scsi_remove_target" },
	{ 0xd4de697d, "scsi_is_host_device" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0x1fcca9f4, "bsg_job_done" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x90046f7e, "dma_opt_mapping_size" },
	{ 0x4628038c, "device_initialize" },
	{ 0x50707f9c, "dev_set_name" },
	{ 0x24c1e392, "transport_setup_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xefb18d5e, "device_for_each_child" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9d3d08f0, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x9907f28, "device_add" },
	{ 0x62448607, "transport_add_device" },
	{ 0xa080840d, "transport_configure_device" },
	{ 0x1080ce71, "device_del" },
	{ 0x23391e4d, "transport_destroy_device" },
	{ 0xc1b3081f, "transport_remove_device" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x8576e767, "get_device" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x48ca2416, "sysfs_remove_link" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xe06a823e, "sysfs_create_link" },
	{ 0x92997ed8, "_printk" },
	{ 0xadeb723, "scsi_scan_target" },
	{ 0x9a25bd99, "bsg_setup_queue" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x754d539c, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0xf377a92b, "transport_class_register" },
	{ 0x699de54e, "transport_class_unregister" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "3109B07A74B7470B8C8BE31");

MODULE_INFO(suserelease, "SLFO-1.2");
