#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(spi_dv_device, "", "");
KSYMTAB_FUNC(spi_schedule_dv_device, "", "");
KSYMTAB_FUNC(spi_display_xfer_agreement, "", "");
KSYMTAB_FUNC(spi_populate_width_msg, "_gpl", "");
KSYMTAB_FUNC(spi_populate_sync_msg, "_gpl", "");
KSYMTAB_FUNC(spi_populate_ppr_msg, "_gpl", "");
KSYMTAB_FUNC(spi_populate_tag_msg, "_gpl", "");
KSYMTAB_FUNC(spi_print_msg, "", "");
KSYMTAB_FUNC(spi_attach_transport, "", "");
KSYMTAB_FUNC(spi_release_transport, "", "");

SYMBOL_CRC(spi_dv_device, 0x1a54f4ed, "");
SYMBOL_CRC(spi_schedule_dv_device, 0xca767eaa, "");
SYMBOL_CRC(spi_display_xfer_agreement, 0xba620936, "");
SYMBOL_CRC(spi_populate_width_msg, 0xcffa2aff, "_gpl");
SYMBOL_CRC(spi_populate_sync_msg, 0xa0c71dac, "_gpl");
SYMBOL_CRC(spi_populate_ppr_msg, 0x0ef06974, "_gpl");
SYMBOL_CRC(spi_populate_tag_msg, 0xdd500123, "_gpl");
SYMBOL_CRC(spi_print_msg, 0x3686ea09, "");
SYMBOL_CRC(spi_attach_transport, 0xc638fba9, "");
SYMBOL_CRC(spi_release_transport, 0x18bb5c29, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x71656afb, "mutex_unlock" },
	{ 0x5fa3de90, "scsi_target_resume" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc08db2d4, "attribute_container_register" },
	{ 0x19bebf97, "attribute_container_unregister" },
	{ 0xafb785bc, "sysfs_chmod_file" },
	{ 0xbe4a432c, "scsi_is_target_device" },
	{ 0x754d539c, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x704c5d41, "_dev_printk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x12955c3b, "scsi_execute_cmd" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfb578fc5, "memset" },
	{ 0x4be3d59f, "scsi_device_set_state" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb41f7c6d, "sdev_prefix_printk" },
	{ 0x92997ed8, "_printk" },
	{ 0xd4de697d, "scsi_is_host_device" },
	{ 0xefb18d5e, "device_for_each_child" },
	{ 0x4915c9e7, "scsi_is_sdev_device" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x25bcb541, "sysfs_update_group" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x204c5067, "scsi_dev_info_add_list" },
	{ 0xf377a92b, "transport_class_register" },
	{ 0xc15f733, "anon_transport_class_register" },
	{ 0x2733eaf7, "scsi_dev_info_list_add_keyed" },
	{ 0xf7dc8e03, "scsi_get_device_flags_keyed" },
	{ 0x71b12b37, "_dev_info" },
	{ 0x699de54e, "transport_class_unregister" },
	{ 0xfdfb3759, "anon_transport_class_unregister" },
	{ 0x97bdfa60, "scsi_dev_info_remove_list" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe914e41e, "strcpy" },
	{ 0x51085e3, "lock_system_sleep" },
	{ 0x640111b5, "scsi_autopm_get_device" },
	{ 0xecc6fa9b, "scsi_device_get" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x3178864c, "scsi_device_quiesce" },
	{ 0xf6c69454, "scsi_target_quiesce" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x37a0cba, "kfree" },
	{ 0xb8888eda, "scsi_device_put" },
	{ 0x4ab7fb55, "scsi_autopm_put_device" },
	{ 0x893c5ddb, "unlock_system_sleep" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "09DDC60794E32320F804204");

MODULE_INFO(suserelease, "SLFO-1.2");
