#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sdw_amd_probe, "", "SOUNDWIRE_AMD_INIT");
KSYMTAB_FUNC(sdw_amd_exit, "", "SOUNDWIRE_AMD_INIT");
KSYMTAB_FUNC(sdw_amd_get_slave_info, "", "SOUNDWIRE_AMD_INIT");

SYMBOL_CRC(sdw_amd_probe, 0x72f820b3, "");
SYMBOL_CRC(sdw_amd_exit, 0xaaff106c, "");
SYMBOL_CRC(sdw_amd_get_slave_info, 0xf6d0a7f1, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x287439a8, "sdw_stream_remove_master" },
	{ 0xc8240d31, "_dev_err" },
	{ 0xb8461669, "platform_device_unregister" },
	{ 0x1805d731, "platform_get_resource" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65eccb12, "__platform_driver_register" },
	{ 0x792c9efe, "devm_kasprintf" },
	{ 0x8e19f90a, "sdw_stream_add_master" },
	{ 0xc6cd8757, "platform_device_register_full" },
	{ 0xd5dcc637, "__pm_runtime_resume" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0xc181ef8, "acpi_fetch_acpi_dev" },
	{ 0x4256d4ca, "device_get_named_child_node" },
	{ 0x60e31fbb, "sdw_find_col_index" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xda20d2b6, "sdw_bus_master_delete" },
	{ 0x972fec3a, "__pm_runtime_use_autosuspend" },
	{ 0xf40beb46, "__pm_runtime_disable" },
	{ 0x3e7eff0d, "sdw_compute_slave_ports" },
	{ 0x1434841e, "sdw_bus_exit_clk_stop" },
	{ 0x87972c64, "sdw_master_read_prop" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x9a525edf, "sdw_bus_prep_clk_stop" },
	{ 0x3cb06817, "devm_kmalloc" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xdbe27298, "platform_driver_unregister" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xfdd169, "sdw_bus_clk_stop" },
	{ 0xf42ab0a3, "pm_runtime_set_autosuspend_delay" },
	{ 0xf8259582, "sdw_bus_master_add" },
	{ 0x5c8f81ef, "devm_ioremap" },
	{ 0x37a0cba, "kfree" },
	{ 0x1deee061, "sdw_find_row_index" },
	{ 0xefb18d5e, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xec523825, "sdw_handle_slave_status" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x478dcfc2, "__pm_runtime_set_status" },
	{ 0xfad49bbd, "devm_snd_soc_register_component" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6d93b33b, "pm_runtime_enable" },
	{ 0x5354bf73, "fwnode_property_read_u32_array" },
	{ 0x3d63d4fe, "sdw_clear_slave_status" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "soundwire-bus,soundwire-generic-allocation,snd-pcm,snd-soc-core");


MODULE_INFO(srcversion, "28CDA231589925865647A53");

MODULE_INFO(suserelease, "SLFO-1.2");
