#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sdw_cdns_config_update, "", "");
KSYMTAB_FUNC(sdw_cdns_config_update_set_wait, "", "");
KSYMTAB_FUNC(sdw_cdns_debugfs_init, "_gpl", "");
KSYMTAB_FUNC(cdns_xfer_msg, "", "");
KSYMTAB_FUNC(cdns_xfer_msg_defer, "", "");
KSYMTAB_FUNC(cdns_read_ping_status, "", "");
KSYMTAB_FUNC(sdw_cdns_irq, "", "");
KSYMTAB_FUNC(sdw_cdns_check_self_clearing_bits, "", "");
KSYMTAB_FUNC(sdw_cdns_exit_reset, "", "");
KSYMTAB_FUNC(sdw_cdns_enable_interrupt, "", "");
KSYMTAB_FUNC(sdw_cdns_pdi_init, "", "");
KSYMTAB_FUNC(sdw_cdns_init, "", "");
KSYMTAB_FUNC(cdns_bus_conf, "", "");
KSYMTAB_FUNC(sdw_cdns_is_clock_stop, "", "");
KSYMTAB_FUNC(sdw_cdns_clock_stop, "", "");
KSYMTAB_FUNC(sdw_cdns_clock_restart, "", "");
KSYMTAB_FUNC(sdw_cdns_probe, "", "");
KSYMTAB_FUNC(cdns_set_sdw_stream, "", "");
KSYMTAB_FUNC(sdw_cdns_config_stream, "", "");
KSYMTAB_FUNC(sdw_cdns_alloc_pdi, "", "");

SYMBOL_CRC(sdw_cdns_config_update, 0x2ab88d41, "");
SYMBOL_CRC(sdw_cdns_config_update_set_wait, 0x3b7e9e99, "");
SYMBOL_CRC(sdw_cdns_debugfs_init, 0x2406dc4b, "_gpl");
SYMBOL_CRC(cdns_xfer_msg, 0x9b4ad38a, "");
SYMBOL_CRC(cdns_xfer_msg_defer, 0x241de792, "");
SYMBOL_CRC(cdns_read_ping_status, 0x37c41573, "");
SYMBOL_CRC(sdw_cdns_irq, 0x34712074, "");
SYMBOL_CRC(sdw_cdns_check_self_clearing_bits, 0xf729a1b0, "");
SYMBOL_CRC(sdw_cdns_exit_reset, 0xb2a99e73, "");
SYMBOL_CRC(sdw_cdns_enable_interrupt, 0x2632cb1e, "");
SYMBOL_CRC(sdw_cdns_pdi_init, 0xfc9e6271, "");
SYMBOL_CRC(sdw_cdns_init, 0x0973d74e, "");
SYMBOL_CRC(cdns_bus_conf, 0x06da0b03, "");
SYMBOL_CRC(sdw_cdns_is_clock_stop, 0x57f5257a, "");
SYMBOL_CRC(sdw_cdns_clock_stop, 0xc11d1e3f, "");
SYMBOL_CRC(sdw_cdns_clock_restart, 0x518d2100, "");
SYMBOL_CRC(sdw_cdns_probe, 0xb064f85f, "");
SYMBOL_CRC(cdns_set_sdw_stream, 0x1924edb7, "");
SYMBOL_CRC(sdw_cdns_config_stream, 0x6cc7c7a2, "");
SYMBOL_CRC(sdw_cdns_alloc_pdi, 0x059d8633, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1deee061, "sdw_find_row_index" },
	{ 0x2e4f415b, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xec523825, "sdw_handle_slave_status" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x71b12b37, "_dev_info" },
	{ 0xeb6eb87, "add_taint" },
	{ 0x75929dff, "debugfs_attr_read" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x1dde4200, "simple_attr_release" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4a38d9f7, "seq_read" },
	{ 0xd5dcc637, "__pm_runtime_resume" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x60e31fbb, "sdw_find_col_index" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x7ad7a5cd, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x8ae718dd, "debugfs_create_file_full" },
	{ 0x8d8b2fb3, "single_release" },
	{ 0xea25747, "sdw_bread_no_pm_unlocked" },
	{ 0xdf0614a1, "__pm_runtime_suspend" },
	{ 0xf2203c5f, "param_ops_int" },
	{ 0x495b28e9, "single_open" },
	{ 0x1434841e, "sdw_bus_exit_clk_stop" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x9a525edf, "sdw_bus_prep_clk_stop" },
	{ 0xdc2f1a09, "simple_attr_open" },
	{ 0x76b3852f, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x3cb06817, "devm_kmalloc" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xfdd169, "sdw_bus_clk_stop" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "soundwire-bus");


MODULE_INFO(srcversion, "007E1F582C3C0D774127844");

MODULE_INFO(suserelease, "SLFO-1.2");
