#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(sdw_intel_cnl_hw_ops, "", "SOUNDWIRE_INTEL");
KSYMTAB_DATA(sdw_intel_lnl_hw_ops, "", "SOUNDWIRE_INTEL");
KSYMTAB_FUNC(sdw_intel_thread, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_probe, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_startup, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_exit, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_process_wakeen_event, "", "SOUNDWIRE_INTEL_INIT");

SYMBOL_CRC(sdw_intel_cnl_hw_ops, 0x6eb578fe, "");
SYMBOL_CRC(sdw_intel_lnl_hw_ops, 0x97ab276d, "");
SYMBOL_CRC(sdw_intel_thread, 0xaa52eba1, "");
SYMBOL_CRC(sdw_intel_probe, 0x7f23d1a3, "");
SYMBOL_CRC(sdw_intel_startup, 0x6da2ac4c, "");
SYMBOL_CRC(sdw_intel_exit, 0x8065c5ef, "");
SYMBOL_CRC(sdw_intel_process_wakeen_event, 0x5205e39f, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc11d1e3f, "sdw_cdns_clock_stop" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x754276d4, "fwnode_property_read_u16_array" },
	{ 0xc777d58b, "hdac_bus_eml_sdw_power_up_unlocked" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x6de67898, "debugfs_remove" },
	{ 0x241de792, "cdns_xfer_msg_defer" },
	{ 0x9b4ad38a, "cdns_xfer_msg" },
	{ 0x10119bb, "ida_free" },
	{ 0x1080ce71, "device_del" },
	{ 0xb555558, "hdac_bus_eml_sdw_check_cmdsync_unlocked" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x792c9efe, "devm_kasprintf" },
	{ 0x32238c85, "hdac_bus_eml_sdw_sync_arm_unlocked" },
	{ 0x4a38d9f7, "seq_read" },
	{ 0x8e19f90a, "sdw_stream_add_master" },
	{ 0xd5dcc637, "__pm_runtime_resume" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x37c41573, "cdns_read_ping_status" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc181ef8, "acpi_fetch_acpi_dev" },
	{ 0x4256d4ca, "device_get_named_child_node" },
	{ 0xb064f85f, "sdw_cdns_probe" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x2ab88d41, "sdw_cdns_config_update" },
	{ 0x7ad7a5cd, "seq_printf" },
	{ 0x8ae718dd, "debugfs_create_file_full" },
	{ 0xda20d2b6, "sdw_bus_master_delete" },
	{ 0x8d8b2fb3, "single_release" },
	{ 0x7fd53ce0, "__auxiliary_driver_register" },
	{ 0xf729a1b0, "sdw_cdns_check_self_clearing_bits" },
	{ 0x972fec3a, "__pm_runtime_use_autosuspend" },
	{ 0xd3df457c, "hdac_bus_eml_sdw_wait_syncpu_unlocked" },
	{ 0xf2203c5f, "param_ops_int" },
	{ 0x34712074, "sdw_cdns_irq" },
	{ 0x495b28e9, "single_open" },
	{ 0x5bd3f8a2, "hdac_bus_eml_sdw_sync_go_unlocked" },
	{ 0xf40beb46, "__pm_runtime_disable" },
	{ 0xd20f3ddd, "debugfs_create_dir" },
	{ 0x87972c64, "sdw_master_read_prop" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0xdfa1087d, "hdac_bus_eml_get_count" },
	{ 0x98c745b2, "sdw_compute_params" },
	{ 0x66ebde19, "__pm_runtime_idle" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xfc9e6271, "sdw_cdns_pdi_init" },
	{ 0xa2429ab9, "ida_alloc_range" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xdc2f1a09, "simple_attr_open" },
	{ 0x76b3852f, "debugfs_attr_write" },
	{ 0x3cb06817, "devm_kmalloc" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x3bc953ae, "auxiliary_device_init" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x973d74e, "sdw_cdns_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x518d2100, "sdw_cdns_clock_restart" },
	{ 0x2406dc4b, "sdw_cdns_debugfs_init" },
	{ 0xd36a7172, "hdac_bus_eml_sdw_set_syncprd_unlocked" },
	{ 0xf42ab0a3, "pm_runtime_set_autosuspend_delay" },
	{ 0xf8259582, "sdw_bus_master_add" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0x2632cb1e, "sdw_cdns_enable_interrupt" },
	{ 0x96848186, "scnprintf" },
	{ 0x799689ac, "hdac_bus_eml_sdw_power_down_unlocked" },
	{ 0x37a0cba, "kfree" },
	{ 0x57f5257a, "sdw_cdns_is_clock_stop" },
	{ 0x2e4f415b, "seq_lseek" },
	{ 0x3b7e9e99, "sdw_cdns_config_update_set_wait" },
	{ 0xefb18d5e, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6cc7c7a2, "sdw_cdns_config_stream" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x478dcfc2, "__pm_runtime_set_status" },
	{ 0xd10b03ea, "auxiliary_driver_unregister" },
	{ 0xfad49bbd, "devm_snd_soc_register_component" },
	{ 0x6da0b03, "cdns_bus_conf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x9d3d08f0, "put_device" },
	{ 0x1924edb7, "cdns_set_sdw_stream" },
	{ 0x6d93b33b, "pm_runtime_enable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5354bf73, "fwnode_property_read_u32_array" },
	{ 0x71b12b37, "_dev_info" },
	{ 0xeb6eb87, "add_taint" },
	{ 0x3d63d4fe, "sdw_clear_slave_status" },
	{ 0x75929dff, "debugfs_attr_read" },
	{ 0x287439a8, "sdw_stream_remove_master" },
	{ 0xe06b201e, "hdac_bus_eml_sdw_set_lsdiid" },
	{ 0xb2a99e73, "sdw_cdns_exit_reset" },
	{ 0xc8240d31, "_dev_err" },
	{ 0xaa549fd2, "hdac_bus_eml_sdw_get_lsdiid_unlocked" },
	{ 0x1dde4200, "simple_attr_release" },
	{ 0x75a1618c, "__auxiliary_device_add" },
	{ 0x59d8633, "sdw_cdns_alloc_pdi" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "soundwire-cadence,snd-sof-intel-hda-mlink,soundwire-bus,soundwire-generic-allocation,snd-pcm,snd-soc-core");

MODULE_ALIAS("auxiliary:soundwire_intel.link");

MODULE_INFO(srcversion, "5246981DC83D7F233A4C3AD");

MODULE_INFO(suserelease, "SLFO-1.2");
