#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

MODULE_INFO(staging, "Y");

KSYMTAB_FUNC(alloc_rtllib, "", "");
KSYMTAB_FUNC(free_rtllib, "", "");
KSYMTAB_FUNC(rtllib_rx, "", "");
KSYMTAB_FUNC(rtllib_legal_channel, "", "");
KSYMTAB_FUNC(rtllib_xmit, "", "");
KSYMTAB_FUNC(rtllib_wx_get_scan, "", "");
KSYMTAB_FUNC(rtllib_wx_set_encode, "", "");
KSYMTAB_FUNC(rtllib_wx_get_encode, "", "");
KSYMTAB_FUNC(rtllib_wx_set_encode_ext, "", "");
KSYMTAB_FUNC(rtllib_wx_set_mlme, "", "");
KSYMTAB_FUNC(rtllib_wx_set_auth, "", "");
KSYMTAB_FUNC(rtllib_wx_set_gen_ie, "", "");
KSYMTAB_FUNC(rtllib_stop_scan, "", "");
KSYMTAB_FUNC(rtllib_stop_scan_syncro, "", "");
KSYMTAB_FUNC(rtllib_act_scanning, "", "");
KSYMTAB_FUNC(rtllib_start_scan_syncro, "", "");
KSYMTAB_FUNC(rtllib_sta_ps_send_null_frame, "", "");
KSYMTAB_FUNC(rtllib_ps_tx_ack, "", "");
KSYMTAB_FUNC(rtllib_reset_queue, "", "");
KSYMTAB_FUNC(rtllib_softmac_stop_protocol, "", "");
KSYMTAB_FUNC(rtllib_softmac_start_protocol, "", "");
KSYMTAB_FUNC(rtllib_mgnt_disconnect, "", "");
KSYMTAB_FUNC(notify_wx_assoc_event, "", "");
KSYMTAB_FUNC(rtllib_wx_set_freq, "", "");
KSYMTAB_FUNC(rtllib_wx_get_freq, "", "");
KSYMTAB_FUNC(rtllib_wx_get_wap, "", "");
KSYMTAB_FUNC(rtllib_wx_set_wap, "", "");
KSYMTAB_FUNC(rtllib_wx_get_essid, "", "");
KSYMTAB_FUNC(rtllib_wx_set_rate, "", "");
KSYMTAB_FUNC(rtllib_wx_get_rate, "", "");
KSYMTAB_FUNC(rtllib_wx_set_rts, "", "");
KSYMTAB_FUNC(rtllib_wx_get_rts, "", "");
KSYMTAB_FUNC(rtllib_wx_set_mode, "", "");
KSYMTAB_FUNC(rtllib_wx_set_scan, "", "");
KSYMTAB_FUNC(rtllib_wx_set_essid, "", "");
KSYMTAB_FUNC(rtllib_wx_get_mode, "", "");
KSYMTAB_FUNC(rtllib_wx_get_name, "", "");
KSYMTAB_FUNC(rtllib_wx_set_power, "", "");
KSYMTAB_FUNC(rtllib_wx_get_power, "", "");
KSYMTAB_FUNC(HT_update_self_and_peer_setting, "", "");
KSYMTAB_FUNC(remove_peer_ts, "", "");

SYMBOL_CRC(alloc_rtllib, 0x7f36716c, "");
SYMBOL_CRC(free_rtllib, 0xcce45aa6, "");
SYMBOL_CRC(rtllib_rx, 0x2d5c313f, "");
SYMBOL_CRC(rtllib_legal_channel, 0x11f11447, "");
SYMBOL_CRC(rtllib_xmit, 0x86c3d4d0, "");
SYMBOL_CRC(rtllib_wx_get_scan, 0x46b8f1ea, "");
SYMBOL_CRC(rtllib_wx_set_encode, 0x4e83502a, "");
SYMBOL_CRC(rtllib_wx_get_encode, 0x9a4a0844, "");
SYMBOL_CRC(rtllib_wx_set_encode_ext, 0x1fe531e8, "");
SYMBOL_CRC(rtllib_wx_set_mlme, 0x2120b1fe, "");
SYMBOL_CRC(rtllib_wx_set_auth, 0xb9c55d70, "");
SYMBOL_CRC(rtllib_wx_set_gen_ie, 0x4d64ad44, "");
SYMBOL_CRC(rtllib_stop_scan, 0xa21ca888, "");
SYMBOL_CRC(rtllib_stop_scan_syncro, 0x4d8a6f28, "");
SYMBOL_CRC(rtllib_act_scanning, 0x87598db7, "");
SYMBOL_CRC(rtllib_start_scan_syncro, 0x4da0a614, "");
SYMBOL_CRC(rtllib_sta_ps_send_null_frame, 0x30704b1b, "");
SYMBOL_CRC(rtllib_ps_tx_ack, 0xf337ae31, "");
SYMBOL_CRC(rtllib_reset_queue, 0xd21a25aa, "");
SYMBOL_CRC(rtllib_softmac_stop_protocol, 0xfdd070b8, "");
SYMBOL_CRC(rtllib_softmac_start_protocol, 0x25eabfd4, "");
SYMBOL_CRC(rtllib_mgnt_disconnect, 0xccb45067, "");
SYMBOL_CRC(notify_wx_assoc_event, 0x71217905, "");
SYMBOL_CRC(rtllib_wx_set_freq, 0xacf20b94, "");
SYMBOL_CRC(rtllib_wx_get_freq, 0xc319ed52, "");
SYMBOL_CRC(rtllib_wx_get_wap, 0x5fad2c67, "");
SYMBOL_CRC(rtllib_wx_set_wap, 0x043c0bb1, "");
SYMBOL_CRC(rtllib_wx_get_essid, 0xad5ff71b, "");
SYMBOL_CRC(rtllib_wx_set_rate, 0x91556a76, "");
SYMBOL_CRC(rtllib_wx_get_rate, 0xfebe8cb0, "");
SYMBOL_CRC(rtllib_wx_set_rts, 0x5b0e8a8f, "");
SYMBOL_CRC(rtllib_wx_get_rts, 0x009fad59, "");
SYMBOL_CRC(rtllib_wx_set_mode, 0x8e8b0c54, "");
SYMBOL_CRC(rtllib_wx_set_scan, 0x2953172c, "");
SYMBOL_CRC(rtllib_wx_set_essid, 0xdf377b78, "");
SYMBOL_CRC(rtllib_wx_get_mode, 0xe160ea92, "");
SYMBOL_CRC(rtllib_wx_get_name, 0xb5ba275e, "");
SYMBOL_CRC(rtllib_wx_set_power, 0x9fe7311e, "");
SYMBOL_CRC(rtllib_wx_get_power, 0xed8fbd7d, "");
SYMBOL_CRC(HT_update_self_and_peer_setting, 0xed24bd5f, "");
SYMBOL_CRC(remove_peer_ts, 0x21ebb894, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe45f97ac, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x4424eef3, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x502db1b1, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x39a91fe2, "lib80211_crypt_info_init" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe648e7c0, "skb_queue_tail" },
	{ 0xbab7a12, "lib80211_get_crypto_ops" },
	{ 0x1c785e13, "skb_pull" },
	{ 0x24d273d1, "add_timer" },
	{ 0x6d64c27f, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xed153b93, "skb_push" },
	{ 0x5a921311, "strncmp" },
	{ 0x67e908e5, "wireless_send_event" },
	{ 0x9166fada, "strncpy" },
	{ 0x209cb8eb, "free_netdev" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xca71e691, "netif_tx_stop_all_queues" },
	{ 0x8be8cd38, "netif_tx_wake_queue" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x4d24402, "iwe_stream_add_point" },
	{ 0x5dfcb6d3, "netif_rx" },
	{ 0x4e69b266, "__netdev_alloc_skb" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x23709dd3, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x18c68f13, "netdev_alert" },
	{ 0x4eff18cf, "lib80211_crypt_info_free" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf2eabe4f, "netif_carrier_off" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x2ef6528d, "lib80211_crypt_delayed_deinit" },
	{ 0x72153cc5, "netif_carrier_on" },
	{ 0x754d539c, "strlen" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0x16a57400, "dev_kfree_skb_any_reason" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x8a9b70b, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x18689cd6, "alloc_etherdev_mqs" },
	{ 0xe914e41e, "strcpy" },
	{ 0x4e5daa9a, "try_module_get" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x3ec4ea5, "skb_put" },
	{ 0x92c856a3, "iwe_stream_add_event" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x74885bdc, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0x96848186, "scnprintf" },
	{ 0xd4ba2b99, "dev_trans_start" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "lib80211,cfg80211");


MODULE_INFO(srcversion, "78AB9FA809DB4301DC7C1DA");

MODULE_INFO(suserelease, "SLFO-1.2");
