#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(teedev_open, "_gpl", "");
KSYMTAB_FUNC(teedev_close_context, "_gpl", "");
KSYMTAB_FUNC(tee_session_calc_client_uuid, "_gpl", "");
KSYMTAB_FUNC(tee_device_alloc, "_gpl", "");
KSYMTAB_FUNC(tee_device_set_dev_groups, "_gpl", "");
KSYMTAB_FUNC(tee_device_register, "_gpl", "");
KSYMTAB_FUNC(tee_device_unregister, "_gpl", "");
KSYMTAB_FUNC(tee_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(tee_client_open_context, "_gpl", "");
KSYMTAB_FUNC(tee_client_close_context, "_gpl", "");
KSYMTAB_FUNC(tee_client_get_version, "_gpl", "");
KSYMTAB_FUNC(tee_client_open_session, "_gpl", "");
KSYMTAB_FUNC(tee_client_close_session, "_gpl", "");
KSYMTAB_FUNC(tee_client_system_session, "_gpl", "");
KSYMTAB_FUNC(tee_client_invoke_func, "_gpl", "");
KSYMTAB_DATA(tee_bus_type, "_gpl", "");
KSYMTAB_FUNC(tee_shm_alloc_kernel_buf, "_gpl", "");
KSYMTAB_FUNC(tee_shm_alloc_priv_buf, "_gpl", "");
KSYMTAB_FUNC(tee_dyn_shm_alloc_helper, "_gpl", "");
KSYMTAB_FUNC(tee_dyn_shm_free_helper, "_gpl", "");
KSYMTAB_FUNC(tee_shm_register_kernel_buf, "_gpl", "");
KSYMTAB_FUNC(tee_shm_free, "_gpl", "");
KSYMTAB_FUNC(tee_shm_get_va, "_gpl", "");
KSYMTAB_FUNC(tee_shm_get_pa, "_gpl", "");
KSYMTAB_FUNC(tee_shm_get_from_id, "_gpl", "");
KSYMTAB_FUNC(tee_shm_put, "_gpl", "");
KSYMTAB_FUNC(tee_shm_pool_alloc_res_mem, "_gpl", "");

SYMBOL_CRC(teedev_open, 0xf8cc5a61, "_gpl");
SYMBOL_CRC(teedev_close_context, 0x0883bba6, "_gpl");
SYMBOL_CRC(tee_session_calc_client_uuid, 0x85fd9922, "_gpl");
SYMBOL_CRC(tee_device_alloc, 0x01f246b2, "_gpl");
SYMBOL_CRC(tee_device_set_dev_groups, 0x77e2f111, "_gpl");
SYMBOL_CRC(tee_device_register, 0x7ac5afdf, "_gpl");
SYMBOL_CRC(tee_device_unregister, 0xcbbeef69, "_gpl");
SYMBOL_CRC(tee_get_drvdata, 0x8db97b8b, "_gpl");
SYMBOL_CRC(tee_client_open_context, 0x9d14d5d0, "_gpl");
SYMBOL_CRC(tee_client_close_context, 0xadcc61fb, "_gpl");
SYMBOL_CRC(tee_client_get_version, 0x52379ff7, "_gpl");
SYMBOL_CRC(tee_client_open_session, 0x25fd6ced, "_gpl");
SYMBOL_CRC(tee_client_close_session, 0xee5e9c84, "_gpl");
SYMBOL_CRC(tee_client_system_session, 0x101bf1d5, "_gpl");
SYMBOL_CRC(tee_client_invoke_func, 0xc1772bb5, "_gpl");
SYMBOL_CRC(tee_bus_type, 0x3d9caf96, "_gpl");
SYMBOL_CRC(tee_shm_alloc_kernel_buf, 0xcb33d123, "_gpl");
SYMBOL_CRC(tee_shm_alloc_priv_buf, 0x7eb5cf04, "_gpl");
SYMBOL_CRC(tee_dyn_shm_alloc_helper, 0x420d399b, "_gpl");
SYMBOL_CRC(tee_dyn_shm_free_helper, 0x65a28f7e, "_gpl");
SYMBOL_CRC(tee_shm_register_kernel_buf, 0xaf4fc2b1, "_gpl");
SYMBOL_CRC(tee_shm_free, 0xc97d5999, "_gpl");
SYMBOL_CRC(tee_shm_get_va, 0x152f8195, "_gpl");
SYMBOL_CRC(tee_shm_get_pa, 0x9c5b4d86, "_gpl");
SYMBOL_CRC(tee_shm_get_from_id, 0x3afd2534, "_gpl");
SYMBOL_CRC(tee_shm_put, 0x12ed42af, "_gpl");
SYMBOL_CRC(tee_shm_pool_alloc_res_mem, 0x65e5a8c7, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2c493cf2, "remap_pfn_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe7d10c72, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6dbd6cb7, "gen_pool_destroy" },
	{ 0x92997ed8, "_printk" },
	{ 0x4494c65a, "cdev_device_add" },
	{ 0x76a0190a, "anon_inode_getfd" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9d3d08f0, "put_device" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0x5c597b98, "iov_iter_extract_pages" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x7228ccc9, "compat_ptr_ioctl" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xb9a85f0c, "idr_remove" },
	{ 0x12cb1804, "bus_unregister" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x9820f51a, "idr_alloc" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x3029544b, "iov_iter_kvec" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xc2a79e8f, "crypto_shash_update" },
	{ 0xafc20114, "class_unregister" },
	{ 0x481dda0e, "__put_devmap_managed_folio_refs" },
	{ 0x4d470eb0, "idr_destroy" },
	{ 0x896c3e8, "alloc_pages_exact_noprof" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xfc95f217, "gen_pool_add_owner" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x8225e746, "make_kgid" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xfca1d7dd, "crypto_shash_final" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0xb4997186, "gen_pool_free_owner" },
	{ 0x64a5c687, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x58ec7472, "gen_pool_alloc_algo_owner" },
	{ 0xcf50135, "gen_pool_first_fit_align" },
	{ 0xeb44339a, "free_pages_exact" },
	{ 0xc6087af5, "gen_pool_virt_to_phys" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0xd63960b9, "crypto_alloc_shash" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x4f851c29, "iov_iter_npages" },
	{ 0xb3d2d914, "class_register" },
	{ 0xda59c8d, "cdev_init" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xddbd0482, "bus_register" },
	{ 0x8e4b8288, "class_find_device" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x333051c0, "idr_find" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x50707f9c, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xd29b6971, "gen_pool_create" },
	{ 0x59a754ae, "cdev_device_del" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0x96848186, "scnprintf" },
	{ 0xe4ef0a16, "idr_replace" },
	{ 0x4628038c, "device_initialize" },
	{ 0xcff2ffff, "unpin_user_pages" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F990AB9E202D0939F5B8C9E");

MODULE_INFO(suserelease, "SLFO-1.2");
