#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(gether_setup_name, "_gpl", "");
KSYMTAB_FUNC(gether_setup_name_default, "_gpl", "");
KSYMTAB_FUNC(gether_register_netdev, "_gpl", "");
KSYMTAB_FUNC(gether_set_gadget, "_gpl", "");
KSYMTAB_FUNC(gether_set_dev_addr, "_gpl", "");
KSYMTAB_FUNC(gether_get_dev_addr, "_gpl", "");
KSYMTAB_FUNC(gether_set_host_addr, "_gpl", "");
KSYMTAB_FUNC(gether_get_host_addr, "_gpl", "");
KSYMTAB_FUNC(gether_get_host_addr_cdc, "_gpl", "");
KSYMTAB_FUNC(gether_get_host_addr_u8, "_gpl", "");
KSYMTAB_FUNC(gether_set_qmult, "_gpl", "");
KSYMTAB_FUNC(gether_get_qmult, "_gpl", "");
KSYMTAB_FUNC(gether_get_ifname, "_gpl", "");
KSYMTAB_FUNC(gether_set_ifname, "_gpl", "");
KSYMTAB_FUNC(gether_suspend, "_gpl", "");
KSYMTAB_FUNC(gether_resume, "_gpl", "");
KSYMTAB_FUNC(gether_cleanup, "_gpl", "");
KSYMTAB_FUNC(gether_connect, "_gpl", "");
KSYMTAB_FUNC(gether_disconnect, "_gpl", "");

SYMBOL_CRC(gether_setup_name, 0x036cc7d0, "_gpl");
SYMBOL_CRC(gether_setup_name_default, 0x3398d99c, "_gpl");
SYMBOL_CRC(gether_register_netdev, 0xc1f31be8, "_gpl");
SYMBOL_CRC(gether_set_gadget, 0x003e4663, "_gpl");
SYMBOL_CRC(gether_set_dev_addr, 0x3a9e8761, "_gpl");
SYMBOL_CRC(gether_get_dev_addr, 0x83e64027, "_gpl");
SYMBOL_CRC(gether_set_host_addr, 0x682c6377, "_gpl");
SYMBOL_CRC(gether_get_host_addr, 0xf57eb6de, "_gpl");
SYMBOL_CRC(gether_get_host_addr_cdc, 0x3885f913, "_gpl");
SYMBOL_CRC(gether_get_host_addr_u8, 0xee11c1e1, "_gpl");
SYMBOL_CRC(gether_set_qmult, 0x407067a1, "_gpl");
SYMBOL_CRC(gether_get_qmult, 0x55154188, "_gpl");
SYMBOL_CRC(gether_get_ifname, 0xd6597caa, "_gpl");
SYMBOL_CRC(gether_set_ifname, 0x5807b3c8, "_gpl");
SYMBOL_CRC(gether_suspend, 0x45d0fe40, "_gpl");
SYMBOL_CRC(gether_resume, 0xaba02fd8, "_gpl");
SYMBOL_CRC(gether_cleanup, 0x8878cfa6, "_gpl");
SYMBOL_CRC(gether_connect, 0x6c85b3d6, "_gpl");
SYMBOL_CRC(gether_disconnect, 0x58de4ae2, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x11089ac7, "_ctype" },
	{ 0x754d539c, "strlen" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x712fdcf3, "dev_addr_mod" },
	{ 0xc10e4626, "register_netdev" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0x71b12b37, "_dev_info" },
	{ 0xf2eabe4f, "netif_carrier_off" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x96848186, "scnprintf" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x349cba85, "strchr" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x852c5aa5, "unregister_netdev" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x209cb8eb, "free_netdev" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc8240d31, "_dev_err" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x18689cd6, "alloc_etherdev_mqs" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0xb6a0c708, "usb_func_wakeup" },
	{ 0xa5e6cd3, "usb_gadget_wakeup" },
	{ 0xb2224364, "usb_ep_alloc_request" },
	{ 0x5f18014, "usb_ep_free_request" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7e1733d8, "usb_ep_disable" },
	{ 0xe49ba700, "usb_ep_enable" },
	{ 0x16a57400, "dev_kfree_skb_any_reason" },
	{ 0x8be8cd38, "netif_tx_wake_queue" },
	{ 0x4e69b266, "__netdev_alloc_skb" },
	{ 0x9a645086, "usb_ep_queue" },
	{ 0x72153cc5, "netif_carrier_on" },
	{ 0x3ec4ea5, "skb_put" },
	{ 0x512c59c3, "skb_dequeue" },
	{ 0xe648e7c0, "skb_queue_tail" },
	{ 0x502db1b1, "eth_type_trans" },
	{ 0x5dfcb6d3, "netif_rx" },
	{ 0xcce54922, "eth_mac_addr" },
	{ 0x3b2e7a22, "eth_validate_addr" },
	{ 0xfd80cd6b, "ethtool_op_get_link" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "libcomposite");


MODULE_INFO(srcversion, "F05D924038C656E4F6E6FBB");

MODULE_INFO(suserelease, "SLFO-1.2");
