#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rndis_borrow_net, "_gpl", "");
KSYMTAB_FUNC(rndis_signal_connect, "_gpl", "");
KSYMTAB_FUNC(rndis_signal_disconnect, "_gpl", "");
KSYMTAB_FUNC(rndis_uninit, "_gpl", "");
KSYMTAB_FUNC(rndis_set_host_mac, "_gpl", "");
KSYMTAB_FUNC(rndis_msg_parser, "_gpl", "");
KSYMTAB_FUNC(rndis_register, "_gpl", "");
KSYMTAB_FUNC(rndis_deregister, "_gpl", "");
KSYMTAB_FUNC(rndis_set_param_dev, "_gpl", "");
KSYMTAB_FUNC(rndis_set_param_vendor, "_gpl", "");
KSYMTAB_FUNC(rndis_set_param_medium, "_gpl", "");
KSYMTAB_FUNC(rndis_add_hdr, "_gpl", "");
KSYMTAB_FUNC(rndis_free_response, "_gpl", "");
KSYMTAB_FUNC(rndis_get_next_response, "_gpl", "");
KSYMTAB_FUNC(rndis_rm_hdr, "_gpl", "");

SYMBOL_CRC(rndis_borrow_net, 0xf02548dd, "_gpl");
SYMBOL_CRC(rndis_signal_connect, 0xaef36335, "_gpl");
SYMBOL_CRC(rndis_signal_disconnect, 0x9783f297, "_gpl");
SYMBOL_CRC(rndis_uninit, 0xc3613041, "_gpl");
SYMBOL_CRC(rndis_set_host_mac, 0x4b161a92, "_gpl");
SYMBOL_CRC(rndis_msg_parser, 0xa6f0a012, "_gpl");
SYMBOL_CRC(rndis_register, 0x71b489af, "_gpl");
SYMBOL_CRC(rndis_deregister, 0xb5f6c0ee, "_gpl");
SYMBOL_CRC(rndis_set_param_dev, 0x5004a5f3, "_gpl");
SYMBOL_CRC(rndis_set_param_vendor, 0x320c9239, "_gpl");
SYMBOL_CRC(rndis_set_param_medium, 0x3856059e, "_gpl");
SYMBOL_CRC(rndis_add_hdr, 0x8c1dc7c9, "_gpl");
SYMBOL_CRC(rndis_free_response, 0x70276ca9, "_gpl");
SYMBOL_CRC(rndis_get_next_response, 0x445691a3, "_gpl");
SYMBOL_CRC(rndis_rm_hdr, 0x1350bed2, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xee11c1e1, "gether_get_host_addr_u8" },
	{ 0x407067a1, "gether_set_qmult" },
	{ 0x23da8e76, "config_group_init_type_name" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xf57eb6de, "gether_get_host_addr" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xed153b93, "skb_push" },
	{ 0x3e4663, "gether_set_gadget" },
	{ 0x10119bb, "ida_free" },
	{ 0x209cb8eb, "free_netdev" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x16ae0ac6, "usb_ep_autoconfig" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xcb76d150, "usb_put_function_instance" },
	{ 0x8be8cd38, "netif_tx_wake_queue" },
	{ 0x6c85b3d6, "gether_connect" },
	{ 0x83e64027, "gether_get_dev_addr" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x682c6377, "gether_set_host_addr" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xd62ba63d, "skb_trim" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x24867fd4, "usb_function_unregister" },
	{ 0x8878cfa6, "gether_cleanup" },
	{ 0x97210b38, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb2224364, "usb_ep_alloc_request" },
	{ 0xd6597caa, "gether_get_ifname" },
	{ 0x5807b3c8, "gether_set_ifname" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xf2eabe4f, "netif_carrier_off" },
	{ 0x72153cc5, "netif_carrier_on" },
	{ 0x3398d99c, "gether_setup_name_default" },
	{ 0x9a645086, "usb_ep_queue" },
	{ 0x55154188, "gether_get_qmult" },
	{ 0x754d539c, "strlen" },
	{ 0x16a57400, "dev_kfree_skb_any_reason" },
	{ 0xe49ba700, "usb_ep_enable" },
	{ 0x7e1733d8, "usb_ep_disable" },
	{ 0x9246e1e6, "usb_free_all_descriptors" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x459e010, "usb_gstrings_attach" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xa2429ab9, "ida_alloc_range" },
	{ 0xd358e987, "dev_get_stats" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x48873aab, "usb_os_desc_prepare_interf_dir" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x74885bdc, "consume_skb" },
	{ 0xab94671d, "usb_interface_id" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0x91b6d3df, "usb_assign_descriptors" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x58de4ae2, "gether_disconnect" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0x5f18014, "usb_ep_free_request" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xff0835a0, "config_ep_by_speed" },
	{ 0x3a9e8761, "gether_set_dev_addr" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc1f31be8, "gether_register_netdev" },
	{ 0xe648e7c0, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x38dcc6b2, "usb_function_register" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x1c785e13, "skb_pull" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "u_ether,configfs,libcomposite");


MODULE_INFO(srcversion, "4FC2C0E068EB8031083783C");

MODULE_INFO(suserelease, "SLFO-1.2");
