#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ehci_handshake, "_gpl", "");
KSYMTAB_FUNC(ehci_reset, "_gpl", "");
KSYMTAB_FUNC(ehci_adjust_port_wakeup_flags, "_gpl", "");
KSYMTAB_FUNC(ehci_hub_control, "_gpl", "");
KSYMTAB_FUNC(ehci_setup, "_gpl", "");
KSYMTAB_FUNC(ehci_suspend, "_gpl", "");
KSYMTAB_FUNC(ehci_resume, "_gpl", "");
KSYMTAB_FUNC(ehci_init_driver, "_gpl", "");

SYMBOL_CRC(ehci_handshake, 0x0cb8430b, "_gpl");
SYMBOL_CRC(ehci_reset, 0x7435c38b, "_gpl");
SYMBOL_CRC(ehci_adjust_port_wakeup_flags, 0x8b32d7b8, "_gpl");
SYMBOL_CRC(ehci_hub_control, 0x9f8f3425, "_gpl");
SYMBOL_CRC(ehci_setup, 0x5fbc9529, "_gpl");
SYMBOL_CRC(ehci_suspend, 0xbcb177ec, "_gpl");
SYMBOL_CRC(ehci_resume, 0x520ffbb0, "_gpl");
SYMBOL_CRC(ehci_init_driver, 0xffefed74, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x469a04a4, "usb_for_each_dev" },
	{ 0x56470118, "__warn_printk" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x86183dc7, "usb_hcd_check_unlink_urb" },
	{ 0x16ddfac2, "usb_hcd_link_urb_to_ep" },
	{ 0xdc825d6c, "usb_amd_quirk_pll_disable" },
	{ 0x10ecc52c, "usb_amd_quirk_pll_enable" },
	{ 0x7d0838d5, "usb_hc_died" },
	{ 0x63878bcc, "usb_hcd_poll_rh_status" },
	{ 0x83db7d7c, "default_llseek" },
	{ 0x9199b9f0, "param_ops_bool" },
	{ 0xe5eb5fd0, "param_ops_uint" },
	{ 0xf2203c5f, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x96848186, "scnprintf" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xf9a482f9, "msleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2955eee2, "usb_hub_clear_tt_buffer" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0x5182fc5f, "usb_hcd_unlink_urb_from_ep" },
	{ 0xfed90faf, "usb_hcd_giveback_urb" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xf4334299, "dma_free_attrs" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x71b12b37, "_dev_info" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x999e8297, "vfree" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0xc17515d7, "usb_hcds_loaded" },
	{ 0x92997ed8, "_printk" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6e99c6b, "usb_debug_root" },
	{ 0xd20f3ddd, "debugfs_create_dir" },
	{ 0x9615c147, "__platform_register_drivers" },
	{ 0x6de67898, "debugfs_remove" },
	{ 0x3b5155e4, "platform_unregister_drivers" },
	{ 0x154383f7, "usb_hcd_resume_root_hub" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3a5797c9, "hrtimer_start_range_ns" },
	{ 0x6473fad4, "pci_bus_type" },
	{ 0x127572c3, "pci_read_config_dword" },
	{ 0x754d539c, "strlen" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x5402ada3, "hrtimer_cancel" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xdf1882af, "dbgp_reset_prep" },
	{ 0x6527a231, "dbgp_external_startup" },
	{ 0x7e64181d, "usb_calc_bus_time" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xf7ae188f, "ehci_cf_port_reset_rwsem" },
	{ 0xba0efd1f, "down_write" },
	{ 0x209b8854, "up_write" },
	{ 0xc8240d31, "_dev_err" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x8ae718dd, "debugfs_create_file_full" },
	{ 0x3cd2a400, "device_create_file" },
	{ 0xf1a2f388, "usb_root_hub_lost_power" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa916b694, "strnlen" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8b773ecd, "hrtimer_init" },
	{ 0xc6d9f098, "dma_pool_create" },
	{ 0x18595920, "dma_alloc_attrs" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x35729f61, "device_remove_file" },
	{ 0xb9b9df41, "usb_amd_dev_put" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x1daa5cc, "usb_hcd_start_port_resume" },
	{ 0x6695e993, "usb_hcd_end_port_resume" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "usbcore");


MODULE_INFO(srcversion, "D01CF6CEC3004BF74CEF826");

MODULE_INFO(suserelease, "SLFO-1.2");
