#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ohci_hub_status_data, "_gpl", "");
KSYMTAB_FUNC(ohci_hub_control, "_gpl", "");
KSYMTAB_FUNC(ohci_setup, "_gpl", "");
KSYMTAB_FUNC(ohci_restart, "_gpl", "");
KSYMTAB_FUNC(ohci_suspend, "_gpl", "");
KSYMTAB_FUNC(ohci_resume, "_gpl", "");
KSYMTAB_FUNC(ohci_init_driver, "_gpl", "");

SYMBOL_CRC(ohci_hub_status_data, 0x599ad9d5, "_gpl");
SYMBOL_CRC(ohci_hub_control, 0xb58354fe, "_gpl");
SYMBOL_CRC(ohci_setup, 0xc8664595, "_gpl");
SYMBOL_CRC(ohci_restart, 0xdf0265b0, "_gpl");
SYMBOL_CRC(ohci_suspend, 0xce08fb0e, "_gpl");
SYMBOL_CRC(ohci_resume, 0xd6f7b381, "_gpl");
SYMBOL_CRC(ohci_init_driver, 0x0c6eb2d0, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5eb3a970, "sb800_prefetch" },
	{ 0x10ecc52c, "usb_amd_quirk_pll_enable" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x7e64181d, "usb_calc_bus_time" },
	{ 0x16ddfac2, "usb_hcd_link_urb_to_ep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xdc825d6c, "usb_amd_quirk_pll_disable" },
	{ 0xf9a482f9, "msleep" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0x86183dc7, "usb_hcd_check_unlink_urb" },
	{ 0x7d0838d5, "usb_hc_died" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xf4334299, "dma_free_attrs" },
	{ 0xb9b9df41, "usb_amd_dev_put" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x7738c663, "gen_pool_dma_alloc_align" },
	{ 0x8ae718dd, "debugfs_create_file_full" },
	{ 0x18595920, "dma_alloc_attrs" },
	{ 0xc6d9f098, "dma_pool_create" },
	{ 0xe0d5814e, "device_set_wakeup_capable" },
	{ 0xf1a2f388, "usb_root_hub_lost_power" },
	{ 0x154383f7, "usb_hcd_resume_root_hub" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x63878bcc, "usb_hcd_poll_rh_status" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9199b9f0, "param_ops_bool" },
	{ 0x83db7d7c, "default_llseek" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0xb4997186, "gen_pool_free_owner" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x96848186, "scnprintf" },
	{ 0x6de67898, "debugfs_remove" },
	{ 0xc17515d7, "usb_hcds_loaded" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x37a0cba, "kfree" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x7d2a5c35, "gen_pool_dma_zalloc_align" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6e99c6b, "usb_debug_root" },
	{ 0xd20f3ddd, "debugfs_create_dir" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5182fc5f, "usb_hcd_unlink_urb_from_ep" },
	{ 0xfed90faf, "usb_hcd_giveback_urb" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "usbcore");


MODULE_INFO(srcversion, "E2B357069A6106B33F2C526");

MODULE_INFO(suserelease, "SLFO-1.2");
