#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(xhci_pci_common_probe, "_gpl", "xhci");
KSYMTAB_FUNC(xhci_pci_remove, "_gpl", "xhci");

SYMBOL_CRC(xhci_pci_common_probe, 0x949e33c2, "_gpl");
SYMBOL_CRC(xhci_pci_remove, 0xf2c7b283, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3461fad2, "xhci_stop" },
	{ 0xe885bad5, "pci_irq_vector" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xd6336f23, "pci_free_irq_vectors" },
	{ 0x1cdd0605, "xhci_port_state_to_neutral" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x377bbcbc, "pm_suspend_target_state" },
	{ 0xc5fe74d, "xhci_suspend" },
	{ 0x4e95970f, "pci_d3cold_disable" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x935e1ad2, "xhci_update_hub_device" },
	{ 0x6b7058b1, "usb_acpi_port_lpm_incapable" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x6c2c44a0, "pci_alloc_irq_vectors" },
	{ 0x88fac4e8, "xhci_msi_irq" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa97425e8, "xhci_run" },
	{ 0xa916b694, "strnlen" },
	{ 0x70cf032f, "usb_hcd_irq" },
	{ 0xdd8ea40c, "xhci_dbg_trace" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xaf4014ff, "usb_amd_quirk_pll_check" },
	{ 0xb6e3c8cb, "pci_unregister_driver" },
	{ 0xc6e7c05b, "__tracepoint_xhci_dbg_init" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x8a5c1029, "__SCT__tp_func_xhci_dbg_init" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xd80a85c6, "__tracepoint_xhci_dbg_quirks" },
	{ 0xabf03fc3, "__SCT__tp_func_xhci_dbg_quirks" },
	{ 0x637516c0, "xhci_gen_setup" },
	{ 0x6847eb4d, "pci_read_config_byte" },
	{ 0x92cd5970, "pci_set_mwi" },
	{ 0x187dccfa, "is_acpi_device_node" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x37a0cba, "kfree" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0x6d2de88b, "xhci_resume" },
	{ 0x2a67eae3, "usb_enable_intel_xhci_ports" },
	{ 0x1a443451, "__devm_reset_control_get" },
	{ 0x46fbe584, "usb_hcd_pci_probe" },
	{ 0xf3ab0c3f, "usb_create_shared_hcd" },
	{ 0x75b2d429, "xhci_ext_cap_init" },
	{ 0xfde53a35, "usb_add_hcd" },
	{ 0x75dc832a, "pm_runtime_allow" },
	{ 0xd5dcc637, "__pm_runtime_resume" },
	{ 0x1c2342e9, "pci_match_id" },
	{ 0x7b90a740, "xhci_shutdown" },
	{ 0x5af61b2c, "usb_hcd_pci_shutdown" },
	{ 0x15d333ee, "usb_hcd_pci_pm_ops" },
	{ 0x82ce7712, "__SCK__tp_func_xhci_dbg_init" },
	{ 0xacb4138c, "__SCK__tp_func_xhci_dbg_quirks" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f6826f5, "usb_hcd_is_primary_hcd" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x40471c96, "pci_choose_state" },
	{ 0x67af7239, "usb_remove_hcd" },
	{ 0x6753811a, "usb_put_hcd" },
	{ 0x332fc847, "usb_hcd_pci_remove" },
	{ 0x2f4347e8, "pm_runtime_forbid" },
	{ 0x66ebde19, "__pm_runtime_idle" },
	{ 0x70ecfbe8, "pci_set_power_state" },
	{ 0x3cf8509e, "xhci_init_driver" },
	{ 0xd1ffe315, "__pci_register_driver" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "xhci-hcd,usbcore");

MODULE_ALIAS("pci:v*d*sv*sd*bc0Csc03i30*");

MODULE_INFO(srcversion, "27AFB3529A02C11D5CB42A9");

MODULE_INFO(suserelease, "SLFO-1.2");
