#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(typec_altmode_update_active, "_gpl", "");
KSYMTAB_FUNC(typec_altmode2port, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_set_ops, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_altmode, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_usb_mode, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_identity, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_pd_revision, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_usb_power_delivery, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_num_altmodes, "_gpl", "");
KSYMTAB_FUNC(typec_partner_register_altmode, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_svdm_version, "_gpl", "");
KSYMTAB_FUNC(typec_partner_usb_power_delivery_register, "_gpl", "");
KSYMTAB_FUNC(typec_register_partner, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_partner, "_gpl", "");
KSYMTAB_FUNC(typec_plug_set_num_altmodes, "_gpl", "");
KSYMTAB_FUNC(typec_plug_register_altmode, "_gpl", "");
KSYMTAB_FUNC(typec_register_plug, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_plug, "_gpl", "");
KSYMTAB_FUNC(typec_cable_get, "_gpl", "");
KSYMTAB_FUNC(typec_cable_put, "_gpl", "");
KSYMTAB_FUNC(typec_cable_is_active, "_gpl", "");
KSYMTAB_FUNC(typec_cable_set_identity, "_gpl", "");
KSYMTAB_FUNC(typec_register_cable, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_cable, "_gpl", "");
KSYMTAB_FUNC(typec_port_set_usb_mode, "_gpl", "");
KSYMTAB_FUNC(typec_port_set_usb_power_delivery, "_gpl", "");
KSYMTAB_FUNC(typec_set_data_role, "_gpl", "");
KSYMTAB_FUNC(typec_set_pwr_role, "_gpl", "");
KSYMTAB_FUNC(typec_set_vconn_role, "_gpl", "");
KSYMTAB_FUNC(typec_set_pwr_opmode, "_gpl", "");
KSYMTAB_FUNC(typec_find_pwr_opmode, "_gpl", "");
KSYMTAB_FUNC(typec_find_orientation, "_gpl", "");
KSYMTAB_FUNC(typec_find_port_power_role, "_gpl", "");
KSYMTAB_FUNC(typec_find_power_role, "_gpl", "");
KSYMTAB_FUNC(typec_find_port_data_role, "_gpl", "");
KSYMTAB_FUNC(typec_set_orientation, "_gpl", "");
KSYMTAB_FUNC(typec_get_orientation, "_gpl", "");
KSYMTAB_FUNC(typec_set_mode, "_gpl", "");
KSYMTAB_FUNC(typec_get_negotiated_svdm_version, "_gpl", "");
KSYMTAB_FUNC(typec_get_cable_svdm_version, "_gpl", "");
KSYMTAB_FUNC(typec_cable_set_svdm_version, "_gpl", "");
KSYMTAB_FUNC(typec_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(typec_get_fw_cap, "_gpl", "");
KSYMTAB_FUNC(typec_port_register_altmode, "_gpl", "");
KSYMTAB_FUNC(typec_port_register_altmodes, "_gpl", "");
KSYMTAB_FUNC(typec_port_register_cable_ops, "_gpl", "");
KSYMTAB_FUNC(typec_register_port, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_port, "_gpl", "");
KSYMTAB_FUNC(fwnode_typec_switch_get, "_gpl", "");
KSYMTAB_FUNC(typec_switch_put, "_gpl", "");
KSYMTAB_FUNC(typec_switch_register, "_gpl", "");
KSYMTAB_FUNC(typec_switch_set, "_gpl", "");
KSYMTAB_FUNC(typec_switch_unregister, "_gpl", "");
KSYMTAB_FUNC(typec_switch_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(typec_switch_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(fwnode_typec_mux_get, "_gpl", "");
KSYMTAB_FUNC(typec_mux_put, "_gpl", "");
KSYMTAB_FUNC(typec_mux_set, "_gpl", "");
KSYMTAB_FUNC(typec_mux_register, "_gpl", "");
KSYMTAB_FUNC(typec_mux_unregister, "_gpl", "");
KSYMTAB_FUNC(typec_mux_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(typec_mux_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_notify, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_enter, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_exit, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_attention, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_vdm, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_get_partner, "_gpl", "");
KSYMTAB_FUNC(typec_cable_altmode_enter, "_gpl", "");
KSYMTAB_FUNC(typec_cable_altmode_exit, "_gpl", "");
KSYMTAB_FUNC(typec_cable_altmode_vdm, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_get_plug, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_put_plug, "_gpl", "");
KSYMTAB_FUNC(__typec_altmode_register_driver, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(typec_match_altmode, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_register_capabilities, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_unregister_capabilities, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_register, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_unregister, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_link_device, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_unlink_device, "_gpl", "");
KSYMTAB_FUNC(fwnode_typec_retimer_get, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_put, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_set, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_register, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_unregister, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_get_drvdata, "_gpl", "");

SYMBOL_CRC(typec_altmode_update_active, 0x62d11af8, "_gpl");
SYMBOL_CRC(typec_altmode2port, 0xe848bf3f, "_gpl");
SYMBOL_CRC(typec_altmode_set_ops, 0x2e6cc5c1, "_gpl");
SYMBOL_CRC(typec_unregister_altmode, 0x4efd2565, "_gpl");
SYMBOL_CRC(typec_partner_set_usb_mode, 0x1052f9c7, "_gpl");
SYMBOL_CRC(typec_partner_set_identity, 0x7036b29a, "_gpl");
SYMBOL_CRC(typec_partner_set_pd_revision, 0x16f5bcba, "_gpl");
SYMBOL_CRC(typec_partner_set_usb_power_delivery, 0xba0ec080, "_gpl");
SYMBOL_CRC(typec_partner_set_num_altmodes, 0x1a6a6214, "_gpl");
SYMBOL_CRC(typec_partner_register_altmode, 0x32226392, "_gpl");
SYMBOL_CRC(typec_partner_set_svdm_version, 0xb5268d59, "_gpl");
SYMBOL_CRC(typec_partner_usb_power_delivery_register, 0x29fbe8f0, "_gpl");
SYMBOL_CRC(typec_register_partner, 0xe3b26287, "_gpl");
SYMBOL_CRC(typec_unregister_partner, 0x0278c21d, "_gpl");
SYMBOL_CRC(typec_plug_set_num_altmodes, 0xca7ffeea, "_gpl");
SYMBOL_CRC(typec_plug_register_altmode, 0x0a5a8b17, "_gpl");
SYMBOL_CRC(typec_register_plug, 0x8512b09b, "_gpl");
SYMBOL_CRC(typec_unregister_plug, 0x44be9792, "_gpl");
SYMBOL_CRC(typec_cable_get, 0x67e11509, "_gpl");
SYMBOL_CRC(typec_cable_put, 0x9074e0d6, "_gpl");
SYMBOL_CRC(typec_cable_is_active, 0x43d116e8, "_gpl");
SYMBOL_CRC(typec_cable_set_identity, 0x496e6a36, "_gpl");
SYMBOL_CRC(typec_register_cable, 0x988c4bb4, "_gpl");
SYMBOL_CRC(typec_unregister_cable, 0x6637dc20, "_gpl");
SYMBOL_CRC(typec_port_set_usb_mode, 0xb894ab66, "_gpl");
SYMBOL_CRC(typec_port_set_usb_power_delivery, 0xa8ba3f5e, "_gpl");
SYMBOL_CRC(typec_set_data_role, 0xa3a7078e, "_gpl");
SYMBOL_CRC(typec_set_pwr_role, 0x5073af2f, "_gpl");
SYMBOL_CRC(typec_set_vconn_role, 0xd8938443, "_gpl");
SYMBOL_CRC(typec_set_pwr_opmode, 0xed677b42, "_gpl");
SYMBOL_CRC(typec_find_pwr_opmode, 0xf1234a8b, "_gpl");
SYMBOL_CRC(typec_find_orientation, 0xa254de98, "_gpl");
SYMBOL_CRC(typec_find_port_power_role, 0xeafc1eb8, "_gpl");
SYMBOL_CRC(typec_find_power_role, 0x2d1e301d, "_gpl");
SYMBOL_CRC(typec_find_port_data_role, 0x9049491e, "_gpl");
SYMBOL_CRC(typec_set_orientation, 0xd15b01b0, "_gpl");
SYMBOL_CRC(typec_get_orientation, 0xb8ee63bc, "_gpl");
SYMBOL_CRC(typec_set_mode, 0x3d92f0ee, "_gpl");
SYMBOL_CRC(typec_get_negotiated_svdm_version, 0xba42b1ea, "_gpl");
SYMBOL_CRC(typec_get_cable_svdm_version, 0xef691761, "_gpl");
SYMBOL_CRC(typec_cable_set_svdm_version, 0xcb301238, "_gpl");
SYMBOL_CRC(typec_get_drvdata, 0xb9f418b5, "_gpl");
SYMBOL_CRC(typec_get_fw_cap, 0x8918597a, "_gpl");
SYMBOL_CRC(typec_port_register_altmode, 0xcbab0715, "_gpl");
SYMBOL_CRC(typec_port_register_altmodes, 0x328a82b1, "_gpl");
SYMBOL_CRC(typec_port_register_cable_ops, 0xa33d65f5, "_gpl");
SYMBOL_CRC(typec_register_port, 0x0c62c9ff, "_gpl");
SYMBOL_CRC(typec_unregister_port, 0x4060a901, "_gpl");
SYMBOL_CRC(fwnode_typec_switch_get, 0xc5ed59b7, "_gpl");
SYMBOL_CRC(typec_switch_put, 0x86521d45, "_gpl");
SYMBOL_CRC(typec_switch_register, 0x2eab11ab, "_gpl");
SYMBOL_CRC(typec_switch_set, 0xd2fa1286, "_gpl");
SYMBOL_CRC(typec_switch_unregister, 0xa55343cc, "_gpl");
SYMBOL_CRC(typec_switch_set_drvdata, 0x6aa0e370, "_gpl");
SYMBOL_CRC(typec_switch_get_drvdata, 0x3ba7dbdb, "_gpl");
SYMBOL_CRC(fwnode_typec_mux_get, 0x1c20c530, "_gpl");
SYMBOL_CRC(typec_mux_put, 0xfc8df340, "_gpl");
SYMBOL_CRC(typec_mux_set, 0x2b40e0cb, "_gpl");
SYMBOL_CRC(typec_mux_register, 0x09e0eec6, "_gpl");
SYMBOL_CRC(typec_mux_unregister, 0xcc94d01d, "_gpl");
SYMBOL_CRC(typec_mux_set_drvdata, 0xbb8dec0d, "_gpl");
SYMBOL_CRC(typec_mux_get_drvdata, 0x855bb15c, "_gpl");
SYMBOL_CRC(typec_altmode_notify, 0x5e5b61af, "_gpl");
SYMBOL_CRC(typec_altmode_enter, 0x85c043c4, "_gpl");
SYMBOL_CRC(typec_altmode_exit, 0xf398279f, "_gpl");
SYMBOL_CRC(typec_altmode_attention, 0x7abf1ecb, "_gpl");
SYMBOL_CRC(typec_altmode_vdm, 0xb3867bed, "_gpl");
SYMBOL_CRC(typec_altmode_get_partner, 0x27068df3, "_gpl");
SYMBOL_CRC(typec_cable_altmode_enter, 0x6f6fbfee, "_gpl");
SYMBOL_CRC(typec_cable_altmode_exit, 0x1e495b7d, "_gpl");
SYMBOL_CRC(typec_cable_altmode_vdm, 0xc250ab83, "_gpl");
SYMBOL_CRC(typec_altmode_get_plug, 0x77c4e05c, "_gpl");
SYMBOL_CRC(typec_altmode_put_plug, 0x08e450a0, "_gpl");
SYMBOL_CRC(__typec_altmode_register_driver, 0x1c3242fe, "_gpl");
SYMBOL_CRC(typec_altmode_unregister_driver, 0xb8a46729, "_gpl");
SYMBOL_CRC(typec_match_altmode, 0x1a23dad9, "_gpl");
SYMBOL_CRC(usb_power_delivery_register_capabilities, 0x975cd3ce, "_gpl");
SYMBOL_CRC(usb_power_delivery_unregister_capabilities, 0x9417f78c, "_gpl");
SYMBOL_CRC(usb_power_delivery_register, 0x91c0fc75, "_gpl");
SYMBOL_CRC(usb_power_delivery_unregister, 0x02d278aa, "_gpl");
SYMBOL_CRC(usb_power_delivery_link_device, 0xabd720a8, "_gpl");
SYMBOL_CRC(usb_power_delivery_unlink_device, 0xe9831dba, "_gpl");
SYMBOL_CRC(fwnode_typec_retimer_get, 0x673fbbb0, "_gpl");
SYMBOL_CRC(typec_retimer_put, 0xc927f705, "_gpl");
SYMBOL_CRC(typec_retimer_set, 0xb46c5e0a, "_gpl");
SYMBOL_CRC(typec_retimer_register, 0x8c91cac8, "_gpl");
SYMBOL_CRC(typec_retimer_unregister, 0xcc4dc43e, "_gpl");
SYMBOL_CRC(typec_retimer_get_drvdata, 0x35d03f4b, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6b184ed6, "driver_unregister" },
	{ 0xafc20114, "class_unregister" },
	{ 0xc3359801, "device_find_child" },
	{ 0xa3eb5274, "device_register" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf122d883, "fwnode_property_read_string" },
	{ 0x39b37d3a, "fwnode_property_present" },
	{ 0x1fde17c9, "component_master_del" },
	{ 0x36773915, "component_match_add_release" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x4256d4ca, "device_get_named_child_node" },
	{ 0xc8284c14, "component_bind_all" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xc28c8471, "device_match_name" },
	{ 0xc398603b, "kobject_uevent" },
	{ 0x159650b0, "fwnode_connection_find_matches" },
	{ 0x81188c30, "match_string" },
	{ 0x99823a7a, "component_unbind_all" },
	{ 0xe2a805d9, "driver_register" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0xb3d2d914, "class_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x6a55e78c, "__dev_fwnode" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xddbd0482, "bus_register" },
	{ 0x8e4b8288, "class_find_device" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xa2429ab9, "ida_alloc_range" },
	{ 0x4e5daa9a, "try_module_get" },
	{ 0xe7d7653f, "device_match_type" },
	{ 0x187dccfa, "is_acpi_device_node" },
	{ 0x7dd6c90e, "ida_destroy" },
	{ 0x50707f9c, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x6ae872d3, "component_master_add_with_match" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x9668568f, "device_unregister" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xcd2d1a9a, "acpi_bus_for_each_dev" },
	{ 0x4628038c, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0x29c735dc, "fwnode_connection_find_match" },
	{ 0x81d7bf85, "fwnode_get_next_child_node" },
	{ 0xefb18d5e, "device_for_each_child" },
	{ 0x8576e767, "get_device" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x79381862, "sysfs_notify" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x78f542b4, "device_match_fwnode" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9d3d08f0, "put_device" },
	{ 0x5354bf73, "fwnode_property_read_u32_array" },
	{ 0x7276b73a, "module_put" },
	{ 0xe06a823e, "sysfs_create_link" },
	{ 0x5dacf095, "fwnode_get_name" },
	{ 0xe4b703db, "kobject_uevent_env" },
	{ 0x25bcb541, "sysfs_update_group" },
	{ 0x12cb1804, "bus_unregister" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x9907f28, "device_add" },
	{ 0x48ca2416, "sysfs_remove_link" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x754276d4, "fwnode_property_read_u16_array" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x10119bb, "ida_free" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E9D1D77376FB0D10971B1D9");

MODULE_INFO(suserelease, "SLFO-1.2");
