#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(vfio_pci_core_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_disable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_close_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_finish_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_register_dev_region, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioctl, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioctl_feature, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_read, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_write, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_mmap, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_request, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_match, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_init_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_release_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_register_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_unregister_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_aer_err_detected, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_sriov_configure, "_gpl", "");
KSYMTAB_DATA(vfio_pci_core_err_handlers, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_set_params, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite8, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite16, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite32, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread8, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread16, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread32, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_do_io_rw, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_setup_barmap, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_range_intersect_range, "_gpl", "");

SYMBOL_CRC(vfio_pci_core_enable, 0x8b974e2c, "_gpl");
SYMBOL_CRC(vfio_pci_core_disable, 0x623d72c1, "_gpl");
SYMBOL_CRC(vfio_pci_core_close_device, 0x7e357e5c, "_gpl");
SYMBOL_CRC(vfio_pci_core_finish_enable, 0xb1f6e6cc, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_dev_region, 0x50e2cd4b, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl, 0xf529e002, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl_feature, 0x60519c6f, "_gpl");
SYMBOL_CRC(vfio_pci_core_read, 0x72a6bda1, "_gpl");
SYMBOL_CRC(vfio_pci_core_write, 0xe93ce54a, "_gpl");
SYMBOL_CRC(vfio_pci_core_mmap, 0x5aee74d0, "_gpl");
SYMBOL_CRC(vfio_pci_core_request, 0x32d78e05, "_gpl");
SYMBOL_CRC(vfio_pci_core_match, 0xcac75fc2, "_gpl");
SYMBOL_CRC(vfio_pci_core_init_dev, 0x828db955, "_gpl");
SYMBOL_CRC(vfio_pci_core_release_dev, 0x0577a24e, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_device, 0x8581b5a4, "_gpl");
SYMBOL_CRC(vfio_pci_core_unregister_device, 0x679e610c, "_gpl");
SYMBOL_CRC(vfio_pci_core_aer_err_detected, 0xdccd96b3, "_gpl");
SYMBOL_CRC(vfio_pci_core_sriov_configure, 0xb68b2218, "_gpl");
SYMBOL_CRC(vfio_pci_core_err_handlers, 0xcfd6af11, "_gpl");
SYMBOL_CRC(vfio_pci_core_set_params, 0x4cf699b8, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite8, 0xdfa33db2, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite16, 0xca54c766, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite32, 0x50806ca0, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread8, 0xbbe15c43, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread16, 0xef1def45, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread32, 0x33b97f39, "_gpl");
SYMBOL_CRC(vfio_pci_core_do_io_rw, 0x8d49893d, "_gpl");
SYMBOL_CRC(vfio_pci_core_setup_barmap, 0xf9ea0b37, "_gpl");
SYMBOL_CRC(vfio_pci_core_range_intersect_range, 0xe850ca1f, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc8e4ef73, "pci_probe_reset_bus" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0x7643e463, "pci_probe_reset_slot" },
	{ 0x70ecfbe8, "pci_set_power_state" },
	{ 0xe885bad5, "pci_irq_vector" },
	{ 0xf2c53d53, "pci_write_msi_msg" },
	{ 0x89485687, "iommu_group_put" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0x1799ebc9, "down_read_trylock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x127572c3, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x848d372e, "iowrite8" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x594bf15b, "ioport_map" },
	{ 0xf1499a98, "pci_intx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1a07ecca, "pci_user_write_config_word" },
	{ 0x8b35699b, "bus_register_notifier" },
	{ 0x71b12b37, "_dev_info" },
	{ 0xfbfd21de, "vfio_file_is_group" },
	{ 0xc781605c, "pci_msix_can_alloc_dyn" },
	{ 0xb63bebd4, "vfio_file_has_dev" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xbd3a82d3, "pci_clear_master" },
	{ 0x4b5dc595, "__pci_reset_function_locked" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0x69e683de, "uuid_gen" },
	{ 0xa8caa2e, "fput" },
	{ 0xba0efd1f, "down_write" },
	{ 0x209b8854, "up_write" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xb9b31de8, "xa_load" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x418873cc, "irq_bypass_register_producer" },
	{ 0x803847c5, "pci_write_vpd" },
	{ 0x9b12bfb3, "vfio_virqfd_enable" },
	{ 0xa8716de3, "vga_client_register" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x6e1341a1, "pci_read_config_word" },
	{ 0x5a921311, "strncmp" },
	{ 0xecfb5b55, "aperture_remove_conflicting_pci_devices" },
	{ 0xd34a15f4, "vfio_unregister_group_dev" },
	{ 0x1c4a22e, "pci_map_rom" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xca8aaeac, "pci_store_saved_state" },
	{ 0xabb7c7c2, "get_cached_msi_msg" },
	{ 0x6935585e, "pci_iounmap" },
	{ 0x91db5656, "pci_restore_state" },
	{ 0xb19b445, "ioread8" },
	{ 0xfb578fc5, "memset" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xfc39e32f, "ioport_unmap" },
	{ 0xc11605ad, "pcie_get_mps" },
	{ 0x82b0ed80, "pci_dev_trylock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xfa181c2e, "down_write_trylock" },
	{ 0x9fb64856, "down_read" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xf1ca1bcb, "vga_put" },
	{ 0x6c28be5a, "vfio_info_add_capability" },
	{ 0xf0034110, "pci_dev_driver" },
	{ 0xb98fa7ed, "__xa_insert" },
	{ 0x918431c7, "xa_erase" },
	{ 0x2ef03b05, "vfio_find_device_in_devset" },
	{ 0xf6e772c3, "irq_bypass_unregister_producer" },
	{ 0xe5f70b80, "_dev_notice" },
	{ 0x2f4347e8, "pm_runtime_forbid" },
	{ 0x75dc832a, "pm_runtime_allow" },
	{ 0xc7c178d0, "pci_reset_bus" },
	{ 0xd5dcc637, "__pm_runtime_resume" },
	{ 0xf6411cc0, "vfio_register_group_dev" },
	{ 0x3d7c8376, "vfio_assign_device_set" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x70c6f36f, "pci_user_read_config_byte" },
	{ 0xb7a734fe, "pci_try_reset_function" },
	{ 0xfea41449, "xa_find" },
	{ 0x5df4a7a7, "pci_get_class" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x1e46bca9, "pci_user_write_config_dword" },
	{ 0x96679402, "pcie_capability_read_dword" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x49f6cf31, "pci_load_and_free_saved_state" },
	{ 0x6ff2cacf, "pci_disable_sriov" },
	{ 0x2d7a5f79, "vfio_device_set_open_count" },
	{ 0xfb5af384, "pci_disable_device" },
	{ 0x1c2342e9, "pci_match_id" },
	{ 0x250337ee, "boot_cpu_data" },
	{ 0xcaeb0982, "pci_check_and_unmask_intx" },
	{ 0xdc8d34db, "pcie_set_readrq" },
	{ 0xd8178163, "pci_walk_bus" },
	{ 0xad18c4c3, "pci_msix_alloc_irq_at" },
	{ 0xa256d729, "xa_find_after" },
	{ 0xd7290657, "vga_get" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x564031ed, "pci_unmap_rom" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0x6847eb4d, "pci_read_config_byte" },
	{ 0xc5e74216, "release_resource" },
	{ 0x754d539c, "strlen" },
	{ 0x69ef36ee, "vga_set_legacy_decoding" },
	{ 0xcc0c994, "__vma_start_write" },
	{ 0x8c147572, "pci_dev_unlock" },
	{ 0xc01defd9, "pci_write_config_word" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0xd6336f23, "pci_free_irq_vectors" },
	{ 0xcced20de, "pci_enable_sriov" },
	{ 0xb570b5d7, "up_read" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x66ebde19, "__pm_runtime_idle" },
	{ 0x37ddf218, "vfio_virqfd_flush_thread" },
	{ 0x6473fad4, "pci_bus_type" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0xb697fff3, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13110126, "request_resource" },
	{ 0xc4b620dc, "vmf_insert_pfn" },
	{ 0x45f4e1cd, "__init_rwsem" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x624b3e68, "pci_read_vpd" },
	{ 0x31731993, "bus_unregister_notifier" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xcf9a2c0, "pci_request_selected_regions" },
	{ 0x87449e3e, "pci_release_selected_regions" },
	{ 0x2d8cc9b1, "pci_user_write_config_byte" },
	{ 0xbd12925f, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x57ad93b6, "pci_bus_max_busnr" },
	{ 0x241f18fc, "pci_check_and_mask_intx" },
	{ 0x6b9a2b93, "pci_iomap" },
	{ 0x19567d06, "vfio_info_cap_shift" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x6c2c44a0, "pci_alloc_irq_vectors" },
	{ 0xadc044b7, "vfio_set_irqs_validate_and_prepare" },
	{ 0x3e1abdfa, "pci_enable_atomic_ops_to_root" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xee7d22e5, "pci_dev_put" },
	{ 0x3cf2bb77, "iommu_group_get" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x92a8b330, "vfio_virqfd_disable" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x488376f2, "fget" },
	{ 0xedc03953, "iounmap" },
	{ 0x941cf48c, "pci_num_vf" },
	{ 0x69acdf38, "memcpy" },
	{ 0x27a83e18, "unmap_mapping_range" },
	{ 0xbda05660, "pci_user_read_config_dword" },
	{ 0x37a0cba, "kfree" },
	{ 0x9bc1111c, "pci_user_read_config_word" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "vfio,irqbypass");


MODULE_INFO(srcversion, "613D4DB03D199E8C4072A3A");

MODULE_INFO(suserelease, "SLFO-1.2");
