#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(w1_add_master_device, "", "");
KSYMTAB_FUNC(w1_remove_master_device, "", "");
KSYMTAB_FUNC(w1_register_family, "", "");
KSYMTAB_FUNC(w1_unregister_family, "", "");
KSYMTAB_FUNC(w1_touch_bit, "_gpl", "");
KSYMTAB_FUNC(w1_write_8, "_gpl", "");
KSYMTAB_FUNC(w1_triplet, "_gpl", "");
KSYMTAB_FUNC(w1_read_8, "_gpl", "");
KSYMTAB_FUNC(w1_write_block, "_gpl", "");
KSYMTAB_FUNC(w1_touch_block, "_gpl", "");
KSYMTAB_FUNC(w1_read_block, "_gpl", "");
KSYMTAB_FUNC(w1_reset_bus, "_gpl", "");
KSYMTAB_FUNC(w1_calc_crc8, "_gpl", "");
KSYMTAB_FUNC(w1_reset_select_slave, "_gpl", "");
KSYMTAB_FUNC(w1_reset_resume_command, "_gpl", "");
KSYMTAB_FUNC(w1_next_pullup, "_gpl", "");

SYMBOL_CRC(w1_add_master_device, 0xf60c4d18, "");
SYMBOL_CRC(w1_remove_master_device, 0x8a94ebcb, "");
SYMBOL_CRC(w1_register_family, 0xaeb2b04a, "");
SYMBOL_CRC(w1_unregister_family, 0xaf5ce1f2, "");
SYMBOL_CRC(w1_touch_bit, 0x6e436c0c, "_gpl");
SYMBOL_CRC(w1_write_8, 0x8b2f647e, "_gpl");
SYMBOL_CRC(w1_triplet, 0xf04cee9d, "_gpl");
SYMBOL_CRC(w1_read_8, 0x5c03c0bb, "_gpl");
SYMBOL_CRC(w1_write_block, 0x69b046e1, "_gpl");
SYMBOL_CRC(w1_touch_block, 0x325a451c, "_gpl");
SYMBOL_CRC(w1_read_block, 0xe9bcb3ef, "_gpl");
SYMBOL_CRC(w1_reset_bus, 0xa135cc52, "_gpl");
SYMBOL_CRC(w1_calc_crc8, 0x63757e92, "_gpl");
SYMBOL_CRC(w1_reset_select_slave, 0x2f15ddeb, "_gpl");
SYMBOL_CRC(w1_reset_resume_command, 0x2a5fd68a, "_gpl");
SYMBOL_CRC(w1_next_pullup, 0x3598cc98, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5995b416, "cn_netlink_send_mult" },
	{ 0x9d3d08f0, "put_device" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x71b12b37, "_dev_info" },
	{ 0x3b02c55c, "flush_signals" },
	{ 0xe8bc40c5, "cn_netlink_send" },
	{ 0x12cb1804, "bus_unregister" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x789fd343, "hwmon_device_register_with_info" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x6b184ed6, "driver_unregister" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xd2f514a4, "sysfs_create_group" },
	{ 0xad6d7e4b, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xa3eb5274, "device_register" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x7483e13, "cn_del_callback" },
	{ 0xd00c9875, "kthread_create_on_node" },
	{ 0xd191499b, "sysfs_remove_group" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xc398603b, "kobject_uevent" },
	{ 0x635b6c2d, "hwmon_device_unregister" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xf2203c5f, "param_ops_int" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xe2a805d9, "driver_register" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2f946b96, "cn_add_callback" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xddbd0482, "bus_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x50707f9c, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9668568f, "device_unregister" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xccbba119, "sysfs_remove_groups" },
	{ 0xa64685ef, "sysfs_create_groups" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1d8a5fdd, "wake_up_process" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "356F96E0613B339AC1472F9");

MODULE_INFO(suserelease, "SLFO-1.2");
