#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(configfs_remove_default_groups, "", "");
KSYMTAB_FUNC(configfs_depend_item, "", "");
KSYMTAB_FUNC(configfs_undepend_item, "", "");
KSYMTAB_FUNC(configfs_depend_item_unlocked, "", "");
KSYMTAB_FUNC(configfs_register_group, "", "");
KSYMTAB_FUNC(configfs_unregister_group, "", "");
KSYMTAB_FUNC(configfs_register_default_group, "", "");
KSYMTAB_FUNC(configfs_unregister_default_group, "", "");
KSYMTAB_FUNC(configfs_register_subsystem, "", "");
KSYMTAB_FUNC(configfs_unregister_subsystem, "", "");
KSYMTAB_FUNC(config_item_set_name, "", "");
KSYMTAB_FUNC(config_item_init_type_name, "", "");
KSYMTAB_FUNC(config_group_init_type_name, "", "");
KSYMTAB_FUNC(config_item_get, "", "");
KSYMTAB_FUNC(config_item_get_unless_zero, "", "");
KSYMTAB_FUNC(config_item_put, "", "");
KSYMTAB_FUNC(config_group_init, "", "");
KSYMTAB_FUNC(config_group_find_item, "", "");

SYMBOL_CRC(configfs_remove_default_groups, 0x4d7ea968, "");
SYMBOL_CRC(configfs_depend_item, 0xb9a94a96, "");
SYMBOL_CRC(configfs_undepend_item, 0xb7834bbe, "");
SYMBOL_CRC(configfs_depend_item_unlocked, 0x6338fd73, "");
SYMBOL_CRC(configfs_register_group, 0x3f42b2e3, "");
SYMBOL_CRC(configfs_unregister_group, 0x8c791f99, "");
SYMBOL_CRC(configfs_register_default_group, 0xc42c0385, "");
SYMBOL_CRC(configfs_unregister_default_group, 0x933f829d, "");
SYMBOL_CRC(configfs_register_subsystem, 0x3e5a5fb3, "");
SYMBOL_CRC(configfs_unregister_subsystem, 0xa3c48948, "");
SYMBOL_CRC(config_item_set_name, 0x2a3a6621, "");
SYMBOL_CRC(config_item_init_type_name, 0xe875fcd4, "");
SYMBOL_CRC(config_group_init_type_name, 0x23da8e76, "");
SYMBOL_CRC(config_item_get, 0xaa4647fd, "");
SYMBOL_CRC(config_item_get_unless_zero, 0xa7b1d6ab, "");
SYMBOL_CRC(config_item_put, 0x1c9173ee, "");
SYMBOL_CRC(config_group_init, 0x2dc5600c, "");
SYMBOL_CRC(config_group_find_item, 0x6e85c242, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4cbfc3cd, "path_put" },
	{ 0xe93fe3b, "simple_get_link" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xae4871c8, "simple_inode_init_ts" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb9d622d3, "d_drop" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0x92997ed8, "_printk" },
	{ 0x8f786bee, "fs_umode_to_dtype" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x51277435, "simple_setattr" },
	{ 0xd03dd414, "simple_unlink" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7276b73a, "module_put" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0xba0efd1f, "down_write" },
	{ 0x209b8854, "up_write" },
	{ 0x587b0954, "kvasprintf" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xdf9ceed4, "kmem_cache_free" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xf298e0a2, "kill_litter_super" },
	{ 0xfb578fc5, "memset" },
	{ 0x1e4f1647, "kern_path" },
	{ 0x78918da5, "sysfs_remove_mount_point" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfa10416, "kmem_cache_alloc_noprof" },
	{ 0xa58468fd, "ram_aops" },
	{ 0x71952ac6, "d_delete" },
	{ 0x8337a399, "__kmem_cache_create_args" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x9fb64856, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x999e8297, "vfree" },
	{ 0x3f550416, "generic_read_dir" },
	{ 0x48eb4a56, "d_add" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x6420e3d1, "down_write_killable" },
	{ 0x327468af, "inode_set_ctime_current" },
	{ 0x7cf0d808, "inc_nlink" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x8b0617b7, "dput" },
	{ 0xe47450bc, "lockref_get" },
	{ 0x532b8938, "generic_delete_inode" },
	{ 0x44531a37, "_copy_from_iter" },
	{ 0xab2abbd0, "simple_release_fs" },
	{ 0xbfa47968, "d_parent_ino" },
	{ 0x4b0e1f8, "get_tree_single" },
	{ 0x754d539c, "strlen" },
	{ 0x4daa8394, "inode_permission" },
	{ 0x17c07a93, "generic_file_llseek" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xb570b5d7, "up_read" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x6d3222, "simple_pin_fs" },
	{ 0x8019049f, "kmem_cache_destroy" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x2018b222, "__d_drop" },
	{ 0x23964185, "simple_rmdir" },
	{ 0x4e5daa9a, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x45f4e1cd, "__init_rwsem" },
	{ 0xaa9e0465, "d_instantiate" },
	{ 0x293df244, "_copy_to_iter" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x8101db54, "free_inode_nonrcu" },
	{ 0xb1ee6683, "new_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x1b336ab2, "unregister_filesystem" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xcd90790d, "d_alloc_name" },
	{ 0x4604df6d, "simple_statfs" },
	{ 0x8c9dc646, "d_make_root" },
	{ 0x4d3bdd87, "always_delete_dentry" },
	{ 0xd06739a2, "fsnotify" },
	{ 0x50a65b40, "current_time" },
	{ 0x69acdf38, "memcpy" },
	{ 0x557aff20, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0x8aa69fa8, "iput" },
	{ 0xf2831482, "kernel_kobj" },
	{ 0xe953b21f, "get_next_ino" },
	{ 0xe0a12b11, "sysfs_create_mount_point" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x148653, "vsnprintf" },
	{ 0x66327fb6, "register_filesystem" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "502276C05E849C09BC8EBCC");

MODULE_INFO(suserelease, "SLFO-1.2");
