#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nfs41_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_setup_sequence, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_rw_stateid, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_session_trunk, "_gpl", "");
KSYMTAB_FUNC(nfs4_proc_getdeviceinfo, "_gpl", "");
KSYMTAB_DATA(nfs41_maxgetdevinfo_overhead, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_migration_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_moved_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_stateid_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_session_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs_remove_bad_delegation, "_gpl", "");
KSYMTAB_FUNC(nfs_map_string_to_numeric, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_or_create_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_ds_session, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_reg, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_reg, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_reg, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bl_pr_key_reg, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_fl_getdevinfo, "_gpl", "");
KSYMTAB_FUNC(__traceiter_fl_getdevinfo, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_fl_getdevinfo, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_fl_getdevinfo, "_gpl", "");
KSYMTAB_FUNC(pnfs_register_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_unregister_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_put_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_destroy_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_layout_insert_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_update_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_error_mark_layout_for_return, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_check_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_cleanup, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_test, "_gpl", "");
KSYMTAB_FUNC(pnfs_write_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_write_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_writepages, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_read_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_resend_pnfs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_readpages, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_lo_fail, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_layoutcommit, "_gpl", "");
KSYMTAB_FUNC(pnfs_layoutcommit_inode, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(pnfs_report_layoutstat, "_gpl", "");
KSYMTAB_DATA(layoutstats_timer, "_gpl", "");
KSYMTAB_FUNC(nfs4_print_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_get_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_delete_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_put_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_available, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_rw_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_prepare_to_resend_writes, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_write_commit_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_clear_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_alloc_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_free_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_add_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_release_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_destroy, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_scan_commit_lists, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_recover_commit_reqs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_pagelist, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_put, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_add, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_connect, "_gpl", "");
KSYMTAB_FUNC(nfs4_decode_mp_ds_addr, "_gpl", "");
KSYMTAB_FUNC(pnfs_layout_mark_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_nfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(nfs42_proc_layouterror, "_gpl", "");

SYMBOL_CRC(nfs41_sequence_done, 0x79d1cfe5, "_gpl");
SYMBOL_CRC(nfs4_sequence_done, 0x30612c11, "_gpl");
SYMBOL_CRC(nfs4_setup_sequence, 0x0c577504, "_gpl");
SYMBOL_CRC(nfs4_set_rw_stateid, 0xa93bae6b, "_gpl");
SYMBOL_CRC(nfs4_test_session_trunk, 0x95bb0d1e, "_gpl");
SYMBOL_CRC(nfs4_proc_getdeviceinfo, 0x16b7fe71, "_gpl");
SYMBOL_CRC(nfs41_maxgetdevinfo_overhead, 0xf7801360, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_recovery, 0x2f231a4e, "_gpl");
SYMBOL_CRC(nfs4_schedule_migration_recovery, 0xdabc3bfd, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_moved_recovery, 0x4d75243a, "_gpl");
SYMBOL_CRC(nfs4_schedule_stateid_recovery, 0xc2e0435d, "_gpl");
SYMBOL_CRC(nfs4_schedule_session_recovery, 0x24dc664a, "_gpl");
SYMBOL_CRC(nfs_remove_bad_delegation, 0x6ac3522a, "_gpl");
SYMBOL_CRC(nfs_map_string_to_numeric, 0x6085edbd, "_gpl");
SYMBOL_CRC(nfs4_find_or_create_ds_client, 0x1139c860, "_gpl");
SYMBOL_CRC(nfs4_set_ds_client, 0x2b60ccf9, "_gpl");
SYMBOL_CRC(nfs4_init_ds_session, 0x03342523, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_read, 0x6abee690, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_read, 0x61b382fe, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_read, 0x5fddaf4b, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_read, 0x63826d35, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_write, 0xcf980819, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_write, 0x936b39c0, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_write, 0xdeac600c, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_write, 0xadeca730, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_commit_ds, 0xec5ec554, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_commit_ds, 0x0b31e835, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_commit_ds, 0x1cc72b64, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_commit_ds, 0x2b16e909, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_read, 0xd3890c1a, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_read, 0xf86a2a2c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, 0x4b959aeb, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_init_read, 0x6a5eb444, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_write, 0xc24c55cd, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_write, 0x88d66eed, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, 0x086e8bd1, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_init_write, 0xdeb5edce, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, 0x6a7fdb97, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, 0xba081df9, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0xbeadac6c, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0x96c4643f, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_done, 0x1ac65838, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_done, 0xd35c8c55, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_done, 0xbec9c1d9, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_read_done, 0xc361c3c5, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_done, 0x9eab1bc4, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_done, 0x20b3e9f3, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_done, 0x4902c6b3, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_write_done, 0x930a94fd, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_pagelist, 0x9a2ffa86, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_pagelist, 0xdaddd424, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, 0x500d249a, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_read_pagelist, 0x6a925097, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_pagelist, 0x1ec532d3, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_pagelist, 0x0193d7b3, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, 0x0a0e4c42, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_write_pagelist, 0x18e75751, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_read_error, 0xcd3ad44b, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_read_error, 0x43e09699, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_read_error, 0xeb137d09, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_read_error, 0x7e42bd3f, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_write_error, 0x901bce69, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_write_error, 0x9dc55718, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_write_error, 0x08efc77c, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_write_error, 0xf32fa2b7, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_commit_error, 0x3e113115, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_commit_error, 0x616c87d0, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_commit_error, 0x535421f7, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_commit_error, 0xcc21ce5c, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_reg, 0x723fc98a, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_reg, 0x8e663b58, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_reg, 0xa4dee8a2, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bl_pr_key_reg, 0xf0a5b199, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_reg_err, 0xdd63e90d, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_reg_err, 0x29b7a4cc, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_reg_err, 0xa9bff747, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bl_pr_key_reg_err, 0x87ed16c4, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_unreg, 0x089c5e92, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_unreg, 0x0e5e115a, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_unreg, 0x19a83687, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bl_pr_key_unreg, 0xa37b1177, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_unreg_err, 0x85684f00, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_unreg_err, 0xe4a3def6, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_unreg_err, 0x75f1a130, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bl_pr_key_unreg_err, 0xe1bc35e8, "_gpl");
SYMBOL_CRC(__tracepoint_fl_getdevinfo, 0xffcf201f, "_gpl");
SYMBOL_CRC(__traceiter_fl_getdevinfo, 0xc10bc40c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_fl_getdevinfo, 0x292e0137, "_gpl");
SYMBOL_CRC(__SCT__tp_func_fl_getdevinfo, 0x6f27cded, "_gpl");
SYMBOL_CRC(pnfs_register_layoutdriver, 0x1ea83b33, "_gpl");
SYMBOL_CRC(pnfs_unregister_layoutdriver, 0x6cee1184, "_gpl");
SYMBOL_CRC(pnfs_put_lseg, 0x825996f4, "_gpl");
SYMBOL_CRC(pnfs_destroy_layout, 0x929dc438, "_gpl");
SYMBOL_CRC(pnfs_generic_layout_insert_lseg, 0xeb8889c3, "_gpl");
SYMBOL_CRC(pnfs_update_layout, 0x7e34be6c, "_gpl");
SYMBOL_CRC(pnfs_error_mark_layout_for_return, 0x0e38d2a7, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_check_layout, 0x3f552cae, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_read, 0x3ef1aded, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_write, 0x4e60ebee, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_cleanup, 0x19dae1a2, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_test, 0x53478169, "_gpl");
SYMBOL_CRC(pnfs_write_done_resend_to_mds, 0x95045630, "_gpl");
SYMBOL_CRC(pnfs_ld_write_done, 0xca08ba3c, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_writepages, 0x43a6744e, "_gpl");
SYMBOL_CRC(pnfs_read_done_resend_to_mds, 0x003d5ddb, "_gpl");
SYMBOL_CRC(pnfs_ld_read_done, 0x6c8754e6, "_gpl");
SYMBOL_CRC(pnfs_read_resend_pnfs, 0x05dec874, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_readpages, 0x21cd59a7, "_gpl");
SYMBOL_CRC(pnfs_set_lo_fail, 0xca897bc0, "_gpl");
SYMBOL_CRC(pnfs_set_layoutcommit, 0x406c4a0a, "_gpl");
SYMBOL_CRC(pnfs_layoutcommit_inode, 0xf37b9b3f, "_gpl");
SYMBOL_CRC(pnfs_generic_sync, 0xe84a2ff2, "_gpl");
SYMBOL_CRC(pnfs_report_layoutstat, 0x079f63fd, "_gpl");
SYMBOL_CRC(layoutstats_timer, 0x054bef45, "_gpl");
SYMBOL_CRC(nfs4_print_deviceid, 0xed15fb41, "_gpl");
SYMBOL_CRC(nfs4_find_get_deviceid, 0x6000753a, "_gpl");
SYMBOL_CRC(nfs4_delete_deviceid, 0x53c85057, "_gpl");
SYMBOL_CRC(nfs4_init_deviceid_node, 0xb824dc97, "_gpl");
SYMBOL_CRC(nfs4_put_deviceid_node, 0x21f5dfa6, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_available, 0xb53c36aa, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_unavailable, 0xdbd6bd73, "_gpl");
SYMBOL_CRC(nfs4_test_deviceid_unavailable, 0x0e32a75d, "_gpl");
SYMBOL_CRC(pnfs_generic_rw_release, 0x69d3558d, "_gpl");
SYMBOL_CRC(pnfs_generic_prepare_to_resend_writes, 0x88fb658b, "_gpl");
SYMBOL_CRC(pnfs_generic_write_commit_done, 0xff6cd603, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_release, 0xf999267e, "_gpl");
SYMBOL_CRC(pnfs_generic_clear_request_commit, 0xa4e3ad1f, "_gpl");
SYMBOL_CRC(pnfs_alloc_commit_array, 0x0ab77e8d, "_gpl");
SYMBOL_CRC(pnfs_free_commit_array, 0x18749b8b, "_gpl");
SYMBOL_CRC(pnfs_add_commit_array, 0x87ade783, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_release_lseg, 0xe1fcd346, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_destroy, 0x54732552, "_gpl");
SYMBOL_CRC(pnfs_generic_scan_commit_lists, 0x3b7afcdc, "_gpl");
SYMBOL_CRC(pnfs_generic_recover_commit_reqs, 0x40cd3e4c, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_pagelist, 0x6a6c33fa, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_put, 0xac82fb84, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_add, 0x3f3c84fa, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_connect, 0xae8d0005, "_gpl");
SYMBOL_CRC(nfs4_decode_mp_ds_addr, 0x297c63f7, "_gpl");
SYMBOL_CRC(pnfs_layout_mark_request_commit, 0xb897a0b1, "_gpl");
SYMBOL_CRC(pnfs_nfs_generic_sync, 0x0b02c96f, "_gpl");
SYMBOL_CRC(nfs42_proc_layouterror, 0xf6904964, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb171500e, "xdr_stream_subsegment" },
	{ 0x4ea76856, "nfs_zap_acl_cache" },
	{ 0x82d79b51, "sysctl_vfs_cache_pressure" },
	{ 0x1c17f673, "nfs_fscache_open_file" },
	{ 0x2b93e56e, "from_kgid" },
	{ 0x658574f4, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xa4b4fde4, "nfs_write_inode" },
	{ 0xc927d282, "nfs_request_remove_commit_list" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x7d9e668a, "rpc_wake_up_first" },
	{ 0xd92577e1, "alloc_nfs_open_context" },
	{ 0xdad30593, "list_lru_add_obj" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x7f76bdee, "vfs_parse_fs_param" },
	{ 0xb9dad15a, "nfs_path" },
	{ 0x1f015c87, "rpc_sleep_on_priority_timeout" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x520ac3f5, "nfs_create_rpc_client" },
	{ 0x481dda0e, "__put_devmap_managed_folio_refs" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xee62eb3d, "register_nfs_version" },
	{ 0x2d9ea521, "rpc_sleep_on_timeout" },
	{ 0xaeeb7006, "list_lru_count_one" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xa48b1651, "svc_destroy" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x68aee4a4, "rpc_call_start" },
	{ 0x4577fa32, "xprt_setup_backchannel" },
	{ 0x57a45346, "bpf_trace_run1" },
	{ 0x932ac48b, "svc_create" },
	{ 0xf895493a, "rpc_clnt_iterate_for_each_xprt" },
	{ 0xbf77271b, "nfs_file_set_open_context" },
	{ 0x8d7364b8, "rpc_init_priority_wait_queue" },
	{ 0x3f2690f2, "nfs_check_flags" },
	{ 0xeb64b609, "rpc_call_sync" },
	{ 0x9574e96, "from_kuid" },
	{ 0x1e4aee4c, "rpc_put_task_async" },
	{ 0x540db266, "rpc_prepare_reply_pages" },
	{ 0x5305bafb, "rpc_queue_upcall" },
	{ 0x39d9ff2, "nfs_free_server" },
	{ 0x257e84dc, "fc_mount" },
	{ 0x1bf344ac, "register_sysctl_sz" },
	{ 0x65a5cfb7, "nfs_setattr" },
	{ 0xbc141a90, "xdr_terminate_string" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x7a79cd4a, "nfs4_fs_type" },
	{ 0x8d271594, "key_revoke" },
	{ 0xa05ca625, "nfs_fattr_init" },
	{ 0xba406aed, "rpc_delay" },
	{ 0x4d12adcf, "nfs_flock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc4e8f1a1, "__list_lru_init" },
	{ 0xfa10416, "kmem_cache_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0x7dc3368, "svc_generic_init_request" },
	{ 0x88c88474, "_atomic_dec_and_lock" },
	{ 0x60be4efb, "key_validate" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0x30d9391d, "rpc_exit" },
	{ 0x8225e746, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x8337a399, "__kmem_cache_create_args" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xa2bd22fc, "rpc_remove_pipe_dir_object" },
	{ 0x5c2772, "nfs_may_open" },
	{ 0xa627b1a3, "from_kgid_munged" },
	{ 0xfc619abd, "_nfs_display_fhandle" },
	{ 0x7ee9eda4, "out_of_line_wait_on_bit_lock" },
	{ 0xbd53fd3a, "nfs_server_copy_userdata" },
	{ 0x832e8f0b, "nfs_alloc_fattr" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9fb64856, "down_read" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xa3588251, "xdr_reserve_space" },
	{ 0x9559421e, "rpcauth_lookupcred" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd00c9875, "kthread_create_on_node" },
	{ 0xabc640f3, "list_lru_isolate" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xd3d0f387, "nfs_rmdir" },
	{ 0xcb67b626, "bpf_trace_run3" },
	{ 0xe950f713, "override_creds" },
	{ 0x4cb9e001, "recover_lost_locks" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x10c35e2e, "nfs_filemap_write_and_wait_range" },
	{ 0x7b4bf953, "rpc_mkpipe_dentry" },
	{ 0xee19e20b, "alloc_file_pseudo" },
	{ 0xaa1ba050, "rpc_mkpipe_data" },
	{ 0xfc4da7eb, "rpc_add_pipe_dir_object" },
	{ 0x65176e00, "igrab" },
	{ 0x6b9eb1fc, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x9aab24d, "nfs_async_iocounter_wait" },
	{ 0x574a5536, "nfs_file_read" },
	{ 0x27a7a36e, "trace_event_buffer_reserve" },
	{ 0xf22408db, "nfs_alloc_fattr_with_label" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x4f1cf324, "filemap_fdatawait_range" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0x1cfdb4c6, "nfs_commitdata_alloc" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9199b9f0, "param_ops_bool" },
	{ 0x148d2f87, "nfs_setattr_update_inode" },
	{ 0xaf5be74e, "nfs_instantiate" },
	{ 0x538eb2d2, "init_user_ns" },
	{ 0x11bc72cf, "rpc_uaddr2sockaddr" },
	{ 0xa15e1d41, "user_read" },
	{ 0x4acc6c90, "rpc_restart_call" },
	{ 0x9f7c9797, "request_key_tag" },
	{ 0x404b291e, "xprt_force_disconnect" },
	{ 0x8ead800c, "user_free_preparse" },
	{ 0xb0ee695b, "rpc_clnt_xprt_switch_remove_xprt" },
	{ 0xb8668178, "svc_xprt_destroy_all" },
	{ 0x2fd1a34a, "generic_key_instantiate" },
	{ 0x7cf0d808, "inc_nlink" },
	{ 0x44e9a829, "match_token" },
	{ 0xb1f145cc, "nfs_link" },
	{ 0x64a5c687, "__folio_put" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xed07cdbd, "list_lru_walk_one" },
	{ 0xc3a2be67, "nfs_net_id" },
	{ 0xe8a26082, "rpcauth_stringify_acceptor" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8b0617b7, "dput" },
	{ 0xe47450bc, "lockref_get" },
	{ 0xf147db4e, "rpc_init_wait_queue" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x79691bf4, "xdr_stream_move_subsegment" },
	{ 0xed0b915, "put_rpccred" },
	{ 0x294c6a2, "nfs_callback_nr_threads" },
	{ 0x20e177fd, "nfs_post_op_update_inode_force_wcc" },
	{ 0x89803cd5, "nfs_pgheader_init" },
	{ 0xe316ba47, "put_nfs_open_context" },
	{ 0x42541d4b, "nfs_show_path" },
	{ 0xab20848c, "nfs_show_devname" },
	{ 0x3c20aab8, "nfs_permission" },
	{ 0x5730ba10, "nfs_initiate_commit" },
	{ 0x3b2a90e8, "truncate_inode_pages_range" },
	{ 0x91bce357, "__put_user_ns" },
	{ 0xbd6ee8cc, "alloc_pages_noprof" },
	{ 0x3e008c10, "cred_fscmp" },
	{ 0x12b897a7, "rpc_unlink" },
	{ 0xf4c407bd, "nfs_sync_inode" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x70ee1bf3, "proc_dointvec" },
	{ 0xd6a78628, "remove_wait_queue" },
	{ 0xb2c3ce54, "nfs_file_write" },
	{ 0xaafd4acc, "max_session_cb_slots" },
	{ 0x6471ada7, "node_data" },
	{ 0x2cb2092f, "nfs_probe_server" },
	{ 0x1ece6045, "nfs_setsecurity" },
	{ 0x4f55745d, "rpc_clnt_xprt_switch_has_addr" },
	{ 0x4e96077, "rpc_clnt_test_and_add_xprt" },
	{ 0x9f72596f, "file_ra_state_init" },
	{ 0x6904be22, "nfs_force_lookup_revalidate" },
	{ 0xa0e6ffbd, "nfs_file_llseek" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x3cd354f7, "rpc_clnt_add_xprt" },
	{ 0xedac053e, "dget_parent" },
	{ 0x49d7ffb9, "from_kuid_munged" },
	{ 0x2ec4b0a6, "prepare_kernel_cred" },
	{ 0x8d7ffe3e, "nfs_alloc_server" },
	{ 0x634b5931, "rpc_call_async" },
	{ 0xb913b183, "security_dentry_init_security" },
	{ 0x164877db, "filemap_write_and_wait_range" },
	{ 0xf0934a34, "list_lru_del_obj" },
	{ 0xc49baca, "nfs_server_insert_lists" },
	{ 0xa80e0963, "nfs_dreq_bytes_left" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x754d539c, "strlen" },
	{ 0x158ca8be, "nfs_free_client" },
	{ 0xb93ba240, "wake_up_bit" },
	{ 0xc0996092, "rpc_init_pipe_dir_object" },
	{ 0xac3d9895, "bpf_trace_run7" },
	{ 0xf2fb3574, "nfs_refresh_inode" },
	{ 0x9aa71919, "refcount_dec_and_lock" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x91d1fe52, "max_session_slots" },
	{ 0x349cba85, "strchr" },
	{ 0x8e162a8, "nfs_access_set_mask" },
	{ 0x8db1b629, "nfs_init_server_rpcclient" },
	{ 0x4d52c0fd, "__mark_inode_dirty" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x4ff5c37e, "rpc_set_connect_timeout" },
	{ 0x7257af4b, "rpcauth_create" },
	{ 0x50ceba6e, "xdr_stream_pos" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xe4d6863a, "key_set_timeout" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xefa414fb, "nfs_delay_retrans" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x10962bc2, "nfs_auth_info_match" },
	{ 0xb570b5d7, "up_read" },
	{ 0x39e05ac3, "nfs_idmap_cache_timeout" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0xa005fa5f, "svc_xprt_create" },
	{ 0x77a27ea3, "nfs42_ssc_register" },
	{ 0x5b1f9d77, "rpc_wait_for_completion_task" },
	{ 0xfe3a0110, "drop_nlink" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x57db014e, "rpc_num_bc_slots" },
	{ 0xc18cef8f, "nfs_alloc_inode" },
	{ 0xb4594218, "rpc_destroy_wait_queue" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x925c83af, "security_inode_listsecurity" },
	{ 0x4c021e2e, "nfs_fhget" },
	{ 0xe13f7185, "nfs_symlink" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x12c8664e, "locks_copy_lock" },
	{ 0x8019049f, "kmem_cache_destroy" },
	{ 0x51892d61, "nfs_callback_set_tcpport" },
	{ 0x448e5d3c, "nfs_unlink" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa96836f0, "nfs_set_verifier" },
	{ 0x8dc6f00d, "proc_dointvec_minmax" },
	{ 0x8f6b4407, "rpc_put_task" },
	{ 0x21955cf8, "nfs4_stat_to_errno" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xa8559541, "svc_generic_rpcbind_set" },
	{ 0xcafe4089, "nfs_clone_server" },
	{ 0x5711b94e, "nfs_access_add_cache" },
	{ 0x28e9ab72, "filemap_fdatawrite" },
	{ 0x7daa3c2c, "nfs_show_stats" },
	{ 0xac0ebcca, "nfs_server_remove_lists" },
	{ 0x580e0bb3, "shrinker_alloc" },
	{ 0xe4bffd01, "nfs42_ssc_unregister" },
	{ 0x5e334dc1, "generic_listxattr" },
	{ 0x4e5daa9a, "try_module_get" },
	{ 0x52fc6068, "revert_creds" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x585172b, "nfs_writeback_update_inode" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xa9a9a9d3, "clear_inode" },
	{ 0x9983c7d3, "inode_to_bdi" },
	{ 0x1d337321, "bpf_trace_run4" },
	{ 0x2ecf7d1f, "user_destroy" },
	{ 0x333051c0, "idr_find" },
	{ 0xe5eb5fd0, "param_ops_uint" },
	{ 0x2a7605d5, "user_revoke" },
	{ 0xba9662ed, "d_exact_alias" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6cd7c995, "nfs_alloc_client" },
	{ 0xdae9b5d7, "nfs4_disable_idmapping" },
	{ 0x4d4a86ea, "nfs_mark_client_ready" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x463f7b90, "rpc_clnt_probe_trunked_xprts" },
	{ 0x64c100ee, "nfs_pageio_reset_read_mds" },
	{ 0x2567bd01, "xdr_write_pages" },
	{ 0xcdc39c9e, "security_ismaclabel" },
	{ 0x27829e94, "rpc_shutdown_client" },
	{ 0x940778dd, "svc_bind" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x3d7a7fbb, "nfs_d_prune_case_insensitive_aliases" },
	{ 0x4161e916, "nfs_wait_bit_killable" },
	{ 0xc83a603c, "nfs_free_inode" },
	{ 0x42bc306a, "nfs_access_zap_cache" },
	{ 0x48394c40, "nfs_sb_deactive" },
	{ 0xcb08ebea, "nfs_wb_all" },
	{ 0x18c7fe20, "__break_lease" },
	{ 0xb3b62f9c, "nfs_pageio_init_write" },
	{ 0x4c9c9c17, "svc_recv" },
	{ 0x486527e8, "nfs_drop_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xeefca5e5, "xdr_inline_decode" },
	{ 0xe8c41b71, "nfs_pageio_init_read" },
	{ 0xa11a97c1, "trace_raw_output_prep" },
	{ 0xff63b074, "nfs_wait_client_init_complete" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x1dce0dd0, "nfs_init_commit" },
	{ 0x193ca7d6, "nfs_commitdata_release" },
	{ 0xa5040375, "bpf_trace_run6" },
	{ 0xa35d480c, "list_lru_destroy" },
	{ 0xca9360b5, "rb_next" },
	{ 0xe77be61, "rpc_net_ns" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xb07d43ee, "__trace_trigger_soft_disabled" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xeebef96e, "nfs_mknod" },
	{ 0xabfc4ef, "nfs_inode_attach_open_context" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0xe500e1da, "nfs4_label_alloc" },
	{ 0x3b5d3d54, "rpc_localaddr" },
	{ 0x8a1df5fb, "rpc_wake_up" },
	{ 0xdd691402, "xprt_find_transport_ident" },
	{ 0xdf4574bf, "trace_event_printf" },
	{ 0xf360f549, "nfs_access_get_cached" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xe4ef0a16, "idr_replace" },
	{ 0x493c1d36, "nfs_lock" },
	{ 0x23f4c233, "unregister_key_type" },
	{ 0xbf388207, "nfs_client_init_is_complete" },
	{ 0x4d3f5448, "nfs_file_splice_read" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x5c6d01c3, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x862d1e43, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x549dee85, "trace_event_raw_init" },
	{ 0x1e424d61, "user_preparse" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0xd9a5ab06, "ihold" },
	{ 0x1a8a8727, "truncate_pagecache_range" },
	{ 0x261aedb7, "rpc_peeraddr" },
	{ 0x37a0cba, "kfree" },
	{ 0x8ce2df4e, "invalidate_inode_pages2_range" },
	{ 0xa1515a17, "nfs_post_op_update_inode" },
	{ 0xbd705fb1, "svc_exit_thread" },
	{ 0x8aa69fa8, "iput" },
	{ 0x4828b97f, "xdr_set_pagelen" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x4f4ae3af, "nfs_pgio_header_free" },
	{ 0x21daef36, "nfs_request_add_commit_list_locked" },
	{ 0xa55b06bd, "add_wait_queue" },
	{ 0x11762571, "logfc" },
	{ 0x72c345e9, "nfs_pgio_header_alloc" },
	{ 0x9b075afb, "iter_file_splice_write" },
	{ 0x3e8469, "rpc_pton" },
	{ 0x7a43c6a, "nfs_sb_active" },
	{ 0x931459c6, "mod_node_page_state" },
	{ 0x549c0738, "rpc_ntop" },
	{ 0x720224ec, "rpc_wake_up_queued_task" },
	{ 0xd0d9d74c, "bpf_trace_run2" },
	{ 0x3416d62c, "prepare_to_wait_event" },
	{ 0x3a375ec6, "out_of_line_wait_on_bit" },
	{ 0x937eb30e, "xdr_stream_zero" },
	{ 0x1e119a79, "rpcauth_get_pseudoflavor" },
	{ 0xffb2b5b8, "rpc_restart_call_prepare" },
	{ 0xf6491531, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x25bc308b, "_copy_from_pages" },
	{ 0x883c3a0f, "__module_get" },
	{ 0x53ad5a6e, "rpc_task_release_transport" },
	{ 0x8f82a54f, "xdr_page_pos" },
	{ 0x73923f8c, "nfs_file_release" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xf0e3da82, "nfs_pgio_current_mirror" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xbc19b468, "key_instantiate_and_link" },
	{ 0x5e651d9f, "trace_print_hex_seq" },
	{ 0x3539f11b, "match_strlcpy" },
	{ 0xe55fb81e, "xdr_read_pages" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0x4c930ad7, "register_key_type" },
	{ 0xec9b6a57, "rpc_sleep_on" },
	{ 0xcbd99a98, "rpc_run_task" },
	{ 0xc6cce571, "nfs_pageio_resend" },
	{ 0xdca26fef, "keyring_alloc" },
	{ 0x565f79d0, "vfs_setpos" },
	{ 0x55b5fbef, "nfs_create" },
	{ 0xcae7ece7, "complete_request_key" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf891cf32, "__put_cred" },
	{ 0xee9e6231, "nfs_update_delegated_mtime" },
	{ 0x4da683ce, "nfs_statfs" },
	{ 0x1d8a5fdd, "wake_up_process" },
	{ 0xa6af852c, "shrinker_free" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0xd83eb851, "splice_file_range" },
	{ 0x2e14059d, "rpc_max_bc_payload" },
	{ 0x77188b5d, "trace_event_buffer_commit" },
	{ 0x584b8482, "nfs_inc_attr_generation_counter" },
	{ 0x90a5530f, "nfsiod_workqueue" },
	{ 0x699cb76e, "rpc_clnt_xprt_switch_add_xprt" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb3e57f7b, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x6435c433, "nfs_mkdir" },
	{ 0x99e839bd, "nfs_revalidate_inode" },
	{ 0xf435dbaa, "inode_newsize_ok" },
	{ 0x5d505fbd, "nfs_file_mmap" },
	{ 0xc7cc29ef, "nfs_get_lock_context" },
	{ 0xb9d622d3, "d_drop" },
	{ 0x92997ed8, "_printk" },
	{ 0xd8649ba5, "nfs_set_cache_invalid" },
	{ 0x7cdfae8b, "rpc_release_client" },
	{ 0x60a9787e, "rpc_clnt_manage_trunked_xprts" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xbd786910, "rt_spin_trylock" },
	{ 0xfd92f4f4, "xdr_enter_page" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6d8d47b5, "rpc_clnt_setup_test_and_add_xprt" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xecc81759, "unregister_sysctl_table" },
	{ 0xb8d61088, "nfs_generic_pgio" },
	{ 0xc299905c, "make_kuid" },
	{ 0x956079dd, "truncate_inode_pages_final" },
	{ 0xf815eb09, "generic_setlease" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xbef0fc8, "xprt_destroy_backchannel" },
	{ 0x30ebce64, "rpc_switch_client_transport" },
	{ 0xa916b694, "strnlen" },
	{ 0xb997b03d, "nfs_scan_commit_list" },
	{ 0xdad7a934, "xdr_stream_decode_string_dup" },
	{ 0xb62e5ade, "nfs_commit_inode" },
	{ 0x3f8878b9, "shrinker_register" },
	{ 0x9d2a71a, "locks_init_lock" },
	{ 0xa8e9e1ae, "send_implementation_id" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0xd798d6ef, "rpc_destroy_pipe_data" },
	{ 0x850dfaee, "nfs_get_client" },
	{ 0x6cb3aac, "__free_pages" },
	{ 0x9f984513, "strrchr" },
	{ 0x681549bc, "init_wait_var_entry" },
	{ 0xfbcb0b03, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0x6a3b8d1c, "init_task" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x1ab8606b, "nfs_atomic_open" },
	{ 0xf4754aa5, "rpc_pipe_generic_upcall" },
	{ 0x3e15e7ed, "nfs_file_fsync" },
	{ 0x7276b73a, "module_put" },
	{ 0x76db097a, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x10182e9d, "mntput" },
	{ 0x9d5c6c2c, "nfs_put_lock_context" },
	{ 0xef8d8096, "nfs_rename" },
	{ 0xc09b888, "nfs_lookup" },
	{ 0x769f6e64, "errseq_check" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x380e791b, "nfs_sysfs_link_rpc_client" },
	{ 0xea68a3c4, "nfs_put_client" },
	{ 0xfa9b8c0d, "nfs_show_options" },
	{ 0x5691cf22, "dns_query" },
	{ 0x26884ff7, "nfs_alloc_fhandle" },
	{ 0xccf4c95, "key_put" },
	{ 0x868784cb, "__symbol_get" },
	{ 0xc4489ba4, "mount_subtree" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xeb768aa0, "get_nfs_open_context" },
	{ 0x7ec56c70, "perf_trace_run_bpf_submit" },
	{ 0xcc4f839, "nfs_clear_verifier_delegated" },
	{ 0x70df10ba, "nfs_sysfs_add_server" },
	{ 0xa8caa2e, "fput" },
	{ 0x49608959, "migrate_disable" },
	{ 0xba0efd1f, "down_write" },
	{ 0xd946a84b, "rpc_machine_cred" },
	{ 0x42f2c81f, "nfs4_client_id_uniquifier" },
	{ 0x451bccaf, "nfs_do_submount" },
	{ 0x17d4706, "vfs_dup_fs_context" },
	{ 0x209b8854, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0xda96642f, "request_key_with_auxdata" },
	{ 0x6af31b3a, "rpc_clone_client_set_auth" },
	{ 0x5baedf53, "rpc_clone_client" },
	{ 0x351ee177, "svc_set_num_threads" },
	{ 0x4e3567f7, "match_int" },
	{ 0x9f97998b, "nfs_client_init_status" },
	{ 0x9820f51a, "idr_alloc" },
	{ 0xb80f4225, "svc_rpcb_cleanup" },
	{ 0xa07a37f0, "memchr" },
	{ 0x9f592af3, "radix_tree_preloads" },
	{ 0x58116313, "user_describe" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3df06b39, "put_fs_context" },
	{ 0xa693b2e9, "nfs_retry_commit" },
	{ 0x6515c75b, "nfs4_dentry_operations" },
	{ 0xac7adf88, "__module_put_and_kthread_exit" },
	{ 0x24892329, "rpc_peeraddr2str" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x7664082f, "nfs_client_for_each_server" },
	{ 0x284ca236, "nfs_clear_inode" },
	{ 0xa18ecd0d, "rpc_sleep_on_priority" },
	{ 0x92a36e82, "nfs_invalidate_atime" },
	{ 0x7ff53d0f, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x954f099c, "idr_preload" },
	{ 0x168d3e7e, "nfs_umount_begin" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x6339b240, "nfs_getattr" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x81a3cc7d, "nfs_pageio_reset_write_mds" },
	{ 0xdf9ceed4, "kmem_cache_free" },
	{ 0x81881001, "nfs_generic_pg_test" },
	{ 0x5a921311, "strncmp" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,nfs,dns_resolver");


MODULE_INFO(srcversion, "47501F0BBB9E7927A222057");

MODULE_INFO(suserelease, "SLFO-1.2");
