#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(v9fs_register_trans, "", "");
KSYMTAB_FUNC(v9fs_unregister_trans, "", "");
KSYMTAB_FUNC(v9fs_get_trans_by_name, "", "");
KSYMTAB_FUNC(v9fs_get_default_trans, "", "");
KSYMTAB_FUNC(p9_is_proto_dotl, "", "");
KSYMTAB_FUNC(p9_is_proto_dotu, "", "");
KSYMTAB_FUNC(p9_show_client_options, "", "");
KSYMTAB_FUNC(p9_fcall_fini, "", "");
KSYMTAB_FUNC(p9_tag_lookup, "", "");
KSYMTAB_FUNC(p9_req_put, "", "");
KSYMTAB_FUNC(p9_client_cb, "", "");
KSYMTAB_FUNC(p9_parse_header, "", "");
KSYMTAB_DATA(__tracepoint_9p_fid_ref, "", "");
KSYMTAB_FUNC(__traceiter_9p_fid_ref, "", "");
KSYMTAB_DATA(__SCK__tp_func_9p_fid_ref, "", "");
KSYMTAB_FUNC(__SCT__tp_func_9p_fid_ref, "", "");
KSYMTAB_FUNC(do_trace_9p_fid_get, "", "");
KSYMTAB_FUNC(do_trace_9p_fid_put, "", "");
KSYMTAB_FUNC(p9_client_create, "", "");
KSYMTAB_FUNC(p9_client_destroy, "", "");
KSYMTAB_FUNC(p9_client_disconnect, "", "");
KSYMTAB_FUNC(p9_client_begin_disconnect, "", "");
KSYMTAB_FUNC(p9_client_attach, "", "");
KSYMTAB_FUNC(p9_client_walk, "", "");
KSYMTAB_FUNC(p9_client_open, "", "");
KSYMTAB_FUNC(p9_client_create_dotl, "", "");
KSYMTAB_FUNC(p9_client_fcreate, "", "");
KSYMTAB_FUNC(p9_client_symlink, "", "");
KSYMTAB_FUNC(p9_client_link, "", "");
KSYMTAB_FUNC(p9_client_fsync, "", "");
KSYMTAB_FUNC(p9_client_clunk, "", "");
KSYMTAB_FUNC(p9_client_remove, "", "");
KSYMTAB_FUNC(p9_client_unlinkat, "", "");
KSYMTAB_FUNC(p9_client_read, "", "");
KSYMTAB_FUNC(p9_client_read_once, "", "");
KSYMTAB_FUNC(p9_client_write, "", "");
KSYMTAB_FUNC(p9_client_write_subreq, "", "");
KSYMTAB_FUNC(p9_client_stat, "", "");
KSYMTAB_FUNC(p9_client_getattr_dotl, "", "");
KSYMTAB_FUNC(p9_client_wstat, "", "");
KSYMTAB_FUNC(p9_client_setattr, "", "");
KSYMTAB_FUNC(p9_client_statfs, "", "");
KSYMTAB_FUNC(p9_client_rename, "", "");
KSYMTAB_FUNC(p9_client_renameat, "", "");
KSYMTAB_FUNC(p9_client_xattrwalk, "_gpl", "");
KSYMTAB_FUNC(p9_client_xattrcreate, "_gpl", "");
KSYMTAB_FUNC(p9_client_readdir, "", "");
KSYMTAB_FUNC(p9_client_mknod_dotl, "", "");
KSYMTAB_FUNC(p9_client_mkdir_dotl, "", "");
KSYMTAB_FUNC(p9_client_lock_dotl, "", "");
KSYMTAB_FUNC(p9_client_getlock_dotl, "", "");
KSYMTAB_FUNC(p9_client_readlink, "", "");
KSYMTAB_FUNC(p9_error_init, "", "");
KSYMTAB_FUNC(p9_errstr2errno, "", "");
KSYMTAB_FUNC(p9stat_free, "", "");
KSYMTAB_FUNC(p9stat_read, "", "");
KSYMTAB_FUNC(p9dirent_read, "", "");
KSYMTAB_FUNC(p9_release_pages, "", "");

SYMBOL_CRC(v9fs_register_trans, 0xc72242cd, "");
SYMBOL_CRC(v9fs_unregister_trans, 0x0a20ad4d, "");
SYMBOL_CRC(v9fs_get_trans_by_name, 0x1fe44642, "");
SYMBOL_CRC(v9fs_get_default_trans, 0x66b28a05, "");
SYMBOL_CRC(p9_is_proto_dotl, 0x823ddef2, "");
SYMBOL_CRC(p9_is_proto_dotu, 0x31c67e03, "");
SYMBOL_CRC(p9_show_client_options, 0xedeac736, "");
SYMBOL_CRC(p9_fcall_fini, 0x4ba99359, "");
SYMBOL_CRC(p9_tag_lookup, 0x9231160b, "");
SYMBOL_CRC(p9_req_put, 0xa08ddaf4, "");
SYMBOL_CRC(p9_client_cb, 0xcb532cd4, "");
SYMBOL_CRC(p9_parse_header, 0x761cad64, "");
SYMBOL_CRC(__tracepoint_9p_fid_ref, 0x25e2d33c, "");
SYMBOL_CRC(__traceiter_9p_fid_ref, 0xf4279e2a, "");
SYMBOL_CRC(__SCK__tp_func_9p_fid_ref, 0xe30bd680, "");
SYMBOL_CRC(__SCT__tp_func_9p_fid_ref, 0xb798a888, "");
SYMBOL_CRC(do_trace_9p_fid_get, 0x2c67093c, "");
SYMBOL_CRC(do_trace_9p_fid_put, 0xe67c206f, "");
SYMBOL_CRC(p9_client_create, 0x316d9f49, "");
SYMBOL_CRC(p9_client_destroy, 0xa623748c, "");
SYMBOL_CRC(p9_client_disconnect, 0x9fc6fce4, "");
SYMBOL_CRC(p9_client_begin_disconnect, 0x03e30d95, "");
SYMBOL_CRC(p9_client_attach, 0xb1152ae1, "");
SYMBOL_CRC(p9_client_walk, 0x79bc8dcb, "");
SYMBOL_CRC(p9_client_open, 0x651caf96, "");
SYMBOL_CRC(p9_client_create_dotl, 0x9a834f26, "");
SYMBOL_CRC(p9_client_fcreate, 0xfc6d6165, "");
SYMBOL_CRC(p9_client_symlink, 0xefb949d2, "");
SYMBOL_CRC(p9_client_link, 0xbd16d393, "");
SYMBOL_CRC(p9_client_fsync, 0x7179336c, "");
SYMBOL_CRC(p9_client_clunk, 0x62218aa6, "");
SYMBOL_CRC(p9_client_remove, 0x674a8fa9, "");
SYMBOL_CRC(p9_client_unlinkat, 0x030b7561, "");
SYMBOL_CRC(p9_client_read, 0x2e41454c, "");
SYMBOL_CRC(p9_client_read_once, 0x83216350, "");
SYMBOL_CRC(p9_client_write, 0x80497d16, "");
SYMBOL_CRC(p9_client_write_subreq, 0xa1f7c440, "");
SYMBOL_CRC(p9_client_stat, 0x5b514797, "");
SYMBOL_CRC(p9_client_getattr_dotl, 0xec133895, "");
SYMBOL_CRC(p9_client_wstat, 0xdd5b1aa5, "");
SYMBOL_CRC(p9_client_setattr, 0xf92d0a21, "");
SYMBOL_CRC(p9_client_statfs, 0x45b45bde, "");
SYMBOL_CRC(p9_client_rename, 0x5a6bb859, "");
SYMBOL_CRC(p9_client_renameat, 0x406bb428, "");
SYMBOL_CRC(p9_client_xattrwalk, 0x2d840232, "_gpl");
SYMBOL_CRC(p9_client_xattrcreate, 0x18b4a187, "_gpl");
SYMBOL_CRC(p9_client_readdir, 0xbca82981, "");
SYMBOL_CRC(p9_client_mknod_dotl, 0xca2c4a51, "");
SYMBOL_CRC(p9_client_mkdir_dotl, 0x7e2f494d, "");
SYMBOL_CRC(p9_client_lock_dotl, 0x1d7348ab, "");
SYMBOL_CRC(p9_client_getlock_dotl, 0xd8c83617, "");
SYMBOL_CRC(p9_client_readlink, 0xbe702b6b, "");
SYMBOL_CRC(p9_error_init, 0xe58a3360, "");
SYMBOL_CRC(p9_errstr2errno, 0x3d73a797, "");
SYMBOL_CRC(p9stat_free, 0xd384c683, "");
SYMBOL_CRC(p9stat_read, 0x1722e014, "");
SYMBOL_CRC(p9dirent_read, 0xbcc7b7f8, "");
SYMBOL_CRC(p9_release_pages, 0xd292d171, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x549dee85, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xd0d9d74c, "bpf_trace_run2" },
	{ 0x3416d62c, "prepare_to_wait_event" },
	{ 0xf6491531, "__wake_up" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x77188b5d, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xfb6af58d, "recalc_sigpending" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc299905c, "make_kuid" },
	{ 0xa916b694, "strnlen" },
	{ 0xed0bc201, "idr_get_next" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0x7276b73a, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xb9a85f0c, "idr_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x7ec56c70, "perf_trace_run_bpf_submit" },
	{ 0x4e3567f7, "match_int" },
	{ 0x9820f51a, "idr_alloc" },
	{ 0x9f592af3, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x954f099c, "idr_preload" },
	{ 0xdf9ceed4, "kmem_cache_free" },
	{ 0x5a921311, "strncmp" },
	{ 0x2b93e56e, "from_kgid" },
	{ 0x658574f4, "trace_event_reg" },
	{ 0x3029544b, "iov_iter_kvec" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x481dda0e, "__put_devmap_managed_folio_refs" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x9574e96, "from_kuid" },
	{ 0x90f5f875, "netfs_write_subrequest_terminated" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfa10416, "kmem_cache_alloc_noprof" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0x8225e746, "make_kgid" },
	{ 0x8337a399, "__kmem_cache_create_args" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xcb67b626, "bpf_trace_run3" },
	{ 0x27a7a36e, "trace_event_buffer_reserve" },
	{ 0x85df9b6c, "strsep" },
	{ 0x538eb2d2, "init_user_ns" },
	{ 0x9f7aac60, "seq_write" },
	{ 0x44e9a829, "match_token" },
	{ 0x64a5c687, "__folio_put" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x7ad7a5cd, "seq_printf" },
	{ 0x44531a37, "_copy_from_iter" },
	{ 0xacf4d843, "match_strdup" },
	{ 0x754d539c, "strlen" },
	{ 0xc86a4b4, "iov_iter_revert" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x8019049f, "kmem_cache_destroy" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x4e5daa9a, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x293df244, "_copy_to_iter" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x1d337321, "bpf_trace_run4" },
	{ 0x333051c0, "idr_find" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xb0e602eb, "memmove" },
	{ 0x7501fbbb, "idr_alloc_u32" },
	{ 0xa11a97c1, "trace_raw_output_prep" },
	{ 0xb07d43ee, "__trace_trigger_soft_disabled" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0xdf4574bf, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "netfs");


MODULE_INFO(srcversion, "7F11EA0C0A43135F90027D9");

MODULE_INFO(suserelease, "SLFO-1.2");
