#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(register_atm_ioctl, "", "");
KSYMTAB_FUNC(deregister_atm_ioctl, "", "");
KSYMTAB_DATA(vcc_hash, "", "");
KSYMTAB_DATA(vcc_sklist_lock, "", "");
KSYMTAB_FUNC(vcc_insert_socket, "", "");
KSYMTAB_FUNC(vcc_release_async, "", "");
KSYMTAB_FUNC(vcc_process_recv_queue, "", "");
KSYMTAB_FUNC(atm_dev_signal_change, "", "");
KSYMTAB_FUNC(atm_dev_release_vccs, "", "");
KSYMTAB_FUNC(register_atmdevice_notifier, "_gpl", "");
KSYMTAB_FUNC(unregister_atmdevice_notifier, "_gpl", "");
KSYMTAB_FUNC(atm_charge, "", "");
KSYMTAB_FUNC(atm_alloc_charge, "", "");
KSYMTAB_FUNC(atm_pcr_goal, "", "");
KSYMTAB_FUNC(sonet_copy_stats, "", "");
KSYMTAB_FUNC(sonet_subtract_stats, "", "");
KSYMTAB_FUNC(atm_init_aal5, "", "");
KSYMTAB_FUNC(atm_dev_lookup, "", "");
KSYMTAB_FUNC(atm_dev_register, "", "");
KSYMTAB_FUNC(atm_dev_deregister, "", "");
KSYMTAB_DATA(atm_proc_root, "", "");

SYMBOL_CRC(register_atm_ioctl, 0xd758e13f, "");
SYMBOL_CRC(deregister_atm_ioctl, 0x9f3f5e19, "");
SYMBOL_CRC(vcc_hash, 0x2cc2d52d, "");
SYMBOL_CRC(vcc_sklist_lock, 0x12c05519, "");
SYMBOL_CRC(vcc_insert_socket, 0xdc1b784a, "");
SYMBOL_CRC(vcc_release_async, 0xb99a3d1a, "");
SYMBOL_CRC(vcc_process_recv_queue, 0xa6aaa03e, "");
SYMBOL_CRC(atm_dev_signal_change, 0x92aa6555, "");
SYMBOL_CRC(atm_dev_release_vccs, 0xe40bd9f5, "");
SYMBOL_CRC(register_atmdevice_notifier, 0xb09faf79, "_gpl");
SYMBOL_CRC(unregister_atmdevice_notifier, 0xcfb6a3da, "_gpl");
SYMBOL_CRC(atm_charge, 0x5f5426a3, "");
SYMBOL_CRC(atm_alloc_charge, 0xf074af6f, "");
SYMBOL_CRC(atm_pcr_goal, 0xf49bc67a, "");
SYMBOL_CRC(sonet_copy_stats, 0xaa024146, "");
SYMBOL_CRC(sonet_subtract_stats, 0x9feaf287, "");
SYMBOL_CRC(atm_init_aal5, 0xe1bec044, "");
SYMBOL_CRC(atm_dev_lookup, 0x40e491ea, "");
SYMBOL_CRC(atm_dev_register, 0xb68ad4a9, "");
SYMBOL_CRC(atm_dev_deregister, 0x44250e82, "");
SYMBOL_CRC(atm_proc_root, 0x4443d399, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xef731cce, "sock_register" },
	{ 0x93aa4ce6, "__sock_recv_cmsgs" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdd46b7e0, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9d3d08f0, "put_device" },
	{ 0xbe3dbdfa, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0xf250e2d4, "rt_write_unlock" },
	{ 0xb00bc408, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0xe648e7c0, "skb_queue_tail" },
	{ 0x7276b73a, "module_put" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x3cd2a400, "device_create_file" },
	{ 0x1eb1abab, "init_net" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6d64c27f, "sk_skb_reason_drop" },
	{ 0x5f577086, "noop_llseek" },
	{ 0x7e5e3524, "sk_free" },
	{ 0xfb880d8f, "sock_wake_async" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xf53c8f7d, "sock_no_accept" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x963666a1, "sock_no_listen" },
	{ 0x56a719f2, "seq_putc" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xafc20114, "class_unregister" },
	{ 0x7bda0276, "lock_sock_nested" },
	{ 0x4e203a85, "skb_copy_datagram_iter" },
	{ 0x6ed8ccba, "sk_alloc" },
	{ 0xa3eb5274, "device_register" },
	{ 0x1080ce71, "device_del" },
	{ 0x77cfe8ee, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xac799c4b, "atomic_notifier_call_chain" },
	{ 0xa86d7fc6, "sock_no_mmap" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xedd7eb58, "rt_read_lock" },
	{ 0xbd6995e5, "atomic_notifier_chain_unregister" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x6050e65f, "skb_recv_datagram" },
	{ 0x9f7aac60, "seq_write" },
	{ 0x9ebb2bfc, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6e063721, "remove_proc_entry" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x7ad7a5cd, "seq_printf" },
	{ 0x9919fd8, "rt_write_lock" },
	{ 0x44531a37, "_copy_from_iter" },
	{ 0xde551909, "sock_gettstamp" },
	{ 0x9353e618, "_proc_mkdir" },
	{ 0x99a070f6, "send_sig" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x38a684cd, "__seq_puts" },
	{ 0x754d539c, "strlen" },
	{ 0x16a57400, "dev_kfree_skb_any_reason" },
	{ 0xc86a4b4, "iov_iter_revert" },
	{ 0xd0528f90, "proc_create_seq_private" },
	{ 0xb3d2d914, "class_register" },
	{ 0x1c2ec37f, "sock_init_data" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x35729f61, "device_remove_file" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xe9ee676b, "release_sock" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x32869bb0, "skb_free_datagram" },
	{ 0x4e5daa9a, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x3ec4ea5, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x50707f9c, "dev_set_name" },
	{ 0x74885bdc, "consume_skb" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x512c59c3, "skb_dequeue" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0x96848186, "scnprintf" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x862d1e43, "prepare_to_wait" },
	{ 0x37a0cba, "kfree" },
	{ 0x2042f11c, "proc_create_data" },
	{ 0x735d1f99, "remove_proc_subtree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xf6491531, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbddffed2, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xea0c4074, "proto_unregister" },
	{ 0x6d334118, "__get_user_8" },
	{ 0x1000e51, "schedule" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2B146EF15E7BB381AD1AAC1");

MODULE_INFO(suserelease, "SLFO-1.2");
