#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(bt_sock_reclassify_lock, "", "");
KSYMTAB_FUNC(bt_sock_register, "", "");
KSYMTAB_FUNC(bt_sock_unregister, "", "");
KSYMTAB_FUNC(bt_sock_alloc, "", "");
KSYMTAB_FUNC(bt_sock_link, "", "");
KSYMTAB_FUNC(bt_sock_unlink, "", "");
KSYMTAB_FUNC(bt_sock_linked, "", "");
KSYMTAB_FUNC(bt_accept_enqueue, "", "");
KSYMTAB_FUNC(bt_accept_unlink, "", "");
KSYMTAB_FUNC(bt_accept_dequeue, "", "");
KSYMTAB_FUNC(bt_sock_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_stream_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_poll, "", "");
KSYMTAB_FUNC(bt_sock_ioctl, "", "");
KSYMTAB_FUNC(bt_sock_wait_state, "", "");
KSYMTAB_FUNC(bt_sock_wait_ready, "", "");
KSYMTAB_FUNC(bt_procfs_init, "", "");
KSYMTAB_FUNC(bt_procfs_cleanup, "", "");
KSYMTAB_DATA(bt_debugfs, "_gpl", "");
KSYMTAB_FUNC(hci_alloc_dev_priv, "", "");
KSYMTAB_FUNC(hci_free_dev, "", "");
KSYMTAB_FUNC(hci_register_dev, "", "");
KSYMTAB_FUNC(hci_unregister_dev, "", "");
KSYMTAB_FUNC(hci_release_dev, "", "");
KSYMTAB_FUNC(hci_suspend_dev, "", "");
KSYMTAB_FUNC(hci_resume_dev, "", "");
KSYMTAB_FUNC(hci_reset_dev, "", "");
KSYMTAB_FUNC(hci_recv_frame, "", "");
KSYMTAB_FUNC(hci_recv_diag, "", "");
KSYMTAB_FUNC(hci_set_hw_info, "", "");
KSYMTAB_FUNC(hci_set_fw_info, "", "");
KSYMTAB_FUNC(hci_register_cb, "", "");
KSYMTAB_FUNC(hci_unregister_cb, "", "");
KSYMTAB_FUNC(__hci_cmd_send, "", "");
KSYMTAB_FUNC(hci_get_route, "", "");
KSYMTAB_FUNC(hci_conn_security, "", "");
KSYMTAB_FUNC(hci_conn_check_secure, "", "");
KSYMTAB_FUNC(hci_conn_switch_role, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_register, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_unregister, "", "");
KSYMTAB_FUNC(l2cap_add_psm, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_create, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_put, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_set_defaults, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_del, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_list, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_close, "", "");
KSYMTAB_FUNC(l2cap_register_user, "", "");
KSYMTAB_FUNC(l2cap_unregister_user, "", "");
KSYMTAB_FUNC(l2cap_conn_get, "", "");
KSYMTAB_FUNC(l2cap_conn_put, "", "");
KSYMTAB_FUNC(l2cap_chan_send, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_connect, "_gpl", "");
KSYMTAB_FUNC(l2cap_is_socket, "", "");
KSYMTAB_FUNC(baswap, "", "");
KSYMTAB_FUNC(bt_to_errno, "", "");
KSYMTAB_FUNC(bt_status, "", "");
KSYMTAB_FUNC(bt_info, "", "");
KSYMTAB_FUNC(bt_warn, "", "");
KSYMTAB_FUNC(bt_err, "", "");
KSYMTAB_FUNC(bt_warn_ratelimited, "", "");
KSYMTAB_FUNC(bt_err_ratelimited, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync, "", "");
KSYMTAB_FUNC(hci_cmd_sync, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_ev, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status, "", "");
KSYMTAB_FUNC(hci_cmd_sync_status, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel_sync, "", "");
KSYMTAB_FUNC(hci_cmd_sync_submit, "", "");
KSYMTAB_FUNC(hci_cmd_sync_queue, "", "");
KSYMTAB_FUNC(hci_cmd_sync_queue_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_run, "", "");
KSYMTAB_FUNC(hci_cmd_sync_run_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_lookup_entry, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel_entry, "", "");
KSYMTAB_FUNC(hci_cmd_sync_dequeue_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_dequeue, "", "");
KSYMTAB_FUNC(hci_devcd_rx, "", "");
KSYMTAB_FUNC(hci_devcd_timeout, "", "");
KSYMTAB_FUNC(hci_devcd_register, "", "");
KSYMTAB_FUNC(hci_devcd_init, "", "");
KSYMTAB_FUNC(hci_devcd_append, "", "");
KSYMTAB_FUNC(hci_devcd_append_pattern, "", "");
KSYMTAB_FUNC(hci_devcd_complete, "", "");
KSYMTAB_FUNC(hci_devcd_abort, "", "");

SYMBOL_CRC(bt_sock_reclassify_lock, 0xa16e9cf3, "");
SYMBOL_CRC(bt_sock_register, 0x63913ef9, "");
SYMBOL_CRC(bt_sock_unregister, 0x8fea24bd, "");
SYMBOL_CRC(bt_sock_alloc, 0x7f3a4c0b, "");
SYMBOL_CRC(bt_sock_link, 0xc3d39d27, "");
SYMBOL_CRC(bt_sock_unlink, 0x5ef06a9b, "");
SYMBOL_CRC(bt_sock_linked, 0x848510ca, "");
SYMBOL_CRC(bt_accept_enqueue, 0xe7ab7df7, "");
SYMBOL_CRC(bt_accept_unlink, 0x3ca5981b, "");
SYMBOL_CRC(bt_accept_dequeue, 0x801eee80, "");
SYMBOL_CRC(bt_sock_recvmsg, 0xd0d7a3ef, "");
SYMBOL_CRC(bt_sock_stream_recvmsg, 0xdaad35c6, "");
SYMBOL_CRC(bt_sock_poll, 0x71f806fc, "");
SYMBOL_CRC(bt_sock_ioctl, 0x8e55989c, "");
SYMBOL_CRC(bt_sock_wait_state, 0x1adc8a23, "");
SYMBOL_CRC(bt_sock_wait_ready, 0x9a3b03d5, "");
SYMBOL_CRC(bt_procfs_init, 0x0167d3d5, "");
SYMBOL_CRC(bt_procfs_cleanup, 0x9e56b79e, "");
SYMBOL_CRC(bt_debugfs, 0x40c0c68e, "_gpl");
SYMBOL_CRC(hci_alloc_dev_priv, 0xc266dc18, "");
SYMBOL_CRC(hci_free_dev, 0x1f8b5cef, "");
SYMBOL_CRC(hci_register_dev, 0x126272bc, "");
SYMBOL_CRC(hci_unregister_dev, 0x47514d5e, "");
SYMBOL_CRC(hci_release_dev, 0x4b829414, "");
SYMBOL_CRC(hci_suspend_dev, 0x7e1bb43c, "");
SYMBOL_CRC(hci_resume_dev, 0x97f3595f, "");
SYMBOL_CRC(hci_reset_dev, 0x81231d7a, "");
SYMBOL_CRC(hci_recv_frame, 0xe0f5411c, "");
SYMBOL_CRC(hci_recv_diag, 0x17ea0205, "");
SYMBOL_CRC(hci_set_hw_info, 0x8b083b25, "");
SYMBOL_CRC(hci_set_fw_info, 0xdd5e3d7f, "");
SYMBOL_CRC(hci_register_cb, 0x67d117f5, "");
SYMBOL_CRC(hci_unregister_cb, 0x43001165, "");
SYMBOL_CRC(__hci_cmd_send, 0x21ee3c03, "");
SYMBOL_CRC(hci_get_route, 0x17ac7064, "");
SYMBOL_CRC(hci_conn_security, 0xd346b2db, "");
SYMBOL_CRC(hci_conn_check_secure, 0x975bfe8d, "");
SYMBOL_CRC(hci_conn_switch_role, 0x8789c8ff, "");
SYMBOL_CRC(hci_mgmt_chan_register, 0x3a664169, "");
SYMBOL_CRC(hci_mgmt_chan_unregister, 0xabb1f469, "");
SYMBOL_CRC(l2cap_add_psm, 0x80a0b11b, "_gpl");
SYMBOL_CRC(l2cap_chan_create, 0xa7ab12b1, "_gpl");
SYMBOL_CRC(l2cap_chan_put, 0x223400b4, "_gpl");
SYMBOL_CRC(l2cap_chan_set_defaults, 0x7515671f, "_gpl");
SYMBOL_CRC(l2cap_chan_del, 0x8edf5097, "_gpl");
SYMBOL_CRC(l2cap_chan_list, 0x80fc656e, "_gpl");
SYMBOL_CRC(l2cap_chan_close, 0xc058b0d9, "");
SYMBOL_CRC(l2cap_register_user, 0x09b50764, "");
SYMBOL_CRC(l2cap_unregister_user, 0x25380251, "");
SYMBOL_CRC(l2cap_conn_get, 0xc49ec4a7, "");
SYMBOL_CRC(l2cap_conn_put, 0x73d06b4e, "");
SYMBOL_CRC(l2cap_chan_send, 0x685cf1c3, "_gpl");
SYMBOL_CRC(l2cap_chan_connect, 0x5d018d20, "_gpl");
SYMBOL_CRC(l2cap_is_socket, 0xec0a1fcc, "");
SYMBOL_CRC(baswap, 0x7b5ce5c3, "");
SYMBOL_CRC(bt_to_errno, 0x7aad008b, "");
SYMBOL_CRC(bt_status, 0x7bd9427a, "");
SYMBOL_CRC(bt_info, 0x0718b8b7, "");
SYMBOL_CRC(bt_warn, 0x214e4265, "");
SYMBOL_CRC(bt_err, 0x7b8c32f1, "");
SYMBOL_CRC(bt_warn_ratelimited, 0xddacccf6, "");
SYMBOL_CRC(bt_err_ratelimited, 0xd7613212, "");
SYMBOL_CRC(__hci_cmd_sync_sk, 0x13f6f962, "");
SYMBOL_CRC(__hci_cmd_sync, 0x065bce73, "");
SYMBOL_CRC(hci_cmd_sync, 0xc37a4c29, "");
SYMBOL_CRC(__hci_cmd_sync_ev, 0x236cb71f, "");
SYMBOL_CRC(__hci_cmd_sync_status_sk, 0x45fd6cec, "");
SYMBOL_CRC(__hci_cmd_sync_status, 0x685f6914, "");
SYMBOL_CRC(hci_cmd_sync_status, 0x382b062c, "");
SYMBOL_CRC(hci_cmd_sync_cancel, 0x206139d1, "");
SYMBOL_CRC(hci_cmd_sync_cancel_sync, 0x43a905d0, "");
SYMBOL_CRC(hci_cmd_sync_submit, 0x63304cd7, "");
SYMBOL_CRC(hci_cmd_sync_queue, 0x2c71fa81, "");
SYMBOL_CRC(hci_cmd_sync_queue_once, 0x09ebb5ab, "");
SYMBOL_CRC(hci_cmd_sync_run, 0xb9c657c2, "");
SYMBOL_CRC(hci_cmd_sync_run_once, 0x659ec020, "");
SYMBOL_CRC(hci_cmd_sync_lookup_entry, 0xfc4c6701, "");
SYMBOL_CRC(hci_cmd_sync_cancel_entry, 0xf9106251, "");
SYMBOL_CRC(hci_cmd_sync_dequeue_once, 0x5ed6276a, "");
SYMBOL_CRC(hci_cmd_sync_dequeue, 0xb7f144fc, "");
SYMBOL_CRC(hci_devcd_rx, 0xa36d67be, "");
SYMBOL_CRC(hci_devcd_timeout, 0xa60137a1, "");
SYMBOL_CRC(hci_devcd_register, 0x039281ff, "");
SYMBOL_CRC(hci_devcd_init, 0x71130f50, "");
SYMBOL_CRC(hci_devcd_append, 0xc817eb29, "");
SYMBOL_CRC(hci_devcd_append_pattern, 0x9dd87ce8, "");
SYMBOL_CRC(hci_devcd_complete, 0xadba74ea, "");
SYMBOL_CRC(hci_devcd_abort, 0x9ec807ee, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7475be8e, "crypto_ecdh_key_len" },
	{ 0x78b887ed, "vsprintf" },
	{ 0x7dd6c90e, "ida_destroy" },
	{ 0x333051c0, "idr_find" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x3cb06817, "devm_kmalloc" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0x3ec4ea5, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x50707f9c, "dev_set_name" },
	{ 0x276f581f, "scm_detach_fds" },
	{ 0xf05bd4f3, "crypto_shash_tfm_digest" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0x9668568f, "device_unregister" },
	{ 0x512c59c3, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x697c5007, "led_trigger_register_simple" },
	{ 0x96848186, "scnprintf" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x6393bc72, "device_find_any_child" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0xa38e6704, "add_wait_queue_exclusive" },
	{ 0x4628038c, "device_initialize" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x2e4f415b, "seq_lseek" },
	{ 0xa55b06bd, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xaa337b3d, "sock_no_connect" },
	{ 0x3416d62c, "prepare_to_wait_event" },
	{ 0x16252b2, "dev_kfree_skb_irq_reason" },
	{ 0x3a375ec6, "out_of_line_wait_on_bit" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x482597ff, "led_trigger_unregister_simple" },
	{ 0xf6491531, "__wake_up" },
	{ 0x883c3a0f, "__module_get" },
	{ 0x148653, "vsnprintf" },
	{ 0x8576e767, "get_device" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0x86b0fff0, "__pskb_copy_fclone" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf891cf32, "__put_cred" },
	{ 0xdb73dc60, "put_cmsg" },
	{ 0xbddffed2, "skb_queue_purge_reason" },
	{ 0xe7d10c72, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b631508, "disable_delayed_work" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x176e4952, "disable_work_sync" },
	{ 0x2f38c46, "crypto_alloc_kpp" },
	{ 0x6b853d06, "ns_to_kernel_old_timeval" },
	{ 0xea0c4074, "proto_unregister" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xef731cce, "sock_register" },
	{ 0x4694aa33, "datagram_poll" },
	{ 0x93aa4ce6, "__sock_recv_cmsgs" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x9d3d08f0, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xbe3dbdfa, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xed0bc201, "idr_get_next" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0xf250e2d4, "rt_write_unlock" },
	{ 0xb00bc408, "proto_register" },
	{ 0xfbcb0b03, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0xe648e7c0, "skb_queue_tail" },
	{ 0x7276b73a, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xb9a85f0c, "idr_remove" },
	{ 0x6c11735, "__sock_recv_timestamp" },
	{ 0x11666b14, "sock_no_shutdown" },
	{ 0x40fa6bea, "sk_filter_trim_cap" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xec083b74, "devm_kfree" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0x1eb1abab, "init_net" },
	{ 0x7fe1c58f, "crypto_shash_setkey" },
	{ 0x1c785e13, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x9907f28, "device_add" },
	{ 0x9820f51a, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x3d45bb64, "init_uts_ns" },
	{ 0x6d64c27f, "sk_skb_reason_drop" },
	{ 0x7e5e3524, "sk_free" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xb7915001, "device_move" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0xf53c8f7d, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xed153b93, "skb_push" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0x963666a1, "sock_no_listen" },
	{ 0x6de67898, "debugfs_remove" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0x56a719f2, "seq_putc" },
	{ 0xbd6841d4, "crc16" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x3029544b, "iov_iter_kvec" },
	{ 0x10119bb, "ida_free" },
	{ 0x3dfc897c, "seq_hlist_start_head" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xafc20114, "class_unregister" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x7bda0276, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x582e3b4d, "dev_coredumpv" },
	{ 0x4e203a85, "skb_copy_datagram_iter" },
	{ 0x5d444bfb, "rfkill_alloc" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb230d2ec, "crypto_ecdh_encode_key" },
	{ 0x6ed8ccba, "sk_alloc" },
	{ 0x1080ce71, "device_del" },
	{ 0x37947c37, "__sock_queue_rcv_skb" },
	{ 0x4d470eb0, "idr_destroy" },
	{ 0x88ae2804, "__sock_recv_wifi_status" },
	{ 0x9574e96, "from_kuid" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x77cfe8ee, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x55302844, "__get_task_comm" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa86d7fc6, "sock_no_mmap" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0xa898193f, "security_sk_clone" },
	{ 0x2b64348b, "__pskb_pull_tail" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xb28474c5, "__scm_destroy" },
	{ 0xa627b1a3, "from_kgid_munged" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0xd62ba63d, "skb_trim" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xbf2cd263, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x792c9efe, "devm_kasprintf" },
	{ 0x4a38d9f7, "seq_read" },
	{ 0xedd7eb58, "rt_read_lock" },
	{ 0x6c9bae71, "sock_i_ino" },
	{ 0x761bb20b, "devm_led_trigger_register" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0xff282521, "rfkill_register" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0xdfcc992c, "current_work" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xd6d4a441, "sk_capable" },
	{ 0x1632bc21, "kvasprintf_const" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9199b9f0, "param_ops_bool" },
	{ 0x75bda77a, "seq_hlist_next" },
	{ 0x6050e65f, "skb_recv_datagram" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xf985c453, "sock_alloc_send_pskb" },
	{ 0x9f7aac60, "seq_write" },
	{ 0x9ebb2bfc, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6e063721, "remove_proc_entry" },
	{ 0x7f5b4f8d, "radix_tree_tagged" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7ad7a5cd, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x1060b4b7, "skb_copy" },
	{ 0x44ea4aa5, "skb_clone" },
	{ 0x9919fd8, "rt_write_lock" },
	{ 0x44531a37, "_copy_from_iter" },
	{ 0x8ae718dd, "debugfs_create_file_full" },
	{ 0x4acb56d9, "led_set_brightness" },
	{ 0xce380de5, "skb_pull_data" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xd6a78628, "remove_wait_queue" },
	{ 0xde551909, "sock_gettstamp" },
	{ 0x8d8b2fb3, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x26726fd4, "pid_vnr" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x696c866d, "disable_delayed_work_sync" },
	{ 0x49d7ffb9, "from_kuid_munged" },
	{ 0xdb132d87, "led_trigger_event" },
	{ 0xb93ba240, "wake_up_bit" },
	{ 0xc86a4b4, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd0528f90, "proc_create_seq_private" },
	{ 0x495b28e9, "single_open" },
	{ 0xd63960b9, "crypto_alloc_shash" },
	{ 0xd20f3ddd, "debugfs_create_dir" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xf0882d5, "fwnode_property_read_u8_array" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x3039a8a2, "put_pid" },
	{ 0xb3d2d914, "class_register" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x1c2ec37f, "sock_init_data" },
	{ 0x6a55e78c, "__dev_fwnode" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xe9ee676b, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xdefc10ec, "skb_queue_head" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x77e9eb37, "aes_encrypt" },
	{ 0xfa4517d4, "security_sock_graft" },
	{ 0x32869bb0, "skb_free_datagram" },
	{ 0x653b116b, "sock_queue_rcv_skb_reason" },
	{ 0xa2429ab9, "ida_alloc_range" },
	{ 0x4e5daa9a, "try_module_get" },
	{ 0x4dab5cf1, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "rfkill,crc16");


MODULE_INFO(srcversion, "8201DEF8F2CD24BA9E4BD83");

MODULE_INFO(suserelease, "SLFO-1.2");
