#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(dccp_feat_list_purge, "_gpl", "");
KSYMTAB_FUNC(dccp_feat_nn_get, "_gpl", "");
KSYMTAB_FUNC(dccp_feat_signal_nn_change, "_gpl", "");
KSYMTAB_FUNC(dccp_rcv_established, "_gpl", "");
KSYMTAB_FUNC(dccp_rcv_state_process, "_gpl", "");
KSYMTAB_DATA(dccp_death_row, "_gpl", "");
KSYMTAB_FUNC(dccp_create_openreq_child, "_gpl", "");
KSYMTAB_FUNC(dccp_check_req, "_gpl", "");
KSYMTAB_FUNC(dccp_child_process, "_gpl", "");
KSYMTAB_FUNC(dccp_reqsk_send_ack, "_gpl", "");
KSYMTAB_FUNC(dccp_reqsk_init, "_gpl", "");
KSYMTAB_FUNC(dccp_parse_options, "_gpl", "");
KSYMTAB_FUNC(dccp_insert_option, "_gpl", "");
KSYMTAB_FUNC(dccp_sync_mss, "_gpl", "");
KSYMTAB_FUNC(dccp_make_response, "_gpl", "");
KSYMTAB_FUNC(dccp_ctl_make_reset, "_gpl", "");
KSYMTAB_FUNC(dccp_connect, "_gpl", "");
KSYMTAB_FUNC(dccp_send_ack, "_gpl", "");
KSYMTAB_FUNC(dccp_send_sync, "_gpl", "");
KSYMTAB_DATA(dccp_statistics, "_gpl", "");
KSYMTAB_DATA(dccp_orphan_count, "_gpl", "");
KSYMTAB_DATA(dccp_hashinfo, "_gpl", "");
KSYMTAB_FUNC(dccp_set_state, "_gpl", "");
KSYMTAB_FUNC(dccp_done, "_gpl", "");
KSYMTAB_FUNC(dccp_packet_name, "_gpl", "");
KSYMTAB_FUNC(dccp_destruct_common, "_gpl", "");
KSYMTAB_FUNC(dccp_init_sock, "_gpl", "");
KSYMTAB_FUNC(dccp_destroy_sock, "_gpl", "");
KSYMTAB_FUNC(dccp_disconnect, "_gpl", "");
KSYMTAB_FUNC(dccp_poll, "_gpl", "");
KSYMTAB_FUNC(dccp_ioctl, "_gpl", "");
KSYMTAB_FUNC(dccp_setsockopt, "_gpl", "");
KSYMTAB_FUNC(dccp_getsockopt, "_gpl", "");
KSYMTAB_FUNC(dccp_sendmsg, "_gpl", "");
KSYMTAB_FUNC(dccp_recvmsg, "_gpl", "");
KSYMTAB_FUNC(inet_dccp_listen, "_gpl", "");
KSYMTAB_FUNC(dccp_close, "_gpl", "");
KSYMTAB_FUNC(dccp_shutdown, "_gpl", "");
KSYMTAB_FUNC(dccp_timestamp, "_gpl", "");
KSYMTAB_FUNC(dccp_ackvec_parsed_add, "_gpl", "");
KSYMTAB_FUNC(dccp_ackvec_parsed_cleanup, "_gpl", "");

SYMBOL_CRC(dccp_feat_list_purge, 0x4cdd391d, "_gpl");
SYMBOL_CRC(dccp_feat_nn_get, 0x14144bcf, "_gpl");
SYMBOL_CRC(dccp_feat_signal_nn_change, 0xfb0ebaba, "_gpl");
SYMBOL_CRC(dccp_rcv_established, 0xd01c7846, "_gpl");
SYMBOL_CRC(dccp_rcv_state_process, 0xd9ea6746, "_gpl");
SYMBOL_CRC(dccp_death_row, 0x224d8dae, "_gpl");
SYMBOL_CRC(dccp_create_openreq_child, 0x6082b493, "_gpl");
SYMBOL_CRC(dccp_check_req, 0x67df85e0, "_gpl");
SYMBOL_CRC(dccp_child_process, 0xa44d47e1, "_gpl");
SYMBOL_CRC(dccp_reqsk_send_ack, 0xd0c336bd, "_gpl");
SYMBOL_CRC(dccp_reqsk_init, 0xf45b8142, "_gpl");
SYMBOL_CRC(dccp_parse_options, 0x62bf282f, "_gpl");
SYMBOL_CRC(dccp_insert_option, 0xea93833c, "_gpl");
SYMBOL_CRC(dccp_sync_mss, 0x5f33b2b3, "_gpl");
SYMBOL_CRC(dccp_make_response, 0x270e0848, "_gpl");
SYMBOL_CRC(dccp_ctl_make_reset, 0x59e70409, "_gpl");
SYMBOL_CRC(dccp_connect, 0xf6a43d08, "_gpl");
SYMBOL_CRC(dccp_send_ack, 0x4344048d, "_gpl");
SYMBOL_CRC(dccp_send_sync, 0xd0517cf0, "_gpl");
SYMBOL_CRC(dccp_statistics, 0x59814a84, "_gpl");
SYMBOL_CRC(dccp_orphan_count, 0xd75b7072, "_gpl");
SYMBOL_CRC(dccp_hashinfo, 0xdb65dcd0, "_gpl");
SYMBOL_CRC(dccp_set_state, 0x89743021, "_gpl");
SYMBOL_CRC(dccp_done, 0xb1fbffe7, "_gpl");
SYMBOL_CRC(dccp_packet_name, 0x86be7924, "_gpl");
SYMBOL_CRC(dccp_destruct_common, 0xed105eb3, "_gpl");
SYMBOL_CRC(dccp_init_sock, 0x94559ad6, "_gpl");
SYMBOL_CRC(dccp_destroy_sock, 0x9c79b410, "_gpl");
SYMBOL_CRC(dccp_disconnect, 0xde75f0fc, "_gpl");
SYMBOL_CRC(dccp_poll, 0x85c89566, "_gpl");
SYMBOL_CRC(dccp_ioctl, 0x80e6456e, "_gpl");
SYMBOL_CRC(dccp_setsockopt, 0xf45f4abc, "_gpl");
SYMBOL_CRC(dccp_getsockopt, 0x13408066, "_gpl");
SYMBOL_CRC(dccp_sendmsg, 0x2d74301a, "_gpl");
SYMBOL_CRC(dccp_recvmsg, 0x1d617050, "_gpl");
SYMBOL_CRC(inet_dccp_listen, 0xe6f16e4d, "_gpl");
SYMBOL_CRC(dccp_close, 0x1eeca7b5, "_gpl");
SYMBOL_CRC(dccp_shutdown, 0xac6962d5, "_gpl");
SYMBOL_CRC(dccp_timestamp, 0x80993155, "_gpl");
SYMBOL_CRC(dccp_ackvec_parsed_add, 0x182ec2bf, "_gpl");
SYMBOL_CRC(dccp_ackvec_parsed_cleanup, 0x9598d24d, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x63696f41, "inet_put_port" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0x9e78ef8a, "inet_csk_init_xmit_timers" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xbe3dbdfa, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf250e2d4, "rt_write_unlock" },
	{ 0x19fadfd1, "sk_reset_timer" },
	{ 0xe648e7c0, "skb_queue_tail" },
	{ 0x86c00719, "sk_stream_wait_close" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x7ec56c70, "perf_trace_run_bpf_submit" },
	{ 0x1eb1abab, "init_net" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x13900f5f, "ip6_mtu" },
	{ 0x6d64c27f, "sk_skb_reason_drop" },
	{ 0x7e5e3524, "sk_free" },
	{ 0xfb880d8f, "sock_wake_async" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xed153b93, "skb_push" },
	{ 0xdf9ceed4, "kmem_cache_free" },
	{ 0x198ca98c, "proc_doulongvec_minmax" },
	{ 0x658574f4, "trace_event_reg" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x7bda0276, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x4e203a85, "skb_copy_datagram_iter" },
	{ 0x27183a65, "tcp_stream_memory_free" },
	{ 0x3d61d74a, "skb_checksum" },
	{ 0xfb578fc5, "memset" },
	{ 0xee16b6ba, "sk_wait_data" },
	{ 0xe4f8e88d, "inet_csk_clone_lock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfa10416, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xdd89fb45, "inet_twsk_hashdance_schedule" },
	{ 0x8337a399, "__kmem_cache_create_args" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xbf2cd263, "skb_unlink" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf5f572d5, "inet_csk_listen_start" },
	{ 0xe555a4d7, "sk_free_unlock_clone" },
	{ 0x289f7cac, "sock_rfree" },
	{ 0x643dfe34, "ipv4_mtu" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x8e752705, "skb_set_owner_w" },
	{ 0x27a7a36e, "trace_event_buffer_reserve" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9199b9f0, "param_ops_bool" },
	{ 0xf985c453, "sock_alloc_send_pskb" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x44ea4aa5, "skb_clone" },
	{ 0x6fe9aecc, "inet_sk_set_state" },
	{ 0x297093d2, "dst_release" },
	{ 0x9919fd8, "rt_write_lock" },
	{ 0x907ac83b, "sk_stream_wait_connect" },
	{ 0x44531a37, "_copy_from_iter" },
	{ 0x87d951b3, "inet_csk_destroy_sock" },
	{ 0xccb2633f, "sk_stop_timer" },
	{ 0x64a4da03, "unregister_net_sysctl_table" },
	{ 0xa4685e63, "inet_rtx_syn_ack" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xf2203c5f, "param_ops_int" },
	{ 0xc86a4b4, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xa202dcd9, "inet_csk_listen_stop" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x31ab66e8, "__kfree_skb" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x8019049f, "kmem_cache_destroy" },
	{ 0x2baa4122, "inet_csk_complete_hashdance" },
	{ 0xe9ee676b, "release_sock" },
	{ 0x9bd022ef, "inet_csk_reqsk_queue_drop" },
	{ 0x8dc6f00d, "proc_dointvec_minmax" },
	{ 0x20872fe9, "inet_hashinfo2_init_mod" },
	{ 0xc8ed0221, "inet_bhash2_reset_saddr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xad65e4e2, "inet_ehash_locks_alloc" },
	{ 0x3ec4ea5, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x74885bdc, "consume_skb" },
	{ 0x6ecc989e, "sock_wmalloc" },
	{ 0xa11a97c1, "trace_raw_output_prep" },
	{ 0x512c59c3, "skb_dequeue" },
	{ 0xb07d43ee, "__trace_trigger_soft_disabled" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0xdf4574bf, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x397458b1, "__kmalloc_node_track_caller_noprof" },
	{ 0x862d1e43, "prepare_to_wait" },
	{ 0x549dee85, "trace_event_raw_init" },
	{ 0x3ac44ee7, "proc_dointvec_ms_jiffies" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xd0d9d74c, "bpf_trace_run2" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xf6491531, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x49e0582e, "inet_csk_clear_xmit_timers" },
	{ 0x148653, "vsnprintf" },
	{ 0xeaf9b7ca, "inet_twsk_alloc" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3b570e1c, "sk_error_report" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x77188b5d, "trace_event_buffer_commit" },
	{ 0x62faafff, "register_net_sysctl_sz" },
	{ 0xa10dadce, "inet_sock_destruct" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4C4A0F686D56AE1D6DAE0AE");

MODULE_INFO(suserelease, "SLFO-1.2");
