#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ip_tunnel_lookup, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_md_udp_encap, "", "");
KSYMTAB_FUNC(ip_tunnel_rcv, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_encap_add_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_del_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip_md_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_ctl, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_from_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_to_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_siocdevprivate, "_gpl", "");
KSYMTAB_FUNC(__ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_dellink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_get_link_net, "", "");
KSYMTAB_FUNC(ip_tunnel_get_iflink, "", "");
KSYMTAB_FUNC(ip_tunnel_init_net, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_delete_nets, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_newlink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_changelink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_init, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_uninit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_setup, "_gpl", "");

SYMBOL_CRC(ip_tunnel_lookup, 0xe484c831, "_gpl");
SYMBOL_CRC(ip_tunnel_md_udp_encap, 0x846de301, "");
SYMBOL_CRC(ip_tunnel_rcv, 0xa1ad0eec, "_gpl");
SYMBOL_CRC(ip_tunnel_encap_add_ops, 0xddad22da, "");
SYMBOL_CRC(ip_tunnel_encap_del_ops, 0x0c050e89, "");
SYMBOL_CRC(ip_tunnel_encap_setup, 0x4ed58c5f, "_gpl");
SYMBOL_CRC(ip_md_tunnel_xmit, 0xc549e0f3, "_gpl");
SYMBOL_CRC(ip_tunnel_xmit, 0x606547b6, "_gpl");
SYMBOL_CRC(ip_tunnel_ctl, 0xe8b99725, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_from_user, 0x7f835b87, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_to_user, 0xfca8744d, "_gpl");
SYMBOL_CRC(ip_tunnel_siocdevprivate, 0xed1c8b5a, "_gpl");
SYMBOL_CRC(__ip_tunnel_change_mtu, 0x03cfac2b, "_gpl");
SYMBOL_CRC(ip_tunnel_change_mtu, 0x769f4b69, "_gpl");
SYMBOL_CRC(ip_tunnel_dellink, 0x6cb6a090, "_gpl");
SYMBOL_CRC(ip_tunnel_get_link_net, 0x2a99659f, "");
SYMBOL_CRC(ip_tunnel_get_iflink, 0x76c69f02, "");
SYMBOL_CRC(ip_tunnel_init_net, 0x8a056dbf, "_gpl");
SYMBOL_CRC(ip_tunnel_delete_nets, 0x67098bde, "_gpl");
SYMBOL_CRC(ip_tunnel_newlink, 0xbdec509e, "_gpl");
SYMBOL_CRC(ip_tunnel_changelink, 0x7520c0e2, "_gpl");
SYMBOL_CRC(ip_tunnel_init, 0xfc2e4421, "_gpl");
SYMBOL_CRC(ip_tunnel_uninit, 0x69893250, "_gpl");
SYMBOL_CRC(ip_tunnel_setup, 0xec84a4e1, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd2ee0a60, "iptun_encaps" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x754d539c, "strlen" },
	{ 0xa916b694, "strnlen" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xc025779, "alloc_netdev_mqs" },
	{ 0xc310ccf6, "register_netdevice" },
	{ 0x209cb8eb, "free_netdev" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8a87270e, "unregister_netdevice_queue" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xb458ed12, "gro_cells_init" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x13900f5f, "ip6_mtu" },
	{ 0x5d7727bd, "icmpv6_ndo_send" },
	{ 0x3783f002, "icmp_ndo_send" },
	{ 0x643dfe34, "ipv4_mtu" },
	{ 0x2fceb1, "ip_route_output_flow" },
	{ 0x297093d2, "dst_release" },
	{ 0x1985ee9e, "__dev_get_by_index" },
	{ 0x24f6e4b6, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x712fdcf3, "dev_addr_mod" },
	{ 0x90354574, "netdev_state_change" },
	{ 0xf40bda56, "ns_capable" },
	{ 0x407d3d12, "dev_set_mtu" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x1eb1abab, "init_net" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x5b47d1ce, "dst_cache_get_ip4" },
	{ 0x6181617f, "dst_cache_set_ip4" },
	{ 0xe37c1f69, "__skb_get_hash_net" },
	{ 0x6d64c27f, "sk_skb_reason_drop" },
	{ 0x5aff4d8d, "iptunnel_xmit" },
	{ 0x5adf76d8, "skb_copy_bits" },
	{ 0xd1d47d16, "pskb_expand_head" },
	{ 0xc131aac7, "neigh_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x2b64348b, "__pskb_pull_tail" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xfb617719, "skb_scrub_packet" },
	{ 0xc7cf219a, "gro_cells_receive" },
	{ 0x502db1b1, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "CFB6EEDCD2FB3BFD514F1CE");

MODULE_INFO(suserelease, "SLFO-1.2");
