#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(udp_sock_create4, "", "");
KSYMTAB_FUNC(setup_udp_tunnel_sock, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_push_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_drop_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_notify_add_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_notify_del_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_sock_release, "_gpl", "");
KSYMTAB_FUNC(udp_tun_rx_dst, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_dst_lookup, "_gpl", "");

SYMBOL_CRC(udp_sock_create4, 0x1416467b, "");
SYMBOL_CRC(setup_udp_tunnel_sock, 0xa0cf8676, "_gpl");
SYMBOL_CRC(udp_tunnel_push_rx_port, 0x4db08f5b, "_gpl");
SYMBOL_CRC(udp_tunnel_drop_rx_port, 0x785341d5, "_gpl");
SYMBOL_CRC(udp_tunnel_notify_add_rx_port, 0xa6d4cfe2, "_gpl");
SYMBOL_CRC(udp_tunnel_notify_del_rx_port, 0x1351705a, "_gpl");
SYMBOL_CRC(udp_tunnel_xmit_skb, 0x4f0287a4, "_gpl");
SYMBOL_CRC(udp_tunnel_sock_release, 0xa680331f, "_gpl");
SYMBOL_CRC(udp_tun_rx_dst, 0x66428031, "_gpl");
SYMBOL_CRC(udp_tunnel_dst_lookup, 0xb676585c, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x56dd0d4e, "ipv6_stub" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x99517682, "udp_encap_enable" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8d24a0e0, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x5aff4d8d, "iptunnel_xmit" },
	{ 0x8d304f20, "nla_put" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x943b0e8b, "kernel_connect" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd62ba63d, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x23709dd3, "__dynamic_netdev_dbg" },
	{ 0x5b47d1ce, "dst_cache_get_ip4" },
	{ 0xb078e2d1, "sock_create_kern" },
	{ 0x63de0fe4, "call_netdevice_notifiers" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9001d2a5, "metadata_dst_alloc" },
	{ 0x297093d2, "dst_release" },
	{ 0xad634552, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x8c130404, "sock_bindtoindex" },
	{ 0x349cba85, "strchr" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6181617f, "dst_cache_set_ip4" },
	{ 0x8e367a76, "kernel_bind" },
	{ 0x1b93f4a8, "udp_set_csum" },
	{ 0x37a0cba, "kfree" },
	{ 0xe45f97ac, "netdev_warn" },
	{ 0xb9155578, "udp_tunnel_nic_ops" },
	{ 0x2fceb1, "ip_route_output_flow" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5058CADAAA947D3980ECE6F");

MODULE_INFO(suserelease, "SLFO-1.2");
