#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ip6_tnl_parse_tlv_enc_lim, "", "");
KSYMTAB_FUNC(ip6_tnl_get_cap, "", "");
KSYMTAB_FUNC(ip6_tnl_rcv_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_rcv, "", "");
KSYMTAB_FUNC(ip6_tnl_xmit_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_xmit, "", "");
KSYMTAB_FUNC(ip6_tnl_change_mtu, "", "");
KSYMTAB_FUNC(ip6_tnl_get_iflink, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_add_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_del_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_get_link_net, "", "");

SYMBOL_CRC(ip6_tnl_parse_tlv_enc_lim, 0xd8de5b51, "");
SYMBOL_CRC(ip6_tnl_get_cap, 0x9a5d9918, "");
SYMBOL_CRC(ip6_tnl_rcv_ctl, 0x32a7bc6d, "_gpl");
SYMBOL_CRC(ip6_tnl_rcv, 0x9a734408, "");
SYMBOL_CRC(ip6_tnl_xmit_ctl, 0xfa72149a, "_gpl");
SYMBOL_CRC(ip6_tnl_xmit, 0x332814dd, "");
SYMBOL_CRC(ip6_tnl_change_mtu, 0x207ceed7, "");
SYMBOL_CRC(ip6_tnl_get_iflink, 0x7cd173bb, "");
SYMBOL_CRC(ip6_tnl_encap_add_ops, 0xc39cb815, "");
SYMBOL_CRC(ip6_tnl_encap_del_ops, 0xf89b0f21, "");
SYMBOL_CRC(ip6_tnl_encap_setup, 0xa1791433, "_gpl");
SYMBOL_CRC(ip6_tnl_get_link_net, 0x8f5a1ca1, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xb458ed12, "gro_cells_init" },
	{ 0xc8447a34, "ip_tunnel_header_ops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0x1eb1abab, "init_net" },
	{ 0xc025779, "alloc_netdev_mqs" },
	{ 0xc10e4626, "register_netdev" },
	{ 0xa916b694, "strnlen" },
	{ 0x209cb8eb, "free_netdev" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x35ee1753, "rtnl_link_unregister" },
	{ 0x79d219c0, "__get_hash_from_flowi6" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x2b64348b, "__pskb_pull_tail" },
	{ 0xc310ccf6, "register_netdevice" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3e903560, "ip_tunnel_netlink_encap_parms" },
	{ 0x90354574, "netdev_state_change" },
	{ 0xf40bda56, "ns_capable" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xc299905c, "make_kuid" },
	{ 0x295caf84, "ip6_redirect" },
	{ 0xba67a7b2, "ip6_update_pmtu" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c1147f8, "ip6_route_output_flags" },
	{ 0xb395bdc0, "xfrm_lookup" },
	{ 0x88327ec1, "dst_cache_get" },
	{ 0x13900f5f, "ip6_mtu" },
	{ 0xfb617719, "skb_scrub_packet" },
	{ 0x97210b38, "skb_realloc_headroom" },
	{ 0x8e752705, "skb_set_owner_w" },
	{ 0x74885bdc, "consume_skb" },
	{ 0xffc7a9b, "ipv6_push_frag_opts" },
	{ 0xed153b93, "skb_push" },
	{ 0xdfea70d0, "ip6_local_out" },
	{ 0x5adf76d8, "skb_copy_bits" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x64d2ae1, "dst_cache_set_ip6" },
	{ 0xb7ba9313, "ipv6_dev_get_saddr" },
	{ 0x75e20d86, "ip6_dst_hoplimit" },
	{ 0xc131aac7, "neigh_destroy" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x643dfe34, "ipv4_mtu" },
	{ 0x4cab31a7, "iptunnel_handle_offloads" },
	{ 0x5d7727bd, "icmpv6_ndo_send" },
	{ 0x6d64c27f, "sk_skb_reason_drop" },
	{ 0x3783f002, "icmp_ndo_send" },
	{ 0x44ea4aa5, "skb_clone" },
	{ 0x1c785e13, "skb_pull" },
	{ 0x52a08a39, "icmp6_send" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xc7cf219a, "gro_cells_receive" },
	{ 0x502db1b1, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x63925040, "__xfrm_policy_check" },
	{ 0x46aa94d9, "__iptunnel_pull_header" },
	{ 0x9001d2a5, "metadata_dst_alloc" },
	{ 0x2fceb1, "ip_route_output_flow" },
	{ 0x37904b3a, "ip_route_input_noref" },
	{ 0xd61ea15d, "__icmp_send" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x1fea6a3b, "dev_get_tstats64" },
	{ 0x9199b9f0, "param_ops_bool" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4e009e6b, "ip6tun_encaps" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x615ab42b, "ipv6_chk_addr_and_flags" },
	{ 0xae84b7c4, "dev_get_by_index_rcu" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0xabdbfb00, "register_pernet_device" },
	{ 0xb2d71347, "xfrm6_tunnel_register" },
	{ 0x1048e087, "rtnl_link_register" },
	{ 0xe8f4fc26, "xfrm6_tunnel_deregister" },
	{ 0x5515ad8e, "unregister_pernet_device" },
	{ 0x8d304f20, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8a87270e, "unregister_netdevice_queue" },
	{ 0x712fdcf3, "dev_addr_mod" },
	{ 0xd7dd3a15, "rt6_lookup" },
	{ 0x297093d2, "dst_release" },
	{ 0x1985ee9e, "__dev_get_by_index" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "tunnel6");


MODULE_INFO(srcversion, "5BF1C9B57E9962596A53A7A");

MODULE_INFO(suserelease, "SLFO-1.2");
