#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(l2tp_sk_to_tunnel, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_put, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_put, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get_next, "_gpl", "");
KSYMTAB_FUNC(l2tp_v3_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_v2_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_next, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_by_ifname, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_recv_common, "_gpl", "");
KSYMTAB_FUNC(l2tp_udp_encap_recv, "_gpl", "");
KSYMTAB_FUNC(l2tp_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_create, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_set_header_len, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_create, "_gpl", "");

SYMBOL_CRC(l2tp_sk_to_tunnel, 0xf6d79c08, "_gpl");
SYMBOL_CRC(l2tp_tunnel_put, 0x9a689c61, "_gpl");
SYMBOL_CRC(l2tp_session_put, 0x3483d43f, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get, 0x0f168590, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_next, 0x55c94255, "_gpl");
SYMBOL_CRC(l2tp_v3_session_get, 0x3403f8f0, "_gpl");
SYMBOL_CRC(l2tp_v2_session_get, 0x30d99275, "_gpl");
SYMBOL_CRC(l2tp_session_get, 0x875a81ae, "_gpl");
SYMBOL_CRC(l2tp_session_get_next, 0xe7a4cc87, "_gpl");
SYMBOL_CRC(l2tp_session_get_by_ifname, 0x5f748848, "_gpl");
SYMBOL_CRC(l2tp_session_register, 0x67eb2b2c, "_gpl");
SYMBOL_CRC(l2tp_recv_common, 0x31584bb1, "_gpl");
SYMBOL_CRC(l2tp_udp_encap_recv, 0x65aa9264, "_gpl");
SYMBOL_CRC(l2tp_xmit_skb, 0xc57a99d9, "_gpl");
SYMBOL_CRC(l2tp_tunnel_create, 0x6ecf1adc, "_gpl");
SYMBOL_CRC(l2tp_tunnel_register, 0x92b96d1c, "_gpl");
SYMBOL_CRC(l2tp_tunnel_delete, 0xb5f78bf2, "_gpl");
SYMBOL_CRC(l2tp_session_delete, 0xc929b2a1, "_gpl");
SYMBOL_CRC(l2tp_session_set_header_len, 0x48ea4286, "_gpl");
SYMBOL_CRC(l2tp_session_create, 0x37cc061b, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x7ec56c70, "perf_trace_run_bpf_submit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x27a7a36e, "trace_event_buffer_reserve" },
	{ 0x77188b5d, "trace_event_buffer_commit" },
	{ 0xb07d43ee, "__trace_trigger_soft_disabled" },
	{ 0xa11a97c1, "trace_raw_output_prep" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0xdf4574bf, "trace_event_printf" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x57a45346, "bpf_trace_run1" },
	{ 0xd0d9d74c, "bpf_trace_run2" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0x3b570e1c, "sk_error_report" },
	{ 0x46287f2b, "ip_icmp_error" },
	{ 0x78d90ffa, "ipv6_icmp_error" },
	{ 0x92997ed8, "_printk" },
	{ 0xabdbfb00, "register_pernet_device" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x5515ad8e, "unregister_pernet_device" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xb078e2d1, "sock_create_kern" },
	{ 0x8e367a76, "kernel_bind" },
	{ 0x943b0e8b, "kernel_connect" },
	{ 0x63bc45b3, "udp_sock_create6" },
	{ 0x8d24a0e0, "kernel_sock_shutdown" },
	{ 0xad634552, "sock_release" },
	{ 0x1416467b, "udp_sock_create4" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xb9a85f0c, "idr_remove" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x41229c10, "idr_for_each" },
	{ 0x4d470eb0, "idr_destroy" },
	{ 0xafeb4362, "idr_get_next_ul" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x69acdf38, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x7e5e3524, "sk_free" },
	{ 0xe4ef0a16, "idr_replace" },
	{ 0x6d64c27f, "sk_skb_reason_drop" },
	{ 0x512c59c3, "skb_dequeue" },
	{ 0x37a0cba, "kfree" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x333051c0, "idr_find" },
	{ 0x1b93f4a8, "udp_set_csum" },
	{ 0xa19068f6, "ip_queue_xmit" },
	{ 0xd1d47d16, "pskb_expand_head" },
	{ 0x61a51c6, "udp6_set_csum" },
	{ 0xb324a977, "inet6_csk_xmit" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x297093d2, "dst_release" },
	{ 0x7501fbbb, "idr_alloc_u32" },
	{ 0x1dd1b266, "sockfd_lookup" },
	{ 0x7bda0276, "lock_sock_nested" },
	{ 0x9919fd8, "rt_write_lock" },
	{ 0xf250e2d4, "rt_write_unlock" },
	{ 0xe9ee676b, "release_sock" },
	{ 0xa8caa2e, "fput" },
	{ 0xa0cf8676, "setup_udp_tunnel_sock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe648e7c0, "skb_queue_tail" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x2b64348b, "__pskb_pull_tail" },
	{ 0x658574f4, "trace_event_reg" },
	{ 0x549dee85, "trace_event_raw_init" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "ip6_udp_tunnel,udp_tunnel");


MODULE_INFO(srcversion, "DED7F0743002865D2427A3C");

MODULE_INFO(suserelease, "SLFO-1.2");
