#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(l2tp_ioctl, "_gpl", "");

SYMBOL_CRC(l2tp_ioctl, 0xed1042e5, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdb9a33ce, "inet_unregister_protosw" },
	{ 0xb09531f2, "inet_del_protocol" },
	{ 0x653b116b, "sock_queue_rcv_skb_reason" },
	{ 0x6d64c27f, "sk_skb_reason_drop" },
	{ 0xf6d79c08, "l2tp_sk_to_tunnel" },
	{ 0xb5f78bf2, "l2tp_tunnel_delete" },
	{ 0x9a689c61, "l2tp_tunnel_put" },
	{ 0xba07b5a, "__udp_disconnect" },
	{ 0x9919fd8, "rt_write_lock" },
	{ 0xf250e2d4, "rt_write_unlock" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7bda0276, "lock_sock_nested" },
	{ 0xe9ee676b, "release_sock" },
	{ 0xe3178c17, "inet_addr_type" },
	{ 0x297093d2, "dst_release" },
	{ 0xd66fd6b2, "sk_common_release" },
	{ 0x13f77717, "__ip4_datagram_connect" },
	{ 0x6ecc989e, "sock_wmalloc" },
	{ 0x3ec4ea5, "skb_put" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x44531a37, "_copy_from_iter" },
	{ 0x6916cd72, "__sk_dst_check" },
	{ 0xa19068f6, "ip_queue_xmit" },
	{ 0xd873b2a6, "security_sk_classify_flow" },
	{ 0x2fceb1, "ip_route_output_flow" },
	{ 0x7db2c0f7, "sk_setup_caps" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc299905c, "make_kuid" },
	{ 0xc86a4b4, "iov_iter_revert" },
	{ 0x6050e65f, "skb_recv_datagram" },
	{ 0x4e203a85, "skb_copy_datagram_iter" },
	{ 0x32869bb0, "skb_free_datagram" },
	{ 0x6c11735, "__sock_recv_timestamp" },
	{ 0xcb9cf96e, "ip_cmsg_recv_offset" },
	{ 0x88ae2804, "__sock_recv_wifi_status" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3403f8f0, "l2tp_v3_session_get" },
	{ 0x31584bb1, "l2tp_recv_common" },
	{ 0x3483d43f, "l2tp_session_put" },
	{ 0xedd7eb58, "rt_read_lock" },
	{ 0x9ebb2bfc, "rt_read_unlock" },
	{ 0xd3c7a2, "__sk_receive_skb" },
	{ 0x2b64348b, "__pskb_pull_tail" },
	{ 0x63925040, "__xfrm_policy_check" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x7e5e3524, "sk_free" },
	{ 0xc48d254c, "inet_release" },
	{ 0x8ed17bc, "inet_bind" },
	{ 0x4d054b, "inet_dgram_connect" },
	{ 0x77cfe8ee, "sock_no_socketpair" },
	{ 0xf53c8f7d, "sock_no_accept" },
	{ 0x4694aa33, "datagram_poll" },
	{ 0x5b298f0e, "inet_ioctl" },
	{ 0xde551909, "sock_gettstamp" },
	{ 0x963666a1, "sock_no_listen" },
	{ 0x689031a0, "inet_shutdown" },
	{ 0x90912baf, "sock_common_setsockopt" },
	{ 0xb9d9dbfb, "sock_common_getsockopt" },
	{ 0x7bfbdc30, "inet_sendmsg" },
	{ 0x7fea67e7, "sock_common_recvmsg" },
	{ 0xa86d7fc6, "sock_no_mmap" },
	{ 0xa2bff98e, "ip_setsockopt" },
	{ 0x58801200, "ip_getsockopt" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92997ed8, "_printk" },
	{ 0xabdbfb00, "register_pernet_device" },
	{ 0xb00bc408, "proto_register" },
	{ 0x32cc8897, "inet_add_protocol" },
	{ 0xea0c4074, "proto_unregister" },
	{ 0x190616d7, "inet_register_protosw" },
	{ 0x5515ad8e, "unregister_pernet_device" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "l2tp_core");


MODULE_INFO(srcversion, "423F2831315564D2491389F");

MODULE_INFO(suserelease, "SLFO-1.2");
