#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ieee802154_alloc_hw, "", "");
KSYMTAB_FUNC(ieee802154_configure_durations, "", "");
KSYMTAB_FUNC(ieee802154_free_hw, "", "");
KSYMTAB_FUNC(ieee802154_register_hw, "", "");
KSYMTAB_FUNC(ieee802154_unregister_hw, "", "");
KSYMTAB_FUNC(ieee802154_rx_irqsafe, "", "");
KSYMTAB_FUNC(ieee802154_xmit_complete, "", "");
KSYMTAB_FUNC(ieee802154_xmit_error, "", "");
KSYMTAB_FUNC(ieee802154_xmit_hw_error, "", "");

SYMBOL_CRC(ieee802154_alloc_hw, 0x712f0413, "");
SYMBOL_CRC(ieee802154_configure_durations, 0xe35ffefe, "");
SYMBOL_CRC(ieee802154_free_hw, 0x55fd3877, "");
SYMBOL_CRC(ieee802154_register_hw, 0xe562ac6d, "");
SYMBOL_CRC(ieee802154_unregister_hw, 0xea16bb49, "");
SYMBOL_CRC(ieee802154_rx_irqsafe, 0xd61f2166, "");
SYMBOL_CRC(ieee802154_xmit_complete, 0xfa8f3489, "");
SYMBOL_CRC(ieee802154_xmit_error, 0xb660e316, "");
SYMBOL_CRC(ieee802154_xmit_hw_error, 0xc9a1b856, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa916b694, "strnlen" },
	{ 0xbe3dbdfa, "__alloc_skb" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0xf250e2d4, "rt_write_unlock" },
	{ 0x9071ee5, "skb_copy_expand" },
	{ 0xe648e7c0, "skb_queue_tail" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xbbef170d, "crypto_aead_setkey" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x7ec56c70, "perf_trace_run_bpf_submit" },
	{ 0x386dc70a, "cfg802154_get_free_short_addr" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xca960363, "wpan_phy_register" },
	{ 0x4d36b172, "cfg802154_set_max_associations" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa110e9ab, "crypto_aead_encrypt" },
	{ 0x6d64c27f, "sk_skb_reason_drop" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xed153b93, "skb_push" },
	{ 0x114dc38c, "ieee802154_hdr_peek" },
	{ 0x2e68cc46, "wpan_phy_free" },
	{ 0x68d9761d, "netif_receive_skb" },
	{ 0x658574f4, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x209cb8eb, "free_netdev" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x57a45346, "bpf_trace_run1" },
	{ 0x8be8cd38, "netif_tx_wake_queue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xfb578fc5, "memset" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0x3a5797c9, "hrtimer_start_range_ns" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc159e022, "ieee802154_hdr_pull" },
	{ 0x53f79450, "nl802154_scan_event" },
	{ 0x4ae6e581, "crypto_alloc_sync_skcipher" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xd62ba63d, "skb_trim" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x23709dd3, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcb67b626, "bpf_trace_run3" },
	{ 0xedd7eb58, "rt_read_lock" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x27a7a36e, "trace_event_buffer_reserve" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x726bc3c7, "wait_for_completion_killable_timeout" },
	{ 0x54b1fefb, "ieee802154_beacon_push" },
	{ 0x9ebb2bfc, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xa14f75ef, "ieee802154_mac_cmd_pl_pull" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x979d7352, "wpan_phy_new" },
	{ 0x44ea4aa5, "skb_clone" },
	{ 0x9919fd8, "rt_write_lock" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x5402ada3, "hrtimer_cancel" },
	{ 0xf2598067, "ieee802154_hdr_push" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x16a57400, "dev_kfree_skb_any_reason" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xae657708, "cfg802154_device_is_parent" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x3ad5082b, "cfg802154_device_is_child" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xc310ccf6, "register_netdevice" },
	{ 0x8e8f28ce, "crypto_skcipher_encrypt" },
	{ 0x87e2553b, "ieee802154_max_payload" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x1d337321, "bpf_trace_run4" },
	{ 0xef5d3cf7, "nl802154_beaconing_done" },
	{ 0x3ec4ea5, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x74885bdc, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa11a97c1, "trace_raw_output_prep" },
	{ 0x512c59c3, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xb07d43ee, "__trace_trigger_soft_disabled" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0xdf4574bf, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x8b773ecd, "hrtimer_init" },
	{ 0x76c7eee5, "dev_alloc_name" },
	{ 0x549dee85, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0xd2fe8c60, "ieee802154_mac_cmd_push" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xab250000, "crypto_alloc_aead" },
	{ 0xd0d9d74c, "bpf_trace_run2" },
	{ 0x3416d62c, "prepare_to_wait_event" },
	{ 0xe45f97ac, "netdev_warn" },
	{ 0x9ef9a4d5, "crypto_aead_setauthsize" },
	{ 0xfec65053, "crypto_aead_decrypt" },
	{ 0xf6491531, "__wake_up" },
	{ 0x52ecbc75, "crc_ccitt" },
	{ 0xf149c080, "crypto_skcipher_setkey" },
	{ 0x8a87270e, "unregister_netdevice_queue" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0x6570ce51, "ieee802154_hdr_peek_addrs" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x39767787, "wpan_phy_unregister" },
	{ 0x77188b5d, "trace_event_buffer_commit" },
	{ 0x712fdcf3, "dev_addr_mod" },
	{ 0xe7d10c72, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc025779, "alloc_netdev_mqs" },
	{ 0xa2a572b, "nl802154_scan_done" },
	{ 0x92997ed8, "_printk" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa071d15, "nl802154_scan_started" },
	{ 0x3d0a9e51, "crypto_skcipher_decrypt" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "ieee802154");


MODULE_INFO(srcversion, "DC1138AE16B2B32E5FDFC74");

MODULE_INFO(suserelease, "SLFO-1.2");
