#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mpls_output_possible, "_gpl", "");
KSYMTAB_FUNC(mpls_dev_mtu, "_gpl", "");
KSYMTAB_FUNC(mpls_pkt_too_big, "_gpl", "");
KSYMTAB_FUNC(mpls_stats_inc_outucastpkts, "_gpl", "");
KSYMTAB_FUNC(nla_put_labels, "_gpl", "");
KSYMTAB_FUNC(nla_get_labels, "_gpl", "");

SYMBOL_CRC(mpls_output_possible, 0x2998ad1f, "_gpl");
SYMBOL_CRC(mpls_dev_mtu, 0xff5fc4d4, "_gpl");
SYMBOL_CRC(mpls_pkt_too_big, 0x8a562d30, "_gpl");
SYMBOL_CRC(mpls_stats_inc_outucastpkts, 0x5baa9a4a, "_gpl");
SYMBOL_CRC(nla_put_labels, 0xa147929f, "_gpl");
SYMBOL_CRC(nla_get_labels, 0xde3cca7e, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5ea3851b, "rtnl_af_register" },
	{ 0xbe3dbdfa, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x96d520e5, "rtnl_set_sk_err" },
	{ 0x3180d31d, "rtnl_unicast" },
	{ 0x639cb360, "nla_reserve_64bit" },
	{ 0xa4ab1b58, "ip_valid_fib_dump_req" },
	{ 0x1985ee9e, "__dev_get_by_index" },
	{ 0x56dd0d4e, "ipv6_stub" },
	{ 0x1c785e13, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xffec088c, "nla_reserve_nohdr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8261489b, "rtnl_af_unregister" },
	{ 0x6d64c27f, "sk_skb_reason_drop" },
	{ 0x845e5fc8, "dev_remove_pack" },
	{ 0xf785fbf2, "dev_get_by_index" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xed153b93, "skb_push" },
	{ 0x8d304f20, "nla_put" },
	{ 0x3b1b20cc, "__rtnl_register_many" },
	{ 0xcd279169, "nla_find" },
	{ 0x5f2d64d6, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xc050e89, "ip_tunnel_encap_del_ops" },
	{ 0x74ce375f, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2b64348b, "__pskb_pull_tail" },
	{ 0xd62ba63d, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0xfea41449, "xa_find" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x8a938828, "rtnl_notify" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x44ea4aa5, "skb_clone" },
	{ 0x297093d2, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x70ee1bf3, "proc_dointvec" },
	{ 0x64a4da03, "unregister_net_sysctl_table" },
	{ 0x3069450c, "dev_get_flags" },
	{ 0x7e94f354, "__rtnl_unregister_many" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x8dc6f00d, "proc_dointvec_minmax" },
	{ 0x424a84af, "netlink_strict_get_check" },
	{ 0xddad22da, "ip_tunnel_encap_add_ops" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xa65f21bc, "__nlmsg_put" },
	{ 0x13f201c3, "skb_gso_validate_network_len" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x74885bdc, "consume_skb" },
	{ 0x97d9aa2, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xbe126afa, "nla_reserve" },
	{ 0x579e0bf5, "rtnl_unregister_all" },
	{ 0x88483425, "neigh_xmit" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2fceb1, "ip_route_output_flow" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd1d47d16, "pskb_expand_head" },
	{ 0x8a0061d1, "register_pernet_subsys" },
	{ 0x62faafff, "register_net_sysctl_sz" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "ip_tunnel");


MODULE_INFO(srcversion, "7871040889280F00630AE35");

MODULE_INFO(suserelease, "SLFO-1.2");
