#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(nf_nat_sip_hooks, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_request, "_gpl", "");
KSYMTAB_FUNC(ct_sip_get_header, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_header_uri, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_address_param, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_numerical_param, "_gpl", "");
KSYMTAB_FUNC(ct_sip_get_sdp_header, "_gpl", "");

SYMBOL_CRC(nf_nat_sip_hooks, 0x0878adb0, "_gpl");
SYMBOL_CRC(ct_sip_parse_request, 0x319360fd, "_gpl");
SYMBOL_CRC(ct_sip_get_header, 0x73c73efd, "_gpl");
SYMBOL_CRC(ct_sip_parse_header_uri, 0x9244af98, "_gpl");
SYMBOL_CRC(ct_sip_parse_address_param, 0x07422430, "_gpl");
SYMBOL_CRC(ct_sip_parse_numerical_param, 0x53b8be99, "_gpl");
SYMBOL_CRC(ct_sip_get_sdp_header, 0xf8bdcff7, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x1d4b8c56, "nf_ct_expect_alloc" },
	{ 0x97bfbd1c, "nf_ct_expect_init" },
	{ 0xebc4d468, "nf_ct_expect_related_report" },
	{ 0x3a432e3c, "nf_ct_expect_put" },
	{ 0x309f337a, "__nf_ip6_route" },
	{ 0x297093d2, "dst_release" },
	{ 0xcc56d8d1, "nf_ip_route" },
	{ 0x66adf41c, "nf_ct_unexpect_related" },
	{ 0x43bd4928, "nf_ct_helper_log" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3c757025, "nf_conntrack_expect_lock" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x1965a30d, "nf_ct_remove_expect" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xb44c281c, "__nf_ct_refresh_acct" },
	{ 0x2b64348b, "__pskb_pull_tail" },
	{ 0x5adf76d8, "skb_copy_bits" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1e0a0c24, "mod_timer_pending" },
	{ 0xf2203c5f, "param_ops_int" },
	{ 0xe5eb5fd0, "param_ops_uint" },
	{ 0x1c137c19, "param_array_ops" },
	{ 0x8e251c49, "param_ops_ushort" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x11089ac7, "_ctype" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x609bcd98, "in6_pton" },
	{ 0xac5fcec0, "in4_pton" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x754d539c, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x187b31d5, "nf_ct_helper_init" },
	{ 0xf90b1a9c, "nf_conntrack_helpers_register" },
	{ 0x92997ed8, "_printk" },
	{ 0x3aa9f1dd, "nf_conntrack_helpers_unregister" },
	{ 0x253f57eb, "__nf_ct_expect_find" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "9A2C91AA22115C3D118EE49");

MODULE_INFO(suserelease, "SLFO-1.2");
