#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(flow_offload_alloc, "_gpl", "");
KSYMTAB_FUNC(flow_offload_route_init, "_gpl", "");
KSYMTAB_FUNC(flow_offload_free, "_gpl", "");
KSYMTAB_FUNC(flow_offload_add, "_gpl", "");
KSYMTAB_FUNC(flow_offload_refresh, "_gpl", "");
KSYMTAB_FUNC(flow_offload_teardown, "_gpl", "");
KSYMTAB_FUNC(flow_offload_lookup, "_gpl", "");
KSYMTAB_FUNC(nf_flow_snat_port, "_gpl", "");
KSYMTAB_FUNC(nf_flow_dnat_port, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_init, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_cleanup, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_free, "_gpl", "");
KSYMTAB_FUNC(nf_flow_offload_ip_hook, "_gpl", "");
KSYMTAB_FUNC(nf_flow_offload_ipv6_hook, "_gpl", "");
KSYMTAB_FUNC(nf_flow_rule_route_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_flow_rule_route_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_offload_setup, "_gpl", "");
KSYMTAB_FUNC(nf_flow_register_bpf, "_gpl", "");

SYMBOL_CRC(flow_offload_alloc, 0xd70638ce, "_gpl");
SYMBOL_CRC(flow_offload_route_init, 0x386f6478, "_gpl");
SYMBOL_CRC(flow_offload_free, 0xfe2dfcda, "_gpl");
SYMBOL_CRC(flow_offload_add, 0x85384ef4, "_gpl");
SYMBOL_CRC(flow_offload_refresh, 0x225c19ca, "_gpl");
SYMBOL_CRC(flow_offload_teardown, 0xd43b609c, "_gpl");
SYMBOL_CRC(flow_offload_lookup, 0x19654c2b, "_gpl");
SYMBOL_CRC(nf_flow_snat_port, 0xe1311488, "_gpl");
SYMBOL_CRC(nf_flow_dnat_port, 0x8755f7f8, "_gpl");
SYMBOL_CRC(nf_flow_table_init, 0xb6a385e9, "_gpl");
SYMBOL_CRC(nf_flow_table_cleanup, 0x77a55bab, "_gpl");
SYMBOL_CRC(nf_flow_table_free, 0x0691683b, "_gpl");
SYMBOL_CRC(nf_flow_offload_ip_hook, 0x8e67b620, "_gpl");
SYMBOL_CRC(nf_flow_offload_ipv6_hook, 0xea708930, "_gpl");
SYMBOL_CRC(nf_flow_rule_route_ipv4, 0xbfa135c3, "_gpl");
SYMBOL_CRC(nf_flow_rule_route_ipv6, 0x9db95ea6, "_gpl");
SYMBOL_CRC(nf_flow_table_offload_setup, 0x082110e2, "_gpl");
SYMBOL_CRC(nf_flow_register_bpf, 0x098f9d9b, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xba0efd1f, "down_write" },
	{ 0x209b8854, "up_write" },
	{ 0x1c785e13, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf785fbf2, "dev_get_by_index" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xae84b7c4, "dev_get_by_index_rcu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x194470a2, "rhashtable_walk_start_check" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfcf2ffe7, "flow_indr_dev_setup_offload" },
	{ 0xc05bb6a, "rhashtable_walk_stop" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x74ce375f, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xcee336e0, "rht_bucket_nested_insert" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2b64348b, "__pskb_pull_tail" },
	{ 0x77fab3d9, "rhashtable_destroy" },
	{ 0xf92fcc0, "register_btf_kfunc_id_set" },
	{ 0x9fb64856, "down_read" },
	{ 0x63e2c5fc, "inet_proto_csum_replace16" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa0cf4391, "rhashtable_insert_slow" },
	{ 0xedd7eb58, "rt_read_lock" },
	{ 0x2c3fe335, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc131aac7, "neigh_destroy" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x8d1224dc, "rhashtable_init_noprof" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x61fb6b9d, "inet_proto_csum_replace4" },
	{ 0x9f7aac60, "seq_write" },
	{ 0x9ebb2bfc, "rt_read_unlock" },
	{ 0x6e063721, "remove_proc_entry" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xcf378d66, "nf_ct_acct_add" },
	{ 0x7ad7a5cd, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x297093d2, "dst_release" },
	{ 0x24baed7, "rhashtable_walk_next" },
	{ 0x8035c627, "ipv4_dst_check" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xb570b5d7, "up_read" },
	{ 0x2ba8bbc8, "rhashtable_walk_exit" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xdb7800ad, "flow_rule_alloc" },
	{ 0x87af16f1, "ip6_dst_check" },
	{ 0x45f4e1cd, "__init_rwsem" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x13f201c3, "skb_gso_validate_network_len" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2c6c41c3, "ip_output" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x88483425, "neigh_xmit" },
	{ 0x6a3bdb82, "flow_block_cb_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xf37a6e84, "ip6_output" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x7f472c24, "rhashtable_walk_enter" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xd60f8c84, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd1d47d16, "pskb_expand_head" },
	{ 0x8a0061d1, "register_pernet_subsys" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "CFF181516A0CF8DFB0F0E2E");

MODULE_INFO(suserelease, "SLFO-1.2");
