#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nf_ct_nat_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_nat_setup_info, "", "");
KSYMTAB_FUNC(nf_nat_alloc_null_binding, "_gpl", "");
KSYMTAB_FUNC(nf_nat_packet, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmp_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmpv6_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(__nf_nat_mangle_tcp_packet, "", "");
KSYMTAB_FUNC(nf_nat_mangle_udp_packet, "", "");
KSYMTAB_FUNC(nf_nat_follow_master, "", "");
KSYMTAB_FUNC(nf_nat_exp_find_port, "_gpl", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_register_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_unregister_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_ct_nat, "_gpl", "");

SYMBOL_CRC(nf_ct_nat_ext_add, 0x35fdf718, "_gpl");
SYMBOL_CRC(nf_nat_setup_info, 0x90f9cee8, "");
SYMBOL_CRC(nf_nat_alloc_null_binding, 0xaa791668, "_gpl");
SYMBOL_CRC(nf_nat_packet, 0x5c50c4f4, "_gpl");
SYMBOL_CRC(nf_nat_inet_fn, 0xe508a5b9, "_gpl");
SYMBOL_CRC(nf_nat_icmp_reply_translation, 0xe7c64c8d, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_register_fn, 0x75e55594, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_unregister_fn, 0x8767077b, "_gpl");
SYMBOL_CRC(nf_nat_icmpv6_reply_translation, 0x242c7d8e, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_register_fn, 0x14b3ad30, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_unregister_fn, 0xfe6a65ee, "_gpl");
SYMBOL_CRC(nf_nat_inet_register_fn, 0x4f1077ff, "_gpl");
SYMBOL_CRC(nf_nat_inet_unregister_fn, 0xd40ece06, "_gpl");
SYMBOL_CRC(__nf_nat_mangle_tcp_packet, 0x6a39f7d7, "");
SYMBOL_CRC(nf_nat_mangle_udp_packet, 0x78f36553, "");
SYMBOL_CRC(nf_nat_follow_master, 0xf8801629, "");
SYMBOL_CRC(nf_nat_exp_find_port, 0x5704808b, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv4, 0x914034cc, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv6, 0x601b1daa, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv4, 0x338e9bad, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv6, 0x46f12aca, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_register_notifiers, 0x3bc17c49, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_unregister_notifiers, 0xd9c25654, "_gpl");
SYMBOL_CRC(nf_ct_nat, 0x037ef5af, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd1d47d16, "pskb_expand_head" },
	{ 0x8a0061d1, "register_pernet_subsys" },
	{ 0xec2d4b85, "nf_conntrack_tuple_taken" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x625b0af2, "nf_ct_iterate_cleanup_net" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe344b42c, "ipv6_skip_exthdr" },
	{ 0xf7da6010, "nf_register_net_hooks" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7276b73a, "module_put" },
	{ 0xb7ba9313, "ipv6_dev_get_saddr" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8ffe7e89, "nf_conntrack_htable_size" },
	{ 0xebc4d468, "nf_ct_expect_related_report" },
	{ 0xdb40452, "ip_route_me_harder" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x844bdb20, "nf_hook_entries_delete_raw" },
	{ 0x2fe8c193, "skb_ensure_writable" },
	{ 0xc775954c, "nf_unregister_net_hooks" },
	{ 0x216a9317, "inet_select_addr" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0x74ce375f, "unregister_pernet_subsys" },
	{ 0x3d61d74a, "skb_checksum" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x7a334b53, "nf_ct_delete" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x3d78118d, "nf_ip_checksum" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xf92fcc0, "register_btf_kfunc_id_set" },
	{ 0x718ed344, "nf_ct_iterate_destroy" },
	{ 0xe4262c6, "__siphash_unaligned" },
	{ 0x63e2c5fc, "inet_proto_csum_replace16" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x2cb42dd5, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0xedd7eb58, "rt_read_lock" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x1632b49e, "__skb_checksum" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x61fb6b9d, "inet_proto_csum_replace4" },
	{ 0x9ebb2bfc, "rt_read_unlock" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0x297093d2, "dst_release" },
	{ 0xb917b69c, "nf_ct_l4proto_find" },
	{ 0xc413b12e, "nf_ct_kill_acct" },
	{ 0x289c3714, "nf_ct_alloc_hashtable" },
	{ 0x85114164, "nf_nat_hook" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xe9df1bd7, "nf_ct_ext_add" },
	{ 0x639da6d, "__do_once_done" },
	{ 0xdadad22a, "nf_conntrack_find_get" },
	{ 0x4e5daa9a, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xf12f3c1a, "nf_ip6_checksum" },
	{ 0x5adf76d8, "skb_copy_bits" },
	{ 0x8f55f082, "nf_hook_entries_insert_raw" },
	{ 0xb395bdc0, "xfrm_lookup" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x3ab8ea, "nf_ct_seqadj_set" },
	{ 0x3ec4ea5, "skb_put" },
	{ 0x25f2b2c8, "kmemdup_array" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb0e602eb, "memmove" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9ab6cb1b, "nf_ct_helper_expectfn_unregister" },
	{ 0x793bc333, "__xfrm_decode_session" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x4c67117, "nf_ct_helper_expectfn_register" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0xb34cc9c, "ip6_route_me_harder" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,libcrc32c");


MODULE_INFO(srcversion, "8575CF19F3DC7A43D0EECFA");

MODULE_INFO(suserelease, "SLFO-1.2");
