#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nft_do_chain, "_gpl", "");
KSYMTAB_FUNC(nft_reg_track_update, "_gpl", "");
KSYMTAB_FUNC(nft_reg_track_cancel, "_gpl", "");
KSYMTAB_FUNC(__nft_reg_track_cancel, "_gpl", "");
KSYMTAB_FUNC(nft_request_module, "_gpl", "");
KSYMTAB_FUNC(nft_register_chain_type, "_gpl", "");
KSYMTAB_FUNC(nft_unregister_chain_type, "_gpl", "");
KSYMTAB_FUNC(nft_register_expr, "_gpl", "");
KSYMTAB_FUNC(nft_unregister_expr, "_gpl", "");
KSYMTAB_FUNC(nft_chain_validate, "_gpl", "");
KSYMTAB_FUNC(nft_set_lookup_global, "_gpl", "");
KSYMTAB_FUNC(nf_tables_bind_set, "_gpl", "");
KSYMTAB_FUNC(nf_tables_activate_set, "_gpl", "");
KSYMTAB_FUNC(nf_tables_deactivate_set, "_gpl", "");
KSYMTAB_FUNC(nf_tables_destroy_set, "_gpl", "");
KSYMTAB_FUNC(nft_set_elem_destroy, "_gpl", "");
KSYMTAB_FUNC(nft_set_catchall_lookup, "_gpl", "");
KSYMTAB_FUNC(nft_register_obj, "_gpl", "");
KSYMTAB_FUNC(nft_unregister_obj, "_gpl", "");
KSYMTAB_FUNC(nft_obj_lookup, "_gpl", "");
KSYMTAB_FUNC(nft_obj_notify, "_gpl", "");
KSYMTAB_FUNC(nft_register_flowtable_type, "_gpl", "");
KSYMTAB_FUNC(nft_unregister_flowtable_type, "_gpl", "");
KSYMTAB_FUNC(nft_flowtable_lookup, "_gpl", "");
KSYMTAB_FUNC(nf_tables_deactivate_flowtable, "_gpl", "");
KSYMTAB_FUNC(nf_tables_trans_destroy_flush_work, "_gpl", "");
KSYMTAB_FUNC(nft_chain_validate_dependency, "_gpl", "");
KSYMTAB_FUNC(nft_chain_validate_hooks, "_gpl", "");
KSYMTAB_FUNC(nft_parse_u32_check, "_gpl", "");
KSYMTAB_FUNC(nft_dump_register, "_gpl", "");
KSYMTAB_FUNC(nft_parse_register_load, "_gpl", "");
KSYMTAB_FUNC(nft_parse_register_store, "_gpl", "");
KSYMTAB_FUNC(nft_data_init, "_gpl", "");
KSYMTAB_FUNC(nft_data_release, "_gpl", "");
KSYMTAB_FUNC(nft_data_dump, "_gpl", "");
KSYMTAB_FUNC(__nft_release_basechain, "_gpl", "");
KSYMTAB_DATA(nft_trace_enabled, "_gpl", "");
KSYMTAB_FUNC(nft_expr_reduce_bitwise, "_gpl", "");
KSYMTAB_FUNC(nft_set_do_lookup, "_gpl", "");
KSYMTAB_FUNC(nft_meta_get_eval, "_gpl", "");
KSYMTAB_FUNC(nft_meta_set_eval, "_gpl", "");
KSYMTAB_DATA(nft_meta_policy, "_gpl", "");
KSYMTAB_FUNC(nft_meta_get_init, "_gpl", "");
KSYMTAB_FUNC(nft_meta_set_validate, "_gpl", "");
KSYMTAB_FUNC(nft_meta_set_init, "_gpl", "");
KSYMTAB_FUNC(nft_meta_get_dump, "_gpl", "");
KSYMTAB_FUNC(nft_meta_set_dump, "_gpl", "");
KSYMTAB_FUNC(nft_meta_set_destroy, "_gpl", "");
KSYMTAB_FUNC(nft_meta_get_reduce, "_gpl", "");
KSYMTAB_FUNC(nft_meta_inner_eval, "_gpl", "");
KSYMTAB_FUNC(nft_ct_get_fast_eval, "_gpl", "");

SYMBOL_CRC(nft_do_chain, 0xf9fca703, "_gpl");
SYMBOL_CRC(nft_reg_track_update, 0xd1e0a22e, "_gpl");
SYMBOL_CRC(nft_reg_track_cancel, 0x93c1b20f, "_gpl");
SYMBOL_CRC(__nft_reg_track_cancel, 0xa88b96a7, "_gpl");
SYMBOL_CRC(nft_request_module, 0x11f0e01f, "_gpl");
SYMBOL_CRC(nft_register_chain_type, 0x1f1db818, "_gpl");
SYMBOL_CRC(nft_unregister_chain_type, 0x0d71e7f9, "_gpl");
SYMBOL_CRC(nft_register_expr, 0x7c207e13, "_gpl");
SYMBOL_CRC(nft_unregister_expr, 0x55f2ddc6, "_gpl");
SYMBOL_CRC(nft_chain_validate, 0x18d742f5, "_gpl");
SYMBOL_CRC(nft_set_lookup_global, 0xd2908c65, "_gpl");
SYMBOL_CRC(nf_tables_bind_set, 0x36d7a3c4, "_gpl");
SYMBOL_CRC(nf_tables_activate_set, 0x0aca0661, "_gpl");
SYMBOL_CRC(nf_tables_deactivate_set, 0x11da6759, "_gpl");
SYMBOL_CRC(nf_tables_destroy_set, 0xc63abb96, "_gpl");
SYMBOL_CRC(nft_set_elem_destroy, 0xd2244b7c, "_gpl");
SYMBOL_CRC(nft_set_catchall_lookup, 0xe0ab5cc2, "_gpl");
SYMBOL_CRC(nft_register_obj, 0x001d2405, "_gpl");
SYMBOL_CRC(nft_unregister_obj, 0x519ca14f, "_gpl");
SYMBOL_CRC(nft_obj_lookup, 0x89c0baf9, "_gpl");
SYMBOL_CRC(nft_obj_notify, 0x66b02466, "_gpl");
SYMBOL_CRC(nft_register_flowtable_type, 0xea56088b, "_gpl");
SYMBOL_CRC(nft_unregister_flowtable_type, 0xf63d708e, "_gpl");
SYMBOL_CRC(nft_flowtable_lookup, 0x388d3445, "_gpl");
SYMBOL_CRC(nf_tables_deactivate_flowtable, 0x2e43265c, "_gpl");
SYMBOL_CRC(nf_tables_trans_destroy_flush_work, 0x3251d762, "_gpl");
SYMBOL_CRC(nft_chain_validate_dependency, 0xf937e413, "_gpl");
SYMBOL_CRC(nft_chain_validate_hooks, 0x0ccae35e, "_gpl");
SYMBOL_CRC(nft_parse_u32_check, 0xde57b5f5, "_gpl");
SYMBOL_CRC(nft_dump_register, 0x234d423a, "_gpl");
SYMBOL_CRC(nft_parse_register_load, 0x5bfcab5a, "_gpl");
SYMBOL_CRC(nft_parse_register_store, 0x6b873299, "_gpl");
SYMBOL_CRC(nft_data_init, 0x6f859340, "_gpl");
SYMBOL_CRC(nft_data_release, 0xff3c760c, "_gpl");
SYMBOL_CRC(nft_data_dump, 0x4f3816b4, "_gpl");
SYMBOL_CRC(__nft_release_basechain, 0x330253b3, "_gpl");
SYMBOL_CRC(nft_trace_enabled, 0x41b71e65, "_gpl");
SYMBOL_CRC(nft_expr_reduce_bitwise, 0x5fb6e9b5, "_gpl");
SYMBOL_CRC(nft_set_do_lookup, 0x43ec79a4, "_gpl");
SYMBOL_CRC(nft_meta_get_eval, 0x94fe300c, "_gpl");
SYMBOL_CRC(nft_meta_set_eval, 0xc67097de, "_gpl");
SYMBOL_CRC(nft_meta_policy, 0xe2c74001, "_gpl");
SYMBOL_CRC(nft_meta_get_init, 0xf0922954, "_gpl");
SYMBOL_CRC(nft_meta_set_validate, 0xf85887df, "_gpl");
SYMBOL_CRC(nft_meta_set_init, 0xd948f673, "_gpl");
SYMBOL_CRC(nft_meta_get_dump, 0xc2ecc7a0, "_gpl");
SYMBOL_CRC(nft_meta_set_dump, 0xd27cfb78, "_gpl");
SYMBOL_CRC(nft_meta_set_destroy, 0x0258b8c7, "_gpl");
SYMBOL_CRC(nft_meta_get_reduce, 0xc52c134a, "_gpl");
SYMBOL_CRC(nft_meta_inner_eval, 0xf6fd139b, "_gpl");
SYMBOL_CRC(nft_ct_get_fast_eval, 0x68b28c02, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xe80f8d0d, "__kmalloc_node_noprof" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x2c82c36a, "security_secmark_relabel_packet" },
	{ 0x11bd35b0, "nfnetlink_set_err" },
	{ 0x75d0deb9, "nsecs_to_jiffies64" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x6d7c7dcc, "bitmap_cut" },
	{ 0x6a3bdb82, "flow_block_cb_free" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xeebbc84a, "nfnetlink_subsys_register" },
	{ 0xb34cc9c, "ip6_route_me_harder" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x883c3a0f, "__module_get" },
	{ 0x148653, "vsnprintf" },
	{ 0x7f472c24, "rhashtable_walk_enter" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x278bf4e3, "__dev_get_by_name" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8a0061d1, "register_pernet_subsys" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8be54e9f, "__ip_options_compile" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xf82ec573, "rb_prev" },
	{ 0xc4878a88, "nf_route" },
	{ 0x4129f5ee, "kernel_fpu_begin_mask" },
	{ 0xa916b694, "strnlen" },
	{ 0xbe3dbdfa, "__alloc_skb" },
	{ 0x38722f80, "kernel_fpu_end" },
	{ 0x618911fc, "numa_node" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf250e2d4, "rt_write_unlock" },
	{ 0x7276b73a, "module_put" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xab370964, "nf_unregister_net_hook" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0xfa43bad7, "nf_register_net_hook" },
	{ 0xe37c1f69, "__skb_get_hash_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x19bd383b, "security_secmark_refcount_dec" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x13900f5f, "ip6_mtu" },
	{ 0x6d64c27f, "sk_skb_reason_drop" },
	{ 0xdb40452, "ip_route_me_harder" },
	{ 0xa3d62d59, "skb_store_bits" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xae84b7c4, "dev_get_by_index_rcu" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xea0419c, "nfnetlink_unicast" },
	{ 0x8d304f20, "nla_put" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x2fe8c193, "skb_ensure_writable" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xc0ff12fb, "nla_strdup" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x194470a2, "rhashtable_walk_start_check" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xdb065657, "nfnl_unlock" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xfcf2ffe7, "flow_indr_dev_setup_offload" },
	{ 0xc05bb6a, "rhashtable_walk_stop" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xb44e18ea, "audit_enabled" },
	{ 0x838d2bc8, "siphash_3u32" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x74ce375f, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x60337536, "rhashtable_free_and_destroy" },
	{ 0x3d61d74a, "skb_checksum" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x92ec510d, "jiffies64_to_msecs" },
	{ 0xcee336e0, "rht_bucket_nested_insert" },
	{ 0x74450c97, "nfnetlink_send" },
	{ 0x55302844, "__get_task_comm" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2b64348b, "__pskb_pull_tail" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x8621a56e, "nfnetlink_subsys_unregister" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xa627b1a3, "from_kgid_munged" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd62ba63d, "skb_trim" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x2cb42dd5, "__put_net" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0xa0cf4391, "rhashtable_insert_slow" },
	{ 0xdad24e0a, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0xedd7eb58, "rt_read_lock" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x643dfe34, "ipv4_mtu" },
	{ 0x8ea4dc47, "rhltable_init_noprof" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x8d1224dc, "rhashtable_init_noprof" },
	{ 0x2f03fc4b, "security_secmark_refcount_inc" },
	{ 0x1632b49e, "__skb_checksum" },
	{ 0x5ce3b588, "nfnl_lock" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x61fb6b9d, "inet_proto_csum_replace4" },
	{ 0xdf54a8f7, "netlink_unregister_notifier" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x9ebb2bfc, "rt_read_unlock" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0x297093d2, "dst_release" },
	{ 0x9919fd8, "rt_write_lock" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0x250337ee, "boot_cpu_data" },
	{ 0x24baed7, "rhashtable_walk_next" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xfa599bb2, "netlink_register_notifier" },
	{ 0x49d7ffb9, "from_kuid_munged" },
	{ 0xf9c1f9ab, "security_secctx_to_secid" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x349cba85, "strchr" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x2ba8bbc8, "rhashtable_walk_exit" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3711fb89, "nfnetlink_has_listeners" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x639da6d, "__do_once_done" },
	{ 0x3c74d0ff, "__netlink_dump_start" },
	{ 0xdb7800ad, "flow_rule_alloc" },
	{ 0x4e5daa9a, "try_module_get" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x5afc722e, "__audit_log_nfcfg" },
	{ 0x5adf76d8, "skb_copy_bits" },
	{ 0xa65f21bc, "__nlmsg_put" },
	{ 0x3ec4ea5, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xedbaee5e, "nla_strcmp" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xbe126afa, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x73dd54eb, "irq_fpu_usable" },
	{ 0x7a53a06d, "flow_indr_dev_exists" },
	{ 0x2fba5c7c, "nla_put_64bit" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "nfnetlink,libcrc32c");


MODULE_INFO(srcversion, "0CA65D4516723CDFDA684D0");

MODULE_INFO(suserelease, "SLFO-1.2");
