#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nfc_fw_download_done, "", "");
KSYMTAB_FUNC(nfc_dep_link_is_up, "", "");
KSYMTAB_FUNC(nfc_find_se, "", "");
KSYMTAB_FUNC(nfc_set_remote_general_bytes, "", "");
KSYMTAB_FUNC(nfc_get_local_general_bytes, "", "");
KSYMTAB_FUNC(nfc_tm_data_received, "", "");
KSYMTAB_FUNC(nfc_tm_activated, "", "");
KSYMTAB_FUNC(nfc_tm_deactivated, "", "");
KSYMTAB_FUNC(nfc_alloc_recv_skb, "", "");
KSYMTAB_FUNC(nfc_targets_found, "", "");
KSYMTAB_FUNC(nfc_target_lost, "", "");
KSYMTAB_FUNC(nfc_driver_failure, "", "");
KSYMTAB_FUNC(nfc_add_se, "", "");
KSYMTAB_FUNC(nfc_remove_se, "", "");
KSYMTAB_FUNC(nfc_se_transaction, "", "");
KSYMTAB_FUNC(nfc_se_connectivity, "", "");
KSYMTAB_DATA(nfc_class, "", "");
KSYMTAB_FUNC(nfc_allocate_device, "", "");
KSYMTAB_FUNC(nfc_register_device, "", "");
KSYMTAB_FUNC(nfc_unregister_device, "", "");
KSYMTAB_FUNC(__nfc_alloc_vendor_cmd_reply_skb, "", "");
KSYMTAB_FUNC(nfc_vendor_cmd_reply, "", "");
KSYMTAB_FUNC(nfc_proto_register, "", "");
KSYMTAB_FUNC(nfc_proto_unregister, "", "");
KSYMTAB_FUNC(nfc_send_to_raw_sock, "", "");

SYMBOL_CRC(nfc_fw_download_done, 0x896c1dc8, "");
SYMBOL_CRC(nfc_dep_link_is_up, 0x35689ce5, "");
SYMBOL_CRC(nfc_find_se, 0x89edcc31, "");
SYMBOL_CRC(nfc_set_remote_general_bytes, 0x04b4bdcf, "");
SYMBOL_CRC(nfc_get_local_general_bytes, 0xfe1ead4b, "");
SYMBOL_CRC(nfc_tm_data_received, 0x92786d66, "");
SYMBOL_CRC(nfc_tm_activated, 0x14635cbe, "");
SYMBOL_CRC(nfc_tm_deactivated, 0xa9ae4ae3, "");
SYMBOL_CRC(nfc_alloc_recv_skb, 0x2e8b5577, "");
SYMBOL_CRC(nfc_targets_found, 0x47c96707, "");
SYMBOL_CRC(nfc_target_lost, 0xd60e4c0b, "");
SYMBOL_CRC(nfc_driver_failure, 0x2653f842, "");
SYMBOL_CRC(nfc_add_se, 0x74b74b1a, "");
SYMBOL_CRC(nfc_remove_se, 0xca8d6340, "");
SYMBOL_CRC(nfc_se_transaction, 0xc42dd63d, "");
SYMBOL_CRC(nfc_se_connectivity, 0xdc186bd8, "");
SYMBOL_CRC(nfc_class, 0xacd9c344, "");
SYMBOL_CRC(nfc_allocate_device, 0x34539f8b, "");
SYMBOL_CRC(nfc_register_device, 0x452d9014, "");
SYMBOL_CRC(nfc_unregister_device, 0x9970d2fd, "");
SYMBOL_CRC(__nfc_alloc_vendor_cmd_reply_skb, 0x55c732c5, "");
SYMBOL_CRC(nfc_vendor_cmd_reply, 0x1fe1805d, "");
SYMBOL_CRC(nfc_proto_register, 0x9c90728c, "");
SYMBOL_CRC(nfc_proto_unregister, 0xd2118830, "");
SYMBOL_CRC(nfc_send_to_raw_sock, 0x6d40b0cf, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xef731cce, "sock_register" },
	{ 0x4694aa33, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9d3d08f0, "put_device" },
	{ 0xbe3dbdfa, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf250e2d4, "rt_write_unlock" },
	{ 0xb00bc408, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0xe648e7c0, "skb_queue_tail" },
	{ 0x7276b73a, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x6c11735, "__sock_recv_timestamp" },
	{ 0x11666b14, "sock_no_shutdown" },
	{ 0xec083b74, "devm_kfree" },
	{ 0x1eb1abab, "init_net" },
	{ 0x1c785e13, "skb_pull" },
	{ 0x9907f28, "device_add" },
	{ 0x6d64c27f, "sk_skb_reason_drop" },
	{ 0xdfee9d27, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x7e5e3524, "sk_free" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xf53c8f7d, "sock_no_accept" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xed153b93, "skb_push" },
	{ 0x963666a1, "sock_no_listen" },
	{ 0x5a921311, "strncmp" },
	{ 0x8d304f20, "nla_put" },
	{ 0x10119bb, "ida_free" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xafc20114, "class_unregister" },
	{ 0xf40bda56, "ns_capable" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x7bda0276, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xeebfedf5, "sock_no_bind" },
	{ 0x4e203a85, "skb_copy_datagram_iter" },
	{ 0x5d444bfb, "rfkill_alloc" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xabb35ea, "class_dev_iter_init" },
	{ 0x6ed8ccba, "sk_alloc" },
	{ 0x1080ce71, "device_del" },
	{ 0x88ae2804, "__sock_recv_wifi_status" },
	{ 0x77cfe8ee, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xa86d7fc6, "sock_no_mmap" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xd62ba63d, "skb_trim" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xbf2cd263, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xedd7eb58, "rt_read_lock" },
	{ 0xd5dcc637, "__pm_runtime_resume" },
	{ 0xff282521, "rfkill_register" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xdf54a8f7, "netlink_unregister_notifier" },
	{ 0x6050e65f, "skb_recv_datagram" },
	{ 0xf985c453, "sock_alloc_send_pskb" },
	{ 0x9ebb2bfc, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xe7832756, "sock_no_getname" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1060b4b7, "skb_copy" },
	{ 0x44ea4aa5, "skb_clone" },
	{ 0x9919fd8, "rt_write_lock" },
	{ 0x44531a37, "_copy_from_iter" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0xd6a78628, "remove_wait_queue" },
	{ 0x87449b73, "sock_no_ioctl" },
	{ 0xfa599bb2, "netlink_register_notifier" },
	{ 0xaa328c94, "genl_unregister_family" },
	{ 0x754d539c, "strlen" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xc86a4b4, "iov_iter_revert" },
	{ 0x473f6ee4, "genl_register_family" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0xb3d2d914, "class_register" },
	{ 0x66ebde19, "__pm_runtime_idle" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x1c2ec37f, "sock_init_data" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xe9ee676b, "release_sock" },
	{ 0xdefc10ec, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8e4b8288, "class_find_device" },
	{ 0xfa4517d4, "security_sock_graft" },
	{ 0x32869bb0, "skb_free_datagram" },
	{ 0x653b116b, "sock_queue_rcv_skb_reason" },
	{ 0xa2429ab9, "ida_alloc_range" },
	{ 0x83976c91, "class_dev_iter_next" },
	{ 0x4e5daa9a, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0x3ec4ea5, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x50707f9c, "dev_set_name" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x512c59c3, "skb_dequeue" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0xa38e6704, "add_wait_queue_exclusive" },
	{ 0x4628038c, "device_initialize" },
	{ 0xfe4ea5d6, "sock_no_sendmsg" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xab84dc28, "genlmsg_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0xa55b06bd, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xaa337b3d, "sock_no_connect" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x86b0fff0, "__pskb_copy_fclone" },
	{ 0xa0166433, "netlink_broadcast_filtered" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3b570e1c, "sk_error_report" },
	{ 0xbddffed2, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3a42e09a, "class_dev_iter_exit" },
	{ 0x92997ed8, "_printk" },
	{ 0xea0c4074, "proto_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "rfkill");


MODULE_INFO(srcversion, "B876B95736DDF9441B64A16");

MODULE_INFO(suserelease, "SLFO-1.2");
