#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(__ovs_vport_ops_register, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_alloc, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_free, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_link, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_tunnel_destroy, "_gpl", "");

SYMBOL_CRC(__ovs_vport_ops_register, 0xba7347fa, "_gpl");
SYMBOL_CRC(ovs_vport_ops_unregister, 0x6e236216, "_gpl");
SYMBOL_CRC(ovs_vport_alloc, 0xdff69b47, "_gpl");
SYMBOL_CRC(ovs_vport_free, 0xd5d82193, "_gpl");
SYMBOL_CRC(ovs_netdev_link, 0x51929993, "_gpl");
SYMBOL_CRC(ovs_netdev_tunnel_destroy, 0xfc4ea8ef, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa916b694, "strnlen" },
	{ 0xbe3dbdfa, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xc48c87b0, "skb_mpls_pop" },
	{ 0x5922b99, "skb_vlan_pop" },
	{ 0xfb1cc98, "dst_init" },
	{ 0x7276b73a, "module_put" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x4ea5d10, "ksize" },
	{ 0xe37c1f69, "__skb_get_hash_net" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x35ee1753, "rtnl_link_unregister" },
	{ 0x7ec56c70, "perf_trace_run_bpf_submit" },
	{ 0x1eb1abab, "init_net" },
	{ 0xb7c0f443, "sort" },
	{ 0x56dd0d4e, "ipv6_stub" },
	{ 0xf4cbff37, "skb_mpls_update_lse" },
	{ 0x1c785e13, "skb_pull" },
	{ 0x9e07fe9c, "__skb_get_hash_symmetric_net" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6d64c27f, "sk_skb_reason_drop" },
	{ 0xdfee9d27, "netlink_unicast" },
	{ 0x7ff53d0f, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xae84b7c4, "dev_get_by_index_rcu" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xed153b93, "skb_push" },
	{ 0xdf9ceed4, "kmem_cache_free" },
	{ 0x3465f4a, "netdev_upper_dev_unlink" },
	{ 0x8d304f20, "nla_put" },
	{ 0x658574f4, "trace_event_reg" },
	{ 0x2fe8c193, "skb_ensure_writable" },
	{ 0x209cb8eb, "free_netdev" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5f2d64d6, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x5515ad8e, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfd80cd6b, "ethtool_op_get_link" },
	{ 0x9a4dbcc6, "__nf_conntrack_confirm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xfb578fc5, "memset" },
	{ 0x29d58f87, "nf_nat_helper_put" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xfa10416, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2b64348b, "__pskb_pull_tail" },
	{ 0x7a334b53, "nf_ct_delete" },
	{ 0xb2d2c29a, "nf_conncount_init" },
	{ 0x29237632, "skb_vlan_push" },
	{ 0x5dfcb6d3, "netif_rx" },
	{ 0x4e69b266, "__netdev_alloc_skb" },
	{ 0x8337a399, "__kmem_cache_create_args" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x64da6ce7, "netdev_master_upper_dev_link" },
	{ 0x7a8be4a8, "skb_zerocopy_headlen" },
	{ 0x78cc75d2, "drop_reasons_register_subsys" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9fb64856, "down_read" },
	{ 0x63e2c5fc, "inet_proto_csum_replace16" },
	{ 0xd62ba63d, "skb_trim" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfb617719, "skb_scrub_packet" },
	{ 0xa5d4cc24, "nf_ct_deliver_cached_events" },
	{ 0xdad24e0a, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x1e6db9dd, "skb_tx_error" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x2c3fe335, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x27a7a36e, "trace_event_buffer_reserve" },
	{ 0x1632b49e, "__skb_checksum" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x61fb6b9d, "inet_proto_csum_replace4" },
	{ 0x6bc6dc28, "nf_conncount_destroy" },
	{ 0x74a62767, "skb_zerocopy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x21fdb80f, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x2cd8bc0, "dev_get_by_name" },
	{ 0x44ea4aa5, "skb_clone" },
	{ 0x9001d2a5, "metadata_dst_alloc" },
	{ 0x297093d2, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xdbe37f84, "peernet2id_alloc" },
	{ 0x264b688c, "nf_ct_get_tuplepr" },
	{ 0x2e039fab, "netdev_rx_handler_register" },
	{ 0xb389fb18, "ip_do_fragment" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xaa328c94, "genl_unregister_family" },
	{ 0x931b86a6, "dev_disable_lro" },
	{ 0x36395b68, "kmem_cache_alloc_node_noprof" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0x16a57400, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x473f6ee4, "genl_register_family" },
	{ 0xe2c584a8, "nf_ct_tmpl_free" },
	{ 0xfb7b143, "netlink_has_listeners" },
	{ 0xcc392eea, "kmalloc_size_roundup" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xa047d01a, "__skb_gso_segment" },
	{ 0xb570b5d7, "up_read" },
	{ 0x3c090953, "skb_mpls_push" },
	{ 0xabdbfb00, "register_pernet_device" },
	{ 0x9ac07911, "nf_conntrack_in" },
	{ 0x77a686fc, "net_rwsem" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x8019049f, "kmem_cache_destroy" },
	{ 0x6ea64ec5, "__skb_vlan_pop" },
	{ 0xfda554b5, "nf_ct_tmpl_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc310ccf6, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xe9df1bd7, "nf_ct_ext_add" },
	{ 0xc5e0fcb5, "nsh_pop" },
	{ 0xdadad22a, "nf_conntrack_find_get" },
	{ 0xb0e41299, "nf_ct_set_timeout" },
	{ 0xd358e987, "dev_get_stats" },
	{ 0x9a5ea756, "__nla_put" },
	{ 0x4e5daa9a, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x770c1299, "dev_fill_metadata_dst" },
	{ 0x1d337321, "bpf_trace_run4" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x5adf76d8, "skb_copy_bits" },
	{ 0xfcdf6d5, "nf_ct_handle_fragments" },
	{ 0xcce54922, "eth_mac_addr" },
	{ 0x3ec4ea5, "skb_put" },
	{ 0x63528935, "genl_notify" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x6c9bba74, "nsh_push" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x74885bdc, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x37ef5af, "nf_ct_nat" },
	{ 0xbe126afa, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2e1b3f0c, "skb_eth_pop" },
	{ 0xa11a97c1, "trace_raw_output_prep" },
	{ 0x59c869c5, "skb_gso_validate_mac_len" },
	{ 0x2fba5c7c, "nla_put_64bit" },
	{ 0x99b2a9f0, "__nf_ct_try_assign_helper" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0x5b46fb21, "nf_ct_helper" },
	{ 0xb07d43ee, "__trace_trigger_soft_disabled" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xc3f7a32f, "__skb_ext_del" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xdf4574bf, "trace_event_printf" },
	{ 0x12b84f5f, "rtnl_delete_link" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x1048e087, "rtnl_link_register" },
	{ 0x75218066, "nf_connlabels_put" },
	{ 0xab84dc28, "genlmsg_put" },
	{ 0x66da095c, "___pskb_trim" },
	{ 0x549dee85, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x47e9758f, "psample_sample_packet" },
	{ 0x37a0cba, "kfree" },
	{ 0x4086f852, "dev_set_promiscuity" },
	{ 0xe2602221, "nf_ct_destroy_timeout" },
	{ 0x2066058, "nf_ct_add_helper" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x857ddbbe, "nf_conntrack_helper_put" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xceebc77c, "netlink_set_err" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xa8933c8d, "nf_ct_skb_network_trim" },
	{ 0x8a87270e, "unregister_netdevice_queue" },
	{ 0xa2aed561, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9493fc86, "node_states" },
	{ 0x3f11db9b, "ether_setup" },
	{ 0xa0166433, "netlink_broadcast_filtered" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd1d47d16, "pskb_expand_head" },
	{ 0xa5834d92, "skb_csum_hwoffload_help" },
	{ 0x77188b5d, "trace_event_buffer_commit" },
	{ 0x712fdcf3, "dev_addr_mod" },
	{ 0xa9aa8983, "nf_connlabels_replace" },
	{ 0x502db1b1, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc025779, "alloc_netdev_mqs" },
	{ 0x86b355fc, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x460207f0, "nf_connlabels_get" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0x8d91cbf3, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xc231d77c, "skb_eth_push" },
	{ 0x45ee49f, "nf_conncount_count" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nf_conncount,libcrc32c,nsh,nf_nat,psample");


MODULE_INFO(srcversion, "95416471C1A3D5B563C2881");

MODULE_INFO(suserelease, "SLFO-1.2");
