#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(qrtr_endpoint_post, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_register, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_unregister, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_init, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_remove, "_gpl", "");

SYMBOL_CRC(qrtr_endpoint_post, 0xb830bf22, "_gpl");
SYMBOL_CRC(qrtr_endpoint_register, 0xfae24464, "_gpl");
SYMBOL_CRC(qrtr_endpoint_unregister, 0x3dcf90e9, "_gpl");
SYMBOL_CRC(qrtr_ns_init, 0xa47e91ba, "_gpl");
SYMBOL_CRC(qrtr_ns_remove, 0x8d25501f, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x86b0fff0, "__pskb_copy_fclone" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3b570e1c, "sk_error_report" },
	{ 0xbddffed2, "skb_queue_purge_reason" },
	{ 0xfa1c80a7, "radix_tree_iter_delete" },
	{ 0x77188b5d, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xea0c4074, "proto_unregister" },
	{ 0xef731cce, "sock_register" },
	{ 0x4694aa33, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xbe3dbdfa, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0xf250e2d4, "rt_write_unlock" },
	{ 0xb00bc408, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7276b73a, "module_put" },
	{ 0x75a54147, "__xa_alloc" },
	{ 0x11666b14, "sock_no_shutdown" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x7ec56c70, "perf_trace_run_bpf_submit" },
	{ 0x1eb1abab, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xe8aa03e5, "radix_tree_next_chunk" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6d64c27f, "sk_skb_reason_drop" },
	{ 0xb9b31de8, "xa_load" },
	{ 0xa1907bde, "__SCK__tp_func_sk_data_ready" },
	{ 0x215a1b60, "kernel_getsockname" },
	{ 0x9b8f0534, "do_wait_intr_irq" },
	{ 0x7e5e3524, "sk_free" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xf53c8f7d, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xed153b93, "skb_push" },
	{ 0x963666a1, "sock_no_listen" },
	{ 0x658574f4, "trace_event_reg" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x7bda0276, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4e203a85, "skb_copy_datagram_iter" },
	{ 0x6ed8ccba, "sk_alloc" },
	{ 0x77cfe8ee, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa86d7fc6, "sock_no_mmap" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0x4e69b266, "__netdev_alloc_skb" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xb98fa7ed, "__xa_insert" },
	{ 0x918431c7, "xa_erase" },
	{ 0xcb67b626, "bpf_trace_run3" },
	{ 0x8e752705, "skb_set_owner_w" },
	{ 0x27a7a36e, "trace_event_buffer_reserve" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0xb078e2d1, "sock_create_kern" },
	{ 0xfea41449, "xa_find" },
	{ 0x6050e65f, "skb_recv_datagram" },
	{ 0xf985c453, "sock_alloc_send_pskb" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0xe534dea0, "xa_store" },
	{ 0x9919fd8, "rt_write_lock" },
	{ 0x44531a37, "_copy_from_iter" },
	{ 0xad634552, "sock_release" },
	{ 0xde551909, "sock_gettstamp" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa256d729, "xa_find_after" },
	{ 0x754d539c, "strlen" },
	{ 0xc86a4b4, "iov_iter_revert" },
	{ 0x588ec5bb, "kernel_sendmsg" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x1c2ec37f, "sock_init_data" },
	{ 0x87809aeb, "put_user_ifreq" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xe9ee676b, "release_sock" },
	{ 0x32869bb0, "skb_free_datagram" },
	{ 0x653b116b, "sock_queue_rcv_skb_reason" },
	{ 0x6db45ff8, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x1d337321, "bpf_trace_run4" },
	{ 0x5adf76d8, "skb_copy_bits" },
	{ 0x59860803, "radix_tree_insert" },
	{ 0x3ec4ea5, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x74885bdc, "consume_skb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa11a97c1, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x80816f26, "get_user_ifreq" },
	{ 0xb07d43ee, "__trace_trigger_soft_disabled" },
	{ 0xee8cabfe, "radix_tree_lookup" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xdf4574bf, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x8e367a76, "kernel_bind" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x549dee85, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x4c906ef6, "__tracepoint_sk_data_ready" },
	{ 0xf6491531, "__wake_up" },
	{ 0x883c3a0f, "__module_get" },
	{ 0x8311e38a, "kernel_recvmsg" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "473C5AB47E04ECEA0106681");

MODULE_INFO(suserelease, "SLFO-1.2");
