#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rds_cong_map_updated, "_gpl", "");
KSYMTAB_FUNC(rds_conn_create, "_gpl", "");
KSYMTAB_FUNC(rds_conn_create_outgoing, "_gpl", "");
KSYMTAB_FUNC(rds_conn_destroy, "_gpl", "");
KSYMTAB_FUNC(rds_for_each_conn_info, "_gpl", "");
KSYMTAB_FUNC(rds_conn_path_drop, "_gpl", "");
KSYMTAB_FUNC(rds_conn_drop, "_gpl", "");
KSYMTAB_FUNC(rds_conn_path_connect_if_down, "_gpl", "");
KSYMTAB_FUNC(rds_conn_connect_if_down, "_gpl", "");
KSYMTAB_FUNC(rds_info_register_func, "_gpl", "");
KSYMTAB_FUNC(rds_info_deregister_func, "_gpl", "");
KSYMTAB_FUNC(rds_info_copy, "_gpl", "");
KSYMTAB_FUNC(rds_message_addref, "_gpl", "");
KSYMTAB_FUNC(rds_message_put, "_gpl", "");
KSYMTAB_FUNC(rds_message_populate_header, "_gpl", "");
KSYMTAB_FUNC(rds_message_add_extension, "_gpl", "");
KSYMTAB_FUNC(rds_message_add_rdma_dest_extension, "_gpl", "");
KSYMTAB_FUNC(rds_message_unmapped, "_gpl", "");
KSYMTAB_FUNC(rds_inc_init, "_gpl", "");
KSYMTAB_FUNC(rds_inc_path_init, "_gpl", "");
KSYMTAB_FUNC(rds_inc_put, "_gpl", "");
KSYMTAB_FUNC(rds_recv_incoming, "_gpl", "");
KSYMTAB_FUNC(rds_send_path_reset, "_gpl", "");
KSYMTAB_FUNC(rds_send_xmit, "_gpl", "");
KSYMTAB_FUNC(rds_rdma_send_complete, "_gpl", "");
KSYMTAB_FUNC(rds_atomic_send_complete, "_gpl", "");
KSYMTAB_FUNC(rds_send_path_drop_acked, "_gpl", "");
KSYMTAB_FUNC(rds_send_drop_acked, "_gpl", "");
KSYMTAB_FUNC(rds_send_ping, "_gpl", "");
KSYMTAB_DATA(rds_stats, "_gpl", "");
KSYMTAB_FUNC(rds_stats_info_copy, "_gpl", "");
KSYMTAB_DATA(rds_wq, "_gpl", "");
KSYMTAB_FUNC(rds_connect_path_complete, "_gpl", "");
KSYMTAB_FUNC(rds_connect_complete, "_gpl", "");
KSYMTAB_FUNC(rds_addr_cmp, "_gpl", "");
KSYMTAB_FUNC(rds_trans_register, "_gpl", "");
KSYMTAB_FUNC(rds_trans_unregister, "_gpl", "");
KSYMTAB_FUNC(rds_page_remainder_alloc, "_gpl", "");

SYMBOL_CRC(rds_cong_map_updated, 0x66c325de, "_gpl");
SYMBOL_CRC(rds_conn_create, 0xd2b268e5, "_gpl");
SYMBOL_CRC(rds_conn_create_outgoing, 0x8140e292, "_gpl");
SYMBOL_CRC(rds_conn_destroy, 0xf8fcca55, "_gpl");
SYMBOL_CRC(rds_for_each_conn_info, 0xf768baeb, "_gpl");
SYMBOL_CRC(rds_conn_path_drop, 0xc41c8267, "_gpl");
SYMBOL_CRC(rds_conn_drop, 0x7e31c8a2, "_gpl");
SYMBOL_CRC(rds_conn_path_connect_if_down, 0x60d34a01, "_gpl");
SYMBOL_CRC(rds_conn_connect_if_down, 0x5ad239e3, "_gpl");
SYMBOL_CRC(rds_info_register_func, 0x48aa2d05, "_gpl");
SYMBOL_CRC(rds_info_deregister_func, 0x66a68d0e, "_gpl");
SYMBOL_CRC(rds_info_copy, 0xc2dab779, "_gpl");
SYMBOL_CRC(rds_message_addref, 0xb5043216, "_gpl");
SYMBOL_CRC(rds_message_put, 0x6b8ed3ca, "_gpl");
SYMBOL_CRC(rds_message_populate_header, 0x585f567b, "_gpl");
SYMBOL_CRC(rds_message_add_extension, 0x2b0d543c, "_gpl");
SYMBOL_CRC(rds_message_add_rdma_dest_extension, 0x582fe5cf, "_gpl");
SYMBOL_CRC(rds_message_unmapped, 0x6f06de8b, "_gpl");
SYMBOL_CRC(rds_inc_init, 0x4ede7886, "_gpl");
SYMBOL_CRC(rds_inc_path_init, 0xd507a3cc, "_gpl");
SYMBOL_CRC(rds_inc_put, 0xca0858ae, "_gpl");
SYMBOL_CRC(rds_recv_incoming, 0x932e4cb3, "_gpl");
SYMBOL_CRC(rds_send_path_reset, 0xcb0b03cc, "_gpl");
SYMBOL_CRC(rds_send_xmit, 0xc815cea1, "_gpl");
SYMBOL_CRC(rds_rdma_send_complete, 0x8fb9bd7c, "_gpl");
SYMBOL_CRC(rds_atomic_send_complete, 0xc507c701, "_gpl");
SYMBOL_CRC(rds_send_path_drop_acked, 0x549916f9, "_gpl");
SYMBOL_CRC(rds_send_drop_acked, 0xc480000b, "_gpl");
SYMBOL_CRC(rds_send_ping, 0x12d05a2c, "_gpl");
SYMBOL_CRC(rds_stats, 0x36087aa4, "_gpl");
SYMBOL_CRC(rds_stats_info_copy, 0x85e4e520, "_gpl");
SYMBOL_CRC(rds_wq, 0x00a467af, "_gpl");
SYMBOL_CRC(rds_connect_path_complete, 0x32c43933, "_gpl");
SYMBOL_CRC(rds_connect_complete, 0x60fa4167, "_gpl");
SYMBOL_CRC(rds_addr_cmp, 0x45a4781e, "_gpl");
SYMBOL_CRC(rds_trans_register, 0x59db82c4, "_gpl");
SYMBOL_CRC(rds_trans_unregister, 0x7ee00690, "_gpl");
SYMBOL_CRC(rds_page_remainder_alloc, 0x9dcbbbf0, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x44f0ad9, "get_random_u16" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3416d62c, "prepare_to_wait_event" },
	{ 0xf6491531, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdb73dc60, "put_cmsg" },
	{ 0x62faafff, "register_net_sysctl_sz" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x6b853d06, "ns_to_kernel_old_timeval" },
	{ 0xea0c4074, "proto_unregister" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xef731cce, "sock_register" },
	{ 0xad22dd7, "mm_account_pinned_pages" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0x6cb3aac, "__free_pages" },
	{ 0xf250e2d4, "rt_write_unlock" },
	{ 0xb00bc408, "proto_register" },
	{ 0x7276b73a, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x11666b14, "sock_no_shutdown" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x49608959, "migrate_disable" },
	{ 0xba0efd1f, "down_write" },
	{ 0x1eb1abab, "init_net" },
	{ 0x209b8854, "up_write" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2ed42a27, "proc_doulongvec_ms_jiffies_minmax" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7e5e3524, "sk_free" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xf53c8f7d, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0xdf9ceed4, "kmem_cache_free" },
	{ 0x715a5ed0, "vprintk" },
	{ 0x963666a1, "sock_no_listen" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x1f7df0bc, "sock_recv_errqueue" },
	{ 0xa27cad5b, "mm_unaccount_pinned_pages" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x5515ad8e, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x7bda0276, "lock_sock_nested" },
	{ 0x3e684d85, "copy_page_to_iter" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x481dda0e, "__put_devmap_managed_folio_refs" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x6ed8ccba, "sk_alloc" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x77cfe8ee, "sock_no_socketpair" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0xcee336e0, "rht_bucket_nested_insert" },
	{ 0xd542ba37, "unpin_user_page" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfa10416, "kmem_cache_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xa86d7fc6, "sock_no_mmap" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x77fab3d9, "rhashtable_destroy" },
	{ 0x8337a399, "__kmem_cache_create_args" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x9fb64856, "down_read" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc7377f2c, "copy_page_from_iter" },
	{ 0xa0cf4391, "rhashtable_insert_slow" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xedd7eb58, "rt_read_lock" },
	{ 0x6c9bae71, "sock_i_ino" },
	{ 0x167e7f9d, "__get_user_1" },
	{ 0x8d1224dc, "rhashtable_init_noprof" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x64a5c687, "__folio_put" },
	{ 0x9ebb2bfc, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x9919fd8, "rt_write_lock" },
	{ 0xbd6ee8cc, "alloc_pages_noprof" },
	{ 0x70ee1bf3, "proc_dointvec" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x64a4da03, "unregister_net_sysctl_table" },
	{ 0x754d539c, "strlen" },
	{ 0xf2203c5f, "param_ops_int" },
	{ 0xc86a4b4, "iov_iter_revert" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xb570b5d7, "up_read" },
	{ 0xcc5d22d9, "can_do_mlock" },
	{ 0xabdbfb00, "register_pernet_device" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x4f851c29, "iov_iter_npages" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x1c2ec37f, "sock_init_data" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x7ac1254b, "local_clock" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x8019049f, "kmem_cache_destroy" },
	{ 0xe9ee676b, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x828e235e, "pin_user_pages_fast" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x639da6d, "__do_once_done" },
	{ 0x4e5daa9a, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x3393b549, "unpin_user_pages_dirty_lock" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0xcff2ffff, "unpin_user_pages" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x15344a93, "iov_iter_get_pages2" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "30D6E06289DF622C355A944");

MODULE_INFO(suserelease, "SLFO-1.2");
