#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(rxrpc_debug_id, "", "");
KSYMTAB_FUNC(rxrpc_kernel_lookup_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_put_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_begin_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_shutdown_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_put_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_check_life, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_epoch, "", "");
KSYMTAB_FUNC(rxrpc_kernel_new_call_notification, "", "");
KSYMTAB_FUNC(rxrpc_kernel_set_max_life, "", "");
KSYMTAB_FUNC(rxrpc_sock_set_min_security_level, "", "");
KSYMTAB_FUNC(rxrpc_kernel_charge_accept, "", "");
KSYMTAB_DATA(key_type_rxrpc, "", "");
KSYMTAB_FUNC(rxrpc_get_server_data_key, "", "");
KSYMTAB_FUNC(rxrpc_get_null_key, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_call_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_srtt, "", "");
KSYMTAB_FUNC(rxrpc_kernel_remote_srx, "", "");
KSYMTAB_FUNC(rxrpc_kernel_remote_addr, "", "");
KSYMTAB_FUNC(rxrpc_kernel_recv_data, "", "");
KSYMTAB_FUNC(rxrpc_kernel_send_data, "", "");
KSYMTAB_FUNC(rxrpc_kernel_abort_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_set_tx_length, "", "");
KSYMTAB_FUNC(rxrpc_sock_set_security_keyring, "", "");

SYMBOL_CRC(rxrpc_debug_id, 0x31bf3ca3, "");
SYMBOL_CRC(rxrpc_kernel_lookup_peer, 0x3dd0ea63, "");
SYMBOL_CRC(rxrpc_kernel_get_peer, 0x03ae8386, "");
SYMBOL_CRC(rxrpc_kernel_put_peer, 0x840db5ec, "");
SYMBOL_CRC(rxrpc_kernel_begin_call, 0xfb10b6e5, "");
SYMBOL_CRC(rxrpc_kernel_shutdown_call, 0xe8288c6c, "");
SYMBOL_CRC(rxrpc_kernel_put_call, 0x390c650c, "");
SYMBOL_CRC(rxrpc_kernel_check_life, 0x2b7aaede, "");
SYMBOL_CRC(rxrpc_kernel_get_epoch, 0xfd6a147f, "");
SYMBOL_CRC(rxrpc_kernel_new_call_notification, 0x1958bc74, "");
SYMBOL_CRC(rxrpc_kernel_set_max_life, 0xb27489b1, "");
SYMBOL_CRC(rxrpc_sock_set_min_security_level, 0x0ce1df1b, "");
SYMBOL_CRC(rxrpc_kernel_charge_accept, 0xa2dd92d1, "");
SYMBOL_CRC(key_type_rxrpc, 0xc182cd02, "");
SYMBOL_CRC(rxrpc_get_server_data_key, 0xa04838a0, "");
SYMBOL_CRC(rxrpc_get_null_key, 0xb35c743e, "");
SYMBOL_CRC(rxrpc_kernel_get_call_peer, 0x9d6a9632, "");
SYMBOL_CRC(rxrpc_kernel_get_srtt, 0x901105ee, "");
SYMBOL_CRC(rxrpc_kernel_remote_srx, 0x5a40d907, "");
SYMBOL_CRC(rxrpc_kernel_remote_addr, 0x81afa9c8, "");
SYMBOL_CRC(rxrpc_kernel_recv_data, 0x0fc4689b, "");
SYMBOL_CRC(rxrpc_kernel_send_data, 0x6f7eed7a, "");
SYMBOL_CRC(rxrpc_kernel_abort_call, 0x6c2d1f3d, "");
SYMBOL_CRC(rxrpc_kernel_set_tx_length, 0x0088e9fd, "");
SYMBOL_CRC(rxrpc_sock_set_security_keyring, 0xba4fa851, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8d24a0e0, "kernel_sock_shutdown" },
	{ 0xf53c8f7d, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xdf9ceed4, "kmem_cache_free" },
	{ 0x198ca98c, "proc_doulongvec_minmax" },
	{ 0x658574f4, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x3029544b, "iov_iter_kvec" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x5515ad8e, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x7bda0276, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xad6d7e4b, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x3edbc68d, "mutex_lock_interruptible" },
	{ 0x4e203a85, "skb_copy_datagram_iter" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xc98007b0, "idr_alloc_cyclic" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x13a94795, "udp_sendmsg" },
	{ 0x11089ac7, "_ctype" },
	{ 0x6ed8ccba, "sk_alloc" },
	{ 0x57a45346, "bpf_trace_run1" },
	{ 0x4d470eb0, "idr_destroy" },
	{ 0x88ae2804, "__sock_recv_wifi_status" },
	{ 0x77cfe8ee, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x8d271594, "key_revoke" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfa10416, "kmem_cache_alloc_noprof" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xa86d7fc6, "sock_no_mmap" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0x88c88474, "_atomic_dec_and_lock" },
	{ 0x60be4efb, "key_validate" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x4ae6e581, "crypto_alloc_sync_skcipher" },
	{ 0x8337a399, "__kmem_cache_create_args" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xa0cf8676, "setup_udp_tunnel_sock" },
	{ 0x174d4265, "proc_remove" },
	{ 0x63bc45b3, "udp_sock_create6" },
	{ 0x25531590, "mutex_trylock" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd00c9875, "kthread_create_on_node" },
	{ 0xcb67b626, "bpf_trace_run3" },
	{ 0x94efc6d9, "__page_frag_cache_drain" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xedd7eb58, "rt_read_lock" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x643dfe34, "ipv4_mtu" },
	{ 0x27a7a36e, "trace_event_buffer_reserve" },
	{ 0x75cb84d3, "keyring_search" },
	{ 0x1a0d0609, "ip_sock_set_recverr" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x27d6b0bb, "prepare_to_wait_exclusive" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9f7c9797, "request_key_tag" },
	{ 0x2fd1a34a, "generic_key_instantiate" },
	{ 0x9f7aac60, "seq_write" },
	{ 0x9ebb2bfc, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x7f5b4f8d, "radix_tree_tagged" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xe7832756, "sock_no_getname" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7ad7a5cd, "seq_printf" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0x1060b4b7, "skb_copy" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x44ea4aa5, "skb_clone" },
	{ 0x297093d2, "dst_release" },
	{ 0x9919fd8, "rt_write_lock" },
	{ 0x44531a37, "_copy_from_iter" },
	{ 0xad634552, "sock_release" },
	{ 0x7adc0fbf, "rb_replace_node_rcu" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0xd6a78628, "remove_wait_queue" },
	{ 0x87449b73, "sock_no_ioctl" },
	{ 0x9353e618, "_proc_mkdir" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x64a4da03, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0x38a684cd, "__seq_puts" },
	{ 0x4ce0f44d, "__page_frag_alloc_align" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0xac3d9895, "bpf_trace_run7" },
	{ 0x46287f2b, "ip_icmp_error" },
	{ 0xc86a4b4, "iov_iter_revert" },
	{ 0x50944630, "seq_list_start_head_rcu" },
	{ 0x588ec5bb, "kernel_sendmsg" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf66e3d78, "skb_to_sgvec" },
	{ 0xabdbfb00, "register_pernet_device" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0xb1fd6c19, "skb_condense" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x1c2ec37f, "sock_init_data" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x8019049f, "kmem_cache_destroy" },
	{ 0xe9ee676b, "release_sock" },
	{ 0xdefc10ec, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7244de40, "proc_create_net_single_write" },
	{ 0xea27ed20, "crypto_alloc_skcipher" },
	{ 0x8dc6f00d, "proc_dointvec_minmax" },
	{ 0x8e8f28ce, "crypto_skcipher_encrypt" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xfae671b3, "key_alloc" },
	{ 0x1d337321, "bpf_trace_run4" },
	{ 0x5adf76d8, "skb_copy_bits" },
	{ 0x333051c0, "idr_find" },
	{ 0xe5eb5fd0, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x74885bdc, "consume_skb" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa11a97c1, "trace_raw_output_prep" },
	{ 0x1416467b, "udp_sock_create4" },
	{ 0xa5040375, "bpf_trace_run6" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x512c59c3, "skb_dequeue" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xb07d43ee, "__trace_trigger_soft_disabled" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0xdf4574bf, "trace_event_printf" },
	{ 0x67b78eb3, "seq_hlist_next_rcu" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xa38e6704, "add_wait_queue_exclusive" },
	{ 0xf6f69aba, "set_user_nice" },
	{ 0xcf2a6966, "up" },
	{ 0x57b7df76, "udpv6_sendmsg" },
	{ 0x23f4c233, "unregister_key_type" },
	{ 0x397458b1, "__kmalloc_node_track_caller_noprof" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x549dee85, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x25d0ac31, "key_type_keyring" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xa55b06bd, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xd0d9d74c, "bpf_trace_run2" },
	{ 0x3416d62c, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6491531, "__wake_up" },
	{ 0xf149c080, "crypto_skcipher_setkey" },
	{ 0x2fceb1, "ip_route_output_flow" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xbc19b468, "key_instantiate_and_link" },
	{ 0x479aac1, "seq_list_next_rcu" },
	{ 0xc84a0a7e, "seq_hlist_start_rcu" },
	{ 0x4c930ad7, "register_key_type" },
	{ 0xd60f8c84, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdb73dc60, "put_cmsg" },
	{ 0x1d8a5fdd, "wake_up_process" },
	{ 0x77188b5d, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0x62faafff, "register_net_sysctl_sz" },
	{ 0xe7d10c72, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0xea0c4074, "proto_unregister" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x78d90ffa, "ipv6_icmp_error" },
	{ 0xef731cce, "sock_register" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3d0a9e51, "crypto_skcipher_decrypt" },
	{ 0xc299905c, "make_kuid" },
	{ 0x3c1147f8, "ip6_route_output_flags" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xed0bc201, "idr_get_next" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0xf250e2d4, "rt_write_unlock" },
	{ 0xb00bc408, "proto_register" },
	{ 0x681549bc, "init_wait_var_entry" },
	{ 0xe648e7c0, "skb_queue_tail" },
	{ 0x76db097a, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc2c5802, "work_busy" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xb9a85f0c, "idr_remove" },
	{ 0x6c11735, "__sock_recv_timestamp" },
	{ 0xccf4c95, "key_put" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x7ec56c70, "perf_trace_run_bpf_submit" },
	{ 0x1eb1abab, "init_net" },
	{ 0x1c785e13, "skb_pull" },
	{ 0x2ed42a27, "proc_doulongvec_ms_jiffies_minmax" },
	{ 0xa07a37f0, "memchr" },
	{ 0xa140dd27, "sock_enable_timestamps" },
	{ 0x6bebe2, "ip_sock_set_mtu_discover" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x13900f5f, "ip6_mtu" },
	{ 0x6d64c27f, "sk_skb_reason_drop" },
	{ 0x6626afca, "down" },
	{ 0x7ff53d0f, "bpf_trace_run5" },
	{ 0x7e5e3524, "sk_free" },
	{ 0xfb880d8f, "sock_wake_async" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "849A3FE0DCDC234F4064421");

MODULE_INFO(suserelease, "SLFO-1.2");
