#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sctp_get_sctp_info, "_gpl", "");
KSYMTAB_FUNC(sctp_for_each_endpoint, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_lookup_process, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_traverse_process, "_gpl", "");
KSYMTAB_FUNC(sctp_do_peeloff, "", "");

SYMBOL_CRC(sctp_get_sctp_info, 0x4227120d, "_gpl");
SYMBOL_CRC(sctp_for_each_endpoint, 0xf11b773c, "_gpl");
SYMBOL_CRC(sctp_transport_lookup_process, 0x6ac1ca9d, "_gpl");
SYMBOL_CRC(sctp_transport_traverse_process, 0xf0b1a729, "_gpl");
SYMBOL_CRC(sctp_do_peeloff, 0x155d680b, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb9a85f0c, "idr_remove" },
	{ 0x81fa9f38, "inet_ctl_sock_create" },
	{ 0x5b298f0e, "inet_ioctl" },
	{ 0x92154a2d, "reuseport_add_sock" },
	{ 0x6d817fba, "reuseport_select_sock" },
	{ 0x531c89a1, "proc_dostring" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x40fa6bea, "sk_filter_trim_cap" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x7ec56c70, "perf_trace_run_bpf_submit" },
	{ 0xa8caa2e, "fput" },
	{ 0xc341e9d8, "inet_accept" },
	{ 0x1eb1abab, "init_net" },
	{ 0x7fe1c58f, "crypto_shash_setkey" },
	{ 0x1c785e13, "skb_pull" },
	{ 0xf50ed9e8, "inet_add_offload" },
	{ 0x9f592af3, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x13900f5f, "ip6_mtu" },
	{ 0x6d64c27f, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa1907bde, "__SCK__tp_func_sk_data_ready" },
	{ 0x32cc8897, "inet_add_protocol" },
	{ 0x689031a0, "inet_shutdown" },
	{ 0x7e5e3524, "sk_free" },
	{ 0xfb880d8f, "sock_wake_async" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xae84b7c4, "dev_get_by_index_rcu" },
	{ 0x954f099c, "idr_preload" },
	{ 0xb73a9db1, "inet_del_offload" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xed153b93, "skb_push" },
	{ 0xc229fbc2, "__ip_queue_xmit" },
	{ 0xdf9ceed4, "kmem_cache_free" },
	{ 0xee707aaf, "__sk_mem_reclaim" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x770a5ae9, "fl6_update_dst" },
	{ 0x5a921311, "strncmp" },
	{ 0x198ca98c, "proc_doulongvec_minmax" },
	{ 0x658574f4, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x194470a2, "rhashtable_walk_start_check" },
	{ 0xe590dea3, "sk_busy_loop_end" },
	{ 0xf40bda56, "ns_capable" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x7bda0276, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x9b2e6489, "inet6_ioctl" },
	{ 0x4e203a85, "skb_copy_datagram_iter" },
	{ 0xc05bb6a, "rhashtable_walk_stop" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xc98007b0, "idr_alloc_cyclic" },
	{ 0x6ed8ccba, "sk_alloc" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0x74ce375f, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x498034da, "ip6_dst_lookup_flow" },
	{ 0x60337536, "rhashtable_free_and_destroy" },
	{ 0x77cfe8ee, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0xcee336e0, "rht_bucket_nested_insert" },
	{ 0xa680331f, "udp_tunnel_sock_release" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfa10416, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa86d7fc6, "sock_no_mmap" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0x2b64348b, "__pskb_pull_tail" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x8337a399, "__kmem_cache_create_args" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xa0cf8676, "setup_udp_tunnel_sock" },
	{ 0x63bc45b3, "udp_sock_create6" },
	{ 0xd62ba63d, "skb_trim" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd66fd6b2, "sk_common_release" },
	{ 0xcb67b626, "bpf_trace_run3" },
	{ 0xa0cf4391, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0xedd7eb58, "rt_read_lock" },
	{ 0x80d39cb1, "inet6_getname" },
	{ 0x6c9bae71, "sock_i_ino" },
	{ 0xec71d22e, "inet6_sock_destruct" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xfc22c484, "ip6_xmit" },
	{ 0x83821f34, "security_sctp_assoc_request" },
	{ 0xb09531f2, "inet_del_protocol" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x643dfe34, "ipv4_mtu" },
	{ 0x8ea4dc47, "rhltable_init_noprof" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x8e752705, "skb_set_owner_w" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x27a7a36e, "trace_event_buffer_reserve" },
	{ 0x1632b49e, "__skb_checksum" },
	{ 0x67b4f72d, "reuseport_alloc" },
	{ 0x4008f1d9, "inet6_register_protosw" },
	{ 0xae316c11, "icmpv6_err_convert" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x259e52e8, "inet6_release" },
	{ 0x27d6b0bb, "prepare_to_wait_exclusive" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0x7bfbdc30, "inet_sendmsg" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9199b9f0, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xed2f1428, "ipv6_dup_options" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x9f7aac60, "seq_write" },
	{ 0x9ebb2bfc, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4f0287a4, "udp_tunnel_xmit_skb" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7ad7a5cd, "seq_printf" },
	{ 0x29fa25e4, "proc_create_net_single" },
	{ 0x1060b4b7, "skb_copy" },
	{ 0x44ea4aa5, "skb_clone" },
	{ 0x6fe9aecc, "inet_sk_set_state" },
	{ 0x297093d2, "dst_release" },
	{ 0x9919fd8, "rt_write_lock" },
	{ 0x44531a37, "_copy_from_iter" },
	{ 0xad634552, "sock_release" },
	{ 0x74253d4f, "inet_recv_error" },
	{ 0x70ee1bf3, "proc_dointvec" },
	{ 0xde551909, "sock_gettstamp" },
	{ 0x858c647b, "security_sctp_bind_connect" },
	{ 0x24baed7, "rhashtable_walk_next" },
	{ 0x9353e618, "_proc_mkdir" },
	{ 0x7db2c0f7, "sk_setup_caps" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x99a070f6, "send_sig" },
	{ 0x64a4da03, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x886327a, "inet6_add_protocol" },
	{ 0x49d7ffb9, "from_kuid_munged" },
	{ 0xa2bff98e, "ip_setsockopt" },
	{ 0xcd5835b, "ipv6_flowlabel_exclusive" },
	{ 0x311d4010, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x54d5d1dd, "ipv6_getsockopt" },
	{ 0x754d539c, "strlen" },
	{ 0x30eed669, "reuseport_detach_sock" },
	{ 0x58801200, "ip_getsockopt" },
	{ 0xaad0ae78, "__bitmap_shift_right" },
	{ 0xc86a4b4, "iov_iter_revert" },
	{ 0xd63960b9, "crypto_alloc_shash" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x8035c627, "ipv4_dst_check" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x2ba8bbc8, "rhashtable_walk_exit" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x1c2ec37f, "sock_init_data" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x8019049f, "kmem_cache_destroy" },
	{ 0xe9ee676b, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xdefc10ec, "skb_queue_head" },
	{ 0x8dc6f00d, "proc_dointvec_minmax" },
	{ 0xd49c983f, "inet_recvmsg" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x4dab5cf1, "sock_i_uid" },
	{ 0x87af16f1, "ip6_dst_check" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x298d75d4, "inet_addr_type_table" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x506dff1a, "__genradix_free" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x5adf76d8, "skb_copy_bits" },
	{ 0xdb9a33ce, "inet_unregister_protosw" },
	{ 0x333051c0, "idr_find" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x1aef2db1, "sock_wfree" },
	{ 0x3ec4ea5, "skb_put" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0x689bfa97, "__fl6_sock_lookup" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x75e20d86, "ip6_dst_hoplimit" },
	{ 0x74885bdc, "consume_skb" },
	{ 0x7a6bfd08, "inet6_add_offload" },
	{ 0xf05bd4f3, "crypto_shash_tfm_digest" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6fbc18f1, "inet6_bind" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xa11a97c1, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0xdc2fb5ea, "l3mdev_fib_table_by_index" },
	{ 0x1416467b, "udp_sock_create4" },
	{ 0x512c59c3, "skb_dequeue" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x60beb2e6, "inet6_unregister_protosw" },
	{ 0x5be63c5b, "crc32c_csum_stub" },
	{ 0xb07d43ee, "__trace_trigger_soft_disabled" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0xd1981a58, "skb_segment" },
	{ 0xdf4574bf, "trace_event_printf" },
	{ 0xc1210d8f, "__ip_dev_find" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xd0ba53ac, "udp_tunnel6_xmit_skb" },
	{ 0xb9d9dbfb, "sock_common_getsockopt" },
	{ 0x8ed17bc, "inet_bind" },
	{ 0x3fee0335, "sock_create" },
	{ 0x51e266ea, "net_hotdata" },
	{ 0x397458b1, "__kmalloc_node_track_caller_noprof" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x862d1e43, "prepare_to_wait" },
	{ 0x6f1ae887, "fd_install" },
	{ 0x549dee85, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf5a20ed2, "__genradix_prealloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x190616d7, "inet_register_protosw" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x63925040, "__xfrm_policy_check" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x59bea79c, "security_sctp_assoc_established" },
	{ 0x4c906ef6, "__tracepoint_sk_data_ready" },
	{ 0xd0d9d74c, "bpf_trace_run2" },
	{ 0x90912baf, "sock_common_setsockopt" },
	{ 0x735d1f99, "remove_proc_subtree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xf6491531, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x2fceb1, "ip_route_output_flow" },
	{ 0x7f472c24, "rhashtable_walk_enter" },
	{ 0x80f43886, "__sk_mem_schedule" },
	{ 0xf621a1a4, "ipv6_setsockopt" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x6b30eae0, "sock_alloc_file" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xd60f8c84, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x3b570e1c, "sk_error_report" },
	{ 0x8a0061d1, "register_pernet_subsys" },
	{ 0xdb73dc60, "put_cmsg" },
	{ 0x77188b5d, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0x62faafff, "register_net_sysctl_sz" },
	{ 0xa10dadce, "inet_sock_destruct" },
	{ 0xe7d10c72, "crypto_destroy_tfm" },
	{ 0xa38adc14, "sock_kmalloc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xeb85ff33, "inet_sk_get_local_port_range" },
	{ 0xc494db03, "inet6_del_protocol" },
	{ 0x79d219c0, "__get_hash_from_flowi6" },
	{ 0x92997ed8, "_printk" },
	{ 0xfcf9940a, "inet_getname" },
	{ 0xea0c4074, "proto_unregister" },
	{ 0xccc87c20, "security_sctp_sk_clone" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x54e6fcdd, "net_enable_timestamp" },
	{ 0x93aa4ce6, "__sock_recv_cmsgs" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xbe3dbdfa, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x50f91491, "__genradix_ptr" },
	{ 0xc48d254c, "inet_release" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf250e2d4, "rt_write_unlock" },
	{ 0xb00bc408, "proto_register" },
	{ 0x9071ee5, "skb_copy_expand" },
	{ 0x7061f8f6, "__wake_up_sync_key" },
	{ 0x1da61ba9, "inet6_compat_ioctl" },
	{ 0xadd139d4, "rfs_needed" },
	{ 0x29604158, "napi_busy_loop" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel,libcrc32c");


MODULE_INFO(srcversion, "1C5CAF6CE2D8B689F192E6E");

MODULE_INFO(suserelease, "SLFO-1.2");
