#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(g_token_size, "_gpl", "");
KSYMTAB_FUNC(g_make_token_header, "_gpl", "");
KSYMTAB_FUNC(g_verify_token_header, "_gpl", "");
KSYMTAB_FUNC(gss_mech_register, "_gpl", "");
KSYMTAB_FUNC(gss_mech_unregister, "_gpl", "");
KSYMTAB_FUNC(gss_mech_get, "", "");
KSYMTAB_FUNC(gss_pseudoflavor_to_service, "", "");
KSYMTAB_FUNC(gss_mech_put, "", "");
KSYMTAB_FUNC(svcauth_gss_flavor, "_gpl", "");
KSYMTAB_FUNC(svcauth_gss_register_pseudoflavor, "_gpl", "");

SYMBOL_CRC(g_token_size, 0x482ac5a4, "_gpl");
SYMBOL_CRC(g_make_token_header, 0x38d3dce5, "_gpl");
SYMBOL_CRC(g_verify_token_header, 0xd7673035, "_gpl");
SYMBOL_CRC(gss_mech_register, 0x1b5793bc, "_gpl");
SYMBOL_CRC(gss_mech_unregister, 0xea6284a2, "_gpl");
SYMBOL_CRC(gss_mech_get, 0xaf9afd9c, "");
SYMBOL_CRC(gss_pseudoflavor_to_service, 0x9afbc9e6, "");
SYMBOL_CRC(gss_mech_put, 0x414326f9, "");
SYMBOL_CRC(svcauth_gss_flavor, 0xece62a67, "_gpl");
SYMBOL_CRC(svcauth_gss_register_pseudoflavor, 0xf040beb0, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2ccdaf83, "rpcauth_init_credcache" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x56a58600, "sunrpc_cache_pipe_upcall_timeout" },
	{ 0xbc890acd, "xdr_init_decode" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x658574f4, "trace_event_reg" },
	{ 0x507fc4a6, "rpc_call_null" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x481dda0e, "__put_devmap_managed_folio_refs" },
	{ 0x2d9ea521, "rpc_sleep_on_timeout" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x867b864d, "rpc_create" },
	{ 0x57a45346, "bpf_trace_run1" },
	{ 0xeb64b609, "rpc_call_sync" },
	{ 0x9574e96, "from_kuid" },
	{ 0x74ce375f, "unregister_pernet_subsys" },
	{ 0x5305bafb, "rpc_queue_upcall" },
	{ 0xe6019c77, "xdr_encode_word" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xc8035272, "cache_check" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xc112aa61, "svcauth_unix_set_client" },
	{ 0x11c99ee4, "xdr_buf_subsegment" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0x88c88474, "_atomic_dec_and_lock" },
	{ 0x8225e746, "make_kgid" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xa2bd22fc, "rpc_remove_pipe_dir_object" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xa3588251, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2e20e6c0, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xcb67b626, "bpf_trace_run3" },
	{ 0x2cb42dd5, "__put_net" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7b4bf953, "rpc_mkpipe_dentry" },
	{ 0xaa1ba050, "rpc_mkpipe_data" },
	{ 0xeb7ca8b3, "gssd_running" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x27a7a36e, "trace_event_buffer_reserve" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x5f4a905c, "groups_free" },
	{ 0x81ddddc0, "cache_register_net" },
	{ 0x538eb2d2, "init_user_ns" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xa72673db, "xdr_inline_pages" },
	{ 0x64a5c687, "__folio_put" },
	{ 0x6e063721, "remove_proc_entry" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5a45ba31, "svc_auth_unregister" },
	{ 0xf147db4e, "rpc_init_wait_queue" },
	{ 0xed0b915, "put_rpccred" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xbd6ee8cc, "alloc_pages_noprof" },
	{ 0x12b897a7, "rpc_unlink" },
	{ 0xa69f11ea, "rpcauth_wrap_req_encode" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf1307bf8, "groups_sort" },
	{ 0x49d7ffb9, "from_kuid_munged" },
	{ 0x8b528457, "rpcauth_init_cred" },
	{ 0x7b189895, "xdr_decode_word" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x72386205, "cache_destroy_net" },
	{ 0x754d539c, "strlen" },
	{ 0xc0996092, "rpc_init_pipe_dir_object" },
	{ 0x349cba85, "strchr" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x50ceba6e, "xdr_stream_pos" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x609202f9, "rpc_task_gfp_mask" },
	{ 0xc45631bc, "sunrpc_cache_update" },
	{ 0x8655b09b, "xdr_truncate_encode" },
	{ 0xb4594218, "rpc_destroy_wait_queue" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xa14a7204, "auth_domain_put" },
	{ 0xe059e323, "rpcauth_unwrap_resp_decode" },
	{ 0xb1abfa57, "rpcauth_register" },
	{ 0x8f6b4407, "rpc_put_task" },
	{ 0xef464c28, "getboottime64" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x4e5daa9a, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x1b3a15ed, "rpc_find_or_alloc_pipe_dir_object" },
	{ 0xba3186ff, "xdr_buf_from_iov" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x1d337321, "bpf_trace_run4" },
	{ 0x5e4c51b1, "xdr_stream_decode_opaque_auth" },
	{ 0xe5eb5fd0, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2567bd01, "xdr_write_pages" },
	{ 0x27829e94, "rpc_shutdown_client" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x816fe5c7, "auth_domain_find" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xeefca5e5, "xdr_inline_decode" },
	{ 0xea4f62a, "cache_create_net" },
	{ 0xa4ca0e20, "rpcauth_destroy_credcache" },
	{ 0xa11a97c1, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xa5040375, "bpf_trace_run6" },
	{ 0xe77be61, "rpc_net_ns" },
	{ 0x64796a09, "read_bytes_from_xdr_buf" },
	{ 0xb07d43ee, "__trace_trigger_soft_disabled" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0x8a1df5fb, "rpc_wake_up" },
	{ 0xdf4574bf, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x98411245, "sunrpc_cache_lookup_rcu" },
	{ 0x862d1e43, "prepare_to_wait" },
	{ 0x549dee85, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfc201b66, "sprint_oid" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x4e8f6ca7, "sunrpc_net_id" },
	{ 0x2042f11c, "proc_create_data" },
	{ 0xbbcec0b7, "groups_alloc" },
	{ 0xd0d9d74c, "bpf_trace_run2" },
	{ 0x3416d62c, "prepare_to_wait_event" },
	{ 0x110717b1, "xdr_truncate_decode" },
	{ 0xd15bdff7, "rpcauth_unregister" },
	{ 0xf6491531, "__wake_up" },
	{ 0xb858d77e, "__xdr_commit_encode" },
	{ 0x883c3a0f, "__module_get" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xec9b6a57, "rpc_sleep_on" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf891cf32, "__put_cred" },
	{ 0x8a0061d1, "register_pernet_subsys" },
	{ 0x77188b5d, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfc4c2bb2, "cache_purge" },
	{ 0x92997ed8, "_printk" },
	{ 0x7cdfae8b, "rpc_release_client" },
	{ 0x4509ac2b, "auth_domain_lookup" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1dbf7c6, "rpc_wake_up_status" },
	{ 0x4dac77f0, "xdr_encode_netobj" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe8db27eb, "svc_auth_register" },
	{ 0x4844da46, "xdr_stream_encode_opaque_auth" },
	{ 0xc299905c, "make_kuid" },
	{ 0xa916b694, "strnlen" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0xd798d6ef, "rpc_destroy_pipe_data" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x6cb3aac, "__free_pages" },
	{ 0xf4754aa5, "rpc_pipe_generic_upcall" },
	{ 0x7276b73a, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x4c9822f7, "cache_unregister_net" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xa69a4ef9, "sunrpc_cache_unhash" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x7ec56c70, "perf_trace_run_bpf_submit" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd25d3b6, "rpcauth_lookup_credcache" },
	{ 0xc8e96dea, "qword_addhex" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xe97f4ce5, "qword_get" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "sunrpc");


MODULE_INFO(srcversion, "491579F52FA966E8CCC38A8");

MODULE_INFO(suserelease, "SLFO-1.2");
