#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(tipc_nl_sk_walk, "", "");
KSYMTAB_FUNC(tipc_dump_start, "", "");
KSYMTAB_FUNC(tipc_dump_done, "", "");
KSYMTAB_FUNC(tipc_sk_fill_sock_diag, "", "");

SYMBOL_CRC(tipc_nl_sk_walk, 0x22e0b602, "");
SYMBOL_CRC(tipc_dump_start, 0x19a62123, "");
SYMBOL_CRC(tipc_dump_done, 0x276e6b6f, "");
SYMBOL_CRC(tipc_sk_fill_sock_diag, 0x0af5885d, "");

MODULE_INFO(supported, "external");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xea0c4074, "proto_unregister" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xef731cce, "sock_register" },
	{ 0xebd8c5b4, "ipv6_dev_find" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0xbe3dbdfa, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xf250e2d4, "rt_write_unlock" },
	{ 0x19fadfd1, "sk_reset_timer" },
	{ 0x9f984513, "strrchr" },
	{ 0x130f2668, "skb_try_coalesce" },
	{ 0xb00bc408, "proto_register" },
	{ 0x9071ee5, "skb_copy_expand" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x7061f8f6, "__wake_up_sync_key" },
	{ 0xe648e7c0, "skb_queue_tail" },
	{ 0x7276b73a, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xb9a85f0c, "idr_remove" },
	{ 0xbbef170d, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x1985ee9e, "__dev_get_by_index" },
	{ 0x7ec56c70, "perf_trace_run_bpf_submit" },
	{ 0x1eb1abab, "init_net" },
	{ 0x56dd0d4e, "ipv6_stub" },
	{ 0x1c785e13, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x9820f51a, "idr_alloc" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa110e9ab, "crypto_aead_encrypt" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x6d64c27f, "sk_skb_reason_drop" },
	{ 0xdfee9d27, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa1907bde, "__SCK__tp_func_sk_data_ready" },
	{ 0x845e5fc8, "dev_remove_pack" },
	{ 0x7e5e3524, "sk_free" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8d24a0e0, "kernel_sock_shutdown" },
	{ 0xf53c8f7d, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0xed153b93, "skb_push" },
	{ 0x88327ec1, "dst_cache_get" },
	{ 0x963666a1, "sock_no_listen" },
	{ 0x8d304f20, "nla_put" },
	{ 0x198ca98c, "proc_doulongvec_minmax" },
	{ 0x658574f4, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x3029544b, "iov_iter_kvec" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x3a484d30, "ip_mc_join_group" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x194470a2, "rhashtable_walk_start_check" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x5515ad8e, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x7bda0276, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4e203a85, "skb_copy_datagram_iter" },
	{ 0xc05bb6a, "rhashtable_walk_stop" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x6ed8ccba, "sk_alloc" },
	{ 0x4d470eb0, "idr_destroy" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x74ce375f, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xfb578fc5, "memset" },
	{ 0xecb9650e, "kfree_skb_partial" },
	{ 0xcee336e0, "rht_bucket_nested_insert" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xa680331f, "udp_tunnel_sock_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6ff607b6, "crypto_get_default_rng" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa86d7fc6, "sock_no_mmap" },
	{ 0xa898193f, "security_sk_clone" },
	{ 0x2b64348b, "__pskb_pull_tail" },
	{ 0x5dfcb6d3, "netif_rx" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x668402aa, "crypto_put_default_rng" },
	{ 0x77fab3d9, "rhashtable_destroy" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xa0cf8676, "setup_udp_tunnel_sock" },
	{ 0x63bc45b3, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd62ba63d, "skb_trim" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xe2f57ce4, "skb_cow_data" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcb67b626, "bpf_trace_run3" },
	{ 0xa0cf4391, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x289f7cac, "sock_rfree" },
	{ 0xedd7eb58, "rt_read_lock" },
	{ 0x6c9bae71, "sock_i_ino" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x828b09d8, "kernel_listen" },
	{ 0x2c3fe335, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x8d1224dc, "rhashtable_init_noprof" },
	{ 0x27a7a36e, "trace_event_buffer_reserve" },
	{ 0x464afb3b, "dev_nit_active" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xb078e2d1, "sock_create_kern" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0x64bb1b18, "rt_spin_trylock_bh" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x64d2ae1, "dst_cache_set_ip6" },
	{ 0x998476b4, "pskb_put" },
	{ 0xe091c977, "list_sort" },
	{ 0x9ebb2bfc, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x4f0287a4, "udp_tunnel_xmit_skb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xdd09f942, "sock_recvmsg" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x1060b4b7, "skb_copy" },
	{ 0x44ea4aa5, "skb_clone" },
	{ 0x2cd8bc0, "dev_get_by_name" },
	{ 0x9919fd8, "rt_write_lock" },
	{ 0x44531a37, "_copy_from_iter" },
	{ 0xad634552, "sock_release" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xd6a78628, "remove_wait_queue" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0x24baed7, "rhashtable_walk_next" },
	{ 0x162abf18, "crypto_default_rng" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xccb2633f, "sk_stop_timer" },
	{ 0x64a4da03, "unregister_net_sysctl_table" },
	{ 0xaa328c94, "genl_unregister_family" },
	{ 0x49d7ffb9, "from_kuid_munged" },
	{ 0x754d539c, "strlen" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xc86a4b4, "iov_iter_revert" },
	{ 0x349cba85, "strchr" },
	{ 0x473f6ee4, "genl_register_family" },
	{ 0x588ec5bb, "kernel_sendmsg" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf66e3d78, "skb_to_sgvec" },
	{ 0x2ba8bbc8, "rhashtable_walk_exit" },
	{ 0xabdbfb00, "register_pernet_device" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x1c2ec37f, "sock_init_data" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xe9ee676b, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x8dc6f00d, "proc_dointvec_minmax" },
	{ 0xc5ea5916, "netlink_net_capable" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0x4dab5cf1, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x1d337321, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xa65f21bc, "__nlmsg_put" },
	{ 0x333051c0, "idr_find" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x3ec4ea5, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x75e20d86, "ip6_dst_hoplimit" },
	{ 0xcecf8b41, "trace_output_call" },
	{ 0x74885bdc, "consume_skb" },
	{ 0x97d9aa2, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa11a97c1, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x2fba5c7c, "nla_put_64bit" },
	{ 0x1416467b, "udp_sock_create4" },
	{ 0x951a2773, "crypto_has_alg" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xb07d43ee, "__trace_trigger_soft_disabled" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xdf4574bf, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0xc1210d8f, "__ip_dev_find" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x6181617f, "dst_cache_set_ip4" },
	{ 0xd0ba53ac, "udp_tunnel6_xmit_skb" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xab84dc28, "genlmsg_put" },
	{ 0x66da095c, "___pskb_trim" },
	{ 0x549dee85, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xa55b06bd, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xab250000, "crypto_alloc_aead" },
	{ 0x4c906ef6, "__tracepoint_sk_data_ready" },
	{ 0xe45f97ac, "netdev_warn" },
	{ 0x9ef9a4d5, "crypto_aead_setauthsize" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xfec65053, "crypto_aead_decrypt" },
	{ 0xda82a732, "kernel_accept" },
	{ 0x883c3a0f, "__module_get" },
	{ 0x2fceb1, "ip_route_output_flow" },
	{ 0x7f472c24, "rhashtable_walk_enter" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x86b0fff0, "__pskb_copy_fclone" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd1d47d16, "pskb_expand_head" },
	{ 0x8a0061d1, "register_pernet_subsys" },
	{ 0xdb73dc60, "put_cmsg" },
	{ 0xbddffed2, "skb_queue_purge_reason" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x77188b5d, "trace_event_buffer_commit" },
	{ 0x62faafff, "register_net_sysctl_sz" },
	{ 0xe7d10c72, "crypto_destroy_tfm" },
	{ 0x502db1b1, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "C7951B71A172DC6EA22B7B4");

MODULE_INFO(suserelease, "SLFO-1.2");
