#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(tls_device_sk_destruct, "_gpl", "");
KSYMTAB_FUNC(tls_offload_tx_resync_request, "_gpl", "");
KSYMTAB_FUNC(tls_get_record, "", "");
KSYMTAB_FUNC(tls_validate_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(tls_encrypt_skb, "_gpl", "");

SYMBOL_CRC(tls_device_sk_destruct, 0x4c6b48e0, "_gpl");
SYMBOL_CRC(tls_offload_tx_resync_request, 0x012dd8de, "_gpl");
SYMBOL_CRC(tls_get_record, 0x3ec5a6c3, "");
SYMBOL_CRC(tls_validate_xmit_skb, 0x30d690e3, "_gpl");
SYMBOL_CRC(tls_encrypt_skb, 0x3e0164c7, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xbe3dbdfa, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0xf250e2d4, "rt_write_unlock" },
	{ 0x28a29f92, "tcp_unregister_ulp" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x5c597b98, "iov_iter_extract_pages" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc2a814db, "tcp_memory_pressure" },
	{ 0x3b2a9618, "tcp_recv_skb" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xbbef170d, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x7ec56c70, "perf_trace_run_bpf_submit" },
	{ 0xba0efd1f, "down_write" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0x209b8854, "up_write" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa110e9ab, "crypto_aead_encrypt" },
	{ 0x6d64c27f, "sk_skb_reason_drop" },
	{ 0xa1907bde, "__SCK__tp_func_sk_data_ready" },
	{ 0x7ff53d0f, "bpf_trace_run5" },
	{ 0x7e5e3524, "sk_free" },
	{ 0xa3d62d59, "skb_store_bits" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xee707aaf, "__sk_mem_reclaim" },
	{ 0x6210da97, "sk_stream_wait_memory" },
	{ 0x8d304f20, "nla_put" },
	{ 0x658574f4, "trace_event_reg" },
	{ 0x3029544b, "iov_iter_kvec" },
	{ 0xeae0f496, "clean_acked_data_flush" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x1f7df0bc, "sock_recv_errqueue" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x7bda0276, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x481dda0e, "__put_devmap_managed_folio_refs" },
	{ 0xa0f9767f, "sk_msg_return_zero" },
	{ 0x3edbc68d, "mutex_lock_interruptible" },
	{ 0x4e203a85, "skb_copy_datagram_iter" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x57a45346, "bpf_trace_run1" },
	{ 0x27183a65, "tcp_stream_memory_free" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x74ce375f, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x465ef5ec, "sock_efree" },
	{ 0xfdcb4422, "iov_iter_bvec" },
	{ 0x2031c0ce, "kfree_skb_list_reason" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7504721c, "clean_acked_data_disable" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x8da2f31b, "sk_msg_free_partial" },
	{ 0x9fb64856, "down_read" },
	{ 0xd62ba63d, "skb_trim" },
	{ 0x25531590, "mutex_trylock" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x332d3e38, "alloc_skb_with_frags" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdf65dd25, "tcp_register_ulp" },
	{ 0xcb67b626, "bpf_trace_run3" },
	{ 0x664f4076, "sk_psock_drop" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x9f08c714, "scatterwalk_copychunks" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x692daeed, "skb_page_frag_refill" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x27a7a36e, "trace_event_buffer_reserve" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x16e4a7f0, "sk_msg_free_nocharge" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x64a5c687, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x6e063721, "remove_proc_entry" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x7ad7a5cd, "seq_printf" },
	{ 0x29fa25e4, "proc_create_net_single" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x44ea4aa5, "skb_clone" },
	{ 0x297093d2, "dst_release" },
	{ 0x9919fd8, "rt_write_lock" },
	{ 0x44531a37, "_copy_from_iter" },
	{ 0xdb90bc22, "skb_copy_header" },
	{ 0x9c55b72d, "sk_msg_trim" },
	{ 0xbd6ee8cc, "alloc_pages_noprof" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xd6a78628, "remove_wait_queue" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x4e2594cc, "netdev_sk_get_lowest_dev" },
	{ 0xc24f6d83, "sk_msg_alloc" },
	{ 0xa06ecc84, "_copy_from_iter_nocache" },
	{ 0x8cc8276a, "tcp_rate_check_app_limited" },
	{ 0x71bb0892, "tcp_poll" },
	{ 0xc86a4b4, "iov_iter_revert" },
	{ 0x2ef5bf98, "sk_msg_zerocopy_from_iter" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf66e3d78, "skb_to_sgvec" },
	{ 0xb570b5d7, "up_read" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x4f851c29, "iov_iter_npages" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x34fa3775, "tcp_read_done" },
	{ 0xe9ee676b, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x1663645, "sk_msg_free" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x61c1868f, "tcp_bpf_sendmsg_redir" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x5adf07e1, "tcp_read_sock" },
	{ 0x1d337321, "bpf_trace_run4" },
	{ 0x5adf76d8, "skb_copy_bits" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x48417524, "sk_page_frag_refill" },
	{ 0x3ec4ea5, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x3bec8756, "tcp_sendmsg_locked" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x74885bdc, "consume_skb" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa11a97c1, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0xe876e51, "sk_psock_msg_verdict" },
	{ 0xa5040375, "bpf_trace_run6" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xb07d43ee, "__trace_trigger_soft_disabled" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xdf4574bf, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x15344a93, "iov_iter_get_pages2" },
	{ 0x66da095c, "___pskb_trim" },
	{ 0x549dee85, "trace_event_raw_init" },
	{ 0xbfc1d1a, "check_zeroed_user" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xa55b06bd, "add_wait_queue" },
	{ 0x6a6c3def, "clean_acked_data_enable" },
	{ 0x677d6ba7, "skb_splice_bits" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xab250000, "crypto_alloc_aead" },
	{ 0x4c906ef6, "__tracepoint_sk_data_ready" },
	{ 0x9ef9a4d5, "crypto_aead_setauthsize" },
	{ 0xfec65053, "crypto_aead_decrypt" },
	{ 0xf6491531, "__wake_up" },
	{ 0x9201acf2, "sk_stream_error" },
	{ 0xcfcc695, "sk_msg_recvmsg" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7f344a8f, "sk_msg_memcopy_from_iter" },
	{ 0x3b570e1c, "sk_error_report" },
	{ 0x8a0061d1, "register_pernet_subsys" },
	{ 0xdb73dc60, "put_cmsg" },
	{ 0xb649945, "__sk_flush_backlog" },
	{ 0x77188b5d, "trace_event_buffer_commit" },
	{ 0xe7d10c72, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xfef67f2c, "sk_psock_tls_strp_read" },
	{ 0x941918b2, "sk_msg_clone" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1BB5DB5BCA154D1A9987DDE");

MODULE_INFO(suserelease, "SLFO-1.2");
