#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(snd_pcm_format_name, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_new_stream, "", "");
KSYMTAB_FUNC(snd_pcm_new, "", "");
KSYMTAB_FUNC(snd_pcm_new_internal, "", "");
KSYMTAB_FUNC(snd_pcm_notify, "", "");
KSYMTAB_FUNC(snd_pcm_stream_lock, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_stream_unlock, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_stream_lock_irq, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_stream_unlock_irq, "_gpl", "");
KSYMTAB_FUNC(_snd_pcm_stream_lock_irqsave, "_gpl", "");
KSYMTAB_FUNC(_snd_pcm_stream_lock_irqsave_nested, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_stream_unlock_irqrestore, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_hw_refine, "", "");
KSYMTAB_FUNC(snd_pcm_stop, "", "");
KSYMTAB_FUNC(snd_pcm_stop_xrun, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_suspend_all, "", "");
KSYMTAB_FUNC(snd_pcm_release_substream, "", "");
KSYMTAB_FUNC(snd_pcm_open_substream, "", "");
KSYMTAB_FUNC(snd_pcm_kernel_ioctl, "", "");
KSYMTAB_FUNC(snd_pcm_lib_default_mmap, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_lib_mmap_iomem, "", "");
KSYMTAB_FUNC(snd_pcm_mmap_data, "", "");
KSYMTAB_FUNC(snd_pcm_debug_name, "", "");
KSYMTAB_FUNC(snd_pcm_set_ops, "", "");
KSYMTAB_FUNC(snd_pcm_set_sync_per_card, "_gpl", "");
KSYMTAB_FUNC(snd_interval_refine, "", "");
KSYMTAB_FUNC(snd_interval_ratnum, "", "");
KSYMTAB_FUNC(snd_interval_list, "", "");
KSYMTAB_FUNC(snd_interval_ranges, "", "");
KSYMTAB_FUNC(snd_pcm_hw_rule_add, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_mask64, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_integer, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_minmax, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_list, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_ranges, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_ratnums, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_ratdens, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_msbits, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_step, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_pow2, "", "");
KSYMTAB_FUNC(snd_pcm_hw_rule_noresample, "", "");
KSYMTAB_FUNC(_snd_pcm_hw_params_any, "", "");
KSYMTAB_FUNC(snd_pcm_hw_param_value, "", "");
KSYMTAB_FUNC(_snd_pcm_hw_param_setempty, "", "");
KSYMTAB_FUNC(snd_pcm_hw_param_first, "", "");
KSYMTAB_FUNC(snd_pcm_hw_param_last, "", "");
KSYMTAB_FUNC(snd_pcm_hw_params_bits, "", "");
KSYMTAB_FUNC(snd_pcm_lib_ioctl, "", "");
KSYMTAB_FUNC(snd_pcm_period_elapsed_under_stream_lock, "", "");
KSYMTAB_FUNC(snd_pcm_period_elapsed, "", "");
KSYMTAB_FUNC(__snd_pcm_lib_xfer, "", "");
KSYMTAB_DATA(snd_pcm_std_chmaps, "_gpl", "");
KSYMTAB_DATA(snd_pcm_alt_chmaps, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_add_chmap_ctls, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_format_signed, "", "");
KSYMTAB_FUNC(snd_pcm_format_unsigned, "", "");
KSYMTAB_FUNC(snd_pcm_format_linear, "", "");
KSYMTAB_FUNC(snd_pcm_format_little_endian, "", "");
KSYMTAB_FUNC(snd_pcm_format_big_endian, "", "");
KSYMTAB_FUNC(snd_pcm_format_width, "", "");
KSYMTAB_FUNC(snd_pcm_format_physical_width, "", "");
KSYMTAB_FUNC(snd_pcm_format_size, "", "");
KSYMTAB_FUNC(snd_pcm_format_silence_64, "", "");
KSYMTAB_FUNC(snd_pcm_format_set_silence, "", "");
KSYMTAB_FUNC(snd_pcm_hw_limit_rates, "", "");
KSYMTAB_FUNC(snd_pcm_rate_to_rate_bit, "", "");
KSYMTAB_FUNC(snd_pcm_rate_bit_to_rate, "", "");
KSYMTAB_FUNC(snd_pcm_rate_mask_intersect, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_rate_range_to_bits, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_lib_preallocate_free_for_all, "", "");
KSYMTAB_FUNC(snd_pcm_lib_preallocate_pages, "", "");
KSYMTAB_FUNC(snd_pcm_lib_preallocate_pages_for_all, "", "");
KSYMTAB_FUNC(snd_pcm_set_managed_buffer, "", "");
KSYMTAB_FUNC(snd_pcm_set_managed_buffer_all, "", "");
KSYMTAB_FUNC(snd_pcm_lib_malloc_pages, "", "");
KSYMTAB_FUNC(snd_pcm_lib_free_pages, "", "");
KSYMTAB_FUNC(snd_dma_alloc_dir_pages, "", "");
KSYMTAB_FUNC(snd_dma_alloc_pages_fallback, "", "");
KSYMTAB_FUNC(snd_dma_free_pages, "", "");
KSYMTAB_FUNC(snd_devm_alloc_dir_pages, "_gpl", "");
KSYMTAB_FUNC(snd_dma_buffer_mmap, "", "");
KSYMTAB_FUNC(snd_dma_buffer_sync, "_gpl", "");
KSYMTAB_FUNC(snd_sgbuf_get_addr, "", "");
KSYMTAB_FUNC(snd_sgbuf_get_page, "", "");
KSYMTAB_FUNC(snd_sgbuf_get_chunk_size, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_eld, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_create_iec958_consumer_default, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_fill_iec958_consumer, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_fill_iec958_consumer_hw_params, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_create_iec958_consumer, "", "");
KSYMTAB_FUNC(snd_pcm_create_iec958_consumer_hw_params, "", "");

SYMBOL_CRC(snd_pcm_format_name, 0xa286a234, "_gpl");
SYMBOL_CRC(snd_pcm_new_stream, 0x60e8cb56, "");
SYMBOL_CRC(snd_pcm_new, 0x90d2235a, "");
SYMBOL_CRC(snd_pcm_new_internal, 0xeb6341d4, "");
SYMBOL_CRC(snd_pcm_notify, 0x89ee3007, "");
SYMBOL_CRC(snd_pcm_stream_lock, 0xd5d9c00d, "_gpl");
SYMBOL_CRC(snd_pcm_stream_unlock, 0xde648b93, "_gpl");
SYMBOL_CRC(snd_pcm_stream_lock_irq, 0x37f109af, "_gpl");
SYMBOL_CRC(snd_pcm_stream_unlock_irq, 0xd018f464, "_gpl");
SYMBOL_CRC(_snd_pcm_stream_lock_irqsave, 0x85954a2f, "_gpl");
SYMBOL_CRC(_snd_pcm_stream_lock_irqsave_nested, 0x20dbe639, "_gpl");
SYMBOL_CRC(snd_pcm_stream_unlock_irqrestore, 0x5feb1457, "_gpl");
SYMBOL_CRC(snd_pcm_hw_refine, 0xa6367bf3, "");
SYMBOL_CRC(snd_pcm_stop, 0x137200ac, "");
SYMBOL_CRC(snd_pcm_stop_xrun, 0x0af4e428, "_gpl");
SYMBOL_CRC(snd_pcm_suspend_all, 0x6df8036a, "");
SYMBOL_CRC(snd_pcm_release_substream, 0xb6238cbe, "");
SYMBOL_CRC(snd_pcm_open_substream, 0xf0b5faaa, "");
SYMBOL_CRC(snd_pcm_kernel_ioctl, 0xd5a8ae3a, "");
SYMBOL_CRC(snd_pcm_lib_default_mmap, 0x1e5b149f, "_gpl");
SYMBOL_CRC(snd_pcm_lib_mmap_iomem, 0x48a30535, "");
SYMBOL_CRC(snd_pcm_mmap_data, 0x951f80de, "");
SYMBOL_CRC(snd_pcm_debug_name, 0x4ddb1066, "");
SYMBOL_CRC(snd_pcm_set_ops, 0x7df92e9f, "");
SYMBOL_CRC(snd_pcm_set_sync_per_card, 0x2e1681cf, "_gpl");
SYMBOL_CRC(snd_interval_refine, 0x04cda566, "");
SYMBOL_CRC(snd_interval_ratnum, 0xac437f7b, "");
SYMBOL_CRC(snd_interval_list, 0x94098ff8, "");
SYMBOL_CRC(snd_interval_ranges, 0x503bd137, "");
SYMBOL_CRC(snd_pcm_hw_rule_add, 0x9f580560, "");
SYMBOL_CRC(snd_pcm_hw_constraint_mask64, 0x9c3eedeb, "");
SYMBOL_CRC(snd_pcm_hw_constraint_integer, 0x25fca549, "");
SYMBOL_CRC(snd_pcm_hw_constraint_minmax, 0x345b470e, "");
SYMBOL_CRC(snd_pcm_hw_constraint_list, 0xc10ec8dd, "");
SYMBOL_CRC(snd_pcm_hw_constraint_ranges, 0x476cbf2c, "");
SYMBOL_CRC(snd_pcm_hw_constraint_ratnums, 0x94cab119, "");
SYMBOL_CRC(snd_pcm_hw_constraint_ratdens, 0x563641f3, "");
SYMBOL_CRC(snd_pcm_hw_constraint_msbits, 0x20e107e1, "");
SYMBOL_CRC(snd_pcm_hw_constraint_step, 0x5372254f, "");
SYMBOL_CRC(snd_pcm_hw_constraint_pow2, 0x028e4994, "");
SYMBOL_CRC(snd_pcm_hw_rule_noresample, 0xe001667b, "");
SYMBOL_CRC(_snd_pcm_hw_params_any, 0x195b710c, "");
SYMBOL_CRC(snd_pcm_hw_param_value, 0x77bd191e, "");
SYMBOL_CRC(_snd_pcm_hw_param_setempty, 0x42b22246, "");
SYMBOL_CRC(snd_pcm_hw_param_first, 0x94dad60c, "");
SYMBOL_CRC(snd_pcm_hw_param_last, 0x3f7667f7, "");
SYMBOL_CRC(snd_pcm_hw_params_bits, 0xe385f704, "");
SYMBOL_CRC(snd_pcm_lib_ioctl, 0x3bff29eb, "");
SYMBOL_CRC(snd_pcm_period_elapsed_under_stream_lock, 0xc7e784f8, "");
SYMBOL_CRC(snd_pcm_period_elapsed, 0xdbd55bc2, "");
SYMBOL_CRC(__snd_pcm_lib_xfer, 0x9a7a3894, "");
SYMBOL_CRC(snd_pcm_std_chmaps, 0x04e1b99f, "_gpl");
SYMBOL_CRC(snd_pcm_alt_chmaps, 0x09e913c1, "_gpl");
SYMBOL_CRC(snd_pcm_add_chmap_ctls, 0xb194b4ae, "_gpl");
SYMBOL_CRC(snd_pcm_format_signed, 0x1d027e4b, "");
SYMBOL_CRC(snd_pcm_format_unsigned, 0xa61aa028, "");
SYMBOL_CRC(snd_pcm_format_linear, 0x6ef8fcd8, "");
SYMBOL_CRC(snd_pcm_format_little_endian, 0x3796bdcc, "");
SYMBOL_CRC(snd_pcm_format_big_endian, 0x4f816e9b, "");
SYMBOL_CRC(snd_pcm_format_width, 0xe56a9336, "");
SYMBOL_CRC(snd_pcm_format_physical_width, 0x68a24153, "");
SYMBOL_CRC(snd_pcm_format_size, 0x834dc955, "");
SYMBOL_CRC(snd_pcm_format_silence_64, 0x650f8603, "");
SYMBOL_CRC(snd_pcm_format_set_silence, 0x5e7f4920, "");
SYMBOL_CRC(snd_pcm_hw_limit_rates, 0xf70e1a9e, "");
SYMBOL_CRC(snd_pcm_rate_to_rate_bit, 0xb9638db4, "");
SYMBOL_CRC(snd_pcm_rate_bit_to_rate, 0xff6104d0, "");
SYMBOL_CRC(snd_pcm_rate_mask_intersect, 0xab8bc1a2, "_gpl");
SYMBOL_CRC(snd_pcm_rate_range_to_bits, 0x8d864069, "_gpl");
SYMBOL_CRC(snd_pcm_lib_preallocate_free_for_all, 0x3fde88b9, "");
SYMBOL_CRC(snd_pcm_lib_preallocate_pages, 0x30bedcfd, "");
SYMBOL_CRC(snd_pcm_lib_preallocate_pages_for_all, 0x7553f920, "");
SYMBOL_CRC(snd_pcm_set_managed_buffer, 0x37c81a4c, "");
SYMBOL_CRC(snd_pcm_set_managed_buffer_all, 0x7615c3f2, "");
SYMBOL_CRC(snd_pcm_lib_malloc_pages, 0xc3a078b6, "");
SYMBOL_CRC(snd_pcm_lib_free_pages, 0xe3f28709, "");
SYMBOL_CRC(snd_dma_alloc_dir_pages, 0xe8ee3f73, "");
SYMBOL_CRC(snd_dma_alloc_pages_fallback, 0xa4f45fb6, "");
SYMBOL_CRC(snd_dma_free_pages, 0xf224f7d5, "");
SYMBOL_CRC(snd_devm_alloc_dir_pages, 0xe9e04fc0, "_gpl");
SYMBOL_CRC(snd_dma_buffer_mmap, 0xaed7eae4, "");
SYMBOL_CRC(snd_dma_buffer_sync, 0x11068e22, "_gpl");
SYMBOL_CRC(snd_sgbuf_get_addr, 0xdfdce546, "");
SYMBOL_CRC(snd_sgbuf_get_page, 0xab49c49d, "");
SYMBOL_CRC(snd_sgbuf_get_chunk_size, 0x168bfa78, "");
SYMBOL_CRC(snd_pcm_hw_constraint_eld, 0xe5dd1bc6, "_gpl");
SYMBOL_CRC(snd_pcm_create_iec958_consumer_default, 0x649892e8, "_gpl");
SYMBOL_CRC(snd_pcm_fill_iec958_consumer, 0x53926e88, "_gpl");
SYMBOL_CRC(snd_pcm_fill_iec958_consumer_hw_params, 0x99b70ac2, "_gpl");
SYMBOL_CRC(snd_pcm_create_iec958_consumer, 0xfea4eb33, "");
SYMBOL_CRC(snd_pcm_create_iec958_consumer_hw_params, 0x5115799c, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xe9f31ce3, "snd_device_new" },
	{ 0x896c3e8, "alloc_pages_exact_noprof" },
	{ 0xfb578fc5, "memset" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0xa11d7c55, "snd_ctl_unregister_ioctl" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0x9fb64856, "down_read" },
	{ 0x25531590, "mutex_trylock" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2e20e6c0, "nonseekable_open" },
	{ 0x5af762f1, "snd_fasync_free" },
	{ 0xcb67b626, "bpf_trace_run3" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa76d2a2c, "dma_free_noncontiguous" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xcc4601d, "dma_alloc_noncontiguous" },
	{ 0x7230beea, "fdget" },
	{ 0x954411bc, "dma_mmap_noncontiguous" },
	{ 0xf4334299, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x27a7a36e, "trace_event_buffer_reserve" },
	{ 0xa95beedf, "dma_map_sgtable" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x6029628f, "__dma_sync_single_for_device" },
	{ 0x651e2fe0, "vm_map_pages" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xb4997186, "gen_pool_free_owner" },
	{ 0x562dc30, "__sg_page_iter_start" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7ad7a5cd, "seq_printf" },
	{ 0xb2e5ae4a, "snd_lookup_minor_data" },
	{ 0x34933a73, "snd_ctl_register_ioctl_compat" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x7d229e4f, "snd_info_create_card_entry" },
	{ 0x44531a37, "_copy_from_iter" },
	{ 0xeb44339a, "free_pages_exact" },
	{ 0x815b55ef, "snd_power_wait" },
	{ 0x250337ee, "boot_cpu_data" },
	{ 0xd6a78628, "remove_wait_queue" },
	{ 0x36a82e35, "dma_mmap_attrs" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0x26726fd4, "pid_vnr" },
	{ 0x19deb96e, "snd_device_free" },
	{ 0x884df616, "snd_card_file_remove" },
	{ 0xf8f2a4eb, "snd_kill_fasync" },
	{ 0xc1ddd422, "dma_unmap_sg_attrs" },
	{ 0xea124bd1, "gcd" },
	{ 0xacdfbb2, "remap_vmalloc_range" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0x767ddb02, "set_memory_wc" },
	{ 0x754d539c, "strlen" },
	{ 0xf2203c5f, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xcc0c994, "__vma_start_write" },
	{ 0x68af9467, "snd_device_register" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x68183a52, "snd_register_device" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xb570b5d7, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x3039a8a2, "put_pid" },
	{ 0x24a94b26, "snd_info_get_line" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0xe3ad3046, "__sg_page_iter_dma_next" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0xd7c4e75b, "cpu_latency_qos_remove_request" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x1577e012, "dma_can_mmap" },
	{ 0x4e5daa9a, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x293df244, "_copy_to_iter" },
	{ 0x85d9b316, "snd_info_register" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x9bc66d6d, "snd_info_create_module_entry" },
	{ 0x6bbb40cb, "snd_ctl_unregister_ioctl_compat" },
	{ 0xb18fe1bf, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x50707f9c, "dev_set_name" },
	{ 0x81f7ba36, "snd_ctl_add" },
	{ 0x6f7382ed, "vmalloc_to_page" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xa11a97c1, "trace_raw_output_prep" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x6f29727c, "snd_timer_notify" },
	{ 0x6265a4b1, "snd_ctl_get_preferred_subdevice" },
	{ 0xc4551063, "dma_vunmap_noncontiguous" },
	{ 0xb07d43ee, "__trace_trigger_soft_disabled" },
	{ 0x7738c663, "gen_pool_dma_alloc_align" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0x575efac9, "vm_iomap_memory" },
	{ 0x91607d95, "set_memory_wb" },
	{ 0xb51d11a4, "dma_unmap_page_attrs" },
	{ 0x73a0f637, "dma_mmap_pages" },
	{ 0xdf4574bf, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4a7c8a9f, "__dma_need_sync" },
	{ 0x7bab156e, "dma_free_pages" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0xcf1ae00b, "snd_timer_interrupt" },
	{ 0xf0db2b08, "snd_info_free_entry" },
	{ 0x549dee85, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x2c493cf2, "remap_pfn_range" },
	{ 0xb0ef18ed, "cpu_latency_qos_add_request" },
	{ 0x94961283, "vunmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x9e6d79f8, "snd_info_get_str" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xb2675afb, "cpu_latency_qos_request_active" },
	{ 0xa55b06bd, "add_wait_queue" },
	{ 0xd0d9d74c, "bpf_trace_run2" },
	{ 0xb11b41c7, "snd_fasync_helper" },
	{ 0xf6491531, "__wake_up" },
	{ 0x75e7396f, "import_ubuf" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0xea825074, "snd_ctl_remove" },
	{ 0xcee82587, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x44c339bf, "dev_driver_string" },
	{ 0x77188b5d, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x28ba6fe1, "dma_map_page_attrs" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0xed63c67b, "snd_ctl_new1" },
	{ 0x92997ed8, "_printk" },
	{ 0x6d334118, "__get_user_8" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4720577b, "dma_alloc_pages" },
	{ 0xbd786910, "rt_spin_trylock" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9d3d08f0, "put_device" },
	{ 0xe4cfa540, "snd_ctl_register_ioctl" },
	{ 0x9b87ba2b, "snd_card_file_add" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0x7276b73a, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x367306fd, "__dma_sync_single_for_cpu" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x7ec56c70, "perf_trace_run_bpf_submit" },
	{ 0xa8caa2e, "fput" },
	{ 0xba0efd1f, "down_write" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x209b8854, "up_write" },
	{ 0xef0f5ef1, "dma_vmap_noncontiguous" },
	{ 0x614c1fde, "__dma_sync_sg_for_device" },
	{ 0x7ff53d0f, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x7ef4bddc, "__sg_page_iter_next" },
	{ 0x8f595b11, "snd_major" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x18595920, "dma_alloc_attrs" },
	{ 0x19c290ca, "__devres_alloc_node" },
	{ 0x658574f4, "trace_event_reg" },
	{ 0x8a9d2f61, "__dma_sync_sg_for_cpu" },
	{ 0x3029544b, "iov_iter_kvec" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xe7adf183, "vmap" },
	{ 0xfd8dd88b, "snd_unregister_device" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x5f3b8efc, "snd_device_alloc" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xf3339952, "snd_timer_new" },
	{ 0x57a45346, "bpf_trace_run1" },
	{ 0x9978f9c1, "sg_alloc_table_from_pages_segment" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-timer");


MODULE_INFO(srcversion, "4C443AA7914432FCB0DEAC6");

MODULE_INFO(suserelease, "SLFO-1.2");
