#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(snd_rawmidi_drop_output, "", "");
KSYMTAB_FUNC(snd_rawmidi_drain_output, "", "");
KSYMTAB_FUNC(snd_rawmidi_drain_input, "", "");
KSYMTAB_FUNC(snd_rawmidi_kernel_open, "", "");
KSYMTAB_FUNC(snd_rawmidi_kernel_release, "", "");
KSYMTAB_FUNC(snd_rawmidi_info_select, "", "");
KSYMTAB_FUNC(snd_rawmidi_output_params, "", "");
KSYMTAB_FUNC(snd_rawmidi_input_params, "", "");
KSYMTAB_FUNC(snd_rawmidi_receive, "", "");
KSYMTAB_FUNC(snd_rawmidi_kernel_read, "", "");
KSYMTAB_FUNC(snd_rawmidi_transmit_empty, "", "");
KSYMTAB_FUNC(snd_rawmidi_transmit_peek, "", "");
KSYMTAB_FUNC(snd_rawmidi_transmit_ack, "", "");
KSYMTAB_FUNC(snd_rawmidi_transmit, "", "");
KSYMTAB_FUNC(snd_rawmidi_proceed, "", "");
KSYMTAB_FUNC(snd_rawmidi_kernel_write, "", "");
KSYMTAB_FUNC(snd_rawmidi_init, "_gpl", "");
KSYMTAB_FUNC(snd_rawmidi_new, "", "");
KSYMTAB_FUNC(snd_rawmidi_free, "_gpl", "");
KSYMTAB_FUNC(snd_rawmidi_set_ops, "", "");

SYMBOL_CRC(snd_rawmidi_drop_output, 0x2b1496d9, "");
SYMBOL_CRC(snd_rawmidi_drain_output, 0x81dd8a16, "");
SYMBOL_CRC(snd_rawmidi_drain_input, 0x42b89038, "");
SYMBOL_CRC(snd_rawmidi_kernel_open, 0x26494e24, "");
SYMBOL_CRC(snd_rawmidi_kernel_release, 0x2b35a0e3, "");
SYMBOL_CRC(snd_rawmidi_info_select, 0x94d4ded7, "");
SYMBOL_CRC(snd_rawmidi_output_params, 0xfe897365, "");
SYMBOL_CRC(snd_rawmidi_input_params, 0x20d4c4fa, "");
SYMBOL_CRC(snd_rawmidi_receive, 0xd2038049, "");
SYMBOL_CRC(snd_rawmidi_kernel_read, 0xf4deced5, "");
SYMBOL_CRC(snd_rawmidi_transmit_empty, 0xc953eb52, "");
SYMBOL_CRC(snd_rawmidi_transmit_peek, 0x161a85ad, "");
SYMBOL_CRC(snd_rawmidi_transmit_ack, 0xe27547cd, "");
SYMBOL_CRC(snd_rawmidi_transmit, 0x5c40861b, "");
SYMBOL_CRC(snd_rawmidi_proceed, 0xb585d62a, "");
SYMBOL_CRC(snd_rawmidi_kernel_write, 0x54522a53, "");
SYMBOL_CRC(snd_rawmidi_init, 0xc1fbbe7e, "_gpl");
SYMBOL_CRC(snd_rawmidi_new, 0xb5e65864, "");
SYMBOL_CRC(snd_rawmidi_free, 0x1a169033, "_gpl");
SYMBOL_CRC(snd_rawmidi_set_ops, 0x492e5a21, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9d3d08f0, "put_device" },
	{ 0xe4cfa540, "snd_ctl_register_ioctl" },
	{ 0x9b87ba2b, "snd_card_file_add" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x8a521294, "const_pcpu_hot" },
	{ 0x7276b73a, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8f595b11, "snd_major" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x8df3789f, "snd_oss_info_register" },
	{ 0xfd8dd88b, "snd_unregister_device" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x5f3b8efc, "snd_device_alloc" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xe9f31ce3, "snd_device_new" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0xa11d7c55, "snd_ctl_unregister_ioctl" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x198788b4, "snd_lookup_oss_minor_data" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x7ad7a5cd, "seq_printf" },
	{ 0xb2e5ae4a, "snd_lookup_minor_data" },
	{ 0x34933a73, "snd_ctl_register_ioctl_compat" },
	{ 0x7d229e4f, "snd_info_create_card_entry" },
	{ 0xd6a78628, "remove_wait_queue" },
	{ 0x2fe56e83, "stream_open" },
	{ 0x26726fd4, "pid_vnr" },
	{ 0x884df616, "snd_card_file_remove" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0xf2203c5f, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x68af9467, "snd_device_register" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x68183a52, "snd_register_device" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x3039a8a2, "put_pid" },
	{ 0xf9a482f9, "msleep" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x4e5daa9a, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x85d9b316, "snd_info_register" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x6bbb40cb, "snd_ctl_unregister_ioctl_compat" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x50707f9c, "dev_set_name" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xed7e700a, "snd_seq_device_new" },
	{ 0x6265a4b1, "snd_ctl_get_preferred_subdevice" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0x1c137c19, "param_array_ops" },
	{ 0xf0db2b08, "snd_info_free_entry" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa55b06bd, "add_wait_queue" },
	{ 0x4407709f, "snd_unregister_oss_device" },
	{ 0x3416d62c, "prepare_to_wait_event" },
	{ 0xf6491531, "__wake_up" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x37d490b8, "snd_register_oss_device" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-seq-device");


MODULE_INFO(srcversion, "54133D1C140BFECBAC0968D");

MODULE_INFO(suserelease, "SLFO-1.2");
