#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(snd_ump_endpoint_new, "_gpl", "");
KSYMTAB_FUNC(snd_ump_receive_ump_val, "_gpl", "");
KSYMTAB_FUNC(snd_ump_receive, "_gpl", "");
KSYMTAB_FUNC(snd_ump_transmit, "_gpl", "");
KSYMTAB_FUNC(snd_ump_block_new, "_gpl", "");
KSYMTAB_FUNC(snd_ump_update_group_attrs, "_gpl", "");
KSYMTAB_FUNC(snd_ump_switch_protocol, "_gpl", "");
KSYMTAB_FUNC(snd_ump_parse_endpoint, "_gpl", "");
KSYMTAB_FUNC(snd_ump_attach_legacy_rawmidi, "_gpl", "");
KSYMTAB_FUNC(snd_ump_convert_from_ump, "_gpl", "");
KSYMTAB_FUNC(snd_ump_convert_to_ump, "_gpl", "");

SYMBOL_CRC(snd_ump_endpoint_new, 0x6f07d1a4, "_gpl");
SYMBOL_CRC(snd_ump_receive_ump_val, 0x096aadde, "_gpl");
SYMBOL_CRC(snd_ump_receive, 0x5252eb73, "_gpl");
SYMBOL_CRC(snd_ump_transmit, 0x068d380b, "_gpl");
SYMBOL_CRC(snd_ump_block_new, 0xe9e64f6a, "_gpl");
SYMBOL_CRC(snd_ump_update_group_attrs, 0x061ba53f, "_gpl");
SYMBOL_CRC(snd_ump_switch_protocol, 0x91ec9186, "_gpl");
SYMBOL_CRC(snd_ump_parse_endpoint, 0x45d22335, "_gpl");
SYMBOL_CRC(snd_ump_attach_legacy_rawmidi, 0xbb2064db, "_gpl");
SYMBOL_CRC(snd_ump_convert_from_ump, 0x5b39d06f, "_gpl");
SYMBOL_CRC(snd_ump_convert_to_ump, 0x583d2fa4, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x54522a53, "snd_rawmidi_kernel_write" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x71b12b37, "_dev_info" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xb5e65864, "snd_rawmidi_new" },
	{ 0x26494e24, "snd_rawmidi_kernel_open" },
	{ 0x492e5a21, "snd_rawmidi_set_ops" },
	{ 0x167e7f9d, "__get_user_1" },
	{ 0x2b35a0e3, "snd_rawmidi_kernel_release" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0xc1fbbe7e, "snd_rawmidi_init" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x7ad7a5cd, "seq_printf" },
	{ 0x754d539c, "strlen" },
	{ 0x68af9467, "snd_device_register" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x1a169033, "snd_rawmidi_free" },
	{ 0xd2038049, "snd_rawmidi_receive" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x5c40861b, "snd_rawmidi_transmit" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xed7e700a, "snd_seq_device_new" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0x96848186, "scnprintf" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x3416d62c, "prepare_to_wait_event" },
	{ 0xf6491531, "__wake_up" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "snd-rawmidi,snd,snd-seq-device");


MODULE_INFO(srcversion, "28A98AA226DF44C69933000");

MODULE_INFO(suserelease, "SLFO-1.2");
