#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(snd_emu10k1_memblk_map, "", "");
KSYMTAB_FUNC(snd_emu10k1_synth_alloc, "", "");
KSYMTAB_FUNC(snd_emu10k1_synth_free, "", "");
KSYMTAB_FUNC(snd_emu10k1_synth_memset, "", "");
KSYMTAB_FUNC(snd_emu10k1_synth_copy_from_user, "", "");
KSYMTAB_FUNC(snd_emu10k1_voice_alloc, "", "");
KSYMTAB_FUNC(snd_emu10k1_voice_free, "", "");
KSYMTAB_FUNC(snd_emu10k1_ptr_read, "", "");
KSYMTAB_FUNC(snd_emu10k1_ptr_write, "", "");
KSYMTAB_FUNC(snd_emu10k1_ptr_write_multiple, "", "");

SYMBOL_CRC(snd_emu10k1_memblk_map, 0x8da59a0b, "");
SYMBOL_CRC(snd_emu10k1_synth_alloc, 0xf50e4bbb, "");
SYMBOL_CRC(snd_emu10k1_synth_free, 0xb384cb64, "");
SYMBOL_CRC(snd_emu10k1_synth_memset, 0xa73b579a, "");
SYMBOL_CRC(snd_emu10k1_synth_copy_from_user, 0xdaa26c63, "");
SYMBOL_CRC(snd_emu10k1_voice_alloc, 0x435aad20, "");
SYMBOL_CRC(snd_emu10k1_voice_free, 0x637aae5a, "");
SYMBOL_CRC(snd_emu10k1_ptr_read, 0x22d4289b, "");
SYMBOL_CRC(snd_emu10k1_ptr_write, 0xde4ac9ab, "");
SYMBOL_CRC(snd_emu10k1_ptr_write_multiple, 0x7f697843, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0xe001667b, "snd_pcm_hw_rule_noresample" },
	{ 0x11da2d37, "snd_ac97_read" },
	{ 0xf9a482f9, "msleep" },
	{ 0x24a94b26, "snd_info_get_line" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xe914e41e, "strcpy" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd2038049, "snd_rawmidi_receive" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xe8ee3f73, "snd_dma_alloc_dir_pages" },
	{ 0xd0934899, "devm_request_threaded_irq" },
	{ 0xe5eb5fd0, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x5c40861b, "snd_rawmidi_transmit" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xe53097c2, "snd_ac97_write_cache" },
	{ 0x81f7ba36, "snd_ctl_add" },
	{ 0xa20bbc65, "snd_ac97_resume" },
	{ 0x90d2235a, "snd_pcm_new" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xed7e700a, "snd_seq_device_new" },
	{ 0xcc63e15e, "snd_card_register" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xacf7e913, "request_firmware" },
	{ 0xe9e04fc0, "snd_devm_alloc_dir_pages" },
	{ 0xd1ffe315, "__pci_register_driver" },
	{ 0x345b470e, "snd_pcm_hw_constraint_minmax" },
	{ 0x2e1681cf, "snd_pcm_set_sync_per_card" },
	{ 0xcf1ae00b, "snd_timer_interrupt" },
	{ 0x1c137c19, "param_array_ops" },
	{ 0x18b00c43, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfba13220, "snd_card_rw_proc_new" },
	{ 0xac6017c0, "snd_ac97_update_bits" },
	{ 0xd48cc20c, "snd_ac97_mixer" },
	{ 0xf6491531, "__wake_up" },
	{ 0xdfdce546, "snd_sgbuf_get_addr" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0xea825074, "snd_ctl_remove" },
	{ 0xba926e07, "snd_ac97_bus" },
	{ 0x1490b849, "snd_ctl_find_id" },
	{ 0xb6e3c8cb, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x127572c3, "pci_read_config_dword" },
	{ 0xf224f7d5, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xed63c67b, "snd_ctl_new1" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa2996c23, "snd_ctl_remove_id" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x71b12b37, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x6702c702, "iommu_get_domain_for_dev" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0x36b2bcb1, "snd_ac97_suspend" },
	{ 0xc3a078b6, "snd_pcm_lib_malloc_pages" },
	{ 0x3df88d10, "__snd_util_mem_alloc" },
	{ 0xaceab607, "snd_ctl_boolean_mono_info" },
	{ 0xc8240d31, "_dev_err" },
	{ 0xaabc957a, "snd_util_memhdr_new" },
	{ 0x3bff29eb, "snd_pcm_lib_ioctl" },
	{ 0xe3f28709, "snd_pcm_lib_free_pages" },
	{ 0xff860f91, "snd_hwdep_new" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x6e1341a1, "pci_read_config_word" },
	{ 0xa5268075, "snd_ctl_notify" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x7df92e9f, "snd_pcm_set_ops" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x37c81a4c, "snd_pcm_set_managed_buffer" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xf3339952, "snd_timer_new" },
	{ 0x2c0c897d, "snd_ctl_rename" },
	{ 0xc10ec8dd, "snd_pcm_hw_constraint_list" },
	{ 0x60aa1a3a, "snd_ac97_update" },
	{ 0x7615c3f2, "snd_pcm_set_managed_buffer_all" },
	{ 0xb9638db4, "snd_pcm_rate_to_rate_bit" },
	{ 0xfb578fc5, "memset" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0x83358fe5, "pci_set_master" },
	{ 0x61e00f48, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xb5e65864, "snd_rawmidi_new" },
	{ 0xaf36c569, "dma_set_coherent_mask" },
	{ 0x25fca549, "snd_pcm_hw_constraint_integer" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe5f70b80, "_dev_notice" },
	{ 0xe9e44a87, "__snd_util_mem_free" },
	{ 0x492e5a21, "snd_rawmidi_set_ops" },
	{ 0x30bedcfd, "snd_pcm_lib_preallocate_pages" },
	{ 0x999e8297, "vfree" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x9199b9f0, "param_ops_bool" },
	{ 0xd493acce, "snd_devm_card_new" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7ad7a5cd, "seq_printf" },
	{ 0xa5c54a48, "snd_util_memhdr_free" },
	{ 0x7d229e4f, "snd_info_create_card_entry" },
	{ 0xa7524338, "dma_set_mask" },
	{ 0x19deb96e, "snd_device_free" },
	{ 0xdbd55bc2, "snd_pcm_period_elapsed" },
	{ 0x14ad4ba3, "__snd_util_memblk_new" },
	{ 0x754d539c, "strlen" },
	{ 0xf2203c5f, "param_ops_int" },
	{ 0x701c7b05, "pcim_enable_device" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,snd-ac97-codec,snd,snd-rawmidi,snd-seq-device,snd-timer,snd-util-mem,snd-hwdep");

MODULE_ALIAS("pci:v00001102d00000002sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001102d00000004sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001102d00000008sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "095F33098D9B3DE44D0BCE1");

MODULE_INFO(suserelease, "SLFO-1.2");
