#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(snd_hda_gen_spec_init, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_add_kctl, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_path_idx, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_path_from_idx, "_gpl", "");
KSYMTAB_FUNC(snd_hda_add_new_path, "_gpl", "");
KSYMTAB_FUNC(snd_hda_activate_path, "_gpl", "");
KSYMTAB_DATA(hda_main_out_badness, "_gpl", "");
KSYMTAB_DATA(hda_extra_out_badness, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_add_mute_led_cdev, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_add_micmute_led_cdev, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_fix_pin_power, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_update_outputs, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_hp_automute, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_line_automute, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_mic_autoswitch, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_path_power_filter, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_stream_pm, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_shutup_speakers, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_parse_auto_config, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_build_controls, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_build_pcms, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_init, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_free, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_check_power_status, "_gpl", "");

SYMBOL_CRC(snd_hda_gen_spec_init, 0xeef1fa67, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_kctl, 0xc094a687, "_gpl");
SYMBOL_CRC(snd_hda_get_path_idx, 0xa450a6ac, "_gpl");
SYMBOL_CRC(snd_hda_get_path_from_idx, 0xefbd60b1, "_gpl");
SYMBOL_CRC(snd_hda_add_new_path, 0xbd656be1, "_gpl");
SYMBOL_CRC(snd_hda_activate_path, 0x83abaaf8, "_gpl");
SYMBOL_CRC(hda_main_out_badness, 0x76dc6871, "_gpl");
SYMBOL_CRC(hda_extra_out_badness, 0x871a6e44, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_mute_led_cdev, 0x761d4530, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_micmute_led_cdev, 0x9188f758, "_gpl");
SYMBOL_CRC(snd_hda_gen_fix_pin_power, 0xfbe8dc36, "_gpl");
SYMBOL_CRC(snd_hda_gen_update_outputs, 0xddbb4982, "_gpl");
SYMBOL_CRC(snd_hda_gen_hp_automute, 0x3885d8c5, "_gpl");
SYMBOL_CRC(snd_hda_gen_line_automute, 0x88af3c43, "_gpl");
SYMBOL_CRC(snd_hda_gen_mic_autoswitch, 0x6c7bc179, "_gpl");
SYMBOL_CRC(snd_hda_gen_path_power_filter, 0x600dcb7f, "_gpl");
SYMBOL_CRC(snd_hda_gen_stream_pm, 0x1bc24b3e, "_gpl");
SYMBOL_CRC(snd_hda_gen_shutup_speakers, 0xe36d38d0, "_gpl");
SYMBOL_CRC(snd_hda_gen_parse_auto_config, 0xcee34db0, "_gpl");
SYMBOL_CRC(snd_hda_gen_build_controls, 0x5d9f82f0, "_gpl");
SYMBOL_CRC(snd_hda_gen_build_pcms, 0xaa6af46d, "_gpl");
SYMBOL_CRC(snd_hda_gen_init, 0x59b29dbc, "_gpl");
SYMBOL_CRC(snd_hda_gen_free, 0x8bf76b49, "_gpl");
SYMBOL_CRC(snd_hda_gen_check_power_status, 0x2424cd8c, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd727253e, "snd_hda_sync_vmaster_hook" },
	{ 0x55469060, "snd_hda_apply_fixup" },
	{ 0x5a4dc645, "snd_hda_enum_helper_info" },
	{ 0x9b0f5d02, "snd_hda_get_default_vref" },
	{ 0x9a8e1877, "snd_array_free" },
	{ 0x754d539c, "strlen" },
	{ 0x314a05cc, "snd_hdac_codec_read" },
	{ 0xe6e02816, "snd_hda_mixer_amp_volume_put" },
	{ 0xf8dc35ac, "snd_hda_input_mux_info" },
	{ 0x384f0694, "snd_hda_multi_out_dig_prepare" },
	{ 0x349cba85, "strchr" },
	{ 0x3e312771, "snd_hda_codec_get_pin_target" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xdaaf831c, "snd_hdac_regmap_sync" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xfaf598c6, "snd_ctl_request_layer" },
	{ 0xaec6478f, "snd_hda_apply_verbs" },
	{ 0x8b3fd74f, "snd_hda_codec_amp_update" },
	{ 0xaeeb7b3a, "snd_hda_add_new_ctls" },
	{ 0x4945c730, "snd_hda_get_connections" },
	{ 0x97d24462, "snd_hda_codec_amp_init_stereo" },
	{ 0x9c66e6c0, "snd_hda_set_vmaster_tlv" },
	{ 0xad686770, "hda_get_autocfg_input_label" },
	{ 0x788f9512, "query_amp_caps" },
	{ 0x3cb06817, "devm_kmalloc" },
	{ 0x38e73bff, "snd_hda_mixer_amp_volume_info" },
	{ 0xf46694ea, "snd_hdac_regmap_read_raw" },
	{ 0xaf322cd0, "snd_hda_jack_detect_state_mst" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf753aa2e, "snd_hda_codec_setup_stream" },
	{ 0xc88bb0c5, "snd_hda_mixer_amp_switch_info" },
	{ 0x346e2569, "hda_codec_driver_unregister" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0x2d3b03a6, "snd_hda_codec_get_pincfg" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x19fc26b4, "snd_hdac_codec_write" },
	{ 0x96848186, "scnprintf" },
	{ 0xf9771b2b, "snd_hda_jack_tbl_get_mst" },
	{ 0x3889c102, "snd_hda_multi_out_dig_open" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdde97a4d, "snd_hda_add_vmaster_hook" },
	{ 0x37a0cba, "kfree" },
	{ 0x10dc7c41, "led_classdev_unregister" },
	{ 0x61ecfd4, "snd_hda_codec_pcm_new" },
	{ 0x5889a2bd, "__snd_hda_codec_cleanup_stream" },
	{ 0xaa36853f, "snd_ctl_sync_vmaster" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0xb205bb8e, "snd_hda_multi_out_dig_cleanup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x705aeb91, "snd_hda_get_pin_label" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb9af5a6e, "snd_hda_add_imux_item" },
	{ 0xac310058, "snd_hda_correct_pin_ctl" },
	{ 0x68514625, "_snd_hdac_read_parm" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0xa2394bd5, "snd_hda_create_dig_out_ctls" },
	{ 0x1e11687d, "snd_hda_multi_out_dig_close" },
	{ 0x666b7f, "snd_hda_get_conn_index" },
	{ 0x7fdf7b80, "snd_hda_multi_out_analog_open" },
	{ 0xc8cf27e1, "snd_hda_get_bool_hint" },
	{ 0xfc92582e, "snd_hda_create_spdif_share_sw" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x55d55f36, "snd_hda_find_mixer_ctl" },
	{ 0xef2eea38, "snd_hda_get_int_hint" },
	{ 0xc8240d31, "_dev_err" },
	{ 0xdf7cc8ed, "__hda_codec_driver_register" },
	{ 0xb7c0f443, "sort" },
	{ 0x3cc5e56b, "snd_hda_parse_pin_defcfg" },
	{ 0x69336f90, "snd_hda_codec_amp_init" },
	{ 0xd79a40dc, "snd_hda_create_spdif_in_ctls" },
	{ 0x3ab55314, "is_jack_detectable" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x79f7c77, "snd_hda_multi_out_analog_cleanup" },
	{ 0xbcdb1e7, "snd_hda_multi_out_analog_prepare" },
	{ 0xfe438214, "snd_ctl_boolean_stereo_info" },
	{ 0xb318e74c, "snd_hda_get_conn_list" },
	{ 0x1e0b1f45, "snd_hda_mixer_amp_switch_get" },
	{ 0x8b73a46b, "snd_hda_codec_set_pin_target" },
	{ 0xd0e19135, "led_classdev_register_ext" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x2b8b9c7, "snd_hda_attach_beep_device" },
	{ 0x9a97d614, "_snd_hda_set_pin_ctl" },
	{ 0x11089ac7, "_ctype" },
	{ 0x572a9326, "snd_hdac_regmap_write_raw" },
	{ 0xee67947f, "snd_hda_mixer_amp_volume_get" },
	{ 0x635a1dec, "snd_hda_jack_detect_enable_callback_mst" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0x772ca25a, "snd_hda_check_amp_caps" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x168ca32c, "snd_hda_mixer_amp_switch_put" },
	{ 0xe118de5d, "snd_pcm_2_1_chmaps" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xabe10dd5, "snd_hda_jack_unsol_event" },
	{ 0xfd28a2eb, "snd_hda_check_amp_list_power" },
	{ 0x676f5ac, "snd_hda_get_input_pin_attr" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x265d8dfe, "snd_hda_mixer_amp_tlv" },
	{ 0x8763e88a, "snd_hda_jack_add_kctls" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbe7dd7dc, "snd_array_new" },
	{ 0xaad66040, "__snd_hda_add_vmaster" },
	{ 0xbbeff315, "snd_hda_codec_amp_stereo" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-codec,snd-hda-core,snd");

MODULE_ALIAS("hdaudio:v00000201r*a01*");

MODULE_INFO(srcversion, "0C63568A6259984F6E3A5C8");

MODULE_INFO(suserelease, "SLFO-1.2");
