#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cs35l41_hda_probe, "_gpl", "SND_HDA_SCODEC_CS35L41");
KSYMTAB_FUNC(cs35l41_hda_remove, "_gpl", "SND_HDA_SCODEC_CS35L41");
KSYMTAB_DATA(cs35l41_hda_pm_ops, "_gpl", "SND_HDA_SCODEC_CS35L41");

SYMBOL_CRC(cs35l41_hda_probe, 0x7499af23, "_gpl");
SYMBOL_CRC(cs35l41_hda_remove, 0xcbf3f945, "_gpl");
SYMBOL_CRC(cs35l41_hda_pm_ops, 0x4ef8d83f, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9d3d08f0, "put_device" },
	{ 0x6d93b33b, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0x482c4c78, "fwnode_gpiod_get_index" },
	{ 0x64580cf8, "device_property_read_u32_array" },
	{ 0x71b12b37, "_dev_info" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0x51085e3, "lock_system_sleep" },
	{ 0x893c5ddb, "unlock_system_sleep" },
	{ 0xaceab607, "snd_ctl_boolean_mono_info" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x4e7c3cb8, "devm_acpi_dev_add_driver_gpios" },
	{ 0xec083b74, "devm_kfree" },
	{ 0xc8240d31, "_dev_err" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xdf0d66e9, "cs_dsp_halo_init" },
	{ 0x1e143911, "cs_dsp_power_down" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x846b2641, "device_link_remove" },
	{ 0x5a5b885c, "cs35l41_test_key_unlock" },
	{ 0xb5c8639e, "cs35l41_test_key_lock" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x5868d5b0, "cs_dsp_remove" },
	{ 0x11089ac7, "_ctype" },
	{ 0x389e86c7, "cs35l41_safe_reset" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0x190427cb, "acpi_get_first_physical_node" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa718d017, "cs_dsp_power_up" },
	{ 0x89e1ec9d, "acpi_get_subsystem_id" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x9f62ea47, "cs35l41_otp_unpack" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x792c9efe, "devm_kasprintf" },
	{ 0xea54d6e5, "devm_regmap_add_irq_chip" },
	{ 0xa862a399, "cs35l41_exit_hibernate" },
	{ 0x7cb5cc98, "spi_setup" },
	{ 0x29f8f608, "regmap_read" },
	{ 0xbe50d96d, "cs_dsp_run" },
	{ 0xd5dcc637, "__pm_runtime_resume" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0xc23734c1, "cs_amp_write_cal_coeffs" },
	{ 0x5444f654, "cs35l41_set_cspl_mbox_cmd" },
	{ 0x9199b9f0, "param_ops_bool" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x7eec771f, "cs35l41_write_fs_errata" },
	{ 0xacdb3104, "pm_runtime_force_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x1ba0bd5c, "cs35l41_configure_cs_dsp" },
	{ 0xbdbaee9d, "_dev_crit" },
	{ 0x2c56a64a, "regmap_update_bits_base" },
	{ 0x716b4fac, "dev_err_probe" },
	{ 0x3e39abe4, "regmap_multi_reg_write" },
	{ 0xdd18a993, "acpi_check_dsm" },
	{ 0xdf0614a1, "__pm_runtime_suspend" },
	{ 0x3498c1b1, "component_add" },
	{ 0x972fec3a, "__pm_runtime_use_autosuspend" },
	{ 0x81ebe4dc, "cs35l41_set_channels" },
	{ 0xf40beb46, "__pm_runtime_disable" },
	{ 0xf9b10b1c, "device_link_add" },
	{ 0x44f6e30b, "pm_runtime_force_suspend" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x2b707546, "hda_cs_dsp_fw_ids" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe92ff6ad, "cs35l41_gpio_config" },
	{ 0x57f70a27, "acpi_dev_get_first_match_dev" },
	{ 0xee22e89a, "gpiod_get_value_cansleep" },
	{ 0x1690f461, "cs35l41_global_enable" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x4cf7e03, "regcache_cache_only" },
	{ 0x187dccfa, "is_acpi_device_node" },
	{ 0x77ec3bf9, "gpiod_put" },
	{ 0x2c706b5c, "regcache_sync" },
	{ 0xf118ab39, "regmap_write" },
	{ 0xd0934899, "devm_request_threaded_irq" },
	{ 0x3cb06817, "devm_kmalloc" },
	{ 0xc3cd0d24, "cs_amp_get_efi_calibration_data" },
	{ 0x9b20e596, "firmware_request_nowarn" },
	{ 0x55784228, "regmap_irq_get_virq" },
	{ 0x81f7ba36, "snd_ctl_add" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa92180ac, "gpiod_count" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1f5a7c00, "cs_dsp_stop" },
	{ 0xf42ab0a3, "pm_runtime_set_autosuspend_delay" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0x9e09da61, "cs35l41_register_errata_patch" },
	{ 0xd72a607b, "gpiod_set_value_cansleep" },
	{ 0x96848186, "scnprintf" },
	{ 0x8727616e, "gpiod_get_index" },
	{ 0xaa4adb7a, "component_del" },
	{ 0x37a0cba, "kfree" },
	{ 0x664863f3, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xa6b9479, "cs35l41_init_boost" },
	{ 0x6f7f8471, "cs35l41_enter_hibernate" },
	{ 0x8576e767, "get_device" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5a3ff824, "hda_cs_dsp_read_ctl" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x478dcfc2, "__pm_runtime_set_status" },
	{ 0xed63c67b, "snd_ctl_new1" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "snd,cs_dsp,snd-soc-cs35l41-lib,snd-soc-cs-amp-lib,snd-hda-cs-dsp-ctls");


MODULE_INFO(srcversion, "71ADBBD01A91D6D9B97897E");

MODULE_INFO(suserelease, "SLFO-1.2");
