#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cs35l56_hda_common_probe, "_gpl", "SND_HDA_SCODEC_CS35L56");
KSYMTAB_FUNC(cs35l56_hda_remove, "_gpl", "SND_HDA_SCODEC_CS35L56");
KSYMTAB_DATA(cs35l56_hda_pm_ops, "_gpl", "SND_HDA_SCODEC_CS35L56");

SYMBOL_CRC(cs35l56_hda_common_probe, 0xbee23188, "_gpl");
SYMBOL_CRC(cs35l56_hda_remove, 0x8203728d, "_gpl");
SYMBOL_CRC(cs35l56_hda_pm_ops, 0xe22cd557, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0xea825074, "snd_ctl_remove" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc61d0a38, "cs35l56_get_calibration" },
	{ 0x478dcfc2, "__pm_runtime_set_status" },
	{ 0xed63c67b, "snd_ctl_new1" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6d93b33b, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0x64580cf8, "device_property_read_u32_array" },
	{ 0x71b12b37, "_dev_info" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xee189c80, "cs35l56_init_cs_dsp" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x5c2529e, "cs35l56_tx_input_values" },
	{ 0x64e759e4, "cs35l56_tx_input_texts" },
	{ 0xfa4d22d, "cs35l56_calibration_controls" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xdf0d66e9, "cs_dsp_halo_init" },
	{ 0x1e143911, "cs_dsp_power_down" },
	{ 0x6de67898, "debugfs_remove" },
	{ 0xb5bfa5b2, "cs35l56_runtime_suspend_common" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x5868d5b0, "cs_dsp_remove" },
	{ 0x11089ac7, "_ctype" },
	{ 0x4cc00829, "cs35l56_mbox_send" },
	{ 0x2d17ac9b, "cs35l56_hw_init" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0xd2d84eaa, "cs35l56_read_prot_status" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa718d017, "cs_dsp_power_up" },
	{ 0xc7978915, "cs35l56_system_reset" },
	{ 0x89e1ec9d, "acpi_get_subsystem_id" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x41dacbea, "cs35l56_wait_for_firmware_boot" },
	{ 0x792c9efe, "devm_kasprintf" },
	{ 0xce790641, "cs35l56_set_patch" },
	{ 0xad591ce8, "cs35l56_wait_control_port_ready" },
	{ 0x4c6516c9, "cs35l56_is_fw_reload_needed" },
	{ 0x29f8f608, "regmap_read" },
	{ 0xbe50d96d, "cs_dsp_run" },
	{ 0xd5dcc637, "__pm_runtime_resume" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0xc23734c1, "cs_amp_write_cal_coeffs" },
	{ 0xacdb3104, "pm_runtime_force_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x4bd67ce2, "cs35l56_runtime_resume_common" },
	{ 0x2c56a64a, "regmap_update_bits_base" },
	{ 0x716b4fac, "dev_err_probe" },
	{ 0x3e39abe4, "regmap_multi_reg_write" },
	{ 0xdf0614a1, "__pm_runtime_suspend" },
	{ 0x3498c1b1, "component_add" },
	{ 0xbda93190, "set_primary_fwnode" },
	{ 0x972fec3a, "__pm_runtime_use_autosuspend" },
	{ 0xbcbed264, "devm_gpiod_get_index_optional" },
	{ 0xf40beb46, "__pm_runtime_disable" },
	{ 0xd20f3ddd, "debugfs_create_dir" },
	{ 0x66aa45dd, "cs35l56_firmware_shutdown" },
	{ 0x44f6e30b, "pm_runtime_force_suspend" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x66ebde19, "__pm_runtime_idle" },
	{ 0xfb09c81, "cirrus_scodec_get_speaker_id" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x57f70a27, "acpi_dev_get_first_match_dev" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x4cf7e03, "regcache_cache_only" },
	{ 0x187dccfa, "is_acpi_device_node" },
	{ 0x2c706b5c, "regcache_sync" },
	{ 0xf118ab39, "regmap_write" },
	{ 0x810124fe, "cs35l56_wait_min_reset_pulse" },
	{ 0x9b20e596, "firmware_request_nowarn" },
	{ 0x81f7ba36, "snd_ctl_add" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x7a5abfec, "cs_dsp_cleanup_debugfs" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1f5a7c00, "cs_dsp_stop" },
	{ 0xf42ab0a3, "pm_runtime_set_autosuspend_delay" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xd72a607b, "gpiod_set_value_cansleep" },
	{ 0xaa4adb7a, "component_del" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x5c11eb98, "sound_debugfs_root" },
	{ 0x664863f3, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8cb1cf16, "cs_dsp_init_debugfs" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-soc-cs35l56-shared,cs_dsp,snd-soc-cs-amp-lib,snd-hda-cirrus-scodec");


MODULE_INFO(srcversion, "E7DB57D93E3B591C183FBF8");

MODULE_INFO(suserelease, "SLFO-1.2");
