#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(oxygen_read8, "", "");
KSYMTAB_FUNC(oxygen_read16, "", "");
KSYMTAB_FUNC(oxygen_read32, "", "");
KSYMTAB_FUNC(oxygen_write8, "", "");
KSYMTAB_FUNC(oxygen_write16, "", "");
KSYMTAB_FUNC(oxygen_write32, "", "");
KSYMTAB_FUNC(oxygen_write8_masked, "", "");
KSYMTAB_FUNC(oxygen_write16_masked, "", "");
KSYMTAB_FUNC(oxygen_write32_masked, "", "");
KSYMTAB_FUNC(oxygen_write_ac97, "", "");
KSYMTAB_FUNC(oxygen_read_ac97, "", "");
KSYMTAB_FUNC(oxygen_write_ac97_masked, "", "");
KSYMTAB_FUNC(oxygen_write_spi, "", "");
KSYMTAB_FUNC(oxygen_write_i2c, "", "");
KSYMTAB_FUNC(oxygen_reset_uart, "", "");
KSYMTAB_FUNC(oxygen_write_uart, "", "");
KSYMTAB_FUNC(oxygen_pci_probe, "", "");
KSYMTAB_DATA(oxygen_pci_pm, "", "");
KSYMTAB_FUNC(oxygen_pci_shutdown, "", "");
KSYMTAB_FUNC(oxygen_update_dac_routing, "", "");

SYMBOL_CRC(oxygen_read8, 0x908c74de, "");
SYMBOL_CRC(oxygen_read16, 0xdee1d494, "");
SYMBOL_CRC(oxygen_read32, 0xedf1bd0b, "");
SYMBOL_CRC(oxygen_write8, 0x7631384c, "");
SYMBOL_CRC(oxygen_write16, 0x2375c9f1, "");
SYMBOL_CRC(oxygen_write32, 0x9a69f117, "");
SYMBOL_CRC(oxygen_write8_masked, 0x89324fc7, "");
SYMBOL_CRC(oxygen_write16_masked, 0x556dc04a, "");
SYMBOL_CRC(oxygen_write32_masked, 0x4dc2c71b, "");
SYMBOL_CRC(oxygen_write_ac97, 0x919d6855, "");
SYMBOL_CRC(oxygen_read_ac97, 0x31b20f79, "");
SYMBOL_CRC(oxygen_write_ac97_masked, 0x7ae44bf4, "");
SYMBOL_CRC(oxygen_write_spi, 0x0cb1a950, "");
SYMBOL_CRC(oxygen_write_i2c, 0x111174ce, "");
SYMBOL_CRC(oxygen_reset_uart, 0x5d31cdf3, "");
SYMBOL_CRC(oxygen_write_uart, 0x56dfa50d, "");
SYMBOL_CRC(oxygen_pci_probe, 0xe4af4d77, "");
SYMBOL_CRC(oxygen_pci_pm, 0x643a8d94, "");
SYMBOL_CRC(oxygen_pci_shutdown, 0x8ef3acde, "");
SYMBOL_CRC(oxygen_update_dac_routing, 0x97fde50f, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x71656afb, "mutex_unlock" },
	{ 0xd493acce, "snd_devm_card_new" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x7ad7a5cd, "seq_printf" },
	{ 0x529005ea, "snd_mpu401_uart_new" },
	{ 0x1c2342e9, "pci_match_id" },
	{ 0x20e107e1, "snd_pcm_hw_constraint_msbits" },
	{ 0xdbd55bc2, "snd_pcm_period_elapsed" },
	{ 0x81188c30, "match_string" },
	{ 0x5372254f, "snd_pcm_hw_constraint_step" },
	{ 0x754d539c, "strlen" },
	{ 0x701c7b05, "pcim_enable_device" },
	{ 0xc01defd9, "pci_write_config_word" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x18b6678f, "pci_write_config_dword" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xd0934899, "devm_request_threaded_irq" },
	{ 0x3cb06817, "devm_kmalloc" },
	{ 0x81f7ba36, "snd_ctl_add" },
	{ 0x90d2235a, "snd_pcm_new" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xcc63e15e, "snd_card_register" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0x18b00c43, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0xde9436d5, "snd_card_free_on_error" },
	{ 0xfba13220, "snd_card_rw_proc_new" },
	{ 0x3416d62c, "prepare_to_wait_event" },
	{ 0xf6491531, "__wake_up" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x127572c3, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xed63c67b, "snd_ctl_new1" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3476b231, "snd_component_add" },
	{ 0xa916b694, "strnlen" },
	{ 0x71b12b37, "_dev_info" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xaceab607, "snd_ctl_boolean_mono_info" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0xa5268075, "snd_ctl_notify" },
	{ 0x7df92e9f, "snd_pcm_set_ops" },
	{ 0x37c81a4c, "snd_pcm_set_managed_buffer" },
	{ 0x3edbc68d, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x7615c3f2, "snd_pcm_set_managed_buffer_all" },
	{ 0xc0fec227, "snd_mpu401_uart_interrupt" },
	{ 0x83358fe5, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-mpu401-uart,snd-pcm");


MODULE_INFO(srcversion, "7F1C9A83DA5732EA6CB6EEA");

MODULE_INFO(suserelease, "SLFO-1.2");
