#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(cs35l41_regmap_i2c, "_gpl", "");
KSYMTAB_DATA(cs35l41_regmap_spi, "_gpl", "");
KSYMTAB_FUNC(cs35l41_test_key_unlock, "_gpl", "");
KSYMTAB_FUNC(cs35l41_test_key_lock, "_gpl", "");
KSYMTAB_FUNC(cs35l41_otp_unpack, "_gpl", "");
KSYMTAB_FUNC(cs35l41_register_errata_patch, "_gpl", "");
KSYMTAB_FUNC(cs35l41_set_channels, "_gpl", "");
KSYMTAB_FUNC(cs35l41_init_boost, "_gpl", "");
KSYMTAB_FUNC(cs35l41_safe_reset, "_gpl", "");
KSYMTAB_FUNC(cs35l41_global_enable, "_gpl", "");
KSYMTAB_FUNC(cs35l41_mdsync_up, "_gpl", "");
KSYMTAB_FUNC(cs35l41_gpio_config, "_gpl", "");
KSYMTAB_FUNC(cs35l41_configure_cs_dsp, "_gpl", "");
KSYMTAB_FUNC(cs35l41_set_cspl_mbox_cmd, "_gpl", "");
KSYMTAB_FUNC(cs35l41_write_fs_errata, "_gpl", "");
KSYMTAB_FUNC(cs35l41_enter_hibernate, "_gpl", "");
KSYMTAB_FUNC(cs35l41_exit_hibernate, "_gpl", "");

SYMBOL_CRC(cs35l41_regmap_i2c, 0x21368a0b, "_gpl");
SYMBOL_CRC(cs35l41_regmap_spi, 0x97638cd4, "_gpl");
SYMBOL_CRC(cs35l41_test_key_unlock, 0x5a5b885c, "_gpl");
SYMBOL_CRC(cs35l41_test_key_lock, 0xb5c8639e, "_gpl");
SYMBOL_CRC(cs35l41_otp_unpack, 0x9f62ea47, "_gpl");
SYMBOL_CRC(cs35l41_register_errata_patch, 0x9e09da61, "_gpl");
SYMBOL_CRC(cs35l41_set_channels, 0x81ebe4dc, "_gpl");
SYMBOL_CRC(cs35l41_init_boost, 0x0a6b9479, "_gpl");
SYMBOL_CRC(cs35l41_safe_reset, 0x389e86c7, "_gpl");
SYMBOL_CRC(cs35l41_global_enable, 0x1690f461, "_gpl");
SYMBOL_CRC(cs35l41_mdsync_up, 0x36c475ff, "_gpl");
SYMBOL_CRC(cs35l41_gpio_config, 0xe92ff6ad, "_gpl");
SYMBOL_CRC(cs35l41_configure_cs_dsp, 0x1ba0bd5c, "_gpl");
SYMBOL_CRC(cs35l41_set_cspl_mbox_cmd, 0x5444f654, "_gpl");
SYMBOL_CRC(cs35l41_write_fs_errata, 0x7eec771f, "_gpl");
SYMBOL_CRC(cs35l41_enter_hibernate, 0x6f7f8471, "_gpl");
SYMBOL_CRC(cs35l41_exit_hibernate, 0xa862a399, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x29f8f608, "regmap_read" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x651b3fa2, "regmap_bulk_read" },
	{ 0x2c56a64a, "regmap_update_bits_base" },
	{ 0x3e39abe4, "regmap_multi_reg_write" },
	{ 0xc7c145c5, "regmap_register_patch" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xf118ab39, "regmap_write" },
	{ 0x37a0cba, "kfree" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "8C0FE5DE002EC302DD0C835");

MODULE_INFO(suserelease, "SLFO-1.2");
