#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cs35l45_probe, "_gpl", "SND_SOC_CS35L45");
KSYMTAB_FUNC(cs35l45_remove, "_gpl", "SND_SOC_CS35L45");
KSYMTAB_DATA(cs35l45_pm_ops, "_gpl", "");
KSYMTAB_FUNC(cs35l45_apply_patch, "_gpl", "SND_SOC_CS35L45");
KSYMTAB_DATA(cs35l45_i2c_regmap, "_gpl", "SND_SOC_CS35L45");
KSYMTAB_DATA(cs35l45_spi_regmap, "_gpl", "SND_SOC_CS35L45");
KSYMTAB_FUNC(cs35l45_get_clk_freq_id, "_gpl", "SND_SOC_CS35L45");

SYMBOL_CRC(cs35l45_probe, 0xb9a59294, "_gpl");
SYMBOL_CRC(cs35l45_remove, 0xa4857d25, "_gpl");
SYMBOL_CRC(cs35l45_pm_ops, 0x12483ad9, "_gpl");
SYMBOL_CRC(cs35l45_apply_patch, 0xfba979b3, "_gpl");
SYMBOL_CRC(cs35l45_i2c_regmap, 0xb7afab63, "_gpl");
SYMBOL_CRC(cs35l45_spi_regmap, 0xf4976a2f, "_gpl");
SYMBOL_CRC(cs35l45_get_clk_freq_id, 0xb3b217a7, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbf30954d, "devm_regulator_get" },
	{ 0x6b891b5f, "snd_soc_component_disable_pin_unlocked" },
	{ 0x71b12b37, "_dev_info" },
	{ 0x8dbd3e51, "snd_soc_info_volsw" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x866d889b, "wm_adsp_event" },
	{ 0x97798f6, "snd_soc_dapm_put_volsw" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0xa5268075, "snd_ctl_notify" },
	{ 0xc8216fc0, "wm_adsp_fw_enum" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0x6cb3b016, "wm_adsp2_component_probe" },
	{ 0x9d31acb4, "wm_adsp2_preloader_put" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6d4701a8, "wm_adsp2_preloader_get" },
	{ 0x6a675c41, "snd_soc_info_enum_double" },
	{ 0xdf108f6a, "wm_adsp2_component_remove" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xea54d6e5, "devm_regmap_add_irq_chip" },
	{ 0x943c95c4, "snd_soc_get_volsw" },
	{ 0x29f8f608, "regmap_read" },
	{ 0xafb808, "snd_soc_put_volsw" },
	{ 0x1323a36b, "wm_adsp_fw_get" },
	{ 0xd5dcc637, "__pm_runtime_resume" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x9391f4dc, "snd_soc_component_enable_pin_unlocked" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x651b3fa2, "regmap_bulk_read" },
	{ 0x2c56a64a, "regmap_update_bits_base" },
	{ 0x39a005f4, "regulator_disable" },
	{ 0x716b4fac, "dev_err_probe" },
	{ 0x3e39abe4, "regmap_multi_reg_write" },
	{ 0x75bf50c2, "snd_soc_dapm_get_volsw" },
	{ 0xdf0614a1, "__pm_runtime_suspend" },
	{ 0xc7c145c5, "regmap_register_patch" },
	{ 0x7dcb8013, "snd_soc_dapm_get_enum_double" },
	{ 0x972fec3a, "__pm_runtime_use_autosuspend" },
	{ 0xcc61eaf9, "wm_halo_init" },
	{ 0xbcd8fce5, "wm_adsp_early_event" },
	{ 0xf40beb46, "__pm_runtime_disable" },
	{ 0x6c456e7b, "snd_soc_tdm_params_to_bclk" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xd557316f, "snd_soc_dapm_put_enum_double" },
	{ 0xe3550e77, "wm_adsp_fw_put" },
	{ 0xd2b77aba, "regulator_enable" },
	{ 0x4cf7e03, "regcache_cache_only" },
	{ 0x2c706b5c, "regcache_sync" },
	{ 0xf118ab39, "regmap_write" },
	{ 0xd0934899, "devm_request_threaded_irq" },
	{ 0x55784228, "regmap_irq_get_virq" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x9f3cacae, "snd_soc_component_get_kcontrol" },
	{ 0xf42ab0a3, "pm_runtime_set_autosuspend_delay" },
	{ 0xd72a607b, "gpiod_set_value_cansleep" },
	{ 0xed6b5c7, "wm_adsp2_remove" },
	{ 0x6bce9330, "snd_soc_dapm_sync_unlocked" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x664863f3, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc435d824, "devm_gpiod_get_optional" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x478dcfc2, "__pm_runtime_set_status" },
	{ 0xfad49bbd, "devm_snd_soc_register_component" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6d93b33b, "pm_runtime_enable" },
	{ 0x64580cf8, "device_property_read_u32_array" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-soc-wm-adsp,snd,snd-pcm");


MODULE_INFO(srcversion, "339289D9249B51897B33DCC");

MODULE_INFO(suserelease, "SLFO-1.2");
