#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rt5640_dmic_enable, "_gpl", "");
KSYMTAB_FUNC(rt5640_sel_asrc_clk_src, "_gpl", "");
KSYMTAB_FUNC(rt5640_enable_micbias1_for_ovcd, "_gpl", "");
KSYMTAB_FUNC(rt5640_disable_micbias1_for_ovcd, "_gpl", "");
KSYMTAB_FUNC(rt5640_detect_headset, "_gpl", "");
KSYMTAB_FUNC(rt5640_set_ovcd_params, "_gpl", "");

SYMBOL_CRC(rt5640_dmic_enable, 0xd4204a97, "_gpl");
SYMBOL_CRC(rt5640_sel_asrc_clk_src, 0xdb9f6863, "_gpl");
SYMBOL_CRC(rt5640_enable_micbias1_for_ovcd, 0xfb04d73f, "_gpl");
SYMBOL_CRC(rt5640_disable_micbias1_for_ovcd, 0x4a96110f, "_gpl");
SYMBOL_CRC(rt5640_detect_headset, 0x93199c51, "_gpl");
SYMBOL_CRC(rt5640_set_ovcd_params, 0x31df5ec2, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa25fd8ac, "snd_soc_component_write" },
	{ 0xfad49bbd, "devm_snd_soc_register_component" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x3ef29c1d, "__devm_regmap_init_i2c" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x64580cf8, "device_property_read_u32_array" },
	{ 0xe5721797, "snd_soc_get_enum_double" },
	{ 0x597054e0, "i2c_register_driver" },
	{ 0x8dbd3e51, "snd_soc_info_volsw" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x97798f6, "snd_soc_dapm_put_volsw" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x92776409, "snd_soc_dapm_force_bias_level" },
	{ 0x8811fc78, "snd_soc_dapm_disable_pin_unlocked" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x9ec60dbb, "snd_soc_add_component_controls" },
	{ 0x8d7fa148, "rl6231_get_pre_div" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0x8cb5ae90, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6a675c41, "snd_soc_info_enum_double" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xb5ea1c4d, "devm_clk_get_optional" },
	{ 0x943c95c4, "snd_soc_get_volsw" },
	{ 0x29f8f608, "regmap_read" },
	{ 0xafb808, "snd_soc_put_volsw" },
	{ 0xbff66168, "snd_soc_component_update_bits" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1450f62a, "snd_soc_dapm_new_controls" },
	{ 0x70617a04, "rl6231_get_clk_info" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x2c56a64a, "regmap_update_bits_base" },
	{ 0x75bf50c2, "snd_soc_dapm_get_volsw" },
	{ 0x177e48ab, "__devm_add_action" },
	{ 0x9e327a96, "i2c_del_driver" },
	{ 0xc7c145c5, "regmap_register_patch" },
	{ 0x7dcb8013, "snd_soc_dapm_get_enum_double" },
	{ 0xf8ae14e3, "gpiod_set_consumer_name" },
	{ 0x815588a6, "clk_enable" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xd557316f, "snd_soc_dapm_put_enum_double" },
	{ 0xee22e89a, "gpiod_get_value_cansleep" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xa4f4d556, "device_property_present" },
	{ 0x4cf7e03, "regcache_cache_only" },
	{ 0x2c706b5c, "regcache_sync" },
	{ 0xf118ab39, "regmap_write" },
	{ 0x3cb06817, "devm_kmalloc" },
	{ 0x67bab72f, "snd_soc_jack_report" },
	{ 0xe864417e, "snd_soc_component_read" },
	{ 0xd72a607b, "gpiod_set_value_cansleep" },
	{ 0x5dc92cdf, "rl6231_pll_calc" },
	{ 0x89e59e9, "gpiod_to_irq" },
	{ 0x6bce9330, "snd_soc_dapm_sync_unlocked" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xefe67c8b, "snd_soc_put_enum_double" },
	{ 0x664863f3, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x7c1ce3e5, "gpiod_get_value" },
	{ 0xc435d824, "devm_gpiod_get_optional" },
	{ 0xee9124b3, "snd_soc_params_to_frame_size" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0xd24e3361, "snd_soc_dapm_force_enable_pin_unlocked" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0xdba4502f, "rl6231_calc_dmic_clk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,regmap-i2c,snd-soc-rl6231,snd-pcm");

MODULE_ALIAS("i2c:rt5640");
MODULE_ALIAS("i2c:rt5639");
MODULE_ALIAS("i2c:rt5642");
MODULE_ALIAS("acpi*:INT33CA:*");
MODULE_ALIAS("acpi*:10EC3276:*");
MODULE_ALIAS("acpi*:10EC5640:*");
MODULE_ALIAS("acpi*:10EC5642:*");
MODULE_ALIAS("acpi*:INTCCFFD:*");

MODULE_INFO(srcversion, "8DA52D21774CE3081E6DC3B");

MODULE_INFO(suserelease, "SLFO-1.2");
