#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sst_alloc_drv_context, "_gpl", "");
KSYMTAB_FUNC(sst_context_init, "_gpl", "");
KSYMTAB_FUNC(sst_context_cleanup, "_gpl", "");
KSYMTAB_FUNC(sst_configure_runtime_pm, "_gpl", "");
KSYMTAB_DATA(intel_sst_pm, "_gpl", "");
KSYMTAB_FUNC(relocate_imr_addr_mrfld, "_gpl", "");

SYMBOL_CRC(sst_alloc_drv_context, 0x8302039a, "_gpl");
SYMBOL_CRC(sst_context_init, 0xdaff21d1, "_gpl");
SYMBOL_CRC(sst_context_cleanup, 0x63e00f11, "_gpl");
SYMBOL_CRC(sst_configure_runtime_pm, 0x61fbd4f5, "_gpl");
SYMBOL_CRC(intel_sst_pm, 0xa56c5cce, "_gpl");
SYMBOL_CRC(relocate_imr_addr_mrfld, 0x709cd25f, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3416d62c, "prepare_to_wait_event" },
	{ 0xf6491531, "__wake_up" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x478dcfc2, "__pm_runtime_set_status" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6d93b33b, "pm_runtime_enable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x71b12b37, "_dev_info" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xc8240d31, "_dev_err" },
	{ 0xd2a350e5, "request_firmware_nowait" },
	{ 0x1a45cb6c, "acpi_disabled" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x3716cf29, "cpu_latency_qos_update_request" },
	{ 0x5a921311, "strncmp" },
	{ 0x3801776b, "__ioread32_copy" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xd2f514a4, "sysfs_create_group" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfb578fc5, "memset" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xd191499b, "sysfs_remove_group" },
	{ 0xd5dcc637, "__pm_runtime_resume" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xc30624f6, "sst_unregister_dsp" },
	{ 0xdf0614a1, "__pm_runtime_suspend" },
	{ 0x972fec3a, "__pm_runtime_use_autosuspend" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x202617e3, "sst_register_dsp" },
	{ 0xf40beb46, "__pm_runtime_disable" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xd7c4e75b, "cpu_latency_qos_remove_request" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0934899, "devm_request_threaded_irq" },
	{ 0x3cb06817, "devm_kmalloc" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf42ab0a3, "pm_runtime_set_autosuspend_delay" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0xd6f5e390, "finish_wait" },
	{ 0xacf7e913, "request_firmware" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x69acdf38, "memcpy" },
	{ 0xb0ef18ed, "cpu_latency_qos_add_request" },
	{ 0x37a0cba, "kfree" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-sst-atom-hifi2-platform");


MODULE_INFO(srcversion, "CAA30B3BA96928BD2B53751");

MODULE_INFO(suserelease, "SLFO-1.2");
