#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(codec_info_list, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_get_codec_info_list_count, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_find_codec_info_part, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_find_codec_info_acpi, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_find_codec_info_dai, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_startup, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_prepare, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_trigger, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_hw_params, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_hw_free, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_shutdown, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_get_codec_name, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_mc_find_codec_dai_used, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_mc_dailink_exit_loop, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_card_late_probe, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_init_dai_link, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_init_simple_dai_link, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_count_sdw_endpoints, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_find_dailink, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_parse_sdw_endpoints, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_dmic_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_dmic_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt700_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt711_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt711_exit, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt711_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt712_spk_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt722_spk_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt5682_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_sdca_jack_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_sdca_jack_exit, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_sdca_jack_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_amp_spk_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_DATA(soc_sdw_rt1308_i2s_ops, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_amp_exit, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_amp_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_bridge_cs35l56_count_sidecar, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_bridge_cs35l56_add_sidecar, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_bridge_cs35l56_spk_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs42l42_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs42l43_hs_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs42l43_spk_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs42l43_spk_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs42l43_dmic_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs_spk_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs_amp_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_maxim_spk_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_maxim_init, "", "SND_SOC_SDW_UTILS");

SYMBOL_CRC(codec_info_list, 0x476641fb, "");
SYMBOL_CRC(asoc_sdw_get_codec_info_list_count, 0xcb490bf7, "");
SYMBOL_CRC(asoc_sdw_find_codec_info_part, 0x978c1426, "");
SYMBOL_CRC(asoc_sdw_find_codec_info_acpi, 0xd41c3142, "");
SYMBOL_CRC(asoc_sdw_find_codec_info_dai, 0x90115d66, "");
SYMBOL_CRC(asoc_sdw_rtd_init, 0x098baf58, "");
SYMBOL_CRC(asoc_sdw_startup, 0x98ca2c37, "");
SYMBOL_CRC(asoc_sdw_prepare, 0x281ac3ff, "");
SYMBOL_CRC(asoc_sdw_trigger, 0xdf497e34, "");
SYMBOL_CRC(asoc_sdw_hw_params, 0x01dc6015, "");
SYMBOL_CRC(asoc_sdw_hw_free, 0x1f63577b, "");
SYMBOL_CRC(asoc_sdw_shutdown, 0x27f18820, "");
SYMBOL_CRC(asoc_sdw_get_codec_name, 0x7894db93, "");
SYMBOL_CRC(asoc_sdw_mc_find_codec_dai_used, 0x5034ce94, "");
SYMBOL_CRC(asoc_sdw_mc_dailink_exit_loop, 0x8e8b5b3d, "");
SYMBOL_CRC(asoc_sdw_card_late_probe, 0x6dbdbbc2, "");
SYMBOL_CRC(asoc_sdw_init_dai_link, 0x95c8b6e4, "");
SYMBOL_CRC(asoc_sdw_init_simple_dai_link, 0x0322306a, "");
SYMBOL_CRC(asoc_sdw_count_sdw_endpoints, 0x1536fb1a, "");
SYMBOL_CRC(asoc_sdw_find_dailink, 0x2bed0fe8, "");
SYMBOL_CRC(asoc_sdw_parse_sdw_endpoints, 0x74f452b2, "");
SYMBOL_CRC(asoc_sdw_dmic_init, 0x23f27da9, "");
SYMBOL_CRC(asoc_sdw_rt_dmic_rtd_init, 0x8447d0da, "");
SYMBOL_CRC(asoc_sdw_rt700_rtd_init, 0x7de44cee, "");
SYMBOL_CRC(asoc_sdw_rt711_rtd_init, 0xa3b20e98, "");
SYMBOL_CRC(asoc_sdw_rt711_exit, 0xc158e0a2, "");
SYMBOL_CRC(asoc_sdw_rt711_init, 0x34cba0f2, "");
SYMBOL_CRC(asoc_sdw_rt712_spk_rtd_init, 0x83223451, "");
SYMBOL_CRC(asoc_sdw_rt722_spk_rtd_init, 0x2e1dff98, "");
SYMBOL_CRC(asoc_sdw_rt5682_rtd_init, 0x59a771fd, "");
SYMBOL_CRC(asoc_sdw_rt_sdca_jack_rtd_init, 0x647efd39, "");
SYMBOL_CRC(asoc_sdw_rt_sdca_jack_exit, 0x49c76476, "");
SYMBOL_CRC(asoc_sdw_rt_sdca_jack_init, 0x0a67f043, "");
SYMBOL_CRC(asoc_sdw_rt_amp_spk_rtd_init, 0x8fa3d7e8, "");
SYMBOL_CRC(soc_sdw_rt1308_i2s_ops, 0x3c7fd724, "");
SYMBOL_CRC(asoc_sdw_rt_amp_exit, 0xd338d798, "");
SYMBOL_CRC(asoc_sdw_rt_amp_init, 0x64b8ca71, "");
SYMBOL_CRC(asoc_sdw_bridge_cs35l56_count_sidecar, 0x32674a62, "");
SYMBOL_CRC(asoc_sdw_bridge_cs35l56_add_sidecar, 0x57b536e4, "");
SYMBOL_CRC(asoc_sdw_bridge_cs35l56_spk_init, 0x1cc2c976, "");
SYMBOL_CRC(asoc_sdw_cs42l42_rtd_init, 0xb9f60492, "");
SYMBOL_CRC(asoc_sdw_cs42l43_hs_rtd_init, 0x35eb6b28, "");
SYMBOL_CRC(asoc_sdw_cs42l43_spk_rtd_init, 0x1873b314, "");
SYMBOL_CRC(asoc_sdw_cs42l43_spk_init, 0x9296099a, "");
SYMBOL_CRC(asoc_sdw_cs42l43_dmic_rtd_init, 0xb4961fd3, "");
SYMBOL_CRC(asoc_sdw_cs_spk_rtd_init, 0xb0bfac79, "");
SYMBOL_CRC(asoc_sdw_cs_amp_init, 0x8002f48f, "");
SYMBOL_CRC(asoc_sdw_maxim_spk_rtd_init, 0xb44e16f1, "");
SYMBOL_CRC(asoc_sdw_maxim_init, 0xb7e77a67, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x656e4a6e, "snprintf" },
	{ 0x75af0526, "snd_soc_dai_set_tdm_slot" },
	{ 0x53bc03f8, "snd_soc_dapm_enable_pin" },
	{ 0x69acdf38, "memcpy" },
	{ 0x5bee298d, "snd_soc_dapm_disable_pin" },
	{ 0x9c97cc7b, "snd_soc_component_set_sysclk" },
	{ 0xb844b32a, "snd_soc_dai_set_sysclk" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x201bb9ff, "snd_soc_dapm_sync" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x41bcef19, "snd_soc_component_set_jack" },
	{ 0x6241ec86, "devm_kstrdup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9d3d08f0, "put_device" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xbed16aa9, "fwnode_create_software_node" },
	{ 0x4471cde9, "snd_soc_dapm_get_pin_switch" },
	{ 0xdfde2b3a, "sdw_disable_stream" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xc8240d31, "_dev_err" },
	{ 0xc864bff6, "bus_find_device" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x6f95b16b, "sdw_shutdown_stream" },
	{ 0x3b0a8582, "sdw_startup_stream" },
	{ 0x401c7ea1, "sdw_deprepare_stream" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0x8cb5ae90, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd7b123c6, "device_remove_software_node" },
	{ 0x262af9a2, "snd_jack_set_key" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x792c9efe, "devm_kasprintf" },
	{ 0x5abaa5f2, "snd_soc_card_jack_new_pins" },
	{ 0xf868974, "snd_soc_dai_set_pll" },
	{ 0x1450f62a, "snd_soc_dapm_new_controls" },
	{ 0x250bd32d, "sdw_enable_stream" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xbf1fe444, "snd_soc_dapm_put_pin_switch" },
	{ 0xc28c8471, "device_match_name" },
	{ 0xe5a3e909, "snd_soc_dapm_info_pin_switch" },
	{ 0xb055533f, "snd_soc_add_card_controls" },
	{ 0xb0e3c44b, "device_add_software_node" },
	{ 0x8a156323, "sdw_prepare_stream" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0x9a5bf423, "sdw_bus_type" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x3cb06817, "devm_kmalloc" },
	{ 0xfbdb803c, "to_software_node" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,soundwire-bus,snd");


MODULE_INFO(srcversion, "2869BB1D76DEE6B9F81022C");

MODULE_INFO(suserelease, "SLFO-1.2");
