#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(acp_sof_quirk_table, "_gpl", "");
KSYMTAB_FUNC(amd_sof_acp_suspend, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(amd_sof_acp_resume, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(amd_sof_acp_probe, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(amd_sof_acp_remove, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_block_read, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_block_write, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_get_bar_index, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_pre_fw_run, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_dsp_run, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_load_signed_firmware, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_mailbox_write, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_mailbox_read, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_ipc_send_msg, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_ipc_irq_thread, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_ipc_msg_data, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_set_stream_data_offset, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_ipc_get_mailbox_offset, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_ipc_get_window_offset, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_pcm_hw_params, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_pcm_open, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_pcm_close, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_pcm_pointer, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_stream_get, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_stream_put, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_stream_init, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_trace_release, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_trace_init, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_DATA(sof_acp_common_ops, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_probes_register, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_probes_unregister, "", "SND_SOC_SOF_AMD_COMMON");

SYMBOL_CRC(acp_sof_quirk_table, 0x67e5de9e, "_gpl");
SYMBOL_CRC(amd_sof_acp_suspend, 0xfc8be649, "");
SYMBOL_CRC(amd_sof_acp_resume, 0xe287ecab, "");
SYMBOL_CRC(amd_sof_acp_probe, 0x8865a29d, "");
SYMBOL_CRC(amd_sof_acp_remove, 0x5dc8bbf7, "");
SYMBOL_CRC(acp_dsp_block_read, 0xace408b8, "");
SYMBOL_CRC(acp_dsp_block_write, 0xff6dde67, "");
SYMBOL_CRC(acp_get_bar_index, 0xd3b0fd97, "");
SYMBOL_CRC(acp_dsp_pre_fw_run, 0xa71f22ba, "");
SYMBOL_CRC(acp_sof_dsp_run, 0xa9b9166c, "");
SYMBOL_CRC(acp_sof_load_signed_firmware, 0xa6eebf62, "");
SYMBOL_CRC(acp_mailbox_write, 0x17e6dabe, "");
SYMBOL_CRC(acp_mailbox_read, 0x0852c806, "");
SYMBOL_CRC(acp_sof_ipc_send_msg, 0xf180f2a1, "");
SYMBOL_CRC(acp_sof_ipc_irq_thread, 0x35fb27dd, "");
SYMBOL_CRC(acp_sof_ipc_msg_data, 0x86a1e58a, "");
SYMBOL_CRC(acp_set_stream_data_offset, 0x62d7cbdd, "");
SYMBOL_CRC(acp_sof_ipc_get_mailbox_offset, 0x4a895004, "");
SYMBOL_CRC(acp_sof_ipc_get_window_offset, 0x9d1a6f0c, "");
SYMBOL_CRC(acp_pcm_hw_params, 0xe5fd8816, "");
SYMBOL_CRC(acp_pcm_open, 0xcd0e26f5, "");
SYMBOL_CRC(acp_pcm_close, 0x7f174a51, "");
SYMBOL_CRC(acp_pcm_pointer, 0xa9a9e7fc, "");
SYMBOL_CRC(acp_dsp_stream_get, 0x5cc7b7d6, "");
SYMBOL_CRC(acp_dsp_stream_put, 0xb69813c4, "");
SYMBOL_CRC(acp_dsp_stream_init, 0x0548cf4f, "");
SYMBOL_CRC(acp_sof_trace_release, 0x3de5fd78, "");
SYMBOL_CRC(acp_sof_trace_init, 0x1f0cffc8, "");
SYMBOL_CRC(sof_acp_common_ops, 0x78164f1e, "");
SYMBOL_CRC(acp_probes_register, 0x69ce767e, "");
SYMBOL_CRC(acp_probes_unregister, 0x252268fa, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xacf7e913, "request_firmware" },
	{ 0x5c8f81ef, "devm_ioremap" },
	{ 0x711913a4, "sof_xtensa_arch_ops" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf6491531, "__wake_up" },
	{ 0xdfdce546, "snd_sgbuf_get_addr" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x127572c3, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc94448b6, "amd_sdw_scan_controller" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x245dccd0, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x72f820b3, "sdw_amd_probe" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x71b12b37, "_dev_info" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xb8461669, "platform_device_unregister" },
	{ 0x18595920, "dma_alloc_attrs" },
	{ 0xe5843912, "sof_client_dev_register" },
	{ 0xa27c0363, "snd_soc_acpi_find_machine" },
	{ 0xf8c03b47, "sof_print_oops_and_stack" },
	{ 0xff6104d0, "snd_pcm_rate_bit_to_rate" },
	{ 0xa46575f9, "snd_sof_dsp_update_bits" },
	{ 0xf6d0a7f1, "sdw_amd_get_slave_info" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0x83358fe5, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xd7ea196a, "sof_io_read" },
	{ 0x792c9efe, "devm_kasprintf" },
	{ 0x53032fe8, "snd_sof_ipc_reply" },
	{ 0xc6cd8757, "platform_device_register_full" },
	{ 0xf4334299, "dma_free_attrs" },
	{ 0x9199b9f0, "param_ops_bool" },
	{ 0x5db814a6, "sof_machine_unregister" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x32ce4a70, "snd_sof_dsp_panic" },
	{ 0x2ad43305, "sof_client_dev_unregister" },
	{ 0x2d4fe345, "snd_sof_load_firmware_memcpy" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0x18b6678f, "pci_write_config_dword" },
	{ 0x57a61344, "sof_io_write" },
	{ 0x32ed81db, "sof_machine_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc3ad6f35, "snd_soc_acpi_sdw_link_slaves_found" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xaaff106c, "sdw_amd_exit" },
	{ 0xa2ef5179, "snd_sof_debugfs_add_region_item_iomem" },
	{ 0x187dccfa, "is_acpi_device_node" },
	{ 0x3cb06817, "devm_kmalloc" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xee7d22e5, "pci_dev_put" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0x6aa30cbd, "pci_get_device" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "snd-sof-xtensa-dsp,snd-pcm,snd-amd-sdw-acpi,soundwire-amd,snd-sof,snd-soc-acpi");


MODULE_INFO(srcversion, "FDFE2375B6C116A8AC1AE1C");

MODULE_INFO(suserelease, "SLFO-1.2");
