#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hda_sdw_startup, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_common_check_sdw_irq, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_sdw_check_wakeen_irq_common, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_sdw_process_wakeen_common, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_post_fw_run, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_probe_early, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_probe, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_remove, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_power_down_dsp, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_pci_intel_probe, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_DATA(sof_hda_common_ops, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");

SYMBOL_CRC(hda_sdw_startup, 0x6ef24678, "");
SYMBOL_CRC(hda_common_check_sdw_irq, 0x477ac527, "");
SYMBOL_CRC(hda_sdw_check_wakeen_irq_common, 0x5f93d52b, "");
SYMBOL_CRC(hda_sdw_process_wakeen_common, 0x59cd98d0, "");
SYMBOL_CRC(hda_dsp_post_fw_run, 0xcbca178a, "");
SYMBOL_CRC(hda_dsp_probe_early, 0x74fdc46b, "");
SYMBOL_CRC(hda_dsp_probe, 0x60b3f85d, "");
SYMBOL_CRC(hda_dsp_remove, 0x1c44c83d, "");
SYMBOL_CRC(hda_power_down_dsp, 0xb878c4de, "");
SYMBOL_CRC(hda_pci_intel_probe, 0xa043aec2, "");
SYMBOL_CRC(sof_hda_common_ops, 0x02388dee, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaa52eba1, "sdw_intel_thread" },
	{ 0x2ad078bb, "hda_dsp_d0i3_work" },
	{ 0x3cb06817, "devm_kmalloc" },
	{ 0x79bb115b, "__SCT__tp_func_sof_intel_hda_irq" },
	{ 0x6c2c44a0, "pci_alloc_irq_vectors" },
	{ 0x8077d00b, "intel_nhlt_get_dmic_geo" },
	{ 0xae49c32d, "hda_dsp_ext_man_get_cavs_config_data" },
	{ 0xabcf38e6, "hda_dsp_ctrl_ppcap_enable" },
	{ 0x8c3931cf, "hda_sdw_process_wakeen" },
	{ 0x85251693, "hda_sdw_int_enable" },
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0x9460b038, "hda_bus_ml_init" },
	{ 0x6a8d2706, "hda_codec_probe_bus" },
	{ 0x76c6867d, "sof_hda_bus_exit" },
	{ 0xa81142dc, "sdw_hda_dai_hw_params" },
	{ 0xedc03953, "iounmap" },
	{ 0x8065c5ef, "sdw_intel_exit" },
	{ 0xb89f911a, "hda_codec_check_for_state_change" },
	{ 0x711913a4, "sof_xtensa_arch_ops" },
	{ 0x41a05c36, "intel_nhlt_has_endpoint_type" },
	{ 0x57266c78, "sdw_hda_dai_trigger" },
	{ 0x4d9619bf, "hda_bus_ml_free" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x13d6b0ae, "hda_dsp_cl_boot_firmware" },
	{ 0x110f1de3, "hda_dsp_pcm_hw_params" },
	{ 0xc71b7835, "hda_sdw_check_lcount" },
	{ 0xf1a07d19, "snd_intel_dsp_driver_probe" },
	{ 0xe885bad5, "pci_irq_vector" },
	{ 0x68716695, "hda_dsp_ctrl_clock_power_gating" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0xbc698ef8, "pci_ioremap_bar" },
	{ 0xdb79b60e, "hda_dsp_ctrl_init_chip" },
	{ 0xd20687c9, "sdw_hda_dai_hw_free" },
	{ 0x1a843536, "sof_pci_probe" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x272cedf7, "hda_dsp_suspend" },
	{ 0x70515747, "hda_dsp_runtime_suspend" },
	{ 0xbdba979a, "hda_codec_i915_exit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd7ed4f75, "hda_dsp_ipc_get_mailbox_offset" },
	{ 0xc3c6a2d9, "hda_dai_config" },
	{ 0x954b84a3, "hda_probes_unregister" },
	{ 0x7966d616, "sof_block_write" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2424a618, "hda_dsp_pcm_ack" },
	{ 0xaaed529, "hda_dsp_trace_release" },
	{ 0xe12663a3, "__SCK__tp_func_sof_intel_hda_irq" },
	{ 0x71b12b37, "_dev_info" },
	{ 0x6d8c0666, "hda_dsp_dump" },
	{ 0x6da2ac4c, "sdw_intel_startup" },
	{ 0xacb4c96c, "hda_dsp_pcm_pointer" },
	{ 0x5205e39f, "sdw_intel_process_wakeen_event" },
	{ 0x2275a58d, "sof_mailbox_write" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x38e95abd, "sof_mailbox_read" },
	{ 0x9b2c6a02, "hda_bus_ml_put_all" },
	{ 0xc8240d31, "_dev_err" },
	{ 0xf933d48, "debugfs_create_bool" },
	{ 0x29549350, "hda_dsp_core_reset_power_down" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x52c65490, "__tracepoint_sof_intel_hda_irq" },
	{ 0xb8461669, "platform_device_unregister" },
	{ 0x35a1c89c, "hda_dsp_trace_init" },
	{ 0xa27c0363, "snd_soc_acpi_find_machine" },
	{ 0x9d143ecb, "snd_soc_acpi_intel_detect_codec_type" },
	{ 0x9307cb60, "hda_codec_device_remove" },
	{ 0xfab05d07, "hda_dsp_ctrl_ppcap_int_enable" },
	{ 0x2a5ca07b, "snd_soc_acpi_intel_get_codec_tplg_suffix" },
	{ 0x4e859456, "intel_nhlt_free" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xa46575f9, "snd_sof_dsp_update_bits" },
	{ 0x57798e2b, "snd_sof_pci_update_bits" },
	{ 0x2cf3cc3d, "sof_hda_bus_init" },
	{ 0xdcc85e32, "hda_dsp_runtime_idle" },
	{ 0x1dea6cb5, "hda_dsp_pcm_open" },
	{ 0xbb1b4f7f, "_dev_warn" },
	{ 0x368c6727, "sof_debug_check_flag" },
	{ 0x97ab276d, "sdw_intel_lnl_hw_ops" },
	{ 0x83358fe5, "pci_set_master" },
	{ 0x61e00f48, "param_ops_charp" },
	{ 0x8c5f46d5, "hda_dsp_stream_hw_free" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc36147d6, "__init_waitqueue_head" },
	{ 0x3bdcdfa9, "hda_dsp_stream_threaded_handler" },
	{ 0x1241157b, "hda_dsp_pcm_close" },
	{ 0xaf36c569, "dma_set_coherent_mask" },
	{ 0x792c9efe, "devm_kasprintf" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xd7402219, "hda_check_ipc_irq" },
	{ 0xc6cd8757, "platform_device_register_full" },
	{ 0xe84eefc, "snd_soc_acpi_intel_get_amp_tplg_suffix" },
	{ 0x85df9b6c, "strsep" },
	{ 0x37ee340a, "hda_dsp_runtime_resume" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f940c2, "hda_dsp_trace_trigger" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5db814a6, "sof_machine_unregister" },
	{ 0x6122f1c3, "skl_dai" },
	{ 0x5fd4dfbf, "hda_dsp_get_stream_llp" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7f23d1a3, "sdw_intel_probe" },
	{ 0x76e9c175, "snd_sof_load_firmware_raw" },
	{ 0x5a63c62e, "snd_soc_acpi_intel_detect_amp_type" },
	{ 0x9bd09fa2, "hda_is_chain_dma_supported" },
	{ 0x36c571fe, "hda_dsp_resume" },
	{ 0xb7b836b3, "intel_nhlt_ssp_mclk_mask" },
	{ 0xa7524338, "dma_set_mask" },
	{ 0x7b610508, "hda_probes_register" },
	{ 0xf2ce560f, "sof_hda_position_quirk" },
	{ 0x716b4fac, "dev_err_probe" },
	{ 0x3b909bbb, "hda_dsp_stream_init" },
	{ 0x848a5425, "hda_dsp_get_stream_ldp" },
	{ 0x777fea71, "hda_dsp_stream_free" },
	{ 0x12c65e1e, "hda_dsp_ctrl_get_caps" },
	{ 0xf2203c5f, "param_ops_int" },
	{ 0x4a28d125, "intel_nhlt_init" },
	{ 0x6eb578fe, "sdw_intel_cnl_hw_ops" },
	{ 0x66fd6169, "intel_nhlt_ssp_endpoint_mask" },
	{ 0xa5a4eb35, "hda_codec_i915_init" },
	{ 0xd6336f23, "pci_free_irq_vectors" },
	{ 0x9e2ada55, "hda_dsp_check_stream_irq" },
	{ 0xce6f71d9, "hda_set_stream_data_offset" },
	{ 0xbb4f9d1f, "sdw_intel_acpi_scan" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x4d69106d, "hda_dsp_ipc_get_window_offset" },
	{ 0xf15e9e91, "hda_ipc_msg_data" },
	{ 0x32ed81db, "sof_machine_register" },
	{ 0xfbe740c3, "hdac_bus_eml_get_mutex" },
	{ 0x3089c6e9, "snd_soc_acpi_intel_hda_machines" },
	{ 0x2e87a3d3, "hda_dsp_set_hw_params_upon_resume" },
	{ 0xc3ad6f35, "snd_soc_acpi_sdw_link_slaves_found" },
	{ 0x27b83483, "sof_block_read" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xa2ef5179, "snd_sof_debugfs_add_region_item_iomem" },
	{ 0x36c50b4b, "hda_get_interface_mask" },
	{ 0xd1e65d36, "hda_codec_i915_display_power" },
	{ 0x187dccfa, "is_acpi_device_node" },
	{ 0x7df2498d, "hda_dsp_pcm_trigger" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "soundwire-intel,snd-sof-intel-hda-common,snd-intel-dspcfg,snd-sof-intel-hda-mlink,snd-sof-intel-hda,snd-sof-xtensa-dsp,snd-sof-pci,snd-sof,snd-soc-acpi,snd-soc-acpi-intel-match,snd-intel-sdw-acpi");


MODULE_INFO(srcversion, "552CE4F4495C0CEA4E1F899");

MODULE_INFO(suserelease, "SLFO-1.2");
