#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hda_bus_ml_init, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_free, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_get_count, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_enable_interrupt, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_check_interrupt, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_set_syncprd_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_set_syncprd_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_wait_syncpu_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_wait_syncpu_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sync_arm_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_sync_arm_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sync_go_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_sync_go_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_check_cmdsync_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_check_cmdsync_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_up, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_up_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_down, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_down_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_power_up_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_power_down_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_get_lsdiid_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_set_lsdiid, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_map_stream_ch, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_put_all, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_reset_losidv, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_resume, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_suspend, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_get_mutex, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_ssp_get_hlink, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_dmic_get_hlink, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_get_hlink, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_enable_offload, "", "SND_SOC_SOF_HDA_MLINK");

SYMBOL_CRC(hda_bus_ml_init, 0x9460b038, "");
SYMBOL_CRC(hda_bus_ml_free, 0x4d9619bf, "");
SYMBOL_CRC(hdac_bus_eml_get_count, 0xdfa1087d, "");
SYMBOL_CRC(hdac_bus_eml_enable_interrupt, 0x80924cf3, "");
SYMBOL_CRC(hdac_bus_eml_check_interrupt, 0x3df74a46, "");
SYMBOL_CRC(hdac_bus_eml_set_syncprd_unlocked, 0xbc97e681, "");
SYMBOL_CRC(hdac_bus_eml_sdw_set_syncprd_unlocked, 0xd36a7172, "");
SYMBOL_CRC(hdac_bus_eml_wait_syncpu_unlocked, 0x51e2f926, "");
SYMBOL_CRC(hdac_bus_eml_sdw_wait_syncpu_unlocked, 0xd3df457c, "");
SYMBOL_CRC(hdac_bus_eml_sync_arm_unlocked, 0x63de1ed6, "");
SYMBOL_CRC(hdac_bus_eml_sdw_sync_arm_unlocked, 0x32238c85, "");
SYMBOL_CRC(hdac_bus_eml_sync_go_unlocked, 0x0007fa8c, "");
SYMBOL_CRC(hdac_bus_eml_sdw_sync_go_unlocked, 0x5bd3f8a2, "");
SYMBOL_CRC(hdac_bus_eml_check_cmdsync_unlocked, 0x53a8e336, "");
SYMBOL_CRC(hdac_bus_eml_sdw_check_cmdsync_unlocked, 0x0b555558, "");
SYMBOL_CRC(hdac_bus_eml_power_up, 0xc0880ee0, "");
SYMBOL_CRC(hdac_bus_eml_power_up_unlocked, 0x1df6a176, "");
SYMBOL_CRC(hdac_bus_eml_power_down, 0x7104b156, "");
SYMBOL_CRC(hdac_bus_eml_power_down_unlocked, 0xb77e9c3c, "");
SYMBOL_CRC(hdac_bus_eml_sdw_power_up_unlocked, 0xc777d58b, "");
SYMBOL_CRC(hdac_bus_eml_sdw_power_down_unlocked, 0x799689ac, "");
SYMBOL_CRC(hdac_bus_eml_sdw_get_lsdiid_unlocked, 0xaa549fd2, "");
SYMBOL_CRC(hdac_bus_eml_sdw_set_lsdiid, 0xe06b201e, "");
SYMBOL_CRC(hdac_bus_eml_sdw_map_stream_ch, 0xc268871b, "");
SYMBOL_CRC(hda_bus_ml_put_all, 0x9b2c6a02, "");
SYMBOL_CRC(hda_bus_ml_reset_losidv, 0xc76ae7c9, "");
SYMBOL_CRC(hda_bus_ml_resume, 0xfd98ca0b, "");
SYMBOL_CRC(hda_bus_ml_suspend, 0xe06e5124, "");
SYMBOL_CRC(hdac_bus_eml_get_mutex, 0xfbe740c3, "");
SYMBOL_CRC(hdac_bus_eml_ssp_get_hlink, 0x4eb247ad, "");
SYMBOL_CRC(hdac_bus_eml_dmic_get_hlink, 0xb188787a, "");
SYMBOL_CRC(hdac_bus_eml_sdw_get_hlink, 0xfd8ed9df, "");
SYMBOL_CRC(hdac_bus_eml_enable_offload, 0x45f5b04c, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x668b7602, "rt_mutex_base_init" },
	{ 0x2881ff31, "snd_hdac_ext_bus_link_power_up" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd3e2f61c, "snd_hdac_ext_bus_link_power_down" },
	{ 0xc8240d31, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdbf82a98, "mutex_lock" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x71656afb, "mutex_unlock" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0xbc61eff5, "snd_hdac_ext_bus_link_put" },
	{ 0xc4d10d39, "__mutex_rt_init" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-ext-core");


MODULE_INFO(srcversion, "1FE7A5672CF53E030E982B5");

MODULE_INFO(suserelease, "SLFO-1.2");
