#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cnl_ipc4_irq_thread, "", "SND_SOC_SOF_INTEL_CNL");
KSYMTAB_FUNC(cnl_ipc_irq_thread, "", "SND_SOC_SOF_INTEL_CNL");
KSYMTAB_FUNC(cnl_ipc4_send_msg, "", "SND_SOC_SOF_INTEL_CNL");
KSYMTAB_FUNC(cnl_ipc_send_msg, "", "SND_SOC_SOF_INTEL_CNL");
KSYMTAB_FUNC(cnl_ipc_dump, "", "SND_SOC_SOF_INTEL_CNL");
KSYMTAB_FUNC(cnl_ipc4_dump, "", "SND_SOC_SOF_INTEL_CNL");
KSYMTAB_DATA(sof_cnl_ops, "", "SND_SOC_SOF_INTEL_CNL");
KSYMTAB_FUNC(sof_cnl_ops_init, "", "SND_SOC_SOF_INTEL_CNL");
KSYMTAB_DATA(jsl_chip_info, "", "SND_SOC_SOF_INTEL_CNL");

SYMBOL_CRC(cnl_ipc4_irq_thread, 0xfb15a137, "");
SYMBOL_CRC(cnl_ipc_irq_thread, 0xf89348f2, "");
SYMBOL_CRC(cnl_ipc4_send_msg, 0x476553cb, "");
SYMBOL_CRC(cnl_ipc_send_msg, 0xd39d2804, "");
SYMBOL_CRC(cnl_ipc_dump, 0x3ce255c5, "");
SYMBOL_CRC(cnl_ipc4_dump, 0x7bba2799, "");
SYMBOL_CRC(sof_cnl_ops, 0x6c192f5b, "");
SYMBOL_CRC(sof_cnl_ops_init, 0x054e1da7, "");
SYMBOL_CRC(jsl_chip_info, 0x1bd15e66, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd1ffe315, "__pci_register_driver" },
	{ 0x44b15cd3, "hda_dsp_disable_interrupts" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x13d6b0ae, "hda_dsp_cl_boot_firmware" },
	{ 0xb5356f38, "hda_dsp_set_power_state_ipc4" },
	{ 0x3cdc78d6, "__SCK__tp_func_sof_intel_ipc_firmware_initiated" },
	{ 0x46048147, "__tracepoint_sof_intel_ipc_firmware_initiated" },
	{ 0xd2090ef, "hda_dsp_ipc_get_reply" },
	{ 0xb878c4de, "hda_power_down_dsp" },
	{ 0x5dccb385, "snd_soc_acpi_intel_cfl_sdw_machines" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0xb6e3c8cb, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa476ae21, "snd_soc_acpi_intel_cml_machines" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x35e33813, "__SCT__tp_func_sof_intel_ipc_firmware_initiated" },
	{ 0x16bbbb91, "__SCT__tp_func_sof_intel_ipc_firmware_response" },
	{ 0x2388dee, "sof_hda_common_ops" },
	{ 0x468005bb, "hda_sdw_check_lcount_common" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa043aec2, "hda_pci_intel_probe" },
	{ 0x2275a58d, "sof_mailbox_write" },
	{ 0xc8240d31, "_dev_err" },
	{ 0xada1b974, "snd_sof_dsp_update_bits_forced" },
	{ 0x9ac54dd0, "sof_pci_remove" },
	{ 0xea48793f, "__tracepoint_sof_intel_ipc_firmware_response" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x58eb40b4, "__SCK__tp_func_sof_intel_ipc_firmware_response" },
	{ 0xdcca89d2, "hda_set_dai_drv_ops" },
	{ 0x3affa4e2, "hda_dsp_set_power_state_ipc3" },
	{ 0xc0176537, "snd_soc_acpi_intel_cnl_sdw_machines" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xddb8d92, "snd_sof_ipc_get_reply" },
	{ 0xa46575f9, "snd_sof_dsp_update_bits" },
	{ 0xcbca178a, "hda_dsp_post_fw_run" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe89d76f8, "hda_common_enable_sdw_irq" },
	{ 0x627e3201, "hda_dsp_check_ipc_irq" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0x53032fe8, "snd_sof_ipc_reply" },
	{ 0xfadfb7f, "cl_dsp_init" },
	{ 0xd823e8dd, "hda_ipc4_tx_is_busy" },
	{ 0xc2058829, "hda_ops_free" },
	{ 0x8dbe1ad3, "snd_soc_acpi_intel_cnl_machines" },
	{ 0x701e1759, "sof_pci_shutdown" },
	{ 0x81c42754, "hda_dsp_core_get" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x59cd98d0, "hda_sdw_process_wakeen_common" },
	{ 0x6fbe28fd, "snd_soc_acpi_intel_cml_sdw_machines" },
	{ 0x32ce4a70, "snd_sof_dsp_panic" },
	{ 0x38f30b59, "hda_dsp_ipc4_load_library" },
	{ 0x40dafbeb, "hda_ipc_irq_dump" },
	{ 0x659812f, "hda_dsp_ipc4_schedule_d0i3_work" },
	{ 0x477ac527, "hda_common_check_sdw_irq" },
	{ 0x5d580807, "sof_pci_pm" },
	{ 0xfead859c, "snd_soc_acpi_intel_cfl_machines" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5f93d52b, "hda_sdw_check_wakeen_irq_common" },
	{ 0xe61ffc73, "hda_dsp_shutdown" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "snd-sof-intel-hda-common,snd-sof-intel-hda-generic,snd-soc-acpi-intel-match,snd-sof,snd-sof-pci");

MODULE_ALIAS("pci:v00008086d00009DC8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A348sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000002C8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000006C8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A3F0sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "9481D74EC7F56BAE3111BF5");

MODULE_INFO(suserelease, "SLFO-1.2");
