#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mtl_dsp_check_ipc_irq, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_ipc_send_msg, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_disable_ipc_interrupts, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_enable_interrupts, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_pre_fw_run, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_post_fw_run, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_dump, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_power_down_dsp, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_cl_init, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_ipc_irq_thread, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_ipc_get_mailbox_offset, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_ipc_get_window_offset, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_ipc_dump, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_core_get, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_core_put, "", "SND_SOC_SOF_INTEL_MTL");

SYMBOL_CRC(mtl_dsp_check_ipc_irq, 0x9968c3af, "");
SYMBOL_CRC(mtl_ipc_send_msg, 0xd39f958e, "");
SYMBOL_CRC(mtl_disable_ipc_interrupts, 0x4c838726, "");
SYMBOL_CRC(mtl_enable_interrupts, 0xb1bcb8fb, "");
SYMBOL_CRC(mtl_dsp_pre_fw_run, 0x1719f2d9, "");
SYMBOL_CRC(mtl_dsp_post_fw_run, 0x51466c5b, "");
SYMBOL_CRC(mtl_dsp_dump, 0x7905308b, "");
SYMBOL_CRC(mtl_power_down_dsp, 0x8e3fdc76, "");
SYMBOL_CRC(mtl_dsp_cl_init, 0x9850db8b, "");
SYMBOL_CRC(mtl_ipc_irq_thread, 0x8001c2bf, "");
SYMBOL_CRC(mtl_dsp_ipc_get_mailbox_offset, 0xe6ba7590, "");
SYMBOL_CRC(mtl_dsp_ipc_get_window_offset, 0x320aedbb, "");
SYMBOL_CRC(mtl_ipc_dump, 0x6fcc6247, "");
SYMBOL_CRC(mtl_dsp_core_get, 0xac4b70fc, "");
SYMBOL_CRC(mtl_dsp_core_put, 0xf4e77dca, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0xcdf92b95, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xb5356f38, "hda_dsp_set_power_state_ipc4" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x26abdd61, "sof_ipc4_intel_dump_telemetry_state" },
	{ 0xf696e477, "__dynamic_dev_dbg" },
	{ 0xb6e3c8cb, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2388dee, "sof_hda_common_ops" },
	{ 0x468005bb, "hda_sdw_check_lcount_common" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b37f935, "__SCT__tp_func_sof_intel_hda_irq_ipc_check" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xa043aec2, "hda_pci_intel_probe" },
	{ 0x9bec28f, "snd_sof_dsp_dbg_dump" },
	{ 0x2275a58d, "sof_mailbox_write" },
	{ 0xc8240d31, "_dev_err" },
	{ 0xf933d48, "debugfs_create_bool" },
	{ 0xada1b974, "snd_sof_dsp_update_bits_forced" },
	{ 0x9ac54dd0, "sof_pci_remove" },
	{ 0xde0e66f7, "snd_soc_acpi_intel_mtl_machines" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdcca89d2, "hda_set_dai_drv_ops" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xddb8d92, "snd_sof_ipc_get_reply" },
	{ 0xa46575f9, "snd_sof_dsp_update_bits" },
	{ 0x368c6727, "sof_debug_check_flag" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xef75cb83, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xc4c8b444, "rt_spin_lock" },
	{ 0xbd4f4355, "__SCK__tp_func_sof_intel_hda_irq_ipc_check" },
	{ 0x53032fe8, "snd_sof_ipc_reply" },
	{ 0xd823e8dd, "hda_ipc4_tx_is_busy" },
	{ 0x19da18e6, "__tracepoint_sof_intel_hda_irq_ipc_check" },
	{ 0xc2058829, "hda_ops_free" },
	{ 0x701e1759, "sof_pci_shutdown" },
	{ 0xddb40a5f, "__kmalloc_cache_noprof" },
	{ 0x59cd98d0, "hda_sdw_process_wakeen_common" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x361630de, "hda_dsp_get_state" },
	{ 0x38f30b59, "hda_dsp_ipc4_load_library" },
	{ 0x659812f, "hda_dsp_ipc4_schedule_d0i3_work" },
	{ 0x5d580807, "sof_pci_pm" },
	{ 0x1723f284, "snd_soc_acpi_intel_arl_sdw_machines" },
	{ 0xa40b629c, "snd_soc_acpi_intel_mtl_sdw_machines" },
	{ 0x330bb771, "kmalloc_caches" },
	{ 0x5f93d52b, "hda_sdw_check_wakeen_irq_common" },
	{ 0x18876742, "snd_soc_acpi_intel_arl_machines" },
	{ 0xe61ffc73, "hda_dsp_shutdown" },
	{ 0x85251693, "hda_sdw_int_enable" },
	{ 0x6ef24678, "hda_sdw_startup" },
	{ 0xd1ffe315, "__pci_register_driver" },
	{ 0x2bdf3bbb, "module_layout" },
};

MODULE_INFO(depends, "snd-sof-intel-hda-common,snd-sof-intel-hda-generic,snd-sof,snd-sof-pci,snd-soc-acpi-intel-match");

MODULE_ALIAS("pci:v00008086d00007E28sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007F50sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007728sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "0EA498191FECF50F2A43F14");

MODULE_INFO(suserelease, "SLFO-1.2");
